#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusUnixFileDescriptor
      switch(to) {
        case 23: return (void*)(QDBusUnixFileDescriptor*)xptr;
        default: return xptr;
      }
    case 24:   //QDBusVariant
      switch(to) {
        case 60: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 24: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 25:   //QDBusVirtualObject
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusVirtualObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDebug
      switch(to) {
        case 29: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 30:   //QDir
      switch(to) {
        case 30: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 31:   //QEasingCurve
      switch(to) {
        case 31: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QHashDummyValue
      switch(to) {
        case 34: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 35:   //QIncompatibleFlag
      switch(to) {
        case 35: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 36:   //QLatin1String
      switch(to) {
        case 36: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 37:   //QLine
      switch(to) {
        case 37: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 38:   //QLineF
      switch(to) {
        case 38: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 39:   //QLocale
      switch(to) {
        case 39: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 40:   //QMargins
      switch(to) {
        case 40: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 41:   //QMetaObject
      switch(to) {
        case 41: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPersistentModelIndex
      switch(to) {
        case 44: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QPoint
      switch(to) {
        case 45: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 46:   //QPointF
      switch(to) {
        case 46: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    43, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusUnixFileDescriptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusVirtualObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusUnixFileDescriptor", false, 0, xcall_QDBusUnixFileDescriptor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusUnixFileDescriptor) },	//23
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//24
    { "QDBusVirtualObject", false, 1, xcall_QDBusVirtualObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusVirtualObject) },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDebug", true, 0, 0, 0, 0, 0 },	//29
    { "QDir", true, 0, 0, 0, 0, 0 },	//30
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//34
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//35
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//36
    { "QLine", true, 0, 0, 0, 0, 0 },	//37
    { "QLineF", true, 0, 0, 0, 0, 0 },	//38
    { "QLocale", true, 0, 0, 0, 0, 0 },	//39
    { "QMargins", true, 0, 0, 0, 0, 0 },	//40
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//44
    { "QPoint", true, 0, 0, 0, 0, 0 },	//45
    { "QPointF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::ConnectionCapability", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QDBusConnection::VirtualObjectRegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//53
    { "QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDBusUnixFileDescriptor*", 23, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDBusVirtualObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDebug", 29, Smoke::t_class|Smoke::tf_stack },	//61
    { "QDir::Filter", 30, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QDir::SortFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref },	//65
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QDBusConnection::ConnectionCapability>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QIncompatibleFlag", 35, Smoke::t_class|Smoke::tf_stack },	//103
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QLine&", 37, Smoke::t_class|Smoke::tf_ref },	//105
    { "QLineF&", 38, Smoke::t_class|Smoke::tf_ref },	//106
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//108
    { "QLocale&", 39, Smoke::t_class|Smoke::tf_ref },	//109
    { "QLocale::NumberOption", 39, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QMetaObject::Call", 41, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QPoint&", 45, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPointF&", 46, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSize&", 50, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSizeF&", 51, Smoke::t_class|Smoke::tf_ref },	//120
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//123
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//130
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//132
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//135
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//137
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//138
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//141
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//235
    { "_LIB_VERSION_TYPE", 33, Smoke::t_enum|Smoke::tf_stack },	//236
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//237
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//238
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//239
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//240
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//244
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDir&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QHashDummyValue&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QLatin1String&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLine&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLineF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLocale&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMargins&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QMetaObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const QPersistentModelIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPoint", 45, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QPoint&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QPointF", 46, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//278
    { "const QPointF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const QSize", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QSizeF", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//297
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//300
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//302
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//303
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//304
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//305
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//307
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//308
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//309
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//310
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//312
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//313
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//314
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//315
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//317
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//318
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//319
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//321
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//322
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//324
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//325
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//326
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//327
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//329
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//332
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//333
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//334
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    299, 0,	//1  const char*
    299, 299, 0,	//3  const char*, const char*
    299, 299, 305, 0,	//6  const char*, const char*, int
    111, 305, 333, 0,	//10  QMetaObject::Call, int, void**
    112, 0,	//14  QObject*
    238, 0,	//16  bool
    305, 0,	//18  int
    289, 296, 296, 296, 296, 296, 296, 296, 296, 0,	//20  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 296, 296, 0,	//30  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 267, 0,	//41  QDBus::CallMode, const QString&, const QList<QVariant>&
    289, 267, 112, 299, 299, 0,	//45  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    289, 267, 112, 299, 0,	//51  const QString&, const QList<QVariant>&, QObject*, const char*
    289, 267, 0,	//56  const QString&, const QList<QVariant>&
    289, 289, 299, 248, 112, 0,	//59  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    299, 296, 0,	//65  const char*, const QVariant&
    289, 0,	//68  const QString&
    289, 296, 0,	//70  const QString&, const QVariant&
    289, 296, 296, 0,	//73  const QString&, const QVariant&, const QVariant&
    289, 296, 296, 296, 0,	//77  const QString&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 0,	//82  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 0,	//88  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 296, 0,	//95  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 296, 296, 0,	//103  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 0,	//112  QDBus::CallMode, const QString&
    10, 289, 296, 0,	//115  QDBus::CallMode, const QString&, const QVariant&
    10, 289, 296, 296, 0,	//119  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 0,	//124  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 0,	//130  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 0,	//137  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 0,	//145  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 296, 0,	//154  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    247, 0,	//164  const QDBusArgument&
    317, 0,	//166  unsigned char
    313, 0,	//168  short
    325, 0,	//170  unsigned short
    320, 0,	//172  unsigned int
    311, 0,	//174  long long
    323, 0,	//176  unsigned long long
    302, 0,	//178  double
    257, 0,	//180  const QDBusVariant&
    253, 0,	//182  const QDBusObjectPath&
    255, 0,	//184  const QDBusSignature&
    256, 0,	//186  const QDBusUnixFileDescriptor&
    290, 0,	//188  const QStringList&
    245, 0,	//190  const QByteArray&
    305, 305, 0,	//192  int, int
    296, 0,	//195  const QVariant&
    318, 0,	//197  unsigned char&
    239, 0,	//199  bool&
    314, 0,	//201  short&
    326, 0,	//203  unsigned short&
    306, 0,	//205  int&
    321, 0,	//207  unsigned int&
    312, 0,	//209  long long&
    324, 0,	//211  unsigned long long&
    303, 0,	//213  double&
    122, 0,	//215  QString&
    56, 0,	//217  QDBusVariant&
    39, 0,	//219  QDBusObjectPath&
    53, 0,	//221  QDBusSignature&
    54, 0,	//223  QDBusUnixFileDescriptor&
    126, 0,	//225  QStringList&
    6, 0,	//227  QByteArray&
    248, 0,	//229  const QDBusConnection&
    251, 0,	//231  const QDBusMessage&
    251, 112, 299, 299, 305, 0,	//233  const QDBusMessage&, QObject*, const char*, const char*, int
    251, 112, 299, 305, 0,	//239  const QDBusMessage&, QObject*, const char*, int
    251, 10, 305, 0,	//244  const QDBusMessage&, QDBus::CallMode, int
    251, 305, 0,	//248  const QDBusMessage&, int
    289, 289, 289, 289, 112, 299, 0,	//251  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    289, 289, 289, 289, 289, 112, 299, 0,	//258  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    289, 289, 289, 289, 290, 289, 112, 299, 0,	//266  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    289, 112, 71, 0,	//275  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    289, 22, 0,	//279  const QString&, QDBusConnection::UnregisterMode
    289, 57, 23, 0,	//282  const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption
    19, 289, 0,	//286  QDBusConnection::BusType, const QString&
    289, 289, 0,	//289  const QString&, const QString&
    251, 112, 299, 299, 0,	//292  const QDBusMessage&, QObject*, const char*, const char*
    251, 112, 299, 0,	//297  const QDBusMessage&, QObject*, const char*
    251, 10, 0,	//301  const QDBusMessage&, QDBus::CallMode
    289, 112, 0,	//304  const QString&, QObject*
    289, 57, 0,	//307  const QString&, QDBusVirtualObject*
    289, 26, 27, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    289, 289, 289, 0,	//314  const QString&, const QString&, const QString&
    250, 251, 0,	//318  const QDBusError&, const QDBusMessage&
    289, 26, 0,	//321  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 289, 0,	//324  QDBusError::ErrorType, const QString&
    249, 0,	//327  const QDBusContext&
    32, 0,	//329  QDBusError::ErrorType
    242, 0,	//331  const DBusError*
    250, 0,	//333  const QDBusError&
    289, 289, 289, 248, 112, 0,	//335  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    289, 289, 289, 248, 0,	//341  const QString&, const QString&, const QString&, const QDBusConnection&
    289, 289, 289, 289, 0,	//346  const QString&, const QString&, const QString&, const QString&
    267, 0,	//351  const QList<QVariant>&
    288, 289, 0,	//353  const QString, const QString&
    305, 329, 331, 0,	//356  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 305, 301, 0,	//360  QDBusArgument&, int, const void*
    247, 305, 332, 0,	//364  const QDBusArgument&, int, void*
    252, 0,	//368  const QDBusMetaType&
    254, 0,	//370  const QDBusPendingCall&
    254, 112, 0,	//372  const QDBusPendingCall&, QObject*
    43, 0,	//375  QDBusPendingCallWatcher*
    289, 248, 73, 112, 0,	//377  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    73, 0,	//382  QFlags<QDBusServiceWatcher::WatchModeFlag>
    289, 248, 0,	//384  const QString&, const QDBusConnection&
    289, 248, 73, 0,	//387  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    251, 248, 0,	//391  const QDBusMessage&, const QDBusConnection&
    292, 292, 0,	//394  const QStringRef&, const QStringRef&
    128, 305, 0,	//397  QTextCodec::ConversionFlag, int
    173, 305, 0,	//400  Qt::ImageConversionFlag, int
    299, 320, 0,	//403  const char*, unsigned int
    332, 301, 316, 0,	//406  void*, const void*, size_t
    23, 72, 0,	//410  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    299, 264, 0,	//413  const char*, const QLatin1String&
    61, 79, 0,	//416  QDebug, QFlags<QIODevice::OpenModeFlag>
    292, 289, 0,	//419  const QStringRef&, const QString&
    285, 285, 0,	//422  const QSize&, const QSize&
    299, 245, 0,	//425  const char*, const QByteArray&
    68, 78, 0,	//428  QFile::Permission, QFlags<QFile::Permission>
    289, 299, 0,	//431  const QString&, const char*
    279, 279, 0,	//434  const QPointF&, const QPointF&
    302, 302, 0,	//437  double, double
    58, 120, 0,	//440  QDataStream&, QSizeF&
    245, 299, 0,	//443  const QByteArray&, const char*
    304, 0,	//446  float
    315, 0,	//448  signed char
    289, 292, 0,	//450  const QString&, const QStringRef&
    7, 0,	//453  QChar
    292, 264, 0,	//455  const QStringRef&, const QLatin1String&
    7, 7, 0,	//458  QChar, QChar
    257, 257, 0,	//461  const QDBusVariant&, const QDBusVariant&
    206, 206, 0,	//464  Qt::TouchPointState, Qt::TouchPointState
    294, 0,	//467  const QUrl&
    13, 266, 0,	//469  QDBusArgument&, const QLineF&
    13, 279, 0,	//472  QDBusArgument&, const QPointF&
    61, 294, 0,	//475  QDebug, const QUrl&
    123, 289, 0,	//478  QString::Null, const QString&
    13, 267, 0,	//481  QDBusArgument&, const QList<QVariant>&
    203, 203, 0,	//484  Qt::ToolBarArea, Qt::ToolBarArea
    110, 110, 0,	//487  QLocale::NumberOption, QLocale::NumberOption
    13, 281, 0,	//490  QDBusArgument&, const QRectF&
    213, 213, 0,	//493  Qt::WindowType, Qt::WindowType
    302, 287, 0,	//496  double, const QSizeF&
    62, 305, 0,	//499  QDir::Filter, int
    277, 277, 0,	//502  const QPoint&, const QPoint&
    247, 106, 0,	//505  const QDBusArgument&, QLineF&
    58, 281, 0,	//508  QDataStream&, const QRectF&
    181, 305, 0,	//511  Qt::KeyboardModifier, int
    200, 97, 0,	//514  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 259, 0,	//517  QDBusArgument&, const QDateTime&
    240, 0,	//520  char
    131, 84, 0,	//522  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    61, 270, 0,	//525  QDebug, const QMargins&
    136, 305, 0,	//528  QUrl::FormattingOption, int
    68, 305, 0,	//531  QFile::Permission, int
    277, 302, 0,	//534  const QPoint&, double
    64, 76, 0,	//537  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    289, 245, 0,	//540  const QString&, const QByteArray&
    287, 287, 0,	//543  const QSizeF&, const QSizeF&
    61, 279, 0,	//546  QDebug, const QPointF&
    310, 305, 308, 308, 0,	//549  long double, int, int*, int*
    181, 93, 0,	//554  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    61, 266, 0,	//557  QDebug, const QLineF&
    61, 259, 0,	//560  QDebug, const QDateTime&
    299, 289, 0,	//563  const char*, const QString&
    136, 136, 0,	//566  QUrl::FormattingOption, QUrl::FormattingOption
    206, 99, 0,	//569  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    173, 173, 0,	//572  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    110, 305, 0,	//575  QLocale::NumberOption, int
    264, 264, 0,	//578  const QLatin1String&, const QLatin1String&
    300, 305, 0,	//581  const unsigned char*, int
    299, 299, 320, 0,	//584  const char*, const char*, unsigned int
    264, 292, 0,	//588  const QLatin1String&, const QStringRef&
    255, 255, 0,	//591  const QDBusSignature&, const QDBusSignature&
    164, 164, 0,	//594  Qt::DropAction, Qt::DropAction
    61, 277, 0,	//597  QDebug, const QPoint&
    58, 109, 0,	//600  QDataStream&, QLocale&
    289, 7, 0,	//603  const QString&, QChar
    123, 123, 0,	//606  QString::Null, QString::Null
    300, 319, 305, 0,	//609  const unsigned char*, unsigned char*, int
    128, 128, 0,	//613  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    188, 188, 0,	//616  Qt::Orientation, Qt::Orientation
    332, 316, 316, 316, 0,	//619  void*, size_t, size_t, size_t
    245, 289, 0,	//624  const QByteArray&, const QString&
    203, 98, 0,	//627  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    280, 280, 0,	//630  const QRect&, const QRect&
    67, 77, 0,	//633  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    243, 243, 0,	//636  const QBitArray&, const QBitArray&
    245, 245, 0,	//639  const QByteArray&, const QByteArray&
    332, 316, 0,	//642  void*, size_t
    58, 268, 0,	//645  QDataStream&, const QLocale&
    61, 261, 0,	//648  QDebug, const QEasingCurve&
    330, 0,	//651  void(*)(QtMsgType,const char*)
    273, 0,	//653  const QModelIndex&
    58, 60, 0,	//655  QDataStream&, QDateTime&
    4, 4, 0,	//658  QBool, QBool
    299, 292, 0,	//661  const char*, const QStringRef&
    203, 305, 0,	//664  Qt::ToolBarArea, int
    61, 251, 0,	//667  QDebug, const QDBusMessage&
    175, 305, 0,	//670  Qt::InputMethodHint, int
    7, 289, 0,	//673  QChar, const QString&
    124, 305, 0,	//676  QString::SectionFlag, int
    104, 305, 0,	//679  QLibrary::LoadHint, int
    58, 135, 0,	//682  QDataStream&, QUrl&
    13, 262, 0,	//685  QDBusArgument&, const QHash<QString,QVariant>&
    289, 123, 0,	//688  const QString&, QString::Null
    1, 305, 0,	//691  QAbstractFileEngine::FileFlag, int
    128, 83, 0,	//694  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    289, 240, 0,	//697  const QString&, char
    247, 59, 0,	//700  const QDBusArgument&, QDate&
    175, 91, 0,	//703  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    213, 101, 0,	//706  Qt::WindowType, QFlags<Qt::WindowType>
    13, 293, 0,	//709  QDBusArgument&, const QTime&
    13, 265, 0,	//712  QDBusArgument&, const QLine&
    186, 186, 0,	//715  Qt::MouseButton, Qt::MouseButton
    241, 299, 0,	//718  char*, const char*
    142, 142, 0,	//721  Qt::AlignmentFlag, Qt::AlignmentFlag
    277, 0,	//724  const QPoint&
    164, 305, 0,	//726  Qt::DropAction, int
    58, 293, 0,	//729  QDataStream&, const QTime&
    63, 305, 0,	//732  QDir::SortFlag, int
    270, 270, 0,	//735  const QMargins&, const QMargins&
    52, 73, 0,	//738  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    113, 0,	//741  QObject*(*)()
    184, 184, 0,	//743  Qt::MatchFlag, Qt::MatchFlag
    316, 0,	//746  size_t
    162, 87, 0,	//748  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    58, 126, 0,	//751  QDataStream&, QStringList&
    61, 297, 0,	//754  QDebug, const QVariant::Type
    162, 305, 0,	//757  Qt::DockWidgetArea, int
    309, 0,	//760  long
    305, 277, 0,	//762  int, const QPoint&
    13, 280, 0,	//765  QDBusArgument&, const QRect&
    58, 106, 0,	//768  QDataStream&, QLineF&
    68, 68, 0,	//771  QFile::Permission, QFile::Permission
    240, 289, 0,	//774  char, const QString&
    253, 253, 0,	//777  const QDBusObjectPath&, const QDBusObjectPath&
    58, 119, 0,	//780  QDataStream&, QSize&
    275, 0,	//783  const QPersistentModelIndex&
    58, 289, 0,	//785  QDataStream&, const QString&
    58, 259, 0,	//788  QDataStream&, const QDateTime&
    274, 289, 271, 0,	//791  const QObject*, const QString&, const QMetaObject&
    124, 124, 0,	//795  QString::SectionFlag, QString::SectionFlag
    52, 52, 0,	//798  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    279, 302, 0,	//801  const QPointF&, double
    238, 4, 0,	//804  bool, QBool
    241, 299, 320, 0,	//807  char*, const char*, unsigned int
    247, 115, 0,	//811  const QDBusArgument&, QPointF&
    58, 277, 0,	//814  QDataStream&, const QPoint&
    58, 139, 0,	//817  QDataStream&, QVariant&
    186, 305, 0,	//820  Qt::MouseButton, int
    279, 0,	//823  const QPointF&
    21, 71, 0,	//825  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    61, 275, 0,	//828  QDebug, const QPersistentModelIndex&
    299, 299, 299, 305, 0,	//831  const char*, const char*, const char*, int
    251, 30, 139, 0,	//836  const QDBusMessage&, QDBusError&, QVariant&
    304, 277, 0,	//840  float, const QPoint&
    188, 96, 0,	//843  Qt::Orientation, QFlags<Qt::Orientation>
    67, 305, 0,	//846  QEventLoop::ProcessEventsFlag, int
    281, 281, 0,	//849  const QRectF&, const QRectF&
    13, 285, 0,	//852  QDBusArgument&, const QSize&
    173, 90, 0,	//855  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    58, 290, 0,	//858  QDataStream&, const QStringList&
    245, 240, 0,	//861  const QByteArray&, char
    64, 64, 0,	//864  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    62, 74, 0,	//867  QDir::Filter, QFlags<QDir::Filter>
    58, 114, 0,	//870  QDataStream&, QPoint&
    61, 250, 0,	//873  QDebug, const QDBusError&
    287, 302, 0,	//876  const QSizeF&, double
    58, 258, 0,	//879  QDataStream&, const QDate&
    328, 0,	//882  void(*)()
    300, 305, 305, 0,	//884  const unsigned char*, int, int
    58, 265, 0,	//888  QDataStream&, const QLine&
    58, 122, 0,	//891  QDataStream&, QString&
    247, 60, 0,	//894  const QDBusArgument&, QDateTime&
    247, 117, 0,	//897  const QDBusArgument&, QRectF&
    332, 0,	//900  void*
    178, 305, 0,	//902  Qt::ItemFlag, int
    61, 260, 0,	//905  QDebug, const QDir&
    129, 130, 0,	//908  QTextStream&, QTextStream&(*)(QTextStream&)
    61, 273, 0,	//911  QDebug, const QModelIndex&
    247, 133, 0,	//914  const QDBusArgument&, QTime&
    67, 67, 0,	//917  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    243, 0,	//920  const QBitArray&
    61, 293, 0,	//922  QDebug, const QTime&
    129, 132, 0,	//925  QTextStream&, QTextStreamManipulator
    169, 89, 0,	//928  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    292, 299, 0,	//931  const QStringRef&, const char*
    21, 21, 0,	//934  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    58, 3, 0,	//937  QDataStream&, QBitArray&
    13, 269, 0,	//940  QDBusArgument&, const QMap<QString,QVariant>&
    316, 316, 0,	//943  size_t, size_t
    310, 305, 308, 308, 241, 316, 0,	//946  long double, int, int*, int*, char*, size_t
    247, 114, 0,	//953  const QDBusArgument&, QPoint&
    61, 287, 0,	//956  QDebug, const QSizeF&
    169, 305, 0,	//959  Qt::GestureFlag, int
    240, 245, 0,	//962  char, const QByteArray&
    58, 296, 0,	//965  QDataStream&, const QVariant&
    247, 120, 0,	//968  const QDBusArgument&, QSizeF&
    247, 119, 0,	//971  const QDBusArgument&, QSize&
    61, 296, 0,	//974  QDebug, const QVariant&
    212, 305, 0,	//977  Qt::WindowState, int
    58, 133, 0,	//980  QDataStream&, QTime&
    61, 74, 0,	//983  QDebug, QFlags<QDir::Filter>
    181, 181, 0,	//986  Qt::KeyboardModifier, Qt::KeyboardModifier
    302, 279, 0,	//989  double, const QPointF&
    58, 65, 0,	//992  QDataStream&, QEasingCurve&
    164, 88, 0,	//995  Qt::DropAction, QFlags<Qt::DropAction>
    285, 302, 0,	//998  const QSize&, double
    61, 258, 0,	//1001  QDebug, const QDate&
    23, 305, 0,	//1004  QDBusConnection::VirtualObjectRegisterOption, int
    62, 62, 0,	//1007  QDir::Filter, QDir::Filter
    241, 316, 299, 327, 0,	//1010  char*, size_t, const char*, va_list
    302, 277, 0,	//1015  double, const QPoint&
    332, 305, 316, 0,	//1018  void*, int, size_t
    58, 266, 0,	//1022  QDataStream&, const QLineF&
    299, 305, 0,	//1025  const char*, int
    102, 102, 0,	//1028  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    162, 162, 0,	//1031  Qt::DockWidgetArea, Qt::DockWidgetArea
    63, 75, 0,	//1034  QDir::SortFlag, QFlags<QDir::SortFlag>
    304, 304, 0,	//1037  float, float
    296, 298, 0,	//1040  const QVariant&, const QVariantComparisonHelper&
    104, 104, 0,	//1043  QLibrary::LoadHint, QLibrary::LoadHint
    310, 305, 241, 0,	//1046  long double, int, char*
    332, 316, 316, 307, 0,	//1050  void*, size_t, size_t, int(*)(const void*,const void*)
    64, 305, 0,	//1055  QDirIterator::IteratorFlag, int
    175, 175, 0,	//1058  Qt::InputMethodHint, Qt::InputMethodHint
    247, 116, 0,	//1061  const QDBusArgument&, QRect&
    61, 265, 0,	//1064  QDebug, const QLine&
    200, 200, 0,	//1067  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    206, 305, 0,	//1070  Qt::TouchPointState, int
    245, 305, 0,	//1073  const QByteArray&, int
    136, 85, 0,	//1076  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    200, 305, 0,	//1079  Qt::TextInteractionFlag, int
    212, 212, 0,	//1082  Qt::WindowState, Qt::WindowState
    1, 69, 0,	//1085  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    58, 245, 0,	//1088  QDataStream&, const QByteArray&
    58, 261, 0,	//1091  QDataStream&, const QEasingCurve&
    58, 294, 0,	//1094  QDataStream&, const QUrl&
    61, 280, 0,	//1097  QDebug, const QRect&
    247, 139, 0,	//1100  const QDBusArgument&, QVariant&
    63, 63, 0,	//1103  QDir::SortFlag, QDir::SortFlag
    131, 305, 0,	//1106  QTextStream::NumberFlag, int
    58, 116, 0,	//1109  QDataStream&, QRect&
    58, 285, 0,	//1112  QDataStream&, const QSize&
    58, 246, 0,	//1115  QDataStream&, const QChar&
    142, 305, 0,	//1118  Qt::AlignmentFlag, int
    58, 282, 0,	//1121  QDataStream&, const QRegExp&
    61, 281, 0,	//1124  QDebug, const QRectF&
    247, 105, 0,	//1127  const QDBusArgument&, QLine&
    212, 100, 0,	//1130  Qt::WindowState, QFlags<Qt::WindowState>
    178, 178, 0,	//1133  Qt::ItemFlag, Qt::ItemFlag
    58, 137, 0,	//1136  QDataStream&, QUuid&
    277, 305, 0,	//1139  const QPoint&, int
    58, 141, 0,	//1142  QDataStream&, QVariant::Type&
    296, 140, 332, 0,	//1145  const QVariant&, QVariant::Type, void*
    23, 23, 0,	//1149  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    13, 258, 0,	//1152  QDBusArgument&, const QDate&
    274, 289, 283, 271, 108, 0,	//1155  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    263, 263, 0,	//1161  const QHashDummyValue&, const QHashDummyValue&
    58, 115, 0,	//1164  QDataStream&, QPointF&
    188, 305, 0,	//1167  Qt::Orientation, int
    169, 169, 0,	//1170  Qt::GestureFlag, Qt::GestureFlag
    102, 79, 0,	//1173  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    21, 305, 0,	//1176  QDBusConnection::RegisterOption, int
    277, 304, 0,	//1179  const QPoint&, float
    302, 285, 0,	//1182  double, const QSize&
    13, 287, 0,	//1185  QDBusArgument&, const QSizeF&
    4, 238, 0,	//1188  QBool, bool
    58, 105, 0,	//1191  QDataStream&, QLine&
    61, 285, 0,	//1194  QDebug, const QSize&
    131, 131, 0,	//1197  QTextStream::NumberFlag, QTextStream::NumberFlag
    186, 95, 0,	//1200  Qt::MouseButton, QFlags<Qt::MouseButton>
    58, 297, 0,	//1203  QDataStream&, const QVariant::Type
    178, 92, 0,	//1206  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    58, 295, 0,	//1209  QDataStream&, const QUuid&
    104, 80, 0,	//1212  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    213, 305, 0,	//1215  Qt::WindowType, int
    58, 117, 0,	//1218  QDataStream&, QRectF&
    58, 280, 0,	//1221  QDataStream&, const QRect&
    184, 94, 0,	//1224  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    52, 305, 0,	//1227  QDBusServiceWatcher::WatchModeFlag, int
    142, 86, 0,	//1230  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    58, 8, 0,	//1233  QDataStream&, QChar&
    58, 118, 0,	//1236  QDataStream&, QRegExp&
    322, 0,	//1239  unsigned long
    58, 279, 0,	//1241  QDataStream&, const QPointF&
    58, 287, 0,	//1244  QDataStream&, const QSizeF&
    110, 81, 0,	//1247  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    124, 82, 0,	//1250  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1253  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    216, 299, 0,	//1256  QtMsgType, const char*
    292, 0,	//1259  const QStringRef&
    102, 305, 0,	//1261  QIODevice::OpenModeFlag, int
    58, 6, 0,	//1264  QDataStream&, QByteArray&
    61, 274, 0,	//1267  QDebug, const QObject*
    184, 305, 0,	//1270  Qt::MatchFlag, int
    13, 277, 0,	//1273  QDBusArgument&, const QPoint&
    58, 59, 0,	//1276  QDataStream&, QDate&
    58, 243, 0,	//1279  QDataStream&, const QBitArray&
    66, 0,	//1282  QEvent*
    112, 66, 0,	//1284  QObject*, QEvent*
    134, 0,	//1287  QTimerEvent*
    9, 0,	//1289  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LicensedActiveQt",	//43
    "LicensedCore",	//44
    "LicensedDBus",	//45
    "LicensedDeclarative",	//46
    "LicensedGui",	//47
    "LicensedHelp",	//48
    "LicensedMultimedia",	//49
    "LicensedNetwork",	//50
    "LicensedOpenGL",	//51
    "LicensedOpenVG",	//52
    "LicensedQt3Support",	//53
    "LicensedQt3SupportLight",	//54
    "LicensedScript",	//55
    "LicensedScriptTools",	//56
    "LicensedSql",	//57
    "LicensedSvg",	//58
    "LicensedTest",	//59
    "LicensedXml",	//60
    "LicensedXmlPatterns",	//61
    "LimitsExceeded",	//62
    "MapEntryType",	//63
    "MapType",	//64
    "MethodCallMessage",	//65
    "NameAcquired",	//66
    "NameAcquired$",	//67
    "NameLost",	//68
    "NameLost$",	//69
    "NameOwnerChanged",	//70
    "NameOwnerChanged$$$",	//71
    "NoBlock",	//72
    "NoError",	//73
    "NoMemory",	//74
    "NoNetwork",	//75
    "NoReply",	//76
    "NoServer",	//77
    "NotSupported",	//78
    "Other",	//79
    "QDBusAbstractAdaptor",	//80
    "QDBusAbstractAdaptor#",	//81
    "QDBusAbstractInterface",	//82
    "QDBusAbstractInterface$$$##",	//83
    "QDBusArgument",	//84
    "QDBusArgument#",	//85
    "QDBusConnection",	//86
    "QDBusConnection#",	//87
    "QDBusConnection$",	//88
    "QDBusContext",	//89
    "QDBusContext#",	//90
    "QDBusError",	//91
    "QDBusError#",	//92
    "QDBusError$$",	//93
    "QDBusInterface",	//94
    "QDBusInterface$$",	//95
    "QDBusInterface$$$",	//96
    "QDBusInterface$$$#",	//97
    "QDBusInterface$$$##",	//98
    "QDBusMessage",	//99
    "QDBusMessage#",	//100
    "QDBusMetaType",	//101
    "QDBusMetaType#",	//102
    "QDBusPendingCall",	//103
    "QDBusPendingCall#",	//104
    "QDBusPendingCallWatcher",	//105
    "QDBusPendingCallWatcher#",	//106
    "QDBusPendingCallWatcher##",	//107
    "QDBusServer",	//108
    "QDBusServer$",	//109
    "QDBusServer$#",	//110
    "QDBusServiceWatcher",	//111
    "QDBusServiceWatcher#",	//112
    "QDBusServiceWatcher$#",	//113
    "QDBusServiceWatcher$#$",	//114
    "QDBusServiceWatcher$#$#",	//115
    "QDBusUnixFileDescriptor",	//116
    "QDBusUnixFileDescriptor#",	//117
    "QDBusUnixFileDescriptor$",	//118
    "QDBusVirtualObject",	//119
    "QDBusVirtualObject#",	//120
    "QtCriticalMsg",	//121
    "QtDebugMsg",	//122
    "QtFatalMsg",	//123
    "QtSystemMsg",	//124
    "QtWarningMsg",	//125
    "QueueService",	//126
    "ReplaceExistingService",	//127
    "ReplyMessage",	//128
    "ServiceNotRegistered",	//129
    "ServiceQueued",	//130
    "ServiceRegistered",	//131
    "ServiceUnknown",	//132
    "SessionBus",	//133
    "SignalMessage",	//134
    "SingleNode",	//135
    "StructureType",	//136
    "SubPath",	//137
    "SystemBus",	//138
    "TimedOut",	//139
    "Timeout",	//140
    "UnixFileDescriptorPassing",	//141
    "UnknownInterface",	//142
    "UnknownMethod",	//143
    "UnknownObject",	//144
    "UnknownType",	//145
    "UnregisterNode",	//146
    "UnregisterTree",	//147
    "VariantType",	//148
    "WatchForOwnerChange",	//149
    "WatchForRegistration",	//150
    "WatchForUnregistration",	//151
    "_IEEE_",	//152
    "_ISOC_",	//153
    "_POSIX_",	//154
    "_SVID_",	//155
    "_XOPEN_",	//156
    "__codecvt_error",	//157
    "__codecvt_noconv",	//158
    "__codecvt_ok",	//159
    "__codecvt_partial",	//160
    "addWatchedService",	//161
    "addWatchedService$",	//162
    "address",	//163
    "appendVariant",	//164
    "appendVariant#",	//165
    "arguments",	//166
    "asVariant",	//167
    "asyncCall",	//168
    "asyncCall#",	//169
    "asyncCall#$",	//170
    "asyncCall$",	//171
    "asyncCall$#",	//172
    "asyncCall$##",	//173
    "asyncCall$###",	//174
    "asyncCall$####",	//175
    "asyncCall$#####",	//176
    "asyncCall$######",	//177
    "asyncCall$#######",	//178
    "asyncCall$########",	//179
    "asyncCallWithArgumentList",	//180
    "asyncCallWithArgumentList$?",	//181
    "atEnd",	//182
    "autoRelaySignals",	//183
    "autoStartService",	//184
    "baseService",	//185
    "beginArray",	//186
    "beginArray$",	//187
    "beginMap",	//188
    "beginMap$$",	//189
    "beginMapEntry",	//190
    "beginStructure",	//191
    "call",	//192
    "call#",	//193
    "call#$",	//194
    "call#$$",	//195
    "call$",	//196
    "call$#",	//197
    "call$##",	//198
    "call$###",	//199
    "call$####",	//200
    "call$#####",	//201
    "call$######",	//202
    "call$#######",	//203
    "call$########",	//204
    "call$$",	//205
    "call$$#",	//206
    "call$$##",	//207
    "call$$###",	//208
    "call$$####",	//209
    "call$$#####",	//210
    "call$$######",	//211
    "call$$#######",	//212
    "call$$########",	//213
    "callWithArgumentList",	//214
    "callWithArgumentList$$?",	//215
    "callWithCallback",	//216
    "callWithCallback##$",	//217
    "callWithCallback##$$",	//218
    "callWithCallback##$$$",	//219
    "callWithCallback$?#$",	//220
    "callWithCallback$?#$$",	//221
    "callWithCallbackFailed",	//222
    "callWithCallbackFailed##",	//223
    "calledFromDBus",	//224
    "childEvent",	//225
    "connect",	//226
    "connect$$$$#$",	//227
    "connect$$$$$#$",	//228
    "connect$$$$?$#$",	//229
    "connectNotify",	//230
    "connectNotify$",	//231
    "connectToBus",	//232
    "connectToBus$$",	//233
    "connectToPeer",	//234
    "connectToPeer$$",	//235
    "connection",	//236
    "connectionCapabilities",	//237
    "createError",	//238
    "createError#",	//239
    "createError$$",	//240
    "createErrorReply",	//241
    "createErrorReply#",	//242
    "createErrorReply$$",	//243
    "createMethodCall",	//244
    "createMethodCall$$$$",	//245
    "createReply",	//246
    "createReply#",	//247
    "createReply?",	//248
    "createSignal",	//249
    "createSignal$$$",	//250
    "currentSignature",	//251
    "currentType",	//252
    "customEvent",	//253
    "demarshall",	//254
    "demarshall#$$",	//255
    "disconnect",	//256
    "disconnect$$$$#$",	//257
    "disconnect$$$$$#$",	//258
    "disconnect$$$$?$#$",	//259
    "disconnectFromBus",	//260
    "disconnectFromBus$",	//261
    "disconnectFromPeer",	//262
    "disconnectFromPeer$",	//263
    "disconnectNotify",	//264
    "disconnectNotify$",	//265
    "endArray",	//266
    "endMap",	//267
    "endMapEntry",	//268
    "endStructure",	//269
    "error",	//270
    "errorMessage",	//271
    "errorName",	//272
    "errorString",	//273
    "errorString$",	//274
    "event",	//275
    "eventFilter",	//276
    "fileDescriptor",	//277
    "finished",	//278
    "finished#",	//279
    "fromCompletedCall",	//280
    "fromCompletedCall#",	//281
    "fromError",	//282
    "fromError#",	//283
    "giveFileDescriptor",	//284
    "giveFileDescriptor$",	//285
    "handleMessage",	//286
    "handleMessage##",	//287
    "interface",	//288
    "internalConstCall",	//289
    "internalConstCall$$",	//290
    "internalConstCall$$?",	//291
    "internalPointer",	//292
    "internalPropGet",	//293
    "internalPropGet$",	//294
    "internalPropSet",	//295
    "internalPropSet$#",	//296
    "introspect",	//297
    "introspect$",	//298
    "isConnected",	//299
    "isDelayedReply",	//300
    "isError",	//301
    "isFinished",	//302
    "isReplyRequired",	//303
    "isServiceRegistered",	//304
    "isServiceRegistered$",	//305
    "isSupported",	//306
    "isValid",	//307
    "lastError",	//308
    "localMachineId",	//309
    "marshall",	//310
    "marshall#$$",	//311
    "member",	//312
    "message",	//313
    "metaObject",	//314
    "name",	//315
    "newConnection",	//316
    "newConnection#",	//317
    "objectRegisteredAt",	//318
    "objectRegisteredAt$",	//319
    "operator!=",	//320
    "operator!=##",	//321
    "operator!=#$",	//322
    "operator!=$#",	//323
    "operator!=$$",	//324
    "operator&",	//325
    "operator&##",	//326
    "operator*",	//327
    "operator*#$",	//328
    "operator*$#",	//329
    "operator+",	//330
    "operator+##",	//331
    "operator+#$",	//332
    "operator+$#",	//333
    "operator+$$",	//334
    "operator-",	//335
    "operator-#",	//336
    "operator-##",	//337
    "operator/",	//338
    "operator/#$",	//339
    "operator<",	//340
    "operator<##",	//341
    "operator<#$",	//342
    "operator<$#",	//343
    "operator<$$",	//344
    "operator<<",	//345
    "operator<<#",	//346
    "operator<<##",	//347
    "operator<<#$",	//348
    "operator<<#?",	//349
    "operator<<$",	//350
    "operator<<?",	//351
    "operator<=",	//352
    "operator<=##",	//353
    "operator<=#$",	//354
    "operator<=$#",	//355
    "operator<=$$",	//356
    "operator=",	//357
    "operator=#",	//358
    "operator==",	//359
    "operator==##",	//360
    "operator==#$",	//361
    "operator==$#",	//362
    "operator==$$",	//363
    "operator>",	//364
    "operator>##",	//365
    "operator>#$",	//366
    "operator>$#",	//367
    "operator>$$",	//368
    "operator>=",	//369
    "operator>=##",	//370
    "operator>=#$",	//371
    "operator>=$#",	//372
    "operator>=$$",	//373
    "operator>>",	//374
    "operator>>#",	//375
    "operator>>##",	//376
    "operator>>#$",	//377
    "operator>>#?",	//378
    "operator>>$",	//379
    "operator>>?",	//380
    "operator^",	//381
    "operator^##",	//382
    "operator|",	//383
    "operator|##",	//384
    "operator|$$",	//385
    "path",	//386
    "qAcos",	//387
    "qAcos$",	//388
    "qAddPostRoutine",	//389
    "qAddPostRoutine$",	//390
    "qAppName",	//391
    "qAsin",	//392
    "qAsin$",	//393
    "qAtan",	//394
    "qAtan$",	//395
    "qAtan2",	//396
    "qAtan2$$",	//397
    "qBadAlloc",	//398
    "qCeil",	//399
    "qCeil$",	//400
    "qChecksum",	//401
    "qChecksum$$",	//402
    "qCompress",	//403
    "qCompress#",	//404
    "qCompress#$",	//405
    "qCompress$$",	//406
    "qCompress$$$",	//407
    "qCos",	//408
    "qCos$",	//409
    "qCritical",	//410
    "qDBusReplyFill",	//411
    "qDBusReplyFill###",	//412
    "qDebug",	//413
    "qExp",	//414
    "qExp$",	//415
    "qFabs",	//416
    "qFabs$",	//417
    "qFastCos",	//418
    "qFastCos$",	//419
    "qFastSin",	//420
    "qFastSin$",	//421
    "qFlagLocation",	//422
    "qFlagLocation$",	//423
    "qFloor",	//424
    "qFloor$",	//425
    "qFree",	//426
    "qFree$",	//427
    "qFreeAligned",	//428
    "qFreeAligned$",	//429
    "qFuzzyCompare",	//430
    "qFuzzyCompare$$",	//431
    "qFuzzyIsNull",	//432
    "qFuzzyIsNull$",	//433
    "qHash",	//434
    "qHash#",	//435
    "qHash$",	//436
    "qInf",	//437
    "qInstallMsgHandler",	//438
    "qInstallMsgHandler$",	//439
    "qIntCast",	//440
    "qIntCast$",	//441
    "qIsFinite",	//442
    "qIsFinite$",	//443
    "qIsInf",	//444
    "qIsInf$",	//445
    "qIsNaN",	//446
    "qIsNaN$",	//447
    "qIsNull",	//448
    "qIsNull$",	//449
    "qLn",	//450
    "qLn$",	//451
    "qMalloc",	//452
    "qMalloc$",	//453
    "qMallocAligned",	//454
    "qMallocAligned$$",	//455
    "qMemCopy",	//456
    "qMemCopy$$$",	//457
    "qMemSet",	//458
    "qMemSet$$$",	//459
    "qPow",	//460
    "qPow$$",	//461
    "qQNaN",	//462
    "qRealloc",	//463
    "qRealloc$$",	//464
    "qReallocAligned",	//465
    "qReallocAligned$$$$",	//466
    "qRegisterStaticPluginInstanceFunction",	//467
    "qRegisterStaticPluginInstanceFunction#",	//468
    "qRemovePostRoutine",	//469
    "qRemovePostRoutine$",	//470
    "qRound",	//471
    "qRound$",	//472
    "qRound64",	//473
    "qRound64$",	//474
    "qSNaN",	//475
    "qSetFieldWidth",	//476
    "qSetFieldWidth$",	//477
    "qSetPadChar",	//478
    "qSetPadChar#",	//479
    "qSetRealNumberPrecision",	//480
    "qSetRealNumberPrecision$",	//481
    "qSharedBuild",	//482
    "qSin",	//483
    "qSin$",	//484
    "qSqrt",	//485
    "qSqrt$",	//486
    "qStringComparisonHelper",	//487
    "qStringComparisonHelper#$",	//488
    "qStringComparisonHelper$$",	//489
    "qTan",	//490
    "qTan$",	//491
    "qUncompress",	//492
    "qUncompress#",	//493
    "qUncompress$$",	//494
    "qVersion",	//495
    "qWarning",	//496
    "qbswap_helper",	//497
    "qbswap_helper$$$",	//498
    "qecvt",	//499
    "qecvt$$$$",	//500
    "qecvt_r",	//501
    "qecvt_r$$$$$$",	//502
    "qfcvt",	//503
    "qfcvt$$$$",	//504
    "qfcvt_r",	//505
    "qfcvt_r$$$$$$",	//506
    "qgcvt",	//507
    "qgcvt$$$",	//508
    "qgetenv",	//509
    "qgetenv$",	//510
    "qputenv",	//511
    "qputenv$#",	//512
    "qrand",	//513
    "qsort",	//514
    "qsort$$$$",	//515
    "qsrand",	//516
    "qsrand$",	//517
    "qstrcmp",	//518
    "qstrcmp##",	//519
    "qstrcmp#$",	//520
    "qstrcmp$#",	//521
    "qstrcmp$$",	//522
    "qstrcpy",	//523
    "qstrcpy$$",	//524
    "qstrdup",	//525
    "qstrdup$",	//526
    "qstricmp",	//527
    "qstricmp$$",	//528
    "qstrlen",	//529
    "qstrlen$",	//530
    "qstrncmp",	//531
    "qstrncmp$$$",	//532
    "qstrncpy",	//533
    "qstrncpy$$$",	//534
    "qstrnicmp",	//535
    "qstrnicmp$$$",	//536
    "qstrnlen",	//537
    "qstrnlen$$",	//538
    "qtTrId",	//539
    "qtTrId$",	//540
    "qtTrId$$",	//541
    "qt_assert",	//542
    "qt_assert$$$",	//543
    "qt_assert_x",	//544
    "qt_assert_x$$$$",	//545
    "qt_check_pointer",	//546
    "qt_check_pointer$$",	//547
    "qt_error_string",	//548
    "qt_error_string$",	//549
    "qt_message_output",	//550
    "qt_message_output$$",	//551
    "qt_metacall",	//552
    "qt_metacall$$?",	//553
    "qt_metacast",	//554
    "qt_metacast$",	//555
    "qt_noop",	//556
    "qt_qFindChild_helper",	//557
    "qt_qFindChild_helper#$#",	//558
    "qt_qFindChildren_helper",	//559
    "qt_qFindChildren_helper#$##?",	//560
    "qvariant_cast_helper",	//561
    "qvariant_cast_helper#$$",	//562
    "qvsnprintf",	//563
    "qvsnprintf$$$?",	//564
    "registerMarshallOperators",	//565
    "registerMarshallOperators$$$",	//566
    "registerObject",	//567
    "registerObject$#",	//568
    "registerObject$#$",	//569
    "registerService",	//570
    "registerService$",	//571
    "registerService$$",	//572
    "registerService$$$",	//573
    "registerVirtualObject",	//574
    "registerVirtualObject$#",	//575
    "registerVirtualObject$#$",	//576
    "registeredServiceNames",	//577
    "removeWatchedService",	//578
    "removeWatchedService$",	//579
    "reply",	//580
    "send",	//581
    "send#",	//582
    "sendErrorReply",	//583
    "sendErrorReply$",	//584
    "sendErrorReply$$",	//585
    "sender",	//586
    "service",	//587
    "serviceOwner",	//588
    "serviceOwner$",	//589
    "serviceOwnerChanged",	//590
    "serviceOwnerChanged$$$",	//591
    "servicePid",	//592
    "servicePid$",	//593
    "serviceRegistered",	//594
    "serviceRegistered$",	//595
    "serviceUid",	//596
    "serviceUid$",	//597
    "serviceUnregistered",	//598
    "serviceUnregistered$",	//599
    "sessionBus",	//600
    "setArguments",	//601
    "setArguments?",	//602
    "setAutoRelaySignals",	//603
    "setAutoRelaySignals$",	//604
    "setAutoStartService",	//605
    "setAutoStartService$",	//606
    "setConnection",	//607
    "setConnection#",	//608
    "setDelayedReply",	//609
    "setDelayedReply$",	//610
    "setFileDescriptor",	//611
    "setFileDescriptor$",	//612
    "setTimeout",	//613
    "setTimeout$",	//614
    "setWatchMode",	//615
    "setWatchMode$",	//616
    "setWatchedServices",	//617
    "setWatchedServices?",	//618
    "signature",	//619
    "signatureToType",	//620
    "signatureToType$",	//621
    "startService",	//622
    "startService$",	//623
    "staticMetaObject",	//624
    "systemBus",	//625
    "takeFileDescriptor",	//626
    "timeout",	//627
    "timerEvent",	//628
    "tr",	//629
    "tr$",	//630
    "tr$$",	//631
    "tr$$$",	//632
    "trUtf8",	//633
    "trUtf8$",	//634
    "trUtf8$$",	//635
    "trUtf8$$$",	//636
    "type",	//637
    "typeToSignature",	//638
    "typeToSignature$",	//639
    "unregisterObject",	//640
    "unregisterObject$",	//641
    "unregisterObject$$",	//642
    "unregisterService",	//643
    "unregisterService$",	//644
    "waitForFinished",	//645
    "watchMode",	//646
    "watchedServices",	//647
    "~QDBusAbstractAdaptor",	//648
    "~QDBusAbstractInterface",	//649
    "~QDBusAbstractInterfaceBase",	//650
    "~QDBusArgument",	//651
    "~QDBusConnection",	//652
    "~QDBusContext",	//653
    "~QDBusError",	//654
    "~QDBusInterface",	//655
    "~QDBusMessage",	//656
    "~QDBusMetaType",	//657
    "~QDBusPendingCall",	//658
    "~QDBusPendingCallWatcher",	//659
    "~QDBusServer",	//660
    "~QDBusServiceWatcher",	//661
    "~QDBusUnixFileDescriptor",	//662
    "~QDBusVirtualObject",	//663
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 629, 3, 2, Smoke::mf_static, 121, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 633, 3, 2, Smoke::mf_static, 121, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 629, 6, 3, Smoke::mf_static, 121, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 633, 6, 3, Smoke::mf_static, 121, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 80, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 603, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 183, 0, 0, Smoke::mf_const|Smoke::mf_protected, 238, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 629, 1, 1, Smoke::mf_static, 121, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 633, 1, 1, Smoke::mf_static, 121, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 648, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 629, 3, 2, Smoke::mf_static, 121, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 633, 3, 2, Smoke::mf_static, 121, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 629, 6, 3, Smoke::mf_static, 121, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 633, 6, 3, Smoke::mf_static, 121, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 307, 0, 0, Smoke::mf_const, 238, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 236, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 587, 0, 0, Smoke::mf_const, 121, 10},	//28 QDBusAbstractInterface::service() const
    {9, 386, 0, 0, Smoke::mf_const, 121, 11},	//29 QDBusAbstractInterface::path() const
    {9, 288, 0, 0, Smoke::mf_const, 121, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 308, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 613, 18, 1, 0, 0, 14},	//32 QDBusAbstractInterface::setTimeout(int)
    {9, 627, 0, 0, Smoke::mf_const, 305, 15},	//33 QDBusAbstractInterface::timeout() const
    {9, 192, 20, 9, 0, 34, 16},	//34 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 30, 10, 0, 34, 17},	//35 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 214, 41, 3, 0, 34, 18},	//36 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 216, 45, 5, 0, 238, 19},	//37 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 216, 51, 4, 0, 238, 20},	//38 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 168, 20, 9, 0, 40, 21},	//39 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 56, 2, 0, 40, 22},	//40 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 82, 59, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 23},	//41 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 230, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//42 QDBusAbstractInterface::connectNotify(const char*)
    {9, 264, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//43 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 293, 1, 1, Smoke::mf_const|Smoke::mf_protected, 138, 26},	//44 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 295, 65, 2, Smoke::mf_protected, 0, 27},	//45 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 289, 41, 3, Smoke::mf_const|Smoke::mf_protected, 34, 28},	//46 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 629, 1, 1, Smoke::mf_static, 121, 29},	//47 QDBusAbstractInterface::tr(const char*)
    {9, 633, 1, 1, Smoke::mf_static, 121, 30},	//48 QDBusAbstractInterface::trUtf8(const char*)
    {9, 192, 68, 1, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&)
    {9, 192, 70, 2, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 192, 73, 3, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 192, 77, 4, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 82, 5, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 88, 6, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 95, 7, 0, 34, 37},	//55 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 103, 8, 0, 34, 38},	//56 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 112, 2, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 192, 115, 3, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 192, 119, 4, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 192, 124, 5, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 130, 6, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 137, 7, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 145, 8, 0, 34, 45},	//63 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 154, 9, 0, 34, 46},	//64 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 68, 1, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 168, 70, 2, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 168, 73, 3, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 168, 77, 4, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 82, 5, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 88, 6, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 95, 7, 0, 40, 53},	//71 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 103, 8, 0, 40, 54},	//72 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 289, 112, 2, Smoke::mf_const|Smoke::mf_protected, 34, 55},	//73 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 56},	//74 QDBusAbstractInterface::staticMetaObject() const
    {9, 649, 0, 0, Smoke::mf_dtor, 0, 57 },	//75 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 552, 10, 3, Smoke::mf_virtual, 305, 1},	//76 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 650, 0, 0, Smoke::mf_dtor, 0, 2 },	//77 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 84, 0, 0, Smoke::mf_ctor, 14, 1},	//78 QDBusArgument::QDBusArgument()
    {11, 84, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//79 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 357, 164, 1, 0, 13, 3},	//80 QDBusArgument::operator=(const QDBusArgument&)
    {11, 345, 166, 1, 0, 13, 4},	//81 QDBusArgument::operator<<(unsigned char)
    {11, 345, 16, 1, 0, 13, 5},	//82 QDBusArgument::operator<<(bool)
    {11, 345, 168, 1, 0, 13, 6},	//83 QDBusArgument::operator<<(short)
    {11, 345, 170, 1, 0, 13, 7},	//84 QDBusArgument::operator<<(unsigned short)
    {11, 345, 18, 1, 0, 13, 8},	//85 QDBusArgument::operator<<(int)
    {11, 345, 172, 1, 0, 13, 9},	//86 QDBusArgument::operator<<(unsigned int)
    {11, 345, 174, 1, 0, 13, 10},	//87 QDBusArgument::operator<<(long long)
    {11, 345, 176, 1, 0, 13, 11},	//88 QDBusArgument::operator<<(unsigned long long)
    {11, 345, 178, 1, 0, 13, 12},	//89 QDBusArgument::operator<<(double)
    {11, 345, 68, 1, 0, 13, 13},	//90 QDBusArgument::operator<<(const QString&)
    {11, 345, 180, 1, 0, 13, 14},	//91 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 345, 182, 1, 0, 13, 15},	//92 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 345, 184, 1, 0, 13, 16},	//93 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 345, 186, 1, 0, 13, 17},	//94 QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    {11, 345, 188, 1, 0, 13, 18},	//95 QDBusArgument::operator<<(const QStringList&)
    {11, 345, 190, 1, 0, 13, 19},	//96 QDBusArgument::operator<<(const QByteArray&)
    {11, 191, 0, 0, 0, 0, 20},	//97 QDBusArgument::beginStructure()
    {11, 269, 0, 0, 0, 0, 21},	//98 QDBusArgument::endStructure()
    {11, 186, 18, 1, 0, 0, 22},	//99 QDBusArgument::beginArray(int)
    {11, 266, 0, 0, 0, 0, 23},	//100 QDBusArgument::endArray()
    {11, 188, 192, 2, 0, 0, 24},	//101 QDBusArgument::beginMap(int, int)
    {11, 267, 0, 0, 0, 0, 25},	//102 QDBusArgument::endMap()
    {11, 190, 0, 0, 0, 0, 26},	//103 QDBusArgument::beginMapEntry()
    {11, 268, 0, 0, 0, 0, 27},	//104 QDBusArgument::endMapEntry()
    {11, 164, 195, 1, 0, 0, 28},	//105 QDBusArgument::appendVariant(const QVariant&)
    {11, 251, 0, 0, Smoke::mf_const, 121, 29},	//106 QDBusArgument::currentSignature() const
    {11, 252, 0, 0, Smoke::mf_const, 15, 30},	//107 QDBusArgument::currentType() const
    {11, 374, 197, 1, Smoke::mf_const, 247, 31},	//108 QDBusArgument::operator>>(unsigned char&) const
    {11, 374, 199, 1, Smoke::mf_const, 247, 32},	//109 QDBusArgument::operator>>(bool&) const
    {11, 374, 201, 1, Smoke::mf_const, 247, 33},	//110 QDBusArgument::operator>>(short&) const
    {11, 374, 203, 1, Smoke::mf_const, 247, 34},	//111 QDBusArgument::operator>>(unsigned short&) const
    {11, 374, 205, 1, Smoke::mf_const, 247, 35},	//112 QDBusArgument::operator>>(int&) const
    {11, 374, 207, 1, Smoke::mf_const, 247, 36},	//113 QDBusArgument::operator>>(unsigned int&) const
    {11, 374, 209, 1, Smoke::mf_const, 247, 37},	//114 QDBusArgument::operator>>(long long&) const
    {11, 374, 211, 1, Smoke::mf_const, 247, 38},	//115 QDBusArgument::operator>>(unsigned long long&) const
    {11, 374, 213, 1, Smoke::mf_const, 247, 39},	//116 QDBusArgument::operator>>(double&) const
    {11, 374, 215, 1, Smoke::mf_const, 247, 40},	//117 QDBusArgument::operator>>(QString&) const
    {11, 374, 217, 1, Smoke::mf_const, 247, 41},	//118 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 374, 219, 1, Smoke::mf_const, 247, 42},	//119 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 374, 221, 1, Smoke::mf_const, 247, 43},	//120 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 374, 223, 1, Smoke::mf_const, 247, 44},	//121 QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    {11, 374, 225, 1, Smoke::mf_const, 247, 45},	//122 QDBusArgument::operator>>(QStringList&) const
    {11, 374, 227, 1, Smoke::mf_const, 247, 46},	//123 QDBusArgument::operator>>(QByteArray&) const
    {11, 191, 0, 0, Smoke::mf_const, 0, 47},	//124 QDBusArgument::beginStructure() const
    {11, 269, 0, 0, Smoke::mf_const, 0, 48},	//125 QDBusArgument::endStructure() const
    {11, 186, 0, 0, Smoke::mf_const, 0, 49},	//126 QDBusArgument::beginArray() const
    {11, 266, 0, 0, Smoke::mf_const, 0, 50},	//127 QDBusArgument::endArray() const
    {11, 188, 0, 0, Smoke::mf_const, 0, 51},	//128 QDBusArgument::beginMap() const
    {11, 267, 0, 0, Smoke::mf_const, 0, 52},	//129 QDBusArgument::endMap() const
    {11, 190, 0, 0, Smoke::mf_const, 0, 53},	//130 QDBusArgument::beginMapEntry() const
    {11, 268, 0, 0, Smoke::mf_const, 0, 54},	//131 QDBusArgument::endMapEntry() const
    {11, 182, 0, 0, Smoke::mf_const, 238, 55},	//132 QDBusArgument::atEnd() const
    {11, 167, 0, 0, Smoke::mf_const, 138, 56},	//133 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//134 QDBusArgument::BasicType (enum)
    {11, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//135 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//136 QDBusArgument::ArrayType (enum)
    {11, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//137 QDBusArgument::StructureType (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//138 QDBusArgument::MapType (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 62},	//139 QDBusArgument::MapEntryType (enum)
    {11, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 63},	//140 QDBusArgument::UnknownType (enum)
    {11, 651, 0, 0, Smoke::mf_dtor, 0, 64 },	//141 QDBusArgument::~QDBusArgument()
    {12, 86, 68, 1, Smoke::mf_ctor, 18, 1},	//142 QDBusConnection::QDBusConnection(const QString&)
    {12, 86, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//143 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 357, 229, 1, 0, 17, 3},	//144 QDBusConnection::operator=(const QDBusConnection&)
    {12, 299, 0, 0, Smoke::mf_const, 238, 4},	//145 QDBusConnection::isConnected() const
    {12, 185, 0, 0, Smoke::mf_const, 121, 5},	//146 QDBusConnection::baseService() const
    {12, 308, 0, 0, Smoke::mf_const, 29, 6},	//147 QDBusConnection::lastError() const
    {12, 315, 0, 0, Smoke::mf_const, 121, 7},	//148 QDBusConnection::name() const
    {12, 237, 0, 0, Smoke::mf_const, 70, 8},	//149 QDBusConnection::connectionCapabilities() const
    {12, 581, 231, 1, Smoke::mf_const, 238, 9},	//150 QDBusConnection::send(const QDBusMessage&) const
    {12, 216, 233, 5, Smoke::mf_const, 238, 10},	//151 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 216, 239, 4, Smoke::mf_const, 238, 11},	//152 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 192, 244, 3, Smoke::mf_const, 34, 12},	//153 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 168, 248, 2, Smoke::mf_const, 40, 13},	//154 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 226, 251, 6, 0, 238, 14},	//155 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 226, 258, 7, 0, 238, 15},	//156 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 226, 266, 8, 0, 238, 16},	//157 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 256, 251, 6, 0, 238, 17},	//158 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 256, 258, 7, 0, 238, 18},	//159 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 256, 266, 8, 0, 238, 19},	//160 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 567, 275, 3, 0, 238, 20},	//161 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 640, 279, 2, 0, 0, 21},	//162 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 318, 68, 1, Smoke::mf_const, 112, 22},	//163 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 574, 282, 3, 0, 238, 23},	//164 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption)
    {12, 570, 68, 1, 0, 238, 24},	//165 QDBusConnection::registerService(const QString&)
    {12, 643, 68, 1, 0, 238, 25},	//166 QDBusConnection::unregisterService(const QString&)
    {12, 288, 0, 0, Smoke::mf_const, 24, 26},	//167 QDBusConnection::interface() const
    {12, 292, 0, 0, Smoke::mf_const, 332, 27},	//168 QDBusConnection::internalPointer() const
    {12, 232, 286, 2, Smoke::mf_static, 16, 28},	//169 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 232, 289, 2, Smoke::mf_static, 16, 29},	//170 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 234, 289, 2, Smoke::mf_static, 16, 30},	//171 QDBusConnection::connectToPeer(const QString&, const QString&)
    {12, 260, 68, 1, Smoke::mf_static, 0, 31},	//172 QDBusConnection::disconnectFromBus(const QString&)
    {12, 262, 68, 1, Smoke::mf_static, 0, 32},	//173 QDBusConnection::disconnectFromPeer(const QString&)
    {12, 309, 0, 0, Smoke::mf_static, 5, 33},	//174 QDBusConnection::localMachineId()
    {12, 600, 0, 0, Smoke::mf_static, 16, 34},	//175 QDBusConnection::sessionBus()
    {12, 625, 0, 0, Smoke::mf_static, 16, 35},	//176 QDBusConnection::systemBus()
    {12, 586, 0, 0, Smoke::mf_static, 16, 36},	//177 QDBusConnection::sender()
    {12, 216, 292, 4, Smoke::mf_const, 238, 37},	//178 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 216, 297, 3, Smoke::mf_const, 238, 38},	//179 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 192, 231, 1, Smoke::mf_const, 34, 39},	//180 QDBusConnection::call(const QDBusMessage&) const
    {12, 192, 301, 2, Smoke::mf_const, 34, 40},	//181 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 168, 231, 1, Smoke::mf_const, 40, 41},	//182 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 567, 304, 2, 0, 238, 42},	//183 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 640, 68, 1, 0, 0, 43},	//184 QDBusConnection::unregisterObject(const QString&)
    {12, 574, 307, 2, 0, 238, 44},	//185 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*)
    {12, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 45},	//186 QDBusConnection::staticMetaObject() const
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 46},	//187 QDBusConnection::SessionBus (enum)
    {12, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 47},	//188 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 48},	//189 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//190 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//191 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//192 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//193 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//194 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//195 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 55},	//196 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 56},	//197 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//198 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//199 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//200 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//201 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//202 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//203 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//204 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 64},	//205 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 65},	//206 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 66},	//207 QDBusConnection::ExportChildObjects (enum)
    {12, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 67},	//208 QDBusConnection::UnregisterNode (enum)
    {12, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 68},	//209 QDBusConnection::UnregisterTree (enum)
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 69},	//210 QDBusConnection::SingleNode (enum)
    {12, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 70},	//211 QDBusConnection::SubPath (enum)
    {12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 71},	//212 QDBusConnection::UnixFileDescriptorPassing (enum)
    {12, 652, 0, 0, Smoke::mf_dtor, 0, 72 },	//213 QDBusConnection::~QDBusConnection()
    {13, 314, 0, 0, Smoke::mf_const, 272, 1},	//214 QDBusConnectionInterface::metaObject() const
    {13, 554, 1, 1, 0, 332, 2},	//215 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 629, 3, 2, Smoke::mf_static, 121, 3},	//216 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 633, 3, 2, Smoke::mf_static, 121, 4},	//217 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 629, 6, 3, Smoke::mf_static, 121, 5},	//218 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 633, 6, 3, Smoke::mf_static, 121, 6},	//219 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 552, 10, 3, 0, 305, 7},	//220 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 577, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//221 QDBusConnectionInterface::registeredServiceNames() const
    {13, 304, 68, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//222 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 588, 68, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//223 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 643, 68, 1, Smoke::mf_slot, 47, 11},	//224 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 570, 310, 3, Smoke::mf_slot, 44, 12},	//225 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 592, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//226 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 596, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//227 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 622, 68, 1, Smoke::mf_slot, 49, 15},	//228 QDBusConnectionInterface::startService(const QString&)
    {13, 594, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//229 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 598, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//230 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 590, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//231 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 222, 318, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//232 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 66, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//233 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 68, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//234 QDBusConnectionInterface::NameLost(const QString&)
    {13, 70, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//235 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 230, 1, 1, Smoke::mf_protected, 0, 23},	//236 QDBusConnectionInterface::connectNotify(const char*)
    {13, 264, 1, 1, Smoke::mf_protected, 0, 24},	//237 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 629, 1, 1, Smoke::mf_static, 121, 25},	//238 QDBusConnectionInterface::tr(const char*)
    {13, 633, 1, 1, Smoke::mf_static, 121, 26},	//239 QDBusConnectionInterface::trUtf8(const char*)
    {13, 570, 68, 1, Smoke::mf_slot, 44, 27},	//240 QDBusConnectionInterface::registerService(const QString&)
    {13, 570, 321, 2, Smoke::mf_slot, 44, 28},	//241 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 29},	//242 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//243 QDBusConnectionInterface::DontQueueService (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//244 QDBusConnectionInterface::QueueService (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//245 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//246 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//247 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//248 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//249 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//250 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 89, 0, 0, Smoke::mf_ctor, 28, 1},	//251 QDBusContext::QDBusContext()
    {14, 224, 0, 0, Smoke::mf_const, 238, 2},	//252 QDBusContext::calledFromDBus() const
    {14, 236, 0, 0, Smoke::mf_const, 16, 3},	//253 QDBusContext::connection() const
    {14, 313, 0, 0, Smoke::mf_const, 251, 4},	//254 QDBusContext::message() const
    {14, 300, 0, 0, Smoke::mf_const, 238, 5},	//255 QDBusContext::isDelayedReply() const
    {14, 609, 16, 1, Smoke::mf_const, 0, 6},	//256 QDBusContext::setDelayedReply(bool) const
    {14, 583, 289, 2, Smoke::mf_const, 0, 7},	//257 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 583, 324, 2, Smoke::mf_const, 0, 8},	//258 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 89, 327, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//259 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 583, 68, 1, Smoke::mf_const, 0, 10},	//260 QDBusContext::sendErrorReply(const QString&) const
    {14, 583, 329, 1, Smoke::mf_const, 0, 11},	//261 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 653, 0, 0, Smoke::mf_dtor, 0, 12 },	//262 QDBusContext::~QDBusContext()
    {15, 91, 331, 1, Smoke::mf_ctor, 31, 1},	//263 QDBusError::QDBusError(const DBusError*)
    {15, 91, 231, 1, Smoke::mf_ctor, 31, 2},	//264 QDBusError::QDBusError(const QDBusMessage&)
    {15, 91, 324, 2, Smoke::mf_ctor, 31, 3},	//265 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 91, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//266 QDBusError::QDBusError(const QDBusError&)
    {15, 357, 333, 1, 0, 30, 5},	//267 QDBusError::operator=(const QDBusError&)
    {15, 637, 0, 0, Smoke::mf_const, 32, 6},	//268 QDBusError::type() const
    {15, 315, 0, 0, Smoke::mf_const, 121, 7},	//269 QDBusError::name() const
    {15, 313, 0, 0, Smoke::mf_const, 121, 8},	//270 QDBusError::message() const
    {15, 307, 0, 0, Smoke::mf_const, 238, 9},	//271 QDBusError::isValid() const
    {15, 273, 329, 1, Smoke::mf_static, 121, 10},	//272 QDBusError::errorString(QDBusError::ErrorType)
    {15, 91, 0, 0, Smoke::mf_ctor, 31, 11},	//273 QDBusError::QDBusError()
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//274 QDBusError::NoError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//275 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//276 QDBusError::Failed (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//277 QDBusError::NoMemory (enum)
    {15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//278 QDBusError::ServiceUnknown (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//279 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//280 QDBusError::BadAddress (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//281 QDBusError::NotSupported (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//282 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//283 QDBusError::AccessDenied (enum)
    {15, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//284 QDBusError::NoServer (enum)
    {15, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//285 QDBusError::Timeout (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//286 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//287 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//288 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//289 QDBusError::InvalidArgs (enum)
    {15, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//290 QDBusError::UnknownMethod (enum)
    {15, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//291 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//292 QDBusError::InvalidSignature (enum)
    {15, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//293 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//294 QDBusError::InternalError (enum)
    {15, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//295 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//296 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//297 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//298 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//299 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//300 QDBusError::LastErrorType (enum)
    {15, 654, 0, 0, Smoke::mf_dtor, 0, 39 },	//301 QDBusError::~QDBusError()
    {16, 94, 335, 5, Smoke::mf_ctor, 33, 1},	//302 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 2},	//303 QDBusInterface::metaObject() const
    {16, 554, 1, 1, Smoke::mf_virtual, 332, 3},	//304 QDBusInterface::qt_metacast(const char*)
    {16, 552, 10, 3, Smoke::mf_virtual, 305, 4},	//305 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 94, 289, 2, Smoke::mf_ctor, 33, 5},	//306 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 94, 314, 3, Smoke::mf_ctor, 33, 6},	//307 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 94, 341, 4, Smoke::mf_ctor, 33, 7},	//308 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 655, 0, 0, Smoke::mf_dtor, 0, 8 },	//309 QDBusInterface::~QDBusInterface()
    {17, 99, 0, 0, Smoke::mf_ctor, 36, 1},	//310 QDBusMessage::QDBusMessage()
    {17, 99, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//311 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 357, 231, 1, 0, 35, 3},	//312 QDBusMessage::operator=(const QDBusMessage&)
    {17, 249, 314, 3, Smoke::mf_static, 34, 4},	//313 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 244, 346, 4, Smoke::mf_static, 34, 5},	//314 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 238, 289, 2, Smoke::mf_static, 34, 6},	//315 QDBusMessage::createError(const QString&, const QString&)
    {17, 238, 333, 1, Smoke::mf_static, 34, 7},	//316 QDBusMessage::createError(const QDBusError&)
    {17, 238, 324, 2, Smoke::mf_static, 34, 8},	//317 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 246, 351, 1, Smoke::mf_const, 34, 9},	//318 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 246, 195, 1, Smoke::mf_const, 34, 10},	//319 QDBusMessage::createReply(const QVariant&) const
    {17, 241, 353, 2, Smoke::mf_const, 34, 11},	//320 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 241, 333, 1, Smoke::mf_const, 34, 12},	//321 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 241, 324, 2, Smoke::mf_const, 34, 13},	//322 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 587, 0, 0, Smoke::mf_const, 121, 14},	//323 QDBusMessage::service() const
    {17, 386, 0, 0, Smoke::mf_const, 121, 15},	//324 QDBusMessage::path() const
    {17, 288, 0, 0, Smoke::mf_const, 121, 16},	//325 QDBusMessage::interface() const
    {17, 312, 0, 0, Smoke::mf_const, 121, 17},	//326 QDBusMessage::member() const
    {17, 272, 0, 0, Smoke::mf_const, 121, 18},	//327 QDBusMessage::errorName() const
    {17, 271, 0, 0, Smoke::mf_const, 121, 19},	//328 QDBusMessage::errorMessage() const
    {17, 637, 0, 0, Smoke::mf_const, 37, 20},	//329 QDBusMessage::type() const
    {17, 619, 0, 0, Smoke::mf_const, 121, 21},	//330 QDBusMessage::signature() const
    {17, 303, 0, 0, Smoke::mf_const, 238, 22},	//331 QDBusMessage::isReplyRequired() const
    {17, 609, 16, 1, Smoke::mf_const, 0, 23},	//332 QDBusMessage::setDelayedReply(bool) const
    {17, 300, 0, 0, Smoke::mf_const, 238, 24},	//333 QDBusMessage::isDelayedReply() const
    {17, 605, 16, 1, 0, 0, 25},	//334 QDBusMessage::setAutoStartService(bool)
    {17, 184, 0, 0, Smoke::mf_const, 238, 26},	//335 QDBusMessage::autoStartService() const
    {17, 601, 351, 1, 0, 0, 27},	//336 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 166, 0, 0, Smoke::mf_const, 107, 28},	//337 QDBusMessage::arguments() const
    {17, 345, 195, 1, 0, 35, 29},	//338 QDBusMessage::operator<<(const QVariant&)
    {17, 246, 0, 0, Smoke::mf_const, 34, 30},	//339 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//340 QDBusMessage::InvalidMessage (enum)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//341 QDBusMessage::MethodCallMessage (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//342 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 34},	//343 QDBusMessage::ErrorMessage (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//344 QDBusMessage::SignalMessage (enum)
    {17, 656, 0, 0, Smoke::mf_dtor, 0, 36 },	//345 QDBusMessage::~QDBusMessage()
    {18, 565, 356, 3, Smoke::mf_static, 0, 1},	//346 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 310, 360, 3, Smoke::mf_static, 238, 2},	//347 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 254, 364, 3, Smoke::mf_static, 238, 3},	//348 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 620, 1, 1, Smoke::mf_static, 305, 4},	//349 QDBusMetaType::signatureToType(const char*)
    {18, 638, 18, 1, Smoke::mf_static, 299, 5},	//350 QDBusMetaType::typeToSignature(int)
    {18, 101, 0, 0, Smoke::mf_ctor, 38, 6},	//351 QDBusMetaType::QDBusMetaType()
    {18, 101, 368, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//352 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 657, 0, 0, Smoke::mf_dtor, 0, 8 },	//353 QDBusMetaType::~QDBusMetaType()
    {19, 103, 370, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//354 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 357, 370, 1, 0, 41, 2},	//355 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 302, 0, 0, Smoke::mf_const, 238, 3},	//356 QDBusPendingCall::isFinished() const
    {19, 645, 0, 0, 0, 0, 4},	//357 QDBusPendingCall::waitForFinished()
    {19, 301, 0, 0, Smoke::mf_const, 238, 5},	//358 QDBusPendingCall::isError() const
    {19, 307, 0, 0, Smoke::mf_const, 238, 6},	//359 QDBusPendingCall::isValid() const
    {19, 270, 0, 0, Smoke::mf_const, 29, 7},	//360 QDBusPendingCall::error() const
    {19, 580, 0, 0, Smoke::mf_const, 34, 8},	//361 QDBusPendingCall::reply() const
    {19, 282, 333, 1, Smoke::mf_static, 40, 9},	//362 QDBusPendingCall::fromError(const QDBusError&)
    {19, 280, 231, 1, Smoke::mf_static, 40, 10},	//363 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 658, 0, 0, Smoke::mf_dtor, 0, 11 },	//364 QDBusPendingCall::~QDBusPendingCall()
    {20, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//365 QDBusPendingCallWatcher::metaObject() const
    {20, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//366 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 629, 3, 2, Smoke::mf_static, 121, 3},	//367 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 633, 3, 2, Smoke::mf_static, 121, 4},	//368 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 629, 6, 3, Smoke::mf_static, 121, 5},	//369 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 633, 6, 3, Smoke::mf_static, 121, 6},	//370 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//371 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 105, 372, 2, Smoke::mf_ctor, 43, 8},	//372 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 645, 0, 0, 0, 0, 9},	//373 QDBusPendingCallWatcher::waitForFinished()
    {20, 278, 375, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//374 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 629, 1, 1, Smoke::mf_static, 121, 11},	//375 QDBusPendingCallWatcher::tr(const char*)
    {20, 633, 1, 1, Smoke::mf_static, 121, 12},	//376 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 105, 370, 1, Smoke::mf_ctor, 43, 13},	//377 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//378 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 659, 0, 0, Smoke::mf_dtor, 0, 15 },	//379 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//380 QDBusServer::metaObject() const
    {21, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//381 QDBusServer::qt_metacast(const char*)
    {21, 629, 3, 2, Smoke::mf_static, 121, 3},	//382 QDBusServer::tr(const char*, const char*)
    {21, 633, 3, 2, Smoke::mf_static, 121, 4},	//383 QDBusServer::trUtf8(const char*, const char*)
    {21, 629, 6, 3, Smoke::mf_static, 121, 5},	//384 QDBusServer::tr(const char*, const char*, int)
    {21, 633, 6, 3, Smoke::mf_static, 121, 6},	//385 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//386 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 108, 304, 2, Smoke::mf_ctor, 50, 8},	//387 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 299, 0, 0, Smoke::mf_const, 238, 9},	//388 QDBusServer::isConnected() const
    {21, 308, 0, 0, Smoke::mf_const, 29, 10},	//389 QDBusServer::lastError() const
    {21, 163, 0, 0, Smoke::mf_const, 121, 11},	//390 QDBusServer::address() const
    {21, 316, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//391 QDBusServer::newConnection(const QDBusConnection&)
    {21, 629, 1, 1, Smoke::mf_static, 121, 13},	//392 QDBusServer::tr(const char*)
    {21, 633, 1, 1, Smoke::mf_static, 121, 14},	//393 QDBusServer::trUtf8(const char*)
    {21, 108, 0, 0, Smoke::mf_ctor, 50, 15},	//394 QDBusServer::QDBusServer()
    {21, 108, 68, 1, Smoke::mf_ctor, 50, 16},	//395 QDBusServer::QDBusServer(const QString&)
    {21, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//396 QDBusServer::staticMetaObject() const
    {21, 660, 0, 0, Smoke::mf_dtor, 0, 18 },	//397 QDBusServer::~QDBusServer()
    {22, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//398 QDBusServiceWatcher::metaObject() const
    {22, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//399 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 629, 3, 2, Smoke::mf_static, 121, 3},	//400 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 633, 3, 2, Smoke::mf_static, 121, 4},	//401 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 629, 6, 3, Smoke::mf_static, 121, 5},	//402 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 633, 6, 3, Smoke::mf_static, 121, 6},	//403 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//404 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 111, 14, 1, Smoke::mf_ctor, 51, 8},	//405 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 111, 377, 4, Smoke::mf_ctor, 51, 9},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 647, 0, 0, Smoke::mf_const|Smoke::mf_property, 125, 10},	//407 QDBusServiceWatcher::watchedServices() const
    {22, 617, 188, 1, Smoke::mf_property, 0, 11},	//408 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 161, 68, 1, 0, 0, 12},	//409 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 578, 68, 1, 0, 238, 13},	//410 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 646, 0, 0, Smoke::mf_const, 73, 14},	//411 QDBusServiceWatcher::watchMode() const
    {22, 615, 382, 1, 0, 0, 15},	//412 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 236, 0, 0, Smoke::mf_const, 16, 16},	//413 QDBusServiceWatcher::connection() const
    {22, 607, 229, 1, 0, 0, 17},	//414 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 594, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//415 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 598, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//416 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 590, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//417 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 629, 1, 1, Smoke::mf_static, 121, 21},	//418 QDBusServiceWatcher::tr(const char*)
    {22, 633, 1, 1, Smoke::mf_static, 121, 22},	//419 QDBusServiceWatcher::trUtf8(const char*)
    {22, 111, 0, 0, Smoke::mf_ctor, 51, 23},	//420 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 111, 384, 2, Smoke::mf_ctor, 51, 24},	//421 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 111, 387, 3, Smoke::mf_ctor, 51, 25},	//422 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 26},	//423 QDBusServiceWatcher::staticMetaObject() const
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//424 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//425 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 29},	//426 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 661, 0, 0, Smoke::mf_dtor, 0, 30 },	//427 QDBusServiceWatcher::~QDBusServiceWatcher()
    {23, 116, 0, 0, Smoke::mf_ctor, 55, 1},	//428 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor()
    {23, 116, 18, 1, Smoke::mf_ctor, 55, 2},	//429 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(int)
    {23, 116, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//430 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(const QDBusUnixFileDescriptor&)
    {23, 357, 186, 1, 0, 54, 4},	//431 QDBusUnixFileDescriptor::operator=(const QDBusUnixFileDescriptor&)
    {23, 307, 0, 0, Smoke::mf_const, 238, 5},	//432 QDBusUnixFileDescriptor::isValid() const
    {23, 277, 0, 0, Smoke::mf_const, 305, 6},	//433 QDBusUnixFileDescriptor::fileDescriptor() const
    {23, 611, 18, 1, 0, 0, 7},	//434 QDBusUnixFileDescriptor::setFileDescriptor(int)
    {23, 284, 18, 1, 0, 0, 8},	//435 QDBusUnixFileDescriptor::giveFileDescriptor(int)
    {23, 626, 0, 0, 0, 305, 9},	//436 QDBusUnixFileDescriptor::takeFileDescriptor()
    {23, 306, 0, 0, Smoke::mf_static, 238, 10},	//437 QDBusUnixFileDescriptor::isSupported()
    {23, 662, 0, 0, Smoke::mf_dtor, 0, 11 },	//438 QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor()
    {25, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//439 QDBusVirtualObject::metaObject() const
    {25, 554, 1, 1, Smoke::mf_virtual, 332, 2},	//440 QDBusVirtualObject::qt_metacast(const char*)
    {25, 629, 3, 2, Smoke::mf_static, 121, 3},	//441 QDBusVirtualObject::tr(const char*, const char*)
    {25, 633, 3, 2, Smoke::mf_static, 121, 4},	//442 QDBusVirtualObject::trUtf8(const char*, const char*)
    {25, 629, 6, 3, Smoke::mf_static, 121, 5},	//443 QDBusVirtualObject::tr(const char*, const char*, int)
    {25, 633, 6, 3, Smoke::mf_static, 121, 6},	//444 QDBusVirtualObject::trUtf8(const char*, const char*, int)
    {25, 552, 10, 3, Smoke::mf_virtual, 305, 7},	//445 QDBusVirtualObject::qt_metacall(QMetaObject::Call, int, void**)
    {25, 119, 14, 1, Smoke::mf_ctor, 57, 8},	//446 QDBusVirtualObject::QDBusVirtualObject(QObject*)
    {25, 297, 68, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 9},	//447 QDBusVirtualObject::introspect(const QString&) const [pure virtual]
    {25, 286, 391, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 238, 10},	//448 QDBusVirtualObject::handleMessage(const QDBusMessage&, const QDBusConnection&) [pure virtual]
    {25, 629, 1, 1, Smoke::mf_static, 121, 11},	//449 QDBusVirtualObject::tr(const char*)
    {25, 633, 1, 1, Smoke::mf_static, 121, 12},	//450 QDBusVirtualObject::trUtf8(const char*)
    {25, 119, 0, 0, Smoke::mf_ctor, 57, 13},	//451 QDBusVirtualObject::QDBusVirtualObject()
    {25, 624, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//452 QDBusVirtualObject::staticMetaObject() const
    {25, 663, 0, 0, Smoke::mf_dtor, 0, 15 },	//453 QDBusVirtualObject::~QDBusVirtualObject()
    {33, 369, 394, 2, Smoke::mf_static, 238, 1},	//454 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {33, 434, 176, 1, Smoke::mf_static, 320, 2},	//455 QGlobalSpace::qHash(unsigned long long)
    {33, 383, 397, 2, Smoke::mf_static, 103, 3},	//456 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {33, 444, 178, 1, Smoke::mf_static, 238, 4},	//457 QGlobalSpace::qIsInf(double)
    {33, 383, 400, 2, Smoke::mf_static, 103, 5},	//458 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {33, 537, 403, 2, Smoke::mf_static, 320, 6},	//459 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {33, 456, 406, 3, Smoke::mf_static, 332, 7},	//460 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {33, 383, 410, 2, Smoke::mf_static, 72, 8},	//461 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {33, 556, 0, 0, Smoke::mf_static, 0, 9},	//462 QGlobalSpace::qt_noop()
    {33, 359, 413, 2, Smoke::mf_static, 238, 10},	//463 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {33, 345, 416, 2, Smoke::mf_static, 61, 11},	//464 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {33, 359, 419, 2, Smoke::mf_static, 238, 12},	//465 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {33, 359, 422, 2, Smoke::mf_static, 238, 13},	//466 QGlobalSpace::operator==(const QSize&, const QSize&)
    {33, 330, 425, 2, Smoke::mf_static, 244, 14},	//467 QGlobalSpace::operator+(const char*, const QByteArray&)
    {33, 383, 428, 2, Smoke::mf_static, 78, 15},	//468 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {33, 487, 431, 2, Smoke::mf_static, 238, 16},	//469 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {33, 518, 425, 2, Smoke::mf_static, 305, 17},	//470 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {33, 359, 434, 2, Smoke::mf_static, 238, 18},	//471 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {33, 396, 437, 2, Smoke::mf_static, 302, 19},	//472 QGlobalSpace::qAtan2(double, double)
    {33, 374, 440, 2, Smoke::mf_static, 58, 20},	//473 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {33, 369, 443, 2, Smoke::mf_static, 238, 21},	//474 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {33, 444, 446, 1, Smoke::mf_static, 238, 22},	//475 QGlobalSpace::qIsInf(float)
    {33, 509, 1, 1, Smoke::mf_static, 5, 23},	//476 QGlobalSpace::qgetenv(const char*)
    {33, 434, 448, 1, Smoke::mf_static, 320, 24},	//477 QGlobalSpace::qHash(signed char)
    {33, 359, 450, 2, Smoke::mf_static, 238, 25},	//478 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {33, 364, 425, 2, Smoke::mf_static, 238, 26},	//479 QGlobalSpace::operator>(const char*, const QByteArray&)
    {33, 440, 178, 1, Smoke::mf_static, 305, 27},	//480 QGlobalSpace::qIntCast(double)
    {33, 478, 453, 1, Smoke::mf_static, 132, 28},	//481 QGlobalSpace::qSetPadChar(QChar)
    {33, 359, 455, 2, Smoke::mf_static, 238, 29},	//482 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {33, 359, 458, 2, Smoke::mf_static, 238, 30},	//483 QGlobalSpace::operator==(QChar, QChar)
    {33, 359, 461, 2, Smoke::mf_static, 238, 31},	//484 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {33, 383, 464, 2, Smoke::mf_static, 99, 32},	//485 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {33, 434, 467, 1, Smoke::mf_static, 320, 33},	//486 QGlobalSpace::qHash(const QUrl&)
    {33, 345, 469, 2, Smoke::mf_static, 13, 34},	//487 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {33, 434, 190, 1, Smoke::mf_static, 320, 35},	//488 QGlobalSpace::qHash(const QByteArray&)
    {33, 345, 472, 2, Smoke::mf_static, 13, 36},	//489 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {33, 345, 475, 2, Smoke::mf_static, 61, 37},	//490 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {33, 340, 458, 2, Smoke::mf_static, 238, 38},	//491 QGlobalSpace::operator<(QChar, QChar)
    {33, 369, 458, 2, Smoke::mf_static, 238, 39},	//492 QGlobalSpace::operator>=(QChar, QChar)
    {33, 320, 478, 2, Smoke::mf_static, 238, 40},	//493 QGlobalSpace::operator!=(QString::Null, const QString&)
    {33, 345, 481, 2, Smoke::mf_static, 13, 41},	//494 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {33, 340, 425, 2, Smoke::mf_static, 238, 42},	//495 QGlobalSpace::operator<(const char*, const QByteArray&)
    {33, 383, 484, 2, Smoke::mf_static, 98, 43},	//496 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {33, 518, 3, 2, Smoke::mf_static, 305, 44},	//497 QGlobalSpace::qstrcmp(const char*, const char*)
    {33, 408, 178, 1, Smoke::mf_static, 302, 45},	//498 QGlobalSpace::qCos(double)
    {33, 383, 487, 2, Smoke::mf_static, 81, 46},	//499 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {33, 364, 458, 2, Smoke::mf_static, 238, 47},	//500 QGlobalSpace::operator>(QChar, QChar)
    {33, 345, 490, 2, Smoke::mf_static, 13, 48},	//501 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {33, 383, 493, 2, Smoke::mf_static, 101, 49},	//502 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {33, 327, 496, 2, Smoke::mf_static, 286, 50},	//503 QGlobalSpace::operator*(double, const QSizeF&)
    {33, 482, 0, 0, Smoke::mf_static, 238, 51},	//504 QGlobalSpace::qSharedBuild()
    {33, 383, 499, 2, Smoke::mf_static, 103, 52},	//505 QGlobalSpace::operator|(QDir::Filter, int)
    {33, 320, 394, 2, Smoke::mf_static, 238, 53},	//506 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {33, 335, 502, 2, Smoke::mf_static, 276, 54},	//507 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {33, 374, 505, 2, Smoke::mf_static, 247, 55},	//508 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {33, 345, 508, 2, Smoke::mf_static, 58, 56},	//509 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {33, 383, 511, 2, Smoke::mf_static, 103, 57},	//510 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {33, 383, 514, 2, Smoke::mf_static, 97, 58},	//511 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {33, 345, 517, 2, Smoke::mf_static, 13, 59},	//512 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {33, 434, 520, 1, Smoke::mf_static, 320, 60},	//513 QGlobalSpace::qHash(char)
    {33, 320, 419, 2, Smoke::mf_static, 238, 61},	//514 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {33, 383, 522, 2, Smoke::mf_static, 84, 62},	//515 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {33, 345, 525, 2, Smoke::mf_static, 61, 63},	//516 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {33, 383, 528, 2, Smoke::mf_static, 103, 64},	//517 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {33, 383, 531, 2, Smoke::mf_static, 103, 65},	//518 QGlobalSpace::operator|(QFile::Permission, int)
    {33, 338, 534, 2, Smoke::mf_static, 276, 66},	//519 QGlobalSpace::operator/(const QPoint&, double)
    {33, 330, 502, 2, Smoke::mf_static, 276, 67},	//520 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {33, 383, 537, 2, Smoke::mf_static, 76, 68},	//521 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {33, 330, 540, 2, Smoke::mf_static, 288, 69},	//522 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {33, 335, 543, 2, Smoke::mf_static, 286, 70},	//523 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {33, 345, 546, 2, Smoke::mf_static, 61, 71},	//524 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {33, 442, 178, 1, Smoke::mf_static, 238, 72},	//525 QGlobalSpace::qIsFinite(double)
    {33, 499, 549, 4, Smoke::mf_static, 241, 73},	//526 QGlobalSpace::qecvt(long double, int, int*, int*)
    {33, 320, 443, 2, Smoke::mf_static, 238, 74},	//527 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {33, 383, 554, 2, Smoke::mf_static, 93, 75},	//528 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {33, 345, 557, 2, Smoke::mf_static, 61, 76},	//529 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {33, 345, 560, 2, Smoke::mf_static, 61, 77},	//530 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {33, 340, 563, 2, Smoke::mf_static, 238, 78},	//531 QGlobalSpace::operator<(const char*, const QString&)
    {33, 383, 566, 2, Smoke::mf_static, 85, 79},	//532 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {33, 330, 422, 2, Smoke::mf_static, 284, 80},	//533 QGlobalSpace::operator+(const QSize&, const QSize&)
    {33, 383, 569, 2, Smoke::mf_static, 99, 81},	//534 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {33, 383, 572, 2, Smoke::mf_static, 90, 82},	//535 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {33, 548, 18, 1, Smoke::mf_static, 121, 83},	//536 QGlobalSpace::qt_error_string(int)
    {33, 548, 0, 0, Smoke::mf_static, 121, 84},	//537 QGlobalSpace::qt_error_string()
    {33, 330, 543, 2, Smoke::mf_static, 286, 85},	//538 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {33, 383, 575, 2, Smoke::mf_static, 103, 86},	//539 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {33, 340, 578, 2, Smoke::mf_static, 238, 87},	//540 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {33, 492, 581, 2, Smoke::mf_static, 5, 88},	//541 QGlobalSpace::qUncompress(const unsigned char*, int)
    {33, 531, 584, 3, Smoke::mf_static, 305, 89},	//542 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {33, 490, 178, 1, Smoke::mf_static, 302, 90},	//543 QGlobalSpace::qTan(double)
    {33, 364, 413, 2, Smoke::mf_static, 238, 91},	//544 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {33, 320, 588, 2, Smoke::mf_static, 238, 92},	//545 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {33, 476, 18, 1, Smoke::mf_static, 132, 93},	//546 QGlobalSpace::qSetFieldWidth(int)
    {33, 320, 591, 2, Smoke::mf_static, 238, 94},	//547 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {33, 383, 594, 2, Smoke::mf_static, 88, 95},	//548 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {33, 340, 591, 2, Smoke::mf_static, 238, 96},	//549 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {33, 424, 178, 1, Smoke::mf_static, 305, 97},	//550 QGlobalSpace::qFloor(double)
    {33, 345, 597, 2, Smoke::mf_static, 61, 98},	//551 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {33, 374, 600, 2, Smoke::mf_static, 58, 99},	//552 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {33, 442, 446, 1, Smoke::mf_static, 238, 100},	//553 QGlobalSpace::qIsFinite(float)
    {33, 330, 603, 2, Smoke::mf_static, 288, 101},	//554 QGlobalSpace::operator+(const QString&, QChar)
    {33, 320, 606, 2, Smoke::mf_static, 238, 102},	//555 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {33, 330, 443, 2, Smoke::mf_static, 244, 103},	//556 QGlobalSpace::operator+(const QByteArray&, const char*)
    {33, 497, 609, 3, Smoke::mf_static, 0, 104},	//557 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {33, 383, 613, 2, Smoke::mf_static, 83, 105},	//558 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {33, 330, 431, 2, Smoke::mf_static, 288, 106},	//559 QGlobalSpace::operator+(const QString&, const char*)
    {33, 364, 578, 2, Smoke::mf_static, 238, 107},	//560 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {33, 383, 616, 2, Smoke::mf_static, 96, 108},	//561 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {33, 465, 619, 4, Smoke::mf_static, 332, 109},	//562 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {33, 330, 624, 2, Smoke::mf_static, 288, 110},	//563 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {33, 434, 172, 1, Smoke::mf_static, 320, 111},	//564 QGlobalSpace::qHash(unsigned int)
    {33, 383, 627, 2, Smoke::mf_static, 98, 112},	//565 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {33, 434, 453, 1, Smoke::mf_static, 320, 113},	//566 QGlobalSpace::qHash(QChar)
    {33, 352, 443, 2, Smoke::mf_static, 238, 114},	//567 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {33, 440, 446, 1, Smoke::mf_static, 305, 115},	//568 QGlobalSpace::qIntCast(float)
    {33, 359, 630, 2, Smoke::mf_static, 238, 116},	//569 QGlobalSpace::operator==(const QRect&, const QRect&)
    {33, 383, 633, 2, Smoke::mf_static, 77, 117},	//570 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {33, 381, 636, 2, Smoke::mf_static, 2, 118},	//571 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {33, 364, 639, 2, Smoke::mf_static, 238, 119},	//572 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {33, 463, 642, 2, Smoke::mf_static, 332, 120},	//573 QGlobalSpace::qRealloc(void*, size_t)
    {33, 434, 68, 1, Smoke::mf_static, 320, 121},	//574 QGlobalSpace::qHash(const QString&)
    {33, 352, 578, 2, Smoke::mf_static, 238, 122},	//575 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {33, 345, 645, 2, Smoke::mf_static, 58, 123},	//576 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {33, 345, 648, 2, Smoke::mf_static, 61, 124},	//577 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {33, 473, 178, 1, Smoke::mf_static, 311, 125},	//578 QGlobalSpace::qRound64(double)
    {33, 438, 651, 1, Smoke::mf_static, 330, 126},	//579 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {33, 485, 178, 1, Smoke::mf_static, 302, 127},	//580 QGlobalSpace::qSqrt(double)
    {33, 434, 653, 1, Smoke::mf_static, 320, 128},	//581 QGlobalSpace::qHash(const QModelIndex&)
    {33, 418, 178, 1, Smoke::mf_static, 302, 129},	//582 QGlobalSpace::qFastCos(double)
    {33, 374, 655, 2, Smoke::mf_static, 58, 130},	//583 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {33, 359, 658, 2, Smoke::mf_static, 238, 131},	//584 QGlobalSpace::operator==(QBool, QBool)
    {33, 359, 661, 2, Smoke::mf_static, 238, 132},	//585 QGlobalSpace::operator==(const char*, const QStringRef&)
    {33, 383, 664, 2, Smoke::mf_static, 103, 133},	//586 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {33, 320, 563, 2, Smoke::mf_static, 238, 134},	//587 QGlobalSpace::operator!=(const char*, const QString&)
    {33, 446, 446, 1, Smoke::mf_static, 238, 135},	//588 QGlobalSpace::qIsNaN(float)
    {33, 434, 184, 1, Smoke::mf_static, 320, 136},	//589 QGlobalSpace::qHash(const QDBusSignature&)
    {33, 352, 639, 2, Smoke::mf_static, 238, 137},	//590 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {33, 422, 1, 1, Smoke::mf_static, 299, 138},	//591 QGlobalSpace::qFlagLocation(const char*)
    {33, 345, 667, 2, Smoke::mf_static, 61, 139},	//592 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {33, 383, 670, 2, Smoke::mf_static, 103, 140},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {33, 446, 178, 1, Smoke::mf_static, 238, 141},	//594 QGlobalSpace::qIsNaN(double)
    {33, 330, 673, 2, Smoke::mf_static, 288, 142},	//595 QGlobalSpace::operator+(QChar, const QString&)
    {33, 383, 676, 2, Smoke::mf_static, 103, 143},	//596 QGlobalSpace::operator|(QString::SectionFlag, int)
    {33, 383, 679, 2, Smoke::mf_static, 103, 144},	//597 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {33, 374, 682, 2, Smoke::mf_static, 58, 145},	//598 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {33, 542, 6, 3, Smoke::mf_static, 0, 146},	//599 QGlobalSpace::qt_assert(const char*, const char*, int)
    {33, 345, 685, 2, Smoke::mf_static, 13, 147},	//600 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {33, 434, 174, 1, Smoke::mf_static, 320, 148},	//601 QGlobalSpace::qHash(long long)
    {33, 320, 688, 2, Smoke::mf_static, 238, 149},	//602 QGlobalSpace::operator!=(const QString&, QString::Null)
    {33, 503, 549, 4, Smoke::mf_static, 241, 150},	//603 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {33, 383, 691, 2, Smoke::mf_static, 103, 151},	//604 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {33, 383, 694, 2, Smoke::mf_static, 83, 152},	//605 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {33, 330, 697, 2, Smoke::mf_static, 288, 153},	//606 QGlobalSpace::operator+(const QString&, char)
    {33, 374, 700, 2, Smoke::mf_static, 247, 154},	//607 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {33, 320, 455, 2, Smoke::mf_static, 238, 155},	//608 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {33, 335, 434, 2, Smoke::mf_static, 278, 156},	//609 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {33, 359, 606, 2, Smoke::mf_static, 238, 157},	//610 QGlobalSpace::operator==(QString::Null, QString::Null)
    {33, 383, 703, 2, Smoke::mf_static, 91, 158},	//611 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {33, 340, 639, 2, Smoke::mf_static, 238, 159},	//612 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {33, 383, 706, 2, Smoke::mf_static, 101, 160},	//613 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {33, 432, 446, 1, Smoke::mf_static, 238, 161},	//614 QGlobalSpace::qFuzzyIsNull(float)
    {33, 345, 709, 2, Smoke::mf_static, 13, 162},	//615 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {33, 345, 712, 2, Smoke::mf_static, 13, 163},	//616 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {33, 383, 715, 2, Smoke::mf_static, 95, 164},	//617 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {33, 523, 718, 2, Smoke::mf_static, 241, 165},	//618 QGlobalSpace::qstrcpy(char*, const char*)
    {33, 434, 18, 1, Smoke::mf_static, 320, 166},	//619 QGlobalSpace::qHash(int)
    {33, 330, 434, 2, Smoke::mf_static, 278, 167},	//620 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {33, 383, 721, 2, Smoke::mf_static, 86, 168},	//621 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {33, 359, 543, 2, Smoke::mf_static, 238, 169},	//622 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {33, 335, 724, 1, Smoke::mf_static, 276, 170},	//623 QGlobalSpace::operator-(const QPoint&)
    {33, 383, 726, 2, Smoke::mf_static, 103, 171},	//624 QGlobalSpace::operator|(Qt::DropAction, int)
    {33, 345, 729, 2, Smoke::mf_static, 58, 172},	//625 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {33, 383, 732, 2, Smoke::mf_static, 103, 173},	//626 QGlobalSpace::operator|(QDir::SortFlag, int)
    {33, 480, 18, 1, Smoke::mf_static, 132, 174},	//627 QGlobalSpace::qSetRealNumberPrecision(int)
    {33, 414, 178, 1, Smoke::mf_static, 302, 175},	//628 QGlobalSpace::qExp(double)
    {33, 359, 735, 2, Smoke::mf_static, 238, 176},	//629 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {33, 383, 738, 2, Smoke::mf_static, 73, 177},	//630 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {33, 450, 178, 1, Smoke::mf_static, 302, 178},	//631 QGlobalSpace::qLn(double)
    {33, 320, 543, 2, Smoke::mf_static, 238, 179},	//632 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {33, 467, 741, 1, Smoke::mf_static, 0, 180},	//633 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {33, 401, 403, 2, Smoke::mf_static, 325, 181},	//634 QGlobalSpace::qChecksum(const char*, unsigned int)
    {33, 383, 743, 2, Smoke::mf_static, 94, 182},	//635 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {33, 452, 746, 1, Smoke::mf_static, 332, 183},	//636 QGlobalSpace::qMalloc(size_t)
    {33, 462, 0, 0, Smoke::mf_static, 302, 184},	//637 QGlobalSpace::qQNaN()
    {33, 383, 748, 2, Smoke::mf_static, 87, 185},	//638 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {33, 374, 751, 2, Smoke::mf_static, 58, 186},	//639 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {33, 511, 425, 2, Smoke::mf_static, 238, 187},	//640 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {33, 345, 754, 2, Smoke::mf_static, 61, 188},	//641 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {33, 383, 757, 2, Smoke::mf_static, 103, 189},	//642 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {33, 516, 172, 1, Smoke::mf_static, 0, 190},	//643 QGlobalSpace::qsrand(unsigned int)
    {33, 434, 760, 1, Smoke::mf_static, 320, 191},	//644 QGlobalSpace::qHash(long)
    {33, 327, 762, 2, Smoke::mf_static, 276, 192},	//645 QGlobalSpace::operator*(int, const QPoint&)
    {33, 345, 765, 2, Smoke::mf_static, 13, 193},	//646 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {33, 359, 591, 2, Smoke::mf_static, 238, 194},	//647 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {33, 364, 394, 2, Smoke::mf_static, 238, 195},	//648 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {33, 434, 170, 1, Smoke::mf_static, 320, 196},	//649 QGlobalSpace::qHash(unsigned short)
    {33, 374, 768, 2, Smoke::mf_static, 58, 197},	//650 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {33, 320, 434, 2, Smoke::mf_static, 238, 198},	//651 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {33, 383, 771, 2, Smoke::mf_static, 78, 199},	//652 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {33, 535, 584, 3, Smoke::mf_static, 305, 200},	//653 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {33, 330, 774, 2, Smoke::mf_static, 288, 201},	//654 QGlobalSpace::operator+(char, const QString&)
    {33, 320, 777, 2, Smoke::mf_static, 238, 202},	//655 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 374, 780, 2, Smoke::mf_static, 58, 203},	//656 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {33, 359, 478, 2, Smoke::mf_static, 238, 204},	//657 QGlobalSpace::operator==(QString::Null, const QString&)
    {33, 359, 588, 2, Smoke::mf_static, 238, 205},	//658 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {33, 330, 639, 2, Smoke::mf_static, 244, 206},	//659 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {33, 434, 783, 1, Smoke::mf_static, 320, 207},	//660 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {33, 364, 563, 2, Smoke::mf_static, 238, 208},	//661 QGlobalSpace::operator>(const char*, const QString&)
    {33, 345, 785, 2, Smoke::mf_static, 58, 209},	//662 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {33, 345, 788, 2, Smoke::mf_static, 58, 210},	//663 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {33, 557, 791, 3, Smoke::mf_static, 112, 211},	//664 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {33, 383, 795, 2, Smoke::mf_static, 82, 212},	//665 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {33, 383, 798, 2, Smoke::mf_static, 73, 213},	//666 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {33, 338, 801, 2, Smoke::mf_static, 278, 214},	//667 QGlobalSpace::operator/(const QPointF&, double)
    {33, 320, 804, 2, Smoke::mf_static, 238, 215},	//668 QGlobalSpace::operator!=(bool, QBool)
    {33, 359, 578, 2, Smoke::mf_static, 238, 216},	//669 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {33, 533, 807, 3, Smoke::mf_static, 241, 217},	//670 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {33, 374, 811, 2, Smoke::mf_static, 247, 218},	//671 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {33, 492, 190, 1, Smoke::mf_static, 5, 219},	//672 QGlobalSpace::qUncompress(const QByteArray&)
    {33, 345, 814, 2, Smoke::mf_static, 58, 220},	//673 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {33, 374, 817, 2, Smoke::mf_static, 58, 221},	//674 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {33, 383, 820, 2, Smoke::mf_static, 103, 222},	//675 QGlobalSpace::operator|(Qt::MouseButton, int)
    {33, 335, 823, 1, Smoke::mf_static, 278, 223},	//676 QGlobalSpace::operator-(const QPointF&)
    {33, 359, 804, 2, Smoke::mf_static, 238, 224},	//677 QGlobalSpace::operator==(bool, QBool)
    {33, 513, 0, 0, Smoke::mf_static, 305, 225},	//678 QGlobalSpace::qrand()
    {33, 383, 825, 2, Smoke::mf_static, 71, 226},	//679 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {33, 345, 828, 2, Smoke::mf_static, 61, 227},	//680 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {33, 544, 831, 4, Smoke::mf_static, 0, 228},	//681 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {33, 411, 836, 3, Smoke::mf_static, 0, 229},	//682 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {33, 327, 840, 2, Smoke::mf_static, 276, 230},	//683 QGlobalSpace::operator*(float, const QPoint&)
    {33, 325, 636, 2, Smoke::mf_static, 2, 231},	//684 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {33, 369, 425, 2, Smoke::mf_static, 238, 232},	//685 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {33, 383, 843, 2, Smoke::mf_static, 96, 233},	//686 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {33, 383, 846, 2, Smoke::mf_static, 103, 234},	//687 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {33, 320, 849, 2, Smoke::mf_static, 238, 235},	//688 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {33, 410, 0, 0, Smoke::mf_static, 61, 236},	//689 QGlobalSpace::qCritical()
    {33, 345, 852, 2, Smoke::mf_static, 13, 237},	//690 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {33, 383, 855, 2, Smoke::mf_static, 90, 238},	//691 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {33, 320, 425, 2, Smoke::mf_static, 238, 239},	//692 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {33, 320, 502, 2, Smoke::mf_static, 238, 240},	//693 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {33, 340, 413, 2, Smoke::mf_static, 238, 241},	//694 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {33, 359, 849, 2, Smoke::mf_static, 238, 242},	//695 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {33, 345, 858, 2, Smoke::mf_static, 58, 243},	//696 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {33, 330, 861, 2, Smoke::mf_static, 244, 244},	//697 QGlobalSpace::operator+(const QByteArray&, char)
    {33, 383, 864, 2, Smoke::mf_static, 76, 245},	//698 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {33, 383, 867, 2, Smoke::mf_static, 74, 246},	//699 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {33, 374, 870, 2, Smoke::mf_static, 58, 247},	//700 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {33, 345, 873, 2, Smoke::mf_static, 61, 248},	//701 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {33, 338, 876, 2, Smoke::mf_static, 286, 249},	//702 QGlobalSpace::operator/(const QSizeF&, double)
    {33, 369, 578, 2, Smoke::mf_static, 238, 250},	//703 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {33, 345, 879, 2, Smoke::mf_static, 58, 251},	//704 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {33, 359, 502, 2, Smoke::mf_static, 238, 252},	//705 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {33, 389, 882, 1, Smoke::mf_static, 0, 253},	//706 QGlobalSpace::qAddPostRoutine(void(*)())
    {33, 403, 884, 3, Smoke::mf_static, 5, 254},	//707 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {33, 403, 581, 2, Smoke::mf_static, 5, 255},	//708 QGlobalSpace::qCompress(const unsigned char*, int)
    {33, 352, 425, 2, Smoke::mf_static, 238, 256},	//709 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {33, 420, 178, 1, Smoke::mf_static, 302, 257},	//710 QGlobalSpace::qFastSin(double)
    {33, 352, 394, 2, Smoke::mf_static, 238, 258},	//711 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {33, 345, 888, 2, Smoke::mf_static, 58, 259},	//712 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {33, 374, 891, 2, Smoke::mf_static, 58, 260},	//713 QGlobalSpace::operator>>(QDataStream&, QString&)
    {33, 391, 0, 0, Smoke::mf_static, 121, 261},	//714 QGlobalSpace::qAppName()
    {33, 495, 0, 0, Smoke::mf_static, 299, 262},	//715 QGlobalSpace::qVersion()
    {33, 374, 894, 2, Smoke::mf_static, 247, 263},	//716 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {33, 374, 897, 2, Smoke::mf_static, 247, 264},	//717 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {33, 426, 900, 1, Smoke::mf_static, 0, 265},	//718 QGlobalSpace::qFree(void*)
    {33, 383, 902, 2, Smoke::mf_static, 103, 266},	//719 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {33, 428, 900, 1, Smoke::mf_static, 0, 267},	//720 QGlobalSpace::qFreeAligned(void*)
    {33, 359, 688, 2, Smoke::mf_static, 238, 268},	//721 QGlobalSpace::operator==(const QString&, QString::Null)
    {33, 345, 905, 2, Smoke::mf_static, 61, 269},	//722 QGlobalSpace::operator<<(QDebug, const QDir&)
    {33, 345, 908, 2, Smoke::mf_static, 129, 270},	//723 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 340, 443, 2, Smoke::mf_static, 238, 271},	//724 QGlobalSpace::operator<(const QByteArray&, const char*)
    {33, 345, 911, 2, Smoke::mf_static, 61, 272},	//725 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {33, 374, 914, 2, Smoke::mf_static, 247, 273},	//726 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {33, 383, 917, 2, Smoke::mf_static, 77, 274},	//727 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {33, 434, 920, 1, Smoke::mf_static, 320, 275},	//728 QGlobalSpace::qHash(const QBitArray&)
    {33, 345, 922, 2, Smoke::mf_static, 61, 276},	//729 QGlobalSpace::operator<<(QDebug, const QTime&)
    {33, 345, 925, 2, Smoke::mf_static, 129, 277},	//730 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {33, 399, 178, 1, Smoke::mf_static, 305, 278},	//731 QGlobalSpace::qCeil(double)
    {33, 320, 458, 2, Smoke::mf_static, 238, 279},	//732 QGlobalSpace::operator!=(QChar, QChar)
    {33, 383, 928, 2, Smoke::mf_static, 89, 280},	//733 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {33, 487, 931, 2, Smoke::mf_static, 238, 281},	//734 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {33, 525, 1, 1, Smoke::mf_static, 241, 282},	//735 QGlobalSpace::qstrdup(const char*)
    {33, 383, 934, 2, Smoke::mf_static, 71, 283},	//736 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {33, 374, 937, 2, Smoke::mf_static, 58, 284},	//737 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {33, 352, 563, 2, Smoke::mf_static, 238, 285},	//738 QGlobalSpace::operator<=(const char*, const QString&)
    {33, 320, 661, 2, Smoke::mf_static, 238, 286},	//739 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {33, 413, 0, 0, Smoke::mf_static, 61, 287},	//740 QGlobalSpace::qDebug()
    {33, 345, 940, 2, Smoke::mf_static, 13, 288},	//741 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {33, 454, 943, 2, Smoke::mf_static, 332, 289},	//742 QGlobalSpace::qMallocAligned(size_t, size_t)
    {33, 320, 931, 2, Smoke::mf_static, 238, 290},	//743 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {33, 501, 946, 6, Smoke::mf_static, 305, 291},	//744 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {33, 434, 182, 1, Smoke::mf_static, 320, 292},	//745 QGlobalSpace::qHash(const QDBusObjectPath&)
    {33, 374, 953, 2, Smoke::mf_static, 247, 293},	//746 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {33, 460, 437, 2, Smoke::mf_static, 302, 294},	//747 QGlobalSpace::qPow(double, double)
    {33, 352, 413, 2, Smoke::mf_static, 238, 295},	//748 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {33, 345, 956, 2, Smoke::mf_static, 61, 296},	//749 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {33, 383, 959, 2, Smoke::mf_static, 103, 297},	//750 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {33, 374, 908, 2, Smoke::mf_static, 129, 298},	//751 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 330, 962, 2, Smoke::mf_static, 244, 299},	//752 QGlobalSpace::operator+(char, const QByteArray&)
    {33, 359, 425, 2, Smoke::mf_static, 238, 300},	//753 QGlobalSpace::operator==(const char*, const QByteArray&)
    {33, 345, 965, 2, Smoke::mf_static, 58, 301},	//754 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {33, 374, 968, 2, Smoke::mf_static, 247, 302},	//755 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {33, 335, 422, 2, Smoke::mf_static, 284, 303},	//756 QGlobalSpace::operator-(const QSize&, const QSize&)
    {33, 374, 971, 2, Smoke::mf_static, 247, 304},	//757 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {33, 345, 974, 2, Smoke::mf_static, 61, 305},	//758 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {33, 330, 563, 2, Smoke::mf_static, 288, 306},	//759 QGlobalSpace::operator+(const char*, const QString&)
    {33, 383, 977, 2, Smoke::mf_static, 103, 307},	//760 QGlobalSpace::operator|(Qt::WindowState, int)
    {33, 374, 980, 2, Smoke::mf_static, 58, 308},	//761 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {33, 320, 735, 2, Smoke::mf_static, 238, 309},	//762 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {33, 345, 983, 2, Smoke::mf_static, 61, 310},	//763 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {33, 383, 986, 2, Smoke::mf_static, 93, 311},	//764 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {33, 327, 989, 2, Smoke::mf_static, 278, 312},	//765 QGlobalSpace::operator*(double, const QPointF&)
    {33, 374, 992, 2, Smoke::mf_static, 58, 313},	//766 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {33, 383, 995, 2, Smoke::mf_static, 88, 314},	//767 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {33, 359, 394, 2, Smoke::mf_static, 238, 315},	//768 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {33, 327, 998, 2, Smoke::mf_static, 284, 316},	//769 QGlobalSpace::operator*(const QSize&, double)
    {33, 345, 1001, 2, Smoke::mf_static, 61, 317},	//770 QGlobalSpace::operator<<(QDebug, const QDate&)
    {33, 383, 1004, 2, Smoke::mf_static, 103, 318},	//771 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {33, 383, 1007, 2, Smoke::mf_static, 74, 319},	//772 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {33, 563, 1010, 4, Smoke::mf_static, 305, 320},	//773 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {33, 327, 1015, 2, Smoke::mf_static, 276, 321},	//774 QGlobalSpace::operator*(double, const QPoint&)
    {33, 458, 1018, 3, Smoke::mf_static, 332, 322},	//775 QGlobalSpace::qMemSet(void*, int, size_t)
    {33, 345, 1022, 2, Smoke::mf_static, 58, 323},	//776 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {33, 546, 1025, 2, Smoke::mf_static, 0, 324},	//777 QGlobalSpace::qt_check_pointer(const char*, int)
    {33, 434, 168, 1, Smoke::mf_static, 320, 325},	//778 QGlobalSpace::qHash(short)
    {33, 383, 1028, 2, Smoke::mf_static, 79, 326},	//779 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {33, 416, 178, 1, Smoke::mf_static, 302, 327},	//780 QGlobalSpace::qFabs(double)
    {33, 383, 1031, 2, Smoke::mf_static, 87, 328},	//781 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {33, 383, 1034, 2, Smoke::mf_static, 75, 329},	//782 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {33, 518, 639, 2, Smoke::mf_static, 305, 330},	//783 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {33, 430, 1037, 2, Smoke::mf_static, 238, 331},	//784 QGlobalSpace::qFuzzyCompare(float, float)
    {33, 359, 1040, 2, Smoke::mf_static, 238, 332},	//785 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {33, 383, 1043, 2, Smoke::mf_static, 80, 333},	//786 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {33, 505, 946, 6, Smoke::mf_static, 305, 334},	//787 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {33, 507, 1046, 3, Smoke::mf_static, 241, 335},	//788 QGlobalSpace::qgcvt(long double, int, char*)
    {33, 514, 1050, 4, Smoke::mf_static, 0, 336},	//789 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {33, 387, 178, 1, Smoke::mf_static, 302, 337},	//790 QGlobalSpace::qAcos(double)
    {33, 383, 1055, 2, Smoke::mf_static, 103, 338},	//791 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {33, 383, 1058, 2, Smoke::mf_static, 91, 339},	//792 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {33, 374, 1061, 2, Smoke::mf_static, 247, 340},	//793 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {33, 369, 639, 2, Smoke::mf_static, 238, 341},	//794 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {33, 398, 0, 0, Smoke::mf_static, 0, 342},	//795 QGlobalSpace::qBadAlloc()
    {33, 345, 1064, 2, Smoke::mf_static, 61, 343},	//796 QGlobalSpace::operator<<(QDebug, const QLine&)
    {33, 383, 1067, 2, Smoke::mf_static, 97, 344},	//797 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {33, 383, 1070, 2, Smoke::mf_static, 103, 345},	//798 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {33, 432, 178, 1, Smoke::mf_static, 238, 346},	//799 QGlobalSpace::qFuzzyIsNull(double)
    {33, 403, 1073, 2, Smoke::mf_static, 5, 347},	//800 QGlobalSpace::qCompress(const QByteArray&, int)
    {33, 403, 190, 1, Smoke::mf_static, 5, 348},	//801 QGlobalSpace::qCompress(const QByteArray&)
    {33, 383, 1076, 2, Smoke::mf_static, 85, 349},	//802 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {33, 383, 1079, 2, Smoke::mf_static, 103, 350},	//803 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {33, 383, 1082, 2, Smoke::mf_static, 100, 351},	//804 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {33, 383, 1085, 2, Smoke::mf_static, 69, 352},	//805 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {33, 345, 1088, 2, Smoke::mf_static, 58, 353},	//806 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {33, 345, 1091, 2, Smoke::mf_static, 58, 354},	//807 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {33, 345, 1094, 2, Smoke::mf_static, 58, 355},	//808 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {33, 392, 178, 1, Smoke::mf_static, 302, 356},	//809 QGlobalSpace::qAsin(double)
    {33, 345, 1097, 2, Smoke::mf_static, 61, 357},	//810 QGlobalSpace::operator<<(QDebug, const QRect&)
    {33, 374, 1100, 2, Smoke::mf_static, 247, 358},	//811 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {33, 383, 1103, 2, Smoke::mf_static, 75, 359},	//812 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {33, 320, 630, 2, Smoke::mf_static, 238, 360},	//813 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {33, 483, 178, 1, Smoke::mf_static, 302, 361},	//814 QGlobalSpace::qSin(double)
    {33, 383, 1106, 2, Smoke::mf_static, 103, 362},	//815 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {33, 359, 639, 2, Smoke::mf_static, 238, 363},	//816 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {33, 374, 1109, 2, Smoke::mf_static, 58, 364},	//817 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {33, 383, 636, 2, Smoke::mf_static, 2, 365},	//818 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {33, 345, 1112, 2, Smoke::mf_static, 58, 366},	//819 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {33, 345, 1115, 2, Smoke::mf_static, 58, 367},	//820 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {33, 383, 1118, 2, Smoke::mf_static, 103, 368},	//821 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {33, 345, 1121, 2, Smoke::mf_static, 58, 369},	//822 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {33, 539, 1025, 2, Smoke::mf_static, 121, 370},	//823 QGlobalSpace::qtTrId(const char*, int)
    {33, 539, 1, 1, Smoke::mf_static, 121, 371},	//824 QGlobalSpace::qtTrId(const char*)
    {33, 345, 1124, 2, Smoke::mf_static, 61, 372},	//825 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {33, 352, 458, 2, Smoke::mf_static, 238, 373},	//826 QGlobalSpace::operator<=(QChar, QChar)
    {33, 374, 1127, 2, Smoke::mf_static, 247, 374},	//827 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {33, 383, 1130, 2, Smoke::mf_static, 100, 375},	//828 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {33, 320, 1040, 2, Smoke::mf_static, 238, 376},	//829 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {33, 383, 1133, 2, Smoke::mf_static, 92, 377},	//830 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {33, 374, 1136, 2, Smoke::mf_static, 58, 378},	//831 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {33, 327, 1139, 2, Smoke::mf_static, 276, 379},	//832 QGlobalSpace::operator*(const QPoint&, int)
    {33, 374, 1142, 2, Smoke::mf_static, 58, 380},	//833 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {33, 561, 1145, 3, Smoke::mf_static, 238, 381},	//834 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {33, 338, 998, 2, Smoke::mf_static, 284, 382},	//835 QGlobalSpace::operator/(const QSize&, double)
    {33, 448, 446, 1, Smoke::mf_static, 238, 383},	//836 QGlobalSpace::qIsNull(float)
    {33, 383, 1149, 2, Smoke::mf_static, 72, 384},	//837 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {33, 345, 1152, 2, Smoke::mf_static, 13, 385},	//838 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {33, 559, 1155, 5, Smoke::mf_static, 0, 386},	//839 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {33, 359, 1161, 2, Smoke::mf_static, 238, 387},	//840 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {33, 394, 178, 1, Smoke::mf_static, 302, 388},	//841 QGlobalSpace::qAtan(double)
    {33, 374, 1164, 2, Smoke::mf_static, 58, 389},	//842 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {33, 383, 1167, 2, Smoke::mf_static, 103, 390},	//843 QGlobalSpace::operator|(Qt::Orientation, int)
    {33, 430, 437, 2, Smoke::mf_static, 238, 391},	//844 QGlobalSpace::qFuzzyCompare(double, double)
    {33, 320, 413, 2, Smoke::mf_static, 238, 392},	//845 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {33, 327, 534, 2, Smoke::mf_static, 276, 393},	//846 QGlobalSpace::operator*(const QPoint&, double)
    {33, 383, 1170, 2, Smoke::mf_static, 89, 394},	//847 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {33, 383, 1173, 2, Smoke::mf_static, 79, 395},	//848 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {33, 475, 0, 0, Smoke::mf_static, 302, 396},	//849 QGlobalSpace::qSNaN()
    {33, 359, 777, 2, Smoke::mf_static, 238, 397},	//850 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 359, 443, 2, Smoke::mf_static, 238, 398},	//851 QGlobalSpace::operator==(const QByteArray&, const char*)
    {33, 327, 876, 2, Smoke::mf_static, 286, 399},	//852 QGlobalSpace::operator*(const QSizeF&, double)
    {33, 359, 931, 2, Smoke::mf_static, 238, 400},	//853 QGlobalSpace::operator==(const QStringRef&, const char*)
    {33, 383, 1176, 2, Smoke::mf_static, 103, 401},	//854 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {33, 327, 1179, 2, Smoke::mf_static, 276, 402},	//855 QGlobalSpace::operator*(const QPoint&, float)
    {33, 327, 1182, 2, Smoke::mf_static, 284, 403},	//856 QGlobalSpace::operator*(double, const QSize&)
    {33, 345, 1185, 2, Smoke::mf_static, 13, 404},	//857 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {33, 340, 394, 2, Smoke::mf_static, 238, 405},	//858 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {33, 320, 1188, 2, Smoke::mf_static, 238, 406},	//859 QGlobalSpace::operator!=(QBool, bool)
    {33, 320, 422, 2, Smoke::mf_static, 238, 407},	//860 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {33, 374, 1191, 2, Smoke::mf_static, 58, 408},	//861 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {33, 345, 1194, 2, Smoke::mf_static, 61, 409},	//862 QGlobalSpace::operator<<(QDebug, const QSize&)
    {33, 320, 578, 2, Smoke::mf_static, 238, 410},	//863 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {33, 383, 1197, 2, Smoke::mf_static, 84, 411},	//864 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {33, 327, 801, 2, Smoke::mf_static, 278, 412},	//865 QGlobalSpace::operator*(const QPointF&, double)
    {33, 527, 3, 2, Smoke::mf_static, 305, 413},	//866 QGlobalSpace::qstricmp(const char*, const char*)
    {33, 383, 1200, 2, Smoke::mf_static, 95, 414},	//867 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {33, 340, 777, 2, Smoke::mf_static, 238, 415},	//868 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 320, 450, 2, Smoke::mf_static, 238, 416},	//869 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {33, 471, 178, 1, Smoke::mf_static, 305, 417},	//870 QGlobalSpace::qRound(double)
    {33, 437, 0, 0, Smoke::mf_static, 302, 418},	//871 QGlobalSpace::qInf()
    {33, 345, 1203, 2, Smoke::mf_static, 58, 419},	//872 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {33, 383, 1206, 2, Smoke::mf_static, 92, 420},	//873 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {33, 345, 1209, 2, Smoke::mf_static, 58, 421},	//874 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {33, 383, 1212, 2, Smoke::mf_static, 80, 422},	//875 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {33, 383, 1215, 2, Smoke::mf_static, 103, 423},	//876 QGlobalSpace::operator|(Qt::WindowType, int)
    {33, 518, 443, 2, Smoke::mf_static, 305, 424},	//877 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {33, 469, 882, 1, Smoke::mf_static, 0, 425},	//878 QGlobalSpace::qRemovePostRoutine(void(*)())
    {33, 374, 1218, 2, Smoke::mf_static, 58, 426},	//879 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {33, 345, 1221, 2, Smoke::mf_static, 58, 427},	//880 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {33, 383, 1224, 2, Smoke::mf_static, 94, 428},	//881 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {33, 383, 1227, 2, Smoke::mf_static, 103, 429},	//882 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {33, 383, 1230, 2, Smoke::mf_static, 86, 430},	//883 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {33, 496, 0, 0, Smoke::mf_static, 61, 431},	//884 QGlobalSpace::qWarning()
    {33, 529, 1, 1, Smoke::mf_static, 320, 432},	//885 QGlobalSpace::qstrlen(const char*)
    {33, 359, 1188, 2, Smoke::mf_static, 238, 433},	//886 QGlobalSpace::operator==(QBool, bool)
    {33, 374, 1233, 2, Smoke::mf_static, 58, 434},	//887 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {33, 374, 1236, 2, Smoke::mf_static, 58, 435},	//888 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {33, 434, 1239, 1, Smoke::mf_static, 320, 436},	//889 QGlobalSpace::qHash(unsigned long)
    {33, 345, 1241, 2, Smoke::mf_static, 58, 437},	//890 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {33, 345, 1244, 2, Smoke::mf_static, 58, 438},	//891 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {33, 383, 1247, 2, Smoke::mf_static, 81, 439},	//892 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {33, 359, 563, 2, Smoke::mf_static, 238, 440},	//893 QGlobalSpace::operator==(const char*, const QString&)
    {33, 383, 1250, 2, Smoke::mf_static, 82, 441},	//894 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {33, 330, 289, 2, Smoke::mf_static, 288, 442},	//895 QGlobalSpace::operator+(const QString&, const QString&)
    {33, 320, 658, 2, Smoke::mf_static, 238, 443},	//896 QGlobalSpace::operator!=(QBool, QBool)
    {33, 383, 1253, 2, Smoke::mf_static, 69, 444},	//897 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {33, 550, 1256, 2, Smoke::mf_static, 0, 445},	//898 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {33, 369, 563, 2, Smoke::mf_static, 238, 446},	//899 QGlobalSpace::operator>=(const char*, const QString&)
    {33, 434, 1259, 1, Smoke::mf_static, 320, 447},	//900 QGlobalSpace::qHash(const QStringRef&)
    {33, 448, 178, 1, Smoke::mf_static, 238, 448},	//901 QGlobalSpace::qIsNull(double)
    {33, 383, 1261, 2, Smoke::mf_static, 103, 449},	//902 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {33, 369, 413, 2, Smoke::mf_static, 238, 450},	//903 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {33, 364, 443, 2, Smoke::mf_static, 238, 451},	//904 QGlobalSpace::operator>(const QByteArray&, const char*)
    {33, 434, 166, 1, Smoke::mf_static, 320, 452},	//905 QGlobalSpace::qHash(unsigned char)
    {33, 374, 1264, 2, Smoke::mf_static, 58, 453},	//906 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {33, 345, 1267, 2, Smoke::mf_static, 61, 454},	//907 QGlobalSpace::operator<<(QDebug, const QObject*)
    {33, 383, 1270, 2, Smoke::mf_static, 103, 455},	//908 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {33, 320, 639, 2, Smoke::mf_static, 238, 456},	//909 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {33, 345, 1273, 2, Smoke::mf_static, 13, 457},	//910 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {33, 374, 1276, 2, Smoke::mf_static, 58, 458},	//911 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {33, 345, 1279, 2, Smoke::mf_static, 58, 459},	//912 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {33, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 460},	//913 QGlobalSpace::_IEEE_ (enum)
    {33, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 461},	//914 QGlobalSpace::_SVID_ (enum)
    {33, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 462},	//915 QGlobalSpace::_XOPEN_ (enum)
    {33, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 463},	//916 QGlobalSpace::_POSIX_ (enum)
    {33, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 464},	//917 QGlobalSpace::_ISOC_ (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 465},	//918 QGlobalSpace::LicensedGui (enum)
    {33, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 466},	//919 QGlobalSpace::LicensedXml (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 467},	//920 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 468},	//921 QGlobalSpace::LicensedScript (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 469},	//922 QGlobalSpace::LicensedOpenVG (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 470},	//923 QGlobalSpace::LicensedDBus (enum)
    {33, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 471},	//924 QGlobalSpace::LicensedTest (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 472},	//925 QGlobalSpace::LicensedActiveQt (enum)
    {33, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 473},	//926 QGlobalSpace::LicensedScriptTools (enum)
    {33, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 474},	//927 QGlobalSpace::LicensedSvg (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 475},	//928 QGlobalSpace::LicensedDeclarative (enum)
    {33, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 476},	//929 QGlobalSpace::LicensedSql (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 477},	//930 QGlobalSpace::LicensedOpenGL (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 478},	//931 QGlobalSpace::LicensedCore (enum)
    {33, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 479},	//932 QGlobalSpace::QtDebugMsg (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 480},	//933 QGlobalSpace::QtWarningMsg (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 481},	//934 QGlobalSpace::QtCriticalMsg (enum)
    {33, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 482},	//935 QGlobalSpace::QtFatalMsg (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 483},	//936 QGlobalSpace::QtSystemMsg (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 484},	//937 QGlobalSpace::LicensedHelp (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 485},	//938 QGlobalSpace::LicensedMultimedia (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 486},	//939 QGlobalSpace::LicensedQt3Support (enum)
    {33, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 487},	//940 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 488},	//941 QGlobalSpace::LicensedNetwork (enum)
    {33, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 489},	//942 QGlobalSpace::__codecvt_ok (enum)
    {33, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 490},	//943 QGlobalSpace::__codecvt_partial (enum)
    {33, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 491},	//944 QGlobalSpace::__codecvt_error (enum)
    {33, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 492},	//945 QGlobalSpace::__codecvt_noconv (enum)
    {43, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//946 QObject::metaObject() const
    {43, 554, 1, 1, Smoke::mf_virtual, 332, 0},	//947 QObject::qt_metacast(const char*)
    {43, 275, 1282, 1, Smoke::mf_virtual, 238, 0},	//948 QObject::event(QEvent*)
    {43, 276, 1284, 2, Smoke::mf_virtual, 238, 0},	//949 QObject::eventFilter(QObject*, QEvent*)
    {43, 628, 1287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//950 QObject::timerEvent(QTimerEvent*)
    {43, 225, 1289, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//951 QObject::childEvent(QChildEvent*)
    {43, 253, 1282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//952 QObject::customEvent(QEvent*)
    {43, 230, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//953 QObject::connectNotify(const char*)
    {43, 264, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//954 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    506,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    545,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    555,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    608,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    632,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    651,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    688,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    693,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    732,  // QGlobalSpace::operator!=(QChar, QChar)
    762,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    813,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    829,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    860,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    863,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    896,  // QGlobalSpace::operator!=(QBool, QBool)
    909,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    493,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    514,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    527,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    743,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    859,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    602,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    668,  // QGlobalSpace::operator!=(bool, QBool)
    692,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    739,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    845,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    869,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    547,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    587,  // QGlobalSpace::operator!=(const char*, const QString&)
    655,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    769,  // QGlobalSpace::operator*(const QSize&, double)
    832,  // QGlobalSpace::operator*(const QPoint&, int)
    846,  // QGlobalSpace::operator*(const QPoint&, double)
    852,  // QGlobalSpace::operator*(const QSizeF&, double)
    855,  // QGlobalSpace::operator*(const QPoint&, float)
    865,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    503,  // QGlobalSpace::operator*(double, const QSizeF&)
    645,  // QGlobalSpace::operator*(int, const QPoint&)
    683,  // QGlobalSpace::operator*(float, const QPoint&)
    765,  // QGlobalSpace::operator*(double, const QPointF&)
    774,  // QGlobalSpace::operator*(double, const QPoint&)
    856,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    520,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    533,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    538,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    620,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    659,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    556,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    563,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    595,  // QGlobalSpace::operator+(QChar, const QString&)
    697,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    467,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    522,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    554,  // QGlobalSpace::operator+(const QString&, QChar)
    752,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    559,  // QGlobalSpace::operator+(const QString&, const char*)
    606,  // QGlobalSpace::operator+(const QString&, char)
    654,  // QGlobalSpace::operator+(char, const QString&)
    759,  // QGlobalSpace::operator+(const char*, const QString&)
    895,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    623,  // QGlobalSpace::operator-(const QPoint&)
    676,  // QGlobalSpace::operator-(const QPointF&)
    0,
    507,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    523,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    609,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    756,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    519,  // QGlobalSpace::operator/(const QPoint&, double)
    667,  // QGlobalSpace::operator/(const QPointF&, double)
    702,  // QGlobalSpace::operator/(const QSizeF&, double)
    835,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    491,  // QGlobalSpace::operator<(QChar, QChar)
    540,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    612,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    858,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    495,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    694,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    531,  // QGlobalSpace::operator<(const char*, const QString&)
    549,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    868,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    487,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    489,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    490,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    501,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    509,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    512,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    524,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    529,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    530,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    551,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    577,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    592,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    615,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    616,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    646,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    663,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    680,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    690,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    701,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    704,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    722,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    723,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    725,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    729,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    730,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    749,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    758,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    770,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    796,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    806,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    807,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    808,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    810,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    819,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    820,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    822,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    825,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    838,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    857,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    862,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    874,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    880,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    890,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    891,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    907,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    910,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    912,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    464,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    641,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    763,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    872,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    494,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    600,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    696,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    741,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    575,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    590,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    711,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    826,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    709,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    748,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    466,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    471,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    482,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    483,  // QGlobalSpace::operator==(QChar, QChar)
    484,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    569,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    584,  // QGlobalSpace::operator==(QBool, QBool)
    610,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    622,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    629,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    658,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    669,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    695,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    705,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    768,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    785,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    816,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    840,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    465,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    657,  // QGlobalSpace::operator==(QString::Null, const QString&)
    851,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    853,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    886,  // QGlobalSpace::operator==(QBool, bool)
    0,
    463,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    478,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    585,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    677,  // QGlobalSpace::operator==(bool, QBool)
    721,  // QGlobalSpace::operator==(const QString&, QString::Null)
    753,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    647,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    850,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    893,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    500,  // QGlobalSpace::operator>(QChar, QChar)
    560,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    572,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    648,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    479,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    544,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    454,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    492,  // QGlobalSpace::operator>=(QChar, QChar)
    703,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    794,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    685,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    903,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    473,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    508,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    552,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    607,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    656,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    671,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    700,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    716,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    717,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    726,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    737,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    746,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    751,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    755,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    757,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    761,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    766,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    793,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    811,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    817,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    827,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    831,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    842,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    861,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    879,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    887,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    888,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    906,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    911,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    713,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    833,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    456,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    458,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    461,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    468,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    485,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    496,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    499,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    502,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    505,  // QGlobalSpace::operator|(QDir::Filter, int)
    510,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    511,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    515,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    517,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    518,  // QGlobalSpace::operator|(QFile::Permission, int)
    521,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    528,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    532,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    534,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    535,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    539,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    548,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    558,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    561,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    565,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    570,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    586,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    596,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    597,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    604,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    605,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    611,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    613,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    617,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    621,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    624,  // QGlobalSpace::operator|(Qt::DropAction, int)
    626,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    630,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    635,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    638,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    642,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    652,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    665,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    666,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    675,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    679,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    686,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    687,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    691,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    698,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    699,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    719,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    727,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    733,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    736,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    750,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    760,  // QGlobalSpace::operator|(Qt::WindowState, int)
    764,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    767,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    771,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    772,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    779,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    781,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    782,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    786,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    791,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    792,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    797,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    798,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    802,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    803,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    804,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    805,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    812,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    815,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    821,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    828,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    830,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    837,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    843,  // QGlobalSpace::operator|(Qt::Orientation, int)
    847,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    848,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    854,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    864,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    867,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    873,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    875,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    876,  // QGlobalSpace::operator|(Qt::WindowType, int)
    881,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    882,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    883,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    892,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    894,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    897,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    902,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    908,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    784,  // QGlobalSpace::qFuzzyCompare(float, float)
    844,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    614,  // QGlobalSpace::qFuzzyIsNull(float)
    799,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    486,  // QGlobalSpace::qHash(const QUrl&)
    488,  // QGlobalSpace::qHash(const QByteArray&)
    566,  // QGlobalSpace::qHash(QChar)
    581,  // QGlobalSpace::qHash(const QModelIndex&)
    660,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    728,  // QGlobalSpace::qHash(const QBitArray&)
    900,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    455,  // QGlobalSpace::qHash(unsigned long long)
    477,  // QGlobalSpace::qHash(signed char)
    513,  // QGlobalSpace::qHash(char)
    564,  // QGlobalSpace::qHash(unsigned int)
    574,  // QGlobalSpace::qHash(const QString&)
    589,  // QGlobalSpace::qHash(const QDBusSignature&)
    601,  // QGlobalSpace::qHash(long long)
    619,  // QGlobalSpace::qHash(int)
    644,  // QGlobalSpace::qHash(long)
    649,  // QGlobalSpace::qHash(unsigned short)
    745,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    778,  // QGlobalSpace::qHash(short)
    889,  // QGlobalSpace::qHash(unsigned long)
    905,  // QGlobalSpace::qHash(unsigned char)
    0,
    480,  // QGlobalSpace::qIntCast(double)
    568,  // QGlobalSpace::qIntCast(float)
    0,
    525,  // QGlobalSpace::qIsFinite(double)
    553,  // QGlobalSpace::qIsFinite(float)
    0,
    457,  // QGlobalSpace::qIsInf(double)
    475,  // QGlobalSpace::qIsInf(float)
    0,
    588,  // QGlobalSpace::qIsNaN(float)
    594,  // QGlobalSpace::qIsNaN(double)
    0,
    836,  // QGlobalSpace::qIsNull(float)
    901,  // QGlobalSpace::qIsNull(double)
    0,
    152,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    178,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    169,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    170,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    103,  // QDBusArgument::beginMapEntry()
    130,  // QDBusArgument::beginMapEntry() const
    0,
    97,  // QDBusArgument::beginStructure()
    124,  // QDBusArgument::beginStructure() const
    0,
    100,  // QDBusArgument::endArray()
    127,  // QDBusArgument::endArray() const
    0,
    102,  // QDBusArgument::endMap()
    129,  // QDBusArgument::endMap() const
    0,
    104,  // QDBusArgument::endMapEntry()
    131,  // QDBusArgument::endMapEntry() const
    0,
    98,  // QDBusArgument::endStructure()
    125,  // QDBusArgument::endStructure() const
    0,
    91,  // QDBusArgument::operator<<(const QDBusVariant&)
    94,  // QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    96,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    81,  // QDBusArgument::operator<<(unsigned char)
    82,  // QDBusArgument::operator<<(bool)
    83,  // QDBusArgument::operator<<(short)
    84,  // QDBusArgument::operator<<(unsigned short)
    85,  // QDBusArgument::operator<<(int)
    86,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(long long)
    88,  // QDBusArgument::operator<<(unsigned long long)
    89,  // QDBusArgument::operator<<(double)
    90,  // QDBusArgument::operator<<(const QString&)
    92,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    93,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    118,  // QDBusArgument::operator>>(QDBusVariant&) const
    121,  // QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    123,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    108,  // QDBusArgument::operator>>(unsigned char&) const
    109,  // QDBusArgument::operator>>(bool&) const
    110,  // QDBusArgument::operator>>(short&) const
    111,  // QDBusArgument::operator>>(unsigned short&) const
    112,  // QDBusArgument::operator>>(int&) const
    113,  // QDBusArgument::operator>>(unsigned int&) const
    114,  // QDBusArgument::operator>>(long long&) const
    115,  // QDBusArgument::operator>>(unsigned long long&) const
    116,  // QDBusArgument::operator>>(double&) const
    117,  // QDBusArgument::operator>>(QString&) const
    119,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    120,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    260,  // QDBusContext::sendErrorReply(const QString&) const
    261,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    257,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    258,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    315,  // QDBusMessage::createError(const QString&, const QString&)
    317,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    320,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    322,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    263,  // QDBusError::QDBusError(const DBusError*)
    264,  // QDBusError::QDBusError(const QDBusMessage&)
    266,  // QDBusError::QDBusError(const QDBusError&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 72, 1},	// QDBus::NoBlock
    {8, 81, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 183, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 314, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 553, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 555, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 604, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 624, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 630, 15},	// QDBusAbstractAdaptor::tr$
    {8, 631, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 632, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 634, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 635, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 636, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 648, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 83, 41},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 171, 65},	// QDBusAbstractInterface::asyncCall$
    {9, 172, 66},	// QDBusAbstractInterface::asyncCall$#
    {9, 173, 67},	// QDBusAbstractInterface::asyncCall$##
    {9, 174, 68},	// QDBusAbstractInterface::asyncCall$###
    {9, 175, 69},	// QDBusAbstractInterface::asyncCall$####
    {9, 176, 70},	// QDBusAbstractInterface::asyncCall$#####
    {9, 177, 71},	// QDBusAbstractInterface::asyncCall$######
    {9, 178, 72},	// QDBusAbstractInterface::asyncCall$#######
    {9, 179, 39},	// QDBusAbstractInterface::asyncCall$########
    {9, 181, 40},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 196, 49},	// QDBusAbstractInterface::call$
    {9, 197, 50},	// QDBusAbstractInterface::call$#
    {9, 198, 51},	// QDBusAbstractInterface::call$##
    {9, 199, 52},	// QDBusAbstractInterface::call$###
    {9, 200, 53},	// QDBusAbstractInterface::call$####
    {9, 201, 54},	// QDBusAbstractInterface::call$#####
    {9, 202, 55},	// QDBusAbstractInterface::call$######
    {9, 203, 56},	// QDBusAbstractInterface::call$#######
    {9, 204, 34},	// QDBusAbstractInterface::call$########
    {9, 205, 57},	// QDBusAbstractInterface::call$$
    {9, 206, 58},	// QDBusAbstractInterface::call$$#
    {9, 207, 59},	// QDBusAbstractInterface::call$$##
    {9, 208, 60},	// QDBusAbstractInterface::call$$###
    {9, 209, 61},	// QDBusAbstractInterface::call$$####
    {9, 210, 62},	// QDBusAbstractInterface::call$$#####
    {9, 211, 63},	// QDBusAbstractInterface::call$$######
    {9, 212, 64},	// QDBusAbstractInterface::call$$#######
    {9, 213, 35},	// QDBusAbstractInterface::call$$########
    {9, 215, 36},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 220, 38},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 221, 37},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 231, 42},	// QDBusAbstractInterface::connectNotify$
    {9, 236, 27},	// QDBusAbstractInterface::connection
    {9, 265, 43},	// QDBusAbstractInterface::disconnectNotify$
    {9, 288, 30},	// QDBusAbstractInterface::interface
    {9, 290, 73},	// QDBusAbstractInterface::internalConstCall$$
    {9, 291, 46},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 294, 44},	// QDBusAbstractInterface::internalPropGet$
    {9, 296, 45},	// QDBusAbstractInterface::internalPropSet$#
    {9, 307, 26},	// QDBusAbstractInterface::isValid
    {9, 308, 31},	// QDBusAbstractInterface::lastError
    {9, 314, 19},	// QDBusAbstractInterface::metaObject
    {9, 386, 29},	// QDBusAbstractInterface::path
    {9, 553, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 555, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 587, 28},	// QDBusAbstractInterface::service
    {9, 614, 32},	// QDBusAbstractInterface::setTimeout$
    {9, 624, 74},	// QDBusAbstractInterface::staticMetaObject
    {9, 627, 33},	// QDBusAbstractInterface::timeout
    {9, 630, 47},	// QDBusAbstractInterface::tr$
    {9, 631, 21},	// QDBusAbstractInterface::tr$$
    {9, 632, 23},	// QDBusAbstractInterface::tr$$$
    {9, 634, 48},	// QDBusAbstractInterface::trUtf8$
    {9, 635, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 636, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 649, 75},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 553, 76},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 650, 77},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 136},	// QDBusArgument::ArrayType
    {11, 8, 134},	// QDBusArgument::BasicType
    {11, 63, 139},	// QDBusArgument::MapEntryType
    {11, 64, 138},	// QDBusArgument::MapType
    {11, 84, 78},	// QDBusArgument::QDBusArgument
    {11, 85, 79},	// QDBusArgument::QDBusArgument#
    {11, 136, 137},	// QDBusArgument::StructureType
    {11, 145, 140},	// QDBusArgument::UnknownType
    {11, 148, 135},	// QDBusArgument::VariantType
    {11, 165, 105},	// QDBusArgument::appendVariant#
    {11, 167, 133},	// QDBusArgument::asVariant
    {11, 182, 132},	// QDBusArgument::atEnd
    {11, 186, 126},	// QDBusArgument::beginArray
    {11, 187, 99},	// QDBusArgument::beginArray$
    {11, 188, 128},	// QDBusArgument::beginMap
    {11, 189, 101},	// QDBusArgument::beginMap$$
    {11, 190, -406},	// QDBusArgument::beginMapEntry
    {11, 191, -409},	// QDBusArgument::beginStructure
    {11, 251, 106},	// QDBusArgument::currentSignature
    {11, 252, 107},	// QDBusArgument::currentType
    {11, 266, -412},	// QDBusArgument::endArray
    {11, 267, -415},	// QDBusArgument::endMap
    {11, 268, -418},	// QDBusArgument::endMapEntry
    {11, 269, -421},	// QDBusArgument::endStructure
    {11, 346, -424},	// QDBusArgument::operator<<#
    {11, 350, -428},	// QDBusArgument::operator<<$
    {11, 351, 95},	// QDBusArgument::operator<<?
    {11, 358, 80},	// QDBusArgument::operator=#
    {11, 375, -441},	// QDBusArgument::operator>>#
    {11, 379, -445},	// QDBusArgument::operator>>$
    {11, 380, 122},	// QDBusArgument::operator>>?
    {11, 651, 141},	// QDBusArgument::~QDBusArgument
    {12, 2, 189},	// QDBusConnection::ActivationBus
    {12, 15, 190},	// QDBusConnection::ExportAdaptors
    {12, 16, 205},	// QDBusConnection::ExportAllContents
    {12, 17, 204},	// QDBusConnection::ExportAllInvokables
    {12, 18, 203},	// QDBusConnection::ExportAllProperties
    {12, 19, 206},	// QDBusConnection::ExportAllSignal
    {12, 20, 202},	// QDBusConnection::ExportAllSignals
    {12, 21, 201},	// QDBusConnection::ExportAllSlots
    {12, 22, 207},	// QDBusConnection::ExportChildObjects
    {12, 23, 200},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 199},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 198},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 197},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 196},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 195},	// QDBusConnection::ExportScriptableContents
    {12, 29, 194},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 193},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 192},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 191},	// QDBusConnection::ExportScriptableSlots
    {12, 87, 143},	// QDBusConnection::QDBusConnection#
    {12, 88, 142},	// QDBusConnection::QDBusConnection$
    {12, 133, 187},	// QDBusConnection::SessionBus
    {12, 135, 210},	// QDBusConnection::SingleNode
    {12, 137, 211},	// QDBusConnection::SubPath
    {12, 138, 188},	// QDBusConnection::SystemBus
    {12, 141, 212},	// QDBusConnection::UnixFileDescriptorPassing
    {12, 146, 208},	// QDBusConnection::UnregisterNode
    {12, 147, 209},	// QDBusConnection::UnregisterTree
    {12, 169, 182},	// QDBusConnection::asyncCall#
    {12, 170, 154},	// QDBusConnection::asyncCall#$
    {12, 185, 146},	// QDBusConnection::baseService
    {12, 193, 180},	// QDBusConnection::call#
    {12, 194, 181},	// QDBusConnection::call#$
    {12, 195, 153},	// QDBusConnection::call#$$
    {12, 217, 179},	// QDBusConnection::callWithCallback##$
    {12, 218, -400},	// QDBusConnection::callWithCallback##$$
    {12, 219, 151},	// QDBusConnection::callWithCallback##$$$
    {12, 227, 155},	// QDBusConnection::connect$$$$#$
    {12, 228, 156},	// QDBusConnection::connect$$$$$#$
    {12, 229, 157},	// QDBusConnection::connect$$$$?$#$
    {12, 233, -403},	// QDBusConnection::connectToBus$$
    {12, 235, 171},	// QDBusConnection::connectToPeer$$
    {12, 237, 149},	// QDBusConnection::connectionCapabilities
    {12, 257, 158},	// QDBusConnection::disconnect$$$$#$
    {12, 258, 159},	// QDBusConnection::disconnect$$$$$#$
    {12, 259, 160},	// QDBusConnection::disconnect$$$$?$#$
    {12, 261, 172},	// QDBusConnection::disconnectFromBus$
    {12, 263, 173},	// QDBusConnection::disconnectFromPeer$
    {12, 288, 167},	// QDBusConnection::interface
    {12, 292, 168},	// QDBusConnection::internalPointer
    {12, 299, 145},	// QDBusConnection::isConnected
    {12, 308, 147},	// QDBusConnection::lastError
    {12, 309, 174},	// QDBusConnection::localMachineId
    {12, 315, 148},	// QDBusConnection::name
    {12, 319, 163},	// QDBusConnection::objectRegisteredAt$
    {12, 358, 144},	// QDBusConnection::operator=#
    {12, 568, 183},	// QDBusConnection::registerObject$#
    {12, 569, 161},	// QDBusConnection::registerObject$#$
    {12, 571, 165},	// QDBusConnection::registerService$
    {12, 575, 185},	// QDBusConnection::registerVirtualObject$#
    {12, 576, 164},	// QDBusConnection::registerVirtualObject$#$
    {12, 582, 150},	// QDBusConnection::send#
    {12, 586, 177},	// QDBusConnection::sender
    {12, 600, 175},	// QDBusConnection::sessionBus
    {12, 624, 186},	// QDBusConnection::staticMetaObject
    {12, 625, 176},	// QDBusConnection::systemBus
    {12, 641, 184},	// QDBusConnection::unregisterObject$
    {12, 642, 162},	// QDBusConnection::unregisterObject$$
    {12, 644, 166},	// QDBusConnection::unregisterService$
    {12, 652, 213},	// QDBusConnection::~QDBusConnection
    {13, 4, 247},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 246},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 243},	// QDBusConnectionInterface::DontQueueService
    {13, 67, 233},	// QDBusConnectionInterface::NameAcquired$
    {13, 69, 234},	// QDBusConnectionInterface::NameLost$
    {13, 71, 235},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 126, 244},	// QDBusConnectionInterface::QueueService
    {13, 127, 245},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 129, 248},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 130, 250},	// QDBusConnectionInterface::ServiceQueued
    {13, 131, 249},	// QDBusConnectionInterface::ServiceRegistered
    {13, 223, 232},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 231, 236},	// QDBusConnectionInterface::connectNotify$
    {13, 265, 237},	// QDBusConnectionInterface::disconnectNotify$
    {13, 305, 222},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 314, 214},	// QDBusConnectionInterface::metaObject
    {13, 553, 220},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 555, 215},	// QDBusConnectionInterface::qt_metacast$
    {13, 571, 240},	// QDBusConnectionInterface::registerService$
    {13, 572, 241},	// QDBusConnectionInterface::registerService$$
    {13, 573, 225},	// QDBusConnectionInterface::registerService$$$
    {13, 577, 221},	// QDBusConnectionInterface::registeredServiceNames
    {13, 589, 223},	// QDBusConnectionInterface::serviceOwner$
    {13, 591, 231},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 593, 226},	// QDBusConnectionInterface::servicePid$
    {13, 595, 229},	// QDBusConnectionInterface::serviceRegistered$
    {13, 597, 227},	// QDBusConnectionInterface::serviceUid$
    {13, 599, 230},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 623, 228},	// QDBusConnectionInterface::startService$
    {13, 624, 242},	// QDBusConnectionInterface::staticMetaObject
    {13, 630, 238},	// QDBusConnectionInterface::tr$
    {13, 631, 216},	// QDBusConnectionInterface::tr$$
    {13, 632, 218},	// QDBusConnectionInterface::tr$$$
    {13, 634, 239},	// QDBusConnectionInterface::trUtf8$
    {13, 635, 217},	// QDBusConnectionInterface::trUtf8$$
    {13, 636, 219},	// QDBusConnectionInterface::trUtf8$$$
    {13, 644, 224},	// QDBusConnectionInterface::unregisterService$
    {14, 89, 251},	// QDBusContext::QDBusContext
    {14, 90, 259},	// QDBusContext::QDBusContext#
    {14, 224, 252},	// QDBusContext::calledFromDBus
    {14, 236, 253},	// QDBusContext::connection
    {14, 300, 255},	// QDBusContext::isDelayedReply
    {14, 313, 254},	// QDBusContext::message
    {14, 584, -458},	// QDBusContext::sendErrorReply$
    {14, 585, -461},	// QDBusContext::sendErrorReply$$
    {14, 610, 256},	// QDBusContext::setDelayedReply$
    {14, 653, 262},	// QDBusContext::~QDBusContext
    {15, 1, 283},	// QDBusError::AccessDenied
    {15, 3, 287},	// QDBusError::AddressInUse
    {15, 7, 280},	// QDBusError::BadAddress
    {15, 11, 288},	// QDBusError::Disconnected
    {15, 33, 276},	// QDBusError::Failed
    {15, 34, 294},	// QDBusError::InternalError
    {15, 35, 289},	// QDBusError::InvalidArgs
    {15, 36, 298},	// QDBusError::InvalidInterface
    {15, 37, 299},	// QDBusError::InvalidMember
    {15, 39, 297},	// QDBusError::InvalidObjectPath
    {15, 40, 296},	// QDBusError::InvalidService
    {15, 41, 292},	// QDBusError::InvalidSignature
    {15, 42, 300},	// QDBusError::LastErrorType
    {15, 62, 282},	// QDBusError::LimitsExceeded
    {15, 73, 274},	// QDBusError::NoError
    {15, 74, 277},	// QDBusError::NoMemory
    {15, 75, 286},	// QDBusError::NoNetwork
    {15, 76, 279},	// QDBusError::NoReply
    {15, 77, 284},	// QDBusError::NoServer
    {15, 78, 281},	// QDBusError::NotSupported
    {15, 79, 275},	// QDBusError::Other
    {15, 91, 273},	// QDBusError::QDBusError
    {15, 92, -470},	// QDBusError::QDBusError#
    {15, 93, 265},	// QDBusError::QDBusError$$
    {15, 132, 278},	// QDBusError::ServiceUnknown
    {15, 139, 291},	// QDBusError::TimedOut
    {15, 140, 285},	// QDBusError::Timeout
    {15, 142, 293},	// QDBusError::UnknownInterface
    {15, 143, 290},	// QDBusError::UnknownMethod
    {15, 144, 295},	// QDBusError::UnknownObject
    {15, 274, 272},	// QDBusError::errorString$
    {15, 307, 271},	// QDBusError::isValid
    {15, 313, 270},	// QDBusError::message
    {15, 315, 269},	// QDBusError::name
    {15, 358, 267},	// QDBusError::operator=#
    {15, 637, 268},	// QDBusError::type
    {15, 654, 301},	// QDBusError::~QDBusError
    {16, 95, 306},	// QDBusInterface::QDBusInterface$$
    {16, 96, 307},	// QDBusInterface::QDBusInterface$$$
    {16, 97, 308},	// QDBusInterface::QDBusInterface$$$#
    {16, 98, 302},	// QDBusInterface::QDBusInterface$$$##
    {16, 314, 303},	// QDBusInterface::metaObject
    {16, 553, 305},	// QDBusInterface::qt_metacall$$?
    {16, 555, 304},	// QDBusInterface::qt_metacast$
    {16, 655, 309},	// QDBusInterface::~QDBusInterface
    {17, 14, 343},	// QDBusMessage::ErrorMessage
    {17, 38, 340},	// QDBusMessage::InvalidMessage
    {17, 65, 341},	// QDBusMessage::MethodCallMessage
    {17, 99, 310},	// QDBusMessage::QDBusMessage
    {17, 100, 311},	// QDBusMessage::QDBusMessage#
    {17, 128, 342},	// QDBusMessage::ReplyMessage
    {17, 134, 344},	// QDBusMessage::SignalMessage
    {17, 166, 337},	// QDBusMessage::arguments
    {17, 184, 335},	// QDBusMessage::autoStartService
    {17, 239, 316},	// QDBusMessage::createError#
    {17, 240, -464},	// QDBusMessage::createError$$
    {17, 242, 321},	// QDBusMessage::createErrorReply#
    {17, 243, -467},	// QDBusMessage::createErrorReply$$
    {17, 245, 314},	// QDBusMessage::createMethodCall$$$$
    {17, 246, 339},	// QDBusMessage::createReply
    {17, 247, 319},	// QDBusMessage::createReply#
    {17, 248, 318},	// QDBusMessage::createReply?
    {17, 250, 313},	// QDBusMessage::createSignal$$$
    {17, 271, 328},	// QDBusMessage::errorMessage
    {17, 272, 327},	// QDBusMessage::errorName
    {17, 288, 325},	// QDBusMessage::interface
    {17, 300, 333},	// QDBusMessage::isDelayedReply
    {17, 303, 331},	// QDBusMessage::isReplyRequired
    {17, 312, 326},	// QDBusMessage::member
    {17, 346, 338},	// QDBusMessage::operator<<#
    {17, 358, 312},	// QDBusMessage::operator=#
    {17, 386, 324},	// QDBusMessage::path
    {17, 587, 323},	// QDBusMessage::service
    {17, 602, 336},	// QDBusMessage::setArguments?
    {17, 606, 334},	// QDBusMessage::setAutoStartService$
    {17, 610, 332},	// QDBusMessage::setDelayedReply$
    {17, 619, 330},	// QDBusMessage::signature
    {17, 637, 329},	// QDBusMessage::type
    {17, 656, 345},	// QDBusMessage::~QDBusMessage
    {18, 101, 351},	// QDBusMetaType::QDBusMetaType
    {18, 102, 352},	// QDBusMetaType::QDBusMetaType#
    {18, 255, 348},	// QDBusMetaType::demarshall#$$
    {18, 311, 347},	// QDBusMetaType::marshall#$$
    {18, 566, 346},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 621, 349},	// QDBusMetaType::signatureToType$
    {18, 639, 350},	// QDBusMetaType::typeToSignature$
    {18, 657, 353},	// QDBusMetaType::~QDBusMetaType
    {19, 104, 354},	// QDBusPendingCall::QDBusPendingCall#
    {19, 270, 360},	// QDBusPendingCall::error
    {19, 281, 363},	// QDBusPendingCall::fromCompletedCall#
    {19, 283, 362},	// QDBusPendingCall::fromError#
    {19, 301, 358},	// QDBusPendingCall::isError
    {19, 302, 356},	// QDBusPendingCall::isFinished
    {19, 307, 359},	// QDBusPendingCall::isValid
    {19, 358, 355},	// QDBusPendingCall::operator=#
    {19, 580, 361},	// QDBusPendingCall::reply
    {19, 645, 357},	// QDBusPendingCall::waitForFinished
    {19, 658, 364},	// QDBusPendingCall::~QDBusPendingCall
    {20, 106, 377},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 107, 372},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 279, 374},	// QDBusPendingCallWatcher::finished#
    {20, 314, 365},	// QDBusPendingCallWatcher::metaObject
    {20, 553, 371},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 555, 366},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 624, 378},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 630, 375},	// QDBusPendingCallWatcher::tr$
    {20, 631, 367},	// QDBusPendingCallWatcher::tr$$
    {20, 632, 369},	// QDBusPendingCallWatcher::tr$$$
    {20, 634, 376},	// QDBusPendingCallWatcher::trUtf8$
    {20, 635, 368},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 636, 370},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 645, 373},	// QDBusPendingCallWatcher::waitForFinished
    {20, 659, 379},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 108, 394},	// QDBusServer::QDBusServer
    {21, 109, 395},	// QDBusServer::QDBusServer$
    {21, 110, 387},	// QDBusServer::QDBusServer$#
    {21, 163, 390},	// QDBusServer::address
    {21, 299, 388},	// QDBusServer::isConnected
    {21, 308, 389},	// QDBusServer::lastError
    {21, 314, 380},	// QDBusServer::metaObject
    {21, 317, 391},	// QDBusServer::newConnection#
    {21, 553, 386},	// QDBusServer::qt_metacall$$?
    {21, 555, 381},	// QDBusServer::qt_metacast$
    {21, 624, 396},	// QDBusServer::staticMetaObject
    {21, 630, 392},	// QDBusServer::tr$
    {21, 631, 382},	// QDBusServer::tr$$
    {21, 632, 384},	// QDBusServer::tr$$$
    {21, 634, 393},	// QDBusServer::trUtf8$
    {21, 635, 383},	// QDBusServer::trUtf8$$
    {21, 636, 385},	// QDBusServer::trUtf8$$$
    {21, 660, 397},	// QDBusServer::~QDBusServer
    {22, 111, 420},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 112, 405},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 113, 421},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 114, 422},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 115, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 149, 426},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 150, 424},	// QDBusServiceWatcher::WatchForRegistration
    {22, 151, 425},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 162, 409},	// QDBusServiceWatcher::addWatchedService$
    {22, 236, 413},	// QDBusServiceWatcher::connection
    {22, 314, 398},	// QDBusServiceWatcher::metaObject
    {22, 553, 404},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 555, 399},	// QDBusServiceWatcher::qt_metacast$
    {22, 579, 410},	// QDBusServiceWatcher::removeWatchedService$
    {22, 591, 417},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 595, 415},	// QDBusServiceWatcher::serviceRegistered$
    {22, 599, 416},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 608, 414},	// QDBusServiceWatcher::setConnection#
    {22, 616, 412},	// QDBusServiceWatcher::setWatchMode$
    {22, 618, 408},	// QDBusServiceWatcher::setWatchedServices?
    {22, 624, 423},	// QDBusServiceWatcher::staticMetaObject
    {22, 630, 418},	// QDBusServiceWatcher::tr$
    {22, 631, 400},	// QDBusServiceWatcher::tr$$
    {22, 632, 402},	// QDBusServiceWatcher::tr$$$
    {22, 634, 419},	// QDBusServiceWatcher::trUtf8$
    {22, 635, 401},	// QDBusServiceWatcher::trUtf8$$
    {22, 636, 403},	// QDBusServiceWatcher::trUtf8$$$
    {22, 646, 411},	// QDBusServiceWatcher::watchMode
    {22, 647, 407},	// QDBusServiceWatcher::watchedServices
    {22, 661, 427},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {23, 116, 428},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor
    {23, 117, 430},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor#
    {23, 118, 429},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor$
    {23, 277, 433},	// QDBusUnixFileDescriptor::fileDescriptor
    {23, 285, 435},	// QDBusUnixFileDescriptor::giveFileDescriptor$
    {23, 306, 437},	// QDBusUnixFileDescriptor::isSupported
    {23, 307, 432},	// QDBusUnixFileDescriptor::isValid
    {23, 358, 431},	// QDBusUnixFileDescriptor::operator=#
    {23, 612, 434},	// QDBusUnixFileDescriptor::setFileDescriptor$
    {23, 626, 436},	// QDBusUnixFileDescriptor::takeFileDescriptor
    {23, 662, 438},	// QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor
    {25, 119, 451},	// QDBusVirtualObject::QDBusVirtualObject
    {25, 120, 446},	// QDBusVirtualObject::QDBusVirtualObject#
    {25, 287, 448},	// QDBusVirtualObject::handleMessage##
    {25, 298, 447},	// QDBusVirtualObject::introspect$
    {25, 314, 439},	// QDBusVirtualObject::metaObject
    {25, 553, 445},	// QDBusVirtualObject::qt_metacall$$?
    {25, 555, 440},	// QDBusVirtualObject::qt_metacast$
    {25, 624, 452},	// QDBusVirtualObject::staticMetaObject
    {25, 630, 449},	// QDBusVirtualObject::tr$
    {25, 631, 441},	// QDBusVirtualObject::tr$$
    {25, 632, 443},	// QDBusVirtualObject::tr$$$
    {25, 634, 450},	// QDBusVirtualObject::trUtf8$
    {25, 635, 442},	// QDBusVirtualObject::trUtf8$$
    {25, 636, 444},	// QDBusVirtualObject::trUtf8$$$
    {25, 663, 453},	// QDBusVirtualObject::~QDBusVirtualObject
    {33, 43, 925},	// QGlobalSpace::LicensedActiveQt
    {33, 44, 931},	// QGlobalSpace::LicensedCore
    {33, 45, 923},	// QGlobalSpace::LicensedDBus
    {33, 46, 928},	// QGlobalSpace::LicensedDeclarative
    {33, 47, 918},	// QGlobalSpace::LicensedGui
    {33, 48, 937},	// QGlobalSpace::LicensedHelp
    {33, 49, 938},	// QGlobalSpace::LicensedMultimedia
    {33, 50, 941},	// QGlobalSpace::LicensedNetwork
    {33, 51, 930},	// QGlobalSpace::LicensedOpenGL
    {33, 52, 922},	// QGlobalSpace::LicensedOpenVG
    {33, 53, 939},	// QGlobalSpace::LicensedQt3Support
    {33, 54, 920},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 55, 921},	// QGlobalSpace::LicensedScript
    {33, 56, 926},	// QGlobalSpace::LicensedScriptTools
    {33, 57, 929},	// QGlobalSpace::LicensedSql
    {33, 58, 927},	// QGlobalSpace::LicensedSvg
    {33, 59, 924},	// QGlobalSpace::LicensedTest
    {33, 60, 919},	// QGlobalSpace::LicensedXml
    {33, 61, 940},	// QGlobalSpace::LicensedXmlPatterns
    {33, 121, 934},	// QGlobalSpace::QtCriticalMsg
    {33, 122, 932},	// QGlobalSpace::QtDebugMsg
    {33, 123, 935},	// QGlobalSpace::QtFatalMsg
    {33, 124, 936},	// QGlobalSpace::QtSystemMsg
    {33, 125, 933},	// QGlobalSpace::QtWarningMsg
    {33, 152, 913},	// QGlobalSpace::_IEEE_
    {33, 153, 917},	// QGlobalSpace::_ISOC_
    {33, 154, 916},	// QGlobalSpace::_POSIX_
    {33, 155, 914},	// QGlobalSpace::_SVID_
    {33, 156, 915},	// QGlobalSpace::_XOPEN_
    {33, 157, 944},	// QGlobalSpace::__codecvt_error
    {33, 158, 945},	// QGlobalSpace::__codecvt_noconv
    {33, 159, 942},	// QGlobalSpace::__codecvt_ok
    {33, 160, 943},	// QGlobalSpace::__codecvt_partial
    {33, 321, -1},	// QGlobalSpace::operator!=##
    {33, 322, -18},	// QGlobalSpace::operator!=#$
    {33, 323, -24},	// QGlobalSpace::operator!=$#
    {33, 324, -31},	// QGlobalSpace::operator!=$$
    {33, 326, 684},	// QGlobalSpace::operator&##
    {33, 328, -35},	// QGlobalSpace::operator*#$
    {33, 329, -42},	// QGlobalSpace::operator*$#
    {33, 331, -49},	// QGlobalSpace::operator+##
    {33, 332, -55},	// QGlobalSpace::operator+#$
    {33, 333, -60},	// QGlobalSpace::operator+$#
    {33, 334, -65},	// QGlobalSpace::operator+$$
    {33, 336, -71},	// QGlobalSpace::operator-#
    {33, 337, -74},	// QGlobalSpace::operator-##
    {33, 339, -79},	// QGlobalSpace::operator/#$
    {33, 341, -84},	// QGlobalSpace::operator<##
    {33, 342, 724},	// QGlobalSpace::operator<#$
    {33, 343, -89},	// QGlobalSpace::operator<$#
    {33, 344, -92},	// QGlobalSpace::operator<$$
    {33, 347, -96},	// QGlobalSpace::operator<<##
    {33, 348, -151},	// QGlobalSpace::operator<<#$
    {33, 349, -157},	// QGlobalSpace::operator<<#?
    {33, 353, -162},	// QGlobalSpace::operator<=##
    {33, 354, 567},	// QGlobalSpace::operator<=#$
    {33, 355, -167},	// QGlobalSpace::operator<=$#
    {33, 356, 738},	// QGlobalSpace::operator<=$$
    {33, 360, -170},	// QGlobalSpace::operator==##
    {33, 361, -189},	// QGlobalSpace::operator==#$
    {33, 362, -195},	// QGlobalSpace::operator==$#
    {33, 363, -202},	// QGlobalSpace::operator==$$
    {33, 365, -206},	// QGlobalSpace::operator>##
    {33, 366, 904},	// QGlobalSpace::operator>#$
    {33, 367, -211},	// QGlobalSpace::operator>$#
    {33, 368, 661},	// QGlobalSpace::operator>$$
    {33, 370, -214},	// QGlobalSpace::operator>=##
    {33, 371, 474},	// QGlobalSpace::operator>=#$
    {33, 372, -219},	// QGlobalSpace::operator>=$#
    {33, 373, 899},	// QGlobalSpace::operator>=$$
    {33, 376, -222},	// QGlobalSpace::operator>>##
    {33, 377, -256},	// QGlobalSpace::operator>>#$
    {33, 378, 639},	// QGlobalSpace::operator>>#?
    {33, 382, 571},	// QGlobalSpace::operator^##
    {33, 384, 818},	// QGlobalSpace::operator|##
    {33, 385, -259},	// QGlobalSpace::operator|$$
    {33, 388, 790},	// QGlobalSpace::qAcos$
    {33, 390, 706},	// QGlobalSpace::qAddPostRoutine$
    {33, 391, 714},	// QGlobalSpace::qAppName
    {33, 393, 809},	// QGlobalSpace::qAsin$
    {33, 395, 841},	// QGlobalSpace::qAtan$
    {33, 397, 472},	// QGlobalSpace::qAtan2$$
    {33, 398, 795},	// QGlobalSpace::qBadAlloc
    {33, 400, 731},	// QGlobalSpace::qCeil$
    {33, 402, 634},	// QGlobalSpace::qChecksum$$
    {33, 404, 801},	// QGlobalSpace::qCompress#
    {33, 405, 800},	// QGlobalSpace::qCompress#$
    {33, 406, 708},	// QGlobalSpace::qCompress$$
    {33, 407, 707},	// QGlobalSpace::qCompress$$$
    {33, 409, 498},	// QGlobalSpace::qCos$
    {33, 410, 689},	// QGlobalSpace::qCritical
    {33, 412, 682},	// QGlobalSpace::qDBusReplyFill###
    {33, 413, 740},	// QGlobalSpace::qDebug
    {33, 415, 628},	// QGlobalSpace::qExp$
    {33, 417, 780},	// QGlobalSpace::qFabs$
    {33, 419, 582},	// QGlobalSpace::qFastCos$
    {33, 421, 710},	// QGlobalSpace::qFastSin$
    {33, 423, 591},	// QGlobalSpace::qFlagLocation$
    {33, 425, 550},	// QGlobalSpace::qFloor$
    {33, 427, 718},	// QGlobalSpace::qFree$
    {33, 429, 720},	// QGlobalSpace::qFreeAligned$
    {33, 431, -356},	// QGlobalSpace::qFuzzyCompare$$
    {33, 433, -359},	// QGlobalSpace::qFuzzyIsNull$
    {33, 435, -362},	// QGlobalSpace::qHash#
    {33, 436, -370},	// QGlobalSpace::qHash$
    {33, 437, 871},	// QGlobalSpace::qInf
    {33, 439, 579},	// QGlobalSpace::qInstallMsgHandler$
    {33, 441, -385},	// QGlobalSpace::qIntCast$
    {33, 443, -388},	// QGlobalSpace::qIsFinite$
    {33, 445, -391},	// QGlobalSpace::qIsInf$
    {33, 447, -394},	// QGlobalSpace::qIsNaN$
    {33, 449, -397},	// QGlobalSpace::qIsNull$
    {33, 451, 631},	// QGlobalSpace::qLn$
    {33, 453, 636},	// QGlobalSpace::qMalloc$
    {33, 455, 742},	// QGlobalSpace::qMallocAligned$$
    {33, 457, 460},	// QGlobalSpace::qMemCopy$$$
    {33, 459, 775},	// QGlobalSpace::qMemSet$$$
    {33, 461, 747},	// QGlobalSpace::qPow$$
    {33, 462, 637},	// QGlobalSpace::qQNaN
    {33, 464, 573},	// QGlobalSpace::qRealloc$$
    {33, 466, 562},	// QGlobalSpace::qReallocAligned$$$$
    {33, 468, 633},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {33, 470, 878},	// QGlobalSpace::qRemovePostRoutine$
    {33, 472, 870},	// QGlobalSpace::qRound$
    {33, 474, 578},	// QGlobalSpace::qRound64$
    {33, 475, 849},	// QGlobalSpace::qSNaN
    {33, 477, 546},	// QGlobalSpace::qSetFieldWidth$
    {33, 479, 481},	// QGlobalSpace::qSetPadChar#
    {33, 481, 627},	// QGlobalSpace::qSetRealNumberPrecision$
    {33, 482, 504},	// QGlobalSpace::qSharedBuild
    {33, 484, 814},	// QGlobalSpace::qSin$
    {33, 486, 580},	// QGlobalSpace::qSqrt$
    {33, 488, 734},	// QGlobalSpace::qStringComparisonHelper#$
    {33, 489, 469},	// QGlobalSpace::qStringComparisonHelper$$
    {33, 491, 543},	// QGlobalSpace::qTan$
    {33, 493, 672},	// QGlobalSpace::qUncompress#
    {33, 494, 541},	// QGlobalSpace::qUncompress$$
    {33, 495, 715},	// QGlobalSpace::qVersion
    {33, 496, 884},	// QGlobalSpace::qWarning
    {33, 498, 557},	// QGlobalSpace::qbswap_helper$$$
    {33, 500, 526},	// QGlobalSpace::qecvt$$$$
    {33, 502, 744},	// QGlobalSpace::qecvt_r$$$$$$
    {33, 504, 603},	// QGlobalSpace::qfcvt$$$$
    {33, 506, 787},	// QGlobalSpace::qfcvt_r$$$$$$
    {33, 508, 788},	// QGlobalSpace::qgcvt$$$
    {33, 510, 476},	// QGlobalSpace::qgetenv$
    {33, 512, 640},	// QGlobalSpace::qputenv$#
    {33, 513, 678},	// QGlobalSpace::qrand
    {33, 515, 789},	// QGlobalSpace::qsort$$$$
    {33, 517, 643},	// QGlobalSpace::qsrand$
    {33, 519, 783},	// QGlobalSpace::qstrcmp##
    {33, 520, 877},	// QGlobalSpace::qstrcmp#$
    {33, 521, 470},	// QGlobalSpace::qstrcmp$#
    {33, 522, 497},	// QGlobalSpace::qstrcmp$$
    {33, 524, 618},	// QGlobalSpace::qstrcpy$$
    {33, 526, 735},	// QGlobalSpace::qstrdup$
    {33, 528, 866},	// QGlobalSpace::qstricmp$$
    {33, 530, 885},	// QGlobalSpace::qstrlen$
    {33, 532, 542},	// QGlobalSpace::qstrncmp$$$
    {33, 534, 670},	// QGlobalSpace::qstrncpy$$$
    {33, 536, 653},	// QGlobalSpace::qstrnicmp$$$
    {33, 538, 459},	// QGlobalSpace::qstrnlen$$
    {33, 540, 824},	// QGlobalSpace::qtTrId$
    {33, 541, 823},	// QGlobalSpace::qtTrId$$
    {33, 543, 599},	// QGlobalSpace::qt_assert$$$
    {33, 545, 681},	// QGlobalSpace::qt_assert_x$$$$
    {33, 547, 777},	// QGlobalSpace::qt_check_pointer$$
    {33, 548, 537},	// QGlobalSpace::qt_error_string
    {33, 549, 536},	// QGlobalSpace::qt_error_string$
    {33, 551, 898},	// QGlobalSpace::qt_message_output$$
    {33, 556, 462},	// QGlobalSpace::qt_noop
    {33, 558, 664},	// QGlobalSpace::qt_qFindChild_helper#$#
    {33, 560, 839},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {33, 562, 834},	// QGlobalSpace::qvariant_cast_helper#$$
    {33, 564, 773},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 61,
        __smokeqtdbus::methods, 955,
        __smokeqtdbus::methodMaps, 589,
        __smokeqtdbus::methodNames, 663,
        __smokeqtdbus::types, 334,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
