#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 54: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 54: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 54: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 54: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 54: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpPart
      switch(to) {
        case 24: return (void*)(QHttpPart*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 27:   //QIODevice
      switch(to) {
        case 54: return (void*)(QObject*)(QIODevice*)xptr;
        case 27: return (void*)(QIODevice*)xptr;
        case 51: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 78: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 69: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 73: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 34: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 28:   //QIPv6Address
      switch(to) {
        case 28: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 29:   //QIncompatibleFlag
      switch(to) {
        case 29: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 30:   //QLatin1String
      switch(to) {
        case 30: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 31:   //QLine
      switch(to) {
        case 31: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 32:   //QLineF
      switch(to) {
        case 32: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalServer
      switch(to) {
        case 54: return (void*)(QObject*)(QLocalServer*)xptr;
        case 33: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 34:   //QLocalSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 54: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 34: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 35:   //QLocale
      switch(to) {
        case 35: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 36:   //QMargins
      switch(to) {
        case 36: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 37:   //QMetaObject
      switch(to) {
        case 37: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 38:   //QModelIndex
      switch(to) {
        case 38: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAccessManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkAddressEntry
      switch(to) {
        case 40: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCacheMetaData
      switch(to) {
        case 41: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkConfiguration
      switch(to) {
        case 42: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkConfigurationManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkCookie
      switch(to) {
        case 44: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkCookieJar
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 54: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkInterface
      switch(to) {
        case 47: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxy
      switch(to) {
        case 48: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkProxyFactory
      switch(to) {
        case 49: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkProxyQuery
      switch(to) {
        case 50: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkReply
      switch(to) {
        case 27: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 54: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 51: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 52:   //QNetworkRequest
      switch(to) {
        case 52: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 53:   //QNetworkSession
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 53: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 54:   //QObject
      switch(to) {
        case 54: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 33: return (void*)(QLocalServer*)(QObject*)xptr;
        case 23: return (void*)(QHttpMultiPart*)(QObject*)xptr;
        case 51: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 78: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 53: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 69: return (void*)(QSslSocket*)(QObject*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 73: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 72: return (void*)(QTcpServer*)(QObject*)xptr;
        case 34: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 55:   //QPersistentModelIndex
      switch(to) {
        case 55: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QPoint
      switch(to) {
        case 56: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 57:   //QPointF
      switch(to) {
        case 57: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 58:   //QRect
      switch(to) {
        case 58: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 59:   //QRectF
      switch(to) {
        case 59: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 60:   //QRegExp
      switch(to) {
        case 60: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 61:   //QSize
      switch(to) {
        case 61: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 62:   //QSizeF
      switch(to) {
        case 62: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 64:   //QSslCertificate
      switch(to) {
        case 64: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 65:   //QSslCipher
      switch(to) {
        case 65: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 66:   //QSslConfiguration
      switch(to) {
        case 66: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 67:   //QSslError
      switch(to) {
        case 67: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 68:   //QSslKey
      switch(to) {
        case 68: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 69:   //QSslSocket
      switch(to) {
        case 73: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 54: return (void*)(QObject*)(QSslSocket*)xptr;
        case 69: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 70:   //QString::Null
      switch(to) {
        case 70: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 71:   //QStringRef
      switch(to) {
        case 71: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 72:   //QTcpServer
      switch(to) {
        case 54: return (void*)(QObject*)(QTcpServer*)xptr;
        case 72: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 73:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 54: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QTextStream
      switch(to) {
        case 74: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 75:   //QTextStreamManipulator
      switch(to) {
        case 75: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 76:   //QTime
      switch(to) {
        case 76: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 77:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 77: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 54: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 79:   //QUrl
      switch(to) {
        case 79: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 80:   //QUrlInfo
      switch(to) {
        case 80: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 81:   //QUuid
      switch(to) {
        case 81: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //sockaddr
      switch(to) {
        case 84: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    54, 0,	// 1: QObject
    27, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    73, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttpMultiPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpMultiPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", false, 1, xcall_QHttpMultiPart, xenum_QHttpMultiPart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttpMultiPart) },	//23
    { "QHttpPart", false, 0, xcall_QHttpPart, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHttpPart) },	//24
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//25
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//26
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//27
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//28
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//29
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//30
    { "QLine", true, 0, 0, 0, 0, 0 },	//31
    { "QLineF", true, 0, 0, 0, 0, 0 },	//32
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//33
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//34
    { "QLocale", true, 0, 0, 0, 0, 0 },	//35
    { "QMargins", true, 0, 0, 0, 0, 0 },	//36
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//37
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//38
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//39
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//40
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//41
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//42
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//43
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//44
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//45
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//46
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//47
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//48
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//49
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//50
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//51
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//52
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//53
    { "QObject", true, 0, 0, 0, 0, 0 },	//54
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QPoint", true, 0, 0, 0, 0, 0 },	//56
    { "QPointF", true, 0, 0, 0, 0, 0 },	//57
    { "QRect", true, 0, 0, 0, 0, 0 },	//58
    { "QRectF", true, 0, 0, 0, 0, 0 },	//59
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//60
    { "QSize", true, 0, 0, 0, 0, 0 },	//61
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//62
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//63
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//64
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//65
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//66
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//67
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//68
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//69
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//70
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//71
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//72
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//73
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//74
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//75
    { "QTime", true, 0, 0, 0, 0, 0 },	//76
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//78
    { "QUrl", true, 0, 0, 0, 0, 0 },	//79
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//80
    { "QUuid", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QSsl::SslOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//75
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//76
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//79
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//80
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//87
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QHttpMultiPart::ContentType", 23, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref },	//91
    { "QHttpPart*", 24, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QHttpRequestHeader", 25, Smoke::t_class|Smoke::tf_stack },	//93
    { "QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//94
    { "QHttpRequestHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QHttpResponseHeader", 26, Smoke::t_class|Smoke::tf_stack },	//96
    { "QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref },	//97
    { "QHttpResponseHeader*", 26, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QIODevice*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QIODevice::OpenModeFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QIPv6Address", 28, Smoke::t_class|Smoke::tf_stack },	//102
    { "QIPv6Address*", 28, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QIncompatibleFlag", 29, Smoke::t_class|Smoke::tf_stack },	//104
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QLine&", 31, Smoke::t_class|Smoke::tf_ref },	//107
    { "QLineF&", 32, Smoke::t_class|Smoke::tf_ref },	//108
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//121
    { "QLocalServer*", 33, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QLocalSocket*", 34, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QLocalSocket::LocalSocketError", 34, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QLocalSocket::LocalSocketState", 34, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QLocale&", 35, Smoke::t_class|Smoke::tf_ref },	//126
    { "QLocale::NumberOption", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QMetaObject::Call", 37, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QNetworkAccessManager*", 39, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkAccessManager::NetworkAccessibility", 39, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QNetworkAccessManager::Operation", 39, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref },	//133
    { "QNetworkAddressEntry*", 40, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QNetworkCacheMetaData", 41, Smoke::t_class|Smoke::tf_stack },	//135
    { "QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref },	//136
    { "QNetworkCacheMetaData*", 41, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QNetworkConfiguration", 42, Smoke::t_class|Smoke::tf_stack },	//138
    { "QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref },	//139
    { "QNetworkConfiguration*", 42, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QNetworkConfiguration::BearerType", 42, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QNetworkConfiguration::Purpose", 42, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QNetworkConfiguration::StateFlag", 42, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QNetworkConfiguration::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkConfigurationManager*", 43, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkConfigurationManager::Capability", 43, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref },	//147
    { "QNetworkCookie*", 44, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QNetworkCookie::RawForm", 44, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QNetworkCookieJar*", 45, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkDiskCache*", 46, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QNetworkInterface", 47, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkInterface*", 47, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkInterface::InterfaceFlag", 47, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxy", 48, Smoke::t_class|Smoke::tf_stack },	//156
    { "QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref },	//157
    { "QNetworkProxy*", 48, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QNetworkProxy::Capability", 48, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QNetworkProxy::ProxyType", 48, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QNetworkProxyFactory*", 49, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref },	//162
    { "QNetworkProxyQuery*", 50, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QNetworkProxyQuery::QueryType", 50, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QNetworkReply*", 51, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QNetworkReply::NetworkError", 51, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest", 52, Smoke::t_class|Smoke::tf_stack },	//167
    { "QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref },	//168
    { "QNetworkRequest*", 52, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QNetworkRequest::Attribute", 52, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QNetworkRequest::CacheLoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QNetworkRequest::KnownHeaders", 52, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QNetworkRequest::LoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QNetworkRequest::Priority", 52, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QNetworkSession*", 53, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QNetworkSession::SessionError", 53, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QNetworkSession::State", 53, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QObject*", 54, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 54, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QPoint&", 56, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPointF&", 57, Smoke::t_class|Smoke::tf_ref },	//182
    { "QRect&", 58, Smoke::t_class|Smoke::tf_ref },	//183
    { "QRectF&", 59, Smoke::t_class|Smoke::tf_ref },	//184
    { "QRegExp&", 60, Smoke::t_class|Smoke::tf_ref },	//185
    { "QRegExp::PatternSyntax", 60, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSize&", 61, Smoke::t_class|Smoke::tf_ref },	//187
    { "QSizeF&", 62, Smoke::t_class|Smoke::tf_ref },	//188
    { "QSsl::AlternateNameEntryType", 63, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QSsl::EncodingFormat", 63, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QSsl::KeyAlgorithm", 63, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QSsl::KeyType", 63, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QSsl::SslOption", 63, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSsl::SslProtocol", 63, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QSslCertificate", 64, Smoke::t_class|Smoke::tf_stack },	//195
    { "QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref },	//196
    { "QSslCertificate*", 64, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QSslCertificate::SubjectInfo", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSslCipher", 65, Smoke::t_class|Smoke::tf_stack },	//199
    { "QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref },	//200
    { "QSslCipher*", 65, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QSslConfiguration", 66, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSslConfiguration*", 66, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSslError", 67, Smoke::t_class|Smoke::tf_stack },	//205
    { "QSslError&", 67, Smoke::t_class|Smoke::tf_ref },	//206
    { "QSslError*", 67, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QSslError::SslError", 67, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSslKey", 68, Smoke::t_class|Smoke::tf_stack },	//209
    { "QSslKey&", 68, Smoke::t_class|Smoke::tf_ref },	//210
    { "QSslKey*", 68, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSslSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QSslSocket::PeerVerifyMode", 69, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QSslSocket::SslMode", 69, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "QString::Null", 70, Smoke::t_class|Smoke::tf_stack },	//217
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "QTcpServer*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QTcpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QTextStream&", 74, Smoke::t_class|Smoke::tf_ref },	//225
    { "QTextStream&(*)(QTextStream&)", 74, Smoke::t_class|Smoke::tf_ref },	//226
    { "QTextStream::NumberFlag", 74, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QTextStreamManipulator", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QTime&", 76, Smoke::t_class|Smoke::tf_ref },	//229
    { "QTimerEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QUdpSocket*", 78, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QUdpSocket::BindFlag", 78, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QUrl", 79, Smoke::t_class|Smoke::tf_stack },	//233
    { "QUrl&", 79, Smoke::t_class|Smoke::tf_ref },	//234
    { "QUrl::FormattingOption", 79, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QUrlInfo", 80, Smoke::t_class|Smoke::tf_stack },	//236
    { "QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref },	//237
    { "QUrlInfo*", 80, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QUrlInfo::PermissionSpec", 80, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QUuid&", 81, Smoke::t_class|Smoke::tf_ref },	//240
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//241
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//242
    { "QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//244
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//319
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//320
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//321
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//322
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//323
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//324
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//325
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//326
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//327
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//328
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//329
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//330
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//331
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//332
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//333
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//334
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//335
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//336
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//337
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//338
    { "_LIB_VERSION_TYPE", 17, Smoke::t_enum|Smoke::tf_stack },	//339
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//340
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//341
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//342
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//343
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//344
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//347
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QIPv6Address&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QLatin1String&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QLine&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QLineF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QLocale&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QMargins&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QMetaObject&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QMetaObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//376
    { "const QModelIndex&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QNetworkProxyFactory&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QPersistentModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QPoint", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const QPoint&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QPointF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//392
    { "const QPointF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QRect&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QRectF&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QRegExp&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QRegExp*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const QSize", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QSize&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QSizeF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const QSizeF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QSslError&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QSslError::SslError&", 67, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QSslKey&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//408
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const QStringRef&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QTime&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QUrl&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QUuid&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const sockaddr*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//424
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//425
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//426
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//427
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//428
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//429
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//430
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//431
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//432
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//433
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//434
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//435
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//436
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//437
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//438
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//439
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//440
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//441
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//442
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//443
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//444
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//445
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//446
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//447
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//448
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//449
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//450
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    420, 0,	//1  const char*
    420, 420, 0,	//3  const char*, const char*
    420, 420, 426, 0,	//6  const char*, const char*, int
    128, 426, 449, 0,	//10  QMetaObject::Call, int, void**
    414, 0,	//14  const QUrl&
    379, 0,	//16  const QNetworkCacheMetaData&
    99, 0,	//18  QIODevice*
    178, 0,	//20  QObject*
    8, 178, 0,	//22  QAbstractSocket::SocketType, QObject*
    409, 443, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    356, 443, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    431, 0,	//33  long long
    426, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 417, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    426, 0,	//44  int
    383, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    383, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    409, 433, 100, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    344, 431, 0,	//59  char*, long long
    420, 431, 0,	//62  const char*, long long
    443, 0,	//65  unsigned short
    356, 0,	//67  const QHostAddress&
    409, 0,	//69  const QString&
    409, 443, 0,	//71  const QString&, unsigned short
    356, 443, 0,	//74  const QHostAddress&, unsigned short
    426, 7, 0,	//77  int, QAbstractSocket::SocketState
    409, 433, 0,	//80  const QString&, quint16
    345, 0,	//83  const QAuthenticator&
    409, 417, 0,	//85  const QString&, const QVariant&
    409, 409, 0,	//88  const QString&, const QString&
    71, 0,	//91  QFtp::TransferMode
    409, 99, 72, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    348, 409, 72, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    99, 409, 72, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    415, 0,	//105  const QUrlInfo&
    432, 432, 0,	//107  qint64, qint64
    426, 409, 0,	//110  int, const QString&
    426, 341, 0,	//113  int, bool
    341, 0,	//116  bool
    409, 99, 0,	//118  const QString&, QIODevice*
    348, 409, 0,	//121  const QByteArray&, const QString&
    99, 409, 0,	//124  QIODevice*, const QString&
    412, 412, 0,	//127  const QStringRef&, const QStringRef&
    442, 0,	//130  unsigned long long
    224, 426, 0,	//132  QTextCodec::ConversionFlag, int
    424, 0,	//135  double
    276, 426, 0,	//137  Qt::ImageConversionFlag, int
    420, 440, 0,	//140  const char*, unsigned int
    448, 423, 436, 0,	//143  void*, const void*, size_t
    420, 363, 0,	//147  const char*, const QLatin1String&
    24, 38, 0,	//150  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 405, 0,	//153  QDebug, const QSslError&
    412, 409, 0,	//156  const QStringRef&, const QString&
    399, 399, 0,	//159  const QSize&, const QSize&
    420, 348, 0,	//162  const char*, const QByteArray&
    31, 37, 0,	//165  QFile::Permission, QFlags<QFile::Permission>
    409, 420, 0,	//168  const QString&, const char*
    393, 393, 0,	//171  const QPointF&, const QPointF&
    424, 424, 0,	//174  double, double
    20, 188, 0,	//177  QDataStream&, QSizeF&
    348, 420, 0,	//180  const QByteArray&, const char*
    425, 0,	//183  float
    435, 0,	//185  signed char
    159, 426, 0,	//187  QNetworkProxy::Capability, int
    409, 412, 0,	//190  const QString&, const QStringRef&
    16, 0,	//193  QChar
    412, 363, 0,	//195  const QStringRef&, const QLatin1String&
    16, 16, 0,	//198  QChar, QChar
    309, 309, 0,	//201  Qt::TouchPointState, Qt::TouchPointState
    348, 0,	//204  const QByteArray&
    24, 414, 0,	//206  QDebug, const QUrl&
    217, 409, 0,	//209  QString::Null, const QString&
    20, 356, 0,	//212  QDataStream&, const QHostAddress&
    306, 306, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    127, 127, 0,	//218  QLocale::NumberOption, QLocale::NumberOption
    316, 316, 0,	//221  Qt::WindowType, Qt::WindowType
    424, 401, 0,	//224  double, const QSizeF&
    25, 426, 0,	//227  QDir::Filter, int
    391, 391, 0,	//230  const QPoint&, const QPoint&
    20, 395, 0,	//233  QDataStream&, const QRectF&
    284, 426, 0,	//236  Qt::KeyboardModifier, int
    303, 62, 0,	//239  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//242  QDebug, QAbstractSocket::SocketState
    343, 0,	//245  char
    227, 48, 0,	//247  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 374, 0,	//250  QDebug, const QMargins&
    235, 426, 0,	//253  QUrl::FormattingOption, int
    31, 426, 0,	//256  QFile::Permission, int
    391, 424, 0,	//259  const QPoint&, double
    27, 35, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 379, 0,	//265  QDataStream&, const QNetworkCacheMetaData&
    409, 348, 0,	//268  const QString&, const QByteArray&
    401, 401, 0,	//271  const QSizeF&, const QSizeF&
    24, 393, 0,	//274  QDebug, const QPointF&
    430, 426, 428, 428, 0,	//277  long double, int, int*, int*
    284, 58, 0,	//282  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 365, 0,	//285  QDebug, const QLineF&
    24, 351, 0,	//288  QDebug, const QDateTime&
    24, 198, 0,	//291  QDebug, QSslCertificate::SubjectInfo
    159, 159, 0,	//294  QNetworkProxy::Capability, QNetworkProxy::Capability
    420, 409, 0,	//297  const char*, const QString&
    232, 49, 0,	//300  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    235, 235, 0,	//303  QUrl::FormattingOption, QUrl::FormattingOption
    309, 64, 0,	//306  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    276, 276, 0,	//309  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    127, 426, 0,	//312  QLocale::NumberOption, int
    363, 363, 0,	//315  const QLatin1String&, const QLatin1String&
    422, 426, 0,	//318  const unsigned char*, int
    420, 420, 440, 0,	//321  const char*, const char*, unsigned int
    159, 44, 0,	//325  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    363, 412, 0,	//328  const QLatin1String&, const QStringRef&
    267, 267, 0,	//331  Qt::DropAction, Qt::DropAction
    146, 146, 0,	//334  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 391, 0,	//337  QDebug, const QPoint&
    20, 126, 0,	//340  QDataStream&, QLocale&
    409, 16, 0,	//343  const QString&, QChar
    217, 217, 0,	//346  QString::Null, QString::Null
    24, 125, 0,	//349  QDebug, QLocalSocket::LocalSocketState
    422, 439, 426, 0,	//352  const unsigned char*, unsigned char*, int
    224, 224, 0,	//356  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    291, 291, 0,	//359  Qt::Orientation, Qt::Orientation
    193, 45, 0,	//362  QSsl::SslOption, QFlags<QSsl::SslOption>
    448, 436, 436, 436, 0,	//365  void*, size_t, size_t, size_t
    440, 0,	//370  unsigned int
    306, 63, 0,	//372  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    394, 394, 0,	//375  const QRect&, const QRect&
    30, 36, 0,	//378  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    346, 346, 0,	//381  const QBitArray&, const QBitArray&
    348, 348, 0,	//384  const QByteArray&, const QByteArray&
    448, 436, 0,	//387  void*, size_t
    20, 373, 0,	//390  QDataStream&, const QLocale&
    24, 353, 0,	//393  QDebug, const QEasingCurve&
    447, 0,	//396  void(*)(QtMsgType,const char*)
    377, 0,	//398  const QModelIndex&
    20, 23, 0,	//400  QDataStream&, QDateTime&
    13, 13, 0,	//403  QBool, QBool
    420, 412, 0,	//406  const char*, const QStringRef&
    306, 426, 0,	//409  Qt::ToolBarArea, int
    278, 426, 0,	//412  Qt::InputMethodHint, int
    16, 409, 0,	//415  QChar, const QString&
    218, 426, 0,	//418  QString::SectionFlag, int
    106, 426, 0,	//421  QLibrary::LoadHint, int
    20, 234, 0,	//424  QDataStream&, QUrl&
    409, 217, 0,	//427  const QString&, QString::Null
    1, 426, 0,	//430  QAbstractFileEngine::FileFlag, int
    224, 47, 0,	//433  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    409, 343, 0,	//436  const QString&, char
    278, 56, 0,	//439  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    316, 66, 0,	//442  Qt::WindowType, QFlags<Qt::WindowType>
    289, 289, 0,	//445  Qt::MouseButton, Qt::MouseButton
    344, 420, 0,	//448  char*, const char*
    245, 245, 0,	//451  Qt::AlignmentFlag, Qt::AlignmentFlag
    391, 0,	//454  const QPoint&
    267, 426, 0,	//456  Qt::DropAction, int
    20, 413, 0,	//459  QDataStream&, const QTime&
    26, 426, 0,	//462  QDir::SortFlag, int
    374, 374, 0,	//465  const QMargins&, const QMargins&
    24, 381, 0,	//468  QDebug, const QNetworkCookie&
    24, 5, 0,	//471  QDebug, QAbstractSocket::SocketError
    179, 0,	//474  QObject*(*)()
    287, 287, 0,	//476  Qt::MatchFlag, Qt::MatchFlag
    436, 0,	//479  size_t
    265, 52, 0,	//481  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 220, 0,	//484  QDataStream&, QStringList&
    24, 418, 0,	//487  QDebug, const QVariant::Type
    265, 426, 0,	//490  Qt::DockWidgetArea, int
    429, 0,	//493  long
    426, 391, 0,	//495  int, const QPoint&
    20, 108, 0,	//498  QDataStream&, QLineF&
    31, 31, 0,	//501  QFile::Permission, QFile::Permission
    343, 409, 0,	//504  char, const QString&
    20, 187, 0,	//507  QDataStream&, QSize&
    389, 0,	//510  const QPersistentModelIndex&
    20, 409, 0,	//512  QDataStream&, const QString&
    20, 351, 0,	//515  QDataStream&, const QDateTime&
    387, 409, 375, 0,	//518  const QObject*, const QString&, const QMetaObject&
    218, 218, 0,	//522  QString::SectionFlag, QString::SectionFlag
    393, 424, 0,	//525  const QPointF&, double
    341, 13, 0,	//528  bool, QBool
    20, 136, 0,	//531  QDataStream&, QNetworkCacheMetaData&
    344, 420, 440, 0,	//534  char*, const char*, unsigned int
    146, 426, 0,	//538  QNetworkConfigurationManager::Capability, int
    20, 76, 0,	//541  QDataStream&, QHostAddress&
    20, 391, 0,	//544  QDataStream&, const QPoint&
    20, 242, 0,	//547  QDataStream&, QVariant&
    289, 426, 0,	//550  Qt::MouseButton, int
    393, 0,	//553  const QPointF&
    155, 43, 0,	//555  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 389, 0,	//558  QDebug, const QPersistentModelIndex&
    420, 420, 420, 426, 0,	//561  const char*, const char*, const char*, int
    425, 391, 0,	//566  float, const QPoint&
    291, 61, 0,	//569  Qt::Orientation, QFlags<Qt::Orientation>
    24, 382, 0,	//572  QDebug, const QNetworkInterface&
    232, 426, 0,	//575  QUdpSocket::BindFlag, int
    30, 426, 0,	//578  QEventLoop::ProcessEventsFlag, int
    395, 395, 0,	//581  const QRectF&, const QRectF&
    276, 55, 0,	//584  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 124, 0,	//587  QDebug, QLocalSocket::LocalSocketError
    20, 410, 0,	//590  QDataStream&, const QStringList&
    348, 343, 0,	//593  const QByteArray&, char
    27, 27, 0,	//596  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 33, 0,	//599  QDir::Filter, QFlags<QDir::Filter>
    20, 181, 0,	//602  QDataStream&, QPoint&
    401, 424, 0,	//605  const QSizeF&, double
    20, 350, 0,	//608  QDataStream&, const QDate&
    446, 0,	//611  void(*)()
    422, 426, 426, 0,	//613  const unsigned char*, int, int
    20, 364, 0,	//617  QDataStream&, const QLine&
    20, 216, 0,	//620  QDataStream&, QString&
    24, 356, 0,	//623  QDebug, const QHostAddress&
    448, 0,	//626  void*
    281, 426, 0,	//628  Qt::ItemFlag, int
    24, 352, 0,	//631  QDebug, const QDir&
    225, 226, 0,	//634  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 377, 0,	//637  QDebug, const QModelIndex&
    24, 402, 0,	//640  QDebug, const QSslCertificate&
    30, 30, 0,	//643  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    346, 0,	//646  const QBitArray&
    24, 413, 0,	//648  QDebug, const QTime&
    225, 228, 0,	//651  QTextStream&, QTextStreamManipulator
    272, 54, 0,	//654  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    412, 420, 0,	//657  const QStringRef&, const char*
    78, 356, 0,	//660  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//663  QDataStream&, QBitArray&
    436, 436, 0,	//666  size_t, size_t
    430, 426, 428, 428, 344, 436, 0,	//669  long double, int, int*, int*, char*, size_t
    24, 401, 0,	//676  QDebug, const QSizeF&
    272, 426, 0,	//679  Qt::GestureFlag, int
    343, 348, 0,	//682  char, const QByteArray&
    20, 417, 0,	//685  QDataStream&, const QVariant&
    24, 417, 0,	//688  QDebug, const QVariant&
    315, 426, 0,	//691  Qt::WindowState, int
    20, 229, 0,	//694  QDataStream&, QTime&
    24, 33, 0,	//697  QDebug, QFlags<QDir::Filter>
    284, 284, 0,	//700  Qt::KeyboardModifier, Qt::KeyboardModifier
    424, 393, 0,	//703  double, const QPointF&
    20, 28, 0,	//706  QDataStream&, QEasingCurve&
    267, 53, 0,	//709  Qt::DropAction, QFlags<Qt::DropAction>
    399, 424, 0,	//712  const QSize&, double
    24, 350, 0,	//715  QDebug, const QDate&
    25, 25, 0,	//718  QDir::Filter, QDir::Filter
    344, 436, 420, 445, 0,	//721  char*, size_t, const char*, va_list
    424, 391, 0,	//726  double, const QPoint&
    448, 426, 436, 0,	//729  void*, int, size_t
    20, 365, 0,	//733  QDataStream&, const QLineF&
    420, 426, 0,	//736  const char*, int
    434, 0,	//739  short
    101, 101, 0,	//741  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    265, 265, 0,	//744  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 34, 0,	//747  QDir::SortFlag, QFlags<QDir::SortFlag>
    155, 426, 0,	//750  QNetworkInterface::InterfaceFlag, int
    425, 425, 0,	//753  float, float
    417, 419, 0,	//756  const QVariant&, const QVariantComparisonHelper&
    106, 106, 0,	//759  QLibrary::LoadHint, QLibrary::LoadHint
    430, 426, 344, 0,	//762  long double, int, char*
    448, 436, 436, 427, 0,	//766  void*, size_t, size_t, int(*)(const void*,const void*)
    232, 232, 0,	//771  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 426, 0,	//774  QDirIterator::IteratorFlag, int
    278, 278, 0,	//777  Qt::InputMethodHint, Qt::InputMethodHint
    193, 426, 0,	//780  QSsl::SslOption, int
    24, 364, 0,	//783  QDebug, const QLine&
    303, 303, 0,	//786  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    309, 426, 0,	//789  Qt::TouchPointState, int
    348, 426, 0,	//792  const QByteArray&, int
    235, 50, 0,	//795  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    303, 426, 0,	//798  Qt::TextInteractionFlag, int
    315, 315, 0,	//801  Qt::WindowState, Qt::WindowState
    1, 32, 0,	//804  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 406, 0,	//807  QDebug, const QSslError::SslError&
    193, 193, 0,	//810  QSsl::SslOption, QSsl::SslOption
    20, 348, 0,	//813  QDataStream&, const QByteArray&
    20, 353, 0,	//816  QDataStream&, const QEasingCurve&
    20, 414, 0,	//819  QDataStream&, const QUrl&
    24, 394, 0,	//822  QDebug, const QRect&
    26, 26, 0,	//825  QDir::SortFlag, QDir::SortFlag
    227, 426, 0,	//828  QTextStream::NumberFlag, int
    20, 183, 0,	//831  QDataStream&, QRect&
    20, 399, 0,	//834  QDataStream&, const QSize&
    20, 349, 0,	//837  QDataStream&, const QChar&
    245, 426, 0,	//840  Qt::AlignmentFlag, int
    20, 396, 0,	//843  QDataStream&, const QRegExp&
    24, 395, 0,	//846  QDebug, const QRectF&
    315, 65, 0,	//849  Qt::WindowState, QFlags<Qt::WindowState>
    281, 281, 0,	//852  Qt::ItemFlag, Qt::ItemFlag
    20, 240, 0,	//855  QDataStream&, QUuid&
    391, 426, 0,	//858  const QPoint&, int
    20, 244, 0,	//861  QDataStream&, QVariant::Type&
    417, 243, 448, 0,	//864  const QVariant&, QVariant::Type, void*
    387, 409, 397, 375, 121, 0,	//868  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    355, 355, 0,	//874  const QHashDummyValue&, const QHashDummyValue&
    20, 182, 0,	//877  QDataStream&, QPointF&
    291, 426, 0,	//880  Qt::Orientation, int
    272, 272, 0,	//883  Qt::GestureFlag, Qt::GestureFlag
    101, 38, 0,	//886  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    391, 425, 0,	//889  const QPoint&, float
    424, 399, 0,	//892  double, const QSize&
    24, 407, 0,	//895  QDebug, const QSslKey&
    13, 341, 0,	//898  QBool, bool
    20, 107, 0,	//901  QDataStream&, QLine&
    24, 399, 0,	//904  QDebug, const QSize&
    227, 227, 0,	//907  QTextStream::NumberFlag, QTextStream::NumberFlag
    289, 60, 0,	//910  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 418, 0,	//913  QDataStream&, const QVariant::Type
    281, 57, 0,	//916  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 416, 0,	//919  QDataStream&, const QUuid&
    106, 39, 0,	//922  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    316, 426, 0,	//925  Qt::WindowType, int
    155, 155, 0,	//928  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 184, 0,	//931  QDataStream&, QRectF&
    20, 394, 0,	//934  QDataStream&, const QRect&
    287, 59, 0,	//937  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    245, 51, 0,	//940  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 403, 0,	//943  QDebug, const QSslCipher&
    20, 17, 0,	//946  QDataStream&, QChar&
    20, 185, 0,	//949  QDataStream&, QRegExp&
    441, 0,	//952  unsigned long
    20, 393, 0,	//954  QDataStream&, const QPointF&
    20, 401, 0,	//957  QDataStream&, const QSizeF&
    127, 40, 0,	//960  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    218, 46, 0,	//963  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//966  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    319, 420, 0,	//969  QtMsgType, const char*
    146, 42, 0,	//972  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    412, 0,	//975  const QStringRef&
    101, 426, 0,	//977  QIODevice::OpenModeFlag, int
    437, 0,	//980  unsigned char
    20, 15, 0,	//982  QDataStream&, QByteArray&
    24, 387, 0,	//985  QDebug, const QObject*
    287, 426, 0,	//988  Qt::MatchFlag, int
    20, 21, 0,	//991  QDataStream&, QDate&
    20, 346, 0,	//994  QDataStream&, const QBitArray&
    439, 0,	//997  unsigned char*
    362, 0,	//999  const QIPv6Address&
    421, 0,	//1001  const sockaddr*
    78, 0,	//1003  QHostAddress::SpecialAddress
    356, 426, 0,	//1005  const QHostAddress&, int
    388, 0,	//1008  const QPair<QHostAddress,int>&
    357, 0,	//1010  const QHostInfo&
    366, 0,	//1012  const QList<QHostAddress>&
    82, 0,	//1014  QHostInfo::HostInfoError
    409, 178, 420, 0,	//1016  const QString&, QObject*, const char*
    409, 443, 178, 0,	//1020  const QString&, unsigned short, QObject*
    409, 84, 443, 178, 0,	//1024  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    409, 84, 443, 0,	//1029  const QString&, QHttp::ConnectionMode, unsigned short
    223, 0,	//1033  QTcpSocket*
    409, 426, 409, 409, 0,	//1035  const QString&, int, const QString&, const QString&
    409, 99, 99, 0,	//1040  const QString&, QIODevice*, QIODevice*
    409, 348, 99, 0,	//1044  const QString&, const QByteArray&, QIODevice*
    360, 99, 99, 0,	//1048  const QHttpRequestHeader&, QIODevice*, QIODevice*
    360, 348, 99, 0,	//1052  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    361, 0,	//1056  const QHttpResponseHeader&
    426, 426, 0,	//1058  int, int
    409, 433, 10, 0,	//1061  const QString&, quint16, QAuthenticator*
    372, 0,	//1065  const QList<QSslError>&
    409, 84, 0,	//1067  const QString&, QHttp::ConnectionMode
    409, 426, 0,	//1070  const QString&, int
    409, 426, 409, 0,	//1073  const QString&, int, const QString&
    360, 0,	//1077  const QHttpRequestHeader&
    360, 99, 0,	//1079  const QHttpRequestHeader&, QIODevice*
    360, 348, 0,	//1082  const QHttpRequestHeader&, const QByteArray&
    358, 0,	//1085  const QHttpHeader&
    369, 0,	//1087  const QList<QPair<QString,QString> >&
    90, 178, 0,	//1089  QHttpMultiPart::ContentType, QObject*
    359, 0,	//1092  const QHttpPart&
    90, 0,	//1094  QHttpMultiPart::ContentType
    172, 417, 0,	//1096  QNetworkRequest::KnownHeaders, const QVariant&
    409, 409, 426, 426, 0,	//1099  const QString&, const QString&, int, int
    409, 409, 426, 0,	//1104  const QString&, const QString&, int
    426, 409, 426, 426, 0,	//1108  int, const QString&, int, int
    426, 409, 426, 0,	//1113  int, const QString&, int
    38, 0,	//1117  QFlags<QIODevice::OpenModeFlag>
    426, 342, 0,	//1119  int, bool*
    105, 0,	//1122  QIntegerForSizeof< void* >::Unsigned
    409, 38, 0,	//1124  const QString&, QFlags<QIODevice::OpenModeFlag>
    105, 125, 38, 0,	//1127  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    124, 0,	//1131  QLocalSocket::LocalSocketError
    125, 0,	//1133  QLocalSocket::LocalSocketState
    105, 125, 0,	//1135  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    161, 0,	//1138  QNetworkProxyFactory*
    2, 0,	//1140  QAbstractNetworkCache*
    150, 0,	//1142  QNetworkCookieJar*
    386, 0,	//1144  const QNetworkRequest&
    386, 99, 0,	//1146  const QNetworkRequest&, QIODevice*
    386, 348, 0,	//1149  const QNetworkRequest&, const QByteArray&
    386, 89, 0,	//1152  const QNetworkRequest&, QHttpMultiPart*
    386, 348, 99, 0,	//1155  const QNetworkRequest&, const QByteArray&, QIODevice*
    380, 0,	//1159  const QNetworkConfiguration&
    131, 0,	//1161  QNetworkAccessManager::NetworkAccessibility
    165, 10, 0,	//1163  QNetworkReply*, QAuthenticator*
    165, 0,	//1166  QNetworkReply*
    165, 372, 0,	//1168  QNetworkReply*, const QList<QSslError>&
    132, 386, 99, 0,	//1171  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    132, 386, 0,	//1175  QNetworkAccessManager::Operation, const QNetworkRequest&
    378, 0,	//1178  const QNetworkAddressEntry&
    368, 0,	//1180  const QList<QPair<QByteArray,QByteArray> >&
    351, 0,	//1182  const QDateTime&
    354, 0,	//1184  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1186  QFlags<QNetworkConfiguration::StateFlag>
    381, 0,	//1188  const QNetworkCookie&
    149, 0,	//1190  QNetworkCookie::RawForm
    367, 414, 0,	//1192  const QList<QNetworkCookie>&, const QUrl&
    367, 0,	//1195  const QList<QNetworkCookie>&
    382, 0,	//1197  const QNetworkInterface&
    160, 409, 443, 409, 409, 0,	//1199  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    160, 0,	//1205  QNetworkProxy::ProxyType
    44, 0,	//1207  QFlags<QNetworkProxy::Capability>
    160, 409, 0,	//1209  QNetworkProxy::ProxyType, const QString&
    160, 409, 443, 0,	//1212  QNetworkProxy::ProxyType, const QString&, unsigned short
    160, 409, 443, 409, 0,	//1216  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    385, 0,	//1221  const QNetworkProxyQuery&
    384, 0,	//1223  const QNetworkProxyFactory&
    414, 164, 0,	//1225  const QUrl&, QNetworkProxyQuery::QueryType
    409, 426, 409, 164, 0,	//1228  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    443, 409, 164, 0,	//1233  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    380, 414, 164, 0,	//1237  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    380, 409, 426, 409, 164, 0,	//1241  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    380, 443, 409, 164, 0,	//1247  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    164, 0,	//1252  QNetworkProxyQuery::QueryType
    443, 409, 0,	//1254  unsigned short, const QString&
    380, 414, 0,	//1257  const QNetworkConfiguration&, const QUrl&
    380, 409, 426, 0,	//1260  const QNetworkConfiguration&, const QString&, int
    380, 409, 426, 409, 0,	//1264  const QNetworkConfiguration&, const QString&, int, const QString&
    380, 443, 0,	//1269  const QNetworkConfiguration&, unsigned short
    380, 443, 409, 0,	//1272  const QNetworkConfiguration&, unsigned short, const QString&
    172, 0,	//1276  QNetworkRequest::KnownHeaders
    170, 0,	//1278  QNetworkRequest::Attribute
    404, 0,	//1280  const QSslConfiguration&
    166, 0,	//1282  QNetworkReply::NetworkError
    132, 0,	//1284  QNetworkAccessManager::Operation
    166, 409, 0,	//1286  QNetworkReply::NetworkError, const QString&
    170, 417, 0,	//1289  QNetworkRequest::Attribute, const QVariant&
    174, 0,	//1292  QNetworkRequest::Priority
    380, 178, 0,	//1294  const QNetworkConfiguration&, QObject*
    177, 0,	//1297  QNetworkSession::State
    176, 0,	//1299  QNetworkSession::SessionError
    380, 341, 0,	//1301  const QNetworkConfiguration&, bool
    29, 0,	//1304  QEvent*
    178, 29, 0,	//1306  QObject*, QEvent*
    230, 0,	//1309  QTimerEvent*
    18, 0,	//1311  QChildEvent*
    99, 190, 0,	//1313  QIODevice*, QSsl::EncodingFormat
    348, 190, 0,	//1316  const QByteArray&, QSsl::EncodingFormat
    402, 0,	//1319  const QSslCertificate&
    19, 0,	//1321  QCryptographicHash::Algorithm
    198, 0,	//1323  QSslCertificate::SubjectInfo
    409, 190, 186, 0,	//1325  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    409, 190, 0,	//1329  const QString&, QSsl::EncodingFormat
    409, 194, 0,	//1332  const QString&, QSsl::SslProtocol
    403, 0,	//1335  const QSslCipher&
    194, 0,	//1337  QSsl::SslProtocol
    213, 0,	//1339  QSslSocket::PeerVerifyMode
    407, 0,	//1341  const QSslKey&
    371, 0,	//1343  const QList<QSslCipher>&
    370, 0,	//1345  const QList<QSslCertificate>&
    193, 341, 0,	//1347  QSsl::SslOption, bool
    193, 0,	//1350  QSsl::SslOption
    208, 0,	//1352  QSslError::SslError
    208, 402, 0,	//1354  QSslError::SslError, const QSslCertificate&
    405, 0,	//1357  const QSslError&
    348, 191, 190, 192, 348, 0,	//1359  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    99, 191, 190, 192, 348, 0,	//1365  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    348, 191, 0,	//1371  const QByteArray&, QSsl::KeyAlgorithm
    348, 191, 190, 0,	//1374  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    348, 191, 190, 192, 0,	//1378  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    99, 191, 0,	//1383  QIODevice*, QSsl::KeyAlgorithm
    99, 191, 190, 0,	//1386  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    99, 191, 190, 192, 0,	//1390  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    409, 443, 409, 38, 0,	//1395  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    409, 191, 190, 348, 0,	//1400  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    214, 0,	//1405  QSslSocket::SslMode
    432, 0,	//1407  qint64
    409, 443, 409, 0,	//1409  const QString&, unsigned short, const QString&
    409, 191, 0,	//1413  const QString&, QSsl::KeyAlgorithm
    409, 191, 190, 0,	//1416  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    356, 443, 49, 0,	//1420  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    443, 49, 0,	//1424  unsigned short, QFlags<QUdpSocket::BindFlag>
    356, 382, 0,	//1427  const QHostAddress&, const QNetworkInterface&
    344, 431, 77, 444, 0,	//1430  char*, long long, QHostAddress*, unsigned short*
    420, 431, 356, 443, 0,	//1435  const char*, long long, const QHostAddress&, unsigned short
    348, 356, 443, 0,	//1440  const QByteArray&, const QHostAddress&, unsigned short
    344, 431, 77, 0,	//1444  char*, long long, QHostAddress*
    409, 426, 409, 409, 431, 351, 351, 341, 341, 341, 341, 341, 341, 0,	//1448  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    414, 426, 409, 409, 431, 351, 351, 341, 341, 341, 341, 341, 341, 0,	//1462  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    415, 415, 426, 0,	//1476  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlternativeType",	//5
    "AlwaysCache",	//6
    "AlwaysNetwork",	//7
    "Any",	//8
    "AnyIPv6",	//9
    "AnyProtocol",	//10
    "Append",	//11
    "ApplicationLevelRoaming",	//12
    "Ascii",	//13
    "AuthenticationRequiredError",	//14
    "AuthenticationReuseAttribute",	//15
    "AuthorityIssuerSerialNumberMismatch",	//16
    "AutoVerifyPeer",	//17
    "Automatic",	//18
    "Bearer2G",	//19
    "BearerBluetooth",	//20
    "BearerCDMA2000",	//21
    "BearerEthernet",	//22
    "BearerHSPA",	//23
    "BearerUnknown",	//24
    "BearerWCDMA",	//25
    "BearerWLAN",	//26
    "BearerWiMAX",	//27
    "Binary",	//28
    "BoundState",	//29
    "Broadcast",	//30
    "CacheLoadControlAttribute",	//31
    "CacheSaveControlAttribute",	//32
    "CachingCapability",	//33
    "CanBroadcast",	//34
    "CanMulticast",	//35
    "CanStartAndStopInterfaces",	//36
    "Cd",	//37
    "CertificateBlacklisted",	//38
    "CertificateExpired",	//39
    "CertificateNotYetValid",	//40
    "CertificateRejected",	//41
    "CertificateRevoked",	//42
    "CertificateSignatureFailed",	//43
    "CertificateUntrusted",	//44
    "Close",	//45
    "Closing",	//46
    "ClosingState",	//47
    "CommonName",	//48
    "ConnectToHost",	//49
    "Connected",	//50
    "ConnectedState",	//51
    "Connecting",	//52
    "ConnectingState",	//53
    "ConnectionEncryptedAttribute",	//54
    "ConnectionError",	//55
    "ConnectionModeHttp",	//56
    "ConnectionModeHttps",	//57
    "ConnectionRefused",	//58
    "ConnectionRefusedError",	//59
    "ContentAccessDenied",	//60
    "ContentDispositionHeader",	//61
    "ContentLengthHeader",	//62
    "ContentNotFoundError",	//63
    "ContentOperationNotPermittedError",	//64
    "ContentReSendError",	//65
    "ContentTypeHeader",	//66
    "CookieHeader",	//67
    "CookieLoadControlAttribute",	//68
    "CookieSaveControlAttribute",	//69
    "CountryName",	//70
    "CustomOperation",	//71
    "CustomVerbAttribute",	//72
    "DataStatistics",	//73
    "DatagramTooLargeError",	//74
    "DefaultForPlatform",	//75
    "DefaultProxy",	//76
    "Defined",	//77
    "DeleteOperation",	//78
    "Der",	//79
    "DirectConnectionRouting",	//80
    "Disconnected",	//81
    "Discovered",	//82
    "DnsEntry",	//83
    "DoNotBufferUploadDataAttribute",	//84
    "DontShareAddress",	//85
    "DownloadBufferAttribute",	//86
    "Dsa",	//87
    "EmailEntry",	//88
    "ExeGroup",	//89
    "ExeOther",	//90
    "ExeOwner",	//91
    "ForcedRoaming",	//92
    "FormDataType",	//93
    "FtpCachingProxy",	//94
    "Full",	//95
    "Get",	//96
    "GetOperation",	//97
    "HeadOperation",	//98
    "HighPriority",	//99
    "HostLookup",	//100
    "HostLookupState",	//101
    "HostNameLookupCapability",	//102
    "HostNameMismatch",	//103
    "HostNotFound",	//104
    "HostNotFoundError",	//105
    "HttpCachingProxy",	//106
    "HttpPipeliningAllowedAttribute",	//107
    "HttpPipeliningWasUsedAttribute",	//108
    "HttpProxy",	//109
    "HttpReasonPhraseAttribute",	//110
    "HttpStatusCodeAttribute",	//111
    "IPv4Protocol",	//112
    "IPv6Protocol",	//113
    "InternetAccessPoint",	//114
    "Invalid",	//115
    "InvalidCaCertificate",	//116
    "InvalidConfigurationError",	//117
    "InvalidNotAfterField",	//118
    "InvalidNotBeforeField",	//119
    "InvalidPurpose",	//120
    "InvalidResponseHeader",	//121
    "IsLoopBack",	//122
    "IsPointToPoint",	//123
    "IsRunning",	//124
    "IsUp",	//125
    "KeepAliveOption",	//126
    "LastModifiedHeader",	//127
    "LicensedActiveQt",	//128
    "LicensedCore",	//129
    "LicensedDBus",	//130
    "LicensedDeclarative",	//131
    "LicensedGui",	//132
    "LicensedHelp",	//133
    "LicensedMultimedia",	//134
    "LicensedNetwork",	//135
    "LicensedOpenGL",	//136
    "LicensedOpenVG",	//137
    "LicensedQt3Support",	//138
    "LicensedQt3SupportLight",	//139
    "LicensedScript",	//140
    "LicensedScriptTools",	//141
    "LicensedSql",	//142
    "LicensedSvg",	//143
    "LicensedTest",	//144
    "LicensedXml",	//145
    "LicensedXmlPatterns",	//146
    "List",	//147
    "ListeningCapability",	//148
    "ListeningState",	//149
    "LocalHost",	//150
    "LocalHostIPv6",	//151
    "LocalityName",	//152
    "LocationHeader",	//153
    "LoggedIn",	//154
    "Login",	//155
    "LowDelayOption",	//156
    "LowPriority",	//157
    "Manual",	//158
    "MaximumDownloadBufferSizeAttribute",	//159
    "MixedType",	//160
    "Mkdir",	//161
    "MulticastLoopbackOption",	//162
    "MulticastTtlOption",	//163
    "NameAndValueOnly",	//164
    "NetworkError",	//165
    "NetworkSessionRequired",	//166
    "NoError",	//167
    "NoPeerCertificate",	//168
    "NoProxy",	//169
    "NoSslSupport",	//170
    "None",	//171
    "NormalPriority",	//172
    "NotAccessible",	//173
    "NotAvailable",	//174
    "NotConnected",	//175
    "NotOpen",	//176
    "Null",	//177
    "OperationCanceledError",	//178
    "OperationNotSupportedError",	//179
    "Organization",	//180
    "OrganizationalUnitName",	//181
    "Passive",	//182
    "PathLengthExceeded",	//183
    "PeerClosedError",	//184
    "Pem",	//185
    "PostOperation",	//186
    "PreferCache",	//187
    "PreferNetwork",	//188
    "PrivateKey",	//189
    "PrivatePurpose",	//190
    "ProtocolFailure",	//191
    "ProtocolInvalidOperationError",	//192
    "ProtocolUnknownError",	//193
    "ProxyAuthenticationRequiredError",	//194
    "ProxyConnectionClosedError",	//195
    "ProxyConnectionRefusedError",	//196
    "ProxyConnectionTimeoutError",	//197
    "ProxyNotFoundError",	//198
    "ProxyProtocolError",	//199
    "ProxyTimeoutError",	//200
    "PublicKey",	//201
    "PublicPurpose",	//202
    "Put",	//203
    "PutOperation",	//204
    "QAbstractNetworkCache",	//205
    "QAbstractNetworkCache#",	//206
    "QAbstractSocket",	//207
    "QAbstractSocket$#",	//208
    "QAuthenticator",	//209
    "QAuthenticator#",	//210
    "QFtp",	//211
    "QFtp#",	//212
    "QHostAddress",	//213
    "QHostAddress#",	//214
    "QHostAddress$",	//215
    "QHostInfo",	//216
    "QHostInfo#",	//217
    "QHostInfo$",	//218
    "QHttp",	//219
    "QHttp#",	//220
    "QHttp$",	//221
    "QHttp$$",	//222
    "QHttp$$#",	//223
    "QHttp$$$",	//224
    "QHttp$$$#",	//225
    "QHttpHeader",	//226
    "QHttpHeader#",	//227
    "QHttpHeader$",	//228
    "QHttpMultiPart",	//229
    "QHttpMultiPart#",	//230
    "QHttpMultiPart$",	//231
    "QHttpMultiPart$#",	//232
    "QHttpPart",	//233
    "QHttpPart#",	//234
    "QHttpRequestHeader",	//235
    "QHttpRequestHeader#",	//236
    "QHttpRequestHeader$",	//237
    "QHttpRequestHeader$$",	//238
    "QHttpRequestHeader$$$",	//239
    "QHttpRequestHeader$$$$",	//240
    "QHttpResponseHeader",	//241
    "QHttpResponseHeader#",	//242
    "QHttpResponseHeader$",	//243
    "QHttpResponseHeader$$",	//244
    "QHttpResponseHeader$$$",	//245
    "QHttpResponseHeader$$$$",	//246
    "QIPv6Address",	//247
    "QIPv6Address#",	//248
    "QLocalServer",	//249
    "QLocalServer#",	//250
    "QLocalSocket",	//251
    "QLocalSocket#",	//252
    "QNetworkAccessManager",	//253
    "QNetworkAccessManager#",	//254
    "QNetworkAddressEntry",	//255
    "QNetworkAddressEntry#",	//256
    "QNetworkCacheMetaData",	//257
    "QNetworkCacheMetaData#",	//258
    "QNetworkConfiguration",	//259
    "QNetworkConfiguration#",	//260
    "QNetworkConfigurationManager",	//261
    "QNetworkConfigurationManager#",	//262
    "QNetworkCookie",	//263
    "QNetworkCookie#",	//264
    "QNetworkCookie##",	//265
    "QNetworkCookieJar",	//266
    "QNetworkCookieJar#",	//267
    "QNetworkDiskCache",	//268
    "QNetworkDiskCache#",	//269
    "QNetworkInterface",	//270
    "QNetworkInterface#",	//271
    "QNetworkProxy",	//272
    "QNetworkProxy#",	//273
    "QNetworkProxy$",	//274
    "QNetworkProxy$$",	//275
    "QNetworkProxy$$$",	//276
    "QNetworkProxy$$$$",	//277
    "QNetworkProxy$$$$$",	//278
    "QNetworkProxyFactory",	//279
    "QNetworkProxyFactory#",	//280
    "QNetworkProxyQuery",	//281
    "QNetworkProxyQuery#",	//282
    "QNetworkProxyQuery##",	//283
    "QNetworkProxyQuery##$",	//284
    "QNetworkProxyQuery#$",	//285
    "QNetworkProxyQuery#$$",	//286
    "QNetworkProxyQuery#$$$",	//287
    "QNetworkProxyQuery#$$$$",	//288
    "QNetworkProxyQuery$",	//289
    "QNetworkProxyQuery$$",	//290
    "QNetworkProxyQuery$$$",	//291
    "QNetworkProxyQuery$$$$",	//292
    "QNetworkReply",	//293
    "QNetworkReply#",	//294
    "QNetworkRequest",	//295
    "QNetworkRequest#",	//296
    "QNetworkSession",	//297
    "QNetworkSession#",	//298
    "QNetworkSession##",	//299
    "QSslCertificate",	//300
    "QSslCertificate#",	//301
    "QSslCertificate#$",	//302
    "QSslCipher",	//303
    "QSslCipher#",	//304
    "QSslCipher$$",	//305
    "QSslConfiguration",	//306
    "QSslConfiguration#",	//307
    "QSslError",	//308
    "QSslError#",	//309
    "QSslError$",	//310
    "QSslError$#",	//311
    "QSslKey",	//312
    "QSslKey#",	//313
    "QSslKey#$",	//314
    "QSslKey#$$",	//315
    "QSslKey#$$$",	//316
    "QSslKey#$$$#",	//317
    "QSslSocket",	//318
    "QSslSocket#",	//319
    "QTcpServer",	//320
    "QTcpServer#",	//321
    "QTcpSocket",	//322
    "QTcpSocket#",	//323
    "QUdpSocket",	//324
    "QUdpSocket#",	//325
    "QUrlInfo",	//326
    "QUrlInfo#",	//327
    "QUrlInfo#$$$$##$$$$$$",	//328
    "QUrlInfo$$$$$##$$$$$$",	//329
    "QtCriticalMsg",	//330
    "QtDebugMsg",	//331
    "QtFatalMsg",	//332
    "QtSystemMsg",	//333
    "QtWarningMsg",	//334
    "QueryPeer",	//335
    "RawCommand",	//336
    "ReadGroup",	//337
    "ReadOnly",	//338
    "ReadOther",	//339
    "ReadOwner",	//340
    "ReadWrite",	//341
    "Reading",	//342
    "RedirectionTargetAttribute",	//343
    "RelatedType",	//344
    "RemoteHostClosedError",	//345
    "Remove",	//346
    "Rename",	//347
    "ReuseAddressHint",	//348
    "Rmdir",	//349
    "Roaming",	//350
    "RoamingError",	//351
    "Rsa",	//352
    "SecureProtocols",	//353
    "SelfSignedCertificate",	//354
    "SelfSignedCertificateInChain",	//355
    "Sending",	//356
    "ServerNotFoundError",	//357
    "ServiceNetwork",	//358
    "ServiceSpecificPurpose",	//359
    "SessionAbortedError",	//360
    "SetCookieHeader",	//361
    "SetProxy",	//362
    "SetTransferMode",	//363
    "ShareAddress",	//364
    "SocketAccessError",	//365
    "SocketAddressNotAvailableError",	//366
    "SocketResourceError",	//367
    "SocketTimeoutError",	//368
    "Socks5Proxy",	//369
    "SourceIsFromCacheAttribute",	//370
    "SslClientMode",	//371
    "SslHandshakeFailedError",	//372
    "SslOptionDisableCompression",	//373
    "SslOptionDisableEmptyFragments",	//374
    "SslOptionDisableLegacyRenegotiation",	//375
    "SslOptionDisableServerNameIndication",	//376
    "SslOptionDisableSessionTickets",	//377
    "SslServerMode",	//378
    "SslV2",	//379
    "SslV3",	//380
    "StateOrProvinceName",	//381
    "SubjectIssuerMismatch",	//382
    "SynchronousRequestAttribute",	//383
    "SystemSessionSupport",	//384
    "TcpServer",	//385
    "TcpSocket",	//386
    "TemporaryNetworkFailureError",	//387
    "Text",	//388
    "TimeoutError",	//389
    "TlsV1",	//390
    "TlsV1SslV3",	//391
    "Truncate",	//392
    "TunnelingCapability",	//393
    "UdpSocket",	//394
    "UdpTunnelingCapability",	//395
    "UnableToDecodeIssuerPublicKey",	//396
    "UnableToDecryptCertificateSignature",	//397
    "UnableToGetIssuerCertificate",	//398
    "UnableToGetLocalIssuerCertificate",	//399
    "UnableToVerifyFirstCertificate",	//400
    "Unbuffered",	//401
    "Unconnected",	//402
    "UnconnectedState",	//403
    "Undefined",	//404
    "UnencryptedMode",	//405
    "UnexpectedClose",	//406
    "UnfinishedSocketOperationError",	//407
    "UnknownAccessibility",	//408
    "UnknownContentError",	//409
    "UnknownError",	//410
    "UnknownNetworkError",	//411
    "UnknownNetworkLayerProtocol",	//412
    "UnknownOperation",	//413
    "UnknownProtocol",	//414
    "UnknownProxyError",	//415
    "UnknownPurpose",	//416
    "UnknownSessionError",	//417
    "UnknownSocketError",	//418
    "UnknownSocketType",	//419
    "UnspecifiedError",	//420
    "UnsupportedSocketOperationError",	//421
    "UrlRequest",	//422
    "User",	//423
    "UserChoice",	//424
    "UserMax",	//425
    "VerifyNone",	//426
    "VerifyPeer",	//427
    "WriteGroup",	//428
    "WriteOnly",	//429
    "WriteOther",	//430
    "WriteOwner",	//431
    "WrongContentLength",	//432
    "_IEEE_",	//433
    "_ISOC_",	//434
    "_POSIX_",	//435
    "_SVID_",	//436
    "_XOPEN_",	//437
    "__codecvt_error",	//438
    "__codecvt_noconv",	//439
    "__codecvt_ok",	//440
    "__codecvt_partial",	//441
    "abort",	//442
    "abortHostLookup",	//443
    "abortHostLookup$",	//444
    "accept",	//445
    "activeConfiguration",	//446
    "activeTime",	//447
    "addCaCertificate",	//448
    "addCaCertificate#",	//449
    "addCaCertificates",	//450
    "addCaCertificates$",	//451
    "addCaCertificates$$",	//452
    "addCaCertificates$$$",	//453
    "addCaCertificates?",	//454
    "addDefaultCaCertificate",	//455
    "addDefaultCaCertificate#",	//456
    "addDefaultCaCertificates",	//457
    "addDefaultCaCertificates$",	//458
    "addDefaultCaCertificates$$",	//459
    "addDefaultCaCertificates$$$",	//460
    "addDefaultCaCertificates?",	//461
    "addPendingConnection",	//462
    "addPendingConnection#",	//463
    "addValue",	//464
    "addValue$$",	//465
    "addressEntries",	//466
    "addresses",	//467
    "algorithm",	//468
    "allAddresses",	//469
    "allConfigurations",	//470
    "allConfigurations$",	//471
    "allCookies",	//472
    "allInterfaces",	//473
    "allValues",	//474
    "allValues$",	//475
    "alternateSubjectNames",	//476
    "append",	//477
    "append#",	//478
    "applicationProxy",	//479
    "atEnd",	//480
    "attribute",	//481
    "attribute$",	//482
    "attribute$#",	//483
    "attributes",	//484
    "authenticationMethod",	//485
    "authenticationRequired",	//486
    "authenticationRequired##",	//487
    "authenticationRequired$$#",	//488
    "bearerName",	//489
    "bearerType",	//490
    "bearerTypeName",	//491
    "bind",	//492
    "bind#$",	//493
    "bind#$$",	//494
    "bind$",	//495
    "bind$$",	//496
    "boundary",	//497
    "broadcast",	//498
    "bytesAvailable",	//499
    "bytesReceived",	//500
    "bytesToWrite",	//501
    "bytesWritten",	//502
    "caCertificates",	//503
    "cache",	//504
    "cacheDirectory",	//505
    "cacheSize",	//506
    "canReadLine",	//507
    "capabilities",	//508
    "cd",	//509
    "cd$",	//510
    "certificate",	//511
    "childEvent",	//512
    "children",	//513
    "ciphers",	//514
    "clear",	//515
    "clearPendingCommands",	//516
    "clearPendingRequests",	//517
    "close",	//518
    "closeConnection",	//519
    "closed",	//520
    "commandFinished",	//521
    "commandFinished$$",	//522
    "commandStarted",	//523
    "commandStarted$",	//524
    "configuration",	//525
    "configurationAdded",	//526
    "configurationAdded#",	//527
    "configurationChanged",	//528
    "configurationChanged#",	//529
    "configurationFromIdentifier",	//530
    "configurationFromIdentifier$",	//531
    "configurationRemoved",	//532
    "configurationRemoved#",	//533
    "connectNotify",	//534
    "connectNotify$",	//535
    "connectToHost",	//536
    "connectToHost#$",	//537
    "connectToHost#$$",	//538
    "connectToHost$",	//539
    "connectToHost$$",	//540
    "connectToHost$$$",	//541
    "connectToHostEncrypted",	//542
    "connectToHostEncrypted$$",	//543
    "connectToHostEncrypted$$$",	//544
    "connectToHostEncrypted$$$$",	//545
    "connectToHostImplementation",	//546
    "connectToHostImplementation$$",	//547
    "connectToHostImplementation$$$",	//548
    "connectToServer",	//549
    "connectToServer$",	//550
    "connectToServer$$",	//551
    "connected",	//552
    "contentLength",	//553
    "contentType",	//554
    "cookieJar",	//555
    "cookiesForUrl",	//556
    "cookiesForUrl#",	//557
    "createRequest",	//558
    "createRequest$#",	//559
    "createRequest$##",	//560
    "currentCommand",	//561
    "currentDestinationDevice",	//562
    "currentDevice",	//563
    "currentId",	//564
    "currentRequest",	//565
    "currentSourceDevice",	//566
    "customEvent",	//567
    "data",	//568
    "data#",	//569
    "dataReadProgress",	//570
    "dataReadProgress$$",	//571
    "dataSendProgress",	//572
    "dataSendProgress$$",	//573
    "dataTransferProgress",	//574
    "dataTransferProgress$$",	//575
    "defaultCaCertificates",	//576
    "defaultCiphers",	//577
    "defaultConfiguration",	//578
    "deleteResource",	//579
    "deleteResource#",	//580
    "detach",	//581
    "digest",	//582
    "digest$",	//583
    "disconnectFromHost",	//584
    "disconnectFromHostImplementation",	//585
    "disconnectFromServer",	//586
    "disconnectNotify",	//587
    "disconnectNotify$",	//588
    "disconnected",	//589
    "domain",	//590
    "done",	//591
    "done$",	//592
    "downloadProgress",	//593
    "downloadProgress$$",	//594
    "effectiveDate",	//595
    "encrypted",	//596
    "encryptedBytesAvailable",	//597
    "encryptedBytesToWrite",	//598
    "encryptedBytesWritten",	//599
    "encryptedBytesWritten$",	//600
    "encryptionMethod",	//601
    "equal",	//602
    "equal##$",	//603
    "error",	//604
    "error$",	//605
    "errorString",	//606
    "event",	//607
    "eventFilter",	//608
    "expirationDate",	//609
    "expire",	//610
    "expiryDate",	//611
    "fileMetaData",	//612
    "fileMetaData$",	//613
    "finished",	//614
    "finished#",	//615
    "flags",	//616
    "flush",	//617
    "fromData",	//618
    "fromData#",	//619
    "fromData#$",	//620
    "fromDevice",	//621
    "fromDevice#",	//622
    "fromDevice#$",	//623
    "fromName",	//624
    "fromName$",	//625
    "fromPath",	//626
    "fromPath$",	//627
    "fromPath$$",	//628
    "fromPath$$$",	//629
    "fullServerName",	//630
    "get",	//631
    "get#",	//632
    "get$",	//633
    "get$#",	//634
    "get$#$",	//635
    "greaterThan",	//636
    "greaterThan##$",	//637
    "group",	//638
    "handle",	//639
    "hardwareAddress",	//640
    "hasContentLength",	//641
    "hasContentType",	//642
    "hasKey",	//643
    "hasKey$",	//644
    "hasPendingCommands",	//645
    "hasPendingConnections",	//646
    "hasPendingDatagrams",	//647
    "hasPendingRequests",	//648
    "hasRawHeader",	//649
    "hasRawHeader#",	//650
    "head",	//651
    "head#",	//652
    "head$",	//653
    "header",	//654
    "header$",	//655
    "hostFound",	//656
    "hostName",	//657
    "humanReadableName",	//658
    "identifier",	//659
    "ignore",	//660
    "ignoreSslErrors",	//661
    "ignoreSslErrors?",	//662
    "incomingConnection",	//663
    "incomingConnection$",	//664
    "incomingConnection?",	//665
    "index",	//666
    "insert",	//667
    "insert#",	//668
    "interface",	//669
    "interfaceFromIndex",	//670
    "interfaceFromIndex$",	//671
    "interfaceFromName",	//672
    "interfaceFromName$",	//673
    "ip",	//674
    "isCachingProxy",	//675
    "isDir",	//676
    "isEncrypted",	//677
    "isExecutable",	//678
    "isFile",	//679
    "isFinished",	//680
    "isHttpOnly",	//681
    "isInSubnet",	//682
    "isInSubnet#$",	//683
    "isInSubnet?",	//684
    "isListening",	//685
    "isNull",	//686
    "isOnline",	//687
    "isOpen",	//688
    "isReadable",	//689
    "isRoamingAvailable",	//690
    "isRunning",	//691
    "isSecure",	//692
    "isSequential",	//693
    "isSessionCookie",	//694
    "isSymLink",	//695
    "isTransparentProxy",	//696
    "isValid",	//697
    "isWritable",	//698
    "issuerInfo",	//699
    "issuerInfo#",	//700
    "issuerInfo$",	//701
    "joinMulticastGroup",	//702
    "joinMulticastGroup#",	//703
    "joinMulticastGroup##",	//704
    "keyExchangeMethod",	//705
    "keys",	//706
    "lastModified",	//707
    "lastRead",	//708
    "lastResponse",	//709
    "leaveMulticastGroup",	//710
    "leaveMulticastGroup#",	//711
    "leaveMulticastGroup##",	//712
    "length",	//713
    "lessThan",	//714
    "lessThan##$",	//715
    "list",	//716
    "list$",	//717
    "listInfo",	//718
    "listInfo#",	//719
    "listen",	//720
    "listen#",	//721
    "listen#$",	//722
    "listen$",	//723
    "localAddress",	//724
    "localCertificate",	//725
    "localDomainName",	//726
    "localHostName",	//727
    "localPort",	//728
    "login",	//729
    "login$",	//730
    "login$$",	//731
    "lookupHost",	//732
    "lookupHost$#$",	//733
    "lookupId",	//734
    "majorVersion",	//735
    "manager",	//736
    "maxPendingConnections",	//737
    "maximumCacheSize",	//738
    "metaData",	//739
    "metaData#",	//740
    "metaDataChanged",	//741
    "metaObject",	//742
    "method",	//743
    "migrate",	//744
    "minorVersion",	//745
    "mkdir",	//746
    "mkdir$",	//747
    "mode",	//748
    "modeChanged",	//749
    "modeChanged$",	//750
    "multicastInterface",	//751
    "name",	//752
    "netmask",	//753
    "networkAccessible",	//754
    "networkAccessibleChanged",	//755
    "networkAccessibleChanged$",	//756
    "networkConfiguration",	//757
    "networkSessionConnected",	//758
    "newConfigurationActivated",	//759
    "newConnection",	//760
    "nextPendingConnection",	//761
    "onlineStateChanged",	//762
    "onlineStateChanged$",	//763
    "open",	//764
    "opened",	//765
    "operation",	//766
    "operator!=",	//767
    "operator!=#",	//768
    "operator!=##",	//769
    "operator!=#$",	//770
    "operator!=$",	//771
    "operator!=$#",	//772
    "operator!=$$",	//773
    "operator&",	//774
    "operator&##",	//775
    "operator*",	//776
    "operator*#$",	//777
    "operator*$#",	//778
    "operator+",	//779
    "operator+##",	//780
    "operator+#$",	//781
    "operator+$#",	//782
    "operator+$$",	//783
    "operator-",	//784
    "operator-#",	//785
    "operator-##",	//786
    "operator/",	//787
    "operator/#$",	//788
    "operator<",	//789
    "operator<##",	//790
    "operator<#$",	//791
    "operator<$#",	//792
    "operator<$$",	//793
    "operator<<",	//794
    "operator<<##",	//795
    "operator<<#$",	//796
    "operator<<#?",	//797
    "operator<=",	//798
    "operator<=##",	//799
    "operator<=#$",	//800
    "operator<=$#",	//801
    "operator<=$$",	//802
    "operator=",	//803
    "operator=#",	//804
    "operator=$",	//805
    "operator==",	//806
    "operator==#",	//807
    "operator==##",	//808
    "operator==#$",	//809
    "operator==$",	//810
    "operator==$#",	//811
    "operator==$$",	//812
    "operator>",	//813
    "operator>##",	//814
    "operator>#$",	//815
    "operator>$#",	//816
    "operator>$$",	//817
    "operator>=",	//818
    "operator>=##",	//819
    "operator>=#$",	//820
    "operator>=$#",	//821
    "operator>=$$",	//822
    "operator>>",	//823
    "operator>>##",	//824
    "operator>>#$",	//825
    "operator>>#?",	//826
    "operator[]",	//827
    "operator[]$",	//828
    "operator^",	//829
    "operator^##",	//830
    "operator|",	//831
    "operator|##",	//832
    "operator|$$",	//833
    "option",	//834
    "option$",	//835
    "options",	//836
    "originatingObject",	//837
    "owner",	//838
    "parse",	//839
    "parse$",	//840
    "parseCookies",	//841
    "parseCookies#",	//842
    "parseLine",	//843
    "parseLine$$",	//844
    "parseSubnet",	//845
    "parseSubnet$",	//846
    "password",	//847
    "path",	//848
    "peerAddress",	//849
    "peerCertificate",	//850
    "peerCertificateChain",	//851
    "peerHostName",	//852
    "peerName",	//853
    "peerPort",	//854
    "peerVerifyDepth",	//855
    "peerVerifyError",	//856
    "peerVerifyError#",	//857
    "peerVerifyMode",	//858
    "peerVerifyName",	//859
    "pendingDatagramSize",	//860
    "permissions",	//861
    "port",	//862
    "pos",	//863
    "post",	//864
    "post##",	//865
    "post$#",	//866
    "post$##",	//867
    "preferredConfigurationChanged",	//868
    "preferredConfigurationChanged#$",	//869
    "prefixLength",	//870
    "prepare",	//871
    "prepare#",	//872
    "priority",	//873
    "privateKey",	//874
    "protocol",	//875
    "protocolString",	//876
    "protocolTag",	//877
    "proxy",	//878
    "proxyAuthenticationRequired",	//879
    "proxyAuthenticationRequired##",	//880
    "proxyFactory",	//881
    "proxyForQuery",	//882
    "proxyForQuery#",	//883
    "publicKey",	//884
    "purpose",	//885
    "put",	//886
    "put##",	//887
    "put#$",	//888
    "put#$$",	//889
    "qAcos",	//890
    "qAcos$",	//891
    "qAddPostRoutine",	//892
    "qAddPostRoutine$",	//893
    "qAppName",	//894
    "qAsin",	//895
    "qAsin$",	//896
    "qAtan",	//897
    "qAtan$",	//898
    "qAtan2",	//899
    "qAtan2$$",	//900
    "qBadAlloc",	//901
    "qCeil",	//902
    "qCeil$",	//903
    "qChecksum",	//904
    "qChecksum$$",	//905
    "qCompress",	//906
    "qCompress#",	//907
    "qCompress#$",	//908
    "qCompress$$",	//909
    "qCompress$$$",	//910
    "qCos",	//911
    "qCos$",	//912
    "qCritical",	//913
    "qDebug",	//914
    "qExp",	//915
    "qExp$",	//916
    "qFabs",	//917
    "qFabs$",	//918
    "qFastCos",	//919
    "qFastCos$",	//920
    "qFastSin",	//921
    "qFastSin$",	//922
    "qFlagLocation",	//923
    "qFlagLocation$",	//924
    "qFloor",	//925
    "qFloor$",	//926
    "qFree",	//927
    "qFree$",	//928
    "qFreeAligned",	//929
    "qFreeAligned$",	//930
    "qFuzzyCompare",	//931
    "qFuzzyCompare$$",	//932
    "qFuzzyIsNull",	//933
    "qFuzzyIsNull$",	//934
    "qHash",	//935
    "qHash#",	//936
    "qHash$",	//937
    "qInf",	//938
    "qInstallMsgHandler",	//939
    "qInstallMsgHandler$",	//940
    "qIntCast",	//941
    "qIntCast$",	//942
    "qIsFinite",	//943
    "qIsFinite$",	//944
    "qIsInf",	//945
    "qIsInf$",	//946
    "qIsNaN",	//947
    "qIsNaN$",	//948
    "qIsNull",	//949
    "qIsNull$",	//950
    "qLn",	//951
    "qLn$",	//952
    "qMalloc",	//953
    "qMalloc$",	//954
    "qMallocAligned",	//955
    "qMallocAligned$$",	//956
    "qMemCopy",	//957
    "qMemCopy$$$",	//958
    "qMemSet",	//959
    "qMemSet$$$",	//960
    "qPow",	//961
    "qPow$$",	//962
    "qQNaN",	//963
    "qRealloc",	//964
    "qRealloc$$",	//965
    "qReallocAligned",	//966
    "qReallocAligned$$$$",	//967
    "qRegisterStaticPluginInstanceFunction",	//968
    "qRegisterStaticPluginInstanceFunction#",	//969
    "qRemovePostRoutine",	//970
    "qRemovePostRoutine$",	//971
    "qRound",	//972
    "qRound$",	//973
    "qRound64",	//974
    "qRound64$",	//975
    "qSNaN",	//976
    "qSetFieldWidth",	//977
    "qSetFieldWidth$",	//978
    "qSetPadChar",	//979
    "qSetPadChar#",	//980
    "qSetRealNumberPrecision",	//981
    "qSetRealNumberPrecision$",	//982
    "qSharedBuild",	//983
    "qSin",	//984
    "qSin$",	//985
    "qSqrt",	//986
    "qSqrt$",	//987
    "qStringComparisonHelper",	//988
    "qStringComparisonHelper#$",	//989
    "qStringComparisonHelper$$",	//990
    "qTan",	//991
    "qTan$",	//992
    "qUncompress",	//993
    "qUncompress#",	//994
    "qUncompress$$",	//995
    "qVersion",	//996
    "qWarning",	//997
    "qbswap_helper",	//998
    "qbswap_helper$$$",	//999
    "qecvt",	//1000
    "qecvt$$$$",	//1001
    "qecvt_r",	//1002
    "qecvt_r$$$$$$",	//1003
    "qfcvt",	//1004
    "qfcvt$$$$",	//1005
    "qfcvt_r",	//1006
    "qfcvt_r$$$$$$",	//1007
    "qgcvt",	//1008
    "qgcvt$$$",	//1009
    "qgetenv",	//1010
    "qgetenv$",	//1011
    "qputenv",	//1012
    "qputenv$#",	//1013
    "qrand",	//1014
    "qsort",	//1015
    "qsort$$$$",	//1016
    "qsrand",	//1017
    "qsrand$",	//1018
    "qstrcmp",	//1019
    "qstrcmp##",	//1020
    "qstrcmp#$",	//1021
    "qstrcmp$#",	//1022
    "qstrcmp$$",	//1023
    "qstrcpy",	//1024
    "qstrcpy$$",	//1025
    "qstrdup",	//1026
    "qstrdup$",	//1027
    "qstricmp",	//1028
    "qstricmp$$",	//1029
    "qstrlen",	//1030
    "qstrlen$",	//1031
    "qstrncmp",	//1032
    "qstrncmp$$$",	//1033
    "qstrncpy",	//1034
    "qstrncpy$$$",	//1035
    "qstrnicmp",	//1036
    "qstrnicmp$$$",	//1037
    "qstrnlen",	//1038
    "qstrnlen$$",	//1039
    "qtTrId",	//1040
    "qtTrId$",	//1041
    "qtTrId$$",	//1042
    "qt_assert",	//1043
    "qt_assert$$$",	//1044
    "qt_assert_x",	//1045
    "qt_assert_x$$$$",	//1046
    "qt_check_pointer",	//1047
    "qt_check_pointer$$",	//1048
    "qt_error_string",	//1049
    "qt_error_string$",	//1050
    "qt_message_output",	//1051
    "qt_message_output$$",	//1052
    "qt_metacall",	//1053
    "qt_metacall$$?",	//1054
    "qt_metacast",	//1055
    "qt_metacast$",	//1056
    "qt_noop",	//1057
    "qt_qFindChild_helper",	//1058
    "qt_qFindChild_helper#$#",	//1059
    "qt_qFindChildren_helper",	//1060
    "qt_qFindChildren_helper#$##?",	//1061
    "queryProxy",	//1062
    "queryProxy#",	//1063
    "queryType",	//1064
    "qvariant_cast_helper",	//1065
    "qvariant_cast_helper#$$",	//1066
    "qvsnprintf",	//1067
    "qvsnprintf$$$?",	//1068
    "rawCommand",	//1069
    "rawCommand$",	//1070
    "rawCommandReply",	//1071
    "rawCommandReply$$",	//1072
    "rawHeader",	//1073
    "rawHeader#",	//1074
    "rawHeaderList",	//1075
    "rawHeaderPairs",	//1076
    "rawHeaders",	//1077
    "read",	//1078
    "read$$",	//1079
    "readAll",	//1080
    "readBufferSize",	//1081
    "readData",	//1082
    "readData$$",	//1083
    "readDatagram",	//1084
    "readDatagram$$",	//1085
    "readDatagram$$#",	//1086
    "readDatagram$$#$",	//1087
    "readLineData",	//1088
    "readLineData$$",	//1089
    "readyRead",	//1090
    "readyRead#",	//1091
    "realm",	//1092
    "reasonPhrase",	//1093
    "reject",	//1094
    "remove",	//1095
    "remove#",	//1096
    "remove$",	//1097
    "removeAllValues",	//1098
    "removeAllValues$",	//1099
    "removeServer",	//1100
    "removeServer$",	//1101
    "removeValue",	//1102
    "removeValue$",	//1103
    "rename",	//1104
    "rename$$",	//1105
    "request",	//1106
    "request#",	//1107
    "request##",	//1108
    "request###",	//1109
    "requestFinished",	//1110
    "requestFinished$$",	//1111
    "requestStarted",	//1112
    "requestStarted$",	//1113
    "reset",	//1114
    "responseHeaderReceived",	//1115
    "responseHeaderReceived#",	//1116
    "rmdir",	//1117
    "rmdir$",	//1118
    "saveToDisk",	//1119
    "scopeId",	//1120
    "seek",	//1121
    "sendCustomRequest",	//1122
    "sendCustomRequest##",	//1123
    "sendCustomRequest###",	//1124
    "serialNumber",	//1125
    "serverAddress",	//1126
    "serverError",	//1127
    "serverName",	//1128
    "serverPort",	//1129
    "sessionCipher",	//1130
    "sessionProperty",	//1131
    "sessionProperty$",	//1132
    "setAddress",	//1133
    "setAddress#",	//1134
    "setAddress$",	//1135
    "setAddresses",	//1136
    "setAddresses?",	//1137
    "setAllCookies",	//1138
    "setAllCookies?",	//1139
    "setApplicationProxy",	//1140
    "setApplicationProxy#",	//1141
    "setApplicationProxyFactory",	//1142
    "setApplicationProxyFactory#",	//1143
    "setAttribute",	//1144
    "setAttribute$#",	//1145
    "setAttributes",	//1146
    "setAttributes?",	//1147
    "setBody",	//1148
    "setBody#",	//1149
    "setBodyDevice",	//1150
    "setBodyDevice#",	//1151
    "setBoundary",	//1152
    "setBoundary#",	//1153
    "setBroadcast",	//1154
    "setBroadcast#",	//1155
    "setCaCertificates",	//1156
    "setCaCertificates?",	//1157
    "setCache",	//1158
    "setCache#",	//1159
    "setCacheDirectory",	//1160
    "setCacheDirectory$",	//1161
    "setCapabilities",	//1162
    "setCapabilities$",	//1163
    "setCiphers",	//1164
    "setCiphers$",	//1165
    "setCiphers?",	//1166
    "setConfiguration",	//1167
    "setConfiguration#",	//1168
    "setContentLength",	//1169
    "setContentLength$",	//1170
    "setContentType",	//1171
    "setContentType$",	//1172
    "setCookieJar",	//1173
    "setCookieJar#",	//1174
    "setCookiesFromUrl",	//1175
    "setCookiesFromUrl?#",	//1176
    "setDefaultCaCertificates",	//1177
    "setDefaultCaCertificates?",	//1178
    "setDefaultCiphers",	//1179
    "setDefaultCiphers?",	//1180
    "setDefaultConfiguration",	//1181
    "setDefaultConfiguration#",	//1182
    "setDir",	//1183
    "setDir$",	//1184
    "setDomain",	//1185
    "setDomain$",	//1186
    "setError",	//1187
    "setError$",	//1188
    "setError$$",	//1189
    "setErrorString",	//1190
    "setErrorString$",	//1191
    "setExpirationDate",	//1192
    "setExpirationDate#",	//1193
    "setFile",	//1194
    "setFile$",	//1195
    "setFinished",	//1196
    "setFinished$",	//1197
    "setGroup",	//1198
    "setGroup$",	//1199
    "setHeader",	//1200
    "setHeader$#",	//1201
    "setHost",	//1202
    "setHost$",	//1203
    "setHost$$",	//1204
    "setHost$$$",	//1205
    "setHostName",	//1206
    "setHostName$",	//1207
    "setHttpOnly",	//1208
    "setHttpOnly$",	//1209
    "setIp",	//1210
    "setIp#",	//1211
    "setLastModified",	//1212
    "setLastModified#",	//1213
    "setLastRead",	//1214
    "setLastRead#",	//1215
    "setLocalAddress",	//1216
    "setLocalAddress#",	//1217
    "setLocalCertificate",	//1218
    "setLocalCertificate#",	//1219
    "setLocalCertificate$",	//1220
    "setLocalCertificate$$",	//1221
    "setLocalPort",	//1222
    "setLocalPort$",	//1223
    "setLookupId",	//1224
    "setLookupId$",	//1225
    "setMaxPendingConnections",	//1226
    "setMaxPendingConnections$",	//1227
    "setMaximumCacheSize",	//1228
    "setMaximumCacheSize$",	//1229
    "setMulticastInterface",	//1230
    "setMulticastInterface#",	//1231
    "setName",	//1232
    "setName#",	//1233
    "setName$",	//1234
    "setNetmask",	//1235
    "setNetmask#",	//1236
    "setNetworkAccessible",	//1237
    "setNetworkAccessible$",	//1238
    "setNetworkConfiguration",	//1239
    "setNetworkConfiguration#",	//1240
    "setOperation",	//1241
    "setOperation$",	//1242
    "setOption",	//1243
    "setOption$#",	//1244
    "setOriginatingObject",	//1245
    "setOriginatingObject#",	//1246
    "setOwner",	//1247
    "setOwner$",	//1248
    "setPassword",	//1249
    "setPassword$",	//1250
    "setPath",	//1251
    "setPath$",	//1252
    "setPeerAddress",	//1253
    "setPeerAddress#",	//1254
    "setPeerHostName",	//1255
    "setPeerHostName$",	//1256
    "setPeerName",	//1257
    "setPeerName$",	//1258
    "setPeerPort",	//1259
    "setPeerPort$",	//1260
    "setPeerVerifyDepth",	//1261
    "setPeerVerifyDepth$",	//1262
    "setPeerVerifyMode",	//1263
    "setPeerVerifyMode$",	//1264
    "setPeerVerifyName",	//1265
    "setPeerVerifyName$",	//1266
    "setPermissions",	//1267
    "setPermissions$",	//1268
    "setPort",	//1269
    "setPort$",	//1270
    "setPrefixLength",	//1271
    "setPrefixLength$",	//1272
    "setPriority",	//1273
    "setPriority$",	//1274
    "setPrivateKey",	//1275
    "setPrivateKey#",	//1276
    "setPrivateKey$",	//1277
    "setPrivateKey$$",	//1278
    "setPrivateKey$$$",	//1279
    "setPrivateKey$$$#",	//1280
    "setProtocol",	//1281
    "setProtocol$",	//1282
    "setProtocolTag",	//1283
    "setProtocolTag$",	//1284
    "setProxy",	//1285
    "setProxy#",	//1286
    "setProxy$$",	//1287
    "setProxy$$$",	//1288
    "setProxy$$$$",	//1289
    "setProxyFactory",	//1290
    "setProxyFactory#",	//1291
    "setQueryType",	//1292
    "setQueryType$",	//1293
    "setRawHeader",	//1294
    "setRawHeader##",	//1295
    "setRawHeaders",	//1296
    "setRawHeaders?",	//1297
    "setReadBufferSize",	//1298
    "setReadBufferSize$",	//1299
    "setReadable",	//1300
    "setReadable$",	//1301
    "setRequest",	//1302
    "setRequest#",	//1303
    "setRequest$$",	//1304
    "setRequest$$$",	//1305
    "setRequest$$$$",	//1306
    "setSaveToDisk",	//1307
    "setSaveToDisk$",	//1308
    "setScopeId",	//1309
    "setScopeId$",	//1310
    "setSecure",	//1311
    "setSecure$",	//1312
    "setSessionProperty",	//1313
    "setSessionProperty$#",	//1314
    "setSize",	//1315
    "setSize$",	//1316
    "setSocket",	//1317
    "setSocket#",	//1318
    "setSocketDescriptor",	//1319
    "setSocketDescriptor$",	//1320
    "setSocketDescriptor$$",	//1321
    "setSocketDescriptor$$$",	//1322
    "setSocketDescriptor?",	//1323
    "setSocketDescriptor?$",	//1324
    "setSocketDescriptor?$$",	//1325
    "setSocketError",	//1326
    "setSocketError$",	//1327
    "setSocketOption",	//1328
    "setSocketOption$#",	//1329
    "setSocketState",	//1330
    "setSocketState$",	//1331
    "setSslConfiguration",	//1332
    "setSslConfiguration#",	//1333
    "setSslOption",	//1334
    "setSslOption$$",	//1335
    "setStatusLine",	//1336
    "setStatusLine$",	//1337
    "setStatusLine$$",	//1338
    "setStatusLine$$$",	//1339
    "setStatusLine$$$$",	//1340
    "setSymLink",	//1341
    "setSymLink$",	//1342
    "setTransferMode",	//1343
    "setTransferMode$",	//1344
    "setType",	//1345
    "setType$",	//1346
    "setUrl",	//1347
    "setUrl#",	//1348
    "setUseSystemConfiguration",	//1349
    "setUseSystemConfiguration$",	//1350
    "setUser",	//1351
    "setUser$",	//1352
    "setUser$$",	//1353
    "setValid",	//1354
    "setValid$",	//1355
    "setValue",	//1356
    "setValue#",	//1357
    "setValue$$",	//1358
    "setValues",	//1359
    "setValues?",	//1360
    "setWritable",	//1361
    "setWritable$",	//1362
    "size",	//1363
    "socketDescriptor",	//1364
    "socketOption",	//1365
    "socketOption$",	//1366
    "socketType",	//1367
    "sslConfiguration",	//1368
    "sslErrors",	//1369
    "sslErrors#?",	//1370
    "sslErrors?",	//1371
    "startClientEncryption",	//1372
    "startServerEncryption",	//1373
    "state",	//1374
    "stateChanged",	//1375
    "stateChanged$",	//1376
    "staticMetaObject",	//1377
    "statusCode",	//1378
    "stop",	//1379
    "subjectInfo",	//1380
    "subjectInfo#",	//1381
    "subjectInfo$",	//1382
    "supportedBits",	//1383
    "supportedCiphers",	//1384
    "supportsSsl",	//1385
    "systemCaCertificates",	//1386
    "systemProxyForQuery",	//1387
    "systemProxyForQuery#",	//1388
    "testSslOption",	//1389
    "testSslOption$",	//1390
    "timerEvent",	//1391
    "toDer",	//1392
    "toDer#",	//1393
    "toIPv4Address",	//1394
    "toIPv6Address",	//1395
    "toPem",	//1396
    "toPem#",	//1397
    "toRawForm",	//1398
    "toRawForm$",	//1399
    "toString",	//1400
    "tr",	//1401
    "tr$",	//1402
    "tr$$",	//1403
    "tr$$$",	//1404
    "trUtf8",	//1405
    "trUtf8$",	//1406
    "trUtf8$$",	//1407
    "trUtf8$$$",	//1408
    "type",	//1409
    "updateCompleted",	//1410
    "updateConfigurations",	//1411
    "updateMetaData",	//1412
    "updateMetaData#",	//1413
    "uploadProgress",	//1414
    "uploadProgress$$",	//1415
    "url",	//1416
    "usedBits",	//1417
    "user",	//1418
    "value",	//1419
    "value$",	//1420
    "values",	//1421
    "version",	//1422
    "waitForBytesWritten",	//1423
    "waitForBytesWritten$",	//1424
    "waitForConnected",	//1425
    "waitForConnected$",	//1426
    "waitForDisconnected",	//1427
    "waitForDisconnected$",	//1428
    "waitForEncrypted",	//1429
    "waitForEncrypted$",	//1430
    "waitForNewConnection",	//1431
    "waitForNewConnection$",	//1432
    "waitForNewConnection$$",	//1433
    "waitForOpened",	//1434
    "waitForOpened$",	//1435
    "waitForReadyRead",	//1436
    "waitForReadyRead$",	//1437
    "writeData",	//1438
    "writeData$$",	//1439
    "writeDatagram",	//1440
    "writeDatagram##$",	//1441
    "writeDatagram$$#$",	//1442
    "~QAbstractNetworkCache",	//1443
    "~QAbstractSocket",	//1444
    "~QAuthenticator",	//1445
    "~QFtp",	//1446
    "~QHostAddress",	//1447
    "~QHostInfo",	//1448
    "~QHttp",	//1449
    "~QHttpHeader",	//1450
    "~QHttpMultiPart",	//1451
    "~QHttpPart",	//1452
    "~QHttpRequestHeader",	//1453
    "~QHttpResponseHeader",	//1454
    "~QIPv6Address",	//1455
    "~QLocalServer",	//1456
    "~QLocalSocket",	//1457
    "~QNetworkAccessManager",	//1458
    "~QNetworkAddressEntry",	//1459
    "~QNetworkCacheMetaData",	//1460
    "~QNetworkConfiguration",	//1461
    "~QNetworkConfigurationManager",	//1462
    "~QNetworkCookie",	//1463
    "~QNetworkCookieJar",	//1464
    "~QNetworkDiskCache",	//1465
    "~QNetworkInterface",	//1466
    "~QNetworkProxy",	//1467
    "~QNetworkProxyFactory",	//1468
    "~QNetworkProxyQuery",	//1469
    "~QNetworkReply",	//1470
    "~QNetworkRequest",	//1471
    "~QNetworkSession",	//1472
    "~QSslCertificate",	//1473
    "~QSslCipher",	//1474
    "~QSslConfiguration",	//1475
    "~QSslError",	//1476
    "~QSslKey",	//1477
    "~QSslSocket",	//1478
    "~QTcpServer",	//1479
    "~QTcpSocket",	//1480
    "~QUdpSocket",	//1481
    "~QUrlInfo",	//1482
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1401, 3, 2, Smoke::mf_static, 215, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1405, 3, 2, Smoke::mf_static, 215, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1401, 6, 3, Smoke::mf_static, 215, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1405, 6, 3, Smoke::mf_static, 215, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 739, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1412, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 568, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1095, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 341, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 431, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 871, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 667, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 515, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 205, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1401, 1, 1, Smoke::mf_static, 215, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1405, 1, 1, Smoke::mf_static, 215, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 205, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1443, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1401, 3, 2, Smoke::mf_static, 215, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1405, 3, 2, Smoke::mf_static, 215, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1401, 6, 3, Smoke::mf_static, 215, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1405, 6, 3, Smoke::mf_static, 215, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 207, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 536, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 536, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 584, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 697, 0, 0, Smoke::mf_const, 341, 12},	//33 QAbstractSocket::isValid() const
    {2, 499, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 728, 0, 0, Smoke::mf_const, 443, 16},	//37 QAbstractSocket::localPort() const
    {2, 724, 0, 0, Smoke::mf_const, 75, 17},	//38 QAbstractSocket::localAddress() const
    {2, 854, 0, 0, Smoke::mf_const, 443, 18},	//39 QAbstractSocket::peerPort() const
    {2, 849, 0, 0, Smoke::mf_const, 75, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 853, 0, 0, Smoke::mf_const, 215, 20},	//41 QAbstractSocket::peerName() const
    {2, 1081, 0, 0, Smoke::mf_const, 431, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1298, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 442, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1364, 0, 0, Smoke::mf_const, 426, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1319, 35, 3, 0, 341, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1328, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1365, 42, 1, 0, 241, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1367, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1374, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 604, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 518, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 32},	//53 QAbstractSocket::isSequential() const
    {2, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 33},	//54 QAbstractSocket::atEnd() const
    {2, 617, 0, 0, 0, 341, 34},	//55 QAbstractSocket::flush()
    {2, 1425, 44, 1, 0, 341, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1436, 44, 1, Smoke::mf_virtual, 341, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1423, 44, 1, Smoke::mf_virtual, 341, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1427, 44, 1, 0, 341, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1285, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 878, 0, 0, Smoke::mf_const, 156, 40},	//61 QAbstractSocket::proxy() const
    {2, 656, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 589, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1375, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 604, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 879, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 546, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 585, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1082, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1088, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1438, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1330, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1326, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1222, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1216, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1259, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1253, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1257, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1401, 1, 1, Smoke::mf_static, 215, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1405, 1, 1, Smoke::mf_static, 215, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 536, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 536, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1319, 44, 1, 0, 341, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1319, 77, 2, 0, 341, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1425, 0, 0, 0, 341, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1436, 0, 0, 0, 341, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1423, 0, 0, 0, 341, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1427, 0, 0, 0, 341, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 546, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1444, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 209, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 209, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 803, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 806, 83, 1, Smoke::mf_const, 341, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 767, 83, 1, Smoke::mf_const, 341, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1418, 0, 0, Smoke::mf_const, 215, 6},	//135 QAuthenticator::user() const
    {3, 1351, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 847, 0, 0, Smoke::mf_const, 215, 8},	//137 QAuthenticator::password() const
    {3, 1249, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 1092, 0, 0, Smoke::mf_const, 215, 10},	//139 QAuthenticator::realm() const
    {3, 834, 69, 1, Smoke::mf_const, 241, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 836, 0, 0, Smoke::mf_const, 74, 12},	//141 QAuthenticator::options() const
    {3, 1243, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 686, 0, 0, Smoke::mf_const, 341, 14},	//143 QAuthenticator::isNull() const
    {3, 581, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1445, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//146 QFtp::metaObject() const
    {16, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1401, 3, 2, Smoke::mf_static, 215, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1405, 3, 2, Smoke::mf_static, 215, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1401, 6, 3, Smoke::mf_static, 215, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1405, 6, 3, Smoke::mf_static, 215, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 211, 20, 1, Smoke::mf_ctor, 67, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1285, 71, 2, 0, 426, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 536, 71, 2, 0, 426, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 729, 88, 2, 0, 426, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 518, 0, 0, 0, 426, 12},	//157 QFtp::close()
    {16, 1343, 91, 1, 0, 426, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 716, 69, 1, 0, 426, 14},	//159 QFtp::list(const QString&)
    {16, 509, 69, 1, 0, 426, 15},	//160 QFtp::cd(const QString&)
    {16, 631, 93, 3, 0, 426, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 886, 97, 3, 0, 426, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 886, 101, 3, 0, 426, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1095, 69, 1, 0, 426, 19},	//164 QFtp::remove(const QString&)
    {16, 746, 69, 1, 0, 426, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1117, 69, 1, 0, 426, 21},	//166 QFtp::rmdir(const QString&)
    {16, 1104, 88, 2, 0, 426, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 1069, 69, 1, 0, 426, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 499, 0, 0, Smoke::mf_const, 431, 24},	//169 QFtp::bytesAvailable() const
    {16, 1078, 59, 2, 0, 431, 25},	//170 QFtp::read(char*, long long)
    {16, 1080, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 564, 0, 0, Smoke::mf_const, 426, 27},	//172 QFtp::currentId() const
    {16, 563, 0, 0, Smoke::mf_const, 99, 28},	//173 QFtp::currentDevice() const
    {16, 561, 0, 0, Smoke::mf_const, 68, 29},	//174 QFtp::currentCommand() const
    {16, 645, 0, 0, Smoke::mf_const, 341, 30},	//175 QFtp::hasPendingCommands() const
    {16, 516, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1374, 0, 0, Smoke::mf_const, 70, 32},	//177 QFtp::state() const
    {16, 604, 0, 0, Smoke::mf_const, 69, 33},	//178 QFtp::error() const
    {16, 606, 0, 0, Smoke::mf_const, 215, 34},	//179 QFtp::errorString() const
    {16, 442, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1375, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 718, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 1090, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 574, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1071, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 523, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 521, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 591, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1401, 1, 1, Smoke::mf_static, 215, 44},	//189 QFtp::tr(const char*)
    {16, 1405, 1, 1, Smoke::mf_static, 215, 45},	//190 QFtp::trUtf8(const char*)
    {16, 211, 0, 0, Smoke::mf_ctor, 67, 46},	//191 QFtp::QFtp()
    {16, 536, 69, 1, 0, 426, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 729, 0, 0, 0, 426, 48},	//193 QFtp::login()
    {16, 729, 69, 1, 0, 426, 49},	//194 QFtp::login(const QString&)
    {16, 716, 0, 0, 0, 426, 50},	//195 QFtp::list()
    {16, 631, 69, 1, 0, 426, 51},	//196 QFtp::get(const QString&)
    {16, 631, 118, 2, 0, 426, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 886, 121, 2, 0, 426, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 886, 124, 2, 0, 426, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 55},	//200 QFtp::staticMetaObject() const
    {16, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 56},	//201 QFtp::Unconnected (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 57},	//202 QFtp::HostLookup (enum)
    {16, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 58},	//203 QFtp::Connecting (enum)
    {16, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 59},	//204 QFtp::Connected (enum)
    {16, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 60},	//205 QFtp::LoggedIn (enum)
    {16, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 61},	//206 QFtp::Closing (enum)
    {16, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 62},	//207 QFtp::NoError (enum)
    {16, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 63},	//208 QFtp::UnknownError (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 64},	//209 QFtp::HostNotFound (enum)
    {16, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 66},	//211 QFtp::NotConnected (enum)
    {16, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 67},	//212 QFtp::None (enum)
    {16, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 69},	//214 QFtp::SetProxy (enum)
    {16, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 71},	//216 QFtp::Login (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 72},	//217 QFtp::Close (enum)
    {16, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 73},	//218 QFtp::List (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 74},	//219 QFtp::Cd (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 75},	//220 QFtp::Get (enum)
    {16, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 76},	//221 QFtp::Put (enum)
    {16, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 77},	//222 QFtp::Remove (enum)
    {16, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 78},	//223 QFtp::Mkdir (enum)
    {16, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 79},	//224 QFtp::Rmdir (enum)
    {16, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 80},	//225 QFtp::Rename (enum)
    {16, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 82},	//227 QFtp::Active (enum)
    {16, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 83},	//228 QFtp::Passive (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 84},	//229 QFtp::Binary (enum)
    {16, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 85},	//230 QFtp::Ascii (enum)
    {16, 1446, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 818, 127, 2, Smoke::mf_static, 341, 1},	//232 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 935, 130, 1, Smoke::mf_static, 440, 2},	//233 QGlobalSpace::qHash(unsigned long long)
    {17, 831, 132, 2, Smoke::mf_static, 104, 3},	//234 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 945, 135, 1, Smoke::mf_static, 341, 4},	//235 QGlobalSpace::qIsInf(double)
    {17, 831, 137, 2, Smoke::mf_static, 104, 5},	//236 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 1038, 140, 2, Smoke::mf_static, 440, 6},	//237 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 957, 143, 3, Smoke::mf_static, 448, 7},	//238 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 1057, 0, 0, Smoke::mf_static, 0, 8},	//239 QGlobalSpace::qt_noop()
    {17, 806, 147, 2, Smoke::mf_static, 341, 9},	//240 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 794, 150, 2, Smoke::mf_static, 24, 10},	//241 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 794, 153, 2, Smoke::mf_static, 24, 11},	//242 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 806, 156, 2, Smoke::mf_static, 341, 12},	//243 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 806, 159, 2, Smoke::mf_static, 341, 13},	//244 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 779, 162, 2, Smoke::mf_static, 347, 14},	//245 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 831, 165, 2, Smoke::mf_static, 37, 15},	//246 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 988, 168, 2, Smoke::mf_static, 341, 16},	//247 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 1019, 162, 2, Smoke::mf_static, 426, 17},	//248 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 806, 171, 2, Smoke::mf_static, 341, 18},	//249 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 899, 174, 2, Smoke::mf_static, 424, 19},	//250 QGlobalSpace::qAtan2(double, double)
    {17, 823, 177, 2, Smoke::mf_static, 20, 20},	//251 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 818, 180, 2, Smoke::mf_static, 341, 21},	//252 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 945, 183, 1, Smoke::mf_static, 341, 22},	//253 QGlobalSpace::qIsInf(float)
    {17, 1010, 1, 1, Smoke::mf_static, 14, 23},	//254 QGlobalSpace::qgetenv(const char*)
    {17, 935, 185, 1, Smoke::mf_static, 440, 24},	//255 QGlobalSpace::qHash(signed char)
    {17, 831, 187, 2, Smoke::mf_static, 104, 25},	//256 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 806, 190, 2, Smoke::mf_static, 341, 26},	//257 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 813, 162, 2, Smoke::mf_static, 341, 27},	//258 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 941, 135, 1, Smoke::mf_static, 426, 28},	//259 QGlobalSpace::qIntCast(double)
    {17, 979, 193, 1, Smoke::mf_static, 228, 29},	//260 QGlobalSpace::qSetPadChar(QChar)
    {17, 806, 195, 2, Smoke::mf_static, 341, 30},	//261 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 806, 198, 2, Smoke::mf_static, 341, 31},	//262 QGlobalSpace::operator==(QChar, QChar)
    {17, 831, 201, 2, Smoke::mf_static, 64, 32},	//263 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 935, 14, 1, Smoke::mf_static, 440, 33},	//264 QGlobalSpace::qHash(const QUrl&)
    {17, 935, 204, 1, Smoke::mf_static, 440, 34},	//265 QGlobalSpace::qHash(const QByteArray&)
    {17, 794, 206, 2, Smoke::mf_static, 24, 35},	//266 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 789, 198, 2, Smoke::mf_static, 341, 36},	//267 QGlobalSpace::operator<(QChar, QChar)
    {17, 818, 198, 2, Smoke::mf_static, 341, 37},	//268 QGlobalSpace::operator>=(QChar, QChar)
    {17, 767, 209, 2, Smoke::mf_static, 341, 38},	//269 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 794, 212, 2, Smoke::mf_static, 20, 39},	//270 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 789, 162, 2, Smoke::mf_static, 341, 40},	//271 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 831, 215, 2, Smoke::mf_static, 63, 41},	//272 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 1019, 3, 2, Smoke::mf_static, 426, 42},	//273 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 911, 135, 1, Smoke::mf_static, 424, 43},	//274 QGlobalSpace::qCos(double)
    {17, 831, 218, 2, Smoke::mf_static, 40, 44},	//275 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 813, 198, 2, Smoke::mf_static, 341, 45},	//276 QGlobalSpace::operator>(QChar, QChar)
    {17, 831, 221, 2, Smoke::mf_static, 66, 46},	//277 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 776, 224, 2, Smoke::mf_static, 400, 47},	//278 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 983, 0, 0, Smoke::mf_static, 341, 48},	//279 QGlobalSpace::qSharedBuild()
    {17, 831, 227, 2, Smoke::mf_static, 104, 49},	//280 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 767, 127, 2, Smoke::mf_static, 341, 50},	//281 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 784, 230, 2, Smoke::mf_static, 390, 51},	//282 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 794, 233, 2, Smoke::mf_static, 20, 52},	//283 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 831, 236, 2, Smoke::mf_static, 104, 53},	//284 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 831, 239, 2, Smoke::mf_static, 62, 54},	//285 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 794, 242, 2, Smoke::mf_static, 24, 55},	//286 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 935, 245, 1, Smoke::mf_static, 440, 56},	//287 QGlobalSpace::qHash(char)
    {17, 767, 156, 2, Smoke::mf_static, 341, 57},	//288 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 831, 247, 2, Smoke::mf_static, 48, 58},	//289 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 794, 250, 2, Smoke::mf_static, 24, 59},	//290 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 831, 253, 2, Smoke::mf_static, 104, 60},	//291 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 831, 256, 2, Smoke::mf_static, 104, 61},	//292 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 787, 259, 2, Smoke::mf_static, 390, 62},	//293 QGlobalSpace::operator/(const QPoint&, double)
    {17, 779, 230, 2, Smoke::mf_static, 390, 63},	//294 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 831, 262, 2, Smoke::mf_static, 35, 64},	//295 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 794, 265, 2, Smoke::mf_static, 20, 65},	//296 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 779, 268, 2, Smoke::mf_static, 408, 66},	//297 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 784, 271, 2, Smoke::mf_static, 400, 67},	//298 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 794, 274, 2, Smoke::mf_static, 24, 68},	//299 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 943, 135, 1, Smoke::mf_static, 341, 69},	//300 QGlobalSpace::qIsFinite(double)
    {17, 1000, 277, 4, Smoke::mf_static, 344, 70},	//301 QGlobalSpace::qecvt(long double, int, int*, int*)
    {17, 767, 180, 2, Smoke::mf_static, 341, 71},	//302 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 831, 282, 2, Smoke::mf_static, 58, 72},	//303 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 794, 285, 2, Smoke::mf_static, 24, 73},	//304 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 794, 288, 2, Smoke::mf_static, 24, 74},	//305 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 794, 291, 2, Smoke::mf_static, 24, 75},	//306 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 831, 294, 2, Smoke::mf_static, 44, 76},	//307 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 789, 297, 2, Smoke::mf_static, 341, 77},	//308 QGlobalSpace::operator<(const char*, const QString&)
    {17, 831, 300, 2, Smoke::mf_static, 49, 78},	//309 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 831, 303, 2, Smoke::mf_static, 50, 79},	//310 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 779, 159, 2, Smoke::mf_static, 398, 80},	//311 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 831, 306, 2, Smoke::mf_static, 64, 81},	//312 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 831, 309, 2, Smoke::mf_static, 55, 82},	//313 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 1049, 44, 1, Smoke::mf_static, 215, 83},	//314 QGlobalSpace::qt_error_string(int)
    {17, 1049, 0, 0, Smoke::mf_static, 215, 84},	//315 QGlobalSpace::qt_error_string()
    {17, 779, 271, 2, Smoke::mf_static, 400, 85},	//316 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 831, 312, 2, Smoke::mf_static, 104, 86},	//317 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 789, 315, 2, Smoke::mf_static, 341, 87},	//318 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 993, 318, 2, Smoke::mf_static, 14, 88},	//319 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 1032, 321, 3, Smoke::mf_static, 426, 89},	//320 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 991, 135, 1, Smoke::mf_static, 424, 90},	//321 QGlobalSpace::qTan(double)
    {17, 831, 325, 2, Smoke::mf_static, 44, 91},	//322 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 813, 147, 2, Smoke::mf_static, 341, 92},	//323 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 767, 328, 2, Smoke::mf_static, 341, 93},	//324 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 977, 44, 1, Smoke::mf_static, 228, 94},	//325 QGlobalSpace::qSetFieldWidth(int)
    {17, 831, 331, 2, Smoke::mf_static, 53, 95},	//326 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 831, 334, 2, Smoke::mf_static, 42, 96},	//327 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 925, 135, 1, Smoke::mf_static, 426, 97},	//328 QGlobalSpace::qFloor(double)
    {17, 794, 337, 2, Smoke::mf_static, 24, 98},	//329 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 823, 340, 2, Smoke::mf_static, 20, 99},	//330 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 943, 183, 1, Smoke::mf_static, 341, 100},	//331 QGlobalSpace::qIsFinite(float)
    {17, 779, 343, 2, Smoke::mf_static, 408, 101},	//332 QGlobalSpace::operator+(const QString&, QChar)
    {17, 767, 346, 2, Smoke::mf_static, 341, 102},	//333 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 794, 349, 2, Smoke::mf_static, 24, 103},	//334 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 779, 180, 2, Smoke::mf_static, 347, 104},	//335 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 998, 352, 3, Smoke::mf_static, 0, 105},	//336 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 831, 356, 2, Smoke::mf_static, 47, 106},	//337 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 779, 168, 2, Smoke::mf_static, 408, 107},	//338 QGlobalSpace::operator+(const QString&, const char*)
    {17, 813, 315, 2, Smoke::mf_static, 341, 108},	//339 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 831, 359, 2, Smoke::mf_static, 61, 109},	//340 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 831, 362, 2, Smoke::mf_static, 45, 110},	//341 QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    {17, 966, 365, 4, Smoke::mf_static, 448, 111},	//342 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 779, 121, 2, Smoke::mf_static, 408, 112},	//343 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 935, 370, 1, Smoke::mf_static, 440, 113},	//344 QGlobalSpace::qHash(unsigned int)
    {17, 831, 372, 2, Smoke::mf_static, 63, 114},	//345 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 935, 193, 1, Smoke::mf_static, 440, 115},	//346 QGlobalSpace::qHash(QChar)
    {17, 798, 180, 2, Smoke::mf_static, 341, 116},	//347 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 941, 183, 1, Smoke::mf_static, 426, 117},	//348 QGlobalSpace::qIntCast(float)
    {17, 806, 375, 2, Smoke::mf_static, 341, 118},	//349 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 831, 378, 2, Smoke::mf_static, 36, 119},	//350 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 829, 381, 2, Smoke::mf_static, 11, 120},	//351 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 813, 384, 2, Smoke::mf_static, 341, 121},	//352 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 964, 387, 2, Smoke::mf_static, 448, 122},	//353 QGlobalSpace::qRealloc(void*, size_t)
    {17, 935, 69, 1, Smoke::mf_static, 440, 123},	//354 QGlobalSpace::qHash(const QString&)
    {17, 798, 315, 2, Smoke::mf_static, 341, 124},	//355 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 794, 390, 2, Smoke::mf_static, 20, 125},	//356 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 794, 393, 2, Smoke::mf_static, 24, 126},	//357 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 974, 135, 1, Smoke::mf_static, 431, 127},	//358 QGlobalSpace::qRound64(double)
    {17, 939, 396, 1, Smoke::mf_static, 447, 128},	//359 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 986, 135, 1, Smoke::mf_static, 424, 129},	//360 QGlobalSpace::qSqrt(double)
    {17, 935, 398, 1, Smoke::mf_static, 440, 130},	//361 QGlobalSpace::qHash(const QModelIndex&)
    {17, 919, 135, 1, Smoke::mf_static, 424, 131},	//362 QGlobalSpace::qFastCos(double)
    {17, 823, 400, 2, Smoke::mf_static, 20, 132},	//363 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 806, 403, 2, Smoke::mf_static, 341, 133},	//364 QGlobalSpace::operator==(QBool, QBool)
    {17, 806, 406, 2, Smoke::mf_static, 341, 134},	//365 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 831, 409, 2, Smoke::mf_static, 104, 135},	//366 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 767, 297, 2, Smoke::mf_static, 341, 136},	//367 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 935, 67, 1, Smoke::mf_static, 440, 137},	//368 QGlobalSpace::qHash(const QHostAddress&)
    {17, 947, 183, 1, Smoke::mf_static, 341, 138},	//369 QGlobalSpace::qIsNaN(float)
    {17, 798, 384, 2, Smoke::mf_static, 341, 139},	//370 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 923, 1, 1, Smoke::mf_static, 420, 140},	//371 QGlobalSpace::qFlagLocation(const char*)
    {17, 831, 412, 2, Smoke::mf_static, 104, 141},	//372 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 947, 135, 1, Smoke::mf_static, 341, 142},	//373 QGlobalSpace::qIsNaN(double)
    {17, 779, 415, 2, Smoke::mf_static, 408, 143},	//374 QGlobalSpace::operator+(QChar, const QString&)
    {17, 831, 418, 2, Smoke::mf_static, 104, 144},	//375 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 831, 421, 2, Smoke::mf_static, 104, 145},	//376 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 823, 424, 2, Smoke::mf_static, 20, 146},	//377 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 1043, 6, 3, Smoke::mf_static, 0, 147},	//378 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 935, 33, 1, Smoke::mf_static, 440, 148},	//379 QGlobalSpace::qHash(long long)
    {17, 767, 427, 2, Smoke::mf_static, 341, 149},	//380 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 1004, 277, 4, Smoke::mf_static, 344, 150},	//381 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {17, 831, 430, 2, Smoke::mf_static, 104, 151},	//382 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 831, 433, 2, Smoke::mf_static, 47, 152},	//383 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 779, 436, 2, Smoke::mf_static, 408, 153},	//384 QGlobalSpace::operator+(const QString&, char)
    {17, 767, 195, 2, Smoke::mf_static, 341, 154},	//385 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 784, 171, 2, Smoke::mf_static, 392, 155},	//386 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 806, 346, 2, Smoke::mf_static, 341, 156},	//387 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 831, 439, 2, Smoke::mf_static, 56, 157},	//388 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 789, 384, 2, Smoke::mf_static, 341, 158},	//389 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 831, 442, 2, Smoke::mf_static, 66, 159},	//390 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 933, 183, 1, Smoke::mf_static, 341, 160},	//391 QGlobalSpace::qFuzzyIsNull(float)
    {17, 831, 445, 2, Smoke::mf_static, 60, 161},	//392 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 1024, 448, 2, Smoke::mf_static, 344, 162},	//393 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 935, 44, 1, Smoke::mf_static, 440, 163},	//394 QGlobalSpace::qHash(int)
    {17, 779, 171, 2, Smoke::mf_static, 392, 164},	//395 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 831, 451, 2, Smoke::mf_static, 51, 165},	//396 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 806, 271, 2, Smoke::mf_static, 341, 166},	//397 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 784, 454, 1, Smoke::mf_static, 390, 167},	//398 QGlobalSpace::operator-(const QPoint&)
    {17, 831, 456, 2, Smoke::mf_static, 104, 168},	//399 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 794, 459, 2, Smoke::mf_static, 20, 169},	//400 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 831, 462, 2, Smoke::mf_static, 104, 170},	//401 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 981, 44, 1, Smoke::mf_static, 228, 171},	//402 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 915, 135, 1, Smoke::mf_static, 424, 172},	//403 QGlobalSpace::qExp(double)
    {17, 806, 465, 2, Smoke::mf_static, 341, 173},	//404 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 951, 135, 1, Smoke::mf_static, 424, 174},	//405 QGlobalSpace::qLn(double)
    {17, 794, 468, 2, Smoke::mf_static, 24, 175},	//406 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 794, 471, 2, Smoke::mf_static, 24, 176},	//407 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 767, 271, 2, Smoke::mf_static, 341, 177},	//408 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 968, 474, 1, Smoke::mf_static, 0, 178},	//409 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 904, 140, 2, Smoke::mf_static, 443, 179},	//410 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 831, 476, 2, Smoke::mf_static, 59, 180},	//411 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 953, 479, 1, Smoke::mf_static, 448, 181},	//412 QGlobalSpace::qMalloc(size_t)
    {17, 963, 0, 0, Smoke::mf_static, 424, 182},	//413 QGlobalSpace::qQNaN()
    {17, 831, 481, 2, Smoke::mf_static, 52, 183},	//414 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 823, 484, 2, Smoke::mf_static, 20, 184},	//415 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 1012, 162, 2, Smoke::mf_static, 341, 185},	//416 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 794, 487, 2, Smoke::mf_static, 24, 186},	//417 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 831, 490, 2, Smoke::mf_static, 104, 187},	//418 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 1017, 370, 1, Smoke::mf_static, 0, 188},	//419 QGlobalSpace::qsrand(unsigned int)
    {17, 935, 493, 1, Smoke::mf_static, 440, 189},	//420 QGlobalSpace::qHash(long)
    {17, 776, 495, 2, Smoke::mf_static, 390, 190},	//421 QGlobalSpace::operator*(int, const QPoint&)
    {17, 813, 127, 2, Smoke::mf_static, 341, 191},	//422 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 935, 65, 1, Smoke::mf_static, 440, 192},	//423 QGlobalSpace::qHash(unsigned short)
    {17, 823, 498, 2, Smoke::mf_static, 20, 193},	//424 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 767, 171, 2, Smoke::mf_static, 341, 194},	//425 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 831, 501, 2, Smoke::mf_static, 37, 195},	//426 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 1036, 321, 3, Smoke::mf_static, 426, 196},	//427 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 779, 504, 2, Smoke::mf_static, 408, 197},	//428 QGlobalSpace::operator+(char, const QString&)
    {17, 823, 507, 2, Smoke::mf_static, 20, 198},	//429 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 806, 209, 2, Smoke::mf_static, 341, 199},	//430 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 806, 328, 2, Smoke::mf_static, 341, 200},	//431 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 779, 384, 2, Smoke::mf_static, 347, 201},	//432 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 935, 510, 1, Smoke::mf_static, 440, 202},	//433 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 813, 297, 2, Smoke::mf_static, 341, 203},	//434 QGlobalSpace::operator>(const char*, const QString&)
    {17, 794, 512, 2, Smoke::mf_static, 20, 204},	//435 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 794, 515, 2, Smoke::mf_static, 20, 205},	//436 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 1058, 518, 3, Smoke::mf_static, 178, 206},	//437 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 831, 522, 2, Smoke::mf_static, 46, 207},	//438 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 787, 525, 2, Smoke::mf_static, 392, 208},	//439 QGlobalSpace::operator/(const QPointF&, double)
    {17, 767, 528, 2, Smoke::mf_static, 341, 209},	//440 QGlobalSpace::operator!=(bool, QBool)
    {17, 806, 315, 2, Smoke::mf_static, 341, 210},	//441 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 823, 531, 2, Smoke::mf_static, 20, 211},	//442 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 1034, 534, 3, Smoke::mf_static, 344, 212},	//443 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 831, 538, 2, Smoke::mf_static, 104, 213},	//444 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 993, 204, 1, Smoke::mf_static, 14, 214},	//445 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 823, 541, 2, Smoke::mf_static, 20, 215},	//446 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 794, 544, 2, Smoke::mf_static, 20, 216},	//447 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 823, 547, 2, Smoke::mf_static, 20, 217},	//448 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 831, 550, 2, Smoke::mf_static, 104, 218},	//449 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 784, 553, 1, Smoke::mf_static, 392, 219},	//450 QGlobalSpace::operator-(const QPointF&)
    {17, 806, 528, 2, Smoke::mf_static, 341, 220},	//451 QGlobalSpace::operator==(bool, QBool)
    {17, 1014, 0, 0, Smoke::mf_static, 426, 221},	//452 QGlobalSpace::qrand()
    {17, 831, 555, 2, Smoke::mf_static, 43, 222},	//453 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 794, 558, 2, Smoke::mf_static, 24, 223},	//454 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 1045, 561, 4, Smoke::mf_static, 0, 224},	//455 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 776, 566, 2, Smoke::mf_static, 390, 225},	//456 QGlobalSpace::operator*(float, const QPoint&)
    {17, 774, 381, 2, Smoke::mf_static, 11, 226},	//457 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 818, 162, 2, Smoke::mf_static, 341, 227},	//458 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 831, 569, 2, Smoke::mf_static, 61, 228},	//459 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 794, 572, 2, Smoke::mf_static, 24, 229},	//460 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 831, 575, 2, Smoke::mf_static, 104, 230},	//461 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 831, 578, 2, Smoke::mf_static, 104, 231},	//462 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 767, 581, 2, Smoke::mf_static, 341, 232},	//463 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 913, 0, 0, Smoke::mf_static, 24, 233},	//464 QGlobalSpace::qCritical()
    {17, 831, 584, 2, Smoke::mf_static, 55, 234},	//465 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 767, 162, 2, Smoke::mf_static, 341, 235},	//466 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 794, 587, 2, Smoke::mf_static, 24, 236},	//467 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 767, 230, 2, Smoke::mf_static, 341, 237},	//468 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 789, 147, 2, Smoke::mf_static, 341, 238},	//469 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 806, 581, 2, Smoke::mf_static, 341, 239},	//470 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 794, 590, 2, Smoke::mf_static, 20, 240},	//471 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 779, 593, 2, Smoke::mf_static, 347, 241},	//472 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 831, 596, 2, Smoke::mf_static, 35, 242},	//473 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 831, 599, 2, Smoke::mf_static, 33, 243},	//474 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 823, 602, 2, Smoke::mf_static, 20, 244},	//475 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 787, 605, 2, Smoke::mf_static, 400, 245},	//476 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 818, 315, 2, Smoke::mf_static, 341, 246},	//477 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 794, 608, 2, Smoke::mf_static, 20, 247},	//478 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 806, 230, 2, Smoke::mf_static, 341, 248},	//479 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 892, 611, 1, Smoke::mf_static, 0, 249},	//480 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 906, 613, 3, Smoke::mf_static, 14, 250},	//481 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 906, 318, 2, Smoke::mf_static, 14, 251},	//482 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 798, 162, 2, Smoke::mf_static, 341, 252},	//483 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 921, 135, 1, Smoke::mf_static, 424, 253},	//484 QGlobalSpace::qFastSin(double)
    {17, 798, 127, 2, Smoke::mf_static, 341, 254},	//485 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 794, 617, 2, Smoke::mf_static, 20, 255},	//486 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 823, 620, 2, Smoke::mf_static, 20, 256},	//487 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 894, 0, 0, Smoke::mf_static, 215, 257},	//488 QGlobalSpace::qAppName()
    {17, 996, 0, 0, Smoke::mf_static, 420, 258},	//489 QGlobalSpace::qVersion()
    {17, 794, 623, 2, Smoke::mf_static, 24, 259},	//490 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 927, 626, 1, Smoke::mf_static, 0, 260},	//491 QGlobalSpace::qFree(void*)
    {17, 831, 628, 2, Smoke::mf_static, 104, 261},	//492 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 929, 626, 1, Smoke::mf_static, 0, 262},	//493 QGlobalSpace::qFreeAligned(void*)
    {17, 806, 427, 2, Smoke::mf_static, 341, 263},	//494 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 794, 631, 2, Smoke::mf_static, 24, 264},	//495 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 794, 634, 2, Smoke::mf_static, 225, 265},	//496 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 789, 180, 2, Smoke::mf_static, 341, 266},	//497 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 794, 637, 2, Smoke::mf_static, 24, 267},	//498 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 794, 640, 2, Smoke::mf_static, 24, 268},	//499 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 831, 643, 2, Smoke::mf_static, 36, 269},	//500 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 935, 646, 1, Smoke::mf_static, 440, 270},	//501 QGlobalSpace::qHash(const QBitArray&)
    {17, 794, 648, 2, Smoke::mf_static, 24, 271},	//502 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 794, 651, 2, Smoke::mf_static, 225, 272},	//503 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 902, 135, 1, Smoke::mf_static, 426, 273},	//504 QGlobalSpace::qCeil(double)
    {17, 767, 198, 2, Smoke::mf_static, 341, 274},	//505 QGlobalSpace::operator!=(QChar, QChar)
    {17, 831, 654, 2, Smoke::mf_static, 54, 275},	//506 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 988, 657, 2, Smoke::mf_static, 341, 276},	//507 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 1026, 1, 1, Smoke::mf_static, 344, 277},	//508 QGlobalSpace::qstrdup(const char*)
    {17, 806, 660, 2, Smoke::mf_static, 341, 278},	//509 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 823, 663, 2, Smoke::mf_static, 20, 279},	//510 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 798, 297, 2, Smoke::mf_static, 341, 280},	//511 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 767, 406, 2, Smoke::mf_static, 341, 281},	//512 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 914, 0, 0, Smoke::mf_static, 24, 282},	//513 QGlobalSpace::qDebug()
    {17, 955, 666, 2, Smoke::mf_static, 448, 283},	//514 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 767, 657, 2, Smoke::mf_static, 341, 284},	//515 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 1002, 669, 6, Smoke::mf_static, 426, 285},	//516 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {17, 961, 174, 2, Smoke::mf_static, 424, 286},	//517 QGlobalSpace::qPow(double, double)
    {17, 798, 147, 2, Smoke::mf_static, 341, 287},	//518 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 794, 676, 2, Smoke::mf_static, 24, 288},	//519 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 831, 679, 2, Smoke::mf_static, 104, 289},	//520 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 823, 634, 2, Smoke::mf_static, 225, 290},	//521 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 779, 682, 2, Smoke::mf_static, 347, 291},	//522 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 806, 162, 2, Smoke::mf_static, 341, 292},	//523 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 794, 685, 2, Smoke::mf_static, 20, 293},	//524 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 784, 159, 2, Smoke::mf_static, 398, 294},	//525 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 794, 688, 2, Smoke::mf_static, 24, 295},	//526 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 779, 297, 2, Smoke::mf_static, 408, 296},	//527 QGlobalSpace::operator+(const char*, const QString&)
    {17, 831, 691, 2, Smoke::mf_static, 104, 297},	//528 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 823, 694, 2, Smoke::mf_static, 20, 298},	//529 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 767, 465, 2, Smoke::mf_static, 341, 299},	//530 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 794, 697, 2, Smoke::mf_static, 24, 300},	//531 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 831, 700, 2, Smoke::mf_static, 58, 301},	//532 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 776, 703, 2, Smoke::mf_static, 392, 302},	//533 QGlobalSpace::operator*(double, const QPointF&)
    {17, 823, 706, 2, Smoke::mf_static, 20, 303},	//534 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 831, 709, 2, Smoke::mf_static, 53, 304},	//535 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 806, 127, 2, Smoke::mf_static, 341, 305},	//536 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 776, 712, 2, Smoke::mf_static, 398, 306},	//537 QGlobalSpace::operator*(const QSize&, double)
    {17, 794, 715, 2, Smoke::mf_static, 24, 307},	//538 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 831, 718, 2, Smoke::mf_static, 33, 308},	//539 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 1067, 721, 4, Smoke::mf_static, 426, 309},	//540 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 776, 726, 2, Smoke::mf_static, 390, 310},	//541 QGlobalSpace::operator*(double, const QPoint&)
    {17, 959, 729, 3, Smoke::mf_static, 448, 311},	//542 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 794, 733, 2, Smoke::mf_static, 20, 312},	//543 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 1047, 736, 2, Smoke::mf_static, 0, 313},	//544 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 935, 739, 1, Smoke::mf_static, 440, 314},	//545 QGlobalSpace::qHash(short)
    {17, 831, 741, 2, Smoke::mf_static, 38, 315},	//546 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 917, 135, 1, Smoke::mf_static, 424, 316},	//547 QGlobalSpace::qFabs(double)
    {17, 831, 744, 2, Smoke::mf_static, 52, 317},	//548 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 831, 747, 2, Smoke::mf_static, 34, 318},	//549 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 831, 750, 2, Smoke::mf_static, 104, 319},	//550 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 1019, 384, 2, Smoke::mf_static, 426, 320},	//551 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 931, 753, 2, Smoke::mf_static, 341, 321},	//552 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 806, 756, 2, Smoke::mf_static, 341, 322},	//553 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 831, 759, 2, Smoke::mf_static, 39, 323},	//554 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 1006, 669, 6, Smoke::mf_static, 426, 324},	//555 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {17, 1008, 762, 3, Smoke::mf_static, 344, 325},	//556 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 1015, 766, 4, Smoke::mf_static, 0, 326},	//557 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {17, 890, 135, 1, Smoke::mf_static, 424, 327},	//558 QGlobalSpace::qAcos(double)
    {17, 831, 771, 2, Smoke::mf_static, 49, 328},	//559 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 831, 774, 2, Smoke::mf_static, 104, 329},	//560 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 831, 777, 2, Smoke::mf_static, 56, 330},	//561 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 818, 384, 2, Smoke::mf_static, 341, 331},	//562 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 831, 780, 2, Smoke::mf_static, 104, 332},	//563 QGlobalSpace::operator|(QSsl::SslOption, int)
    {17, 901, 0, 0, Smoke::mf_static, 0, 333},	//564 QGlobalSpace::qBadAlloc()
    {17, 794, 783, 2, Smoke::mf_static, 24, 334},	//565 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 831, 786, 2, Smoke::mf_static, 62, 335},	//566 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 831, 789, 2, Smoke::mf_static, 104, 336},	//567 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 933, 135, 1, Smoke::mf_static, 341, 337},	//568 QGlobalSpace::qFuzzyIsNull(double)
    {17, 906, 792, 2, Smoke::mf_static, 14, 338},	//569 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 906, 204, 1, Smoke::mf_static, 14, 339},	//570 QGlobalSpace::qCompress(const QByteArray&)
    {17, 831, 795, 2, Smoke::mf_static, 50, 340},	//571 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 831, 798, 2, Smoke::mf_static, 104, 341},	//572 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 831, 801, 2, Smoke::mf_static, 65, 342},	//573 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 831, 804, 2, Smoke::mf_static, 32, 343},	//574 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 794, 807, 2, Smoke::mf_static, 24, 344},	//575 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 831, 810, 2, Smoke::mf_static, 45, 345},	//576 QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    {17, 794, 813, 2, Smoke::mf_static, 20, 346},	//577 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 794, 816, 2, Smoke::mf_static, 20, 347},	//578 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 794, 819, 2, Smoke::mf_static, 20, 348},	//579 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 895, 135, 1, Smoke::mf_static, 424, 349},	//580 QGlobalSpace::qAsin(double)
    {17, 794, 822, 2, Smoke::mf_static, 24, 350},	//581 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 831, 825, 2, Smoke::mf_static, 34, 351},	//582 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 767, 375, 2, Smoke::mf_static, 341, 352},	//583 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 984, 135, 1, Smoke::mf_static, 424, 353},	//584 QGlobalSpace::qSin(double)
    {17, 831, 828, 2, Smoke::mf_static, 104, 354},	//585 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 806, 384, 2, Smoke::mf_static, 341, 355},	//586 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 823, 831, 2, Smoke::mf_static, 20, 356},	//587 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 831, 381, 2, Smoke::mf_static, 11, 357},	//588 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 794, 834, 2, Smoke::mf_static, 20, 358},	//589 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 794, 837, 2, Smoke::mf_static, 20, 359},	//590 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 831, 840, 2, Smoke::mf_static, 104, 360},	//591 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 794, 843, 2, Smoke::mf_static, 20, 361},	//592 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 1040, 736, 2, Smoke::mf_static, 215, 362},	//593 QGlobalSpace::qtTrId(const char*, int)
    {17, 1040, 1, 1, Smoke::mf_static, 215, 363},	//594 QGlobalSpace::qtTrId(const char*)
    {17, 794, 846, 2, Smoke::mf_static, 24, 364},	//595 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 798, 198, 2, Smoke::mf_static, 341, 365},	//596 QGlobalSpace::operator<=(QChar, QChar)
    {17, 831, 849, 2, Smoke::mf_static, 65, 366},	//597 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 767, 756, 2, Smoke::mf_static, 341, 367},	//598 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 831, 852, 2, Smoke::mf_static, 57, 368},	//599 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 823, 855, 2, Smoke::mf_static, 20, 369},	//600 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 776, 858, 2, Smoke::mf_static, 390, 370},	//601 QGlobalSpace::operator*(const QPoint&, int)
    {17, 823, 861, 2, Smoke::mf_static, 20, 371},	//602 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 1065, 864, 3, Smoke::mf_static, 341, 372},	//603 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 787, 712, 2, Smoke::mf_static, 398, 373},	//604 QGlobalSpace::operator/(const QSize&, double)
    {17, 949, 183, 1, Smoke::mf_static, 341, 374},	//605 QGlobalSpace::qIsNull(float)
    {17, 1060, 868, 5, Smoke::mf_static, 0, 375},	//606 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 806, 874, 2, Smoke::mf_static, 341, 376},	//607 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 897, 135, 1, Smoke::mf_static, 424, 377},	//608 QGlobalSpace::qAtan(double)
    {17, 823, 877, 2, Smoke::mf_static, 20, 378},	//609 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 831, 880, 2, Smoke::mf_static, 104, 379},	//610 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 931, 174, 2, Smoke::mf_static, 341, 380},	//611 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 767, 147, 2, Smoke::mf_static, 341, 381},	//612 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 776, 259, 2, Smoke::mf_static, 390, 382},	//613 QGlobalSpace::operator*(const QPoint&, double)
    {17, 831, 883, 2, Smoke::mf_static, 54, 383},	//614 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 831, 886, 2, Smoke::mf_static, 38, 384},	//615 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 976, 0, 0, Smoke::mf_static, 424, 385},	//616 QGlobalSpace::qSNaN()
    {17, 806, 180, 2, Smoke::mf_static, 341, 386},	//617 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 776, 605, 2, Smoke::mf_static, 400, 387},	//618 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 806, 657, 2, Smoke::mf_static, 341, 388},	//619 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 776, 889, 2, Smoke::mf_static, 390, 389},	//620 QGlobalSpace::operator*(const QPoint&, float)
    {17, 776, 892, 2, Smoke::mf_static, 398, 390},	//621 QGlobalSpace::operator*(double, const QSize&)
    {17, 789, 127, 2, Smoke::mf_static, 341, 391},	//622 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 794, 895, 2, Smoke::mf_static, 24, 392},	//623 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 767, 898, 2, Smoke::mf_static, 341, 393},	//624 QGlobalSpace::operator!=(QBool, bool)
    {17, 767, 159, 2, Smoke::mf_static, 341, 394},	//625 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 823, 901, 2, Smoke::mf_static, 20, 395},	//626 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 794, 904, 2, Smoke::mf_static, 24, 396},	//627 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 767, 315, 2, Smoke::mf_static, 341, 397},	//628 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 831, 907, 2, Smoke::mf_static, 48, 398},	//629 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 776, 525, 2, Smoke::mf_static, 392, 399},	//630 QGlobalSpace::operator*(const QPointF&, double)
    {17, 1028, 3, 2, Smoke::mf_static, 426, 400},	//631 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 831, 910, 2, Smoke::mf_static, 60, 401},	//632 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 767, 190, 2, Smoke::mf_static, 341, 402},	//633 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 972, 135, 1, Smoke::mf_static, 426, 403},	//634 QGlobalSpace::qRound(double)
    {17, 938, 0, 0, Smoke::mf_static, 424, 404},	//635 QGlobalSpace::qInf()
    {17, 794, 913, 2, Smoke::mf_static, 20, 405},	//636 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 831, 916, 2, Smoke::mf_static, 57, 406},	//637 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 794, 919, 2, Smoke::mf_static, 20, 407},	//638 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 831, 922, 2, Smoke::mf_static, 39, 408},	//639 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 831, 925, 2, Smoke::mf_static, 104, 409},	//640 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 1019, 180, 2, Smoke::mf_static, 426, 410},	//641 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 831, 928, 2, Smoke::mf_static, 43, 411},	//642 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 970, 611, 1, Smoke::mf_static, 0, 412},	//643 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 823, 931, 2, Smoke::mf_static, 20, 413},	//644 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 794, 934, 2, Smoke::mf_static, 20, 414},	//645 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 831, 937, 2, Smoke::mf_static, 59, 415},	//646 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 831, 940, 2, Smoke::mf_static, 51, 416},	//647 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 997, 0, 0, Smoke::mf_static, 24, 417},	//648 QGlobalSpace::qWarning()
    {17, 1030, 1, 1, Smoke::mf_static, 440, 418},	//649 QGlobalSpace::qstrlen(const char*)
    {17, 806, 898, 2, Smoke::mf_static, 341, 419},	//650 QGlobalSpace::operator==(QBool, bool)
    {17, 794, 943, 2, Smoke::mf_static, 24, 420},	//651 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 823, 946, 2, Smoke::mf_static, 20, 421},	//652 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 823, 949, 2, Smoke::mf_static, 20, 422},	//653 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 935, 952, 1, Smoke::mf_static, 440, 423},	//654 QGlobalSpace::qHash(unsigned long)
    {17, 794, 954, 2, Smoke::mf_static, 20, 424},	//655 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 794, 957, 2, Smoke::mf_static, 20, 425},	//656 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 831, 960, 2, Smoke::mf_static, 40, 426},	//657 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 806, 297, 2, Smoke::mf_static, 341, 427},	//658 QGlobalSpace::operator==(const char*, const QString&)
    {17, 831, 963, 2, Smoke::mf_static, 46, 428},	//659 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 779, 88, 2, Smoke::mf_static, 408, 429},	//660 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 767, 403, 2, Smoke::mf_static, 341, 430},	//661 QGlobalSpace::operator!=(QBool, QBool)
    {17, 831, 966, 2, Smoke::mf_static, 32, 431},	//662 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 1051, 969, 2, Smoke::mf_static, 0, 432},	//663 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 831, 972, 2, Smoke::mf_static, 42, 433},	//664 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 818, 297, 2, Smoke::mf_static, 341, 434},	//665 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 935, 975, 1, Smoke::mf_static, 440, 435},	//666 QGlobalSpace::qHash(const QStringRef&)
    {17, 949, 135, 1, Smoke::mf_static, 341, 436},	//667 QGlobalSpace::qIsNull(double)
    {17, 831, 977, 2, Smoke::mf_static, 104, 437},	//668 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 818, 147, 2, Smoke::mf_static, 341, 438},	//669 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 813, 180, 2, Smoke::mf_static, 341, 439},	//670 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 935, 980, 1, Smoke::mf_static, 440, 440},	//671 QGlobalSpace::qHash(unsigned char)
    {17, 823, 982, 2, Smoke::mf_static, 20, 441},	//672 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 794, 985, 2, Smoke::mf_static, 24, 442},	//673 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 831, 988, 2, Smoke::mf_static, 104, 443},	//674 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 767, 384, 2, Smoke::mf_static, 341, 444},	//675 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 823, 991, 2, Smoke::mf_static, 20, 445},	//676 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 794, 994, 2, Smoke::mf_static, 20, 446},	//677 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 447},	//678 QGlobalSpace::_IEEE_ (enum)
    {17, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 448},	//679 QGlobalSpace::_SVID_ (enum)
    {17, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 449},	//680 QGlobalSpace::_XOPEN_ (enum)
    {17, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 450},	//681 QGlobalSpace::_POSIX_ (enum)
    {17, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 451},	//682 QGlobalSpace::_ISOC_ (enum)
    {17, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 452},	//683 QGlobalSpace::LicensedGui (enum)
    {17, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 453},	//684 QGlobalSpace::LicensedXml (enum)
    {17, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 330, 454},	//685 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 332, 455},	//686 QGlobalSpace::LicensedScript (enum)
    {17, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 456},	//687 QGlobalSpace::LicensedOpenVG (enum)
    {17, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 457},	//688 QGlobalSpace::LicensedDBus (enum)
    {17, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 458},	//689 QGlobalSpace::LicensedTest (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 459},	//690 QGlobalSpace::LicensedActiveQt (enum)
    {17, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 333, 460},	//691 QGlobalSpace::LicensedScriptTools (enum)
    {17, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 335, 461},	//692 QGlobalSpace::LicensedSvg (enum)
    {17, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 462},	//693 QGlobalSpace::LicensedDeclarative (enum)
    {17, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 334, 463},	//694 QGlobalSpace::LicensedSql (enum)
    {17, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 464},	//695 QGlobalSpace::LicensedOpenGL (enum)
    {17, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 465},	//696 QGlobalSpace::LicensedCore (enum)
    {17, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 466},	//697 QGlobalSpace::QtDebugMsg (enum)
    {17, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 467},	//698 QGlobalSpace::QtWarningMsg (enum)
    {17, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 468},	//699 QGlobalSpace::QtCriticalMsg (enum)
    {17, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 469},	//700 QGlobalSpace::QtFatalMsg (enum)
    {17, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 470},	//701 QGlobalSpace::QtSystemMsg (enum)
    {17, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 471},	//702 QGlobalSpace::LicensedHelp (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 326, 472},	//703 QGlobalSpace::LicensedMultimedia (enum)
    {17, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 473},	//704 QGlobalSpace::LicensedQt3Support (enum)
    {17, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 474},	//705 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 327, 475},	//706 QGlobalSpace::LicensedNetwork (enum)
    {17, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 340, 476},	//707 QGlobalSpace::__codecvt_ok (enum)
    {17, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 340, 477},	//708 QGlobalSpace::__codecvt_partial (enum)
    {17, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 340, 478},	//709 QGlobalSpace::__codecvt_error (enum)
    {17, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 340, 479},	//710 QGlobalSpace::__codecvt_noconv (enum)
    {19, 213, 0, 0, Smoke::mf_ctor, 77, 1},	//711 QHostAddress::QHostAddress()
    {19, 213, 370, 1, Smoke::mf_ctor, 77, 2},	//712 QHostAddress::QHostAddress(unsigned int)
    {19, 213, 997, 1, Smoke::mf_ctor, 77, 3},	//713 QHostAddress::QHostAddress(unsigned char*)
    {19, 213, 999, 1, Smoke::mf_ctor, 77, 4},	//714 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 213, 1001, 1, Smoke::mf_ctor, 77, 5},	//715 QHostAddress::QHostAddress(const sockaddr*)
    {19, 213, 69, 1, Smoke::mf_ctor, 77, 6},	//716 QHostAddress::QHostAddress(const QString&)
    {19, 213, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 7},	//717 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 213, 1003, 1, Smoke::mf_ctor, 77, 8},	//718 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 803, 67, 1, 0, 76, 9},	//719 QHostAddress::operator=(const QHostAddress&)
    {19, 803, 69, 1, 0, 76, 10},	//720 QHostAddress::operator=(const QString&)
    {19, 1133, 370, 1, 0, 0, 11},	//721 QHostAddress::setAddress(unsigned int)
    {19, 1133, 997, 1, 0, 0, 12},	//722 QHostAddress::setAddress(unsigned char*)
    {19, 1133, 999, 1, 0, 0, 13},	//723 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1133, 1001, 1, 0, 0, 14},	//724 QHostAddress::setAddress(const sockaddr*)
    {19, 1133, 69, 1, 0, 341, 15},	//725 QHostAddress::setAddress(const QString&)
    {19, 875, 0, 0, Smoke::mf_const, 4, 16},	//726 QHostAddress::protocol() const
    {19, 1394, 0, 0, Smoke::mf_const, 440, 17},	//727 QHostAddress::toIPv4Address() const
    {19, 1395, 0, 0, Smoke::mf_const, 102, 18},	//728 QHostAddress::toIPv6Address() const
    {19, 1400, 0, 0, Smoke::mf_const, 215, 19},	//729 QHostAddress::toString() const
    {19, 1120, 0, 0, Smoke::mf_const, 215, 20},	//730 QHostAddress::scopeId() const
    {19, 1309, 69, 1, 0, 0, 21},	//731 QHostAddress::setScopeId(const QString&)
    {19, 806, 67, 1, Smoke::mf_const, 341, 22},	//732 QHostAddress::operator==(const QHostAddress&) const
    {19, 806, 1003, 1, Smoke::mf_const, 341, 23},	//733 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 767, 67, 1, Smoke::mf_const, 341, 24},	//734 QHostAddress::operator!=(const QHostAddress&) const
    {19, 767, 1003, 1, Smoke::mf_const, 341, 25},	//735 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 686, 0, 0, Smoke::mf_const, 341, 26},	//736 QHostAddress::isNull() const
    {19, 515, 0, 0, 0, 0, 27},	//737 QHostAddress::clear()
    {19, 682, 1005, 2, Smoke::mf_const, 341, 28},	//738 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 682, 1008, 1, Smoke::mf_const, 341, 29},	//739 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 845, 69, 1, Smoke::mf_static, 180, 30},	//740 QHostAddress::parseSubnet(const QString&)
    {19, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//741 QHostAddress::Null (enum)
    {19, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//742 QHostAddress::Broadcast (enum)
    {19, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//743 QHostAddress::LocalHost (enum)
    {19, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 34},	//744 QHostAddress::LocalHostIPv6 (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 35},	//745 QHostAddress::Any (enum)
    {19, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 36},	//746 QHostAddress::AnyIPv6 (enum)
    {19, 1447, 0, 0, Smoke::mf_dtor, 0, 37 },	//747 QHostAddress::~QHostAddress()
    {20, 216, 44, 1, Smoke::mf_ctor, 81, 1},	//748 QHostInfo::QHostInfo(int)
    {20, 216, 1010, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//749 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 803, 1010, 1, 0, 80, 3},	//750 QHostInfo::operator=(const QHostInfo&)
    {20, 657, 0, 0, Smoke::mf_const, 215, 4},	//751 QHostInfo::hostName() const
    {20, 1206, 69, 1, 0, 0, 5},	//752 QHostInfo::setHostName(const QString&)
    {20, 467, 0, 0, Smoke::mf_const, 110, 6},	//753 QHostInfo::addresses() const
    {20, 1136, 1012, 1, 0, 0, 7},	//754 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 604, 0, 0, Smoke::mf_const, 82, 8},	//755 QHostInfo::error() const
    {20, 1187, 1014, 1, 0, 0, 9},	//756 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 606, 0, 0, Smoke::mf_const, 215, 10},	//757 QHostInfo::errorString() const
    {20, 1190, 69, 1, 0, 0, 11},	//758 QHostInfo::setErrorString(const QString&)
    {20, 1224, 44, 1, 0, 0, 12},	//759 QHostInfo::setLookupId(int)
    {20, 734, 0, 0, Smoke::mf_const, 426, 13},	//760 QHostInfo::lookupId() const
    {20, 732, 1016, 3, Smoke::mf_static, 426, 14},	//761 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 443, 44, 1, Smoke::mf_static, 0, 15},	//762 QHostInfo::abortHostLookup(int)
    {20, 624, 69, 1, Smoke::mf_static, 79, 16},	//763 QHostInfo::fromName(const QString&)
    {20, 727, 0, 0, Smoke::mf_static, 215, 17},	//764 QHostInfo::localHostName()
    {20, 726, 0, 0, Smoke::mf_static, 215, 18},	//765 QHostInfo::localDomainName()
    {20, 216, 0, 0, Smoke::mf_ctor, 81, 19},	//766 QHostInfo::QHostInfo()
    {20, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 20},	//767 QHostInfo::NoError (enum)
    {20, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 21},	//768 QHostInfo::HostNotFound (enum)
    {20, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 22},	//769 QHostInfo::UnknownError (enum)
    {20, 1448, 0, 0, Smoke::mf_dtor, 0, 23 },	//770 QHostInfo::~QHostInfo()
    {21, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//771 QHttp::metaObject() const
    {21, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//772 QHttp::qt_metacast(const char*)
    {21, 1401, 3, 2, Smoke::mf_static, 215, 3},	//773 QHttp::tr(const char*, const char*)
    {21, 1405, 3, 2, Smoke::mf_static, 215, 4},	//774 QHttp::trUtf8(const char*, const char*)
    {21, 1401, 6, 3, Smoke::mf_static, 215, 5},	//775 QHttp::tr(const char*, const char*, int)
    {21, 1405, 6, 3, Smoke::mf_static, 215, 6},	//776 QHttp::trUtf8(const char*, const char*, int)
    {21, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//777 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 219, 20, 1, Smoke::mf_ctor, 83, 8},	//778 QHttp::QHttp(QObject*)
    {21, 219, 1020, 3, Smoke::mf_ctor, 83, 9},	//779 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 219, 1024, 4, Smoke::mf_ctor, 83, 10},	//780 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1202, 71, 2, 0, 426, 11},	//781 QHttp::setHost(const QString&, unsigned short)
    {21, 1202, 1029, 3, 0, 426, 12},	//782 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1317, 1033, 1, 0, 426, 13},	//783 QHttp::setSocket(QTcpSocket*)
    {21, 1351, 88, 2, 0, 426, 14},	//784 QHttp::setUser(const QString&, const QString&)
    {21, 1285, 1035, 4, 0, 426, 15},	//785 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1285, 46, 1, 0, 426, 16},	//786 QHttp::setProxy(const QNetworkProxy&)
    {21, 631, 118, 2, 0, 426, 17},	//787 QHttp::get(const QString&, QIODevice*)
    {21, 864, 1040, 3, 0, 426, 18},	//788 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 864, 1044, 3, 0, 426, 19},	//789 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 651, 69, 1, 0, 426, 20},	//790 QHttp::head(const QString&)
    {21, 1106, 1048, 3, 0, 426, 21},	//791 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1106, 1052, 3, 0, 426, 22},	//792 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 519, 0, 0, 0, 426, 23},	//793 QHttp::closeConnection()
    {21, 518, 0, 0, 0, 426, 24},	//794 QHttp::close()
    {21, 499, 0, 0, Smoke::mf_const, 431, 25},	//795 QHttp::bytesAvailable() const
    {21, 1078, 59, 2, 0, 431, 26},	//796 QHttp::read(char*, long long)
    {21, 1080, 0, 0, 0, 14, 27},	//797 QHttp::readAll()
    {21, 564, 0, 0, Smoke::mf_const, 426, 28},	//798 QHttp::currentId() const
    {21, 566, 0, 0, Smoke::mf_const, 99, 29},	//799 QHttp::currentSourceDevice() const
    {21, 562, 0, 0, Smoke::mf_const, 99, 30},	//800 QHttp::currentDestinationDevice() const
    {21, 565, 0, 0, Smoke::mf_const, 93, 31},	//801 QHttp::currentRequest() const
    {21, 709, 0, 0, Smoke::mf_const, 96, 32},	//802 QHttp::lastResponse() const
    {21, 648, 0, 0, Smoke::mf_const, 341, 33},	//803 QHttp::hasPendingRequests() const
    {21, 517, 0, 0, 0, 0, 34},	//804 QHttp::clearPendingRequests()
    {21, 1374, 0, 0, Smoke::mf_const, 86, 35},	//805 QHttp::state() const
    {21, 604, 0, 0, Smoke::mf_const, 85, 36},	//806 QHttp::error() const
    {21, 606, 0, 0, Smoke::mf_const, 215, 37},	//807 QHttp::errorString() const
    {21, 442, 0, 0, Smoke::mf_slot, 0, 38},	//808 QHttp::abort()
    {21, 661, 0, 0, Smoke::mf_slot, 0, 39},	//809 QHttp::ignoreSslErrors()
    {21, 1375, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//810 QHttp::stateChanged(int)
    {21, 1115, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//811 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1090, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//812 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 572, 1058, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//813 QHttp::dataSendProgress(int, int)
    {21, 570, 1058, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//814 QHttp::dataReadProgress(int, int)
    {21, 1112, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//815 QHttp::requestStarted(int)
    {21, 1110, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//816 QHttp::requestFinished(int, bool)
    {21, 591, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//817 QHttp::done(bool)
    {21, 879, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//818 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 486, 1061, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//819 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1369, 1065, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//820 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1401, 1, 1, Smoke::mf_static, 215, 51},	//821 QHttp::tr(const char*)
    {21, 1405, 1, 1, Smoke::mf_static, 215, 52},	//822 QHttp::trUtf8(const char*)
    {21, 219, 0, 0, Smoke::mf_ctor, 83, 53},	//823 QHttp::QHttp()
    {21, 219, 69, 1, Smoke::mf_ctor, 83, 54},	//824 QHttp::QHttp(const QString&)
    {21, 219, 71, 2, Smoke::mf_ctor, 83, 55},	//825 QHttp::QHttp(const QString&, unsigned short)
    {21, 219, 1067, 2, Smoke::mf_ctor, 83, 56},	//826 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 219, 1029, 3, Smoke::mf_ctor, 83, 57},	//827 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1202, 69, 1, 0, 426, 58},	//828 QHttp::setHost(const QString&)
    {21, 1202, 1067, 2, 0, 426, 59},	//829 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1351, 69, 1, 0, 426, 60},	//830 QHttp::setUser(const QString&)
    {21, 1285, 1070, 2, 0, 426, 61},	//831 QHttp::setProxy(const QString&, int)
    {21, 1285, 1073, 3, 0, 426, 62},	//832 QHttp::setProxy(const QString&, int, const QString&)
    {21, 631, 69, 1, 0, 426, 63},	//833 QHttp::get(const QString&)
    {21, 864, 118, 2, 0, 426, 64},	//834 QHttp::post(const QString&, QIODevice*)
    {21, 864, 268, 2, 0, 426, 65},	//835 QHttp::post(const QString&, const QByteArray&)
    {21, 1106, 1077, 1, 0, 426, 66},	//836 QHttp::request(const QHttpRequestHeader&)
    {21, 1106, 1079, 2, 0, 426, 67},	//837 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1106, 1082, 2, 0, 426, 68},	//838 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 69},	//839 QHttp::staticMetaObject() const
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//840 QHttp::ConnectionModeHttp (enum)
    {21, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//841 QHttp::ConnectionModeHttps (enum)
    {21, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 72},	//842 QHttp::Unconnected (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 73},	//843 QHttp::HostLookup (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 74},	//844 QHttp::Connecting (enum)
    {21, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 75},	//845 QHttp::Sending (enum)
    {21, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 76},	//846 QHttp::Reading (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 77},	//847 QHttp::Connected (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 78},	//848 QHttp::Closing (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 79},	//849 QHttp::NoError (enum)
    {21, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 80},	//850 QHttp::UnknownError (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 81},	//851 QHttp::HostNotFound (enum)
    {21, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 82},	//852 QHttp::ConnectionRefused (enum)
    {21, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 83},	//853 QHttp::UnexpectedClose (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 84},	//854 QHttp::InvalidResponseHeader (enum)
    {21, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 85},	//855 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 86},	//856 QHttp::Aborted (enum)
    {21, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 87},	//857 QHttp::AuthenticationRequiredError (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 88},	//858 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1449, 0, 0, Smoke::mf_dtor, 0, 89 },	//859 QHttp::~QHttp()
    {22, 226, 0, 0, Smoke::mf_ctor, 88, 1},	//860 QHttpHeader::QHttpHeader()
    {22, 226, 1085, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//861 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 226, 69, 1, Smoke::mf_ctor, 88, 3},	//862 QHttpHeader::QHttpHeader(const QString&)
    {22, 803, 1085, 1, 0, 87, 4},	//863 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1356, 88, 2, 0, 0, 5},	//864 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1359, 1087, 1, 0, 0, 6},	//865 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 464, 88, 2, 0, 0, 7},	//866 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1421, 0, 0, Smoke::mf_const, 117, 8},	//867 QHttpHeader::values() const
    {22, 643, 69, 1, Smoke::mf_const, 341, 9},	//868 QHttpHeader::hasKey(const QString&) const
    {22, 706, 0, 0, Smoke::mf_const, 219, 10},	//869 QHttpHeader::keys() const
    {22, 1419, 69, 1, Smoke::mf_const, 215, 11},	//870 QHttpHeader::value(const QString&) const
    {22, 474, 69, 1, Smoke::mf_const, 219, 12},	//871 QHttpHeader::allValues(const QString&) const
    {22, 1102, 69, 1, 0, 0, 13},	//872 QHttpHeader::removeValue(const QString&)
    {22, 1098, 69, 1, 0, 0, 14},	//873 QHttpHeader::removeAllValues(const QString&)
    {22, 641, 0, 0, Smoke::mf_const, 341, 15},	//874 QHttpHeader::hasContentLength() const
    {22, 553, 0, 0, Smoke::mf_const, 440, 16},	//875 QHttpHeader::contentLength() const
    {22, 1169, 44, 1, 0, 0, 17},	//876 QHttpHeader::setContentLength(int)
    {22, 642, 0, 0, Smoke::mf_const, 341, 18},	//877 QHttpHeader::hasContentType() const
    {22, 554, 0, 0, Smoke::mf_const, 215, 19},	//878 QHttpHeader::contentType() const
    {22, 1171, 69, 1, 0, 0, 20},	//879 QHttpHeader::setContentType(const QString&)
    {22, 1400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//880 QHttpHeader::toString() const
    {22, 697, 0, 0, Smoke::mf_const, 341, 22},	//881 QHttpHeader::isValid() const
    {22, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 426, 23},	//882 QHttpHeader::majorVersion() const [pure virtual]
    {22, 745, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 426, 24},	//883 QHttpHeader::minorVersion() const [pure virtual]
    {22, 843, 1070, 2, Smoke::mf_protected|Smoke::mf_virtual, 341, 25},	//884 QHttpHeader::parseLine(const QString&, int)
    {22, 839, 69, 1, Smoke::mf_protected, 341, 26},	//885 QHttpHeader::parse(const QString&)
    {22, 1354, 116, 1, Smoke::mf_protected, 0, 27},	//886 QHttpHeader::setValid(bool)
    {22, 1450, 0, 0, Smoke::mf_dtor, 0, 28 },	//887 QHttpHeader::~QHttpHeader()
    {23, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//888 QHttpMultiPart::metaObject() const
    {23, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//889 QHttpMultiPart::qt_metacast(const char*)
    {23, 1401, 3, 2, Smoke::mf_static, 215, 3},	//890 QHttpMultiPart::tr(const char*, const char*)
    {23, 1405, 3, 2, Smoke::mf_static, 215, 4},	//891 QHttpMultiPart::trUtf8(const char*, const char*)
    {23, 1401, 6, 3, Smoke::mf_static, 215, 5},	//892 QHttpMultiPart::tr(const char*, const char*, int)
    {23, 1405, 6, 3, Smoke::mf_static, 215, 6},	//893 QHttpMultiPart::trUtf8(const char*, const char*, int)
    {23, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//894 QHttpMultiPart::qt_metacall(QMetaObject::Call, int, void**)
    {23, 229, 20, 1, Smoke::mf_ctor, 89, 8},	//895 QHttpMultiPart::QHttpMultiPart(QObject*)
    {23, 229, 1089, 2, Smoke::mf_ctor, 89, 9},	//896 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType, QObject*)
    {23, 477, 1092, 1, 0, 0, 10},	//897 QHttpMultiPart::append(const QHttpPart&)
    {23, 1171, 1094, 1, 0, 0, 11},	//898 QHttpMultiPart::setContentType(QHttpMultiPart::ContentType)
    {23, 497, 0, 0, Smoke::mf_const, 14, 12},	//899 QHttpMultiPart::boundary() const
    {23, 1152, 204, 1, 0, 0, 13},	//900 QHttpMultiPart::setBoundary(const QByteArray&)
    {23, 1401, 1, 1, Smoke::mf_static, 215, 14},	//901 QHttpMultiPart::tr(const char*)
    {23, 1405, 1, 1, Smoke::mf_static, 215, 15},	//902 QHttpMultiPart::trUtf8(const char*)
    {23, 229, 0, 0, Smoke::mf_ctor, 89, 16},	//903 QHttpMultiPart::QHttpMultiPart()
    {23, 229, 1094, 1, Smoke::mf_ctor, 89, 17},	//904 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType)
    {23, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 18},	//905 QHttpMultiPart::staticMetaObject() const
    {23, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 19},	//906 QHttpMultiPart::MixedType (enum)
    {23, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 20},	//907 QHttpMultiPart::RelatedType (enum)
    {23, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 21},	//908 QHttpMultiPart::FormDataType (enum)
    {23, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//909 QHttpMultiPart::AlternativeType (enum)
    {23, 1451, 0, 0, Smoke::mf_dtor, 0, 23 },	//910 QHttpMultiPart::~QHttpMultiPart()
    {24, 233, 0, 0, Smoke::mf_ctor, 92, 1},	//911 QHttpPart::QHttpPart()
    {24, 233, 1092, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//912 QHttpPart::QHttpPart(const QHttpPart&)
    {24, 803, 1092, 1, 0, 91, 3},	//913 QHttpPart::operator=(const QHttpPart&)
    {24, 806, 1092, 1, Smoke::mf_const, 341, 4},	//914 QHttpPart::operator==(const QHttpPart&) const
    {24, 767, 1092, 1, Smoke::mf_const, 341, 5},	//915 QHttpPart::operator!=(const QHttpPart&) const
    {24, 1200, 1096, 2, 0, 0, 6},	//916 QHttpPart::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {24, 1294, 384, 2, 0, 0, 7},	//917 QHttpPart::setRawHeader(const QByteArray&, const QByteArray&)
    {24, 1148, 204, 1, 0, 0, 8},	//918 QHttpPart::setBody(const QByteArray&)
    {24, 1150, 18, 1, 0, 0, 9},	//919 QHttpPart::setBodyDevice(QIODevice*)
    {24, 1452, 0, 0, Smoke::mf_dtor, 0, 10 },	//920 QHttpPart::~QHttpPart()
    {25, 235, 0, 0, Smoke::mf_ctor, 95, 1},	//921 QHttpRequestHeader::QHttpRequestHeader()
    {25, 235, 1099, 4, Smoke::mf_ctor, 95, 2},	//922 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {25, 235, 1077, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 3},	//923 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {25, 235, 69, 1, Smoke::mf_ctor, 95, 4},	//924 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {25, 803, 1077, 1, 0, 94, 5},	//925 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {25, 1302, 1099, 4, 0, 0, 6},	//926 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {25, 743, 0, 0, Smoke::mf_const, 215, 7},	//927 QHttpRequestHeader::method() const
    {25, 848, 0, 0, Smoke::mf_const, 215, 8},	//928 QHttpRequestHeader::path() const
    {25, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 9},	//929 QHttpRequestHeader::majorVersion() const
    {25, 745, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 10},	//930 QHttpRequestHeader::minorVersion() const
    {25, 1400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//931 QHttpRequestHeader::toString() const
    {25, 843, 1070, 2, Smoke::mf_protected|Smoke::mf_virtual, 341, 12},	//932 QHttpRequestHeader::parseLine(const QString&, int)
    {25, 235, 88, 2, Smoke::mf_ctor, 95, 13},	//933 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {25, 235, 1104, 3, Smoke::mf_ctor, 95, 14},	//934 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {25, 1302, 88, 2, 0, 0, 15},	//935 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {25, 1302, 1104, 3, 0, 0, 16},	//936 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {25, 1453, 0, 0, Smoke::mf_dtor, 0, 17 },	//937 QHttpRequestHeader::~QHttpRequestHeader()
    {26, 241, 0, 0, Smoke::mf_ctor, 98, 1},	//938 QHttpResponseHeader::QHttpResponseHeader()
    {26, 241, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//939 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {26, 241, 69, 1, Smoke::mf_ctor, 98, 3},	//940 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {26, 241, 1108, 4, Smoke::mf_ctor, 98, 4},	//941 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {26, 803, 1056, 1, 0, 97, 5},	//942 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {26, 1336, 1108, 4, 0, 0, 6},	//943 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {26, 1378, 0, 0, Smoke::mf_const, 426, 7},	//944 QHttpResponseHeader::statusCode() const
    {26, 1093, 0, 0, Smoke::mf_const, 215, 8},	//945 QHttpResponseHeader::reasonPhrase() const
    {26, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 9},	//946 QHttpResponseHeader::majorVersion() const
    {26, 745, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 10},	//947 QHttpResponseHeader::minorVersion() const
    {26, 1400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//948 QHttpResponseHeader::toString() const
    {26, 843, 1070, 2, Smoke::mf_protected|Smoke::mf_virtual, 341, 12},	//949 QHttpResponseHeader::parseLine(const QString&, int)
    {26, 241, 44, 1, Smoke::mf_ctor, 98, 13},	//950 QHttpResponseHeader::QHttpResponseHeader(int)
    {26, 241, 110, 2, Smoke::mf_ctor, 98, 14},	//951 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {26, 241, 1113, 3, Smoke::mf_ctor, 98, 15},	//952 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {26, 1336, 44, 1, 0, 0, 16},	//953 QHttpResponseHeader::setStatusLine(int)
    {26, 1336, 110, 2, 0, 0, 17},	//954 QHttpResponseHeader::setStatusLine(int, const QString&)
    {26, 1336, 1113, 3, 0, 0, 18},	//955 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {26, 1454, 0, 0, Smoke::mf_dtor, 0, 19 },	//956 QHttpResponseHeader::~QHttpResponseHeader()
    {27, 764, 1117, 1, Smoke::mf_virtual, 341, 0},	//957 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {27, 863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//958 QIODevice::pos() const
    {27, 1363, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//959 QIODevice::size() const
    {27, 1121, 33, 1, Smoke::mf_virtual, 341, 0},	//960 QIODevice::seek(long long)
    {27, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 0},	//961 QIODevice::atEnd() const
    {27, 1114, 0, 0, Smoke::mf_virtual, 341, 0},	//962 QIODevice::reset()
    {27, 499, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//963 QIODevice::bytesAvailable() const
    {27, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//964 QIODevice::bytesToWrite() const
    {27, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 0},	//965 QIODevice::canReadLine() const
    {27, 1436, 44, 1, Smoke::mf_virtual, 341, 0},	//966 QIODevice::waitForReadyRead(int)
    {27, 1423, 44, 1, Smoke::mf_virtual, 341, 0},	//967 QIODevice::waitForBytesWritten(int)
    {27, 1082, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 431, 0},	//968 QIODevice::readData(char*, long long) [pure virtual]
    {27, 1088, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 0},	//969 QIODevice::readLineData(char*, long long)
    {27, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 14},	//970 QIODevice::NotOpen (enum)
    {27, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 15},	//971 QIODevice::ReadOnly (enum)
    {27, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 16},	//972 QIODevice::WriteOnly (enum)
    {27, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 17},	//973 QIODevice::ReadWrite (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 18},	//974 QIODevice::Append (enum)
    {27, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 19},	//975 QIODevice::Truncate (enum)
    {27, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//976 QIODevice::Text (enum)
    {27, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//977 QIODevice::Unbuffered (enum)
    {28, 827, 44, 1, 0, 438, 1},	//978 QIPv6Address::operator[](int)
    {28, 827, 44, 1, Smoke::mf_const, 437, 2},	//979 QIPv6Address::operator[](int) const
    {28, 247, 0, 0, Smoke::mf_ctor, 103, 3},	//980 QIPv6Address::QIPv6Address()
    {28, 247, 999, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 4},	//981 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {28, 1455, 0, 0, Smoke::mf_dtor, 0, 5 },	//982 QIPv6Address::~QIPv6Address()
    {33, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//983 QLocalServer::metaObject() const
    {33, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//984 QLocalServer::qt_metacast(const char*)
    {33, 1401, 3, 2, Smoke::mf_static, 215, 3},	//985 QLocalServer::tr(const char*, const char*)
    {33, 1405, 3, 2, Smoke::mf_static, 215, 4},	//986 QLocalServer::trUtf8(const char*, const char*)
    {33, 1401, 6, 3, Smoke::mf_static, 215, 5},	//987 QLocalServer::tr(const char*, const char*, int)
    {33, 1405, 6, 3, Smoke::mf_static, 215, 6},	//988 QLocalServer::trUtf8(const char*, const char*, int)
    {33, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//989 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {33, 760, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//990 QLocalServer::newConnection()
    {33, 249, 20, 1, Smoke::mf_ctor, 122, 9},	//991 QLocalServer::QLocalServer(QObject*)
    {33, 518, 0, 0, 0, 0, 10},	//992 QLocalServer::close()
    {33, 606, 0, 0, Smoke::mf_const, 215, 11},	//993 QLocalServer::errorString() const
    {33, 646, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 12},	//994 QLocalServer::hasPendingConnections() const
    {33, 685, 0, 0, Smoke::mf_const, 341, 13},	//995 QLocalServer::isListening() const
    {33, 720, 69, 1, 0, 341, 14},	//996 QLocalServer::listen(const QString&)
    {33, 737, 0, 0, Smoke::mf_const, 426, 15},	//997 QLocalServer::maxPendingConnections() const
    {33, 761, 0, 0, Smoke::mf_virtual, 123, 16},	//998 QLocalServer::nextPendingConnection()
    {33, 1128, 0, 0, Smoke::mf_const, 215, 17},	//999 QLocalServer::serverName() const
    {33, 630, 0, 0, Smoke::mf_const, 215, 18},	//1000 QLocalServer::fullServerName() const
    {33, 1100, 69, 1, Smoke::mf_static, 341, 19},	//1001 QLocalServer::removeServer(const QString&)
    {33, 1127, 0, 0, Smoke::mf_const, 5, 20},	//1002 QLocalServer::serverError() const
    {33, 1226, 44, 1, 0, 0, 21},	//1003 QLocalServer::setMaxPendingConnections(int)
    {33, 1431, 1119, 2, 0, 341, 22},	//1004 QLocalServer::waitForNewConnection(int, bool*)
    {33, 663, 1122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1005 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {33, 1401, 1, 1, Smoke::mf_static, 215, 24},	//1006 QLocalServer::tr(const char*)
    {33, 1405, 1, 1, Smoke::mf_static, 215, 25},	//1007 QLocalServer::trUtf8(const char*)
    {33, 249, 0, 0, Smoke::mf_ctor, 122, 26},	//1008 QLocalServer::QLocalServer()
    {33, 1431, 0, 0, 0, 341, 27},	//1009 QLocalServer::waitForNewConnection()
    {33, 1431, 44, 1, 0, 341, 28},	//1010 QLocalServer::waitForNewConnection(int)
    {33, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 29},	//1011 QLocalServer::staticMetaObject() const
    {33, 1456, 0, 0, Smoke::mf_dtor, 0, 30 },	//1012 QLocalServer::~QLocalServer()
    {34, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1013 QLocalSocket::metaObject() const
    {34, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1014 QLocalSocket::qt_metacast(const char*)
    {34, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1015 QLocalSocket::tr(const char*, const char*)
    {34, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1016 QLocalSocket::trUtf8(const char*, const char*)
    {34, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1017 QLocalSocket::tr(const char*, const char*, int)
    {34, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1018 QLocalSocket::trUtf8(const char*, const char*, int)
    {34, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1019 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {34, 251, 20, 1, Smoke::mf_ctor, 123, 8},	//1020 QLocalSocket::QLocalSocket(QObject*)
    {34, 549, 1124, 2, 0, 0, 9},	//1021 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {34, 586, 0, 0, 0, 0, 10},	//1022 QLocalSocket::disconnectFromServer()
    {34, 1128, 0, 0, Smoke::mf_const, 215, 11},	//1023 QLocalSocket::serverName() const
    {34, 630, 0, 0, Smoke::mf_const, 215, 12},	//1024 QLocalSocket::fullServerName() const
    {34, 442, 0, 0, 0, 0, 13},	//1025 QLocalSocket::abort()
    {34, 693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 14},	//1026 QLocalSocket::isSequential() const
    {34, 499, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 15},	//1027 QLocalSocket::bytesAvailable() const
    {34, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 16},	//1028 QLocalSocket::bytesToWrite() const
    {34, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 17},	//1029 QLocalSocket::canReadLine() const
    {34, 518, 0, 0, Smoke::mf_virtual, 0, 18},	//1030 QLocalSocket::close()
    {34, 604, 0, 0, Smoke::mf_const, 124, 19},	//1031 QLocalSocket::error() const
    {34, 617, 0, 0, 0, 341, 20},	//1032 QLocalSocket::flush()
    {34, 697, 0, 0, Smoke::mf_const, 341, 21},	//1033 QLocalSocket::isValid() const
    {34, 1081, 0, 0, Smoke::mf_const, 431, 22},	//1034 QLocalSocket::readBufferSize() const
    {34, 1298, 33, 1, 0, 0, 23},	//1035 QLocalSocket::setReadBufferSize(long long)
    {34, 1319, 1127, 3, 0, 341, 24},	//1036 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {34, 1364, 0, 0, Smoke::mf_const, 105, 25},	//1037 QLocalSocket::socketDescriptor() const
    {34, 1374, 0, 0, Smoke::mf_const, 125, 26},	//1038 QLocalSocket::state() const
    {34, 1423, 44, 1, Smoke::mf_virtual, 341, 27},	//1039 QLocalSocket::waitForBytesWritten(int)
    {34, 1425, 44, 1, 0, 341, 28},	//1040 QLocalSocket::waitForConnected(int)
    {34, 1427, 44, 1, 0, 341, 29},	//1041 QLocalSocket::waitForDisconnected(int)
    {34, 1436, 44, 1, Smoke::mf_virtual, 341, 30},	//1042 QLocalSocket::waitForReadyRead(int)
    {34, 552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1043 QLocalSocket::connected()
    {34, 589, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1044 QLocalSocket::disconnected()
    {34, 604, 1131, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1045 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {34, 1375, 1133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1046 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {34, 1082, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 35},	//1047 QLocalSocket::readData(char*, long long)
    {34, 1438, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 36},	//1048 QLocalSocket::writeData(const char*, long long)
    {34, 1401, 1, 1, Smoke::mf_static, 215, 37},	//1049 QLocalSocket::tr(const char*)
    {34, 1405, 1, 1, Smoke::mf_static, 215, 38},	//1050 QLocalSocket::trUtf8(const char*)
    {34, 251, 0, 0, Smoke::mf_ctor, 123, 39},	//1051 QLocalSocket::QLocalSocket()
    {34, 549, 69, 1, 0, 0, 40},	//1052 QLocalSocket::connectToServer(const QString&)
    {34, 1319, 1122, 1, 0, 341, 41},	//1053 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {34, 1319, 1135, 2, 0, 341, 42},	//1054 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {34, 1423, 0, 0, 0, 341, 43},	//1055 QLocalSocket::waitForBytesWritten()
    {34, 1425, 0, 0, 0, 341, 44},	//1056 QLocalSocket::waitForConnected()
    {34, 1427, 0, 0, 0, 341, 45},	//1057 QLocalSocket::waitForDisconnected()
    {34, 1436, 0, 0, 0, 341, 46},	//1058 QLocalSocket::waitForReadyRead()
    {34, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 47},	//1059 QLocalSocket::staticMetaObject() const
    {34, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 48},	//1060 QLocalSocket::ConnectionRefusedError (enum)
    {34, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 49},	//1061 QLocalSocket::PeerClosedError (enum)
    {34, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 50},	//1062 QLocalSocket::ServerNotFoundError (enum)
    {34, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 51},	//1063 QLocalSocket::SocketAccessError (enum)
    {34, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 52},	//1064 QLocalSocket::SocketResourceError (enum)
    {34, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 53},	//1065 QLocalSocket::SocketTimeoutError (enum)
    {34, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 54},	//1066 QLocalSocket::DatagramTooLargeError (enum)
    {34, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 55},	//1067 QLocalSocket::ConnectionError (enum)
    {34, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 56},	//1068 QLocalSocket::UnsupportedSocketOperationError (enum)
    {34, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 57},	//1069 QLocalSocket::UnknownSocketError (enum)
    {34, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 58},	//1070 QLocalSocket::UnconnectedState (enum)
    {34, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 59},	//1071 QLocalSocket::ConnectingState (enum)
    {34, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 60},	//1072 QLocalSocket::ConnectedState (enum)
    {34, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 61},	//1073 QLocalSocket::ClosingState (enum)
    {34, 1457, 0, 0, Smoke::mf_dtor, 0, 62 },	//1074 QLocalSocket::~QLocalSocket()
    {39, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1075 QNetworkAccessManager::metaObject() const
    {39, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1076 QNetworkAccessManager::qt_metacast(const char*)
    {39, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1077 QNetworkAccessManager::tr(const char*, const char*)
    {39, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1078 QNetworkAccessManager::trUtf8(const char*, const char*)
    {39, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1079 QNetworkAccessManager::tr(const char*, const char*, int)
    {39, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1080 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {39, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1081 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {39, 253, 20, 1, Smoke::mf_ctor, 130, 8},	//1082 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {39, 878, 0, 0, Smoke::mf_const, 156, 9},	//1083 QNetworkAccessManager::proxy() const
    {39, 1285, 46, 1, 0, 0, 10},	//1084 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {39, 881, 0, 0, Smoke::mf_const, 161, 11},	//1085 QNetworkAccessManager::proxyFactory() const
    {39, 1290, 1138, 1, 0, 0, 12},	//1086 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {39, 504, 0, 0, Smoke::mf_const, 2, 13},	//1087 QNetworkAccessManager::cache() const
    {39, 1158, 1140, 1, 0, 0, 14},	//1088 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {39, 555, 0, 0, Smoke::mf_const, 150, 15},	//1089 QNetworkAccessManager::cookieJar() const
    {39, 1173, 1142, 1, 0, 0, 16},	//1090 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {39, 651, 1144, 1, 0, 165, 17},	//1091 QNetworkAccessManager::head(const QNetworkRequest&)
    {39, 631, 1144, 1, 0, 165, 18},	//1092 QNetworkAccessManager::get(const QNetworkRequest&)
    {39, 864, 1146, 2, 0, 165, 19},	//1093 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {39, 864, 1149, 2, 0, 165, 20},	//1094 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {39, 864, 1152, 2, 0, 165, 21},	//1095 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {39, 886, 1146, 2, 0, 165, 22},	//1096 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {39, 886, 1149, 2, 0, 165, 23},	//1097 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {39, 886, 1152, 2, 0, 165, 24},	//1098 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {39, 579, 1144, 1, 0, 165, 25},	//1099 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {39, 1122, 1155, 3, 0, 165, 26},	//1100 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {39, 1167, 1159, 1, 0, 0, 27},	//1101 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {39, 525, 0, 0, Smoke::mf_const, 138, 28},	//1102 QNetworkAccessManager::configuration() const
    {39, 446, 0, 0, Smoke::mf_const, 138, 29},	//1103 QNetworkAccessManager::activeConfiguration() const
    {39, 1237, 1161, 1, Smoke::mf_property, 0, 30},	//1104 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {39, 754, 0, 0, Smoke::mf_const|Smoke::mf_property, 131, 31},	//1105 QNetworkAccessManager::networkAccessible() const
    {39, 879, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1106 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {39, 486, 1163, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1107 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {39, 614, 1166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1108 QNetworkAccessManager::finished(QNetworkReply*)
    {39, 1369, 1168, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1109 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {39, 758, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1110 QNetworkAccessManager::networkSessionConnected()
    {39, 755, 1161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1111 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {39, 558, 1171, 3, Smoke::mf_protected|Smoke::mf_virtual, 165, 38},	//1112 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {39, 1401, 1, 1, Smoke::mf_static, 215, 39},	//1113 QNetworkAccessManager::tr(const char*)
    {39, 1405, 1, 1, Smoke::mf_static, 215, 40},	//1114 QNetworkAccessManager::trUtf8(const char*)
    {39, 253, 0, 0, Smoke::mf_ctor, 130, 41},	//1115 QNetworkAccessManager::QNetworkAccessManager()
    {39, 1122, 1149, 2, 0, 165, 42},	//1116 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {39, 558, 1175, 2, Smoke::mf_protected, 165, 43},	//1117 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {39, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 44},	//1118 QNetworkAccessManager::staticMetaObject() const
    {39, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 45},	//1119 QNetworkAccessManager::HeadOperation (enum)
    {39, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 46},	//1120 QNetworkAccessManager::GetOperation (enum)
    {39, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 47},	//1121 QNetworkAccessManager::PutOperation (enum)
    {39, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 48},	//1122 QNetworkAccessManager::PostOperation (enum)
    {39, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 49},	//1123 QNetworkAccessManager::DeleteOperation (enum)
    {39, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 50},	//1124 QNetworkAccessManager::CustomOperation (enum)
    {39, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 51},	//1125 QNetworkAccessManager::UnknownOperation (enum)
    {39, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 52},	//1126 QNetworkAccessManager::UnknownAccessibility (enum)
    {39, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 53},	//1127 QNetworkAccessManager::NotAccessible (enum)
    {39, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 54},	//1128 QNetworkAccessManager::Accessible (enum)
    {39, 1458, 0, 0, Smoke::mf_dtor, 0, 55 },	//1129 QNetworkAccessManager::~QNetworkAccessManager()
    {40, 255, 0, 0, Smoke::mf_ctor, 134, 1},	//1130 QNetworkAddressEntry::QNetworkAddressEntry()
    {40, 255, 1178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//1131 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {40, 803, 1178, 1, 0, 133, 3},	//1132 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {40, 806, 1178, 1, Smoke::mf_const, 341, 4},	//1133 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {40, 767, 1178, 1, Smoke::mf_const, 341, 5},	//1134 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {40, 674, 0, 0, Smoke::mf_const, 75, 6},	//1135 QNetworkAddressEntry::ip() const
    {40, 1210, 67, 1, 0, 0, 7},	//1136 QNetworkAddressEntry::setIp(const QHostAddress&)
    {40, 753, 0, 0, Smoke::mf_const, 75, 8},	//1137 QNetworkAddressEntry::netmask() const
    {40, 1235, 67, 1, 0, 0, 9},	//1138 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {40, 870, 0, 0, Smoke::mf_const, 426, 10},	//1139 QNetworkAddressEntry::prefixLength() const
    {40, 1271, 44, 1, 0, 0, 11},	//1140 QNetworkAddressEntry::setPrefixLength(int)
    {40, 498, 0, 0, Smoke::mf_const, 75, 12},	//1141 QNetworkAddressEntry::broadcast() const
    {40, 1154, 67, 1, 0, 0, 13},	//1142 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {40, 1459, 0, 0, Smoke::mf_dtor, 0, 14 },	//1143 QNetworkAddressEntry::~QNetworkAddressEntry()
    {41, 257, 0, 0, Smoke::mf_ctor, 137, 1},	//1144 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {41, 257, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//1145 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {41, 803, 16, 1, 0, 136, 3},	//1146 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {41, 806, 16, 1, Smoke::mf_const, 341, 4},	//1147 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {41, 767, 16, 1, Smoke::mf_const, 341, 5},	//1148 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {41, 697, 0, 0, Smoke::mf_const, 341, 6},	//1149 QNetworkCacheMetaData::isValid() const
    {41, 1416, 0, 0, Smoke::mf_const, 233, 7},	//1150 QNetworkCacheMetaData::url() const
    {41, 1347, 14, 1, 0, 0, 8},	//1151 QNetworkCacheMetaData::setUrl(const QUrl&)
    {41, 1077, 0, 0, Smoke::mf_const, 116, 9},	//1152 QNetworkCacheMetaData::rawHeaders() const
    {41, 1296, 1180, 1, 0, 0, 10},	//1153 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {41, 707, 0, 0, Smoke::mf_const, 22, 11},	//1154 QNetworkCacheMetaData::lastModified() const
    {41, 1212, 1182, 1, 0, 0, 12},	//1155 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {41, 609, 0, 0, Smoke::mf_const, 22, 13},	//1156 QNetworkCacheMetaData::expirationDate() const
    {41, 1192, 1182, 1, 0, 0, 14},	//1157 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {41, 1119, 0, 0, Smoke::mf_const, 341, 15},	//1158 QNetworkCacheMetaData::saveToDisk() const
    {41, 1307, 116, 1, 0, 0, 16},	//1159 QNetworkCacheMetaData::setSaveToDisk(bool)
    {41, 484, 0, 0, Smoke::mf_const, 73, 17},	//1160 QNetworkCacheMetaData::attributes() const
    {41, 1146, 1184, 1, 0, 0, 18},	//1161 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {41, 1460, 0, 0, Smoke::mf_dtor, 0, 19 },	//1162 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {42, 259, 0, 0, Smoke::mf_ctor, 140, 1},	//1163 QNetworkConfiguration::QNetworkConfiguration()
    {42, 259, 1159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//1164 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {42, 803, 1159, 1, 0, 139, 3},	//1165 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {42, 806, 1159, 1, Smoke::mf_const, 341, 4},	//1166 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {42, 767, 1159, 1, Smoke::mf_const, 341, 5},	//1167 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {42, 1374, 0, 0, Smoke::mf_const, 41, 6},	//1168 QNetworkConfiguration::state() const
    {42, 1409, 0, 0, Smoke::mf_const, 144, 7},	//1169 QNetworkConfiguration::type() const
    {42, 885, 0, 0, Smoke::mf_const, 142, 8},	//1170 QNetworkConfiguration::purpose() const
    {42, 489, 0, 0, Smoke::mf_const, 215, 9},	//1171 QNetworkConfiguration::bearerName() const
    {42, 490, 0, 0, Smoke::mf_const, 141, 10},	//1172 QNetworkConfiguration::bearerType() const
    {42, 491, 0, 0, Smoke::mf_const, 215, 11},	//1173 QNetworkConfiguration::bearerTypeName() const
    {42, 659, 0, 0, Smoke::mf_const, 215, 12},	//1174 QNetworkConfiguration::identifier() const
    {42, 690, 0, 0, Smoke::mf_const, 341, 13},	//1175 QNetworkConfiguration::isRoamingAvailable() const
    {42, 513, 0, 0, Smoke::mf_const, 112, 14},	//1176 QNetworkConfiguration::children() const
    {42, 752, 0, 0, Smoke::mf_const, 215, 15},	//1177 QNetworkConfiguration::name() const
    {42, 697, 0, 0, Smoke::mf_const, 341, 16},	//1178 QNetworkConfiguration::isValid() const
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 17},	//1179 QNetworkConfiguration::InternetAccessPoint (enum)
    {42, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 18},	//1180 QNetworkConfiguration::ServiceNetwork (enum)
    {42, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 19},	//1181 QNetworkConfiguration::UserChoice (enum)
    {42, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 20},	//1182 QNetworkConfiguration::Invalid (enum)
    {42, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 21},	//1183 QNetworkConfiguration::UnknownPurpose (enum)
    {42, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 22},	//1184 QNetworkConfiguration::PublicPurpose (enum)
    {42, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 23},	//1185 QNetworkConfiguration::PrivatePurpose (enum)
    {42, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 24},	//1186 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {42, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 25},	//1187 QNetworkConfiguration::Undefined (enum)
    {42, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//1188 QNetworkConfiguration::Defined (enum)
    {42, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 27},	//1189 QNetworkConfiguration::Discovered (enum)
    {42, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 28},	//1190 QNetworkConfiguration::Active (enum)
    {42, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 29},	//1191 QNetworkConfiguration::BearerUnknown (enum)
    {42, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 30},	//1192 QNetworkConfiguration::BearerEthernet (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 31},	//1193 QNetworkConfiguration::BearerWLAN (enum)
    {42, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 32},	//1194 QNetworkConfiguration::Bearer2G (enum)
    {42, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 33},	//1195 QNetworkConfiguration::BearerCDMA2000 (enum)
    {42, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 34},	//1196 QNetworkConfiguration::BearerWCDMA (enum)
    {42, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 35},	//1197 QNetworkConfiguration::BearerHSPA (enum)
    {42, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 36},	//1198 QNetworkConfiguration::BearerBluetooth (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 37},	//1199 QNetworkConfiguration::BearerWiMAX (enum)
    {42, 1461, 0, 0, Smoke::mf_dtor, 0, 38 },	//1200 QNetworkConfiguration::~QNetworkConfiguration()
    {43, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1201 QNetworkConfigurationManager::metaObject() const
    {43, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1202 QNetworkConfigurationManager::qt_metacast(const char*)
    {43, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1203 QNetworkConfigurationManager::tr(const char*, const char*)
    {43, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1204 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {43, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1205 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {43, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1206 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {43, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1207 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {43, 261, 20, 1, Smoke::mf_ctor, 145, 8},	//1208 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {43, 508, 0, 0, Smoke::mf_const, 42, 9},	//1209 QNetworkConfigurationManager::capabilities() const
    {43, 578, 0, 0, Smoke::mf_const, 138, 10},	//1210 QNetworkConfigurationManager::defaultConfiguration() const
    {43, 470, 1186, 1, Smoke::mf_const, 112, 11},	//1211 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {43, 530, 69, 1, Smoke::mf_const, 138, 12},	//1212 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {43, 687, 0, 0, Smoke::mf_const, 341, 13},	//1213 QNetworkConfigurationManager::isOnline() const
    {43, 1411, 0, 0, Smoke::mf_slot, 0, 14},	//1214 QNetworkConfigurationManager::updateConfigurations()
    {43, 526, 1159, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1215 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {43, 532, 1159, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1216 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {43, 528, 1159, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1217 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {43, 762, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1218 QNetworkConfigurationManager::onlineStateChanged(bool)
    {43, 1410, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1219 QNetworkConfigurationManager::updateCompleted()
    {43, 1401, 1, 1, Smoke::mf_static, 215, 20},	//1220 QNetworkConfigurationManager::tr(const char*)
    {43, 1405, 1, 1, Smoke::mf_static, 215, 21},	//1221 QNetworkConfigurationManager::trUtf8(const char*)
    {43, 261, 0, 0, Smoke::mf_ctor, 145, 22},	//1222 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {43, 470, 0, 0, Smoke::mf_const, 112, 23},	//1223 QNetworkConfigurationManager::allConfigurations() const
    {43, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 24},	//1224 QNetworkConfigurationManager::staticMetaObject() const
    {43, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//1225 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {43, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//1226 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {43, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 27},	//1227 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {43, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 28},	//1228 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//1229 QNetworkConfigurationManager::ForcedRoaming (enum)
    {43, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 30},	//1230 QNetworkConfigurationManager::DataStatistics (enum)
    {43, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 31},	//1231 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {43, 1462, 0, 0, Smoke::mf_dtor, 0, 32 },	//1232 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {44, 263, 384, 2, Smoke::mf_ctor, 148, 1},	//1233 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {44, 263, 1188, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 2},	//1234 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {44, 803, 1188, 1, 0, 147, 3},	//1235 QNetworkCookie::operator=(const QNetworkCookie&)
    {44, 806, 1188, 1, Smoke::mf_const, 341, 4},	//1236 QNetworkCookie::operator==(const QNetworkCookie&) const
    {44, 767, 1188, 1, Smoke::mf_const, 341, 5},	//1237 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {44, 692, 0, 0, Smoke::mf_const, 341, 6},	//1238 QNetworkCookie::isSecure() const
    {44, 1311, 116, 1, 0, 0, 7},	//1239 QNetworkCookie::setSecure(bool)
    {44, 681, 0, 0, Smoke::mf_const, 341, 8},	//1240 QNetworkCookie::isHttpOnly() const
    {44, 1208, 116, 1, 0, 0, 9},	//1241 QNetworkCookie::setHttpOnly(bool)
    {44, 694, 0, 0, Smoke::mf_const, 341, 10},	//1242 QNetworkCookie::isSessionCookie() const
    {44, 609, 0, 0, Smoke::mf_const, 22, 11},	//1243 QNetworkCookie::expirationDate() const
    {44, 1192, 1182, 1, 0, 0, 12},	//1244 QNetworkCookie::setExpirationDate(const QDateTime&)
    {44, 590, 0, 0, Smoke::mf_const, 215, 13},	//1245 QNetworkCookie::domain() const
    {44, 1185, 69, 1, 0, 0, 14},	//1246 QNetworkCookie::setDomain(const QString&)
    {44, 848, 0, 0, Smoke::mf_const, 215, 15},	//1247 QNetworkCookie::path() const
    {44, 1251, 69, 1, 0, 0, 16},	//1248 QNetworkCookie::setPath(const QString&)
    {44, 752, 0, 0, Smoke::mf_const, 14, 17},	//1249 QNetworkCookie::name() const
    {44, 1232, 204, 1, 0, 0, 18},	//1250 QNetworkCookie::setName(const QByteArray&)
    {44, 1419, 0, 0, Smoke::mf_const, 14, 19},	//1251 QNetworkCookie::value() const
    {44, 1356, 204, 1, 0, 0, 20},	//1252 QNetworkCookie::setValue(const QByteArray&)
    {44, 1398, 1190, 1, Smoke::mf_const, 14, 21},	//1253 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {44, 841, 204, 1, Smoke::mf_static, 113, 22},	//1254 QNetworkCookie::parseCookies(const QByteArray&)
    {44, 263, 0, 0, Smoke::mf_ctor, 148, 23},	//1255 QNetworkCookie::QNetworkCookie()
    {44, 263, 204, 1, Smoke::mf_ctor, 148, 24},	//1256 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {44, 1398, 0, 0, Smoke::mf_const, 14, 25},	//1257 QNetworkCookie::toRawForm() const
    {44, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//1258 QNetworkCookie::NameAndValueOnly (enum)
    {44, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//1259 QNetworkCookie::Full (enum)
    {44, 1463, 0, 0, Smoke::mf_dtor, 0, 28 },	//1260 QNetworkCookie::~QNetworkCookie()
    {45, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1261 QNetworkCookieJar::metaObject() const
    {45, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1262 QNetworkCookieJar::qt_metacast(const char*)
    {45, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1263 QNetworkCookieJar::tr(const char*, const char*)
    {45, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1264 QNetworkCookieJar::trUtf8(const char*, const char*)
    {45, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1265 QNetworkCookieJar::tr(const char*, const char*, int)
    {45, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1266 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {45, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1267 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {45, 266, 20, 1, Smoke::mf_ctor, 150, 8},	//1268 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {45, 556, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 9},	//1269 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {45, 1175, 1192, 2, Smoke::mf_virtual, 341, 10},	//1270 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {45, 472, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 11},	//1271 QNetworkCookieJar::allCookies() const
    {45, 1138, 1195, 1, Smoke::mf_protected, 0, 12},	//1272 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {45, 1401, 1, 1, Smoke::mf_static, 215, 13},	//1273 QNetworkCookieJar::tr(const char*)
    {45, 1405, 1, 1, Smoke::mf_static, 215, 14},	//1274 QNetworkCookieJar::trUtf8(const char*)
    {45, 266, 0, 0, Smoke::mf_ctor, 150, 15},	//1275 QNetworkCookieJar::QNetworkCookieJar()
    {45, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 16},	//1276 QNetworkCookieJar::staticMetaObject() const
    {45, 1464, 0, 0, Smoke::mf_dtor, 0, 17 },	//1277 QNetworkCookieJar::~QNetworkCookieJar()
    {46, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1278 QNetworkDiskCache::metaObject() const
    {46, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1279 QNetworkDiskCache::qt_metacast(const char*)
    {46, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1280 QNetworkDiskCache::tr(const char*, const char*)
    {46, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1281 QNetworkDiskCache::trUtf8(const char*, const char*)
    {46, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1282 QNetworkDiskCache::tr(const char*, const char*, int)
    {46, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1283 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {46, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1284 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {46, 268, 20, 1, Smoke::mf_ctor, 151, 8},	//1285 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {46, 505, 0, 0, Smoke::mf_const, 215, 9},	//1286 QNetworkDiskCache::cacheDirectory() const
    {46, 1160, 69, 1, 0, 0, 10},	//1287 QNetworkDiskCache::setCacheDirectory(const QString&)
    {46, 738, 0, 0, Smoke::mf_const, 431, 11},	//1288 QNetworkDiskCache::maximumCacheSize() const
    {46, 1228, 33, 1, 0, 0, 12},	//1289 QNetworkDiskCache::setMaximumCacheSize(long long)
    {46, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 13},	//1290 QNetworkDiskCache::cacheSize() const
    {46, 739, 14, 1, Smoke::mf_virtual, 135, 14},	//1291 QNetworkDiskCache::metaData(const QUrl&)
    {46, 1412, 16, 1, Smoke::mf_virtual, 0, 15},	//1292 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {46, 568, 14, 1, Smoke::mf_virtual, 99, 16},	//1293 QNetworkDiskCache::data(const QUrl&)
    {46, 1095, 14, 1, Smoke::mf_virtual, 341, 17},	//1294 QNetworkDiskCache::remove(const QUrl&)
    {46, 871, 16, 1, Smoke::mf_virtual, 99, 18},	//1295 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {46, 667, 18, 1, Smoke::mf_virtual, 0, 19},	//1296 QNetworkDiskCache::insert(QIODevice*)
    {46, 612, 69, 1, Smoke::mf_const, 135, 20},	//1297 QNetworkDiskCache::fileMetaData(const QString&) const
    {46, 515, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1298 QNetworkDiskCache::clear()
    {46, 610, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 431, 22},	//1299 QNetworkDiskCache::expire()
    {46, 1401, 1, 1, Smoke::mf_static, 215, 23},	//1300 QNetworkDiskCache::tr(const char*)
    {46, 1405, 1, 1, Smoke::mf_static, 215, 24},	//1301 QNetworkDiskCache::trUtf8(const char*)
    {46, 268, 0, 0, Smoke::mf_ctor, 151, 25},	//1302 QNetworkDiskCache::QNetworkDiskCache()
    {46, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 26},	//1303 QNetworkDiskCache::staticMetaObject() const
    {46, 1465, 0, 0, Smoke::mf_dtor, 0, 27 },	//1304 QNetworkDiskCache::~QNetworkDiskCache()
    {47, 270, 0, 0, Smoke::mf_ctor, 154, 1},	//1305 QNetworkInterface::QNetworkInterface()
    {47, 270, 1197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//1306 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {47, 803, 1197, 1, 0, 153, 3},	//1307 QNetworkInterface::operator=(const QNetworkInterface&)
    {47, 697, 0, 0, Smoke::mf_const, 341, 4},	//1308 QNetworkInterface::isValid() const
    {47, 666, 0, 0, Smoke::mf_const, 426, 5},	//1309 QNetworkInterface::index() const
    {47, 752, 0, 0, Smoke::mf_const, 215, 6},	//1310 QNetworkInterface::name() const
    {47, 658, 0, 0, Smoke::mf_const, 215, 7},	//1311 QNetworkInterface::humanReadableName() const
    {47, 616, 0, 0, Smoke::mf_const, 43, 8},	//1312 QNetworkInterface::flags() const
    {47, 640, 0, 0, Smoke::mf_const, 215, 9},	//1313 QNetworkInterface::hardwareAddress() const
    {47, 466, 0, 0, Smoke::mf_const, 111, 10},	//1314 QNetworkInterface::addressEntries() const
    {47, 672, 69, 1, Smoke::mf_static, 152, 11},	//1315 QNetworkInterface::interfaceFromName(const QString&)
    {47, 670, 44, 1, Smoke::mf_static, 152, 12},	//1316 QNetworkInterface::interfaceFromIndex(int)
    {47, 473, 0, 0, Smoke::mf_static, 114, 13},	//1317 QNetworkInterface::allInterfaces()
    {47, 469, 0, 0, Smoke::mf_static, 110, 14},	//1318 QNetworkInterface::allAddresses()
    {47, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 15},	//1319 QNetworkInterface::IsUp (enum)
    {47, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 16},	//1320 QNetworkInterface::IsRunning (enum)
    {47, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 17},	//1321 QNetworkInterface::CanBroadcast (enum)
    {47, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 18},	//1322 QNetworkInterface::IsLoopBack (enum)
    {47, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 19},	//1323 QNetworkInterface::IsPointToPoint (enum)
    {47, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 20},	//1324 QNetworkInterface::CanMulticast (enum)
    {47, 1466, 0, 0, Smoke::mf_dtor, 0, 21 },	//1325 QNetworkInterface::~QNetworkInterface()
    {48, 272, 0, 0, Smoke::mf_ctor, 158, 1},	//1326 QNetworkProxy::QNetworkProxy()
    {48, 272, 1199, 5, Smoke::mf_ctor, 158, 2},	//1327 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {48, 272, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 3},	//1328 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {48, 803, 46, 1, 0, 157, 4},	//1329 QNetworkProxy::operator=(const QNetworkProxy&)
    {48, 806, 46, 1, Smoke::mf_const, 341, 5},	//1330 QNetworkProxy::operator==(const QNetworkProxy&) const
    {48, 767, 46, 1, Smoke::mf_const, 341, 6},	//1331 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {48, 1345, 1205, 1, 0, 0, 7},	//1332 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {48, 1409, 0, 0, Smoke::mf_const, 160, 8},	//1333 QNetworkProxy::type() const
    {48, 1162, 1207, 1, 0, 0, 9},	//1334 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {48, 508, 0, 0, Smoke::mf_const, 44, 10},	//1335 QNetworkProxy::capabilities() const
    {48, 675, 0, 0, Smoke::mf_const, 341, 11},	//1336 QNetworkProxy::isCachingProxy() const
    {48, 696, 0, 0, Smoke::mf_const, 341, 12},	//1337 QNetworkProxy::isTransparentProxy() const
    {48, 1351, 69, 1, 0, 0, 13},	//1338 QNetworkProxy::setUser(const QString&)
    {48, 1418, 0, 0, Smoke::mf_const, 215, 14},	//1339 QNetworkProxy::user() const
    {48, 1249, 69, 1, 0, 0, 15},	//1340 QNetworkProxy::setPassword(const QString&)
    {48, 847, 0, 0, Smoke::mf_const, 215, 16},	//1341 QNetworkProxy::password() const
    {48, 1206, 69, 1, 0, 0, 17},	//1342 QNetworkProxy::setHostName(const QString&)
    {48, 657, 0, 0, Smoke::mf_const, 215, 18},	//1343 QNetworkProxy::hostName() const
    {48, 1269, 65, 1, 0, 0, 19},	//1344 QNetworkProxy::setPort(unsigned short)
    {48, 862, 0, 0, Smoke::mf_const, 443, 20},	//1345 QNetworkProxy::port() const
    {48, 1140, 46, 1, Smoke::mf_static, 0, 21},	//1346 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {48, 479, 0, 0, Smoke::mf_static, 156, 22},	//1347 QNetworkProxy::applicationProxy()
    {48, 272, 1205, 1, Smoke::mf_ctor, 158, 23},	//1348 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {48, 272, 1209, 2, Smoke::mf_ctor, 158, 24},	//1349 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {48, 272, 1212, 3, Smoke::mf_ctor, 158, 25},	//1350 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {48, 272, 1216, 4, Smoke::mf_ctor, 158, 26},	//1351 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {48, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 27},	//1352 QNetworkProxy::DefaultProxy (enum)
    {48, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 28},	//1353 QNetworkProxy::Socks5Proxy (enum)
    {48, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 29},	//1354 QNetworkProxy::NoProxy (enum)
    {48, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 30},	//1355 QNetworkProxy::HttpProxy (enum)
    {48, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 31},	//1356 QNetworkProxy::HttpCachingProxy (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 32},	//1357 QNetworkProxy::FtpCachingProxy (enum)
    {48, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 33},	//1358 QNetworkProxy::TunnelingCapability (enum)
    {48, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 34},	//1359 QNetworkProxy::ListeningCapability (enum)
    {48, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 35},	//1360 QNetworkProxy::UdpTunnelingCapability (enum)
    {48, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 36},	//1361 QNetworkProxy::CachingCapability (enum)
    {48, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 37},	//1362 QNetworkProxy::HostNameLookupCapability (enum)
    {48, 1467, 0, 0, Smoke::mf_dtor, 0, 38 },	//1363 QNetworkProxy::~QNetworkProxy()
    {49, 279, 0, 0, Smoke::mf_ctor, 161, 1},	//1364 QNetworkProxyFactory::QNetworkProxyFactory()
    {49, 1062, 1221, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 115, 2},	//1365 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {49, 1349, 116, 1, Smoke::mf_static, 0, 3},	//1366 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {49, 1142, 1138, 1, Smoke::mf_static, 0, 4},	//1367 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {49, 882, 1221, 1, Smoke::mf_static, 115, 5},	//1368 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {49, 1387, 1221, 1, Smoke::mf_static, 115, 6},	//1369 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {49, 279, 1223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 7},	//1370 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {49, 1062, 0, 0, 0, 115, 8},	//1371 QNetworkProxyFactory::queryProxy()
    {49, 1387, 0, 0, Smoke::mf_static, 115, 9},	//1372 QNetworkProxyFactory::systemProxyForQuery()
    {49, 1468, 0, 0, Smoke::mf_dtor, 0, 10 },	//1373 QNetworkProxyFactory::~QNetworkProxyFactory()
    {50, 281, 0, 0, Smoke::mf_ctor, 163, 1},	//1374 QNetworkProxyQuery::QNetworkProxyQuery()
    {50, 281, 1225, 2, Smoke::mf_ctor, 163, 2},	//1375 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 281, 1228, 4, Smoke::mf_ctor, 163, 3},	//1376 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 281, 1233, 3, Smoke::mf_ctor, 163, 4},	//1377 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 281, 1221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 5},	//1378 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {50, 281, 1237, 3, Smoke::mf_ctor, 163, 6},	//1379 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 281, 1241, 5, Smoke::mf_ctor, 163, 7},	//1380 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 281, 1247, 4, Smoke::mf_ctor, 163, 8},	//1381 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 803, 1221, 1, 0, 162, 9},	//1382 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {50, 806, 1221, 1, Smoke::mf_const, 341, 10},	//1383 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {50, 767, 1221, 1, Smoke::mf_const, 341, 11},	//1384 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {50, 1064, 0, 0, Smoke::mf_const, 164, 12},	//1385 QNetworkProxyQuery::queryType() const
    {50, 1292, 1252, 1, 0, 0, 13},	//1386 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {50, 854, 0, 0, Smoke::mf_const, 426, 14},	//1387 QNetworkProxyQuery::peerPort() const
    {50, 1259, 44, 1, 0, 0, 15},	//1388 QNetworkProxyQuery::setPeerPort(int)
    {50, 852, 0, 0, Smoke::mf_const, 215, 16},	//1389 QNetworkProxyQuery::peerHostName() const
    {50, 1255, 69, 1, 0, 0, 17},	//1390 QNetworkProxyQuery::setPeerHostName(const QString&)
    {50, 728, 0, 0, Smoke::mf_const, 426, 18},	//1391 QNetworkProxyQuery::localPort() const
    {50, 1222, 44, 1, 0, 0, 19},	//1392 QNetworkProxyQuery::setLocalPort(int)
    {50, 877, 0, 0, Smoke::mf_const, 215, 20},	//1393 QNetworkProxyQuery::protocolTag() const
    {50, 1283, 69, 1, 0, 0, 21},	//1394 QNetworkProxyQuery::setProtocolTag(const QString&)
    {50, 1416, 0, 0, Smoke::mf_const, 233, 22},	//1395 QNetworkProxyQuery::url() const
    {50, 1347, 14, 1, 0, 0, 23},	//1396 QNetworkProxyQuery::setUrl(const QUrl&)
    {50, 757, 0, 0, Smoke::mf_const, 138, 24},	//1397 QNetworkProxyQuery::networkConfiguration() const
    {50, 1239, 1159, 1, 0, 0, 25},	//1398 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {50, 281, 14, 1, Smoke::mf_ctor, 163, 26},	//1399 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {50, 281, 1070, 2, Smoke::mf_ctor, 163, 27},	//1400 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {50, 281, 1073, 3, Smoke::mf_ctor, 163, 28},	//1401 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {50, 281, 65, 1, Smoke::mf_ctor, 163, 29},	//1402 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {50, 281, 1254, 2, Smoke::mf_ctor, 163, 30},	//1403 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {50, 281, 1257, 2, Smoke::mf_ctor, 163, 31},	//1404 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {50, 281, 1260, 3, Smoke::mf_ctor, 163, 32},	//1405 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {50, 281, 1264, 4, Smoke::mf_ctor, 163, 33},	//1406 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {50, 281, 1269, 2, Smoke::mf_ctor, 163, 34},	//1407 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {50, 281, 1272, 3, Smoke::mf_ctor, 163, 35},	//1408 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {50, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 36},	//1409 QNetworkProxyQuery::TcpSocket (enum)
    {50, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 37},	//1410 QNetworkProxyQuery::UdpSocket (enum)
    {50, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 38},	//1411 QNetworkProxyQuery::TcpServer (enum)
    {50, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 39},	//1412 QNetworkProxyQuery::UrlRequest (enum)
    {50, 1469, 0, 0, Smoke::mf_dtor, 0, 40 },	//1413 QNetworkProxyQuery::~QNetworkProxyQuery()
    {51, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1414 QNetworkReply::metaObject() const
    {51, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1415 QNetworkReply::qt_metacast(const char*)
    {51, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1416 QNetworkReply::tr(const char*, const char*)
    {51, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1417 QNetworkReply::trUtf8(const char*, const char*)
    {51, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1418 QNetworkReply::tr(const char*, const char*, int)
    {51, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1419 QNetworkReply::trUtf8(const char*, const char*, int)
    {51, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1420 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {51, 442, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1421 QNetworkReply::abort() [pure virtual]
    {51, 518, 0, 0, Smoke::mf_virtual, 0, 9},	//1422 QNetworkReply::close()
    {51, 693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 10},	//1423 QNetworkReply::isSequential() const
    {51, 1081, 0, 0, Smoke::mf_const, 431, 11},	//1424 QNetworkReply::readBufferSize() const
    {51, 1298, 33, 1, Smoke::mf_virtual, 0, 12},	//1425 QNetworkReply::setReadBufferSize(long long)
    {51, 736, 0, 0, Smoke::mf_const, 130, 13},	//1426 QNetworkReply::manager() const
    {51, 766, 0, 0, Smoke::mf_const, 132, 14},	//1427 QNetworkReply::operation() const
    {51, 1106, 0, 0, Smoke::mf_const, 167, 15},	//1428 QNetworkReply::request() const
    {51, 604, 0, 0, Smoke::mf_const, 166, 16},	//1429 QNetworkReply::error() const
    {51, 680, 0, 0, Smoke::mf_const, 341, 17},	//1430 QNetworkReply::isFinished() const
    {51, 691, 0, 0, Smoke::mf_const, 341, 18},	//1431 QNetworkReply::isRunning() const
    {51, 1416, 0, 0, Smoke::mf_const, 233, 19},	//1432 QNetworkReply::url() const
    {51, 654, 1276, 1, Smoke::mf_const, 241, 20},	//1433 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {51, 649, 204, 1, Smoke::mf_const, 341, 21},	//1434 QNetworkReply::hasRawHeader(const QByteArray&) const
    {51, 1075, 0, 0, Smoke::mf_const, 109, 22},	//1435 QNetworkReply::rawHeaderList() const
    {51, 1073, 204, 1, Smoke::mf_const, 14, 23},	//1436 QNetworkReply::rawHeader(const QByteArray&) const
    {51, 1076, 0, 0, Smoke::mf_const, 368, 24},	//1437 QNetworkReply::rawHeaderPairs() const
    {51, 481, 1278, 1, Smoke::mf_const, 241, 25},	//1438 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {51, 1368, 0, 0, Smoke::mf_const, 202, 26},	//1439 QNetworkReply::sslConfiguration() const
    {51, 1332, 1280, 1, 0, 0, 27},	//1440 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {51, 661, 1065, 1, 0, 0, 28},	//1441 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {51, 661, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1442 QNetworkReply::ignoreSslErrors()
    {51, 741, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1443 QNetworkReply::metaDataChanged()
    {51, 614, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1444 QNetworkReply::finished()
    {51, 604, 1282, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1445 QNetworkReply::error(QNetworkReply::NetworkError)
    {51, 1369, 1065, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1446 QNetworkReply::sslErrors(const QList<QSslError>&)
    {51, 1414, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1447 QNetworkReply::uploadProgress(qint64, qint64)
    {51, 593, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1448 QNetworkReply::downloadProgress(qint64, qint64)
    {51, 293, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 165, 36},	//1449 QNetworkReply::QNetworkReply(QObject*)
    {51, 1438, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 37},	//1450 QNetworkReply::writeData(const char*, long long)
    {51, 1241, 1284, 1, Smoke::mf_protected, 0, 38},	//1451 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {51, 1302, 1144, 1, Smoke::mf_protected, 0, 39},	//1452 QNetworkReply::setRequest(const QNetworkRequest&)
    {51, 1187, 1286, 2, Smoke::mf_protected, 0, 40},	//1453 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {51, 1196, 116, 1, Smoke::mf_protected, 0, 41},	//1454 QNetworkReply::setFinished(bool)
    {51, 1347, 14, 1, Smoke::mf_protected, 0, 42},	//1455 QNetworkReply::setUrl(const QUrl&)
    {51, 1200, 1096, 2, Smoke::mf_protected, 0, 43},	//1456 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {51, 1294, 384, 2, Smoke::mf_protected, 0, 44},	//1457 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {51, 1144, 1289, 2, Smoke::mf_protected, 0, 45},	//1458 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {51, 1401, 1, 1, Smoke::mf_static, 215, 46},	//1459 QNetworkReply::tr(const char*)
    {51, 1405, 1, 1, Smoke::mf_static, 215, 47},	//1460 QNetworkReply::trUtf8(const char*)
    {51, 293, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 165, 48},	//1461 QNetworkReply::QNetworkReply()
    {51, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 49},	//1462 QNetworkReply::staticMetaObject() const
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//1463 QNetworkReply::NoError (enum)
    {51, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//1464 QNetworkReply::ConnectionRefusedError (enum)
    {51, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 52},	//1465 QNetworkReply::RemoteHostClosedError (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 53},	//1466 QNetworkReply::HostNotFoundError (enum)
    {51, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 54},	//1467 QNetworkReply::TimeoutError (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//1468 QNetworkReply::OperationCanceledError (enum)
    {51, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//1469 QNetworkReply::SslHandshakeFailedError (enum)
    {51, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//1470 QNetworkReply::TemporaryNetworkFailureError (enum)
    {51, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//1471 QNetworkReply::UnknownNetworkError (enum)
    {51, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//1472 QNetworkReply::ProxyConnectionRefusedError (enum)
    {51, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 60},	//1473 QNetworkReply::ProxyConnectionClosedError (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 61},	//1474 QNetworkReply::ProxyNotFoundError (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 62},	//1475 QNetworkReply::ProxyTimeoutError (enum)
    {51, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 63},	//1476 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {51, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 64},	//1477 QNetworkReply::UnknownProxyError (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 65},	//1478 QNetworkReply::ContentAccessDenied (enum)
    {51, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 66},	//1479 QNetworkReply::ContentOperationNotPermittedError (enum)
    {51, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 67},	//1480 QNetworkReply::ContentNotFoundError (enum)
    {51, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 68},	//1481 QNetworkReply::AuthenticationRequiredError (enum)
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 69},	//1482 QNetworkReply::ContentReSendError (enum)
    {51, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 70},	//1483 QNetworkReply::UnknownContentError (enum)
    {51, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 71},	//1484 QNetworkReply::ProtocolUnknownError (enum)
    {51, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 72},	//1485 QNetworkReply::ProtocolInvalidOperationError (enum)
    {51, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 73},	//1486 QNetworkReply::ProtocolFailure (enum)
    {51, 1470, 0, 0, Smoke::mf_dtor, 0, 74 },	//1487 QNetworkReply::~QNetworkReply()
    {52, 295, 14, 1, Smoke::mf_ctor, 169, 1},	//1488 QNetworkRequest::QNetworkRequest(const QUrl&)
    {52, 295, 1144, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 169, 2},	//1489 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {52, 803, 1144, 1, 0, 168, 3},	//1490 QNetworkRequest::operator=(const QNetworkRequest&)
    {52, 806, 1144, 1, Smoke::mf_const, 341, 4},	//1491 QNetworkRequest::operator==(const QNetworkRequest&) const
    {52, 767, 1144, 1, Smoke::mf_const, 341, 5},	//1492 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {52, 1416, 0, 0, Smoke::mf_const, 233, 6},	//1493 QNetworkRequest::url() const
    {52, 1347, 14, 1, 0, 0, 7},	//1494 QNetworkRequest::setUrl(const QUrl&)
    {52, 654, 1276, 1, Smoke::mf_const, 241, 8},	//1495 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {52, 1200, 1096, 2, 0, 0, 9},	//1496 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {52, 649, 204, 1, Smoke::mf_const, 341, 10},	//1497 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {52, 1075, 0, 0, Smoke::mf_const, 109, 11},	//1498 QNetworkRequest::rawHeaderList() const
    {52, 1073, 204, 1, Smoke::mf_const, 14, 12},	//1499 QNetworkRequest::rawHeader(const QByteArray&) const
    {52, 1294, 384, 2, 0, 0, 13},	//1500 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {52, 481, 1289, 2, Smoke::mf_const, 241, 14},	//1501 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {52, 1144, 1289, 2, 0, 0, 15},	//1502 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {52, 1368, 0, 0, Smoke::mf_const, 202, 16},	//1503 QNetworkRequest::sslConfiguration() const
    {52, 1332, 1280, 1, 0, 0, 17},	//1504 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {52, 1245, 20, 1, 0, 0, 18},	//1505 QNetworkRequest::setOriginatingObject(QObject*)
    {52, 837, 0, 0, Smoke::mf_const, 178, 19},	//1506 QNetworkRequest::originatingObject() const
    {52, 873, 0, 0, Smoke::mf_const, 174, 20},	//1507 QNetworkRequest::priority() const
    {52, 1273, 1292, 1, 0, 0, 21},	//1508 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {52, 295, 0, 0, Smoke::mf_ctor, 169, 22},	//1509 QNetworkRequest::QNetworkRequest()
    {52, 481, 1278, 1, Smoke::mf_const, 241, 23},	//1510 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {52, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 24},	//1511 QNetworkRequest::ContentTypeHeader (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 25},	//1512 QNetworkRequest::ContentLengthHeader (enum)
    {52, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 26},	//1513 QNetworkRequest::LocationHeader (enum)
    {52, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 27},	//1514 QNetworkRequest::LastModifiedHeader (enum)
    {52, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 28},	//1515 QNetworkRequest::CookieHeader (enum)
    {52, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 29},	//1516 QNetworkRequest::SetCookieHeader (enum)
    {52, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 30},	//1517 QNetworkRequest::ContentDispositionHeader (enum)
    {52, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 31},	//1518 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {52, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 32},	//1519 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {52, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 33},	//1520 QNetworkRequest::RedirectionTargetAttribute (enum)
    {52, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 34},	//1521 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 35},	//1522 QNetworkRequest::CacheLoadControlAttribute (enum)
    {52, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 36},	//1523 QNetworkRequest::CacheSaveControlAttribute (enum)
    {52, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 37},	//1524 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {52, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 38},	//1525 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {52, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 39},	//1526 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {52, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 40},	//1527 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {52, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 41},	//1528 QNetworkRequest::CustomVerbAttribute (enum)
    {52, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 42},	//1529 QNetworkRequest::CookieLoadControlAttribute (enum)
    {52, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 43},	//1530 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {52, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 44},	//1531 QNetworkRequest::CookieSaveControlAttribute (enum)
    {52, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 45},	//1532 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {52, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 46},	//1533 QNetworkRequest::DownloadBufferAttribute (enum)
    {52, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 47},	//1534 QNetworkRequest::SynchronousRequestAttribute (enum)
    {52, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 48},	//1535 QNetworkRequest::User (enum)
    {52, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 49},	//1536 QNetworkRequest::UserMax (enum)
    {52, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 50},	//1537 QNetworkRequest::AlwaysNetwork (enum)
    {52, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 51},	//1538 QNetworkRequest::PreferNetwork (enum)
    {52, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 52},	//1539 QNetworkRequest::PreferCache (enum)
    {52, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 53},	//1540 QNetworkRequest::AlwaysCache (enum)
    {52, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 54},	//1541 QNetworkRequest::Automatic (enum)
    {52, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 55},	//1542 QNetworkRequest::Manual (enum)
    {52, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 56},	//1543 QNetworkRequest::HighPriority (enum)
    {52, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 57},	//1544 QNetworkRequest::NormalPriority (enum)
    {52, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 58},	//1545 QNetworkRequest::LowPriority (enum)
    {52, 1471, 0, 0, Smoke::mf_dtor, 0, 59 },	//1546 QNetworkRequest::~QNetworkRequest()
    {53, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1547 QNetworkSession::metaObject() const
    {53, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1548 QNetworkSession::qt_metacast(const char*)
    {53, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1549 QNetworkSession::tr(const char*, const char*)
    {53, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1550 QNetworkSession::trUtf8(const char*, const char*)
    {53, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1551 QNetworkSession::tr(const char*, const char*, int)
    {53, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1552 QNetworkSession::trUtf8(const char*, const char*, int)
    {53, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1553 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {53, 297, 1294, 2, Smoke::mf_ctor, 175, 8},	//1554 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {53, 688, 0, 0, Smoke::mf_const, 341, 9},	//1555 QNetworkSession::isOpen() const
    {53, 525, 0, 0, Smoke::mf_const, 138, 10},	//1556 QNetworkSession::configuration() const
    {53, 669, 0, 0, Smoke::mf_const, 152, 11},	//1557 QNetworkSession::interface() const
    {53, 1374, 0, 0, Smoke::mf_const, 177, 12},	//1558 QNetworkSession::state() const
    {53, 604, 0, 0, Smoke::mf_const, 176, 13},	//1559 QNetworkSession::error() const
    {53, 606, 0, 0, Smoke::mf_const, 215, 14},	//1560 QNetworkSession::errorString() const
    {53, 1131, 69, 1, Smoke::mf_const, 241, 15},	//1561 QNetworkSession::sessionProperty(const QString&) const
    {53, 1313, 85, 2, 0, 0, 16},	//1562 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {53, 502, 0, 0, Smoke::mf_const, 442, 17},	//1563 QNetworkSession::bytesWritten() const
    {53, 500, 0, 0, Smoke::mf_const, 442, 18},	//1564 QNetworkSession::bytesReceived() const
    {53, 447, 0, 0, Smoke::mf_const, 442, 19},	//1565 QNetworkSession::activeTime() const
    {53, 1434, 44, 1, 0, 341, 20},	//1566 QNetworkSession::waitForOpened(int)
    {53, 764, 0, 0, Smoke::mf_slot, 0, 21},	//1567 QNetworkSession::open()
    {53, 518, 0, 0, Smoke::mf_slot, 0, 22},	//1568 QNetworkSession::close()
    {53, 1379, 0, 0, Smoke::mf_slot, 0, 23},	//1569 QNetworkSession::stop()
    {53, 744, 0, 0, Smoke::mf_slot, 0, 24},	//1570 QNetworkSession::migrate()
    {53, 660, 0, 0, Smoke::mf_slot, 0, 25},	//1571 QNetworkSession::ignore()
    {53, 445, 0, 0, Smoke::mf_slot, 0, 26},	//1572 QNetworkSession::accept()
    {53, 1094, 0, 0, Smoke::mf_slot, 0, 27},	//1573 QNetworkSession::reject()
    {53, 1375, 1297, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1574 QNetworkSession::stateChanged(QNetworkSession::State)
    {53, 765, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1575 QNetworkSession::opened()
    {53, 520, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1576 QNetworkSession::closed()
    {53, 604, 1299, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1577 QNetworkSession::error(QNetworkSession::SessionError)
    {53, 868, 1301, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1578 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {53, 759, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1579 QNetworkSession::newConfigurationActivated()
    {53, 534, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1580 QNetworkSession::connectNotify(const char*)
    {53, 587, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1581 QNetworkSession::disconnectNotify(const char*)
    {53, 1401, 1, 1, Smoke::mf_static, 215, 36},	//1582 QNetworkSession::tr(const char*)
    {53, 1405, 1, 1, Smoke::mf_static, 215, 37},	//1583 QNetworkSession::trUtf8(const char*)
    {53, 297, 1159, 1, Smoke::mf_ctor, 175, 38},	//1584 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {53, 1434, 0, 0, 0, 341, 39},	//1585 QNetworkSession::waitForOpened()
    {53, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 40},	//1586 QNetworkSession::staticMetaObject() const
    {53, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 41},	//1587 QNetworkSession::Invalid (enum)
    {53, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 42},	//1588 QNetworkSession::NotAvailable (enum)
    {53, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 43},	//1589 QNetworkSession::Connecting (enum)
    {53, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 44},	//1590 QNetworkSession::Connected (enum)
    {53, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 45},	//1591 QNetworkSession::Closing (enum)
    {53, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 46},	//1592 QNetworkSession::Disconnected (enum)
    {53, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 47},	//1593 QNetworkSession::Roaming (enum)
    {53, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 48},	//1594 QNetworkSession::UnknownSessionError (enum)
    {53, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 49},	//1595 QNetworkSession::SessionAbortedError (enum)
    {53, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 50},	//1596 QNetworkSession::RoamingError (enum)
    {53, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 51},	//1597 QNetworkSession::OperationNotSupportedError (enum)
    {53, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 52},	//1598 QNetworkSession::InvalidConfigurationError (enum)
    {53, 1472, 0, 0, Smoke::mf_dtor, 0, 53 },	//1599 QNetworkSession::~QNetworkSession()
    {54, 607, 1304, 1, Smoke::mf_virtual, 341, 0},	//1600 QObject::event(QEvent*)
    {54, 608, 1306, 2, Smoke::mf_virtual, 341, 0},	//1601 QObject::eventFilter(QObject*, QEvent*)
    {54, 1391, 1309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1602 QObject::timerEvent(QTimerEvent*)
    {54, 512, 1311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1603 QObject::childEvent(QChildEvent*)
    {54, 567, 1304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1604 QObject::customEvent(QEvent*)
    {54, 534, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1605 QObject::connectNotify(const char*)
    {54, 587, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1606 QObject::disconnectNotify(const char*)
    {63, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 1},	//1607 QSsl::Rsa (enum)
    {63, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 2},	//1608 QSsl::Dsa (enum)
    {63, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 3},	//1609 QSsl::Pem (enum)
    {63, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 4},	//1610 QSsl::Der (enum)
    {63, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 5},	//1611 QSsl::SslOptionDisableEmptyFragments (enum)
    {63, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 6},	//1612 QSsl::SslOptionDisableSessionTickets (enum)
    {63, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 7},	//1613 QSsl::SslOptionDisableCompression (enum)
    {63, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 8},	//1614 QSsl::SslOptionDisableServerNameIndication (enum)
    {63, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 9},	//1615 QSsl::SslOptionDisableLegacyRenegotiation (enum)
    {63, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 10},	//1616 QSsl::SslV3 (enum)
    {63, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 11},	//1617 QSsl::SslV2 (enum)
    {63, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 12},	//1618 QSsl::TlsV1 (enum)
    {63, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 13},	//1619 QSsl::AnyProtocol (enum)
    {63, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 14},	//1620 QSsl::TlsV1SslV3 (enum)
    {63, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 15},	//1621 QSsl::SecureProtocols (enum)
    {63, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 16},	//1622 QSsl::UnknownProtocol (enum)
    {63, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 17},	//1623 QSsl::EmailEntry (enum)
    {63, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 18},	//1624 QSsl::DnsEntry (enum)
    {63, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 19},	//1625 QSsl::PrivateKey (enum)
    {63, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 20},	//1626 QSsl::PublicKey (enum)
    {64, 300, 1313, 2, Smoke::mf_ctor, 197, 1},	//1627 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {64, 300, 1316, 2, Smoke::mf_ctor, 197, 2},	//1628 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {64, 300, 1319, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 3},	//1629 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {64, 803, 1319, 1, 0, 196, 4},	//1630 QSslCertificate::operator=(const QSslCertificate&)
    {64, 806, 1319, 1, Smoke::mf_const, 341, 5},	//1631 QSslCertificate::operator==(const QSslCertificate&) const
    {64, 767, 1319, 1, Smoke::mf_const, 341, 6},	//1632 QSslCertificate::operator!=(const QSslCertificate&) const
    {64, 686, 0, 0, Smoke::mf_const, 341, 7},	//1633 QSslCertificate::isNull() const
    {64, 697, 0, 0, Smoke::mf_const, 341, 8},	//1634 QSslCertificate::isValid() const
    {64, 515, 0, 0, 0, 0, 9},	//1635 QSslCertificate::clear()
    {64, 1422, 0, 0, Smoke::mf_const, 14, 10},	//1636 QSslCertificate::version() const
    {64, 1125, 0, 0, Smoke::mf_const, 14, 11},	//1637 QSslCertificate::serialNumber() const
    {64, 582, 1321, 1, Smoke::mf_const, 14, 12},	//1638 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {64, 699, 1323, 1, Smoke::mf_const, 215, 13},	//1639 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {64, 699, 204, 1, Smoke::mf_const, 215, 14},	//1640 QSslCertificate::issuerInfo(const QByteArray&) const
    {64, 1380, 1323, 1, Smoke::mf_const, 215, 15},	//1641 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {64, 1380, 204, 1, Smoke::mf_const, 215, 16},	//1642 QSslCertificate::subjectInfo(const QByteArray&) const
    {64, 476, 0, 0, Smoke::mf_const, 129, 17},	//1643 QSslCertificate::alternateSubjectNames() const
    {64, 595, 0, 0, Smoke::mf_const, 22, 18},	//1644 QSslCertificate::effectiveDate() const
    {64, 611, 0, 0, Smoke::mf_const, 22, 19},	//1645 QSslCertificate::expiryDate() const
    {64, 884, 0, 0, Smoke::mf_const, 209, 20},	//1646 QSslCertificate::publicKey() const
    {64, 1396, 0, 0, Smoke::mf_const, 14, 21},	//1647 QSslCertificate::toPem() const
    {64, 1392, 0, 0, Smoke::mf_const, 14, 22},	//1648 QSslCertificate::toDer() const
    {64, 626, 1325, 3, Smoke::mf_static, 118, 23},	//1649 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 621, 1313, 2, Smoke::mf_static, 118, 24},	//1650 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {64, 618, 1316, 2, Smoke::mf_static, 118, 25},	//1651 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {64, 639, 0, 0, Smoke::mf_const, 441, 26},	//1652 QSslCertificate::handle() const
    {64, 300, 18, 1, Smoke::mf_ctor, 197, 27},	//1653 QSslCertificate::QSslCertificate(QIODevice*)
    {64, 300, 0, 0, Smoke::mf_ctor, 197, 28},	//1654 QSslCertificate::QSslCertificate()
    {64, 300, 204, 1, Smoke::mf_ctor, 197, 29},	//1655 QSslCertificate::QSslCertificate(const QByteArray&)
    {64, 582, 0, 0, Smoke::mf_const, 14, 30},	//1656 QSslCertificate::digest() const
    {64, 626, 69, 1, Smoke::mf_static, 118, 31},	//1657 QSslCertificate::fromPath(const QString&)
    {64, 626, 1329, 2, Smoke::mf_static, 118, 32},	//1658 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {64, 621, 18, 1, Smoke::mf_static, 118, 33},	//1659 QSslCertificate::fromDevice(QIODevice*)
    {64, 618, 204, 1, Smoke::mf_static, 118, 34},	//1660 QSslCertificate::fromData(const QByteArray&)
    {64, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 35},	//1661 QSslCertificate::Organization (enum)
    {64, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 36},	//1662 QSslCertificate::CommonName (enum)
    {64, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 37},	//1663 QSslCertificate::LocalityName (enum)
    {64, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 38},	//1664 QSslCertificate::OrganizationalUnitName (enum)
    {64, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 39},	//1665 QSslCertificate::CountryName (enum)
    {64, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 40},	//1666 QSslCertificate::StateOrProvinceName (enum)
    {64, 1473, 0, 0, Smoke::mf_dtor, 0, 41 },	//1667 QSslCertificate::~QSslCertificate()
    {65, 303, 0, 0, Smoke::mf_ctor, 201, 1},	//1668 QSslCipher::QSslCipher()
    {65, 303, 1332, 2, Smoke::mf_ctor, 201, 2},	//1669 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {65, 303, 1335, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 3},	//1670 QSslCipher::QSslCipher(const QSslCipher&)
    {65, 803, 1335, 1, 0, 200, 4},	//1671 QSslCipher::operator=(const QSslCipher&)
    {65, 806, 1335, 1, Smoke::mf_const, 341, 5},	//1672 QSslCipher::operator==(const QSslCipher&) const
    {65, 767, 1335, 1, Smoke::mf_const, 341, 6},	//1673 QSslCipher::operator!=(const QSslCipher&) const
    {65, 686, 0, 0, Smoke::mf_const, 341, 7},	//1674 QSslCipher::isNull() const
    {65, 752, 0, 0, Smoke::mf_const, 215, 8},	//1675 QSslCipher::name() const
    {65, 1383, 0, 0, Smoke::mf_const, 426, 9},	//1676 QSslCipher::supportedBits() const
    {65, 1417, 0, 0, Smoke::mf_const, 426, 10},	//1677 QSslCipher::usedBits() const
    {65, 705, 0, 0, Smoke::mf_const, 215, 11},	//1678 QSslCipher::keyExchangeMethod() const
    {65, 485, 0, 0, Smoke::mf_const, 215, 12},	//1679 QSslCipher::authenticationMethod() const
    {65, 601, 0, 0, Smoke::mf_const, 215, 13},	//1680 QSslCipher::encryptionMethod() const
    {65, 876, 0, 0, Smoke::mf_const, 215, 14},	//1681 QSslCipher::protocolString() const
    {65, 875, 0, 0, Smoke::mf_const, 194, 15},	//1682 QSslCipher::protocol() const
    {65, 1474, 0, 0, Smoke::mf_dtor, 0, 16 },	//1683 QSslCipher::~QSslCipher()
    {66, 306, 0, 0, Smoke::mf_ctor, 204, 1},	//1684 QSslConfiguration::QSslConfiguration()
    {66, 306, 1280, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//1685 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {66, 803, 1280, 1, 0, 203, 3},	//1686 QSslConfiguration::operator=(const QSslConfiguration&)
    {66, 806, 1280, 1, Smoke::mf_const, 341, 4},	//1687 QSslConfiguration::operator==(const QSslConfiguration&) const
    {66, 767, 1280, 1, Smoke::mf_const, 341, 5},	//1688 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {66, 686, 0, 0, Smoke::mf_const, 341, 6},	//1689 QSslConfiguration::isNull() const
    {66, 875, 0, 0, Smoke::mf_const, 194, 7},	//1690 QSslConfiguration::protocol() const
    {66, 1281, 1337, 1, 0, 0, 8},	//1691 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {66, 858, 0, 0, Smoke::mf_const, 213, 9},	//1692 QSslConfiguration::peerVerifyMode() const
    {66, 1263, 1339, 1, 0, 0, 10},	//1693 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {66, 855, 0, 0, Smoke::mf_const, 426, 11},	//1694 QSslConfiguration::peerVerifyDepth() const
    {66, 1261, 44, 1, 0, 0, 12},	//1695 QSslConfiguration::setPeerVerifyDepth(int)
    {66, 725, 0, 0, Smoke::mf_const, 195, 13},	//1696 QSslConfiguration::localCertificate() const
    {66, 1218, 1319, 1, 0, 0, 14},	//1697 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {66, 850, 0, 0, Smoke::mf_const, 195, 15},	//1698 QSslConfiguration::peerCertificate() const
    {66, 851, 0, 0, Smoke::mf_const, 118, 16},	//1699 QSslConfiguration::peerCertificateChain() const
    {66, 1130, 0, 0, Smoke::mf_const, 199, 17},	//1700 QSslConfiguration::sessionCipher() const
    {66, 874, 0, 0, Smoke::mf_const, 209, 18},	//1701 QSslConfiguration::privateKey() const
    {66, 1275, 1341, 1, 0, 0, 19},	//1702 QSslConfiguration::setPrivateKey(const QSslKey&)
    {66, 514, 0, 0, Smoke::mf_const, 119, 20},	//1703 QSslConfiguration::ciphers() const
    {66, 1164, 1343, 1, 0, 0, 21},	//1704 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {66, 503, 0, 0, Smoke::mf_const, 118, 22},	//1705 QSslConfiguration::caCertificates() const
    {66, 1156, 1345, 1, 0, 0, 23},	//1706 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {66, 1334, 1347, 2, 0, 0, 24},	//1707 QSslConfiguration::setSslOption(QSsl::SslOption, bool)
    {66, 1389, 1350, 1, Smoke::mf_const, 341, 25},	//1708 QSslConfiguration::testSslOption(QSsl::SslOption) const
    {66, 578, 0, 0, Smoke::mf_static, 202, 26},	//1709 QSslConfiguration::defaultConfiguration()
    {66, 1181, 1280, 1, Smoke::mf_static, 0, 27},	//1710 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {66, 1475, 0, 0, Smoke::mf_dtor, 0, 28 },	//1711 QSslConfiguration::~QSslConfiguration()
    {67, 308, 0, 0, Smoke::mf_ctor, 207, 1},	//1712 QSslError::QSslError()
    {67, 308, 1352, 1, Smoke::mf_ctor, 207, 2},	//1713 QSslError::QSslError(QSslError::SslError)
    {67, 308, 1354, 2, Smoke::mf_ctor, 207, 3},	//1714 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {67, 308, 1357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 207, 4},	//1715 QSslError::QSslError(const QSslError&)
    {67, 803, 1357, 1, 0, 206, 5},	//1716 QSslError::operator=(const QSslError&)
    {67, 806, 1357, 1, Smoke::mf_const, 341, 6},	//1717 QSslError::operator==(const QSslError&) const
    {67, 767, 1357, 1, Smoke::mf_const, 341, 7},	//1718 QSslError::operator!=(const QSslError&) const
    {67, 604, 0, 0, Smoke::mf_const, 208, 8},	//1719 QSslError::error() const
    {67, 606, 0, 0, Smoke::mf_const, 215, 9},	//1720 QSslError::errorString() const
    {67, 511, 0, 0, Smoke::mf_const, 195, 10},	//1721 QSslError::certificate() const
    {67, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 11},	//1722 QSslError::NoError (enum)
    {67, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 12},	//1723 QSslError::UnableToGetIssuerCertificate (enum)
    {67, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 13},	//1724 QSslError::UnableToDecryptCertificateSignature (enum)
    {67, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 14},	//1725 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {67, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 15},	//1726 QSslError::CertificateSignatureFailed (enum)
    {67, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 16},	//1727 QSslError::CertificateNotYetValid (enum)
    {67, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 17},	//1728 QSslError::CertificateExpired (enum)
    {67, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 18},	//1729 QSslError::InvalidNotBeforeField (enum)
    {67, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 19},	//1730 QSslError::InvalidNotAfterField (enum)
    {67, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 20},	//1731 QSslError::SelfSignedCertificate (enum)
    {67, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 21},	//1732 QSslError::SelfSignedCertificateInChain (enum)
    {67, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 22},	//1733 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {67, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 23},	//1734 QSslError::UnableToVerifyFirstCertificate (enum)
    {67, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 24},	//1735 QSslError::CertificateRevoked (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 25},	//1736 QSslError::InvalidCaCertificate (enum)
    {67, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 26},	//1737 QSslError::PathLengthExceeded (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 27},	//1738 QSslError::InvalidPurpose (enum)
    {67, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 28},	//1739 QSslError::CertificateUntrusted (enum)
    {67, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 29},	//1740 QSslError::CertificateRejected (enum)
    {67, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 30},	//1741 QSslError::SubjectIssuerMismatch (enum)
    {67, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 31},	//1742 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {67, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 32},	//1743 QSslError::NoPeerCertificate (enum)
    {67, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 33},	//1744 QSslError::HostNameMismatch (enum)
    {67, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 34},	//1745 QSslError::NoSslSupport (enum)
    {67, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 35},	//1746 QSslError::CertificateBlacklisted (enum)
    {67, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 36},	//1747 QSslError::UnspecifiedError (enum)
    {67, 1476, 0, 0, Smoke::mf_dtor, 0, 37 },	//1748 QSslError::~QSslError()
    {68, 312, 0, 0, Smoke::mf_ctor, 211, 1},	//1749 QSslKey::QSslKey()
    {68, 312, 1359, 5, Smoke::mf_ctor, 211, 2},	//1750 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 312, 1365, 5, Smoke::mf_ctor, 211, 3},	//1751 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 312, 1341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 4},	//1752 QSslKey::QSslKey(const QSslKey&)
    {68, 803, 1341, 1, 0, 210, 5},	//1753 QSslKey::operator=(const QSslKey&)
    {68, 686, 0, 0, Smoke::mf_const, 341, 6},	//1754 QSslKey::isNull() const
    {68, 515, 0, 0, 0, 0, 7},	//1755 QSslKey::clear()
    {68, 713, 0, 0, Smoke::mf_const, 426, 8},	//1756 QSslKey::length() const
    {68, 1409, 0, 0, Smoke::mf_const, 192, 9},	//1757 QSslKey::type() const
    {68, 468, 0, 0, Smoke::mf_const, 191, 10},	//1758 QSslKey::algorithm() const
    {68, 1396, 204, 1, Smoke::mf_const, 14, 11},	//1759 QSslKey::toPem(const QByteArray&) const
    {68, 1392, 204, 1, Smoke::mf_const, 14, 12},	//1760 QSslKey::toDer(const QByteArray&) const
    {68, 639, 0, 0, Smoke::mf_const, 441, 13},	//1761 QSslKey::handle() const
    {68, 806, 1341, 1, Smoke::mf_const, 341, 14},	//1762 QSslKey::operator==(const QSslKey&) const
    {68, 767, 1341, 1, Smoke::mf_const, 341, 15},	//1763 QSslKey::operator!=(const QSslKey&) const
    {68, 312, 1371, 2, Smoke::mf_ctor, 211, 16},	//1764 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {68, 312, 1374, 3, Smoke::mf_ctor, 211, 17},	//1765 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 312, 1378, 4, Smoke::mf_ctor, 211, 18},	//1766 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 312, 1383, 2, Smoke::mf_ctor, 211, 19},	//1767 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {68, 312, 1386, 3, Smoke::mf_ctor, 211, 20},	//1768 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 312, 1390, 4, Smoke::mf_ctor, 211, 21},	//1769 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 1396, 0, 0, Smoke::mf_const, 14, 22},	//1770 QSslKey::toPem() const
    {68, 1392, 0, 0, Smoke::mf_const, 14, 23},	//1771 QSslKey::toDer() const
    {68, 1477, 0, 0, Smoke::mf_dtor, 0, 24 },	//1772 QSslKey::~QSslKey()
    {69, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1773 QSslSocket::metaObject() const
    {69, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1774 QSslSocket::qt_metacast(const char*)
    {69, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1775 QSslSocket::tr(const char*, const char*)
    {69, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1776 QSslSocket::trUtf8(const char*, const char*)
    {69, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1777 QSslSocket::tr(const char*, const char*, int)
    {69, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1778 QSslSocket::trUtf8(const char*, const char*, int)
    {69, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1779 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 318, 20, 1, Smoke::mf_ctor, 212, 8},	//1780 QSslSocket::QSslSocket(QObject*)
    {69, 542, 25, 3, 0, 0, 9},	//1781 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {69, 542, 1395, 4, 0, 0, 10},	//1782 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {69, 1319, 35, 3, 0, 341, 11},	//1783 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {69, 1328, 39, 2, 0, 0, 12},	//1784 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {69, 1365, 42, 1, 0, 241, 13},	//1785 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {69, 748, 0, 0, Smoke::mf_const, 214, 14},	//1786 QSslSocket::mode() const
    {69, 677, 0, 0, Smoke::mf_const, 341, 15},	//1787 QSslSocket::isEncrypted() const
    {69, 875, 0, 0, Smoke::mf_const, 194, 16},	//1788 QSslSocket::protocol() const
    {69, 1281, 1337, 1, 0, 0, 17},	//1789 QSslSocket::setProtocol(QSsl::SslProtocol)
    {69, 858, 0, 0, Smoke::mf_const, 213, 18},	//1790 QSslSocket::peerVerifyMode() const
    {69, 1263, 1339, 1, 0, 0, 19},	//1791 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {69, 855, 0, 0, Smoke::mf_const, 426, 20},	//1792 QSslSocket::peerVerifyDepth() const
    {69, 1261, 44, 1, 0, 0, 21},	//1793 QSslSocket::setPeerVerifyDepth(int)
    {69, 859, 0, 0, Smoke::mf_const, 215, 22},	//1794 QSslSocket::peerVerifyName() const
    {69, 1265, 69, 1, 0, 0, 23},	//1795 QSslSocket::setPeerVerifyName(const QString&)
    {69, 499, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 24},	//1796 QSslSocket::bytesAvailable() const
    {69, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 25},	//1797 QSslSocket::bytesToWrite() const
    {69, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 26},	//1798 QSslSocket::canReadLine() const
    {69, 518, 0, 0, Smoke::mf_virtual, 0, 27},	//1799 QSslSocket::close()
    {69, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 28},	//1800 QSslSocket::atEnd() const
    {69, 617, 0, 0, 0, 341, 29},	//1801 QSslSocket::flush()
    {69, 442, 0, 0, 0, 0, 30},	//1802 QSslSocket::abort()
    {69, 1298, 33, 1, 0, 0, 31},	//1803 QSslSocket::setReadBufferSize(long long)
    {69, 597, 0, 0, Smoke::mf_const, 431, 32},	//1804 QSslSocket::encryptedBytesAvailable() const
    {69, 598, 0, 0, Smoke::mf_const, 431, 33},	//1805 QSslSocket::encryptedBytesToWrite() const
    {69, 1368, 0, 0, Smoke::mf_const, 202, 34},	//1806 QSslSocket::sslConfiguration() const
    {69, 1332, 1280, 1, 0, 0, 35},	//1807 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {69, 1218, 1319, 1, 0, 0, 36},	//1808 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {69, 1218, 1329, 2, 0, 0, 37},	//1809 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {69, 725, 0, 0, Smoke::mf_const, 195, 38},	//1810 QSslSocket::localCertificate() const
    {69, 850, 0, 0, Smoke::mf_const, 195, 39},	//1811 QSslSocket::peerCertificate() const
    {69, 851, 0, 0, Smoke::mf_const, 118, 40},	//1812 QSslSocket::peerCertificateChain() const
    {69, 1130, 0, 0, Smoke::mf_const, 199, 41},	//1813 QSslSocket::sessionCipher() const
    {69, 1275, 1341, 1, 0, 0, 42},	//1814 QSslSocket::setPrivateKey(const QSslKey&)
    {69, 1275, 1400, 4, 0, 0, 43},	//1815 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {69, 874, 0, 0, Smoke::mf_const, 209, 44},	//1816 QSslSocket::privateKey() const
    {69, 514, 0, 0, Smoke::mf_const, 119, 45},	//1817 QSslSocket::ciphers() const
    {69, 1164, 1343, 1, 0, 0, 46},	//1818 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {69, 1164, 69, 1, 0, 0, 47},	//1819 QSslSocket::setCiphers(const QString&)
    {69, 1179, 1343, 1, Smoke::mf_static, 0, 48},	//1820 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {69, 577, 0, 0, Smoke::mf_static, 119, 49},	//1821 QSslSocket::defaultCiphers()
    {69, 1384, 0, 0, Smoke::mf_static, 119, 50},	//1822 QSslSocket::supportedCiphers()
    {69, 450, 1325, 3, 0, 341, 51},	//1823 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 448, 1319, 1, 0, 0, 52},	//1824 QSslSocket::addCaCertificate(const QSslCertificate&)
    {69, 450, 1345, 1, 0, 0, 53},	//1825 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {69, 1156, 1345, 1, 0, 0, 54},	//1826 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {69, 503, 0, 0, Smoke::mf_const, 118, 55},	//1827 QSslSocket::caCertificates() const
    {69, 457, 1325, 3, Smoke::mf_static, 341, 56},	//1828 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 455, 1319, 1, Smoke::mf_static, 0, 57},	//1829 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {69, 457, 1345, 1, Smoke::mf_static, 0, 58},	//1830 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 1177, 1345, 1, Smoke::mf_static, 0, 59},	//1831 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 576, 0, 0, Smoke::mf_static, 118, 60},	//1832 QSslSocket::defaultCaCertificates()
    {69, 1386, 0, 0, Smoke::mf_static, 118, 61},	//1833 QSslSocket::systemCaCertificates()
    {69, 1425, 44, 1, 0, 341, 62},	//1834 QSslSocket::waitForConnected(int)
    {69, 1429, 44, 1, 0, 341, 63},	//1835 QSslSocket::waitForEncrypted(int)
    {69, 1436, 44, 1, Smoke::mf_virtual, 341, 64},	//1836 QSslSocket::waitForReadyRead(int)
    {69, 1423, 44, 1, Smoke::mf_virtual, 341, 65},	//1837 QSslSocket::waitForBytesWritten(int)
    {69, 1427, 44, 1, 0, 341, 66},	//1838 QSslSocket::waitForDisconnected(int)
    {69, 1369, 0, 0, Smoke::mf_const, 120, 67},	//1839 QSslSocket::sslErrors() const
    {69, 1385, 0, 0, Smoke::mf_static, 341, 68},	//1840 QSslSocket::supportsSsl()
    {69, 661, 1065, 1, 0, 0, 69},	//1841 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {69, 1372, 0, 0, Smoke::mf_slot, 0, 70},	//1842 QSslSocket::startClientEncryption()
    {69, 1373, 0, 0, Smoke::mf_slot, 0, 71},	//1843 QSslSocket::startServerEncryption()
    {69, 661, 0, 0, Smoke::mf_slot, 0, 72},	//1844 QSslSocket::ignoreSslErrors()
    {69, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1845 QSslSocket::encrypted()
    {69, 856, 1357, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1846 QSslSocket::peerVerifyError(const QSslError&)
    {69, 1369, 1065, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1847 QSslSocket::sslErrors(const QList<QSslError>&)
    {69, 749, 1405, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1848 QSslSocket::modeChanged(QSslSocket::SslMode)
    {69, 599, 1407, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1849 QSslSocket::encryptedBytesWritten(qint64)
    {69, 546, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1850 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {69, 585, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1851 QSslSocket::disconnectFromHostImplementation()
    {69, 1082, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 80},	//1852 QSslSocket::readData(char*, long long)
    {69, 1438, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 431, 81},	//1853 QSslSocket::writeData(const char*, long long)
    {69, 1401, 1, 1, Smoke::mf_static, 215, 82},	//1854 QSslSocket::tr(const char*)
    {69, 1405, 1, 1, Smoke::mf_static, 215, 83},	//1855 QSslSocket::trUtf8(const char*)
    {69, 318, 0, 0, Smoke::mf_ctor, 212, 84},	//1856 QSslSocket::QSslSocket()
    {69, 542, 71, 2, 0, 0, 85},	//1857 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {69, 542, 1409, 3, 0, 0, 86},	//1858 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {69, 1319, 44, 1, 0, 341, 87},	//1859 QSslSocket::setSocketDescriptor(int)
    {69, 1319, 77, 2, 0, 341, 88},	//1860 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {69, 1218, 69, 1, 0, 0, 89},	//1861 QSslSocket::setLocalCertificate(const QString&)
    {69, 1275, 69, 1, 0, 0, 90},	//1862 QSslSocket::setPrivateKey(const QString&)
    {69, 1275, 1413, 2, 0, 0, 91},	//1863 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {69, 1275, 1416, 3, 0, 0, 92},	//1864 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {69, 450, 69, 1, 0, 341, 93},	//1865 QSslSocket::addCaCertificates(const QString&)
    {69, 450, 1329, 2, 0, 341, 94},	//1866 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 457, 69, 1, Smoke::mf_static, 341, 95},	//1867 QSslSocket::addDefaultCaCertificates(const QString&)
    {69, 457, 1329, 2, Smoke::mf_static, 341, 96},	//1868 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 1425, 0, 0, 0, 341, 97},	//1869 QSslSocket::waitForConnected()
    {69, 1429, 0, 0, 0, 341, 98},	//1870 QSslSocket::waitForEncrypted()
    {69, 1436, 0, 0, 0, 341, 99},	//1871 QSslSocket::waitForReadyRead()
    {69, 1423, 0, 0, 0, 341, 100},	//1872 QSslSocket::waitForBytesWritten()
    {69, 1427, 0, 0, 0, 341, 101},	//1873 QSslSocket::waitForDisconnected()
    {69, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 102},	//1874 QSslSocket::staticMetaObject() const
    {69, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 103},	//1875 QSslSocket::UnencryptedMode (enum)
    {69, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 104},	//1876 QSslSocket::SslClientMode (enum)
    {69, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 105},	//1877 QSslSocket::SslServerMode (enum)
    {69, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 106},	//1878 QSslSocket::VerifyNone (enum)
    {69, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 107},	//1879 QSslSocket::QueryPeer (enum)
    {69, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 108},	//1880 QSslSocket::VerifyPeer (enum)
    {69, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 109},	//1881 QSslSocket::AutoVerifyPeer (enum)
    {69, 1478, 0, 0, Smoke::mf_dtor, 0, 110 },	//1882 QSslSocket::~QSslSocket()
    {72, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1883 QTcpServer::metaObject() const
    {72, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1884 QTcpServer::qt_metacast(const char*)
    {72, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1885 QTcpServer::tr(const char*, const char*)
    {72, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1886 QTcpServer::trUtf8(const char*, const char*)
    {72, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1887 QTcpServer::tr(const char*, const char*, int)
    {72, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1888 QTcpServer::trUtf8(const char*, const char*, int)
    {72, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1889 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {72, 320, 20, 1, Smoke::mf_ctor, 222, 8},	//1890 QTcpServer::QTcpServer(QObject*)
    {72, 720, 74, 2, 0, 341, 9},	//1891 QTcpServer::listen(const QHostAddress&, unsigned short)
    {72, 518, 0, 0, 0, 0, 10},	//1892 QTcpServer::close()
    {72, 685, 0, 0, Smoke::mf_const, 341, 11},	//1893 QTcpServer::isListening() const
    {72, 1226, 44, 1, 0, 0, 12},	//1894 QTcpServer::setMaxPendingConnections(int)
    {72, 737, 0, 0, Smoke::mf_const, 426, 13},	//1895 QTcpServer::maxPendingConnections() const
    {72, 1129, 0, 0, Smoke::mf_const, 443, 14},	//1896 QTcpServer::serverPort() const
    {72, 1126, 0, 0, Smoke::mf_const, 75, 15},	//1897 QTcpServer::serverAddress() const
    {72, 1364, 0, 0, Smoke::mf_const, 426, 16},	//1898 QTcpServer::socketDescriptor() const
    {72, 1319, 44, 1, 0, 341, 17},	//1899 QTcpServer::setSocketDescriptor(int)
    {72, 1431, 1119, 2, 0, 341, 18},	//1900 QTcpServer::waitForNewConnection(int, bool*)
    {72, 646, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 341, 19},	//1901 QTcpServer::hasPendingConnections() const
    {72, 761, 0, 0, Smoke::mf_virtual, 223, 20},	//1902 QTcpServer::nextPendingConnection()
    {72, 1127, 0, 0, Smoke::mf_const, 5, 21},	//1903 QTcpServer::serverError() const
    {72, 606, 0, 0, Smoke::mf_const, 215, 22},	//1904 QTcpServer::errorString() const
    {72, 1285, 46, 1, 0, 0, 23},	//1905 QTcpServer::setProxy(const QNetworkProxy&)
    {72, 878, 0, 0, Smoke::mf_const, 156, 24},	//1906 QTcpServer::proxy() const
    {72, 663, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1907 QTcpServer::incomingConnection(int)
    {72, 462, 1033, 1, Smoke::mf_protected, 0, 26},	//1908 QTcpServer::addPendingConnection(QTcpSocket*)
    {72, 760, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1909 QTcpServer::newConnection()
    {72, 1401, 1, 1, Smoke::mf_static, 215, 28},	//1910 QTcpServer::tr(const char*)
    {72, 1405, 1, 1, Smoke::mf_static, 215, 29},	//1911 QTcpServer::trUtf8(const char*)
    {72, 320, 0, 0, Smoke::mf_ctor, 222, 30},	//1912 QTcpServer::QTcpServer()
    {72, 720, 0, 0, 0, 341, 31},	//1913 QTcpServer::listen()
    {72, 720, 67, 1, 0, 341, 32},	//1914 QTcpServer::listen(const QHostAddress&)
    {72, 1431, 0, 0, 0, 341, 33},	//1915 QTcpServer::waitForNewConnection()
    {72, 1431, 44, 1, 0, 341, 34},	//1916 QTcpServer::waitForNewConnection(int)
    {72, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 35},	//1917 QTcpServer::staticMetaObject() const
    {72, 1479, 0, 0, Smoke::mf_dtor, 0, 36 },	//1918 QTcpServer::~QTcpServer()
    {73, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1919 QTcpSocket::metaObject() const
    {73, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1920 QTcpSocket::qt_metacast(const char*)
    {73, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1921 QTcpSocket::tr(const char*, const char*)
    {73, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1922 QTcpSocket::trUtf8(const char*, const char*)
    {73, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1923 QTcpSocket::tr(const char*, const char*, int)
    {73, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1924 QTcpSocket::trUtf8(const char*, const char*, int)
    {73, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1925 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 322, 20, 1, Smoke::mf_ctor, 223, 8},	//1926 QTcpSocket::QTcpSocket(QObject*)
    {73, 1401, 1, 1, Smoke::mf_static, 215, 9},	//1927 QTcpSocket::tr(const char*)
    {73, 1405, 1, 1, Smoke::mf_static, 215, 10},	//1928 QTcpSocket::trUtf8(const char*)
    {73, 322, 0, 0, Smoke::mf_ctor, 223, 11},	//1929 QTcpSocket::QTcpSocket()
    {73, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 12},	//1930 QTcpSocket::staticMetaObject() const
    {73, 1480, 0, 0, Smoke::mf_dtor, 0, 13 },	//1931 QTcpSocket::~QTcpSocket()
    {78, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 1},	//1932 QUdpSocket::metaObject() const
    {78, 1055, 1, 1, Smoke::mf_virtual, 448, 2},	//1933 QUdpSocket::qt_metacast(const char*)
    {78, 1401, 3, 2, Smoke::mf_static, 215, 3},	//1934 QUdpSocket::tr(const char*, const char*)
    {78, 1405, 3, 2, Smoke::mf_static, 215, 4},	//1935 QUdpSocket::trUtf8(const char*, const char*)
    {78, 1401, 6, 3, Smoke::mf_static, 215, 5},	//1936 QUdpSocket::tr(const char*, const char*, int)
    {78, 1405, 6, 3, Smoke::mf_static, 215, 6},	//1937 QUdpSocket::trUtf8(const char*, const char*, int)
    {78, 1053, 10, 3, Smoke::mf_virtual, 426, 7},	//1938 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {78, 324, 20, 1, Smoke::mf_ctor, 231, 8},	//1939 QUdpSocket::QUdpSocket(QObject*)
    {78, 492, 74, 2, 0, 341, 9},	//1940 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {78, 492, 65, 1, 0, 341, 10},	//1941 QUdpSocket::bind(unsigned short)
    {78, 492, 1420, 3, 0, 341, 11},	//1942 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 492, 1424, 2, 0, 341, 12},	//1943 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 702, 67, 1, 0, 341, 13},	//1944 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {78, 702, 1427, 2, 0, 341, 14},	//1945 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 710, 67, 1, 0, 341, 15},	//1946 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {78, 710, 1427, 2, 0, 341, 16},	//1947 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 751, 0, 0, Smoke::mf_const, 152, 17},	//1948 QUdpSocket::multicastInterface() const
    {78, 1230, 1197, 1, 0, 0, 18},	//1949 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {78, 647, 0, 0, Smoke::mf_const, 341, 19},	//1950 QUdpSocket::hasPendingDatagrams() const
    {78, 860, 0, 0, Smoke::mf_const, 431, 20},	//1951 QUdpSocket::pendingDatagramSize() const
    {78, 1084, 1430, 4, 0, 431, 21},	//1952 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {78, 1440, 1435, 4, 0, 431, 22},	//1953 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {78, 1440, 1440, 3, 0, 431, 23},	//1954 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {78, 1401, 1, 1, Smoke::mf_static, 215, 24},	//1955 QUdpSocket::tr(const char*)
    {78, 1405, 1, 1, Smoke::mf_static, 215, 25},	//1956 QUdpSocket::trUtf8(const char*)
    {78, 324, 0, 0, Smoke::mf_ctor, 231, 26},	//1957 QUdpSocket::QUdpSocket()
    {78, 492, 0, 0, 0, 341, 27},	//1958 QUdpSocket::bind()
    {78, 1084, 59, 2, 0, 431, 28},	//1959 QUdpSocket::readDatagram(char*, long long)
    {78, 1084, 1444, 3, 0, 431, 29},	//1960 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {78, 1377, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 375, 30},	//1961 QUdpSocket::staticMetaObject() const
    {78, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 31},	//1962 QUdpSocket::DefaultForPlatform (enum)
    {78, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 32},	//1963 QUdpSocket::ShareAddress (enum)
    {78, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 33},	//1964 QUdpSocket::DontShareAddress (enum)
    {78, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 34},	//1965 QUdpSocket::ReuseAddressHint (enum)
    {78, 1481, 0, 0, Smoke::mf_dtor, 0, 35 },	//1966 QUdpSocket::~QUdpSocket()
    {80, 326, 0, 0, Smoke::mf_ctor, 238, 1},	//1967 QUrlInfo::QUrlInfo()
    {80, 326, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 2},	//1968 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {80, 326, 1448, 13, Smoke::mf_ctor, 238, 3},	//1969 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 326, 1462, 13, Smoke::mf_ctor, 238, 4},	//1970 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 803, 105, 1, 0, 237, 5},	//1971 QUrlInfo::operator=(const QUrlInfo&)
    {80, 1232, 69, 1, Smoke::mf_virtual, 0, 6},	//1972 QUrlInfo::setName(const QString&)
    {80, 1183, 116, 1, Smoke::mf_virtual, 0, 7},	//1973 QUrlInfo::setDir(bool)
    {80, 1194, 116, 1, Smoke::mf_virtual, 0, 8},	//1974 QUrlInfo::setFile(bool)
    {80, 1341, 116, 1, Smoke::mf_virtual, 0, 9},	//1975 QUrlInfo::setSymLink(bool)
    {80, 1247, 69, 1, Smoke::mf_virtual, 0, 10},	//1976 QUrlInfo::setOwner(const QString&)
    {80, 1198, 69, 1, Smoke::mf_virtual, 0, 11},	//1977 QUrlInfo::setGroup(const QString&)
    {80, 1315, 33, 1, Smoke::mf_virtual, 0, 12},	//1978 QUrlInfo::setSize(long long)
    {80, 1361, 116, 1, Smoke::mf_virtual, 0, 13},	//1979 QUrlInfo::setWritable(bool)
    {80, 1300, 116, 1, Smoke::mf_virtual, 0, 14},	//1980 QUrlInfo::setReadable(bool)
    {80, 1267, 44, 1, Smoke::mf_virtual, 0, 15},	//1981 QUrlInfo::setPermissions(int)
    {80, 1212, 1182, 1, Smoke::mf_virtual, 0, 16},	//1982 QUrlInfo::setLastModified(const QDateTime&)
    {80, 1214, 1182, 1, 0, 0, 17},	//1983 QUrlInfo::setLastRead(const QDateTime&)
    {80, 697, 0, 0, Smoke::mf_const, 341, 18},	//1984 QUrlInfo::isValid() const
    {80, 752, 0, 0, Smoke::mf_const, 215, 19},	//1985 QUrlInfo::name() const
    {80, 861, 0, 0, Smoke::mf_const, 426, 20},	//1986 QUrlInfo::permissions() const
    {80, 838, 0, 0, Smoke::mf_const, 215, 21},	//1987 QUrlInfo::owner() const
    {80, 638, 0, 0, Smoke::mf_const, 215, 22},	//1988 QUrlInfo::group() const
    {80, 1363, 0, 0, Smoke::mf_const, 431, 23},	//1989 QUrlInfo::size() const
    {80, 707, 0, 0, Smoke::mf_const, 22, 24},	//1990 QUrlInfo::lastModified() const
    {80, 708, 0, 0, Smoke::mf_const, 22, 25},	//1991 QUrlInfo::lastRead() const
    {80, 676, 0, 0, Smoke::mf_const, 341, 26},	//1992 QUrlInfo::isDir() const
    {80, 679, 0, 0, Smoke::mf_const, 341, 27},	//1993 QUrlInfo::isFile() const
    {80, 695, 0, 0, Smoke::mf_const, 341, 28},	//1994 QUrlInfo::isSymLink() const
    {80, 698, 0, 0, Smoke::mf_const, 341, 29},	//1995 QUrlInfo::isWritable() const
    {80, 689, 0, 0, Smoke::mf_const, 341, 30},	//1996 QUrlInfo::isReadable() const
    {80, 678, 0, 0, Smoke::mf_const, 341, 31},	//1997 QUrlInfo::isExecutable() const
    {80, 636, 1476, 3, Smoke::mf_static, 341, 32},	//1998 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 714, 1476, 3, Smoke::mf_static, 341, 33},	//1999 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 602, 1476, 3, Smoke::mf_static, 341, 34},	//2000 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {80, 806, 105, 1, Smoke::mf_const, 341, 35},	//2001 QUrlInfo::operator==(const QUrlInfo&) const
    {80, 767, 105, 1, Smoke::mf_const, 341, 36},	//2002 QUrlInfo::operator!=(const QUrlInfo&) const
    {80, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 37},	//2003 QUrlInfo::ReadOwner (enum)
    {80, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 38},	//2004 QUrlInfo::WriteOwner (enum)
    {80, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 39},	//2005 QUrlInfo::ExeOwner (enum)
    {80, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 40},	//2006 QUrlInfo::ReadGroup (enum)
    {80, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 41},	//2007 QUrlInfo::WriteGroup (enum)
    {80, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 42},	//2008 QUrlInfo::ExeGroup (enum)
    {80, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 43},	//2009 QUrlInfo::ReadOther (enum)
    {80, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 44},	//2010 QUrlInfo::WriteOther (enum)
    {80, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 45},	//2011 QUrlInfo::ExeOther (enum)
    {80, 1482, 0, 0, Smoke::mf_dtor, 0, 46 },	//2012 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1488,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1489,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1093,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1094,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1095,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1096,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1097,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1098,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    1764,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1767,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1765,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1768,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1766,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1769,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1750,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1751,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1234,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1256,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    1378,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1399,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1375,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1407,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1405,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1408,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1381,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1406,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1400,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1403,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1377,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1401,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    714,  // QHostAddress::QHostAddress(const QIPv6Address&)
    715,  // QHostAddress::QHostAddress(const sockaddr*)
    717,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    712,  // QHostAddress::QHostAddress(unsigned int)
    713,  // QHostAddress::QHostAddress(unsigned char*)
    716,  // QHostAddress::QHostAddress(const QString&)
    718,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    723,  // QHostAddress::setAddress(const QIPv6Address&)
    724,  // QHostAddress::setAddress(const sockaddr*)
    0,
    721,  // QHostAddress::setAddress(unsigned int)
    722,  // QHostAddress::setAddress(unsigned char*)
    725,  // QHostAddress::setAddress(const QString&)
    0,
    1629,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1653,  // QSslCertificate::QSslCertificate(QIODevice*)
    1655,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1627,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1628,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    825,  // QHttp::QHttp(const QString&, unsigned short)
    826,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    834,  // QHttp::post(const QString&, QIODevice*)
    835,  // QHttp::post(const QString&, const QByteArray&)
    0,
    788,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    789,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    837,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    838,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    791,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    792,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    781,  // QHttp::setHost(const QString&, unsigned short)
    829,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    940,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    950,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    281,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    324,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    333,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    385,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    408,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    425,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    463,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    468,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    505,  // QGlobalSpace::operator!=(QChar, QChar)
    530,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    583,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    598,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    625,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    628,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    661,  // QGlobalSpace::operator!=(QBool, QBool)
    675,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    269,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    288,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    302,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    515,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    624,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    380,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    440,  // QGlobalSpace::operator!=(bool, QBool)
    466,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    512,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    612,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    633,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    537,  // QGlobalSpace::operator*(const QSize&, double)
    601,  // QGlobalSpace::operator*(const QPoint&, int)
    613,  // QGlobalSpace::operator*(const QPoint&, double)
    618,  // QGlobalSpace::operator*(const QSizeF&, double)
    620,  // QGlobalSpace::operator*(const QPoint&, float)
    630,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    278,  // QGlobalSpace::operator*(double, const QSizeF&)
    421,  // QGlobalSpace::operator*(int, const QPoint&)
    456,  // QGlobalSpace::operator*(float, const QPoint&)
    533,  // QGlobalSpace::operator*(double, const QPointF&)
    541,  // QGlobalSpace::operator*(double, const QPoint&)
    621,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    294,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    311,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    316,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    395,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    432,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    335,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    343,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    374,  // QGlobalSpace::operator+(QChar, const QString&)
    472,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    245,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    297,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    332,  // QGlobalSpace::operator+(const QString&, QChar)
    522,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    338,  // QGlobalSpace::operator+(const QString&, const char*)
    384,  // QGlobalSpace::operator+(const QString&, char)
    428,  // QGlobalSpace::operator+(char, const QString&)
    527,  // QGlobalSpace::operator+(const char*, const QString&)
    660,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    398,  // QGlobalSpace::operator-(const QPoint&)
    450,  // QGlobalSpace::operator-(const QPointF&)
    0,
    282,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    298,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    386,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    525,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    293,  // QGlobalSpace::operator/(const QPoint&, double)
    439,  // QGlobalSpace::operator/(const QPointF&, double)
    476,  // QGlobalSpace::operator/(const QSizeF&, double)
    604,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    267,  // QGlobalSpace::operator<(QChar, QChar)
    318,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    389,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    622,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    271,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    469,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    242,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    266,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    270,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    283,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    290,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    299,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    304,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    305,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    329,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    356,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    357,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    400,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    406,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    436,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    447,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    454,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    460,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    478,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    486,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    490,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    495,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    496,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    498,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    499,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    502,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    503,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    519,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    524,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    526,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    538,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    565,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    577,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    581,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    590,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    592,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    595,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    623,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    627,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    638,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    645,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    651,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    656,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    673,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    677,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    241,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    286,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    306,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    334,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    407,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    417,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    435,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    467,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    531,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    575,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    355,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    370,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    485,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    596,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    483,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    518,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    244,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    249,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    261,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    262,  // QGlobalSpace::operator==(QChar, QChar)
    349,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    364,  // QGlobalSpace::operator==(QBool, QBool)
    387,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    397,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    404,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    431,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    441,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    470,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    479,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    536,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    553,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    586,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    607,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    243,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    430,  // QGlobalSpace::operator==(QString::Null, const QString&)
    617,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    619,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    650,  // QGlobalSpace::operator==(QBool, bool)
    0,
    240,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    257,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    365,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    451,  // QGlobalSpace::operator==(bool, QBool)
    494,  // QGlobalSpace::operator==(const QString&, QString::Null)
    509,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    523,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    276,  // QGlobalSpace::operator>(QChar, QChar)
    339,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    352,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    422,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    258,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    323,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    232,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    268,  // QGlobalSpace::operator>=(QChar, QChar)
    477,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    562,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    458,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    669,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    251,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    377,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    442,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    446,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    448,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    475,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    521,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    529,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    534,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    587,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    600,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    609,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    626,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    653,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    676,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    487,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    602,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    234,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    236,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    246,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    256,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    263,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    272,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    275,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    277,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    280,  // QGlobalSpace::operator|(QDir::Filter, int)
    284,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    285,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    289,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    291,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    292,  // QGlobalSpace::operator|(QFile::Permission, int)
    295,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    303,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    307,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    309,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    310,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    312,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    313,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    317,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    322,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    326,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    327,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    337,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    340,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    341,  // QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    345,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    350,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    366,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    372,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    375,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    376,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    382,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    383,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    388,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    390,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    392,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    396,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    399,  // QGlobalSpace::operator|(Qt::DropAction, int)
    401,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    411,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    414,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    418,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    426,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    438,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    444,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    449,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    453,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    459,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    461,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    462,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    465,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    473,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    474,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    492,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    500,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    506,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    520,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    528,  // QGlobalSpace::operator|(Qt::WindowState, int)
    532,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    535,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    539,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    546,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    548,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    549,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    550,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    554,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    559,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    560,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    561,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    563,  // QGlobalSpace::operator|(QSsl::SslOption, int)
    566,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    567,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    571,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    572,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    573,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    574,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    576,  // QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    582,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    585,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    591,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    597,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    599,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    610,  // QGlobalSpace::operator|(Qt::Orientation, int)
    614,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    615,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    629,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    632,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    637,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    639,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    640,  // QGlobalSpace::operator|(Qt::WindowType, int)
    642,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    646,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    647,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    657,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    659,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    662,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    664,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    668,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    674,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    552,  // QGlobalSpace::qFuzzyCompare(float, float)
    611,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    391,  // QGlobalSpace::qFuzzyIsNull(float)
    568,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    264,  // QGlobalSpace::qHash(const QUrl&)
    265,  // QGlobalSpace::qHash(const QByteArray&)
    346,  // QGlobalSpace::qHash(QChar)
    361,  // QGlobalSpace::qHash(const QModelIndex&)
    368,  // QGlobalSpace::qHash(const QHostAddress&)
    433,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    501,  // QGlobalSpace::qHash(const QBitArray&)
    666,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    233,  // QGlobalSpace::qHash(unsigned long long)
    255,  // QGlobalSpace::qHash(signed char)
    287,  // QGlobalSpace::qHash(char)
    344,  // QGlobalSpace::qHash(unsigned int)
    354,  // QGlobalSpace::qHash(const QString&)
    379,  // QGlobalSpace::qHash(long long)
    394,  // QGlobalSpace::qHash(int)
    420,  // QGlobalSpace::qHash(long)
    423,  // QGlobalSpace::qHash(unsigned short)
    545,  // QGlobalSpace::qHash(short)
    654,  // QGlobalSpace::qHash(unsigned long)
    671,  // QGlobalSpace::qHash(unsigned char)
    0,
    259,  // QGlobalSpace::qIntCast(double)
    348,  // QGlobalSpace::qIntCast(float)
    0,
    300,  // QGlobalSpace::qIsFinite(double)
    331,  // QGlobalSpace::qIsFinite(float)
    0,
    235,  // QGlobalSpace::qIsInf(double)
    253,  // QGlobalSpace::qIsInf(float)
    0,
    369,  // QGlobalSpace::qIsNaN(float)
    373,  // QGlobalSpace::qIsNaN(double)
    0,
    605,  // QGlobalSpace::qIsNull(float)
    667,  // QGlobalSpace::qIsNull(double)
    0,
    978,  // QIPv6Address::operator[](int)
    979,  // QIPv6Address::operator[](int) const
    0,
    1781,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1858,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 205, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 206, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 506, 12},	// QAbstractNetworkCache::cacheSize
    {1, 515, 15},	// QAbstractNetworkCache::clear
    {1, 569, 10},	// QAbstractNetworkCache::data#
    {1, 668, 14},	// QAbstractNetworkCache::insert#
    {1, 740, 8},	// QAbstractNetworkCache::metaData#
    {1, 742, 1},	// QAbstractNetworkCache::metaObject
    {1, 872, 13},	// QAbstractNetworkCache::prepare#
    {1, 1054, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1056, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1096, 11},	// QAbstractNetworkCache::remove#
    {1, 1377, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1402, 17},	// QAbstractNetworkCache::tr$
    {1, 1403, 3},	// QAbstractNetworkCache::tr$$
    {1, 1404, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1406, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1407, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1408, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1413, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1443, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 29, 122},	// QAbstractSocket::BoundState
    {2, 47, 124},	// QAbstractSocket::ClosingState
    {2, 51, 121},	// QAbstractSocket::ConnectedState
    {2, 53, 120},	// QAbstractSocket::ConnectingState
    {2, 59, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 74, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 101, 119},	// QAbstractSocket::HostLookupState
    {2, 105, 100},	// QAbstractSocket::HostNotFoundError
    {2, 112, 95},	// QAbstractSocket::IPv4Protocol
    {2, 113, 96},	// QAbstractSocket::IPv6Protocol
    {2, 126, 126},	// QAbstractSocket::KeepAliveOption
    {2, 149, 123},	// QAbstractSocket::ListeningState
    {2, 156, 125},	// QAbstractSocket::LowDelayOption
    {2, 162, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 163, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 165, 105},	// QAbstractSocket::NetworkError
    {2, 194, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 195, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 196, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 197, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 198, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 199, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 208, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 345, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 365, 101},	// QAbstractSocket::SocketAccessError
    {2, 366, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 367, 102},	// QAbstractSocket::SocketResourceError
    {2, 368, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 372, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 386, 92},	// QAbstractSocket::TcpSocket
    {2, 394, 93},	// QAbstractSocket::UdpSocket
    {2, 403, 118},	// QAbstractSocket::UnconnectedState
    {2, 407, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 412, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 418, 117},	// QAbstractSocket::UnknownSocketError
    {2, 419, 94},	// QAbstractSocket::UnknownSocketType
    {2, 421, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 442, 44},	// QAbstractSocket::abort
    {2, 480, 54},	// QAbstractSocket::atEnd
    {2, 499, 34},	// QAbstractSocket::bytesAvailable
    {2, 501, 35},	// QAbstractSocket::bytesToWrite
    {2, 507, 36},	// QAbstractSocket::canReadLine
    {2, 518, 52},	// QAbstractSocket::close
    {2, 537, 83},	// QAbstractSocket::connectToHost#$
    {2, 538, 31},	// QAbstractSocket::connectToHost#$$
    {2, 540, 82},	// QAbstractSocket::connectToHost$$
    {2, 541, 30},	// QAbstractSocket::connectToHost$$$
    {2, 547, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 548, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 552, 63},	// QAbstractSocket::connected
    {2, 584, 32},	// QAbstractSocket::disconnectFromHost
    {2, 585, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 589, 64},	// QAbstractSocket::disconnected
    {2, 604, 51},	// QAbstractSocket::error
    {2, 605, 66},	// QAbstractSocket::error$
    {2, 617, 55},	// QAbstractSocket::flush
    {2, 656, 62},	// QAbstractSocket::hostFound
    {2, 693, 53},	// QAbstractSocket::isSequential
    {2, 697, 33},	// QAbstractSocket::isValid
    {2, 724, 38},	// QAbstractSocket::localAddress
    {2, 728, 37},	// QAbstractSocket::localPort
    {2, 742, 22},	// QAbstractSocket::metaObject
    {2, 849, 40},	// QAbstractSocket::peerAddress
    {2, 853, 41},	// QAbstractSocket::peerName
    {2, 854, 39},	// QAbstractSocket::peerPort
    {2, 878, 61},	// QAbstractSocket::proxy
    {2, 880, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 1054, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1056, 23},	// QAbstractSocket::qt_metacast$
    {2, 1081, 42},	// QAbstractSocket::readBufferSize
    {2, 1083, 70},	// QAbstractSocket::readData$$
    {2, 1089, 71},	// QAbstractSocket::readLineData$$
    {2, 1217, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1223, 75},	// QAbstractSocket::setLocalPort$
    {2, 1254, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1258, 79},	// QAbstractSocket::setPeerName$
    {2, 1260, 77},	// QAbstractSocket::setPeerPort$
    {2, 1286, 60},	// QAbstractSocket::setProxy#
    {2, 1299, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1320, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1321, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1322, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1327, 74},	// QAbstractSocket::setSocketError$
    {2, 1329, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1331, 73},	// QAbstractSocket::setSocketState$
    {2, 1364, 45},	// QAbstractSocket::socketDescriptor
    {2, 1366, 48},	// QAbstractSocket::socketOption$
    {2, 1367, 49},	// QAbstractSocket::socketType
    {2, 1374, 50},	// QAbstractSocket::state
    {2, 1376, 65},	// QAbstractSocket::stateChanged$
    {2, 1377, 91},	// QAbstractSocket::staticMetaObject
    {2, 1402, 80},	// QAbstractSocket::tr$
    {2, 1403, 24},	// QAbstractSocket::tr$$
    {2, 1404, 26},	// QAbstractSocket::tr$$$
    {2, 1406, 81},	// QAbstractSocket::trUtf8$
    {2, 1407, 25},	// QAbstractSocket::trUtf8$$
    {2, 1408, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1423, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1424, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1425, 86},	// QAbstractSocket::waitForConnected
    {2, 1426, 56},	// QAbstractSocket::waitForConnected$
    {2, 1427, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1428, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1436, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1437, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1439, 72},	// QAbstractSocket::writeData$$
    {2, 1444, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 209, 130},	// QAuthenticator::QAuthenticator
    {3, 210, 131},	// QAuthenticator::QAuthenticator#
    {3, 581, 144},	// QAuthenticator::detach
    {3, 686, 143},	// QAuthenticator::isNull
    {3, 768, 134},	// QAuthenticator::operator!=#
    {3, 804, 132},	// QAuthenticator::operator=#
    {3, 807, 133},	// QAuthenticator::operator==#
    {3, 835, 140},	// QAuthenticator::option$
    {3, 836, 141},	// QAuthenticator::options
    {3, 847, 137},	// QAuthenticator::password
    {3, 1092, 139},	// QAuthenticator::realm
    {3, 1244, 142},	// QAuthenticator::setOption$#
    {3, 1250, 138},	// QAuthenticator::setPassword$
    {3, 1352, 136},	// QAuthenticator::setUser$
    {3, 1418, 135},	// QAuthenticator::user
    {3, 1445, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 13, 230},	// QFtp::Ascii
    {16, 28, 229},	// QFtp::Binary
    {16, 37, 219},	// QFtp::Cd
    {16, 45, 217},	// QFtp::Close
    {16, 46, 206},	// QFtp::Closing
    {16, 49, 215},	// QFtp::ConnectToHost
    {16, 50, 204},	// QFtp::Connected
    {16, 52, 203},	// QFtp::Connecting
    {16, 58, 210},	// QFtp::ConnectionRefused
    {16, 96, 220},	// QFtp::Get
    {16, 100, 202},	// QFtp::HostLookup
    {16, 104, 209},	// QFtp::HostNotFound
    {16, 147, 218},	// QFtp::List
    {16, 154, 205},	// QFtp::LoggedIn
    {16, 155, 216},	// QFtp::Login
    {16, 161, 223},	// QFtp::Mkdir
    {16, 167, 207},	// QFtp::NoError
    {16, 171, 212},	// QFtp::None
    {16, 175, 211},	// QFtp::NotConnected
    {16, 182, 228},	// QFtp::Passive
    {16, 203, 221},	// QFtp::Put
    {16, 211, 191},	// QFtp::QFtp
    {16, 212, 153},	// QFtp::QFtp#
    {16, 336, 226},	// QFtp::RawCommand
    {16, 346, 222},	// QFtp::Remove
    {16, 347, 225},	// QFtp::Rename
    {16, 349, 224},	// QFtp::Rmdir
    {16, 362, 214},	// QFtp::SetProxy
    {16, 363, 213},	// QFtp::SetTransferMode
    {16, 402, 201},	// QFtp::Unconnected
    {16, 410, 208},	// QFtp::UnknownError
    {16, 442, 180},	// QFtp::abort
    {16, 499, 169},	// QFtp::bytesAvailable
    {16, 510, 160},	// QFtp::cd$
    {16, 516, 176},	// QFtp::clearPendingCommands
    {16, 518, 157},	// QFtp::close
    {16, 522, 187},	// QFtp::commandFinished$$
    {16, 524, 186},	// QFtp::commandStarted$
    {16, 539, 192},	// QFtp::connectToHost$
    {16, 540, 155},	// QFtp::connectToHost$$
    {16, 561, 174},	// QFtp::currentCommand
    {16, 563, 173},	// QFtp::currentDevice
    {16, 564, 172},	// QFtp::currentId
    {16, 575, 184},	// QFtp::dataTransferProgress$$
    {16, 592, 188},	// QFtp::done$
    {16, 604, 178},	// QFtp::error
    {16, 606, 179},	// QFtp::errorString
    {16, 633, 196},	// QFtp::get$
    {16, 634, 197},	// QFtp::get$#
    {16, 635, 161},	// QFtp::get$#$
    {16, 645, 175},	// QFtp::hasPendingCommands
    {16, 716, 195},	// QFtp::list
    {16, 717, 159},	// QFtp::list$
    {16, 719, 182},	// QFtp::listInfo#
    {16, 729, 193},	// QFtp::login
    {16, 730, 194},	// QFtp::login$
    {16, 731, 156},	// QFtp::login$$
    {16, 742, 146},	// QFtp::metaObject
    {16, 747, 165},	// QFtp::mkdir$
    {16, 888, -12},	// QFtp::put#$
    {16, 889, -15},	// QFtp::put#$$
    {16, 1054, 152},	// QFtp::qt_metacall$$?
    {16, 1056, 147},	// QFtp::qt_metacast$
    {16, 1070, 168},	// QFtp::rawCommand$
    {16, 1072, 185},	// QFtp::rawCommandReply$$
    {16, 1079, 170},	// QFtp::read$$
    {16, 1080, 171},	// QFtp::readAll
    {16, 1090, 183},	// QFtp::readyRead
    {16, 1097, 164},	// QFtp::remove$
    {16, 1105, 167},	// QFtp::rename$$
    {16, 1118, 166},	// QFtp::rmdir$
    {16, 1287, 154},	// QFtp::setProxy$$
    {16, 1344, 158},	// QFtp::setTransferMode$
    {16, 1374, 177},	// QFtp::state
    {16, 1376, 181},	// QFtp::stateChanged$
    {16, 1377, 200},	// QFtp::staticMetaObject
    {16, 1402, 189},	// QFtp::tr$
    {16, 1403, 148},	// QFtp::tr$$
    {16, 1404, 150},	// QFtp::tr$$$
    {16, 1406, 190},	// QFtp::trUtf8$
    {16, 1407, 149},	// QFtp::trUtf8$$
    {16, 1408, 151},	// QFtp::trUtf8$$$
    {16, 1446, 231},	// QFtp::~QFtp
    {17, 128, 690},	// QGlobalSpace::LicensedActiveQt
    {17, 129, 696},	// QGlobalSpace::LicensedCore
    {17, 130, 688},	// QGlobalSpace::LicensedDBus
    {17, 131, 693},	// QGlobalSpace::LicensedDeclarative
    {17, 132, 683},	// QGlobalSpace::LicensedGui
    {17, 133, 702},	// QGlobalSpace::LicensedHelp
    {17, 134, 703},	// QGlobalSpace::LicensedMultimedia
    {17, 135, 706},	// QGlobalSpace::LicensedNetwork
    {17, 136, 695},	// QGlobalSpace::LicensedOpenGL
    {17, 137, 687},	// QGlobalSpace::LicensedOpenVG
    {17, 138, 704},	// QGlobalSpace::LicensedQt3Support
    {17, 139, 685},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 140, 686},	// QGlobalSpace::LicensedScript
    {17, 141, 691},	// QGlobalSpace::LicensedScriptTools
    {17, 142, 694},	// QGlobalSpace::LicensedSql
    {17, 143, 692},	// QGlobalSpace::LicensedSvg
    {17, 144, 689},	// QGlobalSpace::LicensedTest
    {17, 145, 684},	// QGlobalSpace::LicensedXml
    {17, 146, 705},	// QGlobalSpace::LicensedXmlPatterns
    {17, 330, 699},	// QGlobalSpace::QtCriticalMsg
    {17, 331, 697},	// QGlobalSpace::QtDebugMsg
    {17, 332, 700},	// QGlobalSpace::QtFatalMsg
    {17, 333, 701},	// QGlobalSpace::QtSystemMsg
    {17, 334, 698},	// QGlobalSpace::QtWarningMsg
    {17, 433, 678},	// QGlobalSpace::_IEEE_
    {17, 434, 682},	// QGlobalSpace::_ISOC_
    {17, 435, 681},	// QGlobalSpace::_POSIX_
    {17, 436, 679},	// QGlobalSpace::_SVID_
    {17, 437, 680},	// QGlobalSpace::_XOPEN_
    {17, 438, 709},	// QGlobalSpace::__codecvt_error
    {17, 439, 710},	// QGlobalSpace::__codecvt_noconv
    {17, 440, 707},	// QGlobalSpace::__codecvt_ok
    {17, 441, 708},	// QGlobalSpace::__codecvt_partial
    {17, 769, -95},	// QGlobalSpace::operator!=##
    {17, 770, -112},	// QGlobalSpace::operator!=#$
    {17, 772, -118},	// QGlobalSpace::operator!=$#
    {17, 773, 367},	// QGlobalSpace::operator!=$$
    {17, 775, 457},	// QGlobalSpace::operator&##
    {17, 777, -125},	// QGlobalSpace::operator*#$
    {17, 778, -132},	// QGlobalSpace::operator*$#
    {17, 780, -139},	// QGlobalSpace::operator+##
    {17, 781, -145},	// QGlobalSpace::operator+#$
    {17, 782, -150},	// QGlobalSpace::operator+$#
    {17, 783, -155},	// QGlobalSpace::operator+$$
    {17, 785, -161},	// QGlobalSpace::operator-#
    {17, 786, -164},	// QGlobalSpace::operator-##
    {17, 788, -169},	// QGlobalSpace::operator/#$
    {17, 790, -174},	// QGlobalSpace::operator<##
    {17, 791, 497},	// QGlobalSpace::operator<#$
    {17, 792, -179},	// QGlobalSpace::operator<$#
    {17, 793, 308},	// QGlobalSpace::operator<$$
    {17, 795, -182},	// QGlobalSpace::operator<<##
    {17, 796, -233},	// QGlobalSpace::operator<<#$
    {17, 797, 471},	// QGlobalSpace::operator<<#?
    {17, 799, -245},	// QGlobalSpace::operator<=##
    {17, 800, 347},	// QGlobalSpace::operator<=#$
    {17, 801, -250},	// QGlobalSpace::operator<=$#
    {17, 802, 511},	// QGlobalSpace::operator<=$$
    {17, 808, -253},	// QGlobalSpace::operator==##
    {17, 809, -271},	// QGlobalSpace::operator==#$
    {17, 811, -277},	// QGlobalSpace::operator==$#
    {17, 812, 658},	// QGlobalSpace::operator==$$
    {17, 814, -285},	// QGlobalSpace::operator>##
    {17, 815, 670},	// QGlobalSpace::operator>#$
    {17, 816, -290},	// QGlobalSpace::operator>$#
    {17, 817, 434},	// QGlobalSpace::operator>$$
    {17, 819, -293},	// QGlobalSpace::operator>=##
    {17, 820, 252},	// QGlobalSpace::operator>=#$
    {17, 821, -298},	// QGlobalSpace::operator>=$#
    {17, 822, 665},	// QGlobalSpace::operator>=$$
    {17, 824, -301},	// QGlobalSpace::operator>>##
    {17, 825, -325},	// QGlobalSpace::operator>>#$
    {17, 826, 415},	// QGlobalSpace::operator>>#?
    {17, 830, 351},	// QGlobalSpace::operator^##
    {17, 832, 588},	// QGlobalSpace::operator|##
    {17, 833, -328},	// QGlobalSpace::operator|$$
    {17, 891, 558},	// QGlobalSpace::qAcos$
    {17, 893, 480},	// QGlobalSpace::qAddPostRoutine$
    {17, 894, 488},	// QGlobalSpace::qAppName
    {17, 896, 580},	// QGlobalSpace::qAsin$
    {17, 898, 608},	// QGlobalSpace::qAtan$
    {17, 900, 250},	// QGlobalSpace::qAtan2$$
    {17, 901, 564},	// QGlobalSpace::qBadAlloc
    {17, 903, 504},	// QGlobalSpace::qCeil$
    {17, 905, 410},	// QGlobalSpace::qChecksum$$
    {17, 907, 570},	// QGlobalSpace::qCompress#
    {17, 908, 569},	// QGlobalSpace::qCompress#$
    {17, 909, 482},	// QGlobalSpace::qCompress$$
    {17, 910, 481},	// QGlobalSpace::qCompress$$$
    {17, 912, 274},	// QGlobalSpace::qCos$
    {17, 913, 464},	// QGlobalSpace::qCritical
    {17, 914, 513},	// QGlobalSpace::qDebug
    {17, 916, 403},	// QGlobalSpace::qExp$
    {17, 918, 547},	// QGlobalSpace::qFabs$
    {17, 920, 362},	// QGlobalSpace::qFastCos$
    {17, 922, 484},	// QGlobalSpace::qFastSin$
    {17, 924, 371},	// QGlobalSpace::qFlagLocation$
    {17, 926, 328},	// QGlobalSpace::qFloor$
    {17, 928, 491},	// QGlobalSpace::qFree$
    {17, 930, 493},	// QGlobalSpace::qFreeAligned$
    {17, 932, -431},	// QGlobalSpace::qFuzzyCompare$$
    {17, 934, -434},	// QGlobalSpace::qFuzzyIsNull$
    {17, 936, -437},	// QGlobalSpace::qHash#
    {17, 937, -446},	// QGlobalSpace::qHash$
    {17, 938, 635},	// QGlobalSpace::qInf
    {17, 940, 359},	// QGlobalSpace::qInstallMsgHandler$
    {17, 942, -459},	// QGlobalSpace::qIntCast$
    {17, 944, -462},	// QGlobalSpace::qIsFinite$
    {17, 946, -465},	// QGlobalSpace::qIsInf$
    {17, 948, -468},	// QGlobalSpace::qIsNaN$
    {17, 950, -471},	// QGlobalSpace::qIsNull$
    {17, 952, 405},	// QGlobalSpace::qLn$
    {17, 954, 412},	// QGlobalSpace::qMalloc$
    {17, 956, 514},	// QGlobalSpace::qMallocAligned$$
    {17, 958, 238},	// QGlobalSpace::qMemCopy$$$
    {17, 960, 542},	// QGlobalSpace::qMemSet$$$
    {17, 962, 517},	// QGlobalSpace::qPow$$
    {17, 963, 413},	// QGlobalSpace::qQNaN
    {17, 965, 353},	// QGlobalSpace::qRealloc$$
    {17, 967, 342},	// QGlobalSpace::qReallocAligned$$$$
    {17, 969, 409},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 971, 643},	// QGlobalSpace::qRemovePostRoutine$
    {17, 973, 634},	// QGlobalSpace::qRound$
    {17, 975, 358},	// QGlobalSpace::qRound64$
    {17, 976, 616},	// QGlobalSpace::qSNaN
    {17, 978, 325},	// QGlobalSpace::qSetFieldWidth$
    {17, 980, 260},	// QGlobalSpace::qSetPadChar#
    {17, 982, 402},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 983, 279},	// QGlobalSpace::qSharedBuild
    {17, 985, 584},	// QGlobalSpace::qSin$
    {17, 987, 360},	// QGlobalSpace::qSqrt$
    {17, 989, 507},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 990, 247},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 992, 321},	// QGlobalSpace::qTan$
    {17, 994, 445},	// QGlobalSpace::qUncompress#
    {17, 995, 319},	// QGlobalSpace::qUncompress$$
    {17, 996, 489},	// QGlobalSpace::qVersion
    {17, 997, 648},	// QGlobalSpace::qWarning
    {17, 999, 336},	// QGlobalSpace::qbswap_helper$$$
    {17, 1001, 301},	// QGlobalSpace::qecvt$$$$
    {17, 1003, 516},	// QGlobalSpace::qecvt_r$$$$$$
    {17, 1005, 381},	// QGlobalSpace::qfcvt$$$$
    {17, 1007, 555},	// QGlobalSpace::qfcvt_r$$$$$$
    {17, 1009, 556},	// QGlobalSpace::qgcvt$$$
    {17, 1011, 254},	// QGlobalSpace::qgetenv$
    {17, 1013, 416},	// QGlobalSpace::qputenv$#
    {17, 1014, 452},	// QGlobalSpace::qrand
    {17, 1016, 557},	// QGlobalSpace::qsort$$$$
    {17, 1018, 419},	// QGlobalSpace::qsrand$
    {17, 1020, 551},	// QGlobalSpace::qstrcmp##
    {17, 1021, 641},	// QGlobalSpace::qstrcmp#$
    {17, 1022, 248},	// QGlobalSpace::qstrcmp$#
    {17, 1023, 273},	// QGlobalSpace::qstrcmp$$
    {17, 1025, 393},	// QGlobalSpace::qstrcpy$$
    {17, 1027, 508},	// QGlobalSpace::qstrdup$
    {17, 1029, 631},	// QGlobalSpace::qstricmp$$
    {17, 1031, 649},	// QGlobalSpace::qstrlen$
    {17, 1033, 320},	// QGlobalSpace::qstrncmp$$$
    {17, 1035, 443},	// QGlobalSpace::qstrncpy$$$
    {17, 1037, 427},	// QGlobalSpace::qstrnicmp$$$
    {17, 1039, 237},	// QGlobalSpace::qstrnlen$$
    {17, 1041, 594},	// QGlobalSpace::qtTrId$
    {17, 1042, 593},	// QGlobalSpace::qtTrId$$
    {17, 1044, 378},	// QGlobalSpace::qt_assert$$$
    {17, 1046, 455},	// QGlobalSpace::qt_assert_x$$$$
    {17, 1048, 544},	// QGlobalSpace::qt_check_pointer$$
    {17, 1049, 315},	// QGlobalSpace::qt_error_string
    {17, 1050, 314},	// QGlobalSpace::qt_error_string$
    {17, 1052, 663},	// QGlobalSpace::qt_message_output$$
    {17, 1057, 239},	// QGlobalSpace::qt_noop
    {17, 1059, 437},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1061, 606},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1066, 603},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1068, 540},	// QGlobalSpace::qvsnprintf$$$?
    {19, 8, 745},	// QHostAddress::Any
    {19, 9, 746},	// QHostAddress::AnyIPv6
    {19, 30, 742},	// QHostAddress::Broadcast
    {19, 150, 743},	// QHostAddress::LocalHost
    {19, 151, 744},	// QHostAddress::LocalHostIPv6
    {19, 177, 741},	// QHostAddress::Null
    {19, 213, 711},	// QHostAddress::QHostAddress
    {19, 214, -51},	// QHostAddress::QHostAddress#
    {19, 215, -55},	// QHostAddress::QHostAddress$
    {19, 515, 737},	// QHostAddress::clear
    {19, 683, 738},	// QHostAddress::isInSubnet#$
    {19, 684, 739},	// QHostAddress::isInSubnet?
    {19, 686, 736},	// QHostAddress::isNull
    {19, 768, 734},	// QHostAddress::operator!=#
    {19, 771, 735},	// QHostAddress::operator!=$
    {19, 804, 719},	// QHostAddress::operator=#
    {19, 805, 720},	// QHostAddress::operator=$
    {19, 807, 732},	// QHostAddress::operator==#
    {19, 810, 733},	// QHostAddress::operator==$
    {19, 846, 740},	// QHostAddress::parseSubnet$
    {19, 875, 726},	// QHostAddress::protocol
    {19, 1120, 730},	// QHostAddress::scopeId
    {19, 1134, -60},	// QHostAddress::setAddress#
    {19, 1135, -63},	// QHostAddress::setAddress$
    {19, 1310, 731},	// QHostAddress::setScopeId$
    {19, 1394, 727},	// QHostAddress::toIPv4Address
    {19, 1395, 728},	// QHostAddress::toIPv6Address
    {19, 1400, 729},	// QHostAddress::toString
    {19, 1447, 747},	// QHostAddress::~QHostAddress
    {20, 104, 768},	// QHostInfo::HostNotFound
    {20, 167, 767},	// QHostInfo::NoError
    {20, 216, 766},	// QHostInfo::QHostInfo
    {20, 217, 749},	// QHostInfo::QHostInfo#
    {20, 218, 748},	// QHostInfo::QHostInfo$
    {20, 410, 769},	// QHostInfo::UnknownError
    {20, 444, 762},	// QHostInfo::abortHostLookup$
    {20, 467, 753},	// QHostInfo::addresses
    {20, 604, 755},	// QHostInfo::error
    {20, 606, 757},	// QHostInfo::errorString
    {20, 625, 763},	// QHostInfo::fromName$
    {20, 657, 751},	// QHostInfo::hostName
    {20, 726, 765},	// QHostInfo::localDomainName
    {20, 727, 764},	// QHostInfo::localHostName
    {20, 733, 761},	// QHostInfo::lookupHost$#$
    {20, 734, 760},	// QHostInfo::lookupId
    {20, 804, 750},	// QHostInfo::operator=#
    {20, 1137, 754},	// QHostInfo::setAddresses?
    {20, 1188, 756},	// QHostInfo::setError$
    {20, 1191, 758},	// QHostInfo::setErrorString$
    {20, 1207, 752},	// QHostInfo::setHostName$
    {20, 1225, 759},	// QHostInfo::setLookupId$
    {20, 1448, 770},	// QHostInfo::~QHostInfo
    {21, 1, 856},	// QHttp::Aborted
    {21, 14, 857},	// QHttp::AuthenticationRequiredError
    {21, 46, 848},	// QHttp::Closing
    {21, 50, 847},	// QHttp::Connected
    {21, 52, 844},	// QHttp::Connecting
    {21, 56, 840},	// QHttp::ConnectionModeHttp
    {21, 57, 841},	// QHttp::ConnectionModeHttps
    {21, 58, 852},	// QHttp::ConnectionRefused
    {21, 100, 843},	// QHttp::HostLookup
    {21, 104, 851},	// QHttp::HostNotFound
    {21, 121, 854},	// QHttp::InvalidResponseHeader
    {21, 167, 849},	// QHttp::NoError
    {21, 194, 858},	// QHttp::ProxyAuthenticationRequiredError
    {21, 219, 823},	// QHttp::QHttp
    {21, 220, 778},	// QHttp::QHttp#
    {21, 221, 824},	// QHttp::QHttp$
    {21, 222, -74},	// QHttp::QHttp$$
    {21, 223, 779},	// QHttp::QHttp$$#
    {21, 224, 827},	// QHttp::QHttp$$$
    {21, 225, 780},	// QHttp::QHttp$$$#
    {21, 342, 846},	// QHttp::Reading
    {21, 356, 845},	// QHttp::Sending
    {21, 402, 842},	// QHttp::Unconnected
    {21, 406, 853},	// QHttp::UnexpectedClose
    {21, 410, 850},	// QHttp::UnknownError
    {21, 432, 855},	// QHttp::WrongContentLength
    {21, 442, 808},	// QHttp::abort
    {21, 488, 819},	// QHttp::authenticationRequired$$#
    {21, 499, 795},	// QHttp::bytesAvailable
    {21, 517, 804},	// QHttp::clearPendingRequests
    {21, 518, 794},	// QHttp::close
    {21, 519, 793},	// QHttp::closeConnection
    {21, 562, 800},	// QHttp::currentDestinationDevice
    {21, 564, 798},	// QHttp::currentId
    {21, 565, 801},	// QHttp::currentRequest
    {21, 566, 799},	// QHttp::currentSourceDevice
    {21, 571, 814},	// QHttp::dataReadProgress$$
    {21, 573, 813},	// QHttp::dataSendProgress$$
    {21, 592, 817},	// QHttp::done$
    {21, 604, 806},	// QHttp::error
    {21, 606, 807},	// QHttp::errorString
    {21, 633, 833},	// QHttp::get$
    {21, 634, 787},	// QHttp::get$#
    {21, 648, 803},	// QHttp::hasPendingRequests
    {21, 653, 790},	// QHttp::head$
    {21, 661, 809},	// QHttp::ignoreSslErrors
    {21, 709, 802},	// QHttp::lastResponse
    {21, 742, 771},	// QHttp::metaObject
    {21, 866, -77},	// QHttp::post$#
    {21, 867, -80},	// QHttp::post$##
    {21, 880, 818},	// QHttp::proxyAuthenticationRequired##
    {21, 1054, 777},	// QHttp::qt_metacall$$?
    {21, 1056, 772},	// QHttp::qt_metacast$
    {21, 1079, 796},	// QHttp::read$$
    {21, 1080, 797},	// QHttp::readAll
    {21, 1091, 812},	// QHttp::readyRead#
    {21, 1107, 836},	// QHttp::request#
    {21, 1108, -83},	// QHttp::request##
    {21, 1109, -86},	// QHttp::request###
    {21, 1111, 816},	// QHttp::requestFinished$$
    {21, 1113, 815},	// QHttp::requestStarted$
    {21, 1116, 811},	// QHttp::responseHeaderReceived#
    {21, 1203, 828},	// QHttp::setHost$
    {21, 1204, -89},	// QHttp::setHost$$
    {21, 1205, 782},	// QHttp::setHost$$$
    {21, 1286, 786},	// QHttp::setProxy#
    {21, 1287, 831},	// QHttp::setProxy$$
    {21, 1288, 832},	// QHttp::setProxy$$$
    {21, 1289, 785},	// QHttp::setProxy$$$$
    {21, 1318, 783},	// QHttp::setSocket#
    {21, 1352, 830},	// QHttp::setUser$
    {21, 1353, 784},	// QHttp::setUser$$
    {21, 1371, 820},	// QHttp::sslErrors?
    {21, 1374, 805},	// QHttp::state
    {21, 1376, 810},	// QHttp::stateChanged$
    {21, 1377, 839},	// QHttp::staticMetaObject
    {21, 1402, 821},	// QHttp::tr$
    {21, 1403, 773},	// QHttp::tr$$
    {21, 1404, 775},	// QHttp::tr$$$
    {21, 1406, 822},	// QHttp::trUtf8$
    {21, 1407, 774},	// QHttp::trUtf8$$
    {21, 1408, 776},	// QHttp::trUtf8$$$
    {21, 1449, 859},	// QHttp::~QHttp
    {22, 226, 860},	// QHttpHeader::QHttpHeader
    {22, 227, 861},	// QHttpHeader::QHttpHeader#
    {22, 228, 862},	// QHttpHeader::QHttpHeader$
    {22, 465, 866},	// QHttpHeader::addValue$$
    {22, 475, 871},	// QHttpHeader::allValues$
    {22, 553, 875},	// QHttpHeader::contentLength
    {22, 554, 878},	// QHttpHeader::contentType
    {22, 641, 874},	// QHttpHeader::hasContentLength
    {22, 642, 877},	// QHttpHeader::hasContentType
    {22, 644, 868},	// QHttpHeader::hasKey$
    {22, 697, 881},	// QHttpHeader::isValid
    {22, 706, 869},	// QHttpHeader::keys
    {22, 735, 882},	// QHttpHeader::majorVersion
    {22, 745, 883},	// QHttpHeader::minorVersion
    {22, 804, 863},	// QHttpHeader::operator=#
    {22, 840, 885},	// QHttpHeader::parse$
    {22, 844, 884},	// QHttpHeader::parseLine$$
    {22, 1099, 873},	// QHttpHeader::removeAllValues$
    {22, 1103, 872},	// QHttpHeader::removeValue$
    {22, 1170, 876},	// QHttpHeader::setContentLength$
    {22, 1172, 879},	// QHttpHeader::setContentType$
    {22, 1355, 886},	// QHttpHeader::setValid$
    {22, 1358, 864},	// QHttpHeader::setValue$$
    {22, 1360, 865},	// QHttpHeader::setValues?
    {22, 1400, 880},	// QHttpHeader::toString
    {22, 1420, 870},	// QHttpHeader::value$
    {22, 1421, 867},	// QHttpHeader::values
    {22, 1450, 887},	// QHttpHeader::~QHttpHeader
    {23, 5, 909},	// QHttpMultiPart::AlternativeType
    {23, 93, 908},	// QHttpMultiPart::FormDataType
    {23, 160, 906},	// QHttpMultiPart::MixedType
    {23, 229, 903},	// QHttpMultiPart::QHttpMultiPart
    {23, 230, 895},	// QHttpMultiPart::QHttpMultiPart#
    {23, 231, 904},	// QHttpMultiPart::QHttpMultiPart$
    {23, 232, 896},	// QHttpMultiPart::QHttpMultiPart$#
    {23, 344, 907},	// QHttpMultiPart::RelatedType
    {23, 478, 897},	// QHttpMultiPart::append#
    {23, 497, 899},	// QHttpMultiPart::boundary
    {23, 742, 888},	// QHttpMultiPart::metaObject
    {23, 1054, 894},	// QHttpMultiPart::qt_metacall$$?
    {23, 1056, 889},	// QHttpMultiPart::qt_metacast$
    {23, 1153, 900},	// QHttpMultiPart::setBoundary#
    {23, 1172, 898},	// QHttpMultiPart::setContentType$
    {23, 1377, 905},	// QHttpMultiPart::staticMetaObject
    {23, 1402, 901},	// QHttpMultiPart::tr$
    {23, 1403, 890},	// QHttpMultiPart::tr$$
    {23, 1404, 892},	// QHttpMultiPart::tr$$$
    {23, 1406, 902},	// QHttpMultiPart::trUtf8$
    {23, 1407, 891},	// QHttpMultiPart::trUtf8$$
    {23, 1408, 893},	// QHttpMultiPart::trUtf8$$$
    {23, 1451, 910},	// QHttpMultiPart::~QHttpMultiPart
    {24, 233, 911},	// QHttpPart::QHttpPart
    {24, 234, 912},	// QHttpPart::QHttpPart#
    {24, 768, 915},	// QHttpPart::operator!=#
    {24, 804, 913},	// QHttpPart::operator=#
    {24, 807, 914},	// QHttpPart::operator==#
    {24, 1149, 918},	// QHttpPart::setBody#
    {24, 1151, 919},	// QHttpPart::setBodyDevice#
    {24, 1201, 916},	// QHttpPart::setHeader$#
    {24, 1295, 917},	// QHttpPart::setRawHeader##
    {24, 1452, 920},	// QHttpPart::~QHttpPart
    {25, 235, 921},	// QHttpRequestHeader::QHttpRequestHeader
    {25, 236, 923},	// QHttpRequestHeader::QHttpRequestHeader#
    {25, 237, 924},	// QHttpRequestHeader::QHttpRequestHeader$
    {25, 238, 933},	// QHttpRequestHeader::QHttpRequestHeader$$
    {25, 239, 934},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {25, 240, 922},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {25, 735, 929},	// QHttpRequestHeader::majorVersion
    {25, 743, 927},	// QHttpRequestHeader::method
    {25, 745, 930},	// QHttpRequestHeader::minorVersion
    {25, 804, 925},	// QHttpRequestHeader::operator=#
    {25, 844, 932},	// QHttpRequestHeader::parseLine$$
    {25, 848, 928},	// QHttpRequestHeader::path
    {25, 1304, 935},	// QHttpRequestHeader::setRequest$$
    {25, 1305, 936},	// QHttpRequestHeader::setRequest$$$
    {25, 1306, 926},	// QHttpRequestHeader::setRequest$$$$
    {25, 1400, 931},	// QHttpRequestHeader::toString
    {25, 1453, 937},	// QHttpRequestHeader::~QHttpRequestHeader
    {26, 241, 938},	// QHttpResponseHeader::QHttpResponseHeader
    {26, 242, 939},	// QHttpResponseHeader::QHttpResponseHeader#
    {26, 243, -92},	// QHttpResponseHeader::QHttpResponseHeader$
    {26, 244, 951},	// QHttpResponseHeader::QHttpResponseHeader$$
    {26, 245, 952},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {26, 246, 941},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {26, 735, 946},	// QHttpResponseHeader::majorVersion
    {26, 745, 947},	// QHttpResponseHeader::minorVersion
    {26, 804, 942},	// QHttpResponseHeader::operator=#
    {26, 844, 949},	// QHttpResponseHeader::parseLine$$
    {26, 1093, 945},	// QHttpResponseHeader::reasonPhrase
    {26, 1337, 953},	// QHttpResponseHeader::setStatusLine$
    {26, 1338, 954},	// QHttpResponseHeader::setStatusLine$$
    {26, 1339, 955},	// QHttpResponseHeader::setStatusLine$$$
    {26, 1340, 943},	// QHttpResponseHeader::setStatusLine$$$$
    {26, 1378, 944},	// QHttpResponseHeader::statusCode
    {26, 1400, 948},	// QHttpResponseHeader::toString
    {26, 1454, 956},	// QHttpResponseHeader::~QHttpResponseHeader
    {28, 247, 980},	// QIPv6Address::QIPv6Address
    {28, 248, 981},	// QIPv6Address::QIPv6Address#
    {28, 828, -474},	// QIPv6Address::operator[]$
    {28, 1455, 982},	// QIPv6Address::~QIPv6Address
    {33, 249, 1008},	// QLocalServer::QLocalServer
    {33, 250, 991},	// QLocalServer::QLocalServer#
    {33, 518, 992},	// QLocalServer::close
    {33, 606, 993},	// QLocalServer::errorString
    {33, 630, 1000},	// QLocalServer::fullServerName
    {33, 646, 994},	// QLocalServer::hasPendingConnections
    {33, 665, 1005},	// QLocalServer::incomingConnection?
    {33, 685, 995},	// QLocalServer::isListening
    {33, 723, 996},	// QLocalServer::listen$
    {33, 737, 997},	// QLocalServer::maxPendingConnections
    {33, 742, 983},	// QLocalServer::metaObject
    {33, 760, 990},	// QLocalServer::newConnection
    {33, 761, 998},	// QLocalServer::nextPendingConnection
    {33, 1054, 989},	// QLocalServer::qt_metacall$$?
    {33, 1056, 984},	// QLocalServer::qt_metacast$
    {33, 1101, 1001},	// QLocalServer::removeServer$
    {33, 1127, 1002},	// QLocalServer::serverError
    {33, 1128, 999},	// QLocalServer::serverName
    {33, 1227, 1003},	// QLocalServer::setMaxPendingConnections$
    {33, 1377, 1011},	// QLocalServer::staticMetaObject
    {33, 1402, 1006},	// QLocalServer::tr$
    {33, 1403, 985},	// QLocalServer::tr$$
    {33, 1404, 987},	// QLocalServer::tr$$$
    {33, 1406, 1007},	// QLocalServer::trUtf8$
    {33, 1407, 986},	// QLocalServer::trUtf8$$
    {33, 1408, 988},	// QLocalServer::trUtf8$$$
    {33, 1431, 1009},	// QLocalServer::waitForNewConnection
    {33, 1432, 1010},	// QLocalServer::waitForNewConnection$
    {33, 1433, 1004},	// QLocalServer::waitForNewConnection$$
    {33, 1456, 1012},	// QLocalServer::~QLocalServer
    {34, 47, 1073},	// QLocalSocket::ClosingState
    {34, 51, 1072},	// QLocalSocket::ConnectedState
    {34, 53, 1071},	// QLocalSocket::ConnectingState
    {34, 55, 1067},	// QLocalSocket::ConnectionError
    {34, 59, 1060},	// QLocalSocket::ConnectionRefusedError
    {34, 74, 1066},	// QLocalSocket::DatagramTooLargeError
    {34, 184, 1061},	// QLocalSocket::PeerClosedError
    {34, 251, 1051},	// QLocalSocket::QLocalSocket
    {34, 252, 1020},	// QLocalSocket::QLocalSocket#
    {34, 357, 1062},	// QLocalSocket::ServerNotFoundError
    {34, 365, 1063},	// QLocalSocket::SocketAccessError
    {34, 367, 1064},	// QLocalSocket::SocketResourceError
    {34, 368, 1065},	// QLocalSocket::SocketTimeoutError
    {34, 403, 1070},	// QLocalSocket::UnconnectedState
    {34, 418, 1069},	// QLocalSocket::UnknownSocketError
    {34, 421, 1068},	// QLocalSocket::UnsupportedSocketOperationError
    {34, 442, 1025},	// QLocalSocket::abort
    {34, 499, 1027},	// QLocalSocket::bytesAvailable
    {34, 501, 1028},	// QLocalSocket::bytesToWrite
    {34, 507, 1029},	// QLocalSocket::canReadLine
    {34, 518, 1030},	// QLocalSocket::close
    {34, 550, 1052},	// QLocalSocket::connectToServer$
    {34, 551, 1021},	// QLocalSocket::connectToServer$$
    {34, 552, 1043},	// QLocalSocket::connected
    {34, 586, 1022},	// QLocalSocket::disconnectFromServer
    {34, 589, 1044},	// QLocalSocket::disconnected
    {34, 604, 1031},	// QLocalSocket::error
    {34, 605, 1045},	// QLocalSocket::error$
    {34, 617, 1032},	// QLocalSocket::flush
    {34, 630, 1024},	// QLocalSocket::fullServerName
    {34, 693, 1026},	// QLocalSocket::isSequential
    {34, 697, 1033},	// QLocalSocket::isValid
    {34, 742, 1013},	// QLocalSocket::metaObject
    {34, 1054, 1019},	// QLocalSocket::qt_metacall$$?
    {34, 1056, 1014},	// QLocalSocket::qt_metacast$
    {34, 1081, 1034},	// QLocalSocket::readBufferSize
    {34, 1083, 1047},	// QLocalSocket::readData$$
    {34, 1128, 1023},	// QLocalSocket::serverName
    {34, 1299, 1035},	// QLocalSocket::setReadBufferSize$
    {34, 1323, 1053},	// QLocalSocket::setSocketDescriptor?
    {34, 1324, 1054},	// QLocalSocket::setSocketDescriptor?$
    {34, 1325, 1036},	// QLocalSocket::setSocketDescriptor?$$
    {34, 1364, 1037},	// QLocalSocket::socketDescriptor
    {34, 1374, 1038},	// QLocalSocket::state
    {34, 1376, 1046},	// QLocalSocket::stateChanged$
    {34, 1377, 1059},	// QLocalSocket::staticMetaObject
    {34, 1402, 1049},	// QLocalSocket::tr$
    {34, 1403, 1015},	// QLocalSocket::tr$$
    {34, 1404, 1017},	// QLocalSocket::tr$$$
    {34, 1406, 1050},	// QLocalSocket::trUtf8$
    {34, 1407, 1016},	// QLocalSocket::trUtf8$$
    {34, 1408, 1018},	// QLocalSocket::trUtf8$$$
    {34, 1423, 1055},	// QLocalSocket::waitForBytesWritten
    {34, 1424, 1039},	// QLocalSocket::waitForBytesWritten$
    {34, 1425, 1056},	// QLocalSocket::waitForConnected
    {34, 1426, 1040},	// QLocalSocket::waitForConnected$
    {34, 1427, 1057},	// QLocalSocket::waitForDisconnected
    {34, 1428, 1041},	// QLocalSocket::waitForDisconnected$
    {34, 1436, 1058},	// QLocalSocket::waitForReadyRead
    {34, 1437, 1042},	// QLocalSocket::waitForReadyRead$
    {34, 1439, 1048},	// QLocalSocket::writeData$$
    {34, 1457, 1074},	// QLocalSocket::~QLocalSocket
    {39, 2, 1128},	// QNetworkAccessManager::Accessible
    {39, 71, 1124},	// QNetworkAccessManager::CustomOperation
    {39, 78, 1123},	// QNetworkAccessManager::DeleteOperation
    {39, 97, 1120},	// QNetworkAccessManager::GetOperation
    {39, 98, 1119},	// QNetworkAccessManager::HeadOperation
    {39, 173, 1127},	// QNetworkAccessManager::NotAccessible
    {39, 186, 1122},	// QNetworkAccessManager::PostOperation
    {39, 204, 1121},	// QNetworkAccessManager::PutOperation
    {39, 253, 1115},	// QNetworkAccessManager::QNetworkAccessManager
    {39, 254, 1082},	// QNetworkAccessManager::QNetworkAccessManager#
    {39, 408, 1126},	// QNetworkAccessManager::UnknownAccessibility
    {39, 413, 1125},	// QNetworkAccessManager::UnknownOperation
    {39, 446, 1103},	// QNetworkAccessManager::activeConfiguration
    {39, 487, 1107},	// QNetworkAccessManager::authenticationRequired##
    {39, 504, 1087},	// QNetworkAccessManager::cache
    {39, 525, 1102},	// QNetworkAccessManager::configuration
    {39, 555, 1089},	// QNetworkAccessManager::cookieJar
    {39, 559, 1117},	// QNetworkAccessManager::createRequest$#
    {39, 560, 1112},	// QNetworkAccessManager::createRequest$##
    {39, 580, 1099},	// QNetworkAccessManager::deleteResource#
    {39, 615, 1108},	// QNetworkAccessManager::finished#
    {39, 632, 1092},	// QNetworkAccessManager::get#
    {39, 652, 1091},	// QNetworkAccessManager::head#
    {39, 742, 1075},	// QNetworkAccessManager::metaObject
    {39, 754, 1105},	// QNetworkAccessManager::networkAccessible
    {39, 756, 1111},	// QNetworkAccessManager::networkAccessibleChanged$
    {39, 758, 1110},	// QNetworkAccessManager::networkSessionConnected
    {39, 865, -4},	// QNetworkAccessManager::post##
    {39, 878, 1083},	// QNetworkAccessManager::proxy
    {39, 880, 1106},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {39, 881, 1085},	// QNetworkAccessManager::proxyFactory
    {39, 887, -8},	// QNetworkAccessManager::put##
    {39, 1054, 1081},	// QNetworkAccessManager::qt_metacall$$?
    {39, 1056, 1076},	// QNetworkAccessManager::qt_metacast$
    {39, 1123, 1116},	// QNetworkAccessManager::sendCustomRequest##
    {39, 1124, 1100},	// QNetworkAccessManager::sendCustomRequest###
    {39, 1159, 1088},	// QNetworkAccessManager::setCache#
    {39, 1168, 1101},	// QNetworkAccessManager::setConfiguration#
    {39, 1174, 1090},	// QNetworkAccessManager::setCookieJar#
    {39, 1238, 1104},	// QNetworkAccessManager::setNetworkAccessible$
    {39, 1286, 1084},	// QNetworkAccessManager::setProxy#
    {39, 1291, 1086},	// QNetworkAccessManager::setProxyFactory#
    {39, 1370, 1109},	// QNetworkAccessManager::sslErrors#?
    {39, 1377, 1118},	// QNetworkAccessManager::staticMetaObject
    {39, 1402, 1113},	// QNetworkAccessManager::tr$
    {39, 1403, 1077},	// QNetworkAccessManager::tr$$
    {39, 1404, 1079},	// QNetworkAccessManager::tr$$$
    {39, 1406, 1114},	// QNetworkAccessManager::trUtf8$
    {39, 1407, 1078},	// QNetworkAccessManager::trUtf8$$
    {39, 1408, 1080},	// QNetworkAccessManager::trUtf8$$$
    {39, 1458, 1129},	// QNetworkAccessManager::~QNetworkAccessManager
    {40, 255, 1130},	// QNetworkAddressEntry::QNetworkAddressEntry
    {40, 256, 1131},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {40, 498, 1141},	// QNetworkAddressEntry::broadcast
    {40, 674, 1135},	// QNetworkAddressEntry::ip
    {40, 753, 1137},	// QNetworkAddressEntry::netmask
    {40, 768, 1134},	// QNetworkAddressEntry::operator!=#
    {40, 804, 1132},	// QNetworkAddressEntry::operator=#
    {40, 807, 1133},	// QNetworkAddressEntry::operator==#
    {40, 870, 1139},	// QNetworkAddressEntry::prefixLength
    {40, 1155, 1142},	// QNetworkAddressEntry::setBroadcast#
    {40, 1211, 1136},	// QNetworkAddressEntry::setIp#
    {40, 1236, 1138},	// QNetworkAddressEntry::setNetmask#
    {40, 1272, 1140},	// QNetworkAddressEntry::setPrefixLength$
    {40, 1459, 1143},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {41, 257, 1144},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {41, 258, 1145},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {41, 484, 1160},	// QNetworkCacheMetaData::attributes
    {41, 609, 1156},	// QNetworkCacheMetaData::expirationDate
    {41, 697, 1149},	// QNetworkCacheMetaData::isValid
    {41, 707, 1154},	// QNetworkCacheMetaData::lastModified
    {41, 768, 1148},	// QNetworkCacheMetaData::operator!=#
    {41, 804, 1146},	// QNetworkCacheMetaData::operator=#
    {41, 807, 1147},	// QNetworkCacheMetaData::operator==#
    {41, 1077, 1152},	// QNetworkCacheMetaData::rawHeaders
    {41, 1119, 1158},	// QNetworkCacheMetaData::saveToDisk
    {41, 1147, 1161},	// QNetworkCacheMetaData::setAttributes?
    {41, 1193, 1157},	// QNetworkCacheMetaData::setExpirationDate#
    {41, 1213, 1155},	// QNetworkCacheMetaData::setLastModified#
    {41, 1297, 1153},	// QNetworkCacheMetaData::setRawHeaders?
    {41, 1308, 1159},	// QNetworkCacheMetaData::setSaveToDisk$
    {41, 1348, 1151},	// QNetworkCacheMetaData::setUrl#
    {41, 1416, 1150},	// QNetworkCacheMetaData::url
    {41, 1460, 1162},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {42, 3, 1190},	// QNetworkConfiguration::Active
    {42, 19, 1194},	// QNetworkConfiguration::Bearer2G
    {42, 20, 1198},	// QNetworkConfiguration::BearerBluetooth
    {42, 21, 1195},	// QNetworkConfiguration::BearerCDMA2000
    {42, 22, 1192},	// QNetworkConfiguration::BearerEthernet
    {42, 23, 1197},	// QNetworkConfiguration::BearerHSPA
    {42, 24, 1191},	// QNetworkConfiguration::BearerUnknown
    {42, 25, 1196},	// QNetworkConfiguration::BearerWCDMA
    {42, 26, 1193},	// QNetworkConfiguration::BearerWLAN
    {42, 27, 1199},	// QNetworkConfiguration::BearerWiMAX
    {42, 77, 1188},	// QNetworkConfiguration::Defined
    {42, 82, 1189},	// QNetworkConfiguration::Discovered
    {42, 114, 1179},	// QNetworkConfiguration::InternetAccessPoint
    {42, 115, 1182},	// QNetworkConfiguration::Invalid
    {42, 190, 1185},	// QNetworkConfiguration::PrivatePurpose
    {42, 202, 1184},	// QNetworkConfiguration::PublicPurpose
    {42, 259, 1163},	// QNetworkConfiguration::QNetworkConfiguration
    {42, 260, 1164},	// QNetworkConfiguration::QNetworkConfiguration#
    {42, 358, 1180},	// QNetworkConfiguration::ServiceNetwork
    {42, 359, 1186},	// QNetworkConfiguration::ServiceSpecificPurpose
    {42, 404, 1187},	// QNetworkConfiguration::Undefined
    {42, 416, 1183},	// QNetworkConfiguration::UnknownPurpose
    {42, 424, 1181},	// QNetworkConfiguration::UserChoice
    {42, 489, 1171},	// QNetworkConfiguration::bearerName
    {42, 490, 1172},	// QNetworkConfiguration::bearerType
    {42, 491, 1173},	// QNetworkConfiguration::bearerTypeName
    {42, 513, 1176},	// QNetworkConfiguration::children
    {42, 659, 1174},	// QNetworkConfiguration::identifier
    {42, 690, 1175},	// QNetworkConfiguration::isRoamingAvailable
    {42, 697, 1178},	// QNetworkConfiguration::isValid
    {42, 752, 1177},	// QNetworkConfiguration::name
    {42, 768, 1167},	// QNetworkConfiguration::operator!=#
    {42, 804, 1165},	// QNetworkConfiguration::operator=#
    {42, 807, 1166},	// QNetworkConfiguration::operator==#
    {42, 885, 1170},	// QNetworkConfiguration::purpose
    {42, 1374, 1168},	// QNetworkConfiguration::state
    {42, 1409, 1169},	// QNetworkConfiguration::type
    {42, 1461, 1200},	// QNetworkConfiguration::~QNetworkConfiguration
    {43, 12, 1228},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {43, 36, 1225},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {43, 73, 1230},	// QNetworkConfigurationManager::DataStatistics
    {43, 80, 1226},	// QNetworkConfigurationManager::DirectConnectionRouting
    {43, 92, 1229},	// QNetworkConfigurationManager::ForcedRoaming
    {43, 166, 1231},	// QNetworkConfigurationManager::NetworkSessionRequired
    {43, 261, 1222},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {43, 262, 1208},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {43, 384, 1227},	// QNetworkConfigurationManager::SystemSessionSupport
    {43, 470, 1223},	// QNetworkConfigurationManager::allConfigurations
    {43, 471, 1211},	// QNetworkConfigurationManager::allConfigurations$
    {43, 508, 1209},	// QNetworkConfigurationManager::capabilities
    {43, 527, 1215},	// QNetworkConfigurationManager::configurationAdded#
    {43, 529, 1217},	// QNetworkConfigurationManager::configurationChanged#
    {43, 531, 1212},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {43, 533, 1216},	// QNetworkConfigurationManager::configurationRemoved#
    {43, 578, 1210},	// QNetworkConfigurationManager::defaultConfiguration
    {43, 687, 1213},	// QNetworkConfigurationManager::isOnline
    {43, 742, 1201},	// QNetworkConfigurationManager::metaObject
    {43, 763, 1218},	// QNetworkConfigurationManager::onlineStateChanged$
    {43, 1054, 1207},	// QNetworkConfigurationManager::qt_metacall$$?
    {43, 1056, 1202},	// QNetworkConfigurationManager::qt_metacast$
    {43, 1377, 1224},	// QNetworkConfigurationManager::staticMetaObject
    {43, 1402, 1220},	// QNetworkConfigurationManager::tr$
    {43, 1403, 1203},	// QNetworkConfigurationManager::tr$$
    {43, 1404, 1205},	// QNetworkConfigurationManager::tr$$$
    {43, 1406, 1221},	// QNetworkConfigurationManager::trUtf8$
    {43, 1407, 1204},	// QNetworkConfigurationManager::trUtf8$$
    {43, 1408, 1206},	// QNetworkConfigurationManager::trUtf8$$$
    {43, 1410, 1219},	// QNetworkConfigurationManager::updateCompleted
    {43, 1411, 1214},	// QNetworkConfigurationManager::updateConfigurations
    {43, 1462, 1232},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {44, 95, 1259},	// QNetworkCookie::Full
    {44, 164, 1258},	// QNetworkCookie::NameAndValueOnly
    {44, 263, 1255},	// QNetworkCookie::QNetworkCookie
    {44, 264, -30},	// QNetworkCookie::QNetworkCookie#
    {44, 265, 1233},	// QNetworkCookie::QNetworkCookie##
    {44, 590, 1245},	// QNetworkCookie::domain
    {44, 609, 1243},	// QNetworkCookie::expirationDate
    {44, 681, 1240},	// QNetworkCookie::isHttpOnly
    {44, 692, 1238},	// QNetworkCookie::isSecure
    {44, 694, 1242},	// QNetworkCookie::isSessionCookie
    {44, 752, 1249},	// QNetworkCookie::name
    {44, 768, 1237},	// QNetworkCookie::operator!=#
    {44, 804, 1235},	// QNetworkCookie::operator=#
    {44, 807, 1236},	// QNetworkCookie::operator==#
    {44, 842, 1254},	// QNetworkCookie::parseCookies#
    {44, 848, 1247},	// QNetworkCookie::path
    {44, 1186, 1246},	// QNetworkCookie::setDomain$
    {44, 1193, 1244},	// QNetworkCookie::setExpirationDate#
    {44, 1209, 1241},	// QNetworkCookie::setHttpOnly$
    {44, 1233, 1250},	// QNetworkCookie::setName#
    {44, 1252, 1248},	// QNetworkCookie::setPath$
    {44, 1312, 1239},	// QNetworkCookie::setSecure$
    {44, 1357, 1252},	// QNetworkCookie::setValue#
    {44, 1398, 1257},	// QNetworkCookie::toRawForm
    {44, 1399, 1253},	// QNetworkCookie::toRawForm$
    {44, 1419, 1251},	// QNetworkCookie::value
    {44, 1463, 1260},	// QNetworkCookie::~QNetworkCookie
    {45, 266, 1275},	// QNetworkCookieJar::QNetworkCookieJar
    {45, 267, 1268},	// QNetworkCookieJar::QNetworkCookieJar#
    {45, 472, 1271},	// QNetworkCookieJar::allCookies
    {45, 557, 1269},	// QNetworkCookieJar::cookiesForUrl#
    {45, 742, 1261},	// QNetworkCookieJar::metaObject
    {45, 1054, 1267},	// QNetworkCookieJar::qt_metacall$$?
    {45, 1056, 1262},	// QNetworkCookieJar::qt_metacast$
    {45, 1139, 1272},	// QNetworkCookieJar::setAllCookies?
    {45, 1176, 1270},	// QNetworkCookieJar::setCookiesFromUrl?#
    {45, 1377, 1276},	// QNetworkCookieJar::staticMetaObject
    {45, 1402, 1273},	// QNetworkCookieJar::tr$
    {45, 1403, 1263},	// QNetworkCookieJar::tr$$
    {45, 1404, 1265},	// QNetworkCookieJar::tr$$$
    {45, 1406, 1274},	// QNetworkCookieJar::trUtf8$
    {45, 1407, 1264},	// QNetworkCookieJar::trUtf8$$
    {45, 1408, 1266},	// QNetworkCookieJar::trUtf8$$$
    {45, 1464, 1277},	// QNetworkCookieJar::~QNetworkCookieJar
    {46, 268, 1302},	// QNetworkDiskCache::QNetworkDiskCache
    {46, 269, 1285},	// QNetworkDiskCache::QNetworkDiskCache#
    {46, 505, 1286},	// QNetworkDiskCache::cacheDirectory
    {46, 506, 1290},	// QNetworkDiskCache::cacheSize
    {46, 515, 1298},	// QNetworkDiskCache::clear
    {46, 569, 1293},	// QNetworkDiskCache::data#
    {46, 610, 1299},	// QNetworkDiskCache::expire
    {46, 613, 1297},	// QNetworkDiskCache::fileMetaData$
    {46, 668, 1296},	// QNetworkDiskCache::insert#
    {46, 738, 1288},	// QNetworkDiskCache::maximumCacheSize
    {46, 740, 1291},	// QNetworkDiskCache::metaData#
    {46, 742, 1278},	// QNetworkDiskCache::metaObject
    {46, 872, 1295},	// QNetworkDiskCache::prepare#
    {46, 1054, 1284},	// QNetworkDiskCache::qt_metacall$$?
    {46, 1056, 1279},	// QNetworkDiskCache::qt_metacast$
    {46, 1096, 1294},	// QNetworkDiskCache::remove#
    {46, 1161, 1287},	// QNetworkDiskCache::setCacheDirectory$
    {46, 1229, 1289},	// QNetworkDiskCache::setMaximumCacheSize$
    {46, 1377, 1303},	// QNetworkDiskCache::staticMetaObject
    {46, 1402, 1300},	// QNetworkDiskCache::tr$
    {46, 1403, 1280},	// QNetworkDiskCache::tr$$
    {46, 1404, 1282},	// QNetworkDiskCache::tr$$$
    {46, 1406, 1301},	// QNetworkDiskCache::trUtf8$
    {46, 1407, 1281},	// QNetworkDiskCache::trUtf8$$
    {46, 1408, 1283},	// QNetworkDiskCache::trUtf8$$$
    {46, 1413, 1292},	// QNetworkDiskCache::updateMetaData#
    {46, 1465, 1304},	// QNetworkDiskCache::~QNetworkDiskCache
    {47, 34, 1321},	// QNetworkInterface::CanBroadcast
    {47, 35, 1324},	// QNetworkInterface::CanMulticast
    {47, 122, 1322},	// QNetworkInterface::IsLoopBack
    {47, 123, 1323},	// QNetworkInterface::IsPointToPoint
    {47, 124, 1320},	// QNetworkInterface::IsRunning
    {47, 125, 1319},	// QNetworkInterface::IsUp
    {47, 270, 1305},	// QNetworkInterface::QNetworkInterface
    {47, 271, 1306},	// QNetworkInterface::QNetworkInterface#
    {47, 466, 1314},	// QNetworkInterface::addressEntries
    {47, 469, 1318},	// QNetworkInterface::allAddresses
    {47, 473, 1317},	// QNetworkInterface::allInterfaces
    {47, 616, 1312},	// QNetworkInterface::flags
    {47, 640, 1313},	// QNetworkInterface::hardwareAddress
    {47, 658, 1311},	// QNetworkInterface::humanReadableName
    {47, 666, 1309},	// QNetworkInterface::index
    {47, 671, 1316},	// QNetworkInterface::interfaceFromIndex$
    {47, 673, 1315},	// QNetworkInterface::interfaceFromName$
    {47, 697, 1308},	// QNetworkInterface::isValid
    {47, 752, 1310},	// QNetworkInterface::name
    {47, 804, 1307},	// QNetworkInterface::operator=#
    {47, 1466, 1325},	// QNetworkInterface::~QNetworkInterface
    {48, 33, 1361},	// QNetworkProxy::CachingCapability
    {48, 76, 1352},	// QNetworkProxy::DefaultProxy
    {48, 94, 1357},	// QNetworkProxy::FtpCachingProxy
    {48, 102, 1362},	// QNetworkProxy::HostNameLookupCapability
    {48, 106, 1356},	// QNetworkProxy::HttpCachingProxy
    {48, 109, 1355},	// QNetworkProxy::HttpProxy
    {48, 148, 1359},	// QNetworkProxy::ListeningCapability
    {48, 169, 1354},	// QNetworkProxy::NoProxy
    {48, 272, 1326},	// QNetworkProxy::QNetworkProxy
    {48, 273, 1328},	// QNetworkProxy::QNetworkProxy#
    {48, 274, 1348},	// QNetworkProxy::QNetworkProxy$
    {48, 275, 1349},	// QNetworkProxy::QNetworkProxy$$
    {48, 276, 1350},	// QNetworkProxy::QNetworkProxy$$$
    {48, 277, 1351},	// QNetworkProxy::QNetworkProxy$$$$
    {48, 278, 1327},	// QNetworkProxy::QNetworkProxy$$$$$
    {48, 369, 1353},	// QNetworkProxy::Socks5Proxy
    {48, 393, 1358},	// QNetworkProxy::TunnelingCapability
    {48, 395, 1360},	// QNetworkProxy::UdpTunnelingCapability
    {48, 479, 1347},	// QNetworkProxy::applicationProxy
    {48, 508, 1335},	// QNetworkProxy::capabilities
    {48, 657, 1343},	// QNetworkProxy::hostName
    {48, 675, 1336},	// QNetworkProxy::isCachingProxy
    {48, 696, 1337},	// QNetworkProxy::isTransparentProxy
    {48, 768, 1331},	// QNetworkProxy::operator!=#
    {48, 804, 1329},	// QNetworkProxy::operator=#
    {48, 807, 1330},	// QNetworkProxy::operator==#
    {48, 847, 1341},	// QNetworkProxy::password
    {48, 862, 1345},	// QNetworkProxy::port
    {48, 1141, 1346},	// QNetworkProxy::setApplicationProxy#
    {48, 1163, 1334},	// QNetworkProxy::setCapabilities$
    {48, 1207, 1342},	// QNetworkProxy::setHostName$
    {48, 1250, 1340},	// QNetworkProxy::setPassword$
    {48, 1270, 1344},	// QNetworkProxy::setPort$
    {48, 1346, 1332},	// QNetworkProxy::setType$
    {48, 1352, 1338},	// QNetworkProxy::setUser$
    {48, 1409, 1333},	// QNetworkProxy::type
    {48, 1418, 1339},	// QNetworkProxy::user
    {48, 1467, 1363},	// QNetworkProxy::~QNetworkProxy
    {49, 279, 1364},	// QNetworkProxyFactory::QNetworkProxyFactory
    {49, 280, 1370},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {49, 883, 1368},	// QNetworkProxyFactory::proxyForQuery#
    {49, 1062, 1371},	// QNetworkProxyFactory::queryProxy
    {49, 1063, 1365},	// QNetworkProxyFactory::queryProxy#
    {49, 1143, 1367},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {49, 1350, 1366},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {49, 1387, 1372},	// QNetworkProxyFactory::systemProxyForQuery
    {49, 1388, 1369},	// QNetworkProxyFactory::systemProxyForQuery#
    {49, 1468, 1373},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {50, 281, 1374},	// QNetworkProxyQuery::QNetworkProxyQuery
    {50, 282, -33},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {50, 283, 1404},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {50, 284, 1379},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {50, 285, -36},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {50, 286, -39},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {50, 287, -42},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {50, 288, 1380},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {50, 289, 1402},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {50, 290, -45},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {50, 291, -48},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {50, 292, 1376},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {50, 385, 1411},	// QNetworkProxyQuery::TcpServer
    {50, 386, 1409},	// QNetworkProxyQuery::TcpSocket
    {50, 394, 1410},	// QNetworkProxyQuery::UdpSocket
    {50, 422, 1412},	// QNetworkProxyQuery::UrlRequest
    {50, 728, 1391},	// QNetworkProxyQuery::localPort
    {50, 757, 1397},	// QNetworkProxyQuery::networkConfiguration
    {50, 768, 1384},	// QNetworkProxyQuery::operator!=#
    {50, 804, 1382},	// QNetworkProxyQuery::operator=#
    {50, 807, 1383},	// QNetworkProxyQuery::operator==#
    {50, 852, 1389},	// QNetworkProxyQuery::peerHostName
    {50, 854, 1387},	// QNetworkProxyQuery::peerPort
    {50, 877, 1393},	// QNetworkProxyQuery::protocolTag
    {50, 1064, 1385},	// QNetworkProxyQuery::queryType
    {50, 1223, 1392},	// QNetworkProxyQuery::setLocalPort$
    {50, 1240, 1398},	// QNetworkProxyQuery::setNetworkConfiguration#
    {50, 1256, 1390},	// QNetworkProxyQuery::setPeerHostName$
    {50, 1260, 1388},	// QNetworkProxyQuery::setPeerPort$
    {50, 1284, 1394},	// QNetworkProxyQuery::setProtocolTag$
    {50, 1293, 1386},	// QNetworkProxyQuery::setQueryType$
    {50, 1348, 1396},	// QNetworkProxyQuery::setUrl#
    {50, 1416, 1395},	// QNetworkProxyQuery::url
    {50, 1469, 1413},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {51, 14, 1481},	// QNetworkReply::AuthenticationRequiredError
    {51, 59, 1464},	// QNetworkReply::ConnectionRefusedError
    {51, 60, 1478},	// QNetworkReply::ContentAccessDenied
    {51, 63, 1480},	// QNetworkReply::ContentNotFoundError
    {51, 64, 1479},	// QNetworkReply::ContentOperationNotPermittedError
    {51, 65, 1482},	// QNetworkReply::ContentReSendError
    {51, 105, 1466},	// QNetworkReply::HostNotFoundError
    {51, 167, 1463},	// QNetworkReply::NoError
    {51, 178, 1468},	// QNetworkReply::OperationCanceledError
    {51, 191, 1486},	// QNetworkReply::ProtocolFailure
    {51, 192, 1485},	// QNetworkReply::ProtocolInvalidOperationError
    {51, 193, 1484},	// QNetworkReply::ProtocolUnknownError
    {51, 194, 1476},	// QNetworkReply::ProxyAuthenticationRequiredError
    {51, 195, 1473},	// QNetworkReply::ProxyConnectionClosedError
    {51, 196, 1472},	// QNetworkReply::ProxyConnectionRefusedError
    {51, 198, 1474},	// QNetworkReply::ProxyNotFoundError
    {51, 200, 1475},	// QNetworkReply::ProxyTimeoutError
    {51, 293, 1461},	// QNetworkReply::QNetworkReply
    {51, 294, 1449},	// QNetworkReply::QNetworkReply#
    {51, 345, 1465},	// QNetworkReply::RemoteHostClosedError
    {51, 372, 1469},	// QNetworkReply::SslHandshakeFailedError
    {51, 387, 1470},	// QNetworkReply::TemporaryNetworkFailureError
    {51, 389, 1467},	// QNetworkReply::TimeoutError
    {51, 409, 1483},	// QNetworkReply::UnknownContentError
    {51, 411, 1471},	// QNetworkReply::UnknownNetworkError
    {51, 415, 1477},	// QNetworkReply::UnknownProxyError
    {51, 442, 1421},	// QNetworkReply::abort
    {51, 482, 1438},	// QNetworkReply::attribute$
    {51, 518, 1422},	// QNetworkReply::close
    {51, 594, 1448},	// QNetworkReply::downloadProgress$$
    {51, 604, 1429},	// QNetworkReply::error
    {51, 605, 1445},	// QNetworkReply::error$
    {51, 614, 1444},	// QNetworkReply::finished
    {51, 650, 1434},	// QNetworkReply::hasRawHeader#
    {51, 655, 1433},	// QNetworkReply::header$
    {51, 661, 1442},	// QNetworkReply::ignoreSslErrors
    {51, 662, 1441},	// QNetworkReply::ignoreSslErrors?
    {51, 680, 1430},	// QNetworkReply::isFinished
    {51, 691, 1431},	// QNetworkReply::isRunning
    {51, 693, 1423},	// QNetworkReply::isSequential
    {51, 736, 1426},	// QNetworkReply::manager
    {51, 741, 1443},	// QNetworkReply::metaDataChanged
    {51, 742, 1414},	// QNetworkReply::metaObject
    {51, 766, 1427},	// QNetworkReply::operation
    {51, 1054, 1420},	// QNetworkReply::qt_metacall$$?
    {51, 1056, 1415},	// QNetworkReply::qt_metacast$
    {51, 1074, 1436},	// QNetworkReply::rawHeader#
    {51, 1075, 1435},	// QNetworkReply::rawHeaderList
    {51, 1076, 1437},	// QNetworkReply::rawHeaderPairs
    {51, 1081, 1424},	// QNetworkReply::readBufferSize
    {51, 1106, 1428},	// QNetworkReply::request
    {51, 1145, 1458},	// QNetworkReply::setAttribute$#
    {51, 1189, 1453},	// QNetworkReply::setError$$
    {51, 1197, 1454},	// QNetworkReply::setFinished$
    {51, 1201, 1456},	// QNetworkReply::setHeader$#
    {51, 1242, 1451},	// QNetworkReply::setOperation$
    {51, 1295, 1457},	// QNetworkReply::setRawHeader##
    {51, 1299, 1425},	// QNetworkReply::setReadBufferSize$
    {51, 1303, 1452},	// QNetworkReply::setRequest#
    {51, 1333, 1440},	// QNetworkReply::setSslConfiguration#
    {51, 1348, 1455},	// QNetworkReply::setUrl#
    {51, 1368, 1439},	// QNetworkReply::sslConfiguration
    {51, 1371, 1446},	// QNetworkReply::sslErrors?
    {51, 1377, 1462},	// QNetworkReply::staticMetaObject
    {51, 1402, 1459},	// QNetworkReply::tr$
    {51, 1403, 1416},	// QNetworkReply::tr$$
    {51, 1404, 1418},	// QNetworkReply::tr$$$
    {51, 1406, 1460},	// QNetworkReply::trUtf8$
    {51, 1407, 1417},	// QNetworkReply::trUtf8$$
    {51, 1408, 1419},	// QNetworkReply::trUtf8$$$
    {51, 1415, 1447},	// QNetworkReply::uploadProgress$$
    {51, 1416, 1432},	// QNetworkReply::url
    {51, 1439, 1450},	// QNetworkReply::writeData$$
    {51, 1470, 1487},	// QNetworkReply::~QNetworkReply
    {52, 6, 1540},	// QNetworkRequest::AlwaysCache
    {52, 7, 1537},	// QNetworkRequest::AlwaysNetwork
    {52, 15, 1530},	// QNetworkRequest::AuthenticationReuseAttribute
    {52, 18, 1541},	// QNetworkRequest::Automatic
    {52, 31, 1522},	// QNetworkRequest::CacheLoadControlAttribute
    {52, 32, 1523},	// QNetworkRequest::CacheSaveControlAttribute
    {52, 54, 1521},	// QNetworkRequest::ConnectionEncryptedAttribute
    {52, 61, 1517},	// QNetworkRequest::ContentDispositionHeader
    {52, 62, 1512},	// QNetworkRequest::ContentLengthHeader
    {52, 66, 1511},	// QNetworkRequest::ContentTypeHeader
    {52, 67, 1515},	// QNetworkRequest::CookieHeader
    {52, 68, 1529},	// QNetworkRequest::CookieLoadControlAttribute
    {52, 69, 1531},	// QNetworkRequest::CookieSaveControlAttribute
    {52, 72, 1528},	// QNetworkRequest::CustomVerbAttribute
    {52, 84, 1525},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {52, 86, 1533},	// QNetworkRequest::DownloadBufferAttribute
    {52, 99, 1543},	// QNetworkRequest::HighPriority
    {52, 107, 1526},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {52, 108, 1527},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {52, 110, 1519},	// QNetworkRequest::HttpReasonPhraseAttribute
    {52, 111, 1518},	// QNetworkRequest::HttpStatusCodeAttribute
    {52, 127, 1514},	// QNetworkRequest::LastModifiedHeader
    {52, 153, 1513},	// QNetworkRequest::LocationHeader
    {52, 157, 1545},	// QNetworkRequest::LowPriority
    {52, 158, 1542},	// QNetworkRequest::Manual
    {52, 159, 1532},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {52, 172, 1544},	// QNetworkRequest::NormalPriority
    {52, 187, 1539},	// QNetworkRequest::PreferCache
    {52, 188, 1538},	// QNetworkRequest::PreferNetwork
    {52, 295, 1509},	// QNetworkRequest::QNetworkRequest
    {52, 296, -1},	// QNetworkRequest::QNetworkRequest#
    {52, 343, 1520},	// QNetworkRequest::RedirectionTargetAttribute
    {52, 361, 1516},	// QNetworkRequest::SetCookieHeader
    {52, 370, 1524},	// QNetworkRequest::SourceIsFromCacheAttribute
    {52, 383, 1534},	// QNetworkRequest::SynchronousRequestAttribute
    {52, 423, 1535},	// QNetworkRequest::User
    {52, 425, 1536},	// QNetworkRequest::UserMax
    {52, 482, 1510},	// QNetworkRequest::attribute$
    {52, 483, 1501},	// QNetworkRequest::attribute$#
    {52, 650, 1497},	// QNetworkRequest::hasRawHeader#
    {52, 655, 1495},	// QNetworkRequest::header$
    {52, 768, 1492},	// QNetworkRequest::operator!=#
    {52, 804, 1490},	// QNetworkRequest::operator=#
    {52, 807, 1491},	// QNetworkRequest::operator==#
    {52, 837, 1506},	// QNetworkRequest::originatingObject
    {52, 873, 1507},	// QNetworkRequest::priority
    {52, 1074, 1499},	// QNetworkRequest::rawHeader#
    {52, 1075, 1498},	// QNetworkRequest::rawHeaderList
    {52, 1145, 1502},	// QNetworkRequest::setAttribute$#
    {52, 1201, 1496},	// QNetworkRequest::setHeader$#
    {52, 1246, 1505},	// QNetworkRequest::setOriginatingObject#
    {52, 1274, 1508},	// QNetworkRequest::setPriority$
    {52, 1295, 1500},	// QNetworkRequest::setRawHeader##
    {52, 1333, 1504},	// QNetworkRequest::setSslConfiguration#
    {52, 1348, 1494},	// QNetworkRequest::setUrl#
    {52, 1368, 1503},	// QNetworkRequest::sslConfiguration
    {52, 1416, 1493},	// QNetworkRequest::url
    {52, 1471, 1546},	// QNetworkRequest::~QNetworkRequest
    {53, 46, 1591},	// QNetworkSession::Closing
    {53, 50, 1590},	// QNetworkSession::Connected
    {53, 52, 1589},	// QNetworkSession::Connecting
    {53, 81, 1592},	// QNetworkSession::Disconnected
    {53, 115, 1587},	// QNetworkSession::Invalid
    {53, 117, 1598},	// QNetworkSession::InvalidConfigurationError
    {53, 174, 1588},	// QNetworkSession::NotAvailable
    {53, 179, 1597},	// QNetworkSession::OperationNotSupportedError
    {53, 298, 1584},	// QNetworkSession::QNetworkSession#
    {53, 299, 1554},	// QNetworkSession::QNetworkSession##
    {53, 350, 1593},	// QNetworkSession::Roaming
    {53, 351, 1596},	// QNetworkSession::RoamingError
    {53, 360, 1595},	// QNetworkSession::SessionAbortedError
    {53, 417, 1594},	// QNetworkSession::UnknownSessionError
    {53, 445, 1572},	// QNetworkSession::accept
    {53, 447, 1565},	// QNetworkSession::activeTime
    {53, 500, 1564},	// QNetworkSession::bytesReceived
    {53, 502, 1563},	// QNetworkSession::bytesWritten
    {53, 518, 1568},	// QNetworkSession::close
    {53, 520, 1576},	// QNetworkSession::closed
    {53, 525, 1556},	// QNetworkSession::configuration
    {53, 535, 1580},	// QNetworkSession::connectNotify$
    {53, 588, 1581},	// QNetworkSession::disconnectNotify$
    {53, 604, 1559},	// QNetworkSession::error
    {53, 605, 1577},	// QNetworkSession::error$
    {53, 606, 1560},	// QNetworkSession::errorString
    {53, 660, 1571},	// QNetworkSession::ignore
    {53, 669, 1557},	// QNetworkSession::interface
    {53, 688, 1555},	// QNetworkSession::isOpen
    {53, 742, 1547},	// QNetworkSession::metaObject
    {53, 744, 1570},	// QNetworkSession::migrate
    {53, 759, 1579},	// QNetworkSession::newConfigurationActivated
    {53, 764, 1567},	// QNetworkSession::open
    {53, 765, 1575},	// QNetworkSession::opened
    {53, 869, 1578},	// QNetworkSession::preferredConfigurationChanged#$
    {53, 1054, 1553},	// QNetworkSession::qt_metacall$$?
    {53, 1056, 1548},	// QNetworkSession::qt_metacast$
    {53, 1094, 1573},	// QNetworkSession::reject
    {53, 1132, 1561},	// QNetworkSession::sessionProperty$
    {53, 1314, 1562},	// QNetworkSession::setSessionProperty$#
    {53, 1374, 1558},	// QNetworkSession::state
    {53, 1376, 1574},	// QNetworkSession::stateChanged$
    {53, 1377, 1586},	// QNetworkSession::staticMetaObject
    {53, 1379, 1569},	// QNetworkSession::stop
    {53, 1402, 1582},	// QNetworkSession::tr$
    {53, 1403, 1549},	// QNetworkSession::tr$$
    {53, 1404, 1551},	// QNetworkSession::tr$$$
    {53, 1406, 1583},	// QNetworkSession::trUtf8$
    {53, 1407, 1550},	// QNetworkSession::trUtf8$$
    {53, 1408, 1552},	// QNetworkSession::trUtf8$$$
    {53, 1434, 1585},	// QNetworkSession::waitForOpened
    {53, 1435, 1566},	// QNetworkSession::waitForOpened$
    {53, 1472, 1599},	// QNetworkSession::~QNetworkSession
    {63, 10, 1619},	// QSsl::AnyProtocol
    {63, 79, 1610},	// QSsl::Der
    {63, 83, 1624},	// QSsl::DnsEntry
    {63, 87, 1608},	// QSsl::Dsa
    {63, 88, 1623},	// QSsl::EmailEntry
    {63, 185, 1609},	// QSsl::Pem
    {63, 189, 1625},	// QSsl::PrivateKey
    {63, 201, 1626},	// QSsl::PublicKey
    {63, 352, 1607},	// QSsl::Rsa
    {63, 353, 1621},	// QSsl::SecureProtocols
    {63, 373, 1613},	// QSsl::SslOptionDisableCompression
    {63, 374, 1611},	// QSsl::SslOptionDisableEmptyFragments
    {63, 375, 1615},	// QSsl::SslOptionDisableLegacyRenegotiation
    {63, 376, 1614},	// QSsl::SslOptionDisableServerNameIndication
    {63, 377, 1612},	// QSsl::SslOptionDisableSessionTickets
    {63, 379, 1617},	// QSsl::SslV2
    {63, 380, 1616},	// QSsl::SslV3
    {63, 390, 1618},	// QSsl::TlsV1
    {63, 391, 1620},	// QSsl::TlsV1SslV3
    {63, 414, 1622},	// QSsl::UnknownProtocol
    {64, 48, 1662},	// QSslCertificate::CommonName
    {64, 70, 1665},	// QSslCertificate::CountryName
    {64, 152, 1663},	// QSslCertificate::LocalityName
    {64, 180, 1661},	// QSslCertificate::Organization
    {64, 181, 1664},	// QSslCertificate::OrganizationalUnitName
    {64, 300, 1654},	// QSslCertificate::QSslCertificate
    {64, 301, -67},	// QSslCertificate::QSslCertificate#
    {64, 302, -71},	// QSslCertificate::QSslCertificate#$
    {64, 381, 1666},	// QSslCertificate::StateOrProvinceName
    {64, 476, 1643},	// QSslCertificate::alternateSubjectNames
    {64, 515, 1635},	// QSslCertificate::clear
    {64, 582, 1656},	// QSslCertificate::digest
    {64, 583, 1638},	// QSslCertificate::digest$
    {64, 595, 1644},	// QSslCertificate::effectiveDate
    {64, 611, 1645},	// QSslCertificate::expiryDate
    {64, 619, 1660},	// QSslCertificate::fromData#
    {64, 620, 1651},	// QSslCertificate::fromData#$
    {64, 622, 1659},	// QSslCertificate::fromDevice#
    {64, 623, 1650},	// QSslCertificate::fromDevice#$
    {64, 627, 1657},	// QSslCertificate::fromPath$
    {64, 628, 1658},	// QSslCertificate::fromPath$$
    {64, 629, 1649},	// QSslCertificate::fromPath$$$
    {64, 639, 1652},	// QSslCertificate::handle
    {64, 686, 1633},	// QSslCertificate::isNull
    {64, 697, 1634},	// QSslCertificate::isValid
    {64, 700, 1640},	// QSslCertificate::issuerInfo#
    {64, 701, 1639},	// QSslCertificate::issuerInfo$
    {64, 768, 1632},	// QSslCertificate::operator!=#
    {64, 804, 1630},	// QSslCertificate::operator=#
    {64, 807, 1631},	// QSslCertificate::operator==#
    {64, 884, 1646},	// QSslCertificate::publicKey
    {64, 1125, 1637},	// QSslCertificate::serialNumber
    {64, 1381, 1642},	// QSslCertificate::subjectInfo#
    {64, 1382, 1641},	// QSslCertificate::subjectInfo$
    {64, 1392, 1648},	// QSslCertificate::toDer
    {64, 1396, 1647},	// QSslCertificate::toPem
    {64, 1422, 1636},	// QSslCertificate::version
    {64, 1473, 1667},	// QSslCertificate::~QSslCertificate
    {65, 303, 1668},	// QSslCipher::QSslCipher
    {65, 304, 1670},	// QSslCipher::QSslCipher#
    {65, 305, 1669},	// QSslCipher::QSslCipher$$
    {65, 485, 1679},	// QSslCipher::authenticationMethod
    {65, 601, 1680},	// QSslCipher::encryptionMethod
    {65, 686, 1674},	// QSslCipher::isNull
    {65, 705, 1678},	// QSslCipher::keyExchangeMethod
    {65, 752, 1675},	// QSslCipher::name
    {65, 768, 1673},	// QSslCipher::operator!=#
    {65, 804, 1671},	// QSslCipher::operator=#
    {65, 807, 1672},	// QSslCipher::operator==#
    {65, 875, 1682},	// QSslCipher::protocol
    {65, 876, 1681},	// QSslCipher::protocolString
    {65, 1383, 1676},	// QSslCipher::supportedBits
    {65, 1417, 1677},	// QSslCipher::usedBits
    {65, 1474, 1683},	// QSslCipher::~QSslCipher
    {66, 306, 1684},	// QSslConfiguration::QSslConfiguration
    {66, 307, 1685},	// QSslConfiguration::QSslConfiguration#
    {66, 503, 1705},	// QSslConfiguration::caCertificates
    {66, 514, 1703},	// QSslConfiguration::ciphers
    {66, 578, 1709},	// QSslConfiguration::defaultConfiguration
    {66, 686, 1689},	// QSslConfiguration::isNull
    {66, 725, 1696},	// QSslConfiguration::localCertificate
    {66, 768, 1688},	// QSslConfiguration::operator!=#
    {66, 804, 1686},	// QSslConfiguration::operator=#
    {66, 807, 1687},	// QSslConfiguration::operator==#
    {66, 850, 1698},	// QSslConfiguration::peerCertificate
    {66, 851, 1699},	// QSslConfiguration::peerCertificateChain
    {66, 855, 1694},	// QSslConfiguration::peerVerifyDepth
    {66, 858, 1692},	// QSslConfiguration::peerVerifyMode
    {66, 874, 1701},	// QSslConfiguration::privateKey
    {66, 875, 1690},	// QSslConfiguration::protocol
    {66, 1130, 1700},	// QSslConfiguration::sessionCipher
    {66, 1157, 1706},	// QSslConfiguration::setCaCertificates?
    {66, 1166, 1704},	// QSslConfiguration::setCiphers?
    {66, 1182, 1710},	// QSslConfiguration::setDefaultConfiguration#
    {66, 1219, 1697},	// QSslConfiguration::setLocalCertificate#
    {66, 1262, 1695},	// QSslConfiguration::setPeerVerifyDepth$
    {66, 1264, 1693},	// QSslConfiguration::setPeerVerifyMode$
    {66, 1276, 1702},	// QSslConfiguration::setPrivateKey#
    {66, 1282, 1691},	// QSslConfiguration::setProtocol$
    {66, 1335, 1707},	// QSslConfiguration::setSslOption$$
    {66, 1390, 1708},	// QSslConfiguration::testSslOption$
    {66, 1475, 1711},	// QSslConfiguration::~QSslConfiguration
    {67, 16, 1742},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {67, 38, 1746},	// QSslError::CertificateBlacklisted
    {67, 39, 1728},	// QSslError::CertificateExpired
    {67, 40, 1727},	// QSslError::CertificateNotYetValid
    {67, 41, 1740},	// QSslError::CertificateRejected
    {67, 42, 1735},	// QSslError::CertificateRevoked
    {67, 43, 1726},	// QSslError::CertificateSignatureFailed
    {67, 44, 1739},	// QSslError::CertificateUntrusted
    {67, 103, 1744},	// QSslError::HostNameMismatch
    {67, 116, 1736},	// QSslError::InvalidCaCertificate
    {67, 118, 1730},	// QSslError::InvalidNotAfterField
    {67, 119, 1729},	// QSslError::InvalidNotBeforeField
    {67, 120, 1738},	// QSslError::InvalidPurpose
    {67, 167, 1722},	// QSslError::NoError
    {67, 168, 1743},	// QSslError::NoPeerCertificate
    {67, 170, 1745},	// QSslError::NoSslSupport
    {67, 183, 1737},	// QSslError::PathLengthExceeded
    {67, 308, 1712},	// QSslError::QSslError
    {67, 309, 1715},	// QSslError::QSslError#
    {67, 310, 1713},	// QSslError::QSslError$
    {67, 311, 1714},	// QSslError::QSslError$#
    {67, 354, 1731},	// QSslError::SelfSignedCertificate
    {67, 355, 1732},	// QSslError::SelfSignedCertificateInChain
    {67, 382, 1741},	// QSslError::SubjectIssuerMismatch
    {67, 396, 1725},	// QSslError::UnableToDecodeIssuerPublicKey
    {67, 397, 1724},	// QSslError::UnableToDecryptCertificateSignature
    {67, 398, 1723},	// QSslError::UnableToGetIssuerCertificate
    {67, 399, 1733},	// QSslError::UnableToGetLocalIssuerCertificate
    {67, 400, 1734},	// QSslError::UnableToVerifyFirstCertificate
    {67, 420, 1747},	// QSslError::UnspecifiedError
    {67, 511, 1721},	// QSslError::certificate
    {67, 604, 1719},	// QSslError::error
    {67, 606, 1720},	// QSslError::errorString
    {67, 768, 1718},	// QSslError::operator!=#
    {67, 804, 1716},	// QSslError::operator=#
    {67, 807, 1717},	// QSslError::operator==#
    {67, 1476, 1748},	// QSslError::~QSslError
    {68, 312, 1749},	// QSslKey::QSslKey
    {68, 313, 1752},	// QSslKey::QSslKey#
    {68, 314, -18},	// QSslKey::QSslKey#$
    {68, 315, -21},	// QSslKey::QSslKey#$$
    {68, 316, -24},	// QSslKey::QSslKey#$$$
    {68, 317, -27},	// QSslKey::QSslKey#$$$#
    {68, 468, 1758},	// QSslKey::algorithm
    {68, 515, 1755},	// QSslKey::clear
    {68, 639, 1761},	// QSslKey::handle
    {68, 686, 1754},	// QSslKey::isNull
    {68, 713, 1756},	// QSslKey::length
    {68, 768, 1763},	// QSslKey::operator!=#
    {68, 804, 1753},	// QSslKey::operator=#
    {68, 807, 1762},	// QSslKey::operator==#
    {68, 1392, 1771},	// QSslKey::toDer
    {68, 1393, 1760},	// QSslKey::toDer#
    {68, 1396, 1770},	// QSslKey::toPem
    {68, 1397, 1759},	// QSslKey::toPem#
    {68, 1409, 1757},	// QSslKey::type
    {68, 1477, 1772},	// QSslKey::~QSslKey
    {69, 17, 1881},	// QSslSocket::AutoVerifyPeer
    {69, 318, 1856},	// QSslSocket::QSslSocket
    {69, 319, 1780},	// QSslSocket::QSslSocket#
    {69, 335, 1879},	// QSslSocket::QueryPeer
    {69, 371, 1876},	// QSslSocket::SslClientMode
    {69, 378, 1877},	// QSslSocket::SslServerMode
    {69, 405, 1875},	// QSslSocket::UnencryptedMode
    {69, 426, 1878},	// QSslSocket::VerifyNone
    {69, 427, 1880},	// QSslSocket::VerifyPeer
    {69, 442, 1802},	// QSslSocket::abort
    {69, 449, 1824},	// QSslSocket::addCaCertificate#
    {69, 451, 1865},	// QSslSocket::addCaCertificates$
    {69, 452, 1866},	// QSslSocket::addCaCertificates$$
    {69, 453, 1823},	// QSslSocket::addCaCertificates$$$
    {69, 454, 1825},	// QSslSocket::addCaCertificates?
    {69, 456, 1829},	// QSslSocket::addDefaultCaCertificate#
    {69, 458, 1867},	// QSslSocket::addDefaultCaCertificates$
    {69, 459, 1868},	// QSslSocket::addDefaultCaCertificates$$
    {69, 460, 1828},	// QSslSocket::addDefaultCaCertificates$$$
    {69, 461, 1830},	// QSslSocket::addDefaultCaCertificates?
    {69, 480, 1800},	// QSslSocket::atEnd
    {69, 499, 1796},	// QSslSocket::bytesAvailable
    {69, 501, 1797},	// QSslSocket::bytesToWrite
    {69, 503, 1827},	// QSslSocket::caCertificates
    {69, 507, 1798},	// QSslSocket::canReadLine
    {69, 514, 1817},	// QSslSocket::ciphers
    {69, 518, 1799},	// QSslSocket::close
    {69, 543, 1857},	// QSslSocket::connectToHostEncrypted$$
    {69, 544, -477},	// QSslSocket::connectToHostEncrypted$$$
    {69, 545, 1782},	// QSslSocket::connectToHostEncrypted$$$$
    {69, 548, 1850},	// QSslSocket::connectToHostImplementation$$$
    {69, 576, 1832},	// QSslSocket::defaultCaCertificates
    {69, 577, 1821},	// QSslSocket::defaultCiphers
    {69, 585, 1851},	// QSslSocket::disconnectFromHostImplementation
    {69, 596, 1845},	// QSslSocket::encrypted
    {69, 597, 1804},	// QSslSocket::encryptedBytesAvailable
    {69, 598, 1805},	// QSslSocket::encryptedBytesToWrite
    {69, 600, 1849},	// QSslSocket::encryptedBytesWritten$
    {69, 617, 1801},	// QSslSocket::flush
    {69, 661, 1844},	// QSslSocket::ignoreSslErrors
    {69, 662, 1841},	// QSslSocket::ignoreSslErrors?
    {69, 677, 1787},	// QSslSocket::isEncrypted
    {69, 725, 1810},	// QSslSocket::localCertificate
    {69, 742, 1773},	// QSslSocket::metaObject
    {69, 748, 1786},	// QSslSocket::mode
    {69, 750, 1848},	// QSslSocket::modeChanged$
    {69, 850, 1811},	// QSslSocket::peerCertificate
    {69, 851, 1812},	// QSslSocket::peerCertificateChain
    {69, 855, 1792},	// QSslSocket::peerVerifyDepth
    {69, 857, 1846},	// QSslSocket::peerVerifyError#
    {69, 858, 1790},	// QSslSocket::peerVerifyMode
    {69, 859, 1794},	// QSslSocket::peerVerifyName
    {69, 874, 1816},	// QSslSocket::privateKey
    {69, 875, 1788},	// QSslSocket::protocol
    {69, 1054, 1779},	// QSslSocket::qt_metacall$$?
    {69, 1056, 1774},	// QSslSocket::qt_metacast$
    {69, 1083, 1852},	// QSslSocket::readData$$
    {69, 1130, 1813},	// QSslSocket::sessionCipher
    {69, 1157, 1826},	// QSslSocket::setCaCertificates?
    {69, 1165, 1819},	// QSslSocket::setCiphers$
    {69, 1166, 1818},	// QSslSocket::setCiphers?
    {69, 1178, 1831},	// QSslSocket::setDefaultCaCertificates?
    {69, 1180, 1820},	// QSslSocket::setDefaultCiphers?
    {69, 1219, 1808},	// QSslSocket::setLocalCertificate#
    {69, 1220, 1861},	// QSslSocket::setLocalCertificate$
    {69, 1221, 1809},	// QSslSocket::setLocalCertificate$$
    {69, 1262, 1793},	// QSslSocket::setPeerVerifyDepth$
    {69, 1264, 1791},	// QSslSocket::setPeerVerifyMode$
    {69, 1266, 1795},	// QSslSocket::setPeerVerifyName$
    {69, 1276, 1814},	// QSslSocket::setPrivateKey#
    {69, 1277, 1862},	// QSslSocket::setPrivateKey$
    {69, 1278, 1863},	// QSslSocket::setPrivateKey$$
    {69, 1279, 1864},	// QSslSocket::setPrivateKey$$$
    {69, 1280, 1815},	// QSslSocket::setPrivateKey$$$#
    {69, 1282, 1789},	// QSslSocket::setProtocol$
    {69, 1299, 1803},	// QSslSocket::setReadBufferSize$
    {69, 1320, 1859},	// QSslSocket::setSocketDescriptor$
    {69, 1321, 1860},	// QSslSocket::setSocketDescriptor$$
    {69, 1322, 1783},	// QSslSocket::setSocketDescriptor$$$
    {69, 1329, 1784},	// QSslSocket::setSocketOption$#
    {69, 1333, 1807},	// QSslSocket::setSslConfiguration#
    {69, 1366, 1785},	// QSslSocket::socketOption$
    {69, 1368, 1806},	// QSslSocket::sslConfiguration
    {69, 1369, 1839},	// QSslSocket::sslErrors
    {69, 1371, 1847},	// QSslSocket::sslErrors?
    {69, 1372, 1842},	// QSslSocket::startClientEncryption
    {69, 1373, 1843},	// QSslSocket::startServerEncryption
    {69, 1377, 1874},	// QSslSocket::staticMetaObject
    {69, 1384, 1822},	// QSslSocket::supportedCiphers
    {69, 1385, 1840},	// QSslSocket::supportsSsl
    {69, 1386, 1833},	// QSslSocket::systemCaCertificates
    {69, 1402, 1854},	// QSslSocket::tr$
    {69, 1403, 1775},	// QSslSocket::tr$$
    {69, 1404, 1777},	// QSslSocket::tr$$$
    {69, 1406, 1855},	// QSslSocket::trUtf8$
    {69, 1407, 1776},	// QSslSocket::trUtf8$$
    {69, 1408, 1778},	// QSslSocket::trUtf8$$$
    {69, 1423, 1872},	// QSslSocket::waitForBytesWritten
    {69, 1424, 1837},	// QSslSocket::waitForBytesWritten$
    {69, 1425, 1869},	// QSslSocket::waitForConnected
    {69, 1426, 1834},	// QSslSocket::waitForConnected$
    {69, 1427, 1873},	// QSslSocket::waitForDisconnected
    {69, 1428, 1838},	// QSslSocket::waitForDisconnected$
    {69, 1429, 1870},	// QSslSocket::waitForEncrypted
    {69, 1430, 1835},	// QSslSocket::waitForEncrypted$
    {69, 1436, 1871},	// QSslSocket::waitForReadyRead
    {69, 1437, 1836},	// QSslSocket::waitForReadyRead$
    {69, 1439, 1853},	// QSslSocket::writeData$$
    {69, 1478, 1882},	// QSslSocket::~QSslSocket
    {72, 320, 1912},	// QTcpServer::QTcpServer
    {72, 321, 1890},	// QTcpServer::QTcpServer#
    {72, 463, 1908},	// QTcpServer::addPendingConnection#
    {72, 518, 1892},	// QTcpServer::close
    {72, 606, 1904},	// QTcpServer::errorString
    {72, 646, 1901},	// QTcpServer::hasPendingConnections
    {72, 664, 1907},	// QTcpServer::incomingConnection$
    {72, 685, 1893},	// QTcpServer::isListening
    {72, 720, 1913},	// QTcpServer::listen
    {72, 721, 1914},	// QTcpServer::listen#
    {72, 722, 1891},	// QTcpServer::listen#$
    {72, 737, 1895},	// QTcpServer::maxPendingConnections
    {72, 742, 1883},	// QTcpServer::metaObject
    {72, 760, 1909},	// QTcpServer::newConnection
    {72, 761, 1902},	// QTcpServer::nextPendingConnection
    {72, 878, 1906},	// QTcpServer::proxy
    {72, 1054, 1889},	// QTcpServer::qt_metacall$$?
    {72, 1056, 1884},	// QTcpServer::qt_metacast$
    {72, 1126, 1897},	// QTcpServer::serverAddress
    {72, 1127, 1903},	// QTcpServer::serverError
    {72, 1129, 1896},	// QTcpServer::serverPort
    {72, 1227, 1894},	// QTcpServer::setMaxPendingConnections$
    {72, 1286, 1905},	// QTcpServer::setProxy#
    {72, 1320, 1899},	// QTcpServer::setSocketDescriptor$
    {72, 1364, 1898},	// QTcpServer::socketDescriptor
    {72, 1377, 1917},	// QTcpServer::staticMetaObject
    {72, 1402, 1910},	// QTcpServer::tr$
    {72, 1403, 1885},	// QTcpServer::tr$$
    {72, 1404, 1887},	// QTcpServer::tr$$$
    {72, 1406, 1911},	// QTcpServer::trUtf8$
    {72, 1407, 1886},	// QTcpServer::trUtf8$$
    {72, 1408, 1888},	// QTcpServer::trUtf8$$$
    {72, 1431, 1915},	// QTcpServer::waitForNewConnection
    {72, 1432, 1916},	// QTcpServer::waitForNewConnection$
    {72, 1433, 1900},	// QTcpServer::waitForNewConnection$$
    {72, 1479, 1918},	// QTcpServer::~QTcpServer
    {73, 322, 1929},	// QTcpSocket::QTcpSocket
    {73, 323, 1926},	// QTcpSocket::QTcpSocket#
    {73, 742, 1919},	// QTcpSocket::metaObject
    {73, 1054, 1925},	// QTcpSocket::qt_metacall$$?
    {73, 1056, 1920},	// QTcpSocket::qt_metacast$
    {73, 1377, 1930},	// QTcpSocket::staticMetaObject
    {73, 1402, 1927},	// QTcpSocket::tr$
    {73, 1403, 1921},	// QTcpSocket::tr$$
    {73, 1404, 1923},	// QTcpSocket::tr$$$
    {73, 1406, 1928},	// QTcpSocket::trUtf8$
    {73, 1407, 1922},	// QTcpSocket::trUtf8$$
    {73, 1408, 1924},	// QTcpSocket::trUtf8$$$
    {73, 1480, 1931},	// QTcpSocket::~QTcpSocket
    {78, 75, 1962},	// QUdpSocket::DefaultForPlatform
    {78, 85, 1964},	// QUdpSocket::DontShareAddress
    {78, 324, 1957},	// QUdpSocket::QUdpSocket
    {78, 325, 1939},	// QUdpSocket::QUdpSocket#
    {78, 348, 1965},	// QUdpSocket::ReuseAddressHint
    {78, 364, 1963},	// QUdpSocket::ShareAddress
    {78, 492, 1958},	// QUdpSocket::bind
    {78, 493, 1940},	// QUdpSocket::bind#$
    {78, 494, 1942},	// QUdpSocket::bind#$$
    {78, 495, 1941},	// QUdpSocket::bind$
    {78, 496, 1943},	// QUdpSocket::bind$$
    {78, 647, 1950},	// QUdpSocket::hasPendingDatagrams
    {78, 703, 1944},	// QUdpSocket::joinMulticastGroup#
    {78, 704, 1945},	// QUdpSocket::joinMulticastGroup##
    {78, 711, 1946},	// QUdpSocket::leaveMulticastGroup#
    {78, 712, 1947},	// QUdpSocket::leaveMulticastGroup##
    {78, 742, 1932},	// QUdpSocket::metaObject
    {78, 751, 1948},	// QUdpSocket::multicastInterface
    {78, 860, 1951},	// QUdpSocket::pendingDatagramSize
    {78, 1054, 1938},	// QUdpSocket::qt_metacall$$?
    {78, 1056, 1933},	// QUdpSocket::qt_metacast$
    {78, 1085, 1959},	// QUdpSocket::readDatagram$$
    {78, 1086, 1960},	// QUdpSocket::readDatagram$$#
    {78, 1087, 1952},	// QUdpSocket::readDatagram$$#$
    {78, 1231, 1949},	// QUdpSocket::setMulticastInterface#
    {78, 1377, 1961},	// QUdpSocket::staticMetaObject
    {78, 1402, 1955},	// QUdpSocket::tr$
    {78, 1403, 1934},	// QUdpSocket::tr$$
    {78, 1404, 1936},	// QUdpSocket::tr$$$
    {78, 1406, 1956},	// QUdpSocket::trUtf8$
    {78, 1407, 1935},	// QUdpSocket::trUtf8$$
    {78, 1408, 1937},	// QUdpSocket::trUtf8$$$
    {78, 1441, 1954},	// QUdpSocket::writeDatagram##$
    {78, 1442, 1953},	// QUdpSocket::writeDatagram$$#$
    {78, 1481, 1966},	// QUdpSocket::~QUdpSocket
    {80, 89, 2008},	// QUrlInfo::ExeGroup
    {80, 90, 2011},	// QUrlInfo::ExeOther
    {80, 91, 2005},	// QUrlInfo::ExeOwner
    {80, 326, 1967},	// QUrlInfo::QUrlInfo
    {80, 327, 1968},	// QUrlInfo::QUrlInfo#
    {80, 328, 1970},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {80, 329, 1969},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {80, 337, 2006},	// QUrlInfo::ReadGroup
    {80, 339, 2009},	// QUrlInfo::ReadOther
    {80, 340, 2003},	// QUrlInfo::ReadOwner
    {80, 428, 2007},	// QUrlInfo::WriteGroup
    {80, 430, 2010},	// QUrlInfo::WriteOther
    {80, 431, 2004},	// QUrlInfo::WriteOwner
    {80, 603, 2000},	// QUrlInfo::equal##$
    {80, 637, 1998},	// QUrlInfo::greaterThan##$
    {80, 638, 1988},	// QUrlInfo::group
    {80, 676, 1992},	// QUrlInfo::isDir
    {80, 678, 1997},	// QUrlInfo::isExecutable
    {80, 679, 1993},	// QUrlInfo::isFile
    {80, 689, 1996},	// QUrlInfo::isReadable
    {80, 695, 1994},	// QUrlInfo::isSymLink
    {80, 697, 1984},	// QUrlInfo::isValid
    {80, 698, 1995},	// QUrlInfo::isWritable
    {80, 707, 1990},	// QUrlInfo::lastModified
    {80, 708, 1991},	// QUrlInfo::lastRead
    {80, 715, 1999},	// QUrlInfo::lessThan##$
    {80, 752, 1985},	// QUrlInfo::name
    {80, 768, 2002},	// QUrlInfo::operator!=#
    {80, 804, 1971},	// QUrlInfo::operator=#
    {80, 807, 2001},	// QUrlInfo::operator==#
    {80, 838, 1987},	// QUrlInfo::owner
    {80, 861, 1986},	// QUrlInfo::permissions
    {80, 1184, 1973},	// QUrlInfo::setDir$
    {80, 1195, 1974},	// QUrlInfo::setFile$
    {80, 1199, 1977},	// QUrlInfo::setGroup$
    {80, 1213, 1982},	// QUrlInfo::setLastModified#
    {80, 1215, 1983},	// QUrlInfo::setLastRead#
    {80, 1234, 1972},	// QUrlInfo::setName$
    {80, 1248, 1976},	// QUrlInfo::setOwner$
    {80, 1268, 1981},	// QUrlInfo::setPermissions$
    {80, 1301, 1980},	// QUrlInfo::setReadable$
    {80, 1316, 1978},	// QUrlInfo::setSize$
    {80, 1342, 1975},	// QUrlInfo::setSymLink$
    {80, 1362, 1979},	// QUrlInfo::setWritable$
    {80, 1363, 1989},	// QUrlInfo::size
    {80, 1482, 2012},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 84,
        __smokeqtnetwork::methods, 2013,
        __smokeqtnetwork::methodMaps, 1642,
        __smokeqtnetwork::methodNames, 1482,
        __smokeqtnetwork::types, 450,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
