#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//23
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//24
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//43
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//132
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//136
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//141
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//145
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//146
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//152
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//153
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//173
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//174
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//175
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//177
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//182
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//185
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//186
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//187
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//188
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//189
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//190
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//191
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//192
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//195
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//196
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//197
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//221
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//222
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//223
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//224
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//225
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//226
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//227
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//228
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//229
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//230
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//231
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//232
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//233
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//234
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//235
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//236
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//239
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//240
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//241
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//242
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//244
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//245
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//248
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//251
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//252
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//253
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//274
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//277
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//278
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//279
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//280
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//281
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//282
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//284
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//285
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//286
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//290
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//291
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//292
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//293
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//294
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//295
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForActiveQtModule", 37, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForCoreModule", 37, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForDBusModule", 37, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForDeclarativeModule", 37, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForGuiModule", 37, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForHelpModule", 37, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForMultimediaModule", 37, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForNetworkModule", 37, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForOpenGLModule", 37, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForOpenVGModule", 37, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForQt3SupportLightModule", 37, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForQt3SupportModule", 37, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForScriptModule", 37, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForScriptToolsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForSqlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForSvgModule", 37, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForTestModule", 37, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForXmlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForXmlPatternsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//395
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//396
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//397
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//398
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//399
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//400
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//404
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//417
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//450
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//452
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//461
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//463
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//467
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//474
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//476
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//481
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//484
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//498
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//500
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//502
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//503
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//505
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//506
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//509
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//510
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//511
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//512
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//513
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//514
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//517
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//518
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//519
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//520
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//521
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//522
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//523
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//524
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//525
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//526
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//527
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//528
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//529
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//530
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//531
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//532
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//533
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//534
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//535
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//536
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//537
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//538
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//539
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//540
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    211, 0,	//1  QPaintEngine::Type
    139, 0,	//3  QGLBuffer::Type
    415, 0,	//5  const QGLBuffer&
    140, 0,	//7  QGLBuffer::UsagePattern
    520, 538, 520, 0,	//9  int, void*, int
    520, 517, 520, 0,	//13  int, const void*, int
    517, 520, 0,	//17  const void*, int
    520, 0,	//20  int
    138, 0,	//22  QGLBuffer::Access
    416, 0,	//24  const QGLColormap&
    520, 516, 520, 0,	//26  int, const unsigned int*, int
    520, 531, 0,	//30  int, unsigned int
    520, 407, 0,	//33  int, const QColor&
    531, 0,	//36  unsigned int
    532, 0,	//38  unsigned long
    520, 516, 0,	//40  int, const unsigned int*
    418, 206, 0,	//43  const QGLFormat&, QPaintDevice*
    418, 0,	//46  const QGLFormat&
    417, 0,	//48  const QGLContext*
    417, 417, 0,	//50  const QGLContext*, const QGLContext*
    439, 531, 520, 68, 0,	//53  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    460, 531, 520, 68, 0,	//58  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    439, 531, 520, 0,	//63  const QImage&, unsigned int, int
    460, 531, 520, 0,	//67  const QPixmap&, unsigned int, int
    482, 0,	//71  const QString&
    470, 531, 531, 0,	//73  const QRectF&, unsigned int, unsigned int
    464, 531, 531, 0,	//77  const QPointF&, unsigned int, unsigned int
    418, 520, 0,	//81  const QGLFormat&, int
    398, 0,	//84  bool
    414, 520, 0,	//86  const QFont&, int
    407, 0,	//89  const QColor&
    206, 0,	//91  QPaintDevice*
    439, 0,	//93  const QImage&
    439, 531, 0,	//95  const QImage&, unsigned int
    460, 0,	//98  const QPixmap&
    460, 531, 0,	//100  const QPixmap&, unsigned int
    470, 531, 0,	//103  const QRectF&, unsigned int
    464, 531, 0,	//106  const QPointF&, unsigned int
    143, 0,	//109  QGLContext*
    67, 520, 0,	//111  QFlags<QGL::FormatOption>, int
    67, 0,	//114  QFlags<QGL::FormatOption>
    520, 520, 0,	//116  int, int
    148, 0,	//119  QGLFormat::OpenGLContextProfile
    475, 531, 0,	//121  const QSize&, unsigned int
    520, 520, 531, 0,	//124  int, int, unsigned int
    475, 151, 531, 531, 0,	//128  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    520, 520, 151, 531, 531, 0,	//133  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    475, 419, 0,	//139  const QSize&, const QGLFramebufferObjectFormat&
    520, 520, 419, 0,	//142  int, int, const QGLFramebufferObjectFormat&
    150, 469, 150, 469, 531, 531, 0,	//146  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    207, 0,	//153  QPaintDevice::PaintDeviceMetric
    475, 0,	//155  const QSize&
    475, 151, 0,	//157  const QSize&, QGLFramebufferObject::Attachment
    475, 151, 531, 0,	//160  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    520, 520, 151, 0,	//164  int, int, QGLFramebufferObject::Attachment
    520, 520, 151, 531, 0,	//168  int, int, QGLFramebufferObject::Attachment, unsigned int
    150, 469, 150, 469, 0,	//173  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    150, 469, 150, 469, 531, 0,	//178  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    419, 0,	//184  const QGLFramebufferObjectFormat&
    151, 0,	//186  QGLFramebufferObject::Attachment
    475, 418, 160, 0,	//188  const QSize&, const QGLFormat&, QGLWidget*
    520, 520, 418, 160, 0,	//192  int, int, const QGLFormat&, QGLWidget*
    475, 418, 0,	//197  const QSize&, const QGLFormat&
    520, 520, 418, 0,	//200  int, int, const QGLFormat&
    509, 0,	//204  const char*
    509, 509, 0,	//206  const char*, const char*
    509, 509, 520, 0,	//209  const char*, const char*, int
    201, 520, 539, 0,	//213  QMetaObject::Call, int, void**
    71, 204, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, QObject*
    71, 417, 204, 0,	//220  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    405, 0,	//224  const QByteArray&
    71, 417, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    71, 0,	//229  QFlags<QGLShader::ShaderTypeBit>
    204, 0,	//231  QObject*
    417, 204, 0,	//233  const QGLContext*, QObject*
    157, 0,	//236  QGLShader*
    71, 509, 0,	//238  QFlags<QGLShader::ShaderTypeBit>, const char*
    71, 405, 0,	//241  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    71, 482, 0,	//244  QFlags<QGLShader::ShaderTypeBit>, const QString&
    509, 520, 0,	//247  const char*, int
    405, 520, 0,	//250  const QByteArray&, int
    482, 520, 0,	//253  const QString&, int
    520, 519, 0,	//256  int, float
    520, 519, 519, 0,	//259  int, float, float
    520, 519, 519, 519, 0,	//263  int, float, float, float
    520, 519, 519, 519, 519, 0,	//268  int, float, float, float, float
    520, 501, 0,	//274  int, const QVector2D&
    520, 504, 0,	//277  int, const QVector3D&
    520, 507, 0,	//280  int, const QVector4D&
    520, 510, 520, 520, 0,	//283  int, const float*, int, int
    509, 519, 0,	//288  const char*, float
    509, 519, 519, 0,	//291  const char*, float, float
    509, 519, 519, 519, 0,	//295  const char*, float, float, float
    509, 519, 519, 519, 519, 0,	//300  const char*, float, float, float, float
    509, 501, 0,	//306  const char*, const QVector2D&
    509, 504, 0,	//309  const char*, const QVector3D&
    509, 507, 0,	//312  const char*, const QVector4D&
    509, 407, 0,	//315  const char*, const QColor&
    509, 510, 520, 520, 0,	//318  const char*, const float*, int, int
    520, 502, 520, 0,	//323  int, const QVector2D*, int
    520, 505, 520, 0,	//327  int, const QVector3D*, int
    520, 508, 520, 0,	//331  int, const QVector4D*, int
    520, 531, 517, 520, 520, 0,	//335  int, unsigned int, const void*, int, int
    509, 502, 520, 0,	//341  const char*, const QVector2D*, int
    509, 505, 520, 0,	//345  const char*, const QVector3D*, int
    509, 508, 520, 0,	//349  const char*, const QVector4D*, int
    509, 531, 517, 520, 520, 0,	//353  const char*, unsigned int, const void*, int, int
    520, 531, 520, 520, 520, 0,	//359  int, unsigned int, int, int, int
    509, 531, 520, 520, 520, 0,	//365  const char*, unsigned int, int, int, int
    520, 462, 0,	//371  int, const QPoint&
    520, 464, 0,	//374  int, const QPointF&
    520, 475, 0,	//377  int, const QSize&
    520, 477, 0,	//380  int, const QSizeF&
    520, 421, 0,	//383  int, const QGenericMatrix<2,2,double>&
    520, 423, 0,	//386  int, const QGenericMatrix<2,3,double>&
    520, 425, 0,	//389  int, const QGenericMatrix<2,4,double>&
    520, 427, 0,	//392  int, const QGenericMatrix<3,2,double>&
    520, 429, 0,	//395  int, const QGenericMatrix<3,3,double>&
    520, 431, 0,	//398  int, const QGenericMatrix<3,4,double>&
    520, 433, 0,	//401  int, const QGenericMatrix<4,2,double>&
    520, 435, 0,	//404  int, const QGenericMatrix<4,3,double>&
    520, 449, 0,	//407  int, const QMatrix4x4&
    520, 511, 0,	//410  int, const float[2][2]
    520, 512, 0,	//413  int, const float[3][3]
    520, 513, 0,	//416  int, const float[4][4]
    520, 493, 0,	//419  int, const QTransform&
    509, 531, 0,	//422  const char*, unsigned int
    509, 462, 0,	//425  const char*, const QPoint&
    509, 464, 0,	//428  const char*, const QPointF&
    509, 475, 0,	//431  const char*, const QSize&
    509, 477, 0,	//434  const char*, const QSizeF&
    509, 421, 0,	//437  const char*, const QGenericMatrix<2,2,double>&
    509, 423, 0,	//440  const char*, const QGenericMatrix<2,3,double>&
    509, 425, 0,	//443  const char*, const QGenericMatrix<2,4,double>&
    509, 427, 0,	//446  const char*, const QGenericMatrix<3,2,double>&
    509, 429, 0,	//449  const char*, const QGenericMatrix<3,3,double>&
    509, 431, 0,	//452  const char*, const QGenericMatrix<3,4,double>&
    509, 433, 0,	//455  const char*, const QGenericMatrix<4,2,double>&
    509, 435, 0,	//458  const char*, const QGenericMatrix<4,3,double>&
    509, 449, 0,	//461  const char*, const QMatrix4x4&
    509, 511, 0,	//464  const char*, const float[2][2]
    509, 512, 0,	//467  const char*, const float[3][3]
    509, 513, 0,	//470  const char*, const float[4][4]
    509, 493, 0,	//473  const char*, const QTransform&
    520, 514, 520, 0,	//476  int, const int*, int
    520, 422, 520, 0,	//480  int, const QGenericMatrix<2,2,double>*, int
    520, 424, 520, 0,	//484  int, const QGenericMatrix<2,3,double>*, int
    520, 426, 520, 0,	//488  int, const QGenericMatrix<2,4,double>*, int
    520, 428, 520, 0,	//492  int, const QGenericMatrix<3,2,double>*, int
    520, 430, 520, 0,	//496  int, const QGenericMatrix<3,3,double>*, int
    520, 432, 520, 0,	//500  int, const QGenericMatrix<3,4,double>*, int
    520, 434, 520, 0,	//504  int, const QGenericMatrix<4,2,double>*, int
    520, 436, 520, 0,	//508  int, const QGenericMatrix<4,3,double>*, int
    520, 450, 520, 0,	//512  int, const QMatrix4x4*, int
    509, 514, 520, 0,	//516  const char*, const int*, int
    509, 516, 520, 0,	//520  const char*, const unsigned int*, int
    509, 422, 520, 0,	//524  const char*, const QGenericMatrix<2,2,double>*, int
    509, 424, 520, 0,	//528  const char*, const QGenericMatrix<2,3,double>*, int
    509, 426, 520, 0,	//532  const char*, const QGenericMatrix<2,4,double>*, int
    509, 428, 520, 0,	//536  const char*, const QGenericMatrix<3,2,double>*, int
    509, 430, 520, 0,	//540  const char*, const QGenericMatrix<3,3,double>*, int
    509, 432, 520, 0,	//544  const char*, const QGenericMatrix<3,4,double>*, int
    509, 434, 520, 0,	//548  const char*, const QGenericMatrix<4,2,double>*, int
    509, 436, 520, 0,	//552  const char*, const QGenericMatrix<4,3,double>*, int
    509, 450, 520, 0,	//556  const char*, const QMatrix4x4*, int
    520, 510, 520, 0,	//560  int, const float*, int
    520, 502, 0,	//564  int, const QVector2D*
    520, 505, 0,	//567  int, const QVector3D*
    520, 508, 0,	//570  int, const QVector4D*
    520, 531, 517, 520, 0,	//573  int, unsigned int, const void*, int
    509, 510, 520, 0,	//578  const char*, const float*, int
    509, 502, 0,	//582  const char*, const QVector2D*
    509, 505, 0,	//585  const char*, const QVector3D*
    509, 508, 0,	//588  const char*, const QVector4D*
    509, 531, 517, 520, 0,	//591  const char*, unsigned int, const void*, int
    520, 531, 520, 520, 0,	//596  int, unsigned int, int, int
    509, 531, 520, 520, 0,	//601  const char*, unsigned int, int, int
    297, 420, 130, 0,	//606  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    143, 297, 420, 130, 0,	//610  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    418, 297, 420, 130, 0,	//615  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    143, 417, 398, 0,	//620  QGLContext*, const QGLContext*, bool
    520, 520, 398, 0,	//624  int, int, bool
    520, 520, 482, 414, 520, 0,	//628  int, int, const QString&, const QFont&, int
    518, 518, 518, 482, 414, 520, 0,	//634  double, double, double, const QString&, const QFont&, int
    44, 0,	//641  QEvent*
    212, 0,	//643  QPaintEvent*
    237, 0,	//645  QResizeEvent*
    297, 0,	//647  QWidget*
    297, 420, 0,	//649  QWidget*, const QGLWidget*
    143, 297, 0,	//652  QGLContext*, QWidget*
    143, 297, 420, 0,	//655  QGLContext*, QWidget*, const QGLWidget*
    418, 297, 0,	//659  const QGLFormat&, QWidget*
    418, 297, 420, 0,	//662  const QGLFormat&, QWidget*, const QGLWidget*
    143, 417, 0,	//666  QGLContext*, const QGLContext*
    520, 520, 482, 0,	//669  int, int, const QString&
    520, 520, 482, 414, 0,	//673  int, int, const QString&, const QFont&
    518, 518, 518, 482, 0,	//678  double, double, double, const QString&
    518, 518, 518, 482, 414, 0,	//683  double, double, double, const QString&, const QFont&
    414, 0,	//689  const QFont&
    31, 520, 0,	//691  QDateTimeEdit::Section, int
    485, 485, 0,	//694  const QStringRef&, const QStringRef&
    533, 0,	//697  unsigned long long
    266, 520, 0,	//699  QTextCodec::ConversionFlag, int
    518, 0,	//702  double
    449, 449, 0,	//704  const QMatrix4x4&, const QMatrix4x4&
    332, 520, 0,	//707  Qt::ImageConversionFlag, int
    504, 504, 0,	//710  const QVector3D&, const QVector3D&
    501, 501, 0,	//713  const QVector2D&, const QVector2D&
    538, 517, 528, 0,	//716  void*, const void*, size_t
    509, 442, 0,	//720  const char*, const QLatin1String&
    32, 79, 0,	//723  QDebug, QFlags<QIODevice::OpenModeFlag>
    28, 173, 0,	//726  QDataStream&, QIcon&
    464, 448, 0,	//729  const QPointF&, const QMatrix&
    209, 89, 0,	//732  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    485, 482, 0,	//735  const QStringRef&, const QString&
    475, 475, 0,	//738  const QSize&, const QSize&
    28, 441, 0,	//741  QDataStream&, const QKeySequence&
    268, 268, 0,	//744  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    509, 405, 0,	//747  const char*, const QByteArray&
    28, 245, 0,	//750  QDataStream&, QStandardItem&
    256, 256, 0,	//753  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    198, 86, 0,	//756  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    46, 63, 0,	//759  QFile::Permission, QFlags<QFile::Permission>
    482, 509, 0,	//762  const QString&, const char*
    28, 231, 0,	//765  QDataStream&, QQuaternion&
    464, 464, 0,	//768  const QPointF&, const QPointF&
    28, 466, 0,	//771  QDataStream&, const QPolygonF&
    518, 518, 0,	//774  double, double
    28, 241, 0,	//777  QDataStream&, QSizeF&
    405, 509, 0,	//780  const QByteArray&, const char*
    519, 0,	//783  float
    527, 0,	//785  signed char
    163, 520, 0,	//787  QGraphicsEffect::ChangeFlag, int
    482, 485, 0,	//790  const QString&, const QStringRef&
    47, 520, 0,	//793  QFileDialog::Option, int
    19, 0,	//796  QChar
    28, 473, 0,	//798  QDataStream&, const QRegion&
    200, 200, 0,	//801  QMessageBox::StandardButton, QMessageBox::StandardButton
    255, 96, 0,	//804  QStyle::SubControl, QFlags<QStyle::SubControl>
    449, 462, 0,	//807  const QMatrix4x4&, const QPoint&
    28, 490, 0,	//810  QDataStream&, const QTextLength&
    32, 402, 0,	//813  QDebug, const QBrush&
    161, 161, 0,	//816  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    485, 442, 0,	//819  const QStringRef&, const QLatin1String&
    449, 507, 0,	//822  const QMatrix4x4&, const QVector4D&
    19, 19, 0,	//825  QChar, QChar
    32, 468, 0,	//828  QDebug, const QQuaternion&
    365, 365, 0,	//831  Qt::TouchPointState, Qt::TouchPointState
    449, 0,	//834  const QMatrix4x4&
    495, 0,	//836  const QUrl&
    298, 520, 0,	//838  QWidget::RenderFlag, int
    449, 518, 0,	//841  const QMatrix4x4&, double
    28, 456, 0,	//844  QDataStream&, const QPalette&
    32, 495, 0,	//847  QDebug, const QUrl&
    28, 24, 0,	//850  QDataStream&, QColor&
    28, 263, 0,	//853  QDataStream&, QTableWidgetItem&
    194, 85, 0,	//856  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    248, 482, 0,	//859  QString::Null, const QString&
    32, 166, 0,	//862  QDebug, QGraphicsItem::GraphicsItemFlag
    32, 418, 0,	//865  QDebug, const QGLFormat&
    298, 113, 0,	//868  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    362, 362, 0,	//871  Qt::ToolBarArea, Qt::ToolBarArea
    170, 520, 0,	//874  QGraphicsView::OptimizationFlag, int
    193, 193, 0,	//877  QLocale::NumberOption, QLocale::NumberOption
    373, 373, 0,	//880  Qt::WindowType, Qt::WindowType
    518, 477, 0,	//883  double, const QSizeF&
    468, 468, 0,	//886  const QQuaternion&, const QQuaternion&
    34, 520, 0,	//889  QDir::Filter, int
    255, 255, 0,	//892  QStyle::SubControl, QStyle::SubControl
    462, 462, 0,	//895  const QPoint&, const QPoint&
    28, 470, 0,	//898  QDataStream&, const QRectF&
    340, 520, 0,	//901  Qt::KeyboardModifier, int
    359, 126, 0,	//904  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    198, 520, 0,	//907  QMdiArea::AreaOption, int
    493, 518, 0,	//910  const QTransform&, double
    2, 49, 0,	//913  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    399, 0,	//916  char
    299, 299, 0,	//918  QWizard::WizardOption, QWizard::WizardOption
    276, 110, 0,	//921  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    273, 520, 0,	//924  QTextOption::Flag, int
    32, 447, 0,	//927  QDebug, const QMargins&
    285, 520, 0,	//930  QUrl::FormattingOption, int
    46, 520, 0,	//933  QFile::Permission, int
    161, 72, 0,	//936  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    462, 518, 0,	//939  const QPoint&, double
    213, 520, 520, 520, 520, 456, 398, 403, 0,	//942  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    213, 520, 520, 520, 520, 456, 0,	//951  QPainter*, int, int, int, int, const QPalette&
    213, 520, 520, 520, 520, 456, 398, 0,	//958  QPainter*, int, int, int, int, const QPalette&, bool
    28, 493, 0,	//966  QDataStream&, const QTransform&
    36, 59, 0,	//969  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    482, 405, 0,	//972  const QString&, const QByteArray&
    477, 477, 0,	//975  const QSizeF&, const QSizeF&
    504, 449, 0,	//978  const QVector3D&, const QMatrix4x4&
    507, 507, 0,	//981  const QVector4D&, const QVector4D&
    32, 464, 0,	//984  QDebug, const QPointF&
    524, 520, 522, 522, 0,	//987  long double, int, int*, int*
    47, 64, 0,	//992  QFileDialog::Option, QFlags<QFileDialog::Option>
    28, 460, 0,	//995  QDataStream&, const QPixmap&
    340, 122, 0,	//998  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    299, 520, 0,	//1001  QWizard::WizardOption, int
    32, 444, 0,	//1004  QDebug, const QLineF&
    32, 410, 0,	//1007  QDebug, const QDateTime&
    37, 60, 0,	//1010  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    509, 482, 0,	//1013  const char*, const QString&
    520, 520, 520, 0,	//1016  int, int, int
    169, 169, 0,	//1020  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    144, 68, 0,	//1023  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    28, 459, 0,	//1026  QDataStream&, const QPicture&
    285, 285, 0,	//1029  QUrl::FormattingOption, QUrl::FormattingOption
    365, 128, 0,	//1032  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    332, 332, 0,	//1035  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    210, 520, 0,	//1038  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//1041  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    193, 520, 0,	//1044  QLocale::NumberOption, int
    442, 442, 0,	//1047  const QLatin1String&, const QLatin1String&
    515, 520, 0,	//1050  const unsigned char*, int
    509, 509, 531, 0,	//1053  const char*, const char*, unsigned int
    442, 485, 0,	//1057  const QLatin1String&, const QStringRef&
    181, 183, 0,	//1060  QKeyEvent*, QKeySequence::StandardKey
    258, 258, 0,	//1063  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    274, 244, 0,	//1066  QTextStream&, QSplitter&
    440, 0,	//1069  const QItemSelectionRange&
    322, 322, 0,	//1071  Qt::DropAction, Qt::DropAction
    214, 91, 0,	//1074  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    32, 462, 0,	//1077  QDebug, const QPoint&
    28, 192, 0,	//1080  QDataStream&, QLocale&
    482, 19, 0,	//1083  const QString&, QChar
    248, 248, 0,	//1086  QString::Null, QString::Null
    10, 52, 0,	//1089  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    158, 520, 0,	//1092  QGLShader::ShaderTypeBit, int
    515, 530, 520, 0,	//1095  const unsigned char*, unsigned char*, int
    257, 98, 0,	//1099  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    266, 266, 0,	//1102  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    347, 347, 0,	//1105  Qt::Orientation, Qt::Orientation
    155, 155, 0,	//1108  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    538, 528, 528, 528, 0,	//1111  void*, size_t, size_t, size_t
    28, 217, 0,	//1116  QDataStream&, QPalette&
    28, 408, 0,	//1119  QDataStream&, const QCursor&
    405, 482, 0,	//1122  const QByteArray&, const QString&
    362, 127, 0,	//1125  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    268, 106, 0,	//1128  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    469, 469, 0,	//1131  const QRect&, const QRect&
    45, 62, 0,	//1134  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    401, 401, 0,	//1137  const QBitArray&, const QBitArray&
    405, 405, 0,	//1140  const QByteArray&, const QByteArray&
    200, 88, 0,	//1143  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    538, 528, 0,	//1146  void*, size_t
    220, 92, 0,	//1149  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    28, 448, 0,	//1152  QDataStream&, const QMatrix&
    28, 446, 0,	//1155  QDataStream&, const QLocale&
    32, 412, 0,	//1158  QDebug, const QEasingCurve&
    537, 0,	//1161  void(*)(QtMsgType,const char*)
    3, 520, 0,	//1163  QAbstractPrintDialog::PrintDialogOption, int
    453, 0,	//1166  const QModelIndex&
    31, 31, 0,	//1168  QDateTimeEdit::Section, QDateTimeEdit::Section
    262, 103, 0,	//1171  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    28, 30, 0,	//1174  QDataStream&, QDateTime&
    32, 413, 0,	//1177  QDebug, const QEvent*
    15, 15, 0,	//1180  QBool, QBool
    163, 163, 0,	//1183  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    509, 485, 0,	//1186  const char*, const QStringRef&
    133, 520, 0,	//1189  QFontComboBox::FontFilter, int
    362, 520, 0,	//1192  Qt::ToolBarArea, int
    161, 520, 0,	//1195  QGestureRecognizer::ResultFlag, int
    176, 176, 0,	//1198  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    135, 67, 0,	//1201  QGL::FormatOption, QFlags<QGL::FormatOption>
    28, 218, 0,	//1204  QDataStream&, QPen&
    443, 493, 0,	//1207  const QLine&, const QTransform&
    32, 466, 0,	//1210  QDebug, const QPolygonF&
    334, 520, 0,	//1213  Qt::InputMethodHint, int
    19, 482, 0,	//1216  QChar, const QString&
    259, 100, 0,	//1219  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    249, 520, 0,	//1222  QString::SectionFlag, int
    144, 520, 0,	//1225  QGLContext::BindOption, int
    162, 73, 0,	//1228  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    184, 520, 0,	//1231  QLibrary::LoadHint, int
    32, 165, 0,	//1234  QDebug, QGraphicsItem::GraphicsItemChange
    28, 284, 0,	//1237  QDataStream&, QUrl&
    525, 0,	//1240  long long
    468, 0,	//1242  const QQuaternion&
    482, 248, 0,	//1244  const QString&, QString::Null
    134, 134, 0,	//1247  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    493, 493, 0,	//1250  const QTransform&, const QTransform&
    194, 520, 0,	//1253  QMainWindow::DockOption, int
    28, 16, 0,	//1256  QDataStream&, QBrush&
    1, 520, 0,	//1259  QAbstractFileEngine::FileFlag, int
    266, 104, 0,	//1262  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    482, 399, 0,	//1265  const QString&, char
    455, 448, 0,	//1268  const QPainterPath&, const QMatrix&
    334, 120, 0,	//1271  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    149, 520, 0,	//1274  QGLFormat::OpenGLVersionFlag, int
    194, 194, 0,	//1277  QMainWindow::DockOption, QMainWindow::DockOption
    299, 114, 0,	//1280  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    28, 242, 0,	//1283  QDataStream&, QSizePolicy&
    373, 130, 0,	//1286  Qt::WindowType, QFlags<Qt::WindowType>
    213, 520, 520, 520, 520, 407, 520, 403, 0,	//1289  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    213, 520, 520, 520, 520, 407, 0,	//1298  QPainter*, int, int, int, int, const QColor&
    213, 520, 520, 520, 520, 407, 520, 0,	//1305  QPainter*, int, int, int, int, const QColor&, int
    468, 518, 0,	//1313  const QQuaternion&, double
    345, 345, 0,	//1316  Qt::MouseButton, Qt::MouseButton
    400, 509, 0,	//1319  char*, const char*
    220, 220, 0,	//1322  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    473, 448, 0,	//1325  const QRegion&, const QMatrix&
    300, 300, 0,	//1328  Qt::AlignmentFlag, Qt::AlignmentFlag
    462, 0,	//1331  const QPoint&
    322, 520, 0,	//1333  Qt::DropAction, int
    28, 492, 0,	//1336  QDataStream&, const QTime&
    35, 520, 0,	//1339  QDir::SortFlag, int
    447, 447, 0,	//1342  const QMargins&, const QMargins&
    213, 469, 456, 398, 520, 520, 403, 0,	//1345  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    213, 469, 456, 0,	//1353  QPainter*, const QRect&, const QPalette&
    213, 469, 456, 398, 0,	//1357  QPainter*, const QRect&, const QPalette&, bool
    213, 469, 456, 398, 520, 0,	//1362  QPainter*, const QRect&, const QPalette&, bool, int
    213, 469, 456, 398, 520, 520, 0,	//1368  QPainter*, const QRect&, const QPalette&, bool, int, int
    28, 455, 0,	//1375  QDataStream&, const QPainterPath&
    507, 449, 0,	//1378  const QVector4D&, const QMatrix4x4&
    267, 520, 0,	//1381  QTextDocument::FindFlag, int
    205, 0,	//1384  QObject*(*)()
    32, 440, 0,	//1386  QDebug, const QItemSelectionRange&
    32, 441, 0,	//1389  QDebug, const QKeySequence&
    37, 37, 0,	//1392  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    213, 469, 447, 460, 0,	//1395  QPainter*, const QRect&, const QMargins&, const QPixmap&
    507, 518, 0,	//1400  const QVector4D&, double
    274, 479, 0,	//1403  QTextStream&, const QSplitter&
    343, 343, 0,	//1406  Qt::MatchFlag, Qt::MatchFlag
    528, 0,	//1409  size_t
    320, 116, 0,	//1411  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    28, 251, 0,	//1414  QDataStream&, QStringList&
    260, 260, 0,	//1417  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    180, 82, 0,	//1420  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    28, 504, 0,	//1423  QDataStream&, const QVector3D&
    32, 498, 0,	//1426  QDebug, const QVariant::Type
    320, 520, 0,	//1429  Qt::DockWidgetArea, int
    271, 108, 0,	//1432  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    28, 501, 0,	//1435  QDataStream&, const QVector2D&
    28, 402, 0,	//1438  QDataStream&, const QBrush&
    213, 469, 456, 398, 403, 0,	//1441  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    199, 520, 0,	//1447  QMdiSubWindow::SubWindowOption, int
    523, 0,	//1450  long
    28, 494, 0,	//1452  QDataStream&, const QTreeWidgetItem&
    534, 0,	//1455  unsigned short
    270, 270, 0,	//1457  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    28, 188, 0,	//1460  QDataStream&, QLineF&
    209, 209, 0,	//1463  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    28, 439, 0,	//1466  QDataStream&, const QImage&
    46, 46, 0,	//1469  QFile::Permission, QFile::Permission
    178, 81, 0,	//1472  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    213, 469, 456, 398, 520, 403, 0,	//1475  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    399, 482, 0,	//1482  char, const QString&
    28, 240, 0,	//1485  QDataStream&, QSize&
    28, 182, 0,	//1488  QDataStream&, QKeySequence&
    259, 259, 0,	//1491  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    33, 520, 0,	//1494  QDialogButtonBox::StandardButton, int
    270, 107, 0,	//1497  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    458, 0,	//1500  const QPersistentModelIndex&
    32, 473, 0,	//1502  QDebug, const QRegion&
    28, 507, 0,	//1505  QDataStream&, const QVector4D&
    28, 438, 0,	//1508  QDataStream&, const QIcon&
    28, 482, 0,	//1511  QDataStream&, const QString&
    28, 410, 0,	//1514  QDataStream&, const QDateTime&
    28, 293, 0,	//1517  QDataStream&, QVector3D&
    158, 71, 0,	//1520  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    454, 482, 451, 0,	//1523  const QObject*, const QString&, const QMetaObject&
    213, 520, 520, 520, 520, 456, 398, 520, 403, 0,	//1527  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    213, 520, 520, 520, 520, 456, 398, 520, 0,	//1537  QPainter*, int, int, int, int, const QPalette&, bool, int
    249, 249, 0,	//1546  QString::SectionFlag, QString::SectionFlag
    28, 291, 0,	//1549  QDataStream&, QVector2D&
    200, 520, 0,	//1552  QMessageBox::StandardButton, int
    501, 518, 0,	//1555  const QVector2D&, double
    257, 257, 0,	//1558  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    464, 518, 0,	//1561  const QPointF&, double
    398, 15, 0,	//1564  bool, QBool
    170, 170, 0,	//1567  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    504, 518, 0,	//1570  const QVector3D&, double
    180, 180, 0,	//1573  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    178, 178, 0,	//1576  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    400, 509, 531, 0,	//1579  char*, const char*, unsigned int
    518, 501, 0,	//1583  double, const QVector2D&
    507, 0,	//1586  const QVector4D&
    283, 111, 0,	//1588  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    28, 197, 0,	//1591  QDataStream&, QMatrix4x4&
    260, 101, 0,	//1594  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    268, 520, 0,	//1597  QTextEdit::AutoFormattingFlag, int
    259, 520, 0,	//1600  QStyleOptionTab::CornerWidget, int
    28, 462, 0,	//1603  QDataStream&, const QPoint&
    28, 288, 0,	//1606  QDataStream&, QVariant&
    464, 449, 0,	//1609  const QPointF&, const QMatrix4x4&
    345, 520, 0,	//1612  Qt::MouseButton, int
    28, 175, 0,	//1615  QDataStream&, QImage&
    464, 0,	//1618  const QPointF&
    32, 486, 0,	//1620  QDebug, const QStyleOption&
    3, 50, 0,	//1623  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    28, 219, 0,	//1626  QDataStream&, QPicture&
    25, 520, 0,	//1629  QColorDialog::ColorDialogOption, int
    135, 520, 0,	//1632  QGL::FormatOption, int
    32, 458, 0,	//1635  QDebug, const QPersistentModelIndex&
    466, 448, 0,	//1638  const QPolygonF&, const QMatrix&
    28, 295, 0,	//1641  QDataStream&, QVector4D&
    25, 25, 0,	//1644  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    509, 509, 509, 520, 0,	//1647  const char*, const char*, const char*, int
    519, 462, 0,	//1652  float, const QPoint&
    47, 47, 0,	//1655  QFileDialog::Option, QFileDialog::Option
    273, 273, 0,	//1658  QTextOption::Flag, QTextOption::Flag
    347, 125, 0,	//1661  Qt::Orientation, QFlags<Qt::Orientation>
    28, 449, 0,	//1664  QDataStream&, const QMatrix4x4&
    448, 448, 0,	//1667  const QMatrix&, const QMatrix&
    45, 520, 0,	//1670  QEventLoop::ProcessEventsFlag, int
    470, 470, 0,	//1673  const QRectF&, const QRectF&
    520, 520, 520, 520, 0,	//1676  int, int, int, int
    28, 281, 0,	//1681  QDataStream&, QTransform&
    32, 167, 0,	//1684  QDebug, QGraphicsObject*
    28, 480, 0,	//1687  QDataStream&, const QStandardItem&
    332, 119, 0,	//1690  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    518, 507, 0,	//1693  double, const QVector4D&
    10, 520, 0,	//1696  QAccessible::RelationFlag, int
    199, 87, 0,	//1699  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    28, 483, 0,	//1702  QDataStream&, const QStringList&
    32, 449, 0,	//1705  QDebug, const QMatrix4x4&
    405, 399, 0,	//1708  const QByteArray&, char
    36, 36, 0,	//1711  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    34, 57, 0,	//1714  QDir::Filter, QFlags<QDir::Filter>
    28, 224, 0,	//1717  QDataStream&, QPoint&
    477, 518, 0,	//1720  const QSizeF&, double
    28, 409, 0,	//1723  QDataStream&, const QDate&
    262, 520, 0,	//1726  QStyleOptionViewItemV2::ViewItemFeature, int
    536, 0,	//1729  void(*)()
    515, 520, 520, 0,	//1731  const unsigned char*, int, int
    243, 243, 0,	//1735  QSizePolicy::ControlType, QSizePolicy::ControlType
    28, 443, 0,	//1738  QDataStream&, const QLine&
    28, 195, 0,	//1741  QDataStream&, QMatrix&
    33, 33, 0,	//1744  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    28, 247, 0,	//1747  QDataStream&, QString&
    254, 254, 0,	//1750  QStyle::StateFlag, QStyle::StateFlag
    28, 445, 0,	//1753  QDataStream&, const QListWidgetItem&
    257, 520, 0,	//1756  QStyleOptionFrameV2::FrameFeature, int
    155, 70, 0,	//1759  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    538, 0,	//1762  void*
    32, 75, 0,	//1764  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    444, 448, 0,	//1767  const QLineF&, const QMatrix&
    28, 489, 0,	//1770  QDataStream&, const QTextFormat&
    337, 520, 0,	//1773  Qt::ItemFlag, int
    28, 282, 0,	//1776  QDataStream&, QTreeWidgetItem&
    32, 411, 0,	//1779  QDebug, const QDir&
    274, 275, 0,	//1782  QTextStream&, QTextStream&(*)(QTextStream&)
    32, 457, 0,	//1785  QDebug, const QPen&
    518, 468, 0,	//1788  double, const QQuaternion&
    418, 418, 0,	//1791  const QGLFormat&, const QGLFormat&
    32, 453, 0,	//1794  QDebug, const QModelIndex&
    166, 75, 0,	//1797  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    32, 504, 0,	//1800  QDebug, const QVector3D&
    271, 271, 0,	//1803  QTextItem::RenderFlag, QTextItem::RenderFlag
    45, 45, 0,	//1806  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    401, 0,	//1809  const QBitArray&
    32, 501, 0,	//1811  QDebug, const QVector2D&
    176, 80, 0,	//1814  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    32, 492, 0,	//1817  QDebug, const QTime&
    274, 277, 0,	//1820  QTextStream&, QTextStreamManipulator
    32, 507, 0,	//1823  QDebug, const QVector4D&
    28, 269, 0,	//1826  QDataStream&, QTextFormat&
    327, 118, 0,	//1829  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    485, 509, 0,	//1832  const QStringRef&, const char*
    261, 520, 0,	//1835  QStyleOptionToolButton::ToolButtonFeature, int
    243, 93, 0,	//1838  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    298, 298, 0,	//1841  QWidget::RenderFlag, QWidget::RenderFlag
    28, 14, 0,	//1844  QDataStream&, QBitArray&
    28, 228, 0,	//1847  QDataStream&, QPolygon&
    28, 236, 0,	//1850  QDataStream&, QRegion&
    4, 4, 0,	//1853  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    28, 478, 0,	//1856  QDataStream&, const QSizePolicy&
    261, 261, 0,	//1859  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    37, 520, 0,	//1862  QDockWidget::DockWidgetFeature, int
    528, 528, 0,	//1865  size_t, size_t
    168, 76, 0,	//1868  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    144, 144, 0,	//1871  QGLContext::BindOption, QGLContext::BindOption
    462, 493, 0,	//1874  const QPoint&, const QTransform&
    524, 520, 522, 522, 400, 528, 0,	//1877  long double, int, int*, int*, char*, size_t
    32, 477, 0,	//1884  QDebug, const QSizeF&
    327, 520, 0,	//1887  Qt::GestureFlag, int
    399, 405, 0,	//1890  char, const QByteArray&
    254, 520, 0,	//1893  QStyle::StateFlag, int
    28, 497, 0,	//1896  QDataStream&, const QVariant&
    261, 102, 0,	//1899  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    32, 497, 0,	//1902  QDebug, const QVariant&
    11, 11, 0,	//1905  QAccessible::StateFlag, QAccessible::StateFlag
    214, 214, 0,	//1908  QPainter::RenderHint, QPainter::RenderHint
    372, 520, 0,	//1911  Qt::WindowState, int
    28, 278, 0,	//1914  QDataStream&, QTime&
    28, 222, 0,	//1917  QDataStream&, QPixmap&
    31, 55, 0,	//1920  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    273, 109, 0,	//1923  QTextOption::Flag, QFlags<QTextOption::Flag>
    32, 57, 0,	//1926  QDebug, QFlags<QDir::Filter>
    340, 340, 0,	//1929  Qt::KeyboardModifier, Qt::KeyboardModifier
    518, 464, 0,	//1932  double, const QPointF&
    28, 43, 0,	//1935  QDataStream&, QEasingCurve&
    322, 117, 0,	//1938  Qt::DropAction, QFlags<Qt::DropAction>
    473, 493, 0,	//1941  const QRegion&, const QTransform&
    149, 69, 0,	//1944  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    475, 518, 0,	//1947  const QSize&, double
    32, 409, 0,	//1950  QDebug, const QDate&
    455, 493, 0,	//1953  const QPainterPath&, const QTransform&
    11, 53, 0,	//1956  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    34, 34, 0,	//1959  QDir::Filter, QDir::Filter
    400, 528, 509, 535, 0,	//1962  char*, size_t, const char*, va_list
    518, 462, 0,	//1967  double, const QPoint&
    466, 493, 0,	//1970  const QPolygonF&, const QTransform&
    538, 520, 528, 0,	//1973  void*, int, size_t
    28, 444, 0,	//1977  QDataStream&, const QLineF&
    526, 0,	//1980  short
    199, 199, 0,	//1982  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    172, 172, 0,	//1985  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    320, 320, 0,	//1988  Qt::DockWidgetArea, Qt::DockWidgetArea
    35, 58, 0,	//1991  QDir::SortFlag, QFlags<QDir::SortFlag>
    519, 519, 0,	//1994  float, float
    497, 499, 0,	//1997  const QVariant&, const QVariantComparisonHelper&
    178, 520, 0,	//2000  QInputDialog::InputDialogOption, int
    184, 184, 0,	//2003  QLibrary::LoadHint, QLibrary::LoadHint
    524, 520, 400, 0,	//2006  long double, int, char*
    538, 528, 528, 521, 0,	//2010  void*, size_t, size_t, int(*)(const void*,const void*)
    283, 283, 0,	//2015  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    258, 99, 0,	//2018  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    170, 78, 0,	//2021  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    36, 520, 0,	//2024  QDirIterator::IteratorFlag, int
    334, 334, 0,	//2027  Qt::InputMethodHint, Qt::InputMethodHint
    168, 520, 0,	//2030  QGraphicsScene::SceneLayer, int
    28, 457, 0,	//2033  QDataStream&, const QPen&
    155, 520, 0,	//2036  QGLFunctions::OpenGLFeature, int
    210, 210, 0,	//2039  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    28, 216, 0,	//2042  QDataStream&, QPainterPath&
    32, 443, 0,	//2045  QDebug, const QLine&
    359, 359, 0,	//2048  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    213, 520, 520, 520, 520, 456, 398, 520, 520, 403, 0,	//2051  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    213, 520, 520, 520, 520, 456, 398, 520, 520, 0,	//2062  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    365, 520, 0,	//2072  Qt::TouchPointState, int
    28, 272, 0,	//2075  QDataStream&, QTextLength&
    32, 493, 0,	//2078  QDebug, const QTransform&
    283, 520, 0,	//2081  QTreeWidgetItemIterator::IteratorFlag, int
    32, 465, 0,	//2084  QDebug, const QPolygon&
    285, 112, 0,	//2087  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 520, 0,	//2090  QAbstractSpinBox::StepEnabledFlag, int
    243, 520, 0,	//2093  QSizePolicy::ControlType, int
    168, 168, 0,	//2096  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    359, 520, 0,	//2099  Qt::TextInteractionFlag, int
    372, 372, 0,	//2102  Qt::WindowState, Qt::WindowState
    501, 0,	//2105  const QVector2D&
    270, 520, 0,	//2107  QTextFormat::PageBreakFlag, int
    1, 48, 0,	//2110  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    28, 407, 0,	//2113  QDataStream&, const QColor&
    518, 449, 0,	//2116  double, const QMatrix4x4&
    28, 405, 0,	//2119  QDataStream&, const QByteArray&
    10, 10, 0,	//2122  QAccessible::RelationFlag, QAccessible::RelationFlag
    28, 412, 0,	//2125  QDataStream&, const QEasingCurve&
    443, 448, 0,	//2128  const QLine&, const QMatrix&
    28, 495, 0,	//2131  QDataStream&, const QUrl&
    32, 469, 0,	//2134  QDebug, const QRect&
    32, 414, 0,	//2137  QDebug, const QFont&
    35, 35, 0,	//2140  QDir::SortFlag, QDir::SortFlag
    25, 54, 0,	//2143  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    169, 520, 0,	//2146  QGraphicsView::CacheModeFlag, int
    276, 520, 0,	//2149  QTextStream::NumberFlag, int
    28, 232, 0,	//2152  QDataStream&, QRect&
    198, 198, 0,	//2155  QMdiArea::AreaOption, QMdiArea::AreaOption
    28, 475, 0,	//2158  QDataStream&, const QSize&
    28, 406, 0,	//2161  QDataStream&, const QChar&
    133, 65, 0,	//2164  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    183, 181, 0,	//2167  QKeySequence::StandardKey, QKeyEvent*
    134, 66, 0,	//2170  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    254, 95, 0,	//2173  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    300, 520, 0,	//2176  Qt::AlignmentFlag, int
    28, 191, 0,	//2179  QDataStream&, QListWidgetItem&
    28, 471, 0,	//2182  QDataStream&, const QRegExp&
    176, 520, 0,	//2185  QImageIOPlugin::Capability, int
    267, 105, 0,	//2188  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    504, 0,	//2191  const QVector3D&
    32, 470, 0,	//2193  QDebug, const QRectF&
    372, 129, 0,	//2196  Qt::WindowState, QFlags<Qt::WindowState>
    163, 74, 0,	//2199  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    337, 337, 0,	//2202  Qt::ItemFlag, Qt::ItemFlag
    28, 286, 0,	//2205  QDataStream&, QUuid&
    28, 132, 0,	//2208  QDataStream&, QFont&
    213, 469, 407, 520, 403, 0,	//2211  QPainter*, const QRect&, const QColor&, int, const QBrush*
    213, 469, 407, 0,	//2217  QPainter*, const QRect&, const QColor&
    213, 469, 407, 520, 0,	//2221  QPainter*, const QRect&, const QColor&, int
    28, 230, 0,	//2226  QDataStream&, QPolygonF&
    166, 166, 0,	//2229  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    158, 158, 0,	//2232  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    260, 520, 0,	//2235  QStyleOptionToolBar::ToolBarFeature, int
    462, 520, 0,	//2238  const QPoint&, int
    28, 290, 0,	//2241  QDataStream&, QVariant::Type&
    214, 520, 0,	//2244  QPainter::RenderHint, int
    497, 289, 538, 0,	//2247  const QVariant&, QVariant::Type, void*
    32, 95, 0,	//2251  QDebug, QFlags<QStyle::StateFlag>
    2, 520, 0,	//2254  QAbstractItemView::EditTrigger, int
    462, 449, 0,	//2257  const QPoint&, const QMatrix4x4&
    462, 448, 0,	//2260  const QPoint&, const QMatrix&
    3, 3, 0,	//2263  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    454, 482, 472, 451, 190, 0,	//2266  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    437, 437, 0,	//2272  const QHashDummyValue&, const QHashDummyValue&
    28, 226, 0,	//2275  QDataStream&, QPointF&
    347, 520, 0,	//2278  Qt::Orientation, int
    262, 262, 0,	//2281  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    449, 504, 0,	//2284  const QMatrix4x4&, const QVector3D&
    28, 488, 0,	//2287  QDataStream&, const QTableWidgetItem&
    32, 164, 0,	//2290  QDebug, QGraphicsItem*
    213, 462, 462, 456, 398, 520, 520, 0,	//2293  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    213, 462, 462, 456, 0,	//2301  QPainter*, const QPoint&, const QPoint&, const QPalette&
    213, 462, 462, 456, 398, 0,	//2306  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    213, 462, 462, 456, 398, 520, 0,	//2312  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    327, 327, 0,	//2319  Qt::GestureFlag, Qt::GestureFlag
    172, 79, 0,	//2322  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    449, 464, 0,	//2325  const QMatrix4x4&, const QPointF&
    162, 520, 0,	//2328  QGraphicsBlurEffect::BlurHint, int
    210, 90, 0,	//2331  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    28, 414, 0,	//2334  QDataStream&, const QFont&
    162, 162, 0,	//2337  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    465, 493, 0,	//2340  const QPolygon&, const QTransform&
    149, 149, 0,	//2343  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    209, 520, 0,	//2346  QPaintEngine::DirtyFlag, int
    462, 519, 0,	//2349  const QPoint&, float
    518, 475, 0,	//2352  double, const QSize&
    180, 520, 0,	//2355  QItemSelectionModel::SelectionFlag, int
    15, 398, 0,	//2358  QBool, bool
    33, 56, 0,	//2361  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    28, 186, 0,	//2364  QDataStream&, QLine&
    32, 475, 0,	//2367  QDebug, const QSize&
    255, 520, 0,	//2370  QStyle::SubControl, int
    276, 276, 0,	//2373  QTextStream::NumberFlag, QTextStream::NumberFlag
    444, 493, 0,	//2376  const QLineF&, const QTransform&
    134, 520, 0,	//2379  QFontDialog::FontDialogOption, int
    345, 124, 0,	//2382  Qt::MouseButton, QFlags<Qt::MouseButton>
    28, 498, 0,	//2385  QDataStream&, const QVariant::Type
    267, 267, 0,	//2388  QTextDocument::FindFlag, QTextDocument::FindFlag
    258, 520, 0,	//2391  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    337, 121, 0,	//2394  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    464, 493, 0,	//2397  const QPointF&, const QTransform&
    32, 407, 0,	//2400  QDebug, const QColor&
    32, 448, 0,	//2403  QDebug, const QMatrix&
    28, 496, 0,	//2406  QDataStream&, const QUuid&
    184, 83, 0,	//2409  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    373, 520, 0,	//2412  Qt::WindowType, int
    256, 520, 0,	//2415  QStyleOptionButton::ButtonFeature, int
    28, 233, 0,	//2418  QDataStream&, QRectF&
    256, 97, 0,	//2421  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    169, 77, 0,	//2424  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    28, 27, 0,	//2427  QDataStream&, QCursor&
    166, 520, 0,	//2430  QGraphicsItem::GraphicsItemFlag, int
    28, 469, 0,	//2433  QDataStream&, const QRect&
    343, 123, 0,	//2436  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    300, 115, 0,	//2439  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    28, 20, 0,	//2442  QDataStream&, QChar&
    28, 234, 0,	//2445  QDataStream&, QRegExp&
    28, 468, 0,	//2448  QDataStream&, const QQuaternion&
    11, 520, 0,	//2451  QAccessible::StateFlag, int
    28, 464, 0,	//2454  QDataStream&, const QPointF&
    135, 135, 0,	//2457  QGL::FormatOption, QGL::FormatOption
    220, 520, 0,	//2460  QPinchGesture::ChangeFlag, int
    28, 477, 0,	//2463  QDataStream&, const QSizeF&
    193, 84, 0,	//2466  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    271, 520, 0,	//2469  QTextItem::RenderFlag, int
    213, 469, 447, 460, 469, 447, 491, 61, 0,	//2472  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    213, 469, 447, 460, 469, 447, 0,	//2481  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    213, 469, 447, 460, 469, 447, 491, 0,	//2488  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    249, 94, 0,	//2496  QString::SectionFlag, QFlags<QString::SectionFlag>
    482, 482, 0,	//2499  const QString&, const QString&
    1, 1, 0,	//2502  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    376, 509, 0,	//2505  QtMsgType, const char*
    32, 455, 0,	//2508  QDebug, const QPainterPath&
    518, 504, 0,	//2511  double, const QVector3D&
    485, 0,	//2514  const QStringRef&
    172, 520, 0,	//2516  QIODevice::OpenModeFlag, int
    4, 51, 0,	//2519  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    529, 0,	//2522  unsigned char
    28, 18, 0,	//2524  QDataStream&, QByteArray&
    133, 133, 0,	//2527  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    465, 448, 0,	//2530  const QPolygon&, const QMatrix&
    32, 487, 0,	//2533  QDebug, const QStyleOption::OptionType&
    32, 454, 0,	//2536  QDebug, const QObject*
    343, 520, 0,	//2539  Qt::MatchFlag, int
    28, 465, 0,	//2542  QDataStream&, const QPolygon&
    28, 29, 0,	//2545  QDataStream&, QDate&
    28, 401, 0,	//2548  QDataStream&, const QBitArray&
    204, 44, 0,	//2551  QObject*, QEvent*
    279, 0,	//2554  QTimerEvent*
    21, 0,	//2556  QChildEvent*
    202, 0,	//2558  QMouseEvent*
    296, 0,	//2560  QWheelEvent*
    181, 0,	//2562  QKeyEvent*
    131, 0,	//2564  QFocusEvent*
    203, 0,	//2566  QMoveEvent*
    22, 0,	//2568  QCloseEvent*
    26, 0,	//2570  QContextMenuEvent*
    264, 0,	//2572  QTabletEvent*
    12, 0,	//2574  QActionEvent*
    38, 0,	//2576  QDragEnterEvent*
    40, 0,	//2578  QDragMoveEvent*
    39, 0,	//2580  QDragLeaveEvent*
    42, 0,	//2582  QDropEvent*
    238, 0,	//2584  QShowEvent*
    171, 0,	//2586  QHideEvent*
    396, 0,	//2588  _XEvent*
    179, 0,	//2590  QInputMethodEvent*
    335, 0,	//2592  Qt::InputMethodQuery
    253, 0,	//2594  QStyle&
    456, 0,	//2596  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LicensedActiveQt",	//27
    "LicensedCore",	//28
    "LicensedDBus",	//29
    "LicensedDeclarative",	//30
    "LicensedGui",	//31
    "LicensedHelp",	//32
    "LicensedMultimedia",	//33
    "LicensedNetwork",	//34
    "LicensedOpenGL",	//35
    "LicensedOpenVG",	//36
    "LicensedQt3Support",	//37
    "LicensedQt3SupportLight",	//38
    "LicensedScript",	//39
    "LicensedScriptTools",	//40
    "LicensedSql",	//41
    "LicensedSvg",	//42
    "LicensedTest",	//43
    "LicensedXml",	//44
    "LicensedXmlPatterns",	//45
    "LinearFilteringBindOption",	//46
    "MemoryManagedBindOption",	//47
    "MipmapBindOption",	//48
    "NoAccumBuffer",	//49
    "NoAlphaChannel",	//50
    "NoAttachment",	//51
    "NoBindOption",	//52
    "NoDeprecatedFunctions",	//53
    "NoDepthBuffer",	//54
    "NoOverlay",	//55
    "NoProfile",	//56
    "NoSampleBuffers",	//57
    "NoStencilBuffer",	//58
    "NoStereoBuffers",	//59
    "OpenGL_ES_CommonLite_Version_1_0",	//60
    "OpenGL_ES_CommonLite_Version_1_1",	//61
    "OpenGL_ES_Common_Version_1_0",	//62
    "OpenGL_ES_Common_Version_1_1",	//63
    "OpenGL_ES_Version_2_0",	//64
    "OpenGL_Version_1_1",	//65
    "OpenGL_Version_1_2",	//66
    "OpenGL_Version_1_3",	//67
    "OpenGL_Version_1_4",	//68
    "OpenGL_Version_1_5",	//69
    "OpenGL_Version_2_0",	//70
    "OpenGL_Version_2_1",	//71
    "OpenGL_Version_3_0",	//72
    "OpenGL_Version_3_1",	//73
    "OpenGL_Version_3_2",	//74
    "OpenGL_Version_3_3",	//75
    "OpenGL_Version_4_0",	//76
    "OpenGL_Version_None",	//77
    "PixelPackBuffer",	//78
    "PixelUnpackBuffer",	//79
    "PremultipliedAlphaBindOption",	//80
    "QGLBuffer",	//81
    "QGLBuffer#",	//82
    "QGLBuffer$",	//83
    "QGLColormap",	//84
    "QGLColormap#",	//85
    "QGLContext",	//86
    "QGLContext#",	//87
    "QGLContext##",	//88
    "QGLFormat",	//89
    "QGLFormat#",	//90
    "QGLFormat$",	//91
    "QGLFormat$$",	//92
    "QGLFramebufferObject",	//93
    "QGLFramebufferObject#",	//94
    "QGLFramebufferObject##",	//95
    "QGLFramebufferObject#$",	//96
    "QGLFramebufferObject#$$",	//97
    "QGLFramebufferObject#$$$",	//98
    "QGLFramebufferObject$$",	//99
    "QGLFramebufferObject$$#",	//100
    "QGLFramebufferObject$$$",	//101
    "QGLFramebufferObject$$$$",	//102
    "QGLFramebufferObject$$$$$",	//103
    "QGLFramebufferObjectFormat",	//104
    "QGLFramebufferObjectFormat#",	//105
    "QGLPixelBuffer",	//106
    "QGLPixelBuffer#",	//107
    "QGLPixelBuffer##",	//108
    "QGLPixelBuffer###",	//109
    "QGLPixelBuffer$$",	//110
    "QGLPixelBuffer$$#",	//111
    "QGLPixelBuffer$$##",	//112
    "QGLShader",	//113
    "QGLShader$",	//114
    "QGLShader$#",	//115
    "QGLShader$##",	//116
    "QGLShaderProgram",	//117
    "QGLShaderProgram#",	//118
    "QGLShaderProgram##",	//119
    "QGLWidget",	//120
    "QGLWidget#",	//121
    "QGLWidget##",	//122
    "QGLWidget###",	//123
    "QGLWidget###$",	//124
    "QGLWidget##$",	//125
    "QtCriticalMsg",	//126
    "QtDebugMsg",	//127
    "QtFatalMsg",	//128
    "QtSystemMsg",	//129
    "QtWarningMsg",	//130
    "ReadOnly",	//131
    "ReadWrite",	//132
    "Rgba",	//133
    "SP_CustomCameraCaptureButton",	//134
    "SP_CustomCameraCaptureButtonPressed",	//135
    "SP_CustomCameraPauseButton",	//136
    "SP_CustomCameraPauseButtonPressed",	//137
    "SP_CustomCameraPlayButton",	//138
    "SP_CustomCameraPlayButtonPressed",	//139
    "SP_CustomCameraRecButton",	//140
    "SP_CustomCameraRecButtonPressed",	//141
    "SP_CustomCameraStopButton",	//142
    "SP_CustomCameraStopButtonPressed",	//143
    "SP_CustomTabAll",	//144
    "SP_CustomTabArtist",	//145
    "SP_CustomTabFavourite",	//146
    "SP_CustomTabGenre",	//147
    "SP_CustomTabLanguage",	//148
    "SP_CustomTabMusicAlbum",	//149
    "SP_CustomTabPhotosAlbum",	//150
    "SP_CustomTabPhotosAll",	//151
    "SP_CustomTabPlaylist",	//152
    "SP_CustomTabServices",	//153
    "SP_CustomTabSongs",	//154
    "SP_CustomTabVideos",	//155
    "SP_CustomToolBarAdd",	//156
    "SP_CustomToolBarAddDetail",	//157
    "SP_CustomToolBarAgain",	//158
    "SP_CustomToolBarAgenda",	//159
    "SP_CustomToolBarAudioOff",	//160
    "SP_CustomToolBarAudioOn",	//161
    "SP_CustomToolBarBack",	//162
    "SP_CustomToolBarBluetoothOff",	//163
    "SP_CustomToolBarBluetoothOn",	//164
    "SP_CustomToolBarCancel",	//165
    "SP_CustomToolBarDelete",	//166
    "SP_CustomToolBarDone",	//167
    "SP_CustomToolBarEdit",	//168
    "SP_CustomToolBarEditDisabled",	//169
    "SP_CustomToolBarEmailSend",	//170
    "SP_CustomToolBarEmergencyCall",	//171
    "SP_CustomToolBarFavouriteAdd",	//172
    "SP_CustomToolBarFavouriteRemove",	//173
    "SP_CustomToolBarFavourites",	//174
    "SP_CustomToolBarGo",	//175
    "SP_CustomToolBarHome",	//176
    "SP_CustomToolBarImageTools",	//177
    "SP_CustomToolBarList",	//178
    "SP_CustomToolBarLock",	//179
    "SP_CustomToolBarLogs",	//180
    "SP_CustomToolBarMenu",	//181
    "SP_CustomToolBarNewContact",	//182
    "SP_CustomToolBarNewGroup",	//183
    "SP_CustomToolBarNextFrame",	//184
    "SP_CustomToolBarNowPlay",	//185
    "SP_CustomToolBarOptions",	//186
    "SP_CustomToolBarOther",	//187
    "SP_CustomToolBarOvi",	//188
    "SP_CustomToolBarPreviousFrame",	//189
    "SP_CustomToolBarRead",	//190
    "SP_CustomToolBarRedo",	//191
    "SP_CustomToolBarRedoDisabled",	//192
    "SP_CustomToolBarRefresh",	//193
    "SP_CustomToolBarRemoveDetail",	//194
    "SP_CustomToolBarRemoveDisabled",	//195
    "SP_CustomToolBarRepeat",	//196
    "SP_CustomToolBarRepeatOff",	//197
    "SP_CustomToolBarRepeatOne",	//198
    "SP_CustomToolBarSearch",	//199
    "SP_CustomToolBarSearchDisabled",	//200
    "SP_CustomToolBarSelectContent",	//201
    "SP_CustomToolBarSelfTimer",	//202
    "SP_CustomToolBarSend",	//203
    "SP_CustomToolBarSendDimmed",	//204
    "SP_CustomToolBarShare",	//205
    "SP_CustomToolBarShift",	//206
    "SP_CustomToolBarShuffle",	//207
    "SP_CustomToolBarShuffleOff",	//208
    "SP_CustomToolBarSignalOff",	//209
    "SP_CustomToolBarSignalOn",	//210
    "SP_CustomToolBarSync",	//211
    "SP_CustomToolBarTools",	//212
    "SP_CustomToolBarTrim",	//213
    "SP_CustomToolBarUnlock",	//214
    "SP_CustomToolBarUnmark",	//215
    "SP_CustomToolBarView",	//216
    "SP_CustomToolBarWlanOff",	//217
    "SP_CustomToolBarWlanOn",	//218
    "SampleBuffers",	//219
    "SingleBuffer",	//220
    "StaticCopy",	//221
    "StaticDraw",	//222
    "StaticRead",	//223
    "StencilBuffer",	//224
    "StereoBuffers",	//225
    "StreamCopy",	//226
    "StreamDraw",	//227
    "StreamRead",	//228
    "Vertex",	//229
    "VertexBuffer",	//230
    "WriteOnly",	//231
    "__codecvt_error",	//232
    "__codecvt_noconv",	//233
    "__codecvt_ok",	//234
    "__codecvt_partial",	//235
    "accum",	//236
    "accumBufferSize",	//237
    "actionEvent",	//238
    "addShader",	//239
    "addShader#",	//240
    "addShaderFromSourceCode",	//241
    "addShaderFromSourceCode$#",	//242
    "addShaderFromSourceCode$$",	//243
    "addShaderFromSourceFile",	//244
    "addShaderFromSourceFile$$",	//245
    "allocate",	//246
    "allocate$",	//247
    "allocate$$",	//248
    "alpha",	//249
    "alphaBufferSize",	//250
    "areSharing",	//251
    "areSharing##",	//252
    "attachment",	//253
    "attributeLocation",	//254
    "attributeLocation#",	//255
    "attributeLocation$",	//256
    "autoBufferSwap",	//257
    "bind",	//258
    "bindAttributeLocation",	//259
    "bindAttributeLocation#$",	//260
    "bindAttributeLocation$$",	//261
    "bindDefault",	//262
    "bindTexture",	//263
    "bindTexture#",	//264
    "bindTexture#$",	//265
    "bindTexture#$$",	//266
    "bindTexture#$$$",	//267
    "bindTexture$",	//268
    "bindToDynamicTexture",	//269
    "bindToDynamicTexture$",	//270
    "blitFramebuffer",	//271
    "blitFramebuffer####",	//272
    "blitFramebuffer####$",	//273
    "blitFramebuffer####$$",	//274
    "blueBufferSize",	//275
    "bufferId",	//276
    "changeEvent",	//277
    "childEvent",	//278
    "chooseContext",	//279
    "chooseContext#",	//280
    "chooseVisual",	//281
    "closeEvent",	//282
    "colorIndex",	//283
    "colorIndex#",	//284
    "colormap",	//285
    "compileSourceCode",	//286
    "compileSourceCode#",	//287
    "compileSourceCode$",	//288
    "compileSourceFile",	//289
    "compileSourceFile$",	//290
    "connectNotify",	//291
    "context",	//292
    "contextMenuEvent",	//293
    "convertToGLFormat",	//294
    "convertToGLFormat#",	//295
    "create",	//296
    "create#",	//297
    "currentContext",	//298
    "currentCtx",	//299
    "customEvent",	//300
    "defaultFormat",	//301
    "defaultOverlayFormat",	//302
    "deleteTexture",	//303
    "deleteTexture$",	//304
    "depth",	//305
    "depthBufferSize",	//306
    "destroy",	//307
    "detach",	//308
    "devType",	//309
    "device",	//310
    "deviceIsPixmap",	//311
    "directRendering",	//312
    "disableAttributeArray",	//313
    "disableAttributeArray$",	//314
    "disconnectNotify",	//315
    "doneCurrent",	//316
    "doubleBuffer",	//317
    "dragEnterEvent",	//318
    "dragLeaveEvent",	//319
    "dragMoveEvent",	//320
    "drawTexture",	//321
    "drawTexture#$",	//322
    "drawTexture#$$",	//323
    "dropEvent",	//324
    "enableAttributeArray",	//325
    "enableAttributeArray$",	//326
    "enabledChange",	//327
    "enterEvent",	//328
    "entryColor",	//329
    "entryColor$",	//330
    "entryRgb",	//331
    "entryRgb$",	//332
    "event",	//333
    "event#",	//334
    "eventFilter",	//335
    "find",	//336
    "find$",	//337
    "findNearest",	//338
    "findNearest$",	//339
    "focusInEvent",	//340
    "focusNextPrevChild",	//341
    "focusOutEvent",	//342
    "fontChange",	//343
    "fontDisplayListBase",	//344
    "fontDisplayListBase#",	//345
    "fontDisplayListBase#$",	//346
    "format",	//347
    "generateDynamicTexture",	//348
    "generateFontDisplayLists",	//349
    "generateFontDisplayLists#$",	//350
    "geometryInputType",	//351
    "geometryOutputType",	//352
    "geometryOutputVertexCount",	//353
    "getProcAddress",	//354
    "getProcAddress$",	//355
    "glDraw",	//356
    "glInit",	//357
    "grabFrameBuffer",	//358
    "grabFrameBuffer$",	//359
    "greenBufferSize",	//360
    "handle",	//361
    "hasOpenGL",	//362
    "hasOpenGLFramebufferBlit",	//363
    "hasOpenGLFramebufferObjects",	//364
    "hasOpenGLOverlays",	//365
    "hasOpenGLPbuffers",	//366
    "hasOpenGLShaderPrograms",	//367
    "hasOpenGLShaderPrograms#",	//368
    "hasOpenGLShaders",	//369
    "hasOpenGLShaders$",	//370
    "hasOpenGLShaders$#",	//371
    "hasOverlay",	//372
    "heightForWidth",	//373
    "hideEvent",	//374
    "initializeGL",	//375
    "initializeOverlayGL",	//376
    "initialized",	//377
    "inputMethodEvent",	//378
    "inputMethodQuery",	//379
    "internalTextureFormat",	//380
    "isBound",	//381
    "isCompiled",	//382
    "isCreated",	//383
    "isEmpty",	//384
    "isLinked",	//385
    "isSharing",	//386
    "isValid",	//387
    "keyPressEvent",	//388
    "keyReleaseEvent",	//389
    "languageChange",	//390
    "leaveEvent",	//391
    "link",	//392
    "log",	//393
    "majorVersion",	//394
    "makeCurrent",	//395
    "makeOverlayCurrent",	//396
    "map",	//397
    "map$",	//398
    "maxGeometryOutputVertices",	//399
    "metaObject",	//400
    "metric",	//401
    "metric$",	//402
    "minimumSizeHint",	//403
    "minorVersion",	//404
    "mipmap",	//405
    "mouseDoubleClickEvent",	//406
    "mouseMoveEvent",	//407
    "mousePressEvent",	//408
    "mouseReleaseEvent",	//409
    "moveEvent",	//410
    "openGLVersionFlags",	//411
    "operator!=",	//412
    "operator!=#",	//413
    "operator!=##",	//414
    "operator!=#$",	//415
    "operator!=$#",	//416
    "operator!=$$",	//417
    "operator&",	//418
    "operator&##",	//419
    "operator*",	//420
    "operator*##",	//421
    "operator*#$",	//422
    "operator*$#",	//423
    "operator+",	//424
    "operator+##",	//425
    "operator+#$",	//426
    "operator+$#",	//427
    "operator+$$",	//428
    "operator-",	//429
    "operator-#",	//430
    "operator-##",	//431
    "operator-#$",	//432
    "operator/",	//433
    "operator/#$",	//434
    "operator<",	//435
    "operator<##",	//436
    "operator<#$",	//437
    "operator<$#",	//438
    "operator<$$",	//439
    "operator<<",	//440
    "operator<<##",	//441
    "operator<<#$",	//442
    "operator<<#?",	//443
    "operator<=",	//444
    "operator<=##",	//445
    "operator<=#$",	//446
    "operator<=$#",	//447
    "operator<=$$",	//448
    "operator=",	//449
    "operator=#",	//450
    "operator==",	//451
    "operator==#",	//452
    "operator==##",	//453
    "operator==#$",	//454
    "operator==$#",	//455
    "operator==$$",	//456
    "operator>",	//457
    "operator>##",	//458
    "operator>#$",	//459
    "operator>$#",	//460
    "operator>$$",	//461
    "operator>=",	//462
    "operator>=##",	//463
    "operator>=#$",	//464
    "operator>=$#",	//465
    "operator>=$$",	//466
    "operator>>",	//467
    "operator>>##",	//468
    "operator>>#$",	//469
    "operator>>#?",	//470
    "operator^",	//471
    "operator^##",	//472
    "operator|",	//473
    "operator|##",	//474
    "operator|$$",	//475
    "overlayContext",	//476
    "overlayTransparentColor",	//477
    "paintEngine",	//478
    "paintEvent",	//479
    "paintEvent#",	//480
    "paintGL",	//481
    "paintOverlayGL",	//482
    "paletteChange",	//483
    "plane",	//484
    "profile",	//485
    "programId",	//486
    "qAccessibleActionCastHelper",	//487
    "qAccessibleEditableTextCastHelper",	//488
    "qAccessibleImageCastHelper",	//489
    "qAccessibleTable2CastHelper",	//490
    "qAccessibleTableCastHelper",	//491
    "qAccessibleTextCastHelper",	//492
    "qAccessibleValueCastHelper",	//493
    "qAcos",	//494
    "qAcos$",	//495
    "qAddPostRoutine",	//496
    "qAddPostRoutine$",	//497
    "qAlpha",	//498
    "qAlpha$",	//499
    "qAppName",	//500
    "qAsin",	//501
    "qAsin$",	//502
    "qAtan",	//503
    "qAtan$",	//504
    "qAtan2",	//505
    "qAtan2$$",	//506
    "qBadAlloc",	//507
    "qBlue",	//508
    "qBlue$",	//509
    "qCeil",	//510
    "qCeil$",	//511
    "qChecksum",	//512
    "qChecksum$$",	//513
    "qCompress",	//514
    "qCompress#",	//515
    "qCompress#$",	//516
    "qCompress$$",	//517
    "qCompress$$$",	//518
    "qCos",	//519
    "qCos$",	//520
    "qCritical",	//521
    "qDebug",	//522
    "qDrawBorderPixmap",	//523
    "qDrawBorderPixmap####",	//524
    "qDrawBorderPixmap######",	//525
    "qDrawBorderPixmap#######",	//526
    "qDrawBorderPixmap#######$",	//527
    "qDrawPlainRect",	//528
    "qDrawPlainRect###",	//529
    "qDrawPlainRect###$",	//530
    "qDrawPlainRect###$#",	//531
    "qDrawPlainRect#$$$$#",	//532
    "qDrawPlainRect#$$$$#$",	//533
    "qDrawPlainRect#$$$$#$#",	//534
    "qDrawShadeLine",	//535
    "qDrawShadeLine####",	//536
    "qDrawShadeLine####$",	//537
    "qDrawShadeLine####$$",	//538
    "qDrawShadeLine####$$$",	//539
    "qDrawShadeLine#$$$$#",	//540
    "qDrawShadeLine#$$$$#$",	//541
    "qDrawShadeLine#$$$$#$$",	//542
    "qDrawShadeLine#$$$$#$$$",	//543
    "qDrawShadePanel",	//544
    "qDrawShadePanel###",	//545
    "qDrawShadePanel###$",	//546
    "qDrawShadePanel###$$",	//547
    "qDrawShadePanel###$$#",	//548
    "qDrawShadePanel#$$$$#",	//549
    "qDrawShadePanel#$$$$#$",	//550
    "qDrawShadePanel#$$$$#$$",	//551
    "qDrawShadePanel#$$$$#$$#",	//552
    "qDrawShadeRect",	//553
    "qDrawShadeRect###",	//554
    "qDrawShadeRect###$",	//555
    "qDrawShadeRect###$$",	//556
    "qDrawShadeRect###$$$",	//557
    "qDrawShadeRect###$$$#",	//558
    "qDrawShadeRect#$$$$#",	//559
    "qDrawShadeRect#$$$$#$",	//560
    "qDrawShadeRect#$$$$#$$",	//561
    "qDrawShadeRect#$$$$#$$$",	//562
    "qDrawShadeRect#$$$$#$$$#",	//563
    "qDrawWinButton",	//564
    "qDrawWinButton###",	//565
    "qDrawWinButton###$",	//566
    "qDrawWinButton###$#",	//567
    "qDrawWinButton#$$$$#",	//568
    "qDrawWinButton#$$$$#$",	//569
    "qDrawWinButton#$$$$#$#",	//570
    "qDrawWinPanel",	//571
    "qDrawWinPanel###",	//572
    "qDrawWinPanel###$",	//573
    "qDrawWinPanel###$#",	//574
    "qDrawWinPanel#$$$$#",	//575
    "qDrawWinPanel#$$$$#$",	//576
    "qDrawWinPanel#$$$$#$#",	//577
    "qExp",	//578
    "qExp$",	//579
    "qFabs",	//580
    "qFabs$",	//581
    "qFastCos",	//582
    "qFastCos$",	//583
    "qFastSin",	//584
    "qFastSin$",	//585
    "qFlagLocation",	//586
    "qFlagLocation$",	//587
    "qFloor",	//588
    "qFloor$",	//589
    "qFree",	//590
    "qFree$",	//591
    "qFreeAligned",	//592
    "qFreeAligned$",	//593
    "qFuzzyCompare",	//594
    "qFuzzyCompare##",	//595
    "qFuzzyCompare$$",	//596
    "qFuzzyIsNull",	//597
    "qFuzzyIsNull$",	//598
    "qGray",	//599
    "qGray$",	//600
    "qGray$$$",	//601
    "qGreen",	//602
    "qGreen$",	//603
    "qHash",	//604
    "qHash#",	//605
    "qHash$",	//606
    "qInf",	//607
    "qInstallMsgHandler",	//608
    "qInstallMsgHandler$",	//609
    "qIntCast",	//610
    "qIntCast$",	//611
    "qIsFinite",	//612
    "qIsFinite$",	//613
    "qIsGray",	//614
    "qIsGray$",	//615
    "qIsInf",	//616
    "qIsInf$",	//617
    "qIsNaN",	//618
    "qIsNaN$",	//619
    "qIsNull",	//620
    "qIsNull$",	//621
    "qLn",	//622
    "qLn$",	//623
    "qMalloc",	//624
    "qMalloc$",	//625
    "qMallocAligned",	//626
    "qMallocAligned$$",	//627
    "qMemCopy",	//628
    "qMemCopy$$$",	//629
    "qMemSet",	//630
    "qMemSet$$$",	//631
    "qPow",	//632
    "qPow$$",	//633
    "qQNaN",	//634
    "qRealloc",	//635
    "qRealloc$$",	//636
    "qReallocAligned",	//637
    "qReallocAligned$$$$",	//638
    "qRed",	//639
    "qRed$",	//640
    "qRegisterStaticPluginInstanceFunction",	//641
    "qRegisterStaticPluginInstanceFunction#",	//642
    "qRemovePostRoutine",	//643
    "qRemovePostRoutine$",	//644
    "qRgb",	//645
    "qRgb$$$",	//646
    "qRgba",	//647
    "qRgba$$$$",	//648
    "qRound",	//649
    "qRound$",	//650
    "qRound64",	//651
    "qRound64$",	//652
    "qSNaN",	//653
    "qSetFieldWidth",	//654
    "qSetFieldWidth$",	//655
    "qSetPadChar",	//656
    "qSetPadChar#",	//657
    "qSetRealNumberPrecision",	//658
    "qSetRealNumberPrecision$",	//659
    "qSharedBuild",	//660
    "qSin",	//661
    "qSin$",	//662
    "qSqrt",	//663
    "qSqrt$",	//664
    "qStringComparisonHelper",	//665
    "qStringComparisonHelper#$",	//666
    "qStringComparisonHelper$$",	//667
    "qTan",	//668
    "qTan$",	//669
    "qUncompress",	//670
    "qUncompress#",	//671
    "qUncompress$$",	//672
    "qVersion",	//673
    "qWarning",	//674
    "qbswap_helper",	//675
    "qbswap_helper$$$",	//676
    "qecvt",	//677
    "qecvt$$$$",	//678
    "qecvt_r",	//679
    "qecvt_r$$$$$$",	//680
    "qfcvt",	//681
    "qfcvt$$$$",	//682
    "qfcvt_r",	//683
    "qfcvt_r$$$$$$",	//684
    "qgcvt",	//685
    "qgcvt$$$",	//686
    "qgetenv",	//687
    "qgetenv$",	//688
    "qglClearColor",	//689
    "qglClearColor#",	//690
    "qglColor",	//691
    "qglColor#",	//692
    "qputenv",	//693
    "qputenv$#",	//694
    "qrand",	//695
    "qsort",	//696
    "qsort$$$$",	//697
    "qsrand",	//698
    "qsrand$",	//699
    "qstrcmp",	//700
    "qstrcmp##",	//701
    "qstrcmp#$",	//702
    "qstrcmp$#",	//703
    "qstrcmp$$",	//704
    "qstrcpy",	//705
    "qstrcpy$$",	//706
    "qstrdup",	//707
    "qstrdup$",	//708
    "qstricmp",	//709
    "qstricmp$$",	//710
    "qstrlen",	//711
    "qstrlen$",	//712
    "qstrncmp",	//713
    "qstrncmp$$$",	//714
    "qstrncpy",	//715
    "qstrncpy$$$",	//716
    "qstrnicmp",	//717
    "qstrnicmp$$$",	//718
    "qstrnlen",	//719
    "qstrnlen$$",	//720
    "qtTrId",	//721
    "qtTrId$",	//722
    "qtTrId$$",	//723
    "qt_assert",	//724
    "qt_assert$$$",	//725
    "qt_assert_x",	//726
    "qt_assert_x$$$$",	//727
    "qt_check_pointer",	//728
    "qt_check_pointer$$",	//729
    "qt_error_string",	//730
    "qt_error_string$",	//731
    "qt_message_output",	//732
    "qt_message_output$$",	//733
    "qt_metacall",	//734
    "qt_metacall$$?",	//735
    "qt_metacast",	//736
    "qt_metacast$",	//737
    "qt_noop",	//738
    "qt_qFindChild_helper",	//739
    "qt_qFindChild_helper#$#",	//740
    "qt_qFindChildren_helper",	//741
    "qt_qFindChildren_helper#$##?",	//742
    "qvariant_cast_helper",	//743
    "qvariant_cast_helper#$$",	//744
    "qvsnprintf",	//745
    "qvsnprintf$$$?",	//746
    "read",	//747
    "read$$$",	//748
    "redBufferSize",	//749
    "release",	//750
    "release$",	//751
    "releaseFromDynamicTexture",	//752
    "removeAllShaders",	//753
    "removeShader",	//754
    "removeShader#",	//755
    "renderPixmap",	//756
    "renderPixmap$",	//757
    "renderPixmap$$",	//758
    "renderPixmap$$$",	//759
    "renderText",	//760
    "renderText$$$",	//761
    "renderText$$$#",	//762
    "renderText$$$#$",	//763
    "renderText$$$$",	//764
    "renderText$$$$#",	//765
    "renderText$$$$#$",	//766
    "requestedFormat",	//767
    "reset",	//768
    "resizeEvent",	//769
    "resizeEvent#",	//770
    "resizeGL",	//771
    "resizeGL$$",	//772
    "resizeOverlayGL",	//773
    "resizeOverlayGL$$",	//774
    "rgba",	//775
    "sampleBuffers",	//776
    "samples",	//777
    "setAccum",	//778
    "setAccum$",	//779
    "setAccumBufferSize",	//780
    "setAccumBufferSize$",	//781
    "setAlpha",	//782
    "setAlpha$",	//783
    "setAlphaBufferSize",	//784
    "setAlphaBufferSize$",	//785
    "setAttachment",	//786
    "setAttachment$",	//787
    "setAttributeArray",	//788
    "setAttributeArray$#",	//789
    "setAttributeArray$#$",	//790
    "setAttributeArray$$$",	//791
    "setAttributeArray$$$$",	//792
    "setAttributeArray$$$$$",	//793
    "setAttributeBuffer",	//794
    "setAttributeBuffer$$$$",	//795
    "setAttributeBuffer$$$$$",	//796
    "setAttributeValue",	//797
    "setAttributeValue$#",	//798
    "setAttributeValue$$",	//799
    "setAttributeValue$$$",	//800
    "setAttributeValue$$$$",	//801
    "setAttributeValue$$$$$",	//802
    "setAutoBufferSwap",	//803
    "setAutoBufferSwap$",	//804
    "setBlueBufferSize",	//805
    "setBlueBufferSize$",	//806
    "setColormap",	//807
    "setColormap#",	//808
    "setContext",	//809
    "setContext#",	//810
    "setContext##",	//811
    "setContext##$",	//812
    "setCurrentCtx",	//813
    "setCurrentCtx#",	//814
    "setDefaultFormat",	//815
    "setDefaultFormat#",	//816
    "setDefaultOverlayFormat",	//817
    "setDefaultOverlayFormat#",	//818
    "setDepth",	//819
    "setDepth$",	//820
    "setDepthBufferSize",	//821
    "setDepthBufferSize$",	//822
    "setDevice",	//823
    "setDevice#",	//824
    "setDirectRendering",	//825
    "setDirectRendering$",	//826
    "setDoubleBuffer",	//827
    "setDoubleBuffer$",	//828
    "setEntries",	//829
    "setEntries$$",	//830
    "setEntries$$$",	//831
    "setEntry",	//832
    "setEntry$#",	//833
    "setEntry$$",	//834
    "setFormat",	//835
    "setFormat#",	//836
    "setGeometryInputType",	//837
    "setGeometryInputType$",	//838
    "setGeometryOutputType",	//839
    "setGeometryOutputType$",	//840
    "setGeometryOutputVertexCount",	//841
    "setGeometryOutputVertexCount$",	//842
    "setGreenBufferSize",	//843
    "setGreenBufferSize$",	//844
    "setHandle",	//845
    "setHandle$",	//846
    "setInitialized",	//847
    "setInitialized$",	//848
    "setInternalTextureFormat",	//849
    "setInternalTextureFormat$",	//850
    "setMipmap",	//851
    "setMipmap$",	//852
    "setMouseTracking",	//853
    "setMouseTracking$",	//854
    "setOption",	//855
    "setOption$",	//856
    "setOverlay",	//857
    "setOverlay$",	//858
    "setPlane",	//859
    "setPlane$",	//860
    "setPreferredPaintEngine",	//861
    "setPreferredPaintEngine$",	//862
    "setProfile",	//863
    "setProfile$",	//864
    "setRedBufferSize",	//865
    "setRedBufferSize$",	//866
    "setRgba",	//867
    "setRgba$",	//868
    "setSampleBuffers",	//869
    "setSampleBuffers$",	//870
    "setSamples",	//871
    "setSamples$",	//872
    "setStencil",	//873
    "setStencil$",	//874
    "setStencilBufferSize",	//875
    "setStencilBufferSize$",	//876
    "setStereo",	//877
    "setStereo$",	//878
    "setSwapInterval",	//879
    "setSwapInterval$",	//880
    "setTextureCacheLimit",	//881
    "setTextureCacheLimit$",	//882
    "setTextureTarget",	//883
    "setTextureTarget$",	//884
    "setUniformValue",	//885
    "setUniformValue$#",	//886
    "setUniformValue$$",	//887
    "setUniformValue$$$",	//888
    "setUniformValue$$$$",	//889
    "setUniformValue$$$$$",	//890
    "setUniformValue$?",	//891
    "setUniformValueArray",	//892
    "setUniformValueArray$#$",	//893
    "setUniformValueArray$$$",	//894
    "setUniformValueArray$$$$",	//895
    "setUniformValueArray$?$",	//896
    "setUsagePattern",	//897
    "setUsagePattern$",	//898
    "setValid",	//899
    "setValid$",	//900
    "setVersion",	//901
    "setVersion$$",	//902
    "setVisible",	//903
    "setWindowCreated",	//904
    "setWindowCreated$",	//905
    "shaderId",	//906
    "shaderType",	//907
    "shaders",	//908
    "showEvent",	//909
    "size",	//910
    "sizeHint",	//911
    "sourceCode",	//912
    "staticMetaObject",	//913
    "stencil",	//914
    "stencilBufferSize",	//915
    "stereo",	//916
    "styleChange",	//917
    "swapBuffers",	//918
    "swapInterval",	//919
    "tabletEvent",	//920
    "testOption",	//921
    "testOption$",	//922
    "texture",	//923
    "textureCacheLimit",	//924
    "textureTarget",	//925
    "timerEvent",	//926
    "toImage",	//927
    "tr",	//928
    "tr$",	//929
    "tr$$",	//930
    "tr$$$",	//931
    "trUtf8",	//932
    "trUtf8$",	//933
    "trUtf8$$",	//934
    "trUtf8$$$",	//935
    "tryVisual",	//936
    "tryVisual#",	//937
    "tryVisual#$",	//938
    "type",	//939
    "uniformLocation",	//940
    "uniformLocation#",	//941
    "uniformLocation$",	//942
    "unmap",	//943
    "updateDynamicTexture",	//944
    "updateDynamicTexture$",	//945
    "updateGL",	//946
    "updateOverlayGL",	//947
    "usagePattern",	//948
    "wheelEvent",	//949
    "windowActivationChange",	//950
    "windowCreated",	//951
    "write",	//952
    "write$$$",	//953
    "x11Event",	//954
    "~QGLBuffer",	//955
    "~QGLColormap",	//956
    "~QGLContext",	//957
    "~QGLFormat",	//958
    "~QGLFramebufferObject",	//959
    "~QGLFramebufferObjectFormat",	//960
    "~QGLPixelBuffer",	//961
    "~QGLShader",	//962
    "~QGLShaderProgram",	//963
    "~QGLWidget",	//964
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 861, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 3},	//3 QGL::DepthBuffer (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 6},	//6 QGL::AccumBuffer (enum)
    {26, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 7},	//7 QGL::StencilBuffer (enum)
    {26, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 10},	//10 QGL::HasOverlay (enum)
    {26, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 13},	//13 QGL::SingleBuffer (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 15},	//15 QGL::ColorIndex (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 20},	//20 QGL::IndirectRendering (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 21},	//21 QGL::NoOverlay (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 81, 0, 0, Smoke::mf_ctor, 137, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 81, 3, 1, Smoke::mf_ctor, 137, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 81, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 449, 5, 1, 0, 136, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 939, 0, 0, Smoke::mf_const, 139, 5},	//28 QGLBuffer::type() const
    {27, 948, 0, 0, Smoke::mf_const, 140, 6},	//29 QGLBuffer::usagePattern() const
    {27, 897, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 296, 0, 0, 0, 398, 8},	//31 QGLBuffer::create()
    {27, 383, 0, 0, Smoke::mf_const, 398, 9},	//32 QGLBuffer::isCreated() const
    {27, 307, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 258, 0, 0, 0, 398, 11},	//34 QGLBuffer::bind()
    {27, 750, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 750, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 276, 0, 0, Smoke::mf_const, 531, 14},	//37 QGLBuffer::bufferId() const
    {27, 910, 0, 0, Smoke::mf_const, 520, 15},	//38 QGLBuffer::size() const
    {27, 747, 9, 3, 0, 398, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 952, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 246, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 246, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 397, 22, 1, 0, 538, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 943, 0, 0, 0, 398, 21},	//44 QGLBuffer::unmap()
    {27, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 955, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 84, 0, 0, Smoke::mf_ctor, 142, 1},	//62 QGLColormap::QGLColormap()
    {28, 84, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 449, 24, 1, 0, 141, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 384, 0, 0, Smoke::mf_const, 398, 4},	//65 QGLColormap::isEmpty() const
    {28, 910, 0, 0, Smoke::mf_const, 520, 5},	//66 QGLColormap::size() const
    {28, 308, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 829, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 832, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 832, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 331, 20, 1, Smoke::mf_const, 531, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 329, 20, 1, Smoke::mf_const, 23, 11},	//72 QGLColormap::entryColor(int) const
    {28, 336, 36, 1, Smoke::mf_const, 520, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 338, 36, 1, Smoke::mf_const, 520, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 361, 0, 0, Smoke::mf_protected, 532, 14},	//75 QGLColormap::handle()
    {28, 845, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 829, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 956, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 86, 43, 2, Smoke::mf_ctor, 143, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 86, 46, 1, Smoke::mf_ctor, 143, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 296, 48, 1, Smoke::mf_virtual, 398, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 387, 0, 0, Smoke::mf_const, 398, 4},	//82 QGLContext::isValid() const
    {29, 386, 0, 0, Smoke::mf_const, 398, 5},	//83 QGLContext::isSharing() const
    {29, 768, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 251, 50, 2, Smoke::mf_static, 398, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 347, 0, 0, Smoke::mf_const, 145, 8},	//86 QGLContext::format() const
    {29, 767, 0, 0, Smoke::mf_const, 145, 9},	//87 QGLContext::requestedFormat() const
    {29, 835, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 395, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 316, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 918, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 263, 53, 4, 0, 531, 14},	//92 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 263, 58, 4, 0, 531, 15},	//93 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 263, 63, 3, 0, 531, 16},	//94 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 263, 67, 3, 0, 531, 17},	//95 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 263, 71, 1, 0, 531, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 303, 36, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(unsigned int)
    {29, 321, 73, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 321, 77, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 881, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 924, 0, 0, Smoke::mf_static, 520, 23},	//101 QGLContext::textureCacheLimit()
    {29, 354, 71, 1, Smoke::mf_const, 538, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 310, 0, 0, Smoke::mf_const, 206, 25},	//103 QGLContext::device() const
    {29, 477, 0, 0, Smoke::mf_const, 23, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 298, 0, 0, Smoke::mf_static, 417, 27},	//105 QGLContext::currentContext()
    {29, 279, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 936, 81, 2, Smoke::mf_protected|Smoke::mf_virtual, 538, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 281, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 538, 30},	//108 QGLContext::chooseVisual()
    {29, 311, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 31},	//109 QGLContext::deviceIsPixmap() const
    {29, 951, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 32},	//110 QGLContext::windowCreated() const
    {29, 904, 84, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {29, 377, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 34},	//112 QGLContext::initialized() const
    {29, 847, 84, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {29, 349, 86, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 283, 89, 1, Smoke::mf_const|Smoke::mf_protected, 531, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {29, 899, 84, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {29, 823, 91, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {29, 296, 0, 0, 0, 398, 40},	//118 QGLContext::create()
    {29, 263, 93, 1, 0, 531, 41},	//119 QGLContext::bindTexture(const QImage&)
    {29, 263, 95, 2, 0, 531, 42},	//120 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 263, 98, 1, 0, 531, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {29, 263, 100, 2, 0, 531, 44},	//122 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 321, 103, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 321, 106, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 279, 0, 0, Smoke::mf_protected, 398, 47},	//125 QGLContext::chooseContext()
    {29, 936, 46, 1, Smoke::mf_protected, 538, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {29, 299, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 143, 49},	//127 QGLContext::currentCtx() const
    {29, 813, 109, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 51},	//129 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {29, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 53},	//131 QGLContext::MipmapBindOption (enum)
    {29, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {29, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 58},	//136 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 59},	//137 QGLContext::InternalBindOption (enum)
    {29, 957, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {30, 89, 0, 0, Smoke::mf_ctor, 147, 1},	//139 QGLFormat::QGLFormat()
    {30, 89, 111, 2, Smoke::mf_ctor, 147, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 89, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 449, 46, 1, 0, 146, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {30, 821, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {30, 306, 0, 0, Smoke::mf_const, 520, 6},	//144 QGLFormat::depthBufferSize() const
    {30, 780, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {30, 237, 0, 0, Smoke::mf_const, 520, 8},	//146 QGLFormat::accumBufferSize() const
    {30, 865, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {30, 749, 0, 0, Smoke::mf_const, 520, 10},	//148 QGLFormat::redBufferSize() const
    {30, 843, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {30, 360, 0, 0, Smoke::mf_const, 520, 12},	//150 QGLFormat::greenBufferSize() const
    {30, 805, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {30, 275, 0, 0, Smoke::mf_const, 520, 14},	//152 QGLFormat::blueBufferSize() const
    {30, 784, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {30, 250, 0, 0, Smoke::mf_const, 520, 16},	//154 QGLFormat::alphaBufferSize() const
    {30, 875, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {30, 915, 0, 0, Smoke::mf_const, 520, 18},	//156 QGLFormat::stencilBufferSize() const
    {30, 869, 84, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {30, 776, 0, 0, Smoke::mf_const, 398, 20},	//158 QGLFormat::sampleBuffers() const
    {30, 871, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {30, 777, 0, 0, Smoke::mf_const, 520, 22},	//160 QGLFormat::samples() const
    {30, 879, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {30, 919, 0, 0, Smoke::mf_const, 520, 24},	//162 QGLFormat::swapInterval() const
    {30, 317, 0, 0, Smoke::mf_const, 398, 25},	//163 QGLFormat::doubleBuffer() const
    {30, 827, 84, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {30, 305, 0, 0, Smoke::mf_const, 398, 27},	//165 QGLFormat::depth() const
    {30, 819, 84, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {30, 775, 0, 0, Smoke::mf_const, 398, 29},	//167 QGLFormat::rgba() const
    {30, 867, 84, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {30, 249, 0, 0, Smoke::mf_const, 398, 31},	//169 QGLFormat::alpha() const
    {30, 782, 84, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {30, 236, 0, 0, Smoke::mf_const, 398, 33},	//171 QGLFormat::accum() const
    {30, 778, 84, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {30, 914, 0, 0, Smoke::mf_const, 398, 35},	//173 QGLFormat::stencil() const
    {30, 873, 84, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {30, 916, 0, 0, Smoke::mf_const, 398, 37},	//175 QGLFormat::stereo() const
    {30, 877, 84, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {30, 312, 0, 0, Smoke::mf_const, 398, 39},	//177 QGLFormat::directRendering() const
    {30, 825, 84, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {30, 372, 0, 0, Smoke::mf_const, 398, 41},	//179 QGLFormat::hasOverlay() const
    {30, 857, 84, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {30, 484, 0, 0, Smoke::mf_const, 520, 43},	//181 QGLFormat::plane() const
    {30, 859, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {30, 855, 114, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 921, 114, 1, Smoke::mf_const, 398, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 301, 0, 0, Smoke::mf_static, 145, 47},	//185 QGLFormat::defaultFormat()
    {30, 815, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 302, 0, 0, Smoke::mf_static, 145, 49},	//187 QGLFormat::defaultOverlayFormat()
    {30, 817, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 362, 0, 0, Smoke::mf_static, 398, 51},	//189 QGLFormat::hasOpenGL()
    {30, 365, 0, 0, Smoke::mf_static, 398, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {30, 901, 116, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {30, 394, 0, 0, Smoke::mf_const, 520, 54},	//192 QGLFormat::majorVersion() const
    {30, 404, 0, 0, Smoke::mf_const, 520, 55},	//193 QGLFormat::minorVersion() const
    {30, 863, 119, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 485, 0, 0, Smoke::mf_const, 148, 57},	//195 QGLFormat::profile() const
    {30, 411, 0, 0, Smoke::mf_static, 69, 58},	//196 QGLFormat::openGLVersionFlags()
    {30, 89, 114, 1, Smoke::mf_ctor, 147, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 60},	//198 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 61},	//199 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {30, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {30, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 958, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {31, 93, 121, 2, Smoke::mf_ctor, 150, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 93, 124, 3, Smoke::mf_ctor, 150, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 93, 128, 4, Smoke::mf_ctor, 150, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 93, 133, 5, Smoke::mf_ctor, 150, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 93, 139, 2, Smoke::mf_ctor, 150, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 93, 142, 3, Smoke::mf_ctor, 150, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 347, 0, 0, Smoke::mf_const, 152, 7},	//226 QGLFramebufferObject::format() const
    {31, 387, 0, 0, Smoke::mf_const, 398, 8},	//227 QGLFramebufferObject::isValid() const
    {31, 381, 0, 0, Smoke::mf_const, 398, 9},	//228 QGLFramebufferObject::isBound() const
    {31, 258, 0, 0, 0, 398, 10},	//229 QGLFramebufferObject::bind()
    {31, 750, 0, 0, 0, 398, 11},	//230 QGLFramebufferObject::release()
    {31, 923, 0, 0, Smoke::mf_const, 531, 12},	//231 QGLFramebufferObject::texture() const
    {31, 910, 0, 0, Smoke::mf_const, 239, 13},	//232 QGLFramebufferObject::size() const
    {31, 927, 0, 0, Smoke::mf_const, 174, 14},	//233 QGLFramebufferObject::toImage() const
    {31, 253, 0, 0, Smoke::mf_const, 151, 15},	//234 QGLFramebufferObject::attachment() const
    {31, 478, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//235 QGLFramebufferObject::paintEngine() const
    {31, 361, 0, 0, Smoke::mf_const, 531, 17},	//236 QGLFramebufferObject::handle() const
    {31, 262, 0, 0, Smoke::mf_static, 398, 18},	//237 QGLFramebufferObject::bindDefault()
    {31, 364, 0, 0, Smoke::mf_static, 398, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 321, 73, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 321, 77, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 363, 0, 0, Smoke::mf_static, 398, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 271, 146, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 401, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 520, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 309, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 520, 25},	//244 QGLFramebufferObject::devType() const
    {31, 93, 155, 1, Smoke::mf_ctor, 150, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 93, 116, 2, Smoke::mf_ctor, 150, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 93, 157, 2, Smoke::mf_ctor, 150, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 93, 160, 3, Smoke::mf_ctor, 150, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 93, 164, 3, Smoke::mf_ctor, 150, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 93, 168, 4, Smoke::mf_ctor, 150, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 321, 103, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 321, 106, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 271, 173, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 271, 178, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 38},	//257 QGLFramebufferObject::Depth (enum)
    {31, 959, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 104, 0, 0, Smoke::mf_ctor, 154, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 104, 184, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 449, 184, 1, 0, 153, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 871, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {32, 777, 0, 0, Smoke::mf_const, 520, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {32, 851, 84, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setMipmap(bool)
    {32, 405, 0, 0, Smoke::mf_const, 398, 7},	//265 QGLFramebufferObjectFormat::mipmap() const
    {32, 786, 186, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 253, 0, 0, Smoke::mf_const, 151, 9},	//267 QGLFramebufferObjectFormat::attachment() const
    {32, 883, 36, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 925, 0, 0, Smoke::mf_const, 531, 11},	//269 QGLFramebufferObjectFormat::textureTarget() const
    {32, 849, 36, 1, 0, 0, 12},	//270 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 380, 0, 0, Smoke::mf_const, 531, 13},	//271 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 451, 184, 1, Smoke::mf_const, 398, 14},	//272 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 412, 184, 1, Smoke::mf_const, 398, 15},	//273 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 960, 0, 0, Smoke::mf_dtor, 0, 16 },	//274 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 106, 188, 3, Smoke::mf_ctor, 156, 1},	//275 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 106, 192, 4, Smoke::mf_ctor, 156, 2},	//276 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 387, 0, 0, Smoke::mf_const, 398, 3},	//277 QGLPixelBuffer::isValid() const
    {33, 395, 0, 0, 0, 398, 4},	//278 QGLPixelBuffer::makeCurrent()
    {33, 316, 0, 0, 0, 398, 5},	//279 QGLPixelBuffer::doneCurrent()
    {33, 348, 0, 0, Smoke::mf_const, 531, 6},	//280 QGLPixelBuffer::generateDynamicTexture() const
    {33, 269, 36, 1, 0, 398, 7},	//281 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 752, 0, 0, 0, 0, 8},	//282 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 944, 36, 1, Smoke::mf_const, 0, 9},	//283 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 263, 95, 2, 0, 531, 10},	//284 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 263, 100, 2, 0, 531, 11},	//285 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 263, 71, 1, 0, 531, 12},	//286 QGLPixelBuffer::bindTexture(const QString&)
    {33, 303, 36, 1, 0, 0, 13},	//287 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 321, 73, 3, 0, 0, 14},	//288 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 321, 77, 3, 0, 0, 15},	//289 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 910, 0, 0, Smoke::mf_const, 239, 16},	//290 QGLPixelBuffer::size() const
    {33, 361, 0, 0, Smoke::mf_const, 532, 17},	//291 QGLPixelBuffer::handle() const
    {33, 927, 0, 0, Smoke::mf_const, 174, 18},	//292 QGLPixelBuffer::toImage() const
    {33, 478, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 19},	//293 QGLPixelBuffer::paintEngine() const
    {33, 347, 0, 0, Smoke::mf_const, 145, 20},	//294 QGLPixelBuffer::format() const
    {33, 366, 0, 0, Smoke::mf_static, 398, 21},	//295 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 401, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 520, 22},	//296 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 309, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 520, 23},	//297 QGLPixelBuffer::devType() const
    {33, 106, 155, 1, Smoke::mf_ctor, 156, 24},	//298 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 106, 197, 2, Smoke::mf_ctor, 156, 25},	//299 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 106, 116, 2, Smoke::mf_ctor, 156, 26},	//300 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 106, 200, 3, Smoke::mf_ctor, 156, 27},	//301 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 263, 93, 1, 0, 531, 28},	//302 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 263, 98, 1, 0, 531, 29},	//303 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 321, 103, 2, 0, 0, 30},	//304 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 321, 106, 2, 0, 0, 31},	//305 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 961, 0, 0, Smoke::mf_dtor, 0, 32 },	//306 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 1},	//307 QGLShader::metaObject() const
    {34, 736, 204, 1, Smoke::mf_virtual, 538, 2},	//308 QGLShader::qt_metacast(const char*)
    {34, 928, 206, 2, Smoke::mf_static, 246, 3},	//309 QGLShader::tr(const char*, const char*)
    {34, 932, 206, 2, Smoke::mf_static, 246, 4},	//310 QGLShader::trUtf8(const char*, const char*)
    {34, 928, 209, 3, Smoke::mf_static, 246, 5},	//311 QGLShader::tr(const char*, const char*, int)
    {34, 932, 209, 3, Smoke::mf_static, 246, 6},	//312 QGLShader::trUtf8(const char*, const char*, int)
    {34, 734, 213, 3, Smoke::mf_virtual, 520, 7},	//313 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 113, 217, 2, Smoke::mf_ctor, 157, 8},	//314 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 113, 220, 3, Smoke::mf_ctor, 157, 9},	//315 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 907, 0, 0, Smoke::mf_const, 71, 10},	//316 QGLShader::shaderType() const
    {34, 286, 204, 1, 0, 398, 11},	//317 QGLShader::compileSourceCode(const char*)
    {34, 286, 224, 1, 0, 398, 12},	//318 QGLShader::compileSourceCode(const QByteArray&)
    {34, 286, 71, 1, 0, 398, 13},	//319 QGLShader::compileSourceCode(const QString&)
    {34, 289, 71, 1, 0, 398, 14},	//320 QGLShader::compileSourceFile(const QString&)
    {34, 912, 0, 0, Smoke::mf_const, 17, 15},	//321 QGLShader::sourceCode() const
    {34, 382, 0, 0, Smoke::mf_const, 398, 16},	//322 QGLShader::isCompiled() const
    {34, 393, 0, 0, Smoke::mf_const, 246, 17},	//323 QGLShader::log() const
    {34, 906, 0, 0, Smoke::mf_const, 531, 18},	//324 QGLShader::shaderId() const
    {34, 369, 226, 2, Smoke::mf_static, 398, 19},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 928, 204, 1, Smoke::mf_static, 246, 20},	//326 QGLShader::tr(const char*)
    {34, 932, 204, 1, Smoke::mf_static, 246, 21},	//327 QGLShader::trUtf8(const char*)
    {34, 113, 229, 1, Smoke::mf_ctor, 157, 22},	//328 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 113, 226, 2, Smoke::mf_ctor, 157, 23},	//329 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 369, 229, 1, Smoke::mf_static, 398, 24},	//330 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 913, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 451, 25},	//331 QGLShader::staticMetaObject() const
    {34, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 26},	//332 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 27},	//333 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 28},	//334 QGLShader::Geometry (enum)
    {34, 962, 0, 0, Smoke::mf_dtor, 0, 29 },	//335 QGLShader::~QGLShader()
    {35, 400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 1},	//336 QGLShaderProgram::metaObject() const
    {35, 736, 204, 1, Smoke::mf_virtual, 538, 2},	//337 QGLShaderProgram::qt_metacast(const char*)
    {35, 928, 206, 2, Smoke::mf_static, 246, 3},	//338 QGLShaderProgram::tr(const char*, const char*)
    {35, 932, 206, 2, Smoke::mf_static, 246, 4},	//339 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 928, 209, 3, Smoke::mf_static, 246, 5},	//340 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 932, 209, 3, Smoke::mf_static, 246, 6},	//341 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 734, 213, 3, Smoke::mf_virtual, 520, 7},	//342 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 117, 231, 1, Smoke::mf_ctor, 159, 8},	//343 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 117, 233, 2, Smoke::mf_ctor, 159, 9},	//344 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 239, 236, 1, 0, 398, 10},	//345 QGLShaderProgram::addShader(QGLShader*)
    {35, 754, 236, 1, 0, 0, 11},	//346 QGLShaderProgram::removeShader(QGLShader*)
    {35, 908, 0, 0, Smoke::mf_const, 189, 12},	//347 QGLShaderProgram::shaders() const
    {35, 241, 238, 2, 0, 398, 13},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 241, 241, 2, 0, 398, 14},	//349 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 241, 244, 2, 0, 398, 15},	//350 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 244, 244, 2, 0, 398, 16},	//351 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 753, 0, 0, 0, 0, 17},	//352 QGLShaderProgram::removeAllShaders()
    {35, 392, 0, 0, Smoke::mf_virtual, 398, 18},	//353 QGLShaderProgram::link()
    {35, 385, 0, 0, Smoke::mf_const, 398, 19},	//354 QGLShaderProgram::isLinked() const
    {35, 393, 0, 0, Smoke::mf_const, 246, 20},	//355 QGLShaderProgram::log() const
    {35, 258, 0, 0, 0, 398, 21},	//356 QGLShaderProgram::bind()
    {35, 750, 0, 0, 0, 0, 22},	//357 QGLShaderProgram::release()
    {35, 486, 0, 0, Smoke::mf_const, 531, 23},	//358 QGLShaderProgram::programId() const
    {35, 399, 0, 0, Smoke::mf_const, 520, 24},	//359 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 841, 20, 1, 0, 0, 25},	//360 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 353, 0, 0, Smoke::mf_const, 520, 26},	//361 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 837, 36, 1, 0, 0, 27},	//362 QGLShaderProgram::setGeometryInputType(unsigned int)
    {35, 351, 0, 0, Smoke::mf_const, 531, 28},	//363 QGLShaderProgram::geometryInputType() const
    {35, 839, 36, 1, 0, 0, 29},	//364 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {35, 352, 0, 0, Smoke::mf_const, 531, 30},	//365 QGLShaderProgram::geometryOutputType() const
    {35, 259, 247, 2, 0, 0, 31},	//366 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 259, 250, 2, 0, 0, 32},	//367 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 259, 253, 2, 0, 0, 33},	//368 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 254, 204, 1, Smoke::mf_const, 520, 34},	//369 QGLShaderProgram::attributeLocation(const char*) const
    {35, 254, 224, 1, Smoke::mf_const, 520, 35},	//370 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 254, 71, 1, Smoke::mf_const, 520, 36},	//371 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 797, 256, 2, 0, 0, 37},	//372 QGLShaderProgram::setAttributeValue(int, float)
    {35, 797, 259, 3, 0, 0, 38},	//373 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 797, 263, 4, 0, 0, 39},	//374 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 797, 268, 5, 0, 0, 40},	//375 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 797, 274, 2, 0, 0, 41},	//376 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 797, 277, 2, 0, 0, 42},	//377 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 797, 280, 2, 0, 0, 43},	//378 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 797, 33, 2, 0, 0, 44},	//379 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 797, 283, 4, 0, 0, 45},	//380 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 797, 288, 2, 0, 0, 46},	//381 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 797, 291, 3, 0, 0, 47},	//382 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 797, 295, 4, 0, 0, 48},	//383 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 797, 300, 5, 0, 0, 49},	//384 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 797, 306, 2, 0, 0, 50},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 797, 309, 2, 0, 0, 51},	//386 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 797, 312, 2, 0, 0, 52},	//387 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 797, 315, 2, 0, 0, 53},	//388 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 797, 318, 4, 0, 0, 54},	//389 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 788, 283, 4, 0, 0, 55},	//390 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 788, 323, 3, 0, 0, 56},	//391 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 788, 327, 3, 0, 0, 57},	//392 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 788, 331, 3, 0, 0, 58},	//393 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 788, 335, 5, 0, 0, 59},	//394 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {35, 788, 318, 4, 0, 0, 60},	//395 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 788, 341, 3, 0, 0, 61},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 788, 345, 3, 0, 0, 62},	//397 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 788, 349, 3, 0, 0, 63},	//398 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 788, 353, 5, 0, 0, 64},	//399 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {35, 794, 359, 5, 0, 0, 65},	//400 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {35, 794, 365, 5, 0, 0, 66},	//401 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {35, 325, 20, 1, 0, 0, 67},	//402 QGLShaderProgram::enableAttributeArray(int)
    {35, 325, 204, 1, 0, 0, 68},	//403 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 313, 20, 1, 0, 0, 69},	//404 QGLShaderProgram::disableAttributeArray(int)
    {35, 313, 204, 1, 0, 0, 70},	//405 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 940, 204, 1, Smoke::mf_const, 520, 71},	//406 QGLShaderProgram::uniformLocation(const char*) const
    {35, 940, 224, 1, Smoke::mf_const, 520, 72},	//407 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 940, 71, 1, Smoke::mf_const, 520, 73},	//408 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 885, 256, 2, 0, 0, 74},	//409 QGLShaderProgram::setUniformValue(int, float)
    {35, 885, 116, 2, 0, 0, 75},	//410 QGLShaderProgram::setUniformValue(int, int)
    {35, 885, 30, 2, 0, 0, 76},	//411 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 885, 259, 3, 0, 0, 77},	//412 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 885, 263, 4, 0, 0, 78},	//413 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 885, 268, 5, 0, 0, 79},	//414 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 885, 274, 2, 0, 0, 80},	//415 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 885, 277, 2, 0, 0, 81},	//416 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 885, 280, 2, 0, 0, 82},	//417 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 885, 33, 2, 0, 0, 83},	//418 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 885, 371, 2, 0, 0, 84},	//419 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 885, 374, 2, 0, 0, 85},	//420 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 885, 377, 2, 0, 0, 86},	//421 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 885, 380, 2, 0, 0, 87},	//422 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 885, 383, 2, 0, 0, 88},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 885, 386, 2, 0, 0, 89},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 885, 389, 2, 0, 0, 90},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 885, 392, 2, 0, 0, 91},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 885, 395, 2, 0, 0, 92},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 885, 398, 2, 0, 0, 93},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 885, 401, 2, 0, 0, 94},	//429 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 885, 404, 2, 0, 0, 95},	//430 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 885, 407, 2, 0, 0, 96},	//431 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 885, 410, 2, 0, 0, 97},	//432 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {35, 885, 413, 2, 0, 0, 98},	//433 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {35, 885, 416, 2, 0, 0, 99},	//434 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 885, 419, 2, 0, 0, 100},	//435 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 885, 288, 2, 0, 0, 101},	//436 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 885, 247, 2, 0, 0, 102},	//437 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 885, 422, 2, 0, 0, 103},	//438 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 885, 291, 3, 0, 0, 104},	//439 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 885, 295, 4, 0, 0, 105},	//440 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 885, 300, 5, 0, 0, 106},	//441 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 885, 306, 2, 0, 0, 107},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 885, 309, 2, 0, 0, 108},	//443 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 885, 312, 2, 0, 0, 109},	//444 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 885, 315, 2, 0, 0, 110},	//445 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 885, 425, 2, 0, 0, 111},	//446 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 885, 428, 2, 0, 0, 112},	//447 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 885, 431, 2, 0, 0, 113},	//448 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 885, 434, 2, 0, 0, 114},	//449 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 885, 437, 2, 0, 0, 115},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 885, 440, 2, 0, 0, 116},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 885, 443, 2, 0, 0, 117},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 885, 446, 2, 0, 0, 118},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 885, 449, 2, 0, 0, 119},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 885, 452, 2, 0, 0, 120},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 885, 455, 2, 0, 0, 121},	//456 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 885, 458, 2, 0, 0, 122},	//457 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 885, 461, 2, 0, 0, 123},	//458 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 885, 464, 2, 0, 0, 124},	//459 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {35, 885, 467, 2, 0, 0, 125},	//460 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {35, 885, 470, 2, 0, 0, 126},	//461 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 885, 473, 2, 0, 0, 127},	//462 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 892, 283, 4, 0, 0, 128},	//463 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 892, 476, 3, 0, 0, 129},	//464 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 892, 26, 3, 0, 0, 130},	//465 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 892, 323, 3, 0, 0, 131},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 892, 327, 3, 0, 0, 132},	//467 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 892, 331, 3, 0, 0, 133},	//468 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 892, 480, 3, 0, 0, 134},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 892, 484, 3, 0, 0, 135},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 892, 488, 3, 0, 0, 136},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 892, 492, 3, 0, 0, 137},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 892, 496, 3, 0, 0, 138},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 892, 500, 3, 0, 0, 139},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 892, 504, 3, 0, 0, 140},	//475 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 892, 508, 3, 0, 0, 141},	//476 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 892, 512, 3, 0, 0, 142},	//477 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 892, 318, 4, 0, 0, 143},	//478 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 892, 516, 3, 0, 0, 144},	//479 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 892, 520, 3, 0, 0, 145},	//480 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 892, 341, 3, 0, 0, 146},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 892, 345, 3, 0, 0, 147},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 892, 349, 3, 0, 0, 148},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 892, 524, 3, 0, 0, 149},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 892, 528, 3, 0, 0, 150},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 892, 532, 3, 0, 0, 151},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 892, 536, 3, 0, 0, 152},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 892, 540, 3, 0, 0, 153},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 892, 544, 3, 0, 0, 154},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 892, 548, 3, 0, 0, 155},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 892, 552, 3, 0, 0, 156},	//491 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 892, 556, 3, 0, 0, 157},	//492 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 367, 48, 1, Smoke::mf_static, 398, 158},	//493 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 928, 204, 1, Smoke::mf_static, 246, 159},	//494 QGLShaderProgram::tr(const char*)
    {35, 932, 204, 1, Smoke::mf_static, 246, 160},	//495 QGLShaderProgram::trUtf8(const char*)
    {35, 117, 0, 0, Smoke::mf_ctor, 159, 161},	//496 QGLShaderProgram::QGLShaderProgram()
    {35, 117, 48, 1, Smoke::mf_ctor, 159, 162},	//497 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 788, 560, 3, 0, 0, 163},	//498 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 788, 564, 2, 0, 0, 164},	//499 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 788, 567, 2, 0, 0, 165},	//500 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 788, 570, 2, 0, 0, 166},	//501 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 788, 573, 4, 0, 0, 167},	//502 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {35, 788, 578, 3, 0, 0, 168},	//503 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 788, 582, 2, 0, 0, 169},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 788, 585, 2, 0, 0, 170},	//505 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 788, 588, 2, 0, 0, 171},	//506 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 788, 591, 4, 0, 0, 172},	//507 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {35, 794, 596, 4, 0, 0, 173},	//508 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {35, 794, 601, 4, 0, 0, 174},	//509 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {35, 367, 0, 0, Smoke::mf_static, 398, 175},	//510 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 913, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 451, 176},	//511 QGLShaderProgram::staticMetaObject() const
    {35, 963, 0, 0, Smoke::mf_dtor, 0, 177 },	//512 QGLShaderProgram::~QGLShaderProgram()
    {36, 400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 1},	//513 QGLWidget::metaObject() const
    {36, 736, 204, 1, Smoke::mf_virtual, 538, 2},	//514 QGLWidget::qt_metacast(const char*)
    {36, 928, 206, 2, Smoke::mf_static, 246, 3},	//515 QGLWidget::tr(const char*, const char*)
    {36, 932, 206, 2, Smoke::mf_static, 246, 4},	//516 QGLWidget::trUtf8(const char*, const char*)
    {36, 928, 209, 3, Smoke::mf_static, 246, 5},	//517 QGLWidget::tr(const char*, const char*, int)
    {36, 932, 209, 3, Smoke::mf_static, 246, 6},	//518 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 734, 213, 3, Smoke::mf_virtual, 520, 7},	//519 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 120, 606, 3, Smoke::mf_ctor, 160, 8},	//520 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 120, 610, 4, Smoke::mf_ctor, 160, 9},	//521 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 120, 615, 4, Smoke::mf_ctor, 160, 10},	//522 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 691, 89, 1, Smoke::mf_const, 0, 11},	//523 QGLWidget::qglColor(const QColor&) const
    {36, 689, 89, 1, Smoke::mf_const, 0, 12},	//524 QGLWidget::qglClearColor(const QColor&) const
    {36, 387, 0, 0, Smoke::mf_const, 398, 13},	//525 QGLWidget::isValid() const
    {36, 386, 0, 0, Smoke::mf_const, 398, 14},	//526 QGLWidget::isSharing() const
    {36, 395, 0, 0, 0, 0, 15},	//527 QGLWidget::makeCurrent()
    {36, 316, 0, 0, 0, 0, 16},	//528 QGLWidget::doneCurrent()
    {36, 317, 0, 0, Smoke::mf_const, 398, 17},	//529 QGLWidget::doubleBuffer() const
    {36, 918, 0, 0, 0, 0, 18},	//530 QGLWidget::swapBuffers()
    {36, 347, 0, 0, Smoke::mf_const, 145, 19},	//531 QGLWidget::format() const
    {36, 835, 46, 1, 0, 0, 20},	//532 QGLWidget::setFormat(const QGLFormat&)
    {36, 292, 0, 0, Smoke::mf_const, 417, 21},	//533 QGLWidget::context() const
    {36, 809, 620, 3, 0, 0, 22},	//534 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 756, 624, 3, 0, 221, 23},	//535 QGLWidget::renderPixmap(int, int, bool)
    {36, 358, 84, 1, 0, 174, 24},	//536 QGLWidget::grabFrameBuffer(bool)
    {36, 396, 0, 0, 0, 0, 25},	//537 QGLWidget::makeOverlayCurrent()
    {36, 476, 0, 0, Smoke::mf_const, 417, 26},	//538 QGLWidget::overlayContext() const
    {36, 294, 93, 1, Smoke::mf_static, 174, 27},	//539 QGLWidget::convertToGLFormat(const QImage&)
    {36, 853, 84, 1, 0, 0, 28},	//540 QGLWidget::setMouseTracking(bool)
    {36, 285, 0, 0, Smoke::mf_const, 416, 29},	//541 QGLWidget::colormap() const
    {36, 807, 24, 1, 0, 0, 30},	//542 QGLWidget::setColormap(const QGLColormap&)
    {36, 760, 628, 5, 0, 0, 31},	//543 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 760, 634, 6, 0, 0, 32},	//544 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 478, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 33},	//545 QGLWidget::paintEngine() const
    {36, 263, 53, 4, 0, 531, 34},	//546 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 263, 58, 4, 0, 531, 35},	//547 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 263, 63, 3, 0, 531, 36},	//548 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 263, 67, 3, 0, 531, 37},	//549 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 263, 71, 1, 0, 531, 38},	//550 QGLWidget::bindTexture(const QString&)
    {36, 303, 36, 1, 0, 0, 39},	//551 QGLWidget::deleteTexture(unsigned int)
    {36, 321, 73, 3, 0, 0, 40},	//552 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 321, 77, 3, 0, 0, 41},	//553 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 946, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//554 QGLWidget::updateGL()
    {36, 947, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//555 QGLWidget::updateOverlayGL()
    {36, 333, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 44},	//556 QGLWidget::event(QEvent*)
    {36, 375, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//557 QGLWidget::initializeGL()
    {36, 771, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//558 QGLWidget::resizeGL(int, int)
    {36, 481, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//559 QGLWidget::paintGL()
    {36, 376, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//560 QGLWidget::initializeOverlayGL()
    {36, 773, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//561 QGLWidget::resizeOverlayGL(int, int)
    {36, 482, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//562 QGLWidget::paintOverlayGL()
    {36, 803, 84, 1, Smoke::mf_protected, 0, 51},	//563 QGLWidget::setAutoBufferSwap(bool)
    {36, 257, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 52},	//564 QGLWidget::autoBufferSwap() const
    {36, 479, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//565 QGLWidget::paintEvent(QPaintEvent*)
    {36, 769, 645, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//566 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 357, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//567 QGLWidget::glInit()
    {36, 356, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//568 QGLWidget::glDraw()
    {36, 344, 86, 2, Smoke::mf_protected, 520, 57},	//569 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 928, 204, 1, Smoke::mf_static, 246, 58},	//570 QGLWidget::tr(const char*)
    {36, 932, 204, 1, Smoke::mf_static, 246, 59},	//571 QGLWidget::trUtf8(const char*)
    {36, 120, 0, 0, Smoke::mf_ctor, 160, 60},	//572 QGLWidget::QGLWidget()
    {36, 120, 647, 1, Smoke::mf_ctor, 160, 61},	//573 QGLWidget::QGLWidget(QWidget*)
    {36, 120, 649, 2, Smoke::mf_ctor, 160, 62},	//574 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 120, 109, 1, Smoke::mf_ctor, 160, 63},	//575 QGLWidget::QGLWidget(QGLContext*)
    {36, 120, 652, 2, Smoke::mf_ctor, 160, 64},	//576 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 120, 655, 3, Smoke::mf_ctor, 160, 65},	//577 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 120, 46, 1, Smoke::mf_ctor, 160, 66},	//578 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 120, 659, 2, Smoke::mf_ctor, 160, 67},	//579 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 120, 662, 3, Smoke::mf_ctor, 160, 68},	//580 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 809, 109, 1, 0, 0, 69},	//581 QGLWidget::setContext(QGLContext*)
    {36, 809, 666, 2, 0, 0, 70},	//582 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 756, 0, 0, 0, 221, 71},	//583 QGLWidget::renderPixmap()
    {36, 756, 20, 1, 0, 221, 72},	//584 QGLWidget::renderPixmap(int)
    {36, 756, 116, 2, 0, 221, 73},	//585 QGLWidget::renderPixmap(int, int)
    {36, 358, 0, 0, 0, 174, 74},	//586 QGLWidget::grabFrameBuffer()
    {36, 760, 669, 3, 0, 0, 75},	//587 QGLWidget::renderText(int, int, const QString&)
    {36, 760, 673, 4, 0, 0, 76},	//588 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 760, 678, 4, 0, 0, 77},	//589 QGLWidget::renderText(double, double, double, const QString&)
    {36, 760, 683, 5, 0, 0, 78},	//590 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 263, 93, 1, 0, 531, 79},	//591 QGLWidget::bindTexture(const QImage&)
    {36, 263, 95, 2, 0, 531, 80},	//592 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 263, 98, 1, 0, 531, 81},	//593 QGLWidget::bindTexture(const QPixmap&)
    {36, 263, 100, 2, 0, 531, 82},	//594 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 321, 103, 2, 0, 0, 83},	//595 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 321, 106, 2, 0, 0, 84},	//596 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 344, 689, 1, Smoke::mf_protected, 520, 85},	//597 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 913, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 451, 86},	//598 QGLWidget::staticMetaObject() const
    {36, 964, 0, 0, Smoke::mf_dtor, 0, 87 },	//599 QGLWidget::~QGLWidget()
    {37, 473, 691, 2, Smoke::mf_static, 177, 1},	//600 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 493, 0, 0, Smoke::mf_static, 9, 2},	//601 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 462, 694, 2, Smoke::mf_static, 398, 3},	//602 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 604, 697, 1, Smoke::mf_static, 531, 4},	//603 QGlobalSpace::qHash(unsigned long long)
    {37, 473, 699, 2, Smoke::mf_static, 177, 5},	//604 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 616, 702, 1, Smoke::mf_static, 398, 6},	//605 QGlobalSpace::qIsInf(double)
    {37, 429, 704, 2, Smoke::mf_static, 196, 7},	//606 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 473, 707, 2, Smoke::mf_static, 177, 8},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 451, 710, 2, Smoke::mf_static, 398, 9},	//608 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 412, 713, 2, Smoke::mf_static, 398, 10},	//609 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 719, 422, 2, Smoke::mf_static, 531, 11},	//610 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 628, 716, 3, Smoke::mf_static, 538, 12},	//611 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 738, 0, 0, Smoke::mf_static, 0, 13},	//612 QGlobalSpace::qt_noop()
    {37, 451, 720, 2, Smoke::mf_static, 398, 14},	//613 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 440, 723, 2, Smoke::mf_static, 32, 15},	//614 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 467, 726, 2, Smoke::mf_static, 28, 16},	//615 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 420, 729, 2, Smoke::mf_static, 225, 17},	//616 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 473, 732, 2, Smoke::mf_static, 89, 18},	//617 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 451, 735, 2, Smoke::mf_static, 398, 19},	//618 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 451, 738, 2, Smoke::mf_static, 398, 20},	//619 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 440, 741, 2, Smoke::mf_static, 28, 21},	//620 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 473, 744, 2, Smoke::mf_static, 106, 22},	//621 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 424, 747, 2, Smoke::mf_static, 404, 23},	//622 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 467, 750, 2, Smoke::mf_static, 28, 24},	//623 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 473, 753, 2, Smoke::mf_static, 97, 25},	//624 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 473, 756, 2, Smoke::mf_static, 86, 26},	//625 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 473, 759, 2, Smoke::mf_static, 63, 27},	//626 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 665, 762, 2, Smoke::mf_static, 398, 28},	//627 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 467, 765, 2, Smoke::mf_static, 28, 29},	//628 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 700, 747, 2, Smoke::mf_static, 520, 30},	//629 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 451, 768, 2, Smoke::mf_static, 398, 31},	//630 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 440, 771, 2, Smoke::mf_static, 28, 32},	//631 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 505, 774, 2, Smoke::mf_static, 518, 33},	//632 QGlobalSpace::qAtan2(double, double)
    {37, 467, 777, 2, Smoke::mf_static, 28, 34},	//633 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 462, 780, 2, Smoke::mf_static, 398, 35},	//634 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 616, 783, 1, Smoke::mf_static, 398, 36},	//635 QGlobalSpace::qIsInf(float)
    {37, 687, 204, 1, Smoke::mf_static, 17, 37},	//636 QGlobalSpace::qgetenv(const char*)
    {37, 604, 785, 1, Smoke::mf_static, 531, 38},	//637 QGlobalSpace::qHash(signed char)
    {37, 473, 787, 2, Smoke::mf_static, 177, 39},	//638 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 451, 790, 2, Smoke::mf_static, 398, 40},	//639 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 457, 747, 2, Smoke::mf_static, 398, 41},	//640 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 473, 793, 2, Smoke::mf_static, 177, 42},	//641 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 424, 704, 2, Smoke::mf_static, 196, 43},	//642 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 610, 702, 1, Smoke::mf_static, 520, 44},	//643 QGlobalSpace::qIntCast(double)
    {37, 656, 796, 1, Smoke::mf_static, 277, 45},	//644 QGlobalSpace::qSetPadChar(QChar)
    {37, 440, 798, 2, Smoke::mf_static, 28, 46},	//645 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 473, 801, 2, Smoke::mf_static, 88, 47},	//646 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 473, 804, 2, Smoke::mf_static, 96, 48},	//647 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 420, 807, 2, Smoke::mf_static, 223, 49},	//648 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 440, 810, 2, Smoke::mf_static, 28, 50},	//649 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 440, 813, 2, Smoke::mf_static, 32, 51},	//650 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 473, 816, 2, Smoke::mf_static, 72, 52},	//651 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 451, 819, 2, Smoke::mf_static, 398, 53},	//652 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 420, 822, 2, Smoke::mf_static, 294, 54},	//653 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 451, 825, 2, Smoke::mf_static, 398, 55},	//654 QGlobalSpace::operator==(QChar, QChar)
    {37, 440, 828, 2, Smoke::mf_static, 32, 56},	//655 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 420, 704, 2, Smoke::mf_static, 196, 57},	//656 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 473, 831, 2, Smoke::mf_static, 128, 58},	//657 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 429, 834, 1, Smoke::mf_static, 196, 59},	//658 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 604, 836, 1, Smoke::mf_static, 531, 60},	//659 QGlobalSpace::qHash(const QUrl&)
    {37, 604, 224, 1, Smoke::mf_static, 531, 61},	//660 QGlobalSpace::qHash(const QByteArray&)
    {37, 473, 838, 2, Smoke::mf_static, 177, 62},	//661 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 420, 841, 2, Smoke::mf_static, 196, 63},	//662 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 440, 844, 2, Smoke::mf_static, 28, 64},	//663 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 440, 847, 2, Smoke::mf_static, 32, 65},	//664 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 467, 850, 2, Smoke::mf_static, 28, 66},	//665 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 435, 825, 2, Smoke::mf_static, 398, 67},	//666 QGlobalSpace::operator<(QChar, QChar)
    {37, 467, 853, 2, Smoke::mf_static, 28, 68},	//667 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 473, 856, 2, Smoke::mf_static, 85, 69},	//668 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 462, 825, 2, Smoke::mf_static, 398, 70},	//669 QGlobalSpace::operator>=(QChar, QChar)
    {37, 412, 859, 2, Smoke::mf_static, 398, 71},	//670 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 440, 862, 2, Smoke::mf_static, 32, 72},	//671 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 435, 747, 2, Smoke::mf_static, 398, 73},	//672 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 440, 865, 2, Smoke::mf_static, 32, 74},	//673 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 473, 868, 2, Smoke::mf_static, 113, 75},	//674 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 473, 871, 2, Smoke::mf_static, 127, 76},	//675 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 700, 206, 2, Smoke::mf_static, 520, 77},	//676 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 473, 874, 2, Smoke::mf_static, 177, 78},	//677 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 424, 710, 2, Smoke::mf_static, 503, 79},	//678 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 519, 702, 1, Smoke::mf_static, 518, 80},	//679 QGlobalSpace::qCos(double)
    {37, 473, 877, 2, Smoke::mf_static, 84, 81},	//680 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 457, 825, 2, Smoke::mf_static, 398, 82},	//681 QGlobalSpace::operator>(QChar, QChar)
    {37, 473, 880, 2, Smoke::mf_static, 130, 83},	//682 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 420, 883, 2, Smoke::mf_static, 476, 84},	//683 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 660, 0, 0, Smoke::mf_static, 398, 85},	//684 QGlobalSpace::qSharedBuild()
    {37, 451, 886, 2, Smoke::mf_static, 398, 86},	//685 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 473, 889, 2, Smoke::mf_static, 177, 87},	//686 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 473, 892, 2, Smoke::mf_static, 96, 88},	//687 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 412, 694, 2, Smoke::mf_static, 398, 89},	//688 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 429, 895, 2, Smoke::mf_static, 461, 90},	//689 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 488, 0, 0, Smoke::mf_static, 9, 91},	//690 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 440, 898, 2, Smoke::mf_static, 28, 92},	//691 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 473, 901, 2, Smoke::mf_static, 177, 93},	//692 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 473, 904, 2, Smoke::mf_static, 126, 94},	//693 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 473, 907, 2, Smoke::mf_static, 177, 95},	//694 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 429, 910, 2, Smoke::mf_static, 280, 96},	//695 QGlobalSpace::operator-(const QTransform&, double)
    {37, 473, 913, 2, Smoke::mf_static, 49, 97},	//696 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 604, 916, 1, Smoke::mf_static, 531, 98},	//697 QGlobalSpace::qHash(char)
    {37, 420, 710, 2, Smoke::mf_static, 503, 99},	//698 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 473, 918, 2, Smoke::mf_static, 114, 100},	//699 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 412, 735, 2, Smoke::mf_static, 398, 101},	//700 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 473, 921, 2, Smoke::mf_static, 110, 102},	//701 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 473, 924, 2, Smoke::mf_static, 177, 103},	//702 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 440, 927, 2, Smoke::mf_static, 32, 104},	//703 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 473, 930, 2, Smoke::mf_static, 177, 105},	//704 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 473, 933, 2, Smoke::mf_static, 177, 106},	//705 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 473, 936, 2, Smoke::mf_static, 72, 107},	//706 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 433, 939, 2, Smoke::mf_static, 461, 108},	//707 QGlobalSpace::operator/(const QPoint&, double)
    {37, 571, 942, 8, Smoke::mf_static, 0, 109},	//708 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 571, 951, 6, Smoke::mf_static, 0, 110},	//709 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 571, 958, 7, Smoke::mf_static, 0, 111},	//710 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 424, 895, 2, Smoke::mf_static, 461, 112},	//711 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 440, 966, 2, Smoke::mf_static, 28, 113},	//712 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 473, 969, 2, Smoke::mf_static, 59, 114},	//713 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 424, 972, 2, Smoke::mf_static, 481, 115},	//714 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 429, 975, 2, Smoke::mf_static, 476, 116},	//715 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 420, 978, 2, Smoke::mf_static, 292, 117},	//716 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 594, 981, 2, Smoke::mf_static, 398, 118},	//717 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 440, 984, 2, Smoke::mf_static, 32, 119},	//718 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 429, 710, 2, Smoke::mf_static, 503, 120},	//719 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 612, 702, 1, Smoke::mf_static, 398, 121},	//720 QGlobalSpace::qIsFinite(double)
    {37, 677, 987, 4, Smoke::mf_static, 400, 122},	//721 QGlobalSpace::qecvt(long double, int, int*, int*)
    {37, 473, 992, 2, Smoke::mf_static, 64, 123},	//722 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 412, 780, 2, Smoke::mf_static, 398, 124},	//723 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 440, 995, 2, Smoke::mf_static, 28, 125},	//724 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 473, 998, 2, Smoke::mf_static, 122, 126},	//725 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 473, 1001, 2, Smoke::mf_static, 177, 127},	//726 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 440, 1004, 2, Smoke::mf_static, 32, 128},	//727 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 498, 36, 1, Smoke::mf_static, 520, 129},	//728 QGlobalSpace::qAlpha(unsigned int)
    {37, 440, 1007, 2, Smoke::mf_static, 32, 130},	//729 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 473, 1010, 2, Smoke::mf_static, 60, 131},	//730 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 435, 1013, 2, Smoke::mf_static, 398, 132},	//731 QGlobalSpace::operator<(const char*, const QString&)
    {37, 599, 1016, 3, Smoke::mf_static, 520, 133},	//732 QGlobalSpace::qGray(int, int, int)
    {37, 473, 1020, 2, Smoke::mf_static, 77, 134},	//733 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 473, 1023, 2, Smoke::mf_static, 68, 135},	//734 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 440, 1026, 2, Smoke::mf_static, 28, 136},	//735 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 473, 1029, 2, Smoke::mf_static, 112, 137},	//736 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 424, 738, 2, Smoke::mf_static, 474, 138},	//737 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 473, 1032, 2, Smoke::mf_static, 128, 139},	//738 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 473, 1035, 2, Smoke::mf_static, 119, 140},	//739 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 730, 20, 1, Smoke::mf_static, 246, 141},	//740 QGlobalSpace::qt_error_string(int)
    {37, 730, 0, 0, Smoke::mf_static, 246, 142},	//741 QGlobalSpace::qt_error_string()
    {37, 424, 975, 2, Smoke::mf_static, 476, 143},	//742 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 433, 841, 2, Smoke::mf_static, 196, 144},	//743 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 473, 1038, 2, Smoke::mf_static, 177, 145},	//744 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 473, 1041, 2, Smoke::mf_static, 49, 146},	//745 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 473, 1044, 2, Smoke::mf_static, 177, 147},	//746 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 429, 981, 2, Smoke::mf_static, 506, 148},	//747 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 435, 1047, 2, Smoke::mf_static, 398, 149},	//748 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 670, 1050, 2, Smoke::mf_static, 17, 150},	//749 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 713, 1053, 3, Smoke::mf_static, 520, 151},	//750 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 668, 702, 1, Smoke::mf_static, 518, 152},	//751 QGlobalSpace::qTan(double)
    {37, 457, 720, 2, Smoke::mf_static, 398, 153},	//752 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 412, 1057, 2, Smoke::mf_static, 398, 154},	//753 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 654, 20, 1, Smoke::mf_static, 277, 155},	//754 QGlobalSpace::qSetFieldWidth(int)
    {37, 451, 1060, 2, Smoke::mf_static, 398, 156},	//755 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 473, 1063, 2, Smoke::mf_static, 99, 157},	//756 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 467, 1066, 2, Smoke::mf_static, 274, 158},	//757 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 604, 1069, 1, Smoke::mf_static, 531, 159},	//758 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 473, 1071, 2, Smoke::mf_static, 117, 160},	//759 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 639, 36, 1, Smoke::mf_static, 520, 161},	//760 QGlobalSpace::qRed(unsigned int)
    {37, 420, 910, 2, Smoke::mf_static, 280, 162},	//761 QGlobalSpace::operator*(const QTransform&, double)
    {37, 588, 702, 1, Smoke::mf_static, 520, 163},	//762 QGlobalSpace::qFloor(double)
    {37, 473, 1074, 2, Smoke::mf_static, 91, 164},	//763 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 440, 1077, 2, Smoke::mf_static, 32, 165},	//764 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 467, 1080, 2, Smoke::mf_static, 28, 166},	//765 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 612, 783, 1, Smoke::mf_static, 398, 167},	//766 QGlobalSpace::qIsFinite(float)
    {37, 424, 1083, 2, Smoke::mf_static, 481, 168},	//767 QGlobalSpace::operator+(const QString&, QChar)
    {37, 412, 1086, 2, Smoke::mf_static, 398, 169},	//768 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 420, 981, 2, Smoke::mf_static, 506, 170},	//769 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 473, 1089, 2, Smoke::mf_static, 52, 171},	//770 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 473, 1092, 2, Smoke::mf_static, 177, 172},	//771 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 424, 780, 2, Smoke::mf_static, 404, 173},	//772 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 675, 1095, 3, Smoke::mf_static, 0, 174},	//773 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 492, 0, 0, Smoke::mf_static, 9, 175},	//774 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 473, 1099, 2, Smoke::mf_static, 98, 176},	//775 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 473, 1102, 2, Smoke::mf_static, 104, 177},	//776 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 424, 762, 2, Smoke::mf_static, 481, 178},	//777 QGlobalSpace::operator+(const QString&, const char*)
    {37, 457, 1047, 2, Smoke::mf_static, 398, 179},	//778 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 473, 1105, 2, Smoke::mf_static, 125, 180},	//779 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 473, 1108, 2, Smoke::mf_static, 70, 181},	//780 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {37, 637, 1111, 4, Smoke::mf_static, 538, 182},	//781 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 467, 1116, 2, Smoke::mf_static, 28, 183},	//782 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 440, 1119, 2, Smoke::mf_static, 28, 184},	//783 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 424, 1122, 2, Smoke::mf_static, 481, 185},	//784 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 604, 36, 1, Smoke::mf_static, 531, 186},	//785 QGlobalSpace::qHash(unsigned int)
    {37, 594, 886, 2, Smoke::mf_static, 398, 187},	//786 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 473, 1125, 2, Smoke::mf_static, 127, 188},	//787 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 604, 796, 1, Smoke::mf_static, 531, 189},	//788 QGlobalSpace::qHash(QChar)
    {37, 473, 1128, 2, Smoke::mf_static, 106, 190},	//789 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 444, 780, 2, Smoke::mf_static, 398, 191},	//790 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 610, 783, 1, Smoke::mf_static, 520, 192},	//791 QGlobalSpace::qIntCast(float)
    {37, 451, 1131, 2, Smoke::mf_static, 398, 193},	//792 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 473, 1134, 2, Smoke::mf_static, 62, 194},	//793 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 471, 1137, 2, Smoke::mf_static, 13, 195},	//794 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 457, 1140, 2, Smoke::mf_static, 398, 196},	//795 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 473, 1143, 2, Smoke::mf_static, 88, 197},	//796 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 635, 1146, 2, Smoke::mf_static, 538, 198},	//797 QGlobalSpace::qRealloc(void*, size_t)
    {37, 604, 71, 1, Smoke::mf_static, 531, 199},	//798 QGlobalSpace::qHash(const QString&)
    {37, 444, 1047, 2, Smoke::mf_static, 398, 200},	//799 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 424, 981, 2, Smoke::mf_static, 506, 201},	//800 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 473, 1149, 2, Smoke::mf_static, 92, 202},	//801 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 440, 1152, 2, Smoke::mf_static, 28, 203},	//802 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 440, 1155, 2, Smoke::mf_static, 28, 204},	//803 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 440, 1158, 2, Smoke::mf_static, 32, 205},	//804 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 651, 702, 1, Smoke::mf_static, 525, 206},	//805 QGlobalSpace::qRound64(double)
    {37, 608, 1161, 1, Smoke::mf_static, 537, 207},	//806 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 663, 702, 1, Smoke::mf_static, 518, 208},	//807 QGlobalSpace::qSqrt(double)
    {37, 473, 1163, 2, Smoke::mf_static, 177, 209},	//808 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 604, 1166, 1, Smoke::mf_static, 531, 210},	//809 QGlobalSpace::qHash(const QModelIndex&)
    {37, 473, 1168, 2, Smoke::mf_static, 55, 211},	//810 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 582, 702, 1, Smoke::mf_static, 518, 212},	//811 QGlobalSpace::qFastCos(double)
    {37, 473, 1171, 2, Smoke::mf_static, 103, 213},	//812 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 467, 1174, 2, Smoke::mf_static, 28, 214},	//813 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 440, 1177, 2, Smoke::mf_static, 32, 215},	//814 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 451, 1180, 2, Smoke::mf_static, 398, 216},	//815 QGlobalSpace::operator==(QBool, QBool)
    {37, 473, 1183, 2, Smoke::mf_static, 74, 217},	//816 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 451, 1186, 2, Smoke::mf_static, 398, 218},	//817 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 473, 1189, 2, Smoke::mf_static, 177, 219},	//818 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 473, 1192, 2, Smoke::mf_static, 177, 220},	//819 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 412, 1013, 2, Smoke::mf_static, 398, 221},	//820 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 618, 783, 1, Smoke::mf_static, 398, 222},	//821 QGlobalSpace::qIsNaN(float)
    {37, 473, 1195, 2, Smoke::mf_static, 177, 223},	//822 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 473, 1198, 2, Smoke::mf_static, 80, 224},	//823 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 473, 1201, 2, Smoke::mf_static, 67, 225},	//824 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 444, 1140, 2, Smoke::mf_static, 398, 226},	//825 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 467, 1204, 2, Smoke::mf_static, 28, 227},	//826 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 586, 204, 1, Smoke::mf_static, 509, 228},	//827 QGlobalSpace::qFlagLocation(const char*)
    {37, 424, 910, 2, Smoke::mf_static, 280, 229},	//828 QGlobalSpace::operator+(const QTransform&, double)
    {37, 420, 1207, 2, Smoke::mf_static, 185, 230},	//829 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 440, 1210, 2, Smoke::mf_static, 32, 231},	//830 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 473, 1213, 2, Smoke::mf_static, 177, 232},	//831 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 618, 702, 1, Smoke::mf_static, 398, 233},	//832 QGlobalSpace::qIsNaN(double)
    {37, 599, 36, 1, Smoke::mf_static, 520, 234},	//833 QGlobalSpace::qGray(unsigned int)
    {37, 424, 1216, 2, Smoke::mf_static, 481, 235},	//834 QGlobalSpace::operator+(QChar, const QString&)
    {37, 473, 1219, 2, Smoke::mf_static, 100, 236},	//835 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 473, 1222, 2, Smoke::mf_static, 177, 237},	//836 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 473, 1225, 2, Smoke::mf_static, 177, 238},	//837 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 473, 1228, 2, Smoke::mf_static, 73, 239},	//838 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 473, 1231, 2, Smoke::mf_static, 177, 240},	//839 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 440, 1234, 2, Smoke::mf_static, 32, 241},	//840 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 467, 1237, 2, Smoke::mf_static, 28, 242},	//841 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 724, 209, 3, Smoke::mf_static, 0, 243},	//842 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 604, 1240, 1, Smoke::mf_static, 531, 244},	//843 QGlobalSpace::qHash(long long)
    {37, 429, 1242, 1, Smoke::mf_static, 467, 245},	//844 QGlobalSpace::operator-(const QQuaternion&)
    {37, 412, 1244, 2, Smoke::mf_static, 398, 246},	//845 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 681, 987, 4, Smoke::mf_static, 400, 247},	//846 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {37, 473, 1247, 2, Smoke::mf_static, 66, 248},	//847 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 594, 1250, 2, Smoke::mf_static, 398, 249},	//848 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 473, 1253, 2, Smoke::mf_static, 177, 250},	//849 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 467, 1256, 2, Smoke::mf_static, 28, 251},	//850 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 473, 1259, 2, Smoke::mf_static, 177, 252},	//851 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 645, 1016, 3, Smoke::mf_static, 531, 253},	//852 QGlobalSpace::qRgb(int, int, int)
    {37, 473, 1262, 2, Smoke::mf_static, 104, 254},	//853 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 424, 1265, 2, Smoke::mf_static, 481, 255},	//854 QGlobalSpace::operator+(const QString&, char)
    {37, 412, 819, 2, Smoke::mf_static, 398, 256},	//855 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 420, 1268, 2, Smoke::mf_static, 215, 257},	//856 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 429, 768, 2, Smoke::mf_static, 463, 258},	//857 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 451, 1086, 2, Smoke::mf_static, 398, 259},	//858 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 473, 1271, 2, Smoke::mf_static, 120, 260},	//859 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 473, 1274, 2, Smoke::mf_static, 177, 261},	//860 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 473, 1277, 2, Smoke::mf_static, 85, 262},	//861 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 473, 1280, 2, Smoke::mf_static, 114, 263},	//862 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 467, 1283, 2, Smoke::mf_static, 28, 264},	//863 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 435, 1140, 2, Smoke::mf_static, 398, 265},	//864 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 491, 0, 0, Smoke::mf_static, 9, 266},	//865 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 473, 1286, 2, Smoke::mf_static, 130, 267},	//866 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 528, 1289, 8, Smoke::mf_static, 0, 268},	//867 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 528, 1298, 6, Smoke::mf_static, 0, 269},	//868 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 528, 1305, 7, Smoke::mf_static, 0, 270},	//869 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 597, 783, 1, Smoke::mf_static, 398, 271},	//870 QGlobalSpace::qFuzzyIsNull(float)
    {37, 420, 1313, 2, Smoke::mf_static, 467, 272},	//871 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 473, 1316, 2, Smoke::mf_static, 124, 273},	//872 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 705, 1319, 2, Smoke::mf_static, 400, 274},	//873 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 604, 20, 1, Smoke::mf_static, 531, 275},	//874 QGlobalSpace::qHash(int)
    {37, 473, 1322, 2, Smoke::mf_static, 92, 276},	//875 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 424, 768, 2, Smoke::mf_static, 463, 277},	//876 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 420, 1325, 2, Smoke::mf_static, 235, 278},	//877 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 473, 1328, 2, Smoke::mf_static, 115, 279},	//878 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 451, 975, 2, Smoke::mf_static, 398, 280},	//879 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 429, 1331, 1, Smoke::mf_static, 461, 281},	//880 QGlobalSpace::operator-(const QPoint&)
    {37, 473, 1333, 2, Smoke::mf_static, 177, 282},	//881 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 440, 1336, 2, Smoke::mf_static, 28, 283},	//882 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 473, 1339, 2, Smoke::mf_static, 177, 284},	//883 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 658, 20, 1, Smoke::mf_static, 277, 285},	//884 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 578, 702, 1, Smoke::mf_static, 518, 286},	//885 QGlobalSpace::qExp(double)
    {37, 451, 1342, 2, Smoke::mf_static, 398, 287},	//886 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 622, 702, 1, Smoke::mf_static, 518, 288},	//887 QGlobalSpace::qLn(double)
    {37, 424, 713, 2, Smoke::mf_static, 500, 289},	//888 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 553, 1345, 7, Smoke::mf_static, 0, 290},	//889 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 553, 1353, 3, Smoke::mf_static, 0, 291},	//890 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 553, 1357, 4, Smoke::mf_static, 0, 292},	//891 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 553, 1362, 5, Smoke::mf_static, 0, 293},	//892 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 553, 1368, 6, Smoke::mf_static, 0, 294},	//893 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 440, 1375, 2, Smoke::mf_static, 28, 295},	//894 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 420, 1378, 2, Smoke::mf_static, 294, 296},	//895 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 473, 1381, 2, Smoke::mf_static, 177, 297},	//896 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 412, 975, 2, Smoke::mf_static, 398, 298},	//897 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 641, 1384, 1, Smoke::mf_static, 0, 299},	//898 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 440, 1386, 2, Smoke::mf_static, 32, 300},	//899 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 440, 1389, 2, Smoke::mf_static, 32, 301},	//900 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 473, 1392, 2, Smoke::mf_static, 60, 302},	//901 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 512, 422, 2, Smoke::mf_static, 534, 303},	//902 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 523, 1395, 4, Smoke::mf_static, 0, 304},	//903 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 433, 1400, 2, Smoke::mf_static, 506, 305},	//904 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 490, 0, 0, Smoke::mf_static, 9, 306},	//905 QGlobalSpace::qAccessibleTable2CastHelper()
    {37, 440, 1403, 2, Smoke::mf_static, 274, 307},	//906 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 473, 1406, 2, Smoke::mf_static, 123, 308},	//907 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 624, 1409, 1, Smoke::mf_static, 538, 309},	//908 QGlobalSpace::qMalloc(size_t)
    {37, 634, 0, 0, Smoke::mf_static, 518, 310},	//909 QGlobalSpace::qQNaN()
    {37, 473, 1411, 2, Smoke::mf_static, 116, 311},	//910 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 467, 1414, 2, Smoke::mf_static, 28, 312},	//911 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 693, 747, 2, Smoke::mf_static, 398, 313},	//912 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 473, 1417, 2, Smoke::mf_static, 101, 314},	//913 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 473, 1420, 2, Smoke::mf_static, 82, 315},	//914 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 440, 1423, 2, Smoke::mf_static, 28, 316},	//915 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 440, 1426, 2, Smoke::mf_static, 32, 317},	//916 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 473, 1429, 2, Smoke::mf_static, 177, 318},	//917 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 508, 36, 1, Smoke::mf_static, 520, 319},	//918 QGlobalSpace::qBlue(unsigned int)
    {37, 473, 1432, 2, Smoke::mf_static, 108, 320},	//919 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 420, 713, 2, Smoke::mf_static, 500, 321},	//920 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 440, 1435, 2, Smoke::mf_static, 28, 322},	//921 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 440, 1438, 2, Smoke::mf_static, 28, 323},	//922 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 564, 1441, 5, Smoke::mf_static, 0, 324},	//923 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 564, 1353, 3, Smoke::mf_static, 0, 325},	//924 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 564, 1357, 4, Smoke::mf_static, 0, 326},	//925 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 698, 36, 1, Smoke::mf_static, 0, 327},	//926 QGlobalSpace::qsrand(unsigned int)
    {37, 412, 886, 2, Smoke::mf_static, 398, 328},	//927 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 473, 1447, 2, Smoke::mf_static, 177, 329},	//928 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 604, 1450, 1, Smoke::mf_static, 531, 330},	//929 QGlobalSpace::qHash(long)
    {37, 440, 1452, 2, Smoke::mf_static, 28, 331},	//930 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 420, 371, 2, Smoke::mf_static, 461, 332},	//931 QGlobalSpace::operator*(int, const QPoint&)
    {37, 457, 694, 2, Smoke::mf_static, 398, 333},	//932 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 604, 1455, 1, Smoke::mf_static, 531, 334},	//933 QGlobalSpace::qHash(unsigned short)
    {37, 473, 1457, 2, Smoke::mf_static, 107, 335},	//934 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 467, 1460, 2, Smoke::mf_static, 28, 336},	//935 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 412, 768, 2, Smoke::mf_static, 398, 337},	//936 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 473, 1463, 2, Smoke::mf_static, 89, 338},	//937 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 440, 1466, 2, Smoke::mf_static, 28, 339},	//938 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 473, 1469, 2, Smoke::mf_static, 63, 340},	//939 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 473, 1472, 2, Smoke::mf_static, 81, 341},	//940 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 429, 713, 2, Smoke::mf_static, 500, 342},	//941 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 544, 1475, 6, Smoke::mf_static, 0, 343},	//942 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 544, 1353, 3, Smoke::mf_static, 0, 344},	//943 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 544, 1357, 4, Smoke::mf_static, 0, 345},	//944 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 544, 1362, 5, Smoke::mf_static, 0, 346},	//945 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 717, 1053, 3, Smoke::mf_static, 520, 347},	//946 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 424, 1482, 2, Smoke::mf_static, 481, 348},	//947 QGlobalSpace::operator+(char, const QString&)
    {37, 467, 1485, 2, Smoke::mf_static, 28, 349},	//948 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 451, 859, 2, Smoke::mf_static, 398, 350},	//949 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 467, 1488, 2, Smoke::mf_static, 28, 351},	//950 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 451, 1057, 2, Smoke::mf_static, 398, 352},	//951 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 473, 1491, 2, Smoke::mf_static, 100, 353},	//952 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 473, 1494, 2, Smoke::mf_static, 177, 354},	//953 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 424, 1140, 2, Smoke::mf_static, 404, 355},	//954 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 473, 1497, 2, Smoke::mf_static, 107, 356},	//955 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 604, 1500, 1, Smoke::mf_static, 531, 357},	//956 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 457, 1013, 2, Smoke::mf_static, 398, 358},	//957 QGlobalSpace::operator>(const char*, const QString&)
    {37, 440, 1502, 2, Smoke::mf_static, 32, 359},	//958 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 440, 1505, 2, Smoke::mf_static, 28, 360},	//959 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 440, 1508, 2, Smoke::mf_static, 28, 361},	//960 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 440, 1511, 2, Smoke::mf_static, 28, 362},	//961 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 440, 1514, 2, Smoke::mf_static, 28, 363},	//962 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 467, 1517, 2, Smoke::mf_static, 28, 364},	//963 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 473, 1520, 2, Smoke::mf_static, 71, 365},	//964 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 739, 1523, 3, Smoke::mf_static, 204, 366},	//965 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 544, 1527, 9, Smoke::mf_static, 0, 367},	//966 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 544, 951, 6, Smoke::mf_static, 0, 368},	//967 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 544, 958, 7, Smoke::mf_static, 0, 369},	//968 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 544, 1537, 8, Smoke::mf_static, 0, 370},	//969 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 473, 1546, 2, Smoke::mf_static, 94, 371},	//970 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 467, 1549, 2, Smoke::mf_static, 28, 372},	//971 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 473, 1552, 2, Smoke::mf_static, 177, 373},	//972 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 433, 1555, 2, Smoke::mf_static, 500, 374},	//973 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 473, 1558, 2, Smoke::mf_static, 98, 375},	//974 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 433, 1561, 2, Smoke::mf_static, 463, 376},	//975 QGlobalSpace::operator/(const QPointF&, double)
    {37, 412, 1564, 2, Smoke::mf_static, 398, 377},	//976 QGlobalSpace::operator!=(bool, QBool)
    {37, 451, 1047, 2, Smoke::mf_static, 398, 378},	//977 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 473, 1567, 2, Smoke::mf_static, 78, 379},	//978 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 433, 1570, 2, Smoke::mf_static, 503, 380},	//979 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 473, 1573, 2, Smoke::mf_static, 82, 381},	//980 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 473, 1576, 2, Smoke::mf_static, 81, 382},	//981 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 715, 1579, 3, Smoke::mf_static, 400, 383},	//982 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 420, 1583, 2, Smoke::mf_static, 500, 384},	//983 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 429, 1586, 1, Smoke::mf_static, 506, 385},	//984 QGlobalSpace::operator-(const QVector4D&)
    {37, 473, 1588, 2, Smoke::mf_static, 111, 386},	//985 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 467, 1591, 2, Smoke::mf_static, 28, 387},	//986 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 670, 224, 1, Smoke::mf_static, 17, 388},	//987 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 473, 1594, 2, Smoke::mf_static, 101, 389},	//988 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 433, 910, 2, Smoke::mf_static, 280, 390},	//989 QGlobalSpace::operator/(const QTransform&, double)
    {37, 473, 1597, 2, Smoke::mf_static, 177, 391},	//990 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 594, 704, 2, Smoke::mf_static, 398, 392},	//991 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 473, 1600, 2, Smoke::mf_static, 177, 393},	//992 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 440, 1603, 2, Smoke::mf_static, 28, 394},	//993 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 467, 1606, 2, Smoke::mf_static, 28, 395},	//994 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 487, 0, 0, Smoke::mf_static, 9, 396},	//995 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 420, 1609, 2, Smoke::mf_static, 225, 397},	//996 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 473, 1612, 2, Smoke::mf_static, 177, 398},	//997 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 467, 1615, 2, Smoke::mf_static, 28, 399},	//998 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 429, 1618, 1, Smoke::mf_static, 463, 400},	//999 QGlobalSpace::operator-(const QPointF&)
    {37, 440, 1620, 2, Smoke::mf_static, 32, 401},	//1000 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 473, 1623, 2, Smoke::mf_static, 50, 402},	//1001 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 451, 1564, 2, Smoke::mf_static, 398, 403},	//1002 QGlobalSpace::operator==(bool, QBool)
    {37, 467, 1626, 2, Smoke::mf_static, 28, 404},	//1003 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 473, 1629, 2, Smoke::mf_static, 177, 405},	//1004 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 695, 0, 0, Smoke::mf_static, 520, 406},	//1005 QGlobalSpace::qrand()
    {37, 473, 1632, 2, Smoke::mf_static, 177, 407},	//1006 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 440, 1635, 2, Smoke::mf_static, 32, 408},	//1007 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 420, 1638, 2, Smoke::mf_static, 229, 409},	//1008 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 467, 1641, 2, Smoke::mf_static, 28, 410},	//1009 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 473, 1644, 2, Smoke::mf_static, 54, 411},	//1010 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 726, 1647, 4, Smoke::mf_static, 0, 412},	//1011 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 420, 1652, 2, Smoke::mf_static, 461, 413},	//1012 QGlobalSpace::operator*(float, const QPoint&)
    {37, 418, 1137, 2, Smoke::mf_static, 13, 414},	//1013 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 462, 747, 2, Smoke::mf_static, 398, 415},	//1014 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 473, 1655, 2, Smoke::mf_static, 64, 416},	//1015 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 473, 1658, 2, Smoke::mf_static, 109, 417},	//1016 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 473, 1661, 2, Smoke::mf_static, 125, 418},	//1017 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 440, 1664, 2, Smoke::mf_static, 28, 419},	//1018 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 594, 1667, 2, Smoke::mf_static, 398, 420},	//1019 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 473, 1670, 2, Smoke::mf_static, 177, 421},	//1020 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 412, 1673, 2, Smoke::mf_static, 398, 422},	//1021 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 647, 1676, 4, Smoke::mf_static, 531, 423},	//1022 QGlobalSpace::qRgba(int, int, int, int)
    {37, 521, 0, 0, Smoke::mf_static, 32, 424},	//1023 QGlobalSpace::qCritical()
    {37, 420, 1400, 2, Smoke::mf_static, 506, 425},	//1024 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 467, 1681, 2, Smoke::mf_static, 28, 426},	//1025 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 440, 1684, 2, Smoke::mf_static, 32, 427},	//1026 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 440, 1687, 2, Smoke::mf_static, 28, 428},	//1027 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 473, 1690, 2, Smoke::mf_static, 119, 429},	//1028 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 412, 747, 2, Smoke::mf_static, 398, 430},	//1029 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 412, 895, 2, Smoke::mf_static, 398, 431},	//1030 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 435, 720, 2, Smoke::mf_static, 398, 432},	//1031 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 420, 1693, 2, Smoke::mf_static, 506, 433},	//1032 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 473, 1696, 2, Smoke::mf_static, 177, 434},	//1033 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 473, 1699, 2, Smoke::mf_static, 87, 435},	//1034 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 451, 1673, 2, Smoke::mf_static, 398, 436},	//1035 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 440, 1702, 2, Smoke::mf_static, 28, 437},	//1036 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 440, 1705, 2, Smoke::mf_static, 32, 438},	//1037 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 424, 1708, 2, Smoke::mf_static, 404, 439},	//1038 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 473, 1711, 2, Smoke::mf_static, 59, 440},	//1039 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 473, 1714, 2, Smoke::mf_static, 57, 441},	//1040 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 467, 1717, 2, Smoke::mf_static, 28, 442},	//1041 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 433, 1720, 2, Smoke::mf_static, 476, 443},	//1042 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 462, 1047, 2, Smoke::mf_static, 398, 444},	//1043 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 451, 981, 2, Smoke::mf_static, 398, 445},	//1044 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 440, 1723, 2, Smoke::mf_static, 28, 446},	//1045 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 473, 1726, 2, Smoke::mf_static, 177, 447},	//1046 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 451, 895, 2, Smoke::mf_static, 398, 448},	//1047 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 496, 1729, 1, Smoke::mf_static, 0, 449},	//1048 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 514, 1731, 3, Smoke::mf_static, 17, 450},	//1049 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 514, 1050, 2, Smoke::mf_static, 17, 451},	//1050 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 473, 1735, 2, Smoke::mf_static, 93, 452},	//1051 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 444, 747, 2, Smoke::mf_static, 398, 453},	//1052 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 584, 702, 1, Smoke::mf_static, 518, 454},	//1053 QGlobalSpace::qFastSin(double)
    {37, 444, 694, 2, Smoke::mf_static, 398, 455},	//1054 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 440, 1738, 2, Smoke::mf_static, 28, 456},	//1055 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 467, 1741, 2, Smoke::mf_static, 28, 457},	//1056 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 473, 1744, 2, Smoke::mf_static, 56, 458},	//1057 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 467, 1747, 2, Smoke::mf_static, 28, 459},	//1058 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 433, 1313, 2, Smoke::mf_static, 467, 460},	//1059 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 500, 0, 0, Smoke::mf_static, 246, 461},	//1060 QGlobalSpace::qAppName()
    {37, 673, 0, 0, Smoke::mf_static, 509, 462},	//1061 QGlobalSpace::qVersion()
    {37, 473, 1750, 2, Smoke::mf_static, 95, 463},	//1062 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 440, 1753, 2, Smoke::mf_static, 28, 464},	//1063 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 473, 1756, 2, Smoke::mf_static, 177, 465},	//1064 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 473, 1759, 2, Smoke::mf_static, 70, 466},	//1065 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {37, 590, 1762, 1, Smoke::mf_static, 0, 467},	//1066 QGlobalSpace::qFree(void*)
    {37, 440, 1764, 2, Smoke::mf_static, 32, 468},	//1067 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 420, 1767, 2, Smoke::mf_static, 187, 469},	//1068 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 440, 1770, 2, Smoke::mf_static, 28, 470},	//1069 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 473, 1773, 2, Smoke::mf_static, 177, 471},	//1070 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 592, 1762, 1, Smoke::mf_static, 0, 472},	//1071 QGlobalSpace::qFreeAligned(void*)
    {37, 467, 1776, 2, Smoke::mf_static, 28, 473},	//1072 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 451, 1244, 2, Smoke::mf_static, 398, 474},	//1073 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 440, 1779, 2, Smoke::mf_static, 32, 475},	//1074 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 440, 1782, 2, Smoke::mf_static, 274, 476},	//1075 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 435, 780, 2, Smoke::mf_static, 398, 477},	//1076 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 440, 1785, 2, Smoke::mf_static, 32, 478},	//1077 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 420, 1788, 2, Smoke::mf_static, 467, 479},	//1078 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 420, 1555, 2, Smoke::mf_static, 500, 480},	//1079 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 412, 1791, 2, Smoke::mf_static, 398, 481},	//1080 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 440, 1794, 2, Smoke::mf_static, 32, 482},	//1081 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 412, 981, 2, Smoke::mf_static, 398, 483},	//1082 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 473, 1797, 2, Smoke::mf_static, 75, 484},	//1083 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 440, 1800, 2, Smoke::mf_static, 32, 485},	//1084 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 473, 1803, 2, Smoke::mf_static, 108, 486},	//1085 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 473, 1806, 2, Smoke::mf_static, 62, 487},	//1086 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 420, 1570, 2, Smoke::mf_static, 503, 488},	//1087 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 604, 1809, 1, Smoke::mf_static, 531, 489},	//1088 QGlobalSpace::qHash(const QBitArray&)
    {37, 440, 1811, 2, Smoke::mf_static, 32, 490},	//1089 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 473, 1814, 2, Smoke::mf_static, 80, 491},	//1090 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 440, 1817, 2, Smoke::mf_static, 32, 492},	//1091 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 440, 1820, 2, Smoke::mf_static, 274, 493},	//1092 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 510, 702, 1, Smoke::mf_static, 520, 494},	//1093 QGlobalSpace::qCeil(double)
    {37, 440, 1823, 2, Smoke::mf_static, 32, 495},	//1094 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 467, 1826, 2, Smoke::mf_static, 28, 496},	//1095 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 412, 825, 2, Smoke::mf_static, 398, 497},	//1096 QGlobalSpace::operator!=(QChar, QChar)
    {37, 473, 1829, 2, Smoke::mf_static, 118, 498},	//1097 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 665, 1832, 2, Smoke::mf_static, 398, 499},	//1098 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 707, 204, 1, Smoke::mf_static, 400, 500},	//1099 QGlobalSpace::qstrdup(const char*)
    {37, 473, 1835, 2, Smoke::mf_static, 177, 501},	//1100 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 473, 1838, 2, Smoke::mf_static, 93, 502},	//1101 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 489, 0, 0, Smoke::mf_static, 9, 503},	//1102 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 473, 1841, 2, Smoke::mf_static, 113, 504},	//1103 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 467, 1844, 2, Smoke::mf_static, 28, 505},	//1104 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 467, 1847, 2, Smoke::mf_static, 28, 506},	//1105 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 444, 1013, 2, Smoke::mf_static, 398, 507},	//1106 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 412, 1186, 2, Smoke::mf_static, 398, 508},	//1107 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 467, 1850, 2, Smoke::mf_static, 28, 509},	//1108 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 473, 1853, 2, Smoke::mf_static, 51, 510},	//1109 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 440, 1856, 2, Smoke::mf_static, 28, 511},	//1110 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 473, 1859, 2, Smoke::mf_static, 102, 512},	//1111 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 473, 1862, 2, Smoke::mf_static, 177, 513},	//1112 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 522, 0, 0, Smoke::mf_static, 32, 514},	//1113 QGlobalSpace::qDebug()
    {37, 626, 1865, 2, Smoke::mf_static, 538, 515},	//1114 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 473, 1868, 2, Smoke::mf_static, 76, 516},	//1115 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 473, 1871, 2, Smoke::mf_static, 68, 517},	//1116 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 420, 1874, 2, Smoke::mf_static, 223, 518},	//1117 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 412, 1832, 2, Smoke::mf_static, 398, 519},	//1118 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 679, 1877, 6, Smoke::mf_static, 520, 520},	//1119 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {37, 602, 36, 1, Smoke::mf_static, 520, 521},	//1120 QGlobalSpace::qGreen(unsigned int)
    {37, 632, 774, 2, Smoke::mf_static, 518, 522},	//1121 QGlobalSpace::qPow(double, double)
    {37, 444, 720, 2, Smoke::mf_static, 398, 523},	//1122 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 440, 1884, 2, Smoke::mf_static, 32, 524},	//1123 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 473, 1887, 2, Smoke::mf_static, 177, 525},	//1124 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 467, 1782, 2, Smoke::mf_static, 274, 526},	//1125 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 424, 1890, 2, Smoke::mf_static, 404, 527},	//1126 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 473, 1893, 2, Smoke::mf_static, 177, 528},	//1127 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 451, 747, 2, Smoke::mf_static, 398, 529},	//1128 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 440, 1896, 2, Smoke::mf_static, 28, 530},	//1129 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 473, 1899, 2, Smoke::mf_static, 102, 531},	//1130 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 429, 738, 2, Smoke::mf_static, 474, 532},	//1131 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 440, 1902, 2, Smoke::mf_static, 32, 533},	//1132 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 424, 1013, 2, Smoke::mf_static, 481, 534},	//1133 QGlobalSpace::operator+(const char*, const QString&)
    {37, 473, 1905, 2, Smoke::mf_static, 53, 535},	//1134 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 473, 1908, 2, Smoke::mf_static, 91, 536},	//1135 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 473, 1911, 2, Smoke::mf_static, 177, 537},	//1136 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 467, 1914, 2, Smoke::mf_static, 28, 538},	//1137 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 467, 1917, 2, Smoke::mf_static, 28, 539},	//1138 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 473, 1920, 2, Smoke::mf_static, 55, 540},	//1139 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 412, 1342, 2, Smoke::mf_static, 398, 541},	//1140 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 473, 1923, 2, Smoke::mf_static, 109, 542},	//1141 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 440, 1926, 2, Smoke::mf_static, 32, 543},	//1142 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 473, 1929, 2, Smoke::mf_static, 122, 544},	//1143 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 420, 1932, 2, Smoke::mf_static, 463, 545},	//1144 QGlobalSpace::operator*(double, const QPointF&)
    {37, 467, 1935, 2, Smoke::mf_static, 28, 546},	//1145 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 473, 1938, 2, Smoke::mf_static, 117, 547},	//1146 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 420, 1941, 2, Smoke::mf_static, 235, 548},	//1147 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 473, 1944, 2, Smoke::mf_static, 69, 549},	//1148 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 451, 694, 2, Smoke::mf_static, 398, 550},	//1149 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 420, 1947, 2, Smoke::mf_static, 474, 551},	//1150 QGlobalSpace::operator*(const QSize&, double)
    {37, 440, 1950, 2, Smoke::mf_static, 32, 552},	//1151 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 594, 713, 2, Smoke::mf_static, 398, 553},	//1152 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 420, 1953, 2, Smoke::mf_static, 215, 554},	//1153 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 473, 1956, 2, Smoke::mf_static, 53, 555},	//1154 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 473, 1959, 2, Smoke::mf_static, 57, 556},	//1155 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 745, 1962, 4, Smoke::mf_static, 520, 557},	//1156 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 451, 1791, 2, Smoke::mf_static, 398, 558},	//1157 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 420, 1967, 2, Smoke::mf_static, 461, 559},	//1158 QGlobalSpace::operator*(double, const QPoint&)
    {37, 420, 1970, 2, Smoke::mf_static, 229, 560},	//1159 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 630, 1973, 3, Smoke::mf_static, 538, 561},	//1160 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 440, 1977, 2, Smoke::mf_static, 28, 562},	//1161 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 728, 247, 2, Smoke::mf_static, 0, 563},	//1162 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 571, 1441, 5, Smoke::mf_static, 0, 564},	//1163 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 571, 1353, 3, Smoke::mf_static, 0, 565},	//1164 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 571, 1357, 4, Smoke::mf_static, 0, 566},	//1165 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 604, 1980, 1, Smoke::mf_static, 531, 567},	//1166 QGlobalSpace::qHash(short)
    {37, 473, 1982, 2, Smoke::mf_static, 87, 568},	//1167 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 473, 1985, 2, Smoke::mf_static, 79, 569},	//1168 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 580, 702, 1, Smoke::mf_static, 518, 570},	//1169 QGlobalSpace::qFabs(double)
    {37, 473, 1988, 2, Smoke::mf_static, 116, 571},	//1170 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 473, 1991, 2, Smoke::mf_static, 58, 572},	//1171 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 700, 1140, 2, Smoke::mf_static, 520, 573},	//1172 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 594, 1994, 2, Smoke::mf_static, 398, 574},	//1173 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 451, 1997, 2, Smoke::mf_static, 398, 575},	//1174 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 473, 2000, 2, Smoke::mf_static, 177, 576},	//1175 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 473, 2003, 2, Smoke::mf_static, 83, 577},	//1176 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 683, 1877, 6, Smoke::mf_static, 520, 578},	//1177 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {37, 685, 2006, 3, Smoke::mf_static, 400, 579},	//1178 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 696, 2010, 4, Smoke::mf_static, 0, 580},	//1179 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {37, 473, 2015, 2, Smoke::mf_static, 111, 581},	//1180 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 473, 2018, 2, Smoke::mf_static, 99, 582},	//1181 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 473, 2021, 2, Smoke::mf_static, 78, 583},	//1182 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 494, 702, 1, Smoke::mf_static, 518, 584},	//1183 QGlobalSpace::qAcos(double)
    {37, 473, 2024, 2, Smoke::mf_static, 177, 585},	//1184 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 473, 2027, 2, Smoke::mf_static, 120, 586},	//1185 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 473, 2030, 2, Smoke::mf_static, 177, 587},	//1186 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 440, 2033, 2, Smoke::mf_static, 28, 588},	//1187 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 462, 1140, 2, Smoke::mf_static, 398, 589},	//1188 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 473, 2036, 2, Smoke::mf_static, 177, 590},	//1189 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {37, 473, 2039, 2, Smoke::mf_static, 90, 591},	//1190 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 467, 2042, 2, Smoke::mf_static, 28, 592},	//1191 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 507, 0, 0, Smoke::mf_static, 0, 593},	//1192 QGlobalSpace::qBadAlloc()
    {37, 440, 2045, 2, Smoke::mf_static, 32, 594},	//1193 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 473, 2048, 2, Smoke::mf_static, 126, 595},	//1194 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 553, 2051, 10, Smoke::mf_static, 0, 596},	//1195 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 553, 951, 6, Smoke::mf_static, 0, 597},	//1196 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 553, 958, 7, Smoke::mf_static, 0, 598},	//1197 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 553, 1537, 8, Smoke::mf_static, 0, 599},	//1198 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 553, 2062, 9, Smoke::mf_static, 0, 600},	//1199 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 473, 2072, 2, Smoke::mf_static, 177, 601},	//1200 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 467, 2075, 2, Smoke::mf_static, 28, 602},	//1201 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 440, 2078, 2, Smoke::mf_static, 32, 603},	//1202 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 473, 2081, 2, Smoke::mf_static, 177, 604},	//1203 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 597, 702, 1, Smoke::mf_static, 398, 605},	//1204 QGlobalSpace::qFuzzyIsNull(double)
    {37, 514, 250, 2, Smoke::mf_static, 17, 606},	//1205 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 514, 224, 1, Smoke::mf_static, 17, 607},	//1206 QGlobalSpace::qCompress(const QByteArray&)
    {37, 440, 2084, 2, Smoke::mf_static, 32, 608},	//1207 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 473, 2087, 2, Smoke::mf_static, 112, 609},	//1208 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 473, 2090, 2, Smoke::mf_static, 177, 610},	//1209 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 473, 2093, 2, Smoke::mf_static, 177, 611},	//1210 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 473, 2096, 2, Smoke::mf_static, 76, 612},	//1211 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 473, 2099, 2, Smoke::mf_static, 177, 613},	//1212 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 473, 2102, 2, Smoke::mf_static, 129, 614},	//1213 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 429, 2105, 1, Smoke::mf_static, 500, 615},	//1214 QGlobalSpace::operator-(const QVector2D&)
    {37, 473, 2107, 2, Smoke::mf_static, 177, 616},	//1215 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 473, 2110, 2, Smoke::mf_static, 48, 617},	//1216 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 440, 2113, 2, Smoke::mf_static, 28, 618},	//1217 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 420, 2116, 2, Smoke::mf_static, 196, 619},	//1218 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 440, 2119, 2, Smoke::mf_static, 28, 620},	//1219 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 535, 2062, 9, Smoke::mf_static, 0, 621},	//1220 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 535, 951, 6, Smoke::mf_static, 0, 622},	//1221 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 535, 958, 7, Smoke::mf_static, 0, 623},	//1222 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 535, 1537, 8, Smoke::mf_static, 0, 624},	//1223 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 473, 2122, 2, Smoke::mf_static, 52, 625},	//1224 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 440, 2125, 2, Smoke::mf_static, 28, 626},	//1225 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 420, 2128, 2, Smoke::mf_static, 185, 627},	//1226 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 440, 2131, 2, Smoke::mf_static, 28, 628},	//1227 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 501, 702, 1, Smoke::mf_static, 518, 629},	//1228 QGlobalSpace::qAsin(double)
    {37, 440, 2134, 2, Smoke::mf_static, 32, 630},	//1229 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 440, 2137, 2, Smoke::mf_static, 32, 631},	//1230 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 473, 2140, 2, Smoke::mf_static, 58, 632},	//1231 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 473, 2143, 2, Smoke::mf_static, 54, 633},	//1232 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 473, 2146, 2, Smoke::mf_static, 177, 634},	//1233 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 412, 1131, 2, Smoke::mf_static, 398, 635},	//1234 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 661, 702, 1, Smoke::mf_static, 518, 636},	//1235 QGlobalSpace::qSin(double)
    {37, 473, 2149, 2, Smoke::mf_static, 177, 637},	//1236 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 451, 1140, 2, Smoke::mf_static, 398, 638},	//1237 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 467, 2152, 2, Smoke::mf_static, 28, 639},	//1238 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 473, 2155, 2, Smoke::mf_static, 86, 640},	//1239 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 473, 1137, 2, Smoke::mf_static, 13, 641},	//1240 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 440, 2158, 2, Smoke::mf_static, 28, 642},	//1241 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 594, 710, 2, Smoke::mf_static, 398, 643},	//1242 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 564, 942, 8, Smoke::mf_static, 0, 644},	//1243 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 564, 951, 6, Smoke::mf_static, 0, 645},	//1244 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 564, 958, 7, Smoke::mf_static, 0, 646},	//1245 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 440, 2161, 2, Smoke::mf_static, 28, 647},	//1246 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 473, 2164, 2, Smoke::mf_static, 65, 648},	//1247 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 451, 2167, 2, Smoke::mf_static, 398, 649},	//1248 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 473, 2170, 2, Smoke::mf_static, 66, 650},	//1249 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 473, 2173, 2, Smoke::mf_static, 95, 651},	//1250 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 473, 2176, 2, Smoke::mf_static, 177, 652},	//1251 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 467, 2179, 2, Smoke::mf_static, 28, 653},	//1252 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 440, 2182, 2, Smoke::mf_static, 28, 654},	//1253 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 721, 247, 2, Smoke::mf_static, 246, 655},	//1254 QGlobalSpace::qtTrId(const char*, int)
    {37, 721, 204, 1, Smoke::mf_static, 246, 656},	//1255 QGlobalSpace::qtTrId(const char*)
    {37, 473, 2185, 2, Smoke::mf_static, 177, 657},	//1256 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 473, 2188, 2, Smoke::mf_static, 105, 658},	//1257 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 429, 2191, 1, Smoke::mf_static, 503, 659},	//1258 QGlobalSpace::operator-(const QVector3D&)
    {37, 440, 2193, 2, Smoke::mf_static, 32, 660},	//1259 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 444, 825, 2, Smoke::mf_static, 398, 661},	//1260 QGlobalSpace::operator<=(QChar, QChar)
    {37, 473, 2196, 2, Smoke::mf_static, 129, 662},	//1261 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 614, 36, 1, Smoke::mf_static, 398, 663},	//1262 QGlobalSpace::qIsGray(unsigned int)
    {37, 473, 2199, 2, Smoke::mf_static, 74, 664},	//1263 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 412, 1997, 2, Smoke::mf_static, 398, 665},	//1264 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 473, 2202, 2, Smoke::mf_static, 121, 666},	//1265 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 467, 2205, 2, Smoke::mf_static, 28, 667},	//1266 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 467, 2208, 2, Smoke::mf_static, 28, 668},	//1267 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 528, 2211, 5, Smoke::mf_static, 0, 669},	//1268 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 528, 2217, 3, Smoke::mf_static, 0, 670},	//1269 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 528, 2221, 4, Smoke::mf_static, 0, 671},	//1270 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 467, 2226, 2, Smoke::mf_static, 28, 672},	//1271 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 473, 2229, 2, Smoke::mf_static, 75, 673},	//1272 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 473, 2232, 2, Smoke::mf_static, 71, 674},	//1273 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 473, 2235, 2, Smoke::mf_static, 177, 675},	//1274 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 420, 2238, 2, Smoke::mf_static, 461, 676},	//1275 QGlobalSpace::operator*(const QPoint&, int)
    {37, 467, 2241, 2, Smoke::mf_static, 28, 677},	//1276 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 473, 2244, 2, Smoke::mf_static, 177, 678},	//1277 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 743, 2247, 3, Smoke::mf_static, 398, 679},	//1278 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 440, 2251, 2, Smoke::mf_static, 32, 680},	//1279 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 473, 2254, 2, Smoke::mf_static, 177, 681},	//1280 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 420, 2257, 2, Smoke::mf_static, 223, 682},	//1281 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 433, 1947, 2, Smoke::mf_static, 474, 683},	//1282 QGlobalSpace::operator/(const QSize&, double)
    {37, 420, 2260, 2, Smoke::mf_static, 223, 684},	//1283 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 620, 783, 1, Smoke::mf_static, 398, 685},	//1284 QGlobalSpace::qIsNull(float)
    {37, 473, 2263, 2, Smoke::mf_static, 50, 686},	//1285 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 741, 2266, 5, Smoke::mf_static, 0, 687},	//1286 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 451, 2272, 2, Smoke::mf_static, 398, 688},	//1287 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 503, 702, 1, Smoke::mf_static, 518, 689},	//1288 QGlobalSpace::qAtan(double)
    {37, 467, 2275, 2, Smoke::mf_static, 28, 690},	//1289 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 473, 2278, 2, Smoke::mf_static, 177, 691},	//1290 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 473, 2281, 2, Smoke::mf_static, 103, 692},	//1291 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 594, 774, 2, Smoke::mf_static, 398, 693},	//1292 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 420, 2284, 2, Smoke::mf_static, 292, 694},	//1293 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 412, 720, 2, Smoke::mf_static, 398, 695},	//1294 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 440, 2287, 2, Smoke::mf_static, 28, 696},	//1295 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 440, 2290, 2, Smoke::mf_static, 32, 697},	//1296 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 535, 2293, 7, Smoke::mf_static, 0, 698},	//1297 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 535, 2301, 4, Smoke::mf_static, 0, 699},	//1298 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 535, 2306, 5, Smoke::mf_static, 0, 700},	//1299 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 535, 2312, 6, Smoke::mf_static, 0, 701},	//1300 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 420, 939, 2, Smoke::mf_static, 461, 702},	//1301 QGlobalSpace::operator*(const QPoint&, double)
    {37, 473, 2319, 2, Smoke::mf_static, 118, 703},	//1302 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 473, 2322, 2, Smoke::mf_static, 79, 704},	//1303 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 653, 0, 0, Smoke::mf_static, 518, 705},	//1304 QGlobalSpace::qSNaN()
    {37, 420, 2325, 2, Smoke::mf_static, 225, 706},	//1305 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 473, 2328, 2, Smoke::mf_static, 177, 707},	//1306 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 451, 780, 2, Smoke::mf_static, 398, 708},	//1307 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 473, 2331, 2, Smoke::mf_static, 90, 709},	//1308 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 440, 2334, 2, Smoke::mf_static, 28, 710},	//1309 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 420, 1720, 2, Smoke::mf_static, 476, 711},	//1310 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 473, 2337, 2, Smoke::mf_static, 73, 712},	//1311 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 451, 1832, 2, Smoke::mf_static, 398, 713},	//1312 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 412, 710, 2, Smoke::mf_static, 398, 714},	//1313 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 451, 713, 2, Smoke::mf_static, 398, 715},	//1314 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 420, 2340, 2, Smoke::mf_static, 227, 716},	//1315 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 473, 2343, 2, Smoke::mf_static, 69, 717},	//1316 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 473, 2346, 2, Smoke::mf_static, 177, 718},	//1317 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 420, 2349, 2, Smoke::mf_static, 461, 719},	//1318 QGlobalSpace::operator*(const QPoint&, float)
    {37, 420, 2352, 2, Smoke::mf_static, 474, 720},	//1319 QGlobalSpace::operator*(double, const QSize&)
    {37, 473, 2355, 2, Smoke::mf_static, 177, 721},	//1320 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 435, 694, 2, Smoke::mf_static, 398, 722},	//1321 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 412, 2358, 2, Smoke::mf_static, 398, 723},	//1322 QGlobalSpace::operator!=(QBool, bool)
    {37, 473, 2361, 2, Smoke::mf_static, 56, 724},	//1323 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 412, 738, 2, Smoke::mf_static, 398, 725},	//1324 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 467, 2364, 2, Smoke::mf_static, 28, 726},	//1325 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 440, 2367, 2, Smoke::mf_static, 32, 727},	//1326 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 412, 1047, 2, Smoke::mf_static, 398, 728},	//1327 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 473, 2370, 2, Smoke::mf_static, 177, 729},	//1328 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 473, 2373, 2, Smoke::mf_static, 110, 730},	//1329 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 420, 2376, 2, Smoke::mf_static, 187, 731},	//1330 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 429, 886, 2, Smoke::mf_static, 467, 732},	//1331 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 420, 1561, 2, Smoke::mf_static, 463, 733},	//1332 QGlobalSpace::operator*(const QPointF&, double)
    {37, 709, 206, 2, Smoke::mf_static, 520, 734},	//1333 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 473, 2379, 2, Smoke::mf_static, 177, 735},	//1334 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 473, 2382, 2, Smoke::mf_static, 124, 736},	//1335 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 412, 790, 2, Smoke::mf_static, 398, 737},	//1336 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 649, 702, 1, Smoke::mf_static, 520, 738},	//1337 QGlobalSpace::qRound(double)
    {37, 607, 0, 0, Smoke::mf_static, 518, 739},	//1338 QGlobalSpace::qInf()
    {37, 440, 2385, 2, Smoke::mf_static, 28, 740},	//1339 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 473, 2388, 2, Smoke::mf_static, 105, 741},	//1340 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 420, 886, 2, Smoke::mf_static, 467, 742},	//1341 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 473, 2391, 2, Smoke::mf_static, 177, 743},	//1342 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 473, 2394, 2, Smoke::mf_static, 121, 744},	//1343 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 420, 2397, 2, Smoke::mf_static, 225, 745},	//1344 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 440, 2400, 2, Smoke::mf_static, 32, 746},	//1345 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 440, 2403, 2, Smoke::mf_static, 32, 747},	//1346 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 440, 2406, 2, Smoke::mf_static, 28, 748},	//1347 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 473, 2409, 2, Smoke::mf_static, 83, 749},	//1348 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 473, 2412, 2, Smoke::mf_static, 177, 750},	//1349 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 700, 780, 2, Smoke::mf_static, 520, 751},	//1350 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 473, 2415, 2, Smoke::mf_static, 177, 752},	//1351 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 643, 1729, 1, Smoke::mf_static, 0, 753},	//1352 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 424, 886, 2, Smoke::mf_static, 467, 754},	//1353 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 467, 2418, 2, Smoke::mf_static, 28, 755},	//1354 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 473, 2421, 2, Smoke::mf_static, 97, 756},	//1355 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 473, 2424, 2, Smoke::mf_static, 77, 757},	//1356 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 467, 2427, 2, Smoke::mf_static, 28, 758},	//1357 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 473, 2430, 2, Smoke::mf_static, 177, 759},	//1358 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 440, 2433, 2, Smoke::mf_static, 28, 760},	//1359 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 473, 2436, 2, Smoke::mf_static, 123, 761},	//1360 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 473, 2439, 2, Smoke::mf_static, 115, 762},	//1361 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 674, 0, 0, Smoke::mf_static, 32, 763},	//1362 QGlobalSpace::qWarning()
    {37, 711, 204, 1, Smoke::mf_static, 531, 764},	//1363 QGlobalSpace::qstrlen(const char*)
    {37, 451, 2358, 2, Smoke::mf_static, 398, 765},	//1364 QGlobalSpace::operator==(QBool, bool)
    {37, 467, 2442, 2, Smoke::mf_static, 28, 766},	//1365 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 467, 2445, 2, Smoke::mf_static, 28, 767},	//1366 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 604, 38, 1, Smoke::mf_static, 531, 768},	//1367 QGlobalSpace::qHash(unsigned long)
    {37, 440, 2448, 2, Smoke::mf_static, 28, 769},	//1368 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 473, 2451, 2, Smoke::mf_static, 177, 770},	//1369 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 440, 2454, 2, Smoke::mf_static, 28, 771},	//1370 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 473, 2457, 2, Smoke::mf_static, 67, 772},	//1371 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 473, 2460, 2, Smoke::mf_static, 177, 773},	//1372 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 440, 2463, 2, Smoke::mf_static, 28, 774},	//1373 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 473, 2466, 2, Smoke::mf_static, 84, 775},	//1374 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 451, 1013, 2, Smoke::mf_static, 398, 776},	//1375 QGlobalSpace::operator==(const char*, const QString&)
    {37, 473, 2469, 2, Smoke::mf_static, 177, 777},	//1376 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 523, 2472, 8, Smoke::mf_static, 0, 778},	//1377 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 523, 2481, 6, Smoke::mf_static, 0, 779},	//1378 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 523, 2488, 7, Smoke::mf_static, 0, 780},	//1379 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 473, 2496, 2, Smoke::mf_static, 94, 781},	//1380 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 424, 2499, 2, Smoke::mf_static, 481, 782},	//1381 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 412, 1180, 2, Smoke::mf_static, 398, 783},	//1382 QGlobalSpace::operator!=(QBool, QBool)
    {37, 473, 2502, 2, Smoke::mf_static, 48, 784},	//1383 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 732, 2505, 2, Smoke::mf_static, 0, 785},	//1384 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 440, 2508, 2, Smoke::mf_static, 32, 786},	//1385 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 420, 2511, 2, Smoke::mf_static, 503, 787},	//1386 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 462, 1013, 2, Smoke::mf_static, 398, 788},	//1387 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 604, 2514, 1, Smoke::mf_static, 531, 789},	//1388 QGlobalSpace::qHash(const QStringRef&)
    {37, 620, 702, 1, Smoke::mf_static, 398, 790},	//1389 QGlobalSpace::qIsNull(double)
    {37, 473, 2516, 2, Smoke::mf_static, 177, 791},	//1390 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 473, 2519, 2, Smoke::mf_static, 51, 792},	//1391 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 462, 720, 2, Smoke::mf_static, 398, 793},	//1392 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 457, 780, 2, Smoke::mf_static, 398, 794},	//1393 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 604, 2522, 1, Smoke::mf_static, 531, 795},	//1394 QGlobalSpace::qHash(unsigned char)
    {37, 467, 2524, 2, Smoke::mf_static, 28, 796},	//1395 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 473, 2527, 2, Smoke::mf_static, 65, 797},	//1396 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 420, 2530, 2, Smoke::mf_static, 227, 798},	//1397 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 440, 2533, 2, Smoke::mf_static, 32, 799},	//1398 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 440, 2536, 2, Smoke::mf_static, 32, 800},	//1399 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 473, 2539, 2, Smoke::mf_static, 177, 801},	//1400 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 412, 1140, 2, Smoke::mf_static, 398, 802},	//1401 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 440, 2542, 2, Smoke::mf_static, 28, 803},	//1402 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 467, 2545, 2, Smoke::mf_static, 28, 804},	//1403 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 440, 2548, 2, Smoke::mf_static, 28, 805},	//1404 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 806},	//1405 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 807},	//1406 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 808},	//1407 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 809},	//1408 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 810},	//1409 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {37, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 811},	//1410 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {37, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 812},	//1411 QGlobalSpace::SP_CustomToolBarBack (enum)
    {37, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 813},	//1412 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {37, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 814},	//1413 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {37, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 815},	//1414 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {37, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 816},	//1415 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {37, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 817},	//1416 QGlobalSpace::SP_CustomToolBarDone (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 818},	//1417 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 819},	//1418 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 820},	//1419 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {37, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 821},	//1420 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {37, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 822},	//1421 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 823},	//1422 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 824},	//1423 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 825},	//1424 QGlobalSpace::SP_CustomToolBarGo (enum)
    {37, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 826},	//1425 QGlobalSpace::SP_CustomToolBarHome (enum)
    {37, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 827},	//1426 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {37, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 828},	//1427 QGlobalSpace::SP_CustomToolBarList (enum)
    {37, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 829},	//1428 QGlobalSpace::SP_CustomToolBarLock (enum)
    {37, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 830},	//1429 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {37, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 831},	//1430 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {37, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 832},	//1431 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {37, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 833},	//1432 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {37, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 834},	//1433 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {37, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 835},	//1434 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {37, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 836},	//1435 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {37, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 837},	//1436 QGlobalSpace::SP_CustomToolBarOther (enum)
    {37, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 838},	//1437 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {37, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 839},	//1438 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 840},	//1439 QGlobalSpace::SP_CustomToolBarRead (enum)
    {37, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 841},	//1440 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 842},	//1441 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {37, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 843},	//1442 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {37, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 844},	//1443 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 845},	//1444 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 846},	//1445 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 847},	//1446 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {37, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 848},	//1447 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {37, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 849},	//1448 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {37, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 850},	//1449 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {37, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 851},	//1450 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {37, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 852},	//1451 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {37, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 853},	//1452 QGlobalSpace::SP_CustomToolBarSend (enum)
    {37, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 854},	//1453 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {37, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 855},	//1454 QGlobalSpace::SP_CustomToolBarShare (enum)
    {37, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 856},	//1455 QGlobalSpace::SP_CustomToolBarShift (enum)
    {37, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 857},	//1456 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {37, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 858},	//1457 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {37, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 859},	//1458 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {37, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 860},	//1459 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {37, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 861},	//1460 QGlobalSpace::SP_CustomToolBarSync (enum)
    {37, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 862},	//1461 QGlobalSpace::SP_CustomToolBarTools (enum)
    {37, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 863},	//1462 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {37, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 864},	//1463 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {37, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 865},	//1464 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {37, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 866},	//1465 QGlobalSpace::SP_CustomToolBarView (enum)
    {37, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 867},	//1466 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {37, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 868},	//1467 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {37, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 869},	//1468 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 870},	//1469 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 871},	//1470 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 872},	//1471 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 873},	//1472 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 874},	//1473 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {37, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 875},	//1474 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {37, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 876},	//1475 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 877},	//1476 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 878},	//1477 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {37, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 879},	//1478 QGlobalSpace::SP_CustomTabAll (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 880},	//1479 QGlobalSpace::SP_CustomTabArtist (enum)
    {37, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 881},	//1480 QGlobalSpace::SP_CustomTabFavourite (enum)
    {37, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 882},	//1481 QGlobalSpace::SP_CustomTabGenre (enum)
    {37, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 883},	//1482 QGlobalSpace::SP_CustomTabLanguage (enum)
    {37, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 884},	//1483 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 885},	//1484 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {37, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 886},	//1485 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 887},	//1486 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 888},	//1487 QGlobalSpace::SP_CustomTabServices (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 889},	//1488 QGlobalSpace::SP_CustomTabSongs (enum)
    {37, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 523, 890},	//1489 QGlobalSpace::SP_CustomTabVideos (enum)
    {37, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 891},	//1490 QGlobalSpace::LicensedOpenGL (enum)
    {37, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 892},	//1491 QGlobalSpace::LicensedSvg (enum)
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 893},	//1492 QGlobalSpace::LicensedOpenVG (enum)
    {37, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 894},	//1493 QGlobalSpace::LicensedScript (enum)
    {37, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 895},	//1494 QGlobalSpace::LicensedQt3SupportLight (enum)
    {37, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 896},	//1495 QGlobalSpace::QtDebugMsg (enum)
    {37, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 897},	//1496 QGlobalSpace::QtWarningMsg (enum)
    {37, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 898},	//1497 QGlobalSpace::QtCriticalMsg (enum)
    {37, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 899},	//1498 QGlobalSpace::QtFatalMsg (enum)
    {37, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 900},	//1499 QGlobalSpace::QtSystemMsg (enum)
    {37, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 901},	//1500 QGlobalSpace::LicensedGui (enum)
    {37, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 902},	//1501 QGlobalSpace::LicensedXmlPatterns (enum)
    {37, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 903},	//1502 QGlobalSpace::LicensedSql (enum)
    {37, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 904},	//1503 QGlobalSpace::LicensedActiveQt (enum)
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 905},	//1504 QGlobalSpace::LicensedQt3Support (enum)
    {37, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 906},	//1505 QGlobalSpace::LicensedDBus (enum)
    {37, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 907},	//1506 QGlobalSpace::__codecvt_ok (enum)
    {37, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 908},	//1507 QGlobalSpace::__codecvt_partial (enum)
    {37, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 909},	//1508 QGlobalSpace::__codecvt_error (enum)
    {37, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 910},	//1509 QGlobalSpace::__codecvt_noconv (enum)
    {37, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 911},	//1510 QGlobalSpace::LicensedCore (enum)
    {37, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 912},	//1511 QGlobalSpace::LicensedNetwork (enum)
    {37, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 913},	//1512 QGlobalSpace::LicensedMultimedia (enum)
    {37, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 914},	//1513 QGlobalSpace::LicensedTest (enum)
    {37, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 915},	//1514 QGlobalSpace::LicensedScriptTools (enum)
    {37, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 916},	//1515 QGlobalSpace::LicensedHelp (enum)
    {37, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 917},	//1516 QGlobalSpace::LicensedXml (enum)
    {37, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 918},	//1517 QGlobalSpace::LicensedDeclarative (enum)
    {61, 333, 641, 1, Smoke::mf_virtual, 398, 0},	//1518 QObject::event(QEvent*)
    {61, 335, 2551, 2, Smoke::mf_virtual, 398, 0},	//1519 QObject::eventFilter(QObject*, QEvent*)
    {61, 926, 2554, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1520 QObject::timerEvent(QTimerEvent*)
    {61, 278, 2556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1521 QObject::childEvent(QChildEvent*)
    {61, 300, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1522 QObject::customEvent(QEvent*)
    {61, 291, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1523 QObject::connectNotify(const char*)
    {61, 315, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1524 QObject::disconnectNotify(const char*)
    {112, 309, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 520, 0},	//1525 QWidget::devType() const
    {112, 903, 84, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1526 QWidget::setVisible(bool)
    {112, 911, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 239, 0},	//1527 QWidget::sizeHint() const
    {112, 403, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 239, 0},	//1528 QWidget::minimumSizeHint() const
    {112, 373, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 520, 0},	//1529 QWidget::heightForWidth(int) const
    {112, 408, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1530 QWidget::mousePressEvent(QMouseEvent*)
    {112, 409, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1531 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 406, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1532 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 407, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1533 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 949, 2560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1534 QWidget::wheelEvent(QWheelEvent*)
    {112, 388, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1535 QWidget::keyPressEvent(QKeyEvent*)
    {112, 389, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1536 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 340, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1537 QWidget::focusInEvent(QFocusEvent*)
    {112, 342, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1538 QWidget::focusOutEvent(QFocusEvent*)
    {112, 328, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1539 QWidget::enterEvent(QEvent*)
    {112, 391, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1540 QWidget::leaveEvent(QEvent*)
    {112, 410, 2566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1541 QWidget::moveEvent(QMoveEvent*)
    {112, 282, 2568, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1542 QWidget::closeEvent(QCloseEvent*)
    {112, 293, 2570, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1543 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 920, 2572, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1544 QWidget::tabletEvent(QTabletEvent*)
    {112, 238, 2574, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1545 QWidget::actionEvent(QActionEvent*)
    {112, 318, 2576, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1546 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 320, 2578, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1547 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 319, 2580, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1548 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 324, 2582, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1549 QWidget::dropEvent(QDropEvent*)
    {112, 909, 2584, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1550 QWidget::showEvent(QShowEvent*)
    {112, 374, 2586, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1551 QWidget::hideEvent(QHideEvent*)
    {112, 954, 2588, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 0},	//1552 QWidget::x11Event(_XEvent*)
    {112, 277, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1553 QWidget::changeEvent(QEvent*)
    {112, 401, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 520, 0},	//1554 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 378, 2590, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1555 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 379, 2592, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//1556 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 341, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 0},	//1557 QWidget::focusNextPrevChild(bool)
    {112, 917, 2594, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1558 QWidget::styleChange(QStyle&)
    {112, 327, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1559 QWidget::enabledChange(bool)
    {112, 483, 2596, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1560 QWidget::paletteChange(const QPalette&)
    {112, 343, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1561 QWidget::fontChange(const QFont&)
    {112, 950, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1562 QWidget::windowActivationChange(bool)
    {112, 390, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1563 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 40},	//1564 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 41},	//1565 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 42},	//1566 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    314,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    329,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    317,  // QGLShader::compileSourceCode(const char*)
    319,  // QGLShader::compileSourceCode(const QString&)
    0,
    220,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    247,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    221,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    249,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    343,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    497,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    350,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    369,  // QGLShaderProgram::attributeLocation(const char*) const
    371,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    366,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    368,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    404,  // QGLShaderProgram::disableAttributeArray(int)
    405,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    402,  // QGLShaderProgram::enableAttributeArray(int)
    403,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    505,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    506,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    398,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    498,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    390,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    502,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    507,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    394,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    399,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    508,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    509,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    400,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    401,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    378,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    379,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    388,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, float)
    381,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, float, float)
    382,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    380,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    383,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    389,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    375,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    384,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    415,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    417,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    418,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    419,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    420,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    421,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    422,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    431,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    435,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    458,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    462,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, float)
    410,  // QGLShaderProgram::setUniformValue(int, int)
    411,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    432,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    433,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    434,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    436,  // QGLShaderProgram::setUniformValue(const char*, float)
    437,  // QGLShaderProgram::setUniformValue(const char*, int)
    438,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    459,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    460,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    461,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    412,  // QGLShaderProgram::setUniformValue(int, float, float)
    439,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    440,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    414,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    441,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    429,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    492,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    463,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    476,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    491,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    406,  // QGLShaderProgram::uniformLocation(const char*) const
    408,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    302,  // QGLPixelBuffer::bindTexture(const QImage&)
    303,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    284,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    285,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    304,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    305,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    288,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    289,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    573,  // QGLWidget::QGLWidget(QWidget*)
    575,  // QGLWidget::QGLWidget(QGLContext*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    574,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    576,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    579,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    577,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    580,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    521,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    522,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    591,  // QGLWidget::bindTexture(const QImage&)
    593,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    592,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    594,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    548,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    549,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    547,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    595,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    596,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    553,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    609,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    688,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    753,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    768,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    855,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    897,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    927,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    936,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1021,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1030,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1080,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1082,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1096,  // QGlobalSpace::operator!=(QChar, QChar)
    1140,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1234,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1264,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1313,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1324,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1327,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1382,  // QGlobalSpace::operator!=(QBool, QBool)
    1401,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    670,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    700,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    723,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1118,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1322,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    845,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    976,  // QGlobalSpace::operator!=(bool, QBool)
    1029,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1107,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1294,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1336,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    616,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    648,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    653,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    656,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    698,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    716,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    769,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    829,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    856,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    877,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    895,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    920,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    996,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1008,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1068,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1117,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1147,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1153,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1159,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1226,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1281,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1283,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1293,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1305,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1315,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1330,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1341,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1344,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1397,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    662,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    761,  // QGlobalSpace::operator*(const QTransform&, double)
    871,  // QGlobalSpace::operator*(const QQuaternion&, double)
    1024,  // QGlobalSpace::operator*(const QVector4D&, double)
    1079,  // QGlobalSpace::operator*(const QVector2D&, double)
    1087,  // QGlobalSpace::operator*(const QVector3D&, double)
    1150,  // QGlobalSpace::operator*(const QSize&, double)
    1275,  // QGlobalSpace::operator*(const QPoint&, int)
    1301,  // QGlobalSpace::operator*(const QPoint&, double)
    1310,  // QGlobalSpace::operator*(const QSizeF&, double)
    1318,  // QGlobalSpace::operator*(const QPoint&, float)
    1332,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    683,  // QGlobalSpace::operator*(double, const QSizeF&)
    931,  // QGlobalSpace::operator*(int, const QPoint&)
    983,  // QGlobalSpace::operator*(double, const QVector2D&)
    1012,  // QGlobalSpace::operator*(float, const QPoint&)
    1032,  // QGlobalSpace::operator*(double, const QVector4D&)
    1078,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1144,  // QGlobalSpace::operator*(double, const QPointF&)
    1158,  // QGlobalSpace::operator*(double, const QPoint&)
    1218,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1319,  // QGlobalSpace::operator*(double, const QSize&)
    1386,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    642,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    678,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    711,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    737,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    742,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    800,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    876,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    888,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    954,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1353,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    772,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    784,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    828,  // QGlobalSpace::operator+(const QTransform&, double)
    834,  // QGlobalSpace::operator+(QChar, const QString&)
    1038,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    622,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    714,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    767,  // QGlobalSpace::operator+(const QString&, QChar)
    1126,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    777,  // QGlobalSpace::operator+(const QString&, const char*)
    854,  // QGlobalSpace::operator+(const QString&, char)
    947,  // QGlobalSpace::operator+(char, const QString&)
    1133,  // QGlobalSpace::operator+(const char*, const QString&)
    1381,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    658,  // QGlobalSpace::operator-(const QMatrix4x4&)
    844,  // QGlobalSpace::operator-(const QQuaternion&)
    880,  // QGlobalSpace::operator-(const QPoint&)
    984,  // QGlobalSpace::operator-(const QVector4D&)
    999,  // QGlobalSpace::operator-(const QPointF&)
    1214,  // QGlobalSpace::operator-(const QVector2D&)
    1258,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    606,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    689,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    715,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    719,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    747,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    857,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    941,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1131,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1331,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    707,  // QGlobalSpace::operator/(const QPoint&, double)
    743,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    904,  // QGlobalSpace::operator/(const QVector4D&, double)
    973,  // QGlobalSpace::operator/(const QVector2D&, double)
    975,  // QGlobalSpace::operator/(const QPointF&, double)
    979,  // QGlobalSpace::operator/(const QVector3D&, double)
    989,  // QGlobalSpace::operator/(const QTransform&, double)
    1042,  // QGlobalSpace::operator/(const QSizeF&, double)
    1059,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1282,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    666,  // QGlobalSpace::operator<(QChar, QChar)
    748,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    864,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1321,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    672,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1031,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    620,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    631,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    645,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    650,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    655,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    663,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    664,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    673,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    691,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    703,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    718,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    724,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    727,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    729,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    735,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    764,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    783,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    802,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    803,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    804,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    814,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    830,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    882,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    894,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    899,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    900,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    906,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    915,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    921,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    922,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    930,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    938,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    958,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    959,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    960,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    962,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    993,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1000,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    1007,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    1018,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1026,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1027,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1037,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1045,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    1055,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    1063,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1069,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1074,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1075,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1077,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1081,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1084,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1089,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1091,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1092,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1094,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1110,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1123,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1129,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1132,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1151,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1161,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1187,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1193,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1202,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1207,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1217,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1219,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1225,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1227,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1229,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1230,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1241,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1246,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1253,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1259,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1295,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1296,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1309,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1326,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1345,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1346,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1347,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1359,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1368,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1370,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1373,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1385,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1399,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1402,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1404,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    614,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    671,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    840,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    916,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    961,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1067,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1142,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1279,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1339,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1398,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    799,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    825,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1054,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1260,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    1052,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1122,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    608,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    619,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    630,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    652,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    654,  // QGlobalSpace::operator==(QChar, QChar)
    685,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    792,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    815,  // QGlobalSpace::operator==(QBool, QBool)
    858,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    879,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    886,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    951,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    977,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1035,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1044,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1047,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1149,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1157,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1174,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1237,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1287,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1314,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    618,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    755,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    949,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1307,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1312,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1364,  // QGlobalSpace::operator==(QBool, bool)
    0,
    613,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    639,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    817,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1002,  // QGlobalSpace::operator==(bool, QBool)
    1073,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1128,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1248,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    681,  // QGlobalSpace::operator>(QChar, QChar)
    778,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    795,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    932,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    640,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    752,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    602,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    669,  // QGlobalSpace::operator>=(QChar, QChar)
    1043,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1188,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    1014,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1392,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    615,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    665,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    667,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    757,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    813,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    826,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    841,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    850,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    863,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    935,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    948,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    950,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    963,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    971,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    986,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    994,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    998,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    1003,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1009,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    1025,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    1041,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1056,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1072,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1095,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1104,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1105,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1108,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1125,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1137,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1138,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1145,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1191,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1201,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1238,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1252,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1266,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1267,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1271,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1289,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1325,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1354,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1357,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1365,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1366,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1395,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1403,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    1058,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1276,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    600,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    604,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    617,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    621,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    624,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    625,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    626,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    638,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    641,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    646,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    647,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    651,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    657,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    661,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    668,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    674,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    675,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    677,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    680,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    682,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    686,  // QGlobalSpace::operator|(QDir::Filter, int)
    687,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    692,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    693,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    694,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    696,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    699,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    701,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    702,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    704,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    705,  // QGlobalSpace::operator|(QFile::Permission, int)
    706,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    713,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    722,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    725,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    726,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    730,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    733,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    734,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    736,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    738,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    739,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    744,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    745,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    746,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    756,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    759,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    763,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    770,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    771,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    775,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    776,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    779,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    780,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    787,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    789,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    793,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    796,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    801,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    808,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    810,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    812,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    816,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    818,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    819,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    822,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    823,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    824,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    831,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    835,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    836,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    837,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    838,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    839,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    847,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    849,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    851,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    853,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    859,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    860,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    861,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    862,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    866,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    872,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    875,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    878,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    881,  // QGlobalSpace::operator|(Qt::DropAction, int)
    883,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    896,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    901,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    907,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    910,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    913,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    914,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    917,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    919,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    928,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    934,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    937,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    939,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    940,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    952,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    953,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    955,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    964,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    970,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    972,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    974,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    978,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    980,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    981,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    985,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    988,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    990,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    992,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    997,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    1001,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1004,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    1006,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    1010,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1015,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1016,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1017,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1020,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    1028,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    1033,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1034,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    1039,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1040,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    1046,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1051,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    1057,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1062,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1064,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1065,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    1070,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    1083,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1085,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1086,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1090,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1097,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1100,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1101,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1103,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1109,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1111,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1112,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1115,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1116,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1124,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1127,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1130,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1134,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1135,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1136,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1139,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1141,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1143,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1146,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1148,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1154,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1155,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1167,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1168,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1170,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1171,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1175,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1176,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1180,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1181,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1182,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1184,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1185,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1186,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1189,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    1190,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1194,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1200,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1203,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1208,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1209,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1210,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1211,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1212,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1213,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1215,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1216,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1224,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1231,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1232,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1233,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1236,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1239,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1247,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1249,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1250,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1251,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1256,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1257,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1261,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1263,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1265,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1272,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1273,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1274,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1277,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1280,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1285,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1290,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1291,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1302,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1303,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1306,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1308,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1311,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1316,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1317,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1320,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1323,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1328,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1329,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1334,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1335,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1340,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1342,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1343,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1348,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1349,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1351,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1355,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1356,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1358,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1360,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1361,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1369,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1371,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1372,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1374,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1376,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1380,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1383,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1390,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1391,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1396,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1400,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    717,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    786,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    848,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    991,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1019,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1152,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1242,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1173,  // QGlobalSpace::qFuzzyCompare(float, float)
    1292,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    870,  // QGlobalSpace::qFuzzyIsNull(float)
    1204,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    659,  // QGlobalSpace::qHash(const QUrl&)
    660,  // QGlobalSpace::qHash(const QByteArray&)
    758,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    788,  // QGlobalSpace::qHash(QChar)
    809,  // QGlobalSpace::qHash(const QModelIndex&)
    956,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1088,  // QGlobalSpace::qHash(const QBitArray&)
    1388,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    603,  // QGlobalSpace::qHash(unsigned long long)
    637,  // QGlobalSpace::qHash(signed char)
    697,  // QGlobalSpace::qHash(char)
    785,  // QGlobalSpace::qHash(unsigned int)
    798,  // QGlobalSpace::qHash(const QString&)
    843,  // QGlobalSpace::qHash(long long)
    874,  // QGlobalSpace::qHash(int)
    929,  // QGlobalSpace::qHash(long)
    933,  // QGlobalSpace::qHash(unsigned short)
    1166,  // QGlobalSpace::qHash(short)
    1367,  // QGlobalSpace::qHash(unsigned long)
    1394,  // QGlobalSpace::qHash(unsigned char)
    0,
    643,  // QGlobalSpace::qIntCast(double)
    791,  // QGlobalSpace::qIntCast(float)
    0,
    720,  // QGlobalSpace::qIsFinite(double)
    766,  // QGlobalSpace::qIsFinite(float)
    0,
    605,  // QGlobalSpace::qIsInf(double)
    635,  // QGlobalSpace::qIsInf(float)
    0,
    821,  // QGlobalSpace::qIsNaN(float)
    832,  // QGlobalSpace::qIsNaN(double)
    0,
    1284,  // QGlobalSpace::qIsNull(float)
    1389,  // QGlobalSpace::qIsNull(double)
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, unsigned int)
    122,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    94,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    95,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    92,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    124,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    99,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 49, 17},	// QGL::NoAccumBuffer
    {26, 50, 16},	// QGL::NoAlphaChannel
    {26, 53, 23},	// QGL::NoDeprecatedFunctions
    {26, 54, 14},	// QGL::NoDepthBuffer
    {26, 55, 21},	// QGL::NoOverlay
    {26, 57, 22},	// QGL::NoSampleBuffers
    {26, 58, 18},	// QGL::NoStencilBuffer
    {26, 59, 19},	// QGL::NoStereoBuffers
    {26, 133, 4},	// QGL::Rgba
    {26, 219, 11},	// QGL::SampleBuffers
    {26, 220, 13},	// QGL::SingleBuffer
    {26, 224, 7},	// QGL::StencilBuffer
    {26, 225, 8},	// QGL::StereoBuffers
    {26, 862, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 78, 47},	// QGLBuffer::PixelPackBuffer
    {27, 79, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 81, 24},	// QGLBuffer::QGLBuffer
    {27, 82, 26},	// QGLBuffer::QGLBuffer#
    {27, 83, 25},	// QGLBuffer::QGLBuffer$
    {27, 131, 58},	// QGLBuffer::ReadOnly
    {27, 132, 60},	// QGLBuffer::ReadWrite
    {27, 221, 54},	// QGLBuffer::StaticCopy
    {27, 222, 52},	// QGLBuffer::StaticDraw
    {27, 223, 53},	// QGLBuffer::StaticRead
    {27, 226, 51},	// QGLBuffer::StreamCopy
    {27, 227, 49},	// QGLBuffer::StreamDraw
    {27, 228, 50},	// QGLBuffer::StreamRead
    {27, 230, 45},	// QGLBuffer::VertexBuffer
    {27, 231, 59},	// QGLBuffer::WriteOnly
    {27, 247, 42},	// QGLBuffer::allocate$
    {27, 248, 41},	// QGLBuffer::allocate$$
    {27, 258, 34},	// QGLBuffer::bind
    {27, 276, 37},	// QGLBuffer::bufferId
    {27, 296, 31},	// QGLBuffer::create
    {27, 307, 33},	// QGLBuffer::destroy
    {27, 383, 32},	// QGLBuffer::isCreated
    {27, 398, 43},	// QGLBuffer::map$
    {27, 450, 27},	// QGLBuffer::operator=#
    {27, 748, 39},	// QGLBuffer::read$$$
    {27, 750, 35},	// QGLBuffer::release
    {27, 751, 36},	// QGLBuffer::release$
    {27, 898, 30},	// QGLBuffer::setUsagePattern$
    {27, 910, 38},	// QGLBuffer::size
    {27, 939, 28},	// QGLBuffer::type
    {27, 943, 44},	// QGLBuffer::unmap
    {27, 948, 29},	// QGLBuffer::usagePattern
    {27, 953, 40},	// QGLBuffer::write$$$
    {27, 955, 61},	// QGLBuffer::~QGLBuffer
    {28, 84, 62},	// QGLColormap::QGLColormap
    {28, 85, 63},	// QGLColormap::QGLColormap#
    {28, 308, 67},	// QGLColormap::detach
    {28, 330, 72},	// QGLColormap::entryColor$
    {28, 332, 71},	// QGLColormap::entryRgb$
    {28, 337, 73},	// QGLColormap::find$
    {28, 339, 74},	// QGLColormap::findNearest$
    {28, 361, 75},	// QGLColormap::handle
    {28, 384, 65},	// QGLColormap::isEmpty
    {28, 450, 64},	// QGLColormap::operator=#
    {28, 830, 77},	// QGLColormap::setEntries$$
    {28, 831, 68},	// QGLColormap::setEntries$$$
    {28, 833, 70},	// QGLColormap::setEntry$#
    {28, 834, 69},	// QGLColormap::setEntry$$
    {28, 846, 76},	// QGLColormap::setHandle$
    {28, 910, 66},	// QGLColormap::size
    {28, 956, 78},	// QGLColormap::~QGLColormap
    {29, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 136},	// QGLContext::DefaultBindOption
    {29, 25, 137},	// QGLContext::InternalBindOption
    {29, 26, 130},	// QGLContext::InvertedYBindOption
    {29, 46, 133},	// QGLContext::LinearFilteringBindOption
    {29, 47, 134},	// QGLContext::MemoryManagedBindOption
    {29, 48, 131},	// QGLContext::MipmapBindOption
    {29, 52, 129},	// QGLContext::NoBindOption
    {29, 80, 132},	// QGLContext::PremultipliedAlphaBindOption
    {29, 87, 80},	// QGLContext::QGLContext#
    {29, 88, 79},	// QGLContext::QGLContext##
    {29, 252, 85},	// QGLContext::areSharing##
    {29, 264, -907},	// QGLContext::bindTexture#
    {29, 265, -910},	// QGLContext::bindTexture#$
    {29, 266, -913},	// QGLContext::bindTexture#$$
    {29, 267, -916},	// QGLContext::bindTexture#$$$
    {29, 268, 96},	// QGLContext::bindTexture$
    {29, 279, 125},	// QGLContext::chooseContext
    {29, 280, 106},	// QGLContext::chooseContext#
    {29, 281, 108},	// QGLContext::chooseVisual
    {29, 284, 115},	// QGLContext::colorIndex#
    {29, 296, 118},	// QGLContext::create
    {29, 297, 81},	// QGLContext::create#
    {29, 298, 105},	// QGLContext::currentContext
    {29, 299, 127},	// QGLContext::currentCtx
    {29, 304, 97},	// QGLContext::deleteTexture$
    {29, 310, 103},	// QGLContext::device
    {29, 311, 109},	// QGLContext::deviceIsPixmap
    {29, 316, 90},	// QGLContext::doneCurrent
    {29, 322, -919},	// QGLContext::drawTexture#$
    {29, 323, -922},	// QGLContext::drawTexture#$$
    {29, 347, 86},	// QGLContext::format
    {29, 350, 114},	// QGLContext::generateFontDisplayLists#$
    {29, 355, 102},	// QGLContext::getProcAddress$
    {29, 377, 112},	// QGLContext::initialized
    {29, 386, 83},	// QGLContext::isSharing
    {29, 387, 82},	// QGLContext::isValid
    {29, 395, 89},	// QGLContext::makeCurrent
    {29, 477, 104},	// QGLContext::overlayTransparentColor
    {29, 767, 87},	// QGLContext::requestedFormat
    {29, 768, 84},	// QGLContext::reset
    {29, 814, 128},	// QGLContext::setCurrentCtx#
    {29, 824, 117},	// QGLContext::setDevice#
    {29, 836, 88},	// QGLContext::setFormat#
    {29, 848, 113},	// QGLContext::setInitialized$
    {29, 882, 100},	// QGLContext::setTextureCacheLimit$
    {29, 900, 116},	// QGLContext::setValid$
    {29, 905, 111},	// QGLContext::setWindowCreated$
    {29, 918, 91},	// QGLContext::swapBuffers
    {29, 924, 101},	// QGLContext::textureCacheLimit
    {29, 937, 126},	// QGLContext::tryVisual#
    {29, 938, 107},	// QGLContext::tryVisual#$
    {29, 951, 110},	// QGLContext::windowCreated
    {29, 957, 138},	// QGLContext::~QGLContext
    {30, 6, 200},	// QGLFormat::CompatibilityProfile
    {30, 7, 199},	// QGLFormat::CoreProfile
    {30, 56, 198},	// QGLFormat::NoProfile
    {30, 60, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 61, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 62, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 63, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 64, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 65, 202},	// QGLFormat::OpenGL_Version_1_1
    {30, 66, 203},	// QGLFormat::OpenGL_Version_1_2
    {30, 67, 204},	// QGLFormat::OpenGL_Version_1_3
    {30, 68, 205},	// QGLFormat::OpenGL_Version_1_4
    {30, 69, 206},	// QGLFormat::OpenGL_Version_1_5
    {30, 70, 207},	// QGLFormat::OpenGL_Version_2_0
    {30, 71, 208},	// QGLFormat::OpenGL_Version_2_1
    {30, 72, 214},	// QGLFormat::OpenGL_Version_3_0
    {30, 73, 215},	// QGLFormat::OpenGL_Version_3_1
    {30, 74, 216},	// QGLFormat::OpenGL_Version_3_2
    {30, 75, 217},	// QGLFormat::OpenGL_Version_3_3
    {30, 76, 218},	// QGLFormat::OpenGL_Version_4_0
    {30, 77, 201},	// QGLFormat::OpenGL_Version_None
    {30, 89, 139},	// QGLFormat::QGLFormat
    {30, 90, 141},	// QGLFormat::QGLFormat#
    {30, 91, 197},	// QGLFormat::QGLFormat$
    {30, 92, 140},	// QGLFormat::QGLFormat$$
    {30, 236, 171},	// QGLFormat::accum
    {30, 237, 146},	// QGLFormat::accumBufferSize
    {30, 249, 169},	// QGLFormat::alpha
    {30, 250, 154},	// QGLFormat::alphaBufferSize
    {30, 275, 152},	// QGLFormat::blueBufferSize
    {30, 301, 185},	// QGLFormat::defaultFormat
    {30, 302, 187},	// QGLFormat::defaultOverlayFormat
    {30, 305, 165},	// QGLFormat::depth
    {30, 306, 144},	// QGLFormat::depthBufferSize
    {30, 312, 177},	// QGLFormat::directRendering
    {30, 317, 163},	// QGLFormat::doubleBuffer
    {30, 360, 150},	// QGLFormat::greenBufferSize
    {30, 362, 189},	// QGLFormat::hasOpenGL
    {30, 365, 190},	// QGLFormat::hasOpenGLOverlays
    {30, 372, 179},	// QGLFormat::hasOverlay
    {30, 394, 192},	// QGLFormat::majorVersion
    {30, 404, 193},	// QGLFormat::minorVersion
    {30, 411, 196},	// QGLFormat::openGLVersionFlags
    {30, 450, 142},	// QGLFormat::operator=#
    {30, 484, 181},	// QGLFormat::plane
    {30, 485, 195},	// QGLFormat::profile
    {30, 749, 148},	// QGLFormat::redBufferSize
    {30, 775, 167},	// QGLFormat::rgba
    {30, 776, 158},	// QGLFormat::sampleBuffers
    {30, 777, 160},	// QGLFormat::samples
    {30, 779, 172},	// QGLFormat::setAccum$
    {30, 781, 145},	// QGLFormat::setAccumBufferSize$
    {30, 783, 170},	// QGLFormat::setAlpha$
    {30, 785, 153},	// QGLFormat::setAlphaBufferSize$
    {30, 806, 151},	// QGLFormat::setBlueBufferSize$
    {30, 816, 186},	// QGLFormat::setDefaultFormat#
    {30, 818, 188},	// QGLFormat::setDefaultOverlayFormat#
    {30, 820, 166},	// QGLFormat::setDepth$
    {30, 822, 143},	// QGLFormat::setDepthBufferSize$
    {30, 826, 178},	// QGLFormat::setDirectRendering$
    {30, 828, 164},	// QGLFormat::setDoubleBuffer$
    {30, 844, 149},	// QGLFormat::setGreenBufferSize$
    {30, 856, 183},	// QGLFormat::setOption$
    {30, 858, 180},	// QGLFormat::setOverlay$
    {30, 860, 182},	// QGLFormat::setPlane$
    {30, 864, 194},	// QGLFormat::setProfile$
    {30, 866, 147},	// QGLFormat::setRedBufferSize$
    {30, 868, 168},	// QGLFormat::setRgba$
    {30, 870, 157},	// QGLFormat::setSampleBuffers$
    {30, 872, 159},	// QGLFormat::setSamples$
    {30, 874, 174},	// QGLFormat::setStencil$
    {30, 876, 155},	// QGLFormat::setStencilBufferSize$
    {30, 878, 176},	// QGLFormat::setStereo$
    {30, 880, 161},	// QGLFormat::setSwapInterval$
    {30, 902, 191},	// QGLFormat::setVersion$$
    {30, 914, 173},	// QGLFormat::stencil
    {30, 915, 156},	// QGLFormat::stencilBufferSize
    {30, 916, 175},	// QGLFormat::stereo
    {30, 919, 162},	// QGLFormat::swapInterval
    {30, 922, 184},	// QGLFormat::testOption$
    {30, 958, 219},	// QGLFormat::~QGLFormat
    {31, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 257},	// QGLFramebufferObject::Depth
    {31, 51, 255},	// QGLFramebufferObject::NoAttachment
    {31, 94, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 95, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 96, -7},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 97, 248},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 98, 222},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 99, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 100, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 101, -10},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 102, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 103, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 253, 234},	// QGLFramebufferObject::attachment
    {31, 258, 229},	// QGLFramebufferObject::bind
    {31, 262, 237},	// QGLFramebufferObject::bindDefault
    {31, 272, 253},	// QGLFramebufferObject::blitFramebuffer####
    {31, 273, 254},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 274, 242},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 309, 244},	// QGLFramebufferObject::devType
    {31, 322, -13},	// QGLFramebufferObject::drawTexture#$
    {31, 323, -16},	// QGLFramebufferObject::drawTexture#$$
    {31, 347, 226},	// QGLFramebufferObject::format
    {31, 361, 236},	// QGLFramebufferObject::handle
    {31, 363, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 364, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 381, 228},	// QGLFramebufferObject::isBound
    {31, 387, 227},	// QGLFramebufferObject::isValid
    {31, 402, 243},	// QGLFramebufferObject::metric$
    {31, 478, 235},	// QGLFramebufferObject::paintEngine
    {31, 750, 230},	// QGLFramebufferObject::release
    {31, 910, 232},	// QGLFramebufferObject::size
    {31, 923, 231},	// QGLFramebufferObject::texture
    {31, 927, 233},	// QGLFramebufferObject::toImage
    {31, 959, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 104, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 105, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 253, 267},	// QGLFramebufferObjectFormat::attachment
    {32, 380, 271},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 405, 265},	// QGLFramebufferObjectFormat::mipmap
    {32, 413, 273},	// QGLFramebufferObjectFormat::operator!=#
    {32, 450, 261},	// QGLFramebufferObjectFormat::operator=#
    {32, 452, 272},	// QGLFramebufferObjectFormat::operator==#
    {32, 777, 263},	// QGLFramebufferObjectFormat::samples
    {32, 787, 266},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 850, 270},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 852, 264},	// QGLFramebufferObjectFormat::setMipmap$
    {32, 872, 262},	// QGLFramebufferObjectFormat::setSamples$
    {32, 884, 268},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 925, 269},	// QGLFramebufferObjectFormat::textureTarget
    {32, 960, 274},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 107, 298},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 108, 299},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 109, 275},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 110, 300},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 111, 301},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 112, 276},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 264, -188},	// QGLPixelBuffer::bindTexture#
    {33, 265, -191},	// QGLPixelBuffer::bindTexture#$
    {33, 268, 286},	// QGLPixelBuffer::bindTexture$
    {33, 270, 281},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 304, 287},	// QGLPixelBuffer::deleteTexture$
    {33, 309, 297},	// QGLPixelBuffer::devType
    {33, 316, 279},	// QGLPixelBuffer::doneCurrent
    {33, 322, -194},	// QGLPixelBuffer::drawTexture#$
    {33, 323, -197},	// QGLPixelBuffer::drawTexture#$$
    {33, 347, 294},	// QGLPixelBuffer::format
    {33, 348, 280},	// QGLPixelBuffer::generateDynamicTexture
    {33, 361, 291},	// QGLPixelBuffer::handle
    {33, 366, 295},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 387, 277},	// QGLPixelBuffer::isValid
    {33, 395, 278},	// QGLPixelBuffer::makeCurrent
    {33, 402, 296},	// QGLPixelBuffer::metric$
    {33, 478, 293},	// QGLPixelBuffer::paintEngine
    {33, 752, 282},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 910, 290},	// QGLPixelBuffer::size
    {33, 927, 292},	// QGLPixelBuffer::toImage
    {33, 945, 283},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 961, 306},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 333},	// QGLShader::Fragment
    {34, 20, 334},	// QGLShader::Geometry
    {34, 114, 328},	// QGLShader::QGLShader$
    {34, 115, -1},	// QGLShader::QGLShader$#
    {34, 116, 315},	// QGLShader::QGLShader$##
    {34, 229, 332},	// QGLShader::Vertex
    {34, 287, 318},	// QGLShader::compileSourceCode#
    {34, 288, -4},	// QGLShader::compileSourceCode$
    {34, 290, 320},	// QGLShader::compileSourceFile$
    {34, 370, 330},	// QGLShader::hasOpenGLShaders$
    {34, 371, 325},	// QGLShader::hasOpenGLShaders$#
    {34, 382, 322},	// QGLShader::isCompiled
    {34, 393, 323},	// QGLShader::log
    {34, 400, 307},	// QGLShader::metaObject
    {34, 735, 313},	// QGLShader::qt_metacall$$?
    {34, 737, 308},	// QGLShader::qt_metacast$
    {34, 906, 324},	// QGLShader::shaderId
    {34, 907, 316},	// QGLShader::shaderType
    {34, 912, 321},	// QGLShader::sourceCode
    {34, 913, 331},	// QGLShader::staticMetaObject
    {34, 929, 326},	// QGLShader::tr$
    {34, 930, 309},	// QGLShader::tr$$
    {34, 931, 311},	// QGLShader::tr$$$
    {34, 933, 327},	// QGLShader::trUtf8$
    {34, 934, 310},	// QGLShader::trUtf8$$
    {34, 935, 312},	// QGLShader::trUtf8$$$
    {34, 962, 335},	// QGLShader::~QGLShader
    {35, 117, 496},	// QGLShaderProgram::QGLShaderProgram
    {35, 118, -19},	// QGLShaderProgram::QGLShaderProgram#
    {35, 119, 344},	// QGLShaderProgram::QGLShaderProgram##
    {35, 240, 345},	// QGLShaderProgram::addShader#
    {35, 242, 349},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 243, -22},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 245, 351},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 255, 370},	// QGLShaderProgram::attributeLocation#
    {35, 256, -25},	// QGLShaderProgram::attributeLocation$
    {35, 258, 356},	// QGLShaderProgram::bind
    {35, 260, 367},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 261, -28},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 314, -31},	// QGLShaderProgram::disableAttributeArray$
    {35, 326, -34},	// QGLShaderProgram::enableAttributeArray$
    {35, 351, 363},	// QGLShaderProgram::geometryInputType
    {35, 352, 365},	// QGLShaderProgram::geometryOutputType
    {35, 353, 361},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 367, 510},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 368, 493},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 385, 354},	// QGLShaderProgram::isLinked
    {35, 392, 353},	// QGLShaderProgram::link
    {35, 393, 355},	// QGLShaderProgram::log
    {35, 399, 359},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 400, 336},	// QGLShaderProgram::metaObject
    {35, 486, 358},	// QGLShaderProgram::programId
    {35, 735, 342},	// QGLShaderProgram::qt_metacall$$?
    {35, 737, 337},	// QGLShaderProgram::qt_metacast$
    {35, 750, 357},	// QGLShaderProgram::release
    {35, 753, 352},	// QGLShaderProgram::removeAllShaders
    {35, 755, 346},	// QGLShaderProgram::removeShader#
    {35, 789, -37},	// QGLShaderProgram::setAttributeArray$#
    {35, 790, -44},	// QGLShaderProgram::setAttributeArray$#$
    {35, 791, -51},	// QGLShaderProgram::setAttributeArray$$$
    {35, 792, -54},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 793, -59},	// QGLShaderProgram::setAttributeArray$$$$$
    {35, 795, -62},	// QGLShaderProgram::setAttributeBuffer$$$$
    {35, 796, -65},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {35, 798, -68},	// QGLShaderProgram::setAttributeValue$#
    {35, 799, -77},	// QGLShaderProgram::setAttributeValue$$
    {35, 800, -80},	// QGLShaderProgram::setAttributeValue$$$
    {35, 801, -83},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 802, -88},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 838, 362},	// QGLShaderProgram::setGeometryInputType$
    {35, 840, 364},	// QGLShaderProgram::setGeometryOutputType$
    {35, 842, 360},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 886, -91},	// QGLShaderProgram::setUniformValue$#
    {35, 887, -112},	// QGLShaderProgram::setUniformValue$$
    {35, 888, -125},	// QGLShaderProgram::setUniformValue$$$
    {35, 889, -128},	// QGLShaderProgram::setUniformValue$$$$
    {35, 890, -131},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 891, -134},	// QGLShaderProgram::setUniformValue$?
    {35, 893, -151},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 894, -160},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 895, -165},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 896, -168},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 908, 347},	// QGLShaderProgram::shaders
    {35, 913, 511},	// QGLShaderProgram::staticMetaObject
    {35, 929, 494},	// QGLShaderProgram::tr$
    {35, 930, 338},	// QGLShaderProgram::tr$$
    {35, 931, 340},	// QGLShaderProgram::tr$$$
    {35, 933, 495},	// QGLShaderProgram::trUtf8$
    {35, 934, 339},	// QGLShaderProgram::trUtf8$$
    {35, 935, 341},	// QGLShaderProgram::trUtf8$$$
    {35, 941, 407},	// QGLShaderProgram::uniformLocation#
    {35, 942, -185},	// QGLShaderProgram::uniformLocation$
    {35, 963, 512},	// QGLShaderProgram::~QGLShaderProgram
    {36, 120, 572},	// QGLWidget::QGLWidget
    {36, 121, -200},	// QGLWidget::QGLWidget#
    {36, 122, -204},	// QGLWidget::QGLWidget##
    {36, 123, -208},	// QGLWidget::QGLWidget###
    {36, 124, -211},	// QGLWidget::QGLWidget###$
    {36, 125, 520},	// QGLWidget::QGLWidget##$
    {36, 257, 564},	// QGLWidget::autoBufferSwap
    {36, 264, -214},	// QGLWidget::bindTexture#
    {36, 265, -217},	// QGLWidget::bindTexture#$
    {36, 266, -220},	// QGLWidget::bindTexture#$$
    {36, 267, -223},	// QGLWidget::bindTexture#$$$
    {36, 268, 550},	// QGLWidget::bindTexture$
    {36, 285, 541},	// QGLWidget::colormap
    {36, 292, 533},	// QGLWidget::context
    {36, 295, 539},	// QGLWidget::convertToGLFormat#
    {36, 304, 551},	// QGLWidget::deleteTexture$
    {36, 316, 528},	// QGLWidget::doneCurrent
    {36, 317, 529},	// QGLWidget::doubleBuffer
    {36, 322, -226},	// QGLWidget::drawTexture#$
    {36, 323, -229},	// QGLWidget::drawTexture#$$
    {36, 334, 556},	// QGLWidget::event#
    {36, 345, 597},	// QGLWidget::fontDisplayListBase#
    {36, 346, 569},	// QGLWidget::fontDisplayListBase#$
    {36, 347, 531},	// QGLWidget::format
    {36, 356, 568},	// QGLWidget::glDraw
    {36, 357, 567},	// QGLWidget::glInit
    {36, 358, 586},	// QGLWidget::grabFrameBuffer
    {36, 359, 536},	// QGLWidget::grabFrameBuffer$
    {36, 375, 557},	// QGLWidget::initializeGL
    {36, 376, 560},	// QGLWidget::initializeOverlayGL
    {36, 386, 526},	// QGLWidget::isSharing
    {36, 387, 525},	// QGLWidget::isValid
    {36, 395, 527},	// QGLWidget::makeCurrent
    {36, 396, 537},	// QGLWidget::makeOverlayCurrent
    {36, 400, 513},	// QGLWidget::metaObject
    {36, 476, 538},	// QGLWidget::overlayContext
    {36, 478, 545},	// QGLWidget::paintEngine
    {36, 480, 565},	// QGLWidget::paintEvent#
    {36, 481, 559},	// QGLWidget::paintGL
    {36, 482, 562},	// QGLWidget::paintOverlayGL
    {36, 690, 524},	// QGLWidget::qglClearColor#
    {36, 692, 523},	// QGLWidget::qglColor#
    {36, 735, 519},	// QGLWidget::qt_metacall$$?
    {36, 737, 514},	// QGLWidget::qt_metacast$
    {36, 756, 583},	// QGLWidget::renderPixmap
    {36, 757, 584},	// QGLWidget::renderPixmap$
    {36, 758, 585},	// QGLWidget::renderPixmap$$
    {36, 759, 535},	// QGLWidget::renderPixmap$$$
    {36, 761, 587},	// QGLWidget::renderText$$$
    {36, 762, 588},	// QGLWidget::renderText$$$#
    {36, 763, 543},	// QGLWidget::renderText$$$#$
    {36, 764, 589},	// QGLWidget::renderText$$$$
    {36, 765, 590},	// QGLWidget::renderText$$$$#
    {36, 766, 544},	// QGLWidget::renderText$$$$#$
    {36, 770, 566},	// QGLWidget::resizeEvent#
    {36, 772, 558},	// QGLWidget::resizeGL$$
    {36, 774, 561},	// QGLWidget::resizeOverlayGL$$
    {36, 804, 563},	// QGLWidget::setAutoBufferSwap$
    {36, 808, 542},	// QGLWidget::setColormap#
    {36, 810, 581},	// QGLWidget::setContext#
    {36, 811, 582},	// QGLWidget::setContext##
    {36, 812, 534},	// QGLWidget::setContext##$
    {36, 836, 532},	// QGLWidget::setFormat#
    {36, 854, 540},	// QGLWidget::setMouseTracking$
    {36, 913, 598},	// QGLWidget::staticMetaObject
    {36, 918, 530},	// QGLWidget::swapBuffers
    {36, 929, 570},	// QGLWidget::tr$
    {36, 930, 515},	// QGLWidget::tr$$
    {36, 931, 517},	// QGLWidget::tr$$$
    {36, 933, 571},	// QGLWidget::trUtf8$
    {36, 934, 516},	// QGLWidget::trUtf8$$
    {36, 935, 518},	// QGLWidget::trUtf8$$$
    {36, 946, 554},	// QGLWidget::updateGL
    {36, 947, 555},	// QGLWidget::updateOverlayGL
    {36, 964, 599},	// QGLWidget::~QGLWidget
    {37, 27, 1503},	// QGlobalSpace::LicensedActiveQt
    {37, 28, 1510},	// QGlobalSpace::LicensedCore
    {37, 29, 1505},	// QGlobalSpace::LicensedDBus
    {37, 30, 1517},	// QGlobalSpace::LicensedDeclarative
    {37, 31, 1500},	// QGlobalSpace::LicensedGui
    {37, 32, 1515},	// QGlobalSpace::LicensedHelp
    {37, 33, 1512},	// QGlobalSpace::LicensedMultimedia
    {37, 34, 1511},	// QGlobalSpace::LicensedNetwork
    {37, 35, 1490},	// QGlobalSpace::LicensedOpenGL
    {37, 36, 1492},	// QGlobalSpace::LicensedOpenVG
    {37, 37, 1504},	// QGlobalSpace::LicensedQt3Support
    {37, 38, 1494},	// QGlobalSpace::LicensedQt3SupportLight
    {37, 39, 1493},	// QGlobalSpace::LicensedScript
    {37, 40, 1514},	// QGlobalSpace::LicensedScriptTools
    {37, 41, 1502},	// QGlobalSpace::LicensedSql
    {37, 42, 1491},	// QGlobalSpace::LicensedSvg
    {37, 43, 1513},	// QGlobalSpace::LicensedTest
    {37, 44, 1516},	// QGlobalSpace::LicensedXml
    {37, 45, 1501},	// QGlobalSpace::LicensedXmlPatterns
    {37, 126, 1497},	// QGlobalSpace::QtCriticalMsg
    {37, 127, 1495},	// QGlobalSpace::QtDebugMsg
    {37, 128, 1498},	// QGlobalSpace::QtFatalMsg
    {37, 129, 1499},	// QGlobalSpace::QtSystemMsg
    {37, 130, 1496},	// QGlobalSpace::QtWarningMsg
    {37, 134, 1468},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {37, 135, 1469},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {37, 136, 1470},	// QGlobalSpace::SP_CustomCameraPauseButton
    {37, 137, 1471},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {37, 138, 1472},	// QGlobalSpace::SP_CustomCameraPlayButton
    {37, 139, 1473},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {37, 140, 1474},	// QGlobalSpace::SP_CustomCameraRecButton
    {37, 141, 1475},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {37, 142, 1476},	// QGlobalSpace::SP_CustomCameraStopButton
    {37, 143, 1477},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {37, 144, 1478},	// QGlobalSpace::SP_CustomTabAll
    {37, 145, 1479},	// QGlobalSpace::SP_CustomTabArtist
    {37, 146, 1480},	// QGlobalSpace::SP_CustomTabFavourite
    {37, 147, 1481},	// QGlobalSpace::SP_CustomTabGenre
    {37, 148, 1482},	// QGlobalSpace::SP_CustomTabLanguage
    {37, 149, 1483},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {37, 150, 1484},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {37, 151, 1485},	// QGlobalSpace::SP_CustomTabPhotosAll
    {37, 152, 1486},	// QGlobalSpace::SP_CustomTabPlaylist
    {37, 153, 1487},	// QGlobalSpace::SP_CustomTabServices
    {37, 154, 1488},	// QGlobalSpace::SP_CustomTabSongs
    {37, 155, 1489},	// QGlobalSpace::SP_CustomTabVideos
    {37, 156, 1405},	// QGlobalSpace::SP_CustomToolBarAdd
    {37, 157, 1406},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {37, 158, 1407},	// QGlobalSpace::SP_CustomToolBarAgain
    {37, 159, 1408},	// QGlobalSpace::SP_CustomToolBarAgenda
    {37, 160, 1409},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {37, 161, 1410},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {37, 162, 1411},	// QGlobalSpace::SP_CustomToolBarBack
    {37, 163, 1412},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {37, 164, 1413},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {37, 165, 1414},	// QGlobalSpace::SP_CustomToolBarCancel
    {37, 166, 1415},	// QGlobalSpace::SP_CustomToolBarDelete
    {37, 167, 1416},	// QGlobalSpace::SP_CustomToolBarDone
    {37, 168, 1417},	// QGlobalSpace::SP_CustomToolBarEdit
    {37, 169, 1418},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {37, 170, 1419},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {37, 171, 1420},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {37, 172, 1421},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {37, 173, 1422},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {37, 174, 1423},	// QGlobalSpace::SP_CustomToolBarFavourites
    {37, 175, 1424},	// QGlobalSpace::SP_CustomToolBarGo
    {37, 176, 1425},	// QGlobalSpace::SP_CustomToolBarHome
    {37, 177, 1426},	// QGlobalSpace::SP_CustomToolBarImageTools
    {37, 178, 1427},	// QGlobalSpace::SP_CustomToolBarList
    {37, 179, 1428},	// QGlobalSpace::SP_CustomToolBarLock
    {37, 180, 1429},	// QGlobalSpace::SP_CustomToolBarLogs
    {37, 181, 1430},	// QGlobalSpace::SP_CustomToolBarMenu
    {37, 182, 1431},	// QGlobalSpace::SP_CustomToolBarNewContact
    {37, 183, 1432},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {37, 184, 1433},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {37, 185, 1434},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {37, 186, 1435},	// QGlobalSpace::SP_CustomToolBarOptions
    {37, 187, 1436},	// QGlobalSpace::SP_CustomToolBarOther
    {37, 188, 1437},	// QGlobalSpace::SP_CustomToolBarOvi
    {37, 189, 1438},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {37, 190, 1439},	// QGlobalSpace::SP_CustomToolBarRead
    {37, 191, 1441},	// QGlobalSpace::SP_CustomToolBarRedo
    {37, 192, 1440},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {37, 193, 1442},	// QGlobalSpace::SP_CustomToolBarRefresh
    {37, 194, 1443},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {37, 195, 1444},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {37, 196, 1445},	// QGlobalSpace::SP_CustomToolBarRepeat
    {37, 197, 1446},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {37, 198, 1447},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {37, 199, 1448},	// QGlobalSpace::SP_CustomToolBarSearch
    {37, 200, 1449},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {37, 201, 1450},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {37, 202, 1451},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {37, 203, 1452},	// QGlobalSpace::SP_CustomToolBarSend
    {37, 204, 1453},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {37, 205, 1454},	// QGlobalSpace::SP_CustomToolBarShare
    {37, 206, 1455},	// QGlobalSpace::SP_CustomToolBarShift
    {37, 207, 1456},	// QGlobalSpace::SP_CustomToolBarShuffle
    {37, 208, 1457},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {37, 209, 1458},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {37, 210, 1459},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {37, 211, 1460},	// QGlobalSpace::SP_CustomToolBarSync
    {37, 212, 1461},	// QGlobalSpace::SP_CustomToolBarTools
    {37, 213, 1462},	// QGlobalSpace::SP_CustomToolBarTrim
    {37, 214, 1463},	// QGlobalSpace::SP_CustomToolBarUnlock
    {37, 215, 1464},	// QGlobalSpace::SP_CustomToolBarUnmark
    {37, 216, 1465},	// QGlobalSpace::SP_CustomToolBarView
    {37, 217, 1466},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {37, 218, 1467},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {37, 232, 1508},	// QGlobalSpace::__codecvt_error
    {37, 233, 1509},	// QGlobalSpace::__codecvt_noconv
    {37, 234, 1506},	// QGlobalSpace::__codecvt_ok
    {37, 235, 1507},	// QGlobalSpace::__codecvt_partial
    {37, 414, -232},	// QGlobalSpace::operator!=##
    {37, 415, -254},	// QGlobalSpace::operator!=#$
    {37, 416, -260},	// QGlobalSpace::operator!=$#
    {37, 417, 820},	// QGlobalSpace::operator!=$$
    {37, 419, 1013},	// QGlobalSpace::operator&##
    {37, 421, -267},	// QGlobalSpace::operator*##
    {37, 422, -297},	// QGlobalSpace::operator*#$
    {37, 423, -310},	// QGlobalSpace::operator*$#
    {37, 425, -322},	// QGlobalSpace::operator+##
    {37, 426, -333},	// QGlobalSpace::operator+#$
    {37, 427, -339},	// QGlobalSpace::operator+$#
    {37, 428, -344},	// QGlobalSpace::operator+$$
    {37, 430, -350},	// QGlobalSpace::operator-#
    {37, 431, -358},	// QGlobalSpace::operator-##
    {37, 432, 695},	// QGlobalSpace::operator-#$
    {37, 434, -368},	// QGlobalSpace::operator/#$
    {37, 436, -379},	// QGlobalSpace::operator<##
    {37, 437, 1076},	// QGlobalSpace::operator<#$
    {37, 438, -384},	// QGlobalSpace::operator<$#
    {37, 439, 731},	// QGlobalSpace::operator<$$
    {37, 441, -387},	// QGlobalSpace::operator<<##
    {37, 442, -481},	// QGlobalSpace::operator<<#$
    {37, 443, 1036},	// QGlobalSpace::operator<<#?
    {37, 445, -492},	// QGlobalSpace::operator<=##
    {37, 446, 790},	// QGlobalSpace::operator<=#$
    {37, 447, -497},	// QGlobalSpace::operator<=$#
    {37, 448, 1106},	// QGlobalSpace::operator<=$$
    {37, 453, -500},	// QGlobalSpace::operator==##
    {37, 454, -523},	// QGlobalSpace::operator==#$
    {37, 455, -530},	// QGlobalSpace::operator==$#
    {37, 456, 1375},	// QGlobalSpace::operator==$$
    {37, 458, -538},	// QGlobalSpace::operator>##
    {37, 459, 1393},	// QGlobalSpace::operator>#$
    {37, 460, -543},	// QGlobalSpace::operator>$#
    {37, 461, 957},	// QGlobalSpace::operator>$$
    {37, 463, -546},	// QGlobalSpace::operator>=##
    {37, 464, 634},	// QGlobalSpace::operator>=#$
    {37, 465, -551},	// QGlobalSpace::operator>=$#
    {37, 466, 1387},	// QGlobalSpace::operator>=$$
    {37, 468, -554},	// QGlobalSpace::operator>>##
    {37, 469, -606},	// QGlobalSpace::operator>>#$
    {37, 470, 911},	// QGlobalSpace::operator>>#?
    {37, 472, 794},	// QGlobalSpace::operator^##
    {37, 474, 1240},	// QGlobalSpace::operator|##
    {37, 475, -609},	// QGlobalSpace::operator|$$
    {37, 487, 995},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 488, 690},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 489, 1102},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 490, 905},	// QGlobalSpace::qAccessibleTable2CastHelper
    {37, 491, 865},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 492, 774},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 493, 601},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 495, 1183},	// QGlobalSpace::qAcos$
    {37, 497, 1048},	// QGlobalSpace::qAddPostRoutine$
    {37, 499, 728},	// QGlobalSpace::qAlpha$
    {37, 500, 1060},	// QGlobalSpace::qAppName
    {37, 502, 1228},	// QGlobalSpace::qAsin$
    {37, 504, 1288},	// QGlobalSpace::qAtan$
    {37, 506, 632},	// QGlobalSpace::qAtan2$$
    {37, 507, 1192},	// QGlobalSpace::qBadAlloc
    {37, 509, 918},	// QGlobalSpace::qBlue$
    {37, 511, 1093},	// QGlobalSpace::qCeil$
    {37, 513, 902},	// QGlobalSpace::qChecksum$$
    {37, 515, 1206},	// QGlobalSpace::qCompress#
    {37, 516, 1205},	// QGlobalSpace::qCompress#$
    {37, 517, 1050},	// QGlobalSpace::qCompress$$
    {37, 518, 1049},	// QGlobalSpace::qCompress$$$
    {37, 520, 679},	// QGlobalSpace::qCos$
    {37, 521, 1023},	// QGlobalSpace::qCritical
    {37, 522, 1113},	// QGlobalSpace::qDebug
    {37, 524, 903},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 525, 1378},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 526, 1379},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 527, 1377},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 529, 1269},	// QGlobalSpace::qDrawPlainRect###
    {37, 530, 1270},	// QGlobalSpace::qDrawPlainRect###$
    {37, 531, 1268},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 532, 868},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 533, 869},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 534, 867},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 536, 1298},	// QGlobalSpace::qDrawShadeLine####
    {37, 537, 1299},	// QGlobalSpace::qDrawShadeLine####$
    {37, 538, 1300},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 539, 1297},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 540, 1221},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 541, 1222},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 542, 1223},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 543, 1220},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 545, 943},	// QGlobalSpace::qDrawShadePanel###
    {37, 546, 944},	// QGlobalSpace::qDrawShadePanel###$
    {37, 547, 945},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 548, 942},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 549, 967},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 550, 968},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 551, 969},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 552, 966},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 554, 890},	// QGlobalSpace::qDrawShadeRect###
    {37, 555, 891},	// QGlobalSpace::qDrawShadeRect###$
    {37, 556, 892},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 557, 893},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 558, 889},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 559, 1196},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 560, 1197},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 561, 1198},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 562, 1199},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 563, 1195},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 565, 924},	// QGlobalSpace::qDrawWinButton###
    {37, 566, 925},	// QGlobalSpace::qDrawWinButton###$
    {37, 567, 923},	// QGlobalSpace::qDrawWinButton###$#
    {37, 568, 1244},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 569, 1245},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 570, 1243},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 572, 1164},	// QGlobalSpace::qDrawWinPanel###
    {37, 573, 1165},	// QGlobalSpace::qDrawWinPanel###$
    {37, 574, 1163},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 575, 709},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 576, 710},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 577, 708},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 579, 885},	// QGlobalSpace::qExp$
    {37, 581, 1169},	// QGlobalSpace::qFabs$
    {37, 583, 811},	// QGlobalSpace::qFastCos$
    {37, 585, 1053},	// QGlobalSpace::qFastSin$
    {37, 587, 827},	// QGlobalSpace::qFlagLocation$
    {37, 589, 762},	// QGlobalSpace::qFloor$
    {37, 591, 1066},	// QGlobalSpace::qFree$
    {37, 593, 1071},	// QGlobalSpace::qFreeAligned$
    {37, 595, -856},	// QGlobalSpace::qFuzzyCompare##
    {37, 596, -864},	// QGlobalSpace::qFuzzyCompare$$
    {37, 598, -867},	// QGlobalSpace::qFuzzyIsNull$
    {37, 600, 833},	// QGlobalSpace::qGray$
    {37, 601, 732},	// QGlobalSpace::qGray$$$
    {37, 603, 1120},	// QGlobalSpace::qGreen$
    {37, 605, -870},	// QGlobalSpace::qHash#
    {37, 606, -879},	// QGlobalSpace::qHash$
    {37, 607, 1338},	// QGlobalSpace::qInf
    {37, 609, 806},	// QGlobalSpace::qInstallMsgHandler$
    {37, 611, -892},	// QGlobalSpace::qIntCast$
    {37, 613, -895},	// QGlobalSpace::qIsFinite$
    {37, 615, 1262},	// QGlobalSpace::qIsGray$
    {37, 617, -898},	// QGlobalSpace::qIsInf$
    {37, 619, -901},	// QGlobalSpace::qIsNaN$
    {37, 621, -904},	// QGlobalSpace::qIsNull$
    {37, 623, 887},	// QGlobalSpace::qLn$
    {37, 625, 908},	// QGlobalSpace::qMalloc$
    {37, 627, 1114},	// QGlobalSpace::qMallocAligned$$
    {37, 629, 611},	// QGlobalSpace::qMemCopy$$$
    {37, 631, 1160},	// QGlobalSpace::qMemSet$$$
    {37, 633, 1121},	// QGlobalSpace::qPow$$
    {37, 634, 909},	// QGlobalSpace::qQNaN
    {37, 636, 797},	// QGlobalSpace::qRealloc$$
    {37, 638, 781},	// QGlobalSpace::qReallocAligned$$$$
    {37, 640, 760},	// QGlobalSpace::qRed$
    {37, 642, 898},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 644, 1352},	// QGlobalSpace::qRemovePostRoutine$
    {37, 646, 852},	// QGlobalSpace::qRgb$$$
    {37, 648, 1022},	// QGlobalSpace::qRgba$$$$
    {37, 650, 1337},	// QGlobalSpace::qRound$
    {37, 652, 805},	// QGlobalSpace::qRound64$
    {37, 653, 1304},	// QGlobalSpace::qSNaN
    {37, 655, 754},	// QGlobalSpace::qSetFieldWidth$
    {37, 657, 644},	// QGlobalSpace::qSetPadChar#
    {37, 659, 884},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 660, 684},	// QGlobalSpace::qSharedBuild
    {37, 662, 1235},	// QGlobalSpace::qSin$
    {37, 664, 807},	// QGlobalSpace::qSqrt$
    {37, 666, 1098},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 667, 627},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 669, 751},	// QGlobalSpace::qTan$
    {37, 671, 987},	// QGlobalSpace::qUncompress#
    {37, 672, 749},	// QGlobalSpace::qUncompress$$
    {37, 673, 1061},	// QGlobalSpace::qVersion
    {37, 674, 1362},	// QGlobalSpace::qWarning
    {37, 676, 773},	// QGlobalSpace::qbswap_helper$$$
    {37, 678, 721},	// QGlobalSpace::qecvt$$$$
    {37, 680, 1119},	// QGlobalSpace::qecvt_r$$$$$$
    {37, 682, 846},	// QGlobalSpace::qfcvt$$$$
    {37, 684, 1177},	// QGlobalSpace::qfcvt_r$$$$$$
    {37, 686, 1178},	// QGlobalSpace::qgcvt$$$
    {37, 688, 636},	// QGlobalSpace::qgetenv$
    {37, 694, 912},	// QGlobalSpace::qputenv$#
    {37, 695, 1005},	// QGlobalSpace::qrand
    {37, 697, 1179},	// QGlobalSpace::qsort$$$$
    {37, 699, 926},	// QGlobalSpace::qsrand$
    {37, 701, 1172},	// QGlobalSpace::qstrcmp##
    {37, 702, 1350},	// QGlobalSpace::qstrcmp#$
    {37, 703, 629},	// QGlobalSpace::qstrcmp$#
    {37, 704, 676},	// QGlobalSpace::qstrcmp$$
    {37, 706, 873},	// QGlobalSpace::qstrcpy$$
    {37, 708, 1099},	// QGlobalSpace::qstrdup$
    {37, 710, 1333},	// QGlobalSpace::qstricmp$$
    {37, 712, 1363},	// QGlobalSpace::qstrlen$
    {37, 714, 750},	// QGlobalSpace::qstrncmp$$$
    {37, 716, 982},	// QGlobalSpace::qstrncpy$$$
    {37, 718, 946},	// QGlobalSpace::qstrnicmp$$$
    {37, 720, 610},	// QGlobalSpace::qstrnlen$$
    {37, 722, 1255},	// QGlobalSpace::qtTrId$
    {37, 723, 1254},	// QGlobalSpace::qtTrId$$
    {37, 725, 842},	// QGlobalSpace::qt_assert$$$
    {37, 727, 1011},	// QGlobalSpace::qt_assert_x$$$$
    {37, 729, 1162},	// QGlobalSpace::qt_check_pointer$$
    {37, 730, 741},	// QGlobalSpace::qt_error_string
    {37, 731, 740},	// QGlobalSpace::qt_error_string$
    {37, 733, 1384},	// QGlobalSpace::qt_message_output$$
    {37, 738, 612},	// QGlobalSpace::qt_noop
    {37, 740, 965},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 742, 1286},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 744, 1278},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 746, 1156},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1567,
        __smokeqtopengl::methodMaps, 782,
        __smokeqtopengl::methodNames, 964,
        __smokeqtopengl::types, 540,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
