#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 43: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 43: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QAccessible2Interface
      switch(to) {
        case 3: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QBrush
      switch(to) {
        case 6: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 7:   //QByteArray
      switch(to) {
        case 7: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 8:   //QChar
      switch(to) {
        case 8: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDataStream
      switch(to) {
        case 12: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 13:   //QDate
      switch(to) {
        case 13: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 14:   //QDateTime
      switch(to) {
        case 14: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 15:   //QDebug
      switch(to) {
        case 15: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 16:   //QDir
      switch(to) {
        case 16: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 17:   //QEasingCurve
      switch(to) {
        case 17: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 18:   //QEvent
      switch(to) {
        case 18: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QFont
      switch(to) {
        case 20: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 22:   //QGraphicsItem
      switch(to) {
        case 22: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 23:   //QGraphicsObject
      switch(to) {
        case 43: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 22: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 23: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 24:   //QHashDummyValue
      switch(to) {
        case 24: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 25:   //QIcon
      switch(to) {
        case 25: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 26:   //QImage
      switch(to) {
        case 26: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QItemDelegate
      switch(to) {
        case 43: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 28: return (void*)(QItemDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 29:   //QItemSelectionRange
      switch(to) {
        case 29: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 30:   //QKeyEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 30: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QKeySequence
      switch(to) {
        case 31: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 32:   //QLatin1String
      switch(to) {
        case 32: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 33:   //QLine
      switch(to) {
        case 33: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 34:   //QLineF
      switch(to) {
        case 34: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 35:   //QListWidgetItem
      switch(to) {
        case 35: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMatrix
      switch(to) {
        case 38: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 39:   //QMatrix4x4
      switch(to) {
        case 39: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 40:   //QMetaObject
      switch(to) {
        case 40: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 41:   //QMimeData
      switch(to) {
        case 43: return (void*)(QObject*)(QMimeData*)xptr;
        case 41: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 66: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPainter
      switch(to) {
        case 44: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 45:   //QPainterPath
      switch(to) {
        case 45: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 46:   //QPalette
      switch(to) {
        case 46: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 47:   //QPen
      switch(to) {
        case 47: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 48:   //QPersistentModelIndex
      switch(to) {
        case 48: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 49:   //QPicture
      switch(to) {
        case 49: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 50:   //QPixmap
      switch(to) {
        case 50: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QPolygon
      switch(to) {
        case 53: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 54:   //QPolygonF
      switch(to) {
        case 54: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 55:   //QQuaternion
      switch(to) {
        case 55: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QRegion
      switch(to) {
        case 59: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSizePolicy
      switch(to) {
        case 62: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 63:   //QSplitter
      switch(to) {
        case 104: return (void*)(QWidget*)(QSplitter*)xptr;
        case 43: return (void*)(QObject*)(QSplitter*)xptr;
        case 63: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlDatabase
      switch(to) {
        case 65: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlDriver
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 66: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlDriverCreatorBase
      switch(to) {
        case 67: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlDriverFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlDriverPlugin
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlError
      switch(to) {
        case 70: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 71:   //QSqlField
      switch(to) {
        case 71: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 72:   //QSqlIndex
      switch(to) {
        case 75: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 72: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 73:   //QSqlQuery
      switch(to) {
        case 73: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 74:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 75:   //QSqlRecord
      switch(to) {
        case 75: return (void*)(QSqlRecord*)xptr;
        case 72: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 76:   //QSqlRelation
      switch(to) {
        case 76: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 77:   //QSqlRelationalDelegate
      switch(to) {
        case 28: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 78:   //QSqlRelationalTableModel
      switch(to) {
        case 80: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 79:   //QSqlResult
      switch(to) {
        case 79: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 80:   //QSqlTableModel
      switch(to) {
        case 74: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 81:   //QStandardItem
      switch(to) {
        case 81: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyleOption
      switch(to) {
        case 84: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 85:   //QStyleOptionViewItem
      switch(to) {
        case 84: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 85: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 86:   //QTableWidgetItem
      switch(to) {
        case 86: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 87:   //QTextCodec
      switch(to) {
        case 87: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 88:   //QTextFormat
      switch(to) {
        case 88: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 89:   //QTextLength
      switch(to) {
        case 89: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 90:   //QTextStream
      switch(to) {
        case 90: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 91:   //QTextStreamManipulator
      switch(to) {
        case 91: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 92:   //QTileRules
      switch(to) {
        case 92: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 93:   //QTime
      switch(to) {
        case 93: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 94:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 94: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTransform
      switch(to) {
        case 95: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 96:   //QTreeWidgetItem
      switch(to) {
        case 96: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 97:   //QUrl
      switch(to) {
        case 97: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 98:   //QUuid
      switch(to) {
        case 98: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 99:   //QVariant
      switch(to) {
        case 99: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 100:   //QVariantComparisonHelper
      switch(to) {
        case 100: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 101:   //QVector2D
      switch(to) {
        case 101: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 102:   //QVector3D
      switch(to) {
        case 102: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 103:   //QVector4D
      switch(to) {
        case 103: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 104:   //QWidget
      switch(to) {
        case 43: return (void*)(QObject*)(QWidget*)xptr;
        case 104: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    19, 0,	// 3: QFactoryInterface
    43, 68, 0,	// 5: QObject, QSqlDriverFactoryInterface
    75, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    28, 0,	// 12: QItemDelegate
    80, 0,	// 14: QSqlTableModel
    74, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlRelationalTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QBrush", true, 0, 0, 0, 0, 0 },	//6
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//7
    { "QChar", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//12
    { "QDate", true, 0, 0, 0, 0, 0 },	//13
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//14
    { "QDebug", true, 0, 0, 0, 0, 0 },	//15
    { "QDir", true, 0, 0, 0, 0, 0 },	//16
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//17
    { "QEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QFont", true, 0, 0, 0, 0, 0 },	//20
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//21
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//22
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//23
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//24
    { "QIcon", true, 0, 0, 0, 0, 0 },	//25
    { "QImage", true, 0, 0, 0, 0, 0 },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//28
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//29
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//31
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//32
    { "QLine", true, 0, 0, 0, 0, 0 },	//33
    { "QLineF", true, 0, 0, 0, 0, 0 },	//34
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//38
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//39
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//40
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPainter", true, 0, 0, 0, 0, 0 },	//44
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//45
    { "QPalette", true, 0, 0, 0, 0, 0 },	//46
    { "QPen", true, 0, 0, 0, 0, 0 },	//47
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//48
    { "QPicture", true, 0, 0, 0, 0, 0 },	//49
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//53
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//54
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QRegion", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//62
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//63
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//64
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//65
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//66
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//67
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//68
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//69
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//70
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//71
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//72
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//73
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//74
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//75
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//76
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//77
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, xenum_QSqlRelationalTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//78
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//79
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//80
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//84
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//85
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//86
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//87
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//88
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//89
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//90
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//91
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//92
    { "QTime", true, 0, 0, 0, 0, 0 },	//93
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTransform", true, 0, 0, 0, 0, 0 },	//95
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//96
    { "QUrl", true, 0, 0, 0, 0, 0 },	//97
    { "QUuid", true, 0, 0, 0, 0, 0 },	//98
    { "QVariant", true, 0, 0, 0, 0, 0 },	//99
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//100
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//101
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//102
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//103
    { "QWidget", true, 0, 0, 0, 0, 0 },	//104
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2Interface*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 6, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 7, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 7, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 8, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 8, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QCursor&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDataStream&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDate&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDateTime&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QDebug", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDir::Filter", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::SortFlag", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref },	//36
    { "QEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFont&", 20, Smoke::t_class|Smoke::tf_ref },	//120
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QGraphicsItem*", 22, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QGraphicsItem::GraphicsItemChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsItem::GraphicsItemFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsObject*", 23, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QIcon&", 25, Smoke::t_class|Smoke::tf_ref },	//134
    { "QImage&", 26, Smoke::t_class|Smoke::tf_ref },	//135
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//137
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QKeyEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref },	//141
    { "QKeySequence::StandardKey", 31, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QLine", 33, Smoke::t_class|Smoke::tf_stack },	//144
    { "QLine&", 33, Smoke::t_class|Smoke::tf_ref },	//145
    { "QLineF", 34, Smoke::t_class|Smoke::tf_stack },	//146
    { "QLineF&", 34, Smoke::t_class|Smoke::tf_ref },	//147
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
    { "QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref },	//150
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//151
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QMatrix&", 38, Smoke::t_class|Smoke::tf_ref },	//156
    { "QMatrix4x4", 39, Smoke::t_class|Smoke::tf_stack },	//157
    { "QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref },	//158
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QMetaObject::Call", 40, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QModelIndex", 42, Smoke::t_class|Smoke::tf_stack },	//164
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QPaintEngine::DirtyFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QPaintEngine::PaintEngineFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QPainter*", 44, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainter::RenderHint", 44, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QPainterPath", 45, Smoke::t_class|Smoke::tf_stack },	//171
    { "QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref },	//172
    { "QPalette&", 46, Smoke::t_class|Smoke::tf_ref },	//173
    { "QPen&", 47, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPicture&", 49, Smoke::t_class|Smoke::tf_ref },	//175
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QPixmap&", 50, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPoint", 51, Smoke::t_class|Smoke::tf_stack },	//178
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//179
    { "QPointF", 52, Smoke::t_class|Smoke::tf_stack },	//180
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPolygon", 53, Smoke::t_class|Smoke::tf_stack },	//182
    { "QPolygon&", 53, Smoke::t_class|Smoke::tf_ref },	//183
    { "QPolygonF", 54, Smoke::t_class|Smoke::tf_stack },	//184
    { "QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref },	//185
    { "QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//189
    { "QRegion", 59, Smoke::t_class|Smoke::tf_stack },	//190
    { "QRegion&", 59, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSize", 60, Smoke::t_class|Smoke::tf_stack },	//192
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSizePolicy::ControlType", 62, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QSplitter&", 63, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSql::Location", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSql::NumericalPrecisionPolicy", 64, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QSql::ParamTypeFlag", 64, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QSql::TableType", 64, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSqlDatabase", 65, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSqlDatabase*", 65, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSqlDriver::DriverFeature", 66, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSqlDriver::IdentifierType", 66, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSqlDriver::StatementType", 66, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSqlDriverCreatorBase*", 67, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSqlDriverFactoryInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSqlDriverPlugin*", 69, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSqlError", 70, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSqlError&", 70, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSqlError*", 70, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QSqlError::ErrorType", 70, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSqlField", 71, Smoke::t_class|Smoke::tf_stack },	//216
    { "QSqlField&", 71, Smoke::t_class|Smoke::tf_ref },	//217
    { "QSqlField*", 71, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QSqlField::RequiredStatus", 71, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QSqlIndex", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QSqlIndex*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QSqlQuery", 73, Smoke::t_class|Smoke::tf_stack },	//223
    { "QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref },	//224
    { "QSqlQuery*", 73, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QSqlQuery::BatchExecutionMode", 73, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QSqlQueryModel*", 74, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QSqlRecord", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref },	//229
    { "QSqlRecord*", 75, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QSqlRelation", 76, Smoke::t_class|Smoke::tf_stack },	//231
    { "QSqlRelation*", 76, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QSqlRelationalDelegate*", 77, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSqlRelationalTableModel*", 78, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSqlRelationalTableModel::JoinMode", 78, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSqlResult::BindingSyntax", 79, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QSqlResult::VirtualHookOperation", 79, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSqlTableModel*", 80, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QSqlTableModel::EditStrategy", 80, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref },	//241
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//243
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//244
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//248
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTextCodec*", 87, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTextFormat::PageBreakFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextLength&", 89, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextStream&", 90, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTextStream&(*)(QTextStream&)", 90, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream::NumberFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextStreamManipulator", 91, Smoke::t_class|Smoke::tf_stack },	//271
    { "QTime&", 93, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTimerEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QTransform", 95, Smoke::t_class|Smoke::tf_stack },	//274
    { "QTransform&", 95, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QUrl&", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QUrl::FormattingOption", 97, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QUuid&", 98, Smoke::t_class|Smoke::tf_ref },	//280
    { "QVariant", 99, Smoke::t_class|Smoke::tf_stack },	//281
    { "QVariant&", 99, Smoke::t_class|Smoke::tf_ref },	//282
    { "QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QVariant::Type&", 99, Smoke::t_enum|Smoke::tf_ref },	//284
    { "QVector2D&", 101, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVector3D", 102, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVector3D&", 102, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVector4D", 103, Smoke::t_class|Smoke::tf_stack },	//288
    { "QVector4D&", 103, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "QWidget*", 104, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget::RenderFlag", 104, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 21, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 21, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 21, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 21, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 21, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 21, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 21, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 21, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 21, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 21, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 21, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 21, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 21, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 21, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 21, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 21, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//389
    { "__codecvt_result", 21, Smoke::t_enum|Smoke::tf_stack },	//390
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//391
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//392
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QBrush&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QBrush*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const QByteArray", 7, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const QByteArray&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QChar&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QDate&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QDateTime&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QDir&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QEvent*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QFont&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QHashDummyValue&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QIcon&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QImage&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QItemSelectionRange&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QLatin1String&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QLine&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QLineF&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QMatrix&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QMetaObject&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QMetaObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QPalette&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QPen&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPersistentModelIndex&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QPicture&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPixmap&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//434
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPolygon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QQuaternion", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//440
    { "const QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const QRegion&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//447
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//449
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSplitter&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QSqlDriverCreatorBase&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QSqlDriverFactoryInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QSqlError&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QSqlField&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSqlRelation&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//468
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QStyleOption&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QStyleOption::OptionType&", 84, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QStyleOptionViewItem&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QTextLength&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QTileRules&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QTime&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QTransform&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QUrl&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QUuid&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVariant&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//483
    { "const QVariantComparisonHelper&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QVector2D", 101, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//485
    { "const QVector2D&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QVector3D", 102, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//487
    { "const QVector3D&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QVector4D", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//489
    { "const QVector4D&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//491
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//492
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//493
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//494
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//495
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//496
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//497
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//498
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//499
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//500
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//501
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//502
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//503
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//504
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//505
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//506
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//507
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//508
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//509
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//510
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//511
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//512
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//513
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//514
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//515
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    426, 482, 496, 0,	//1  const QModelIndex&, const QVariant&, int
    426, 0,	//5  const QModelIndex&
    426, 419, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    416, 0,	//10  const QList<QModelIndex>&
    496, 496, 426, 0,	//12  int, int, const QModelIndex&
    496, 349, 0,	//16  int, Qt::SortOrder
    426, 496, 482, 496, 112, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    425, 316, 496, 496, 426, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    28, 496, 0,	//31  QDateTimeEdit::Section, int
    469, 469, 0,	//34  const QStringRef&, const QStringRef&
    509, 0,	//37  unsigned long long
    260, 496, 0,	//39  QTextCodec::ConversionFlag, int
    494, 0,	//42  double
    422, 422, 0,	//44  const QMatrix4x4&, const QMatrix4x4&
    326, 496, 0,	//47  Qt::ImageConversionFlag, int
    488, 488, 0,	//50  const QVector3D&, const QVector3D&
    486, 486, 0,	//53  const QVector2D&, const QVector2D&
    491, 507, 0,	//56  const char*, unsigned int
    514, 493, 504, 0,	//59  void*, const void*, size_t
    491, 413, 0,	//63  const char*, const QLatin1String&
    29, 67, 0,	//66  QDebug, QFlags<QIODevice::OpenModeFlag>
    25, 134, 0,	//69  QDataStream&, QIcon&
    437, 421, 0,	//72  const QPointF&, const QMatrix&
    167, 77, 0,	//75  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    469, 466, 0,	//78  const QStringRef&, const QString&
    448, 448, 0,	//81  const QSize&, const QSize&
    25, 412, 0,	//84  QDataStream&, const QKeySequence&
    262, 262, 0,	//87  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    491, 398, 0,	//90  const char*, const QByteArray&
    25, 241, 0,	//93  QDataStream&, QStandardItem&
    251, 251, 0,	//96  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    159, 74, 0,	//99  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    39, 56, 0,	//102  QFile::Permission, QFlags<QFile::Permission>
    466, 491, 0,	//105  const QString&, const char*
    25, 186, 0,	//108  QDataStream&, QQuaternion&
    437, 437, 0,	//111  const QPointF&, const QPointF&
    25, 439, 0,	//114  QDataStream&, const QPolygonF&
    494, 494, 0,	//117  double, double
    25, 194, 0,	//120  QDataStream&, QSizeF&
    398, 491, 0,	//123  const QByteArray&, const char*
    495, 0,	//126  float
    491, 0,	//128  const char*
    503, 0,	//130  signed char
    125, 496, 0,	//132  QGraphicsEffect::ChangeFlag, int
    466, 469, 0,	//135  const QString&, const QStringRef&
    40, 496, 0,	//138  QFileDialog::Option, int
    19, 0,	//141  QChar
    25, 446, 0,	//143  QDataStream&, const QRegion&
    161, 161, 0,	//146  QMessageBox::StandardButton, QMessageBox::StandardButton
    250, 85, 0,	//149  QStyle::SubControl, QFlags<QStyle::SubControl>
    422, 435, 0,	//152  const QMatrix4x4&, const QPoint&
    25, 475, 0,	//155  QDataStream&, const QTextLength&
    29, 395, 0,	//158  QDebug, const QBrush&
    123, 123, 0,	//161  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    469, 413, 0,	//164  const QStringRef&, const QLatin1String&
    422, 490, 0,	//167  const QMatrix4x4&, const QVector4D&
    19, 19, 0,	//170  QChar, QChar
    29, 441, 0,	//173  QDebug, const QQuaternion&
    359, 359, 0,	//176  Qt::TouchPointState, Qt::TouchPointState
    422, 0,	//179  const QMatrix4x4&
    480, 0,	//181  const QUrl&
    398, 0,	//183  const QByteArray&
    292, 496, 0,	//185  QWidget::RenderFlag, int
    422, 494, 0,	//188  const QMatrix4x4&, double
    25, 429, 0,	//191  QDataStream&, const QPalette&
    29, 480, 0,	//194  QDebug, const QUrl&
    25, 22, 0,	//197  QDataStream&, QColor&
    25, 258, 0,	//200  QDataStream&, QTableWidgetItem&
    153, 73, 0,	//203  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    244, 466, 0,	//206  QString::Null, const QString&
    29, 128, 0,	//209  QDebug, QGraphicsItem::GraphicsItemFlag
    292, 102, 0,	//212  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    356, 356, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    491, 491, 0,	//218  const char*, const char*
    132, 496, 0,	//221  QGraphicsView::OptimizationFlag, int
    152, 152, 0,	//224  QLocale::NumberOption, QLocale::NumberOption
    367, 367, 0,	//227  Qt::WindowType, Qt::WindowType
    494, 450, 0,	//230  double, const QSizeF&
    441, 441, 0,	//233  const QQuaternion&, const QQuaternion&
    31, 496, 0,	//236  QDir::Filter, int
    250, 250, 0,	//239  QStyle::SubControl, QStyle::SubControl
    435, 435, 0,	//242  const QPoint&, const QPoint&
    25, 443, 0,	//245  QDataStream&, const QRectF&
    334, 496, 0,	//248  Qt::KeyboardModifier, int
    353, 115, 0,	//251  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    159, 496, 0,	//254  QMdiArea::AreaOption, int
    478, 494, 0,	//257  const QTransform&, double
    3, 42, 0,	//260  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    392, 0,	//263  char
    293, 293, 0,	//265  QWizard::WizardOption, QWizard::WizardOption
    270, 99, 0,	//268  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    267, 496, 0,	//271  QTextOption::Flag, int
    29, 420, 0,	//274  QDebug, const QMargins&
    279, 496, 0,	//277  QUrl::FormattingOption, int
    39, 496, 0,	//280  QFile::Permission, int
    123, 60, 0,	//283  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    435, 494, 0,	//286  const QPoint&, double
    169, 496, 496, 496, 496, 429, 391, 396, 0,	//289  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    169, 496, 496, 496, 496, 429, 0,	//298  QPainter*, int, int, int, int, const QPalette&
    169, 496, 496, 496, 496, 429, 391, 0,	//305  QPainter*, int, int, int, int, const QPalette&, bool
    25, 478, 0,	//313  QDataStream&, const QTransform&
    33, 52, 0,	//316  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    466, 398, 0,	//319  const QString&, const QByteArray&
    450, 450, 0,	//322  const QSizeF&, const QSizeF&
    488, 422, 0,	//325  const QVector3D&, const QMatrix4x4&
    490, 490, 0,	//328  const QVector4D&, const QVector4D&
    29, 437, 0,	//331  QDebug, const QPointF&
    500, 496, 498, 498, 0,	//334  long double, int, int*, int*
    40, 57, 0,	//339  QFileDialog::Option, QFlags<QFileDialog::Option>
    25, 433, 0,	//342  QDataStream&, const QPixmap&
    334, 111, 0,	//345  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    293, 496, 0,	//348  QWizard::WizardOption, int
    29, 415, 0,	//351  QDebug, const QLineF&
    507, 0,	//354  unsigned int
    29, 403, 0,	//356  QDebug, const QDateTime&
    34, 53, 0,	//359  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    491, 466, 0,	//362  const char*, const QString&
    496, 496, 496, 0,	//365  int, int, int
    131, 131, 0,	//369  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    25, 432, 0,	//372  QDataStream&, const QPicture&
    279, 279, 0,	//375  QUrl::FormattingOption, QUrl::FormattingOption
    359, 117, 0,	//378  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    326, 326, 0,	//381  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    496, 0,	//384  int
    168, 496, 0,	//386  QPaintEngine::PaintEngineFeature, int
    3, 3, 0,	//389  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    152, 496, 0,	//392  QLocale::NumberOption, int
    413, 413, 0,	//395  const QLatin1String&, const QLatin1String&
    492, 496, 0,	//398  const unsigned char*, int
    491, 491, 507, 0,	//401  const char*, const char*, unsigned int
    413, 469, 0,	//405  const QLatin1String&, const QStringRef&
    140, 142, 0,	//408  QKeyEvent*, QKeySequence::StandardKey
    253, 253, 0,	//411  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    268, 197, 0,	//414  QTextStream&, QSplitter&
    411, 0,	//417  const QItemSelectionRange&
    316, 316, 0,	//419  Qt::DropAction, Qt::DropAction
    170, 79, 0,	//422  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    29, 435, 0,	//425  QDebug, const QPoint&
    25, 151, 0,	//428  QDataStream&, QLocale&
    466, 19, 0,	//431  const QString&, QChar
    244, 244, 0,	//434  QString::Null, QString::Null
    11, 45, 0,	//437  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    492, 506, 496, 0,	//440  const unsigned char*, unsigned char*, int
    29, 458, 0,	//444  QDebug, const QSqlField&
    252, 87, 0,	//447  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    260, 260, 0,	//450  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    341, 341, 0,	//453  Qt::Orientation, Qt::Orientation
    514, 504, 504, 504, 0,	//456  void*, size_t, size_t, size_t
    25, 173, 0,	//461  QDataStream&, QPalette&
    25, 401, 0,	//464  QDataStream&, const QCursor&
    398, 466, 0,	//467  const QByteArray&, const QString&
    356, 116, 0,	//470  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    262, 95, 0,	//473  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    442, 442, 0,	//476  const QRect&, const QRect&
    38, 55, 0,	//479  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    394, 394, 0,	//482  const QBitArray&, const QBitArray&
    398, 398, 0,	//485  const QByteArray&, const QByteArray&
    161, 76, 0,	//488  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    514, 504, 0,	//491  void*, size_t
    466, 0,	//494  const QString&
    176, 80, 0,	//496  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    25, 421, 0,	//499  QDataStream&, const QMatrix&
    25, 418, 0,	//502  QDataStream&, const QLocale&
    29, 405, 0,	//505  QDebug, const QEasingCurve&
    513, 0,	//508  void(*)(QtMsgType,const char*)
    4, 496, 0,	//510  QAbstractPrintDialog::PrintDialogOption, int
    28, 28, 0,	//513  QDateTimeEdit::Section, QDateTimeEdit::Section
    257, 92, 0,	//516  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    25, 27, 0,	//519  QDataStream&, QDateTime&
    29, 406, 0,	//522  QDebug, const QEvent*
    15, 15, 0,	//525  QBool, QBool
    125, 125, 0,	//528  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    491, 469, 0,	//531  const char*, const QStringRef&
    121, 496, 0,	//534  QFontComboBox::FontFilter, int
    356, 496, 0,	//537  Qt::ToolBarArea, int
    123, 496, 0,	//540  QGestureRecognizer::ResultFlag, int
    136, 136, 0,	//543  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    25, 174, 0,	//546  QDataStream&, QPen&
    414, 478, 0,	//549  const QLine&, const QTransform&
    29, 439, 0,	//552  QDebug, const QPolygonF&
    328, 496, 0,	//555  Qt::InputMethodHint, int
    19, 466, 0,	//558  QChar, const QString&
    254, 89, 0,	//561  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    245, 496, 0,	//564  QString::SectionFlag, int
    124, 61, 0,	//567  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    143, 496, 0,	//570  QLibrary::LoadHint, int
    29, 127, 0,	//573  QDebug, QGraphicsItem::GraphicsItemChange
    25, 278, 0,	//576  QDataStream&, QUrl&
    491, 491, 496, 0,	//579  const char*, const char*, int
    501, 0,	//583  long long
    441, 0,	//585  const QQuaternion&
    466, 244, 0,	//587  const QString&, QString::Null
    122, 122, 0,	//590  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    478, 478, 0,	//593  const QTransform&, const QTransform&
    153, 496, 0,	//596  QMainWindow::DockOption, int
    25, 16, 0,	//599  QDataStream&, QBrush&
    1, 496, 0,	//602  QAbstractFileEngine::FileFlag, int
    260, 93, 0,	//605  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    466, 392, 0,	//608  const QString&, char
    428, 421, 0,	//611  const QPainterPath&, const QMatrix&
    328, 109, 0,	//614  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    153, 153, 0,	//617  QMainWindow::DockOption, QMainWindow::DockOption
    293, 103, 0,	//620  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    25, 195, 0,	//623  QDataStream&, QSizePolicy&
    367, 119, 0,	//626  Qt::WindowType, QFlags<Qt::WindowType>
    169, 496, 496, 496, 496, 400, 496, 396, 0,	//629  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    169, 496, 496, 496, 496, 400, 0,	//638  QPainter*, int, int, int, int, const QColor&
    169, 496, 496, 496, 496, 400, 496, 0,	//645  QPainter*, int, int, int, int, const QColor&, int
    441, 494, 0,	//653  const QQuaternion&, double
    339, 339, 0,	//656  Qt::MouseButton, Qt::MouseButton
    393, 491, 0,	//659  char*, const char*
    176, 176, 0,	//662  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    446, 421, 0,	//665  const QRegion&, const QMatrix&
    294, 294, 0,	//668  Qt::AlignmentFlag, Qt::AlignmentFlag
    435, 0,	//671  const QPoint&
    316, 496, 0,	//673  Qt::DropAction, int
    25, 477, 0,	//676  QDataStream&, const QTime&
    32, 496, 0,	//679  QDir::SortFlag, int
    420, 420, 0,	//682  const QMargins&, const QMargins&
    169, 442, 429, 391, 496, 496, 396, 0,	//685  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    169, 442, 429, 0,	//693  QPainter*, const QRect&, const QPalette&
    169, 442, 429, 391, 0,	//697  QPainter*, const QRect&, const QPalette&, bool
    169, 442, 429, 391, 496, 0,	//702  QPainter*, const QRect&, const QPalette&, bool, int
    169, 442, 429, 391, 496, 496, 0,	//708  QPainter*, const QRect&, const QPalette&, bool, int, int
    25, 428, 0,	//715  QDataStream&, const QPainterPath&
    490, 422, 0,	//718  const QVector4D&, const QMatrix4x4&
    261, 496, 0,	//721  QTextDocument::FindFlag, int
    166, 0,	//724  QObject*(*)()
    29, 411, 0,	//726  QDebug, const QItemSelectionRange&
    29, 412, 0,	//729  QDebug, const QKeySequence&
    34, 34, 0,	//732  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    169, 442, 420, 433, 0,	//735  QPainter*, const QRect&, const QMargins&, const QPixmap&
    490, 494, 0,	//740  const QVector4D&, double
    268, 452, 0,	//743  QTextStream&, const QSplitter&
    337, 337, 0,	//746  Qt::MatchFlag, Qt::MatchFlag
    504, 0,	//749  size_t
    314, 105, 0,	//751  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    25, 247, 0,	//754  QDataStream&, QStringList&
    255, 255, 0,	//757  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    139, 70, 0,	//760  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    25, 488, 0,	//763  QDataStream&, const QVector3D&
    29, 483, 0,	//766  QDebug, const QVariant::Type
    314, 496, 0,	//769  Qt::DockWidgetArea, int
    265, 97, 0,	//772  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    25, 486, 0,	//775  QDataStream&, const QVector2D&
    25, 395, 0,	//778  QDataStream&, const QBrush&
    169, 442, 429, 391, 396, 0,	//781  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    160, 496, 0,	//787  QMdiSubWindow::SubWindowOption, int
    499, 0,	//790  long
    25, 479, 0,	//792  QDataStream&, const QTreeWidgetItem&
    496, 435, 0,	//795  int, const QPoint&
    510, 0,	//798  unsigned short
    264, 264, 0,	//800  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    25, 147, 0,	//803  QDataStream&, QLineF&
    167, 167, 0,	//806  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    25, 410, 0,	//809  QDataStream&, const QImage&
    39, 39, 0,	//812  QFile::Permission, QFile::Permission
    138, 69, 0,	//815  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    169, 442, 429, 391, 496, 396, 0,	//818  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    392, 466, 0,	//825  char, const QString&
    25, 193, 0,	//828  QDataStream&, QSize&
    25, 141, 0,	//831  QDataStream&, QKeySequence&
    254, 254, 0,	//834  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    30, 496, 0,	//837  QDialogButtonBox::StandardButton, int
    264, 96, 0,	//840  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    431, 0,	//843  const QPersistentModelIndex&
    29, 446, 0,	//845  QDebug, const QRegion&
    25, 490, 0,	//848  QDataStream&, const QVector4D&
    25, 409, 0,	//851  QDataStream&, const QIcon&
    25, 466, 0,	//854  QDataStream&, const QString&
    25, 403, 0,	//857  QDataStream&, const QDateTime&
    25, 287, 0,	//860  QDataStream&, QVector3D&
    427, 466, 423, 0,	//863  const QObject*, const QString&, const QMetaObject&
    169, 496, 496, 496, 496, 429, 391, 496, 396, 0,	//867  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    169, 496, 496, 496, 496, 429, 391, 496, 0,	//877  QPainter*, int, int, int, int, const QPalette&, bool, int
    245, 245, 0,	//886  QString::SectionFlag, QString::SectionFlag
    25, 285, 0,	//889  QDataStream&, QVector2D&
    161, 496, 0,	//892  QMessageBox::StandardButton, int
    486, 494, 0,	//895  const QVector2D&, double
    252, 252, 0,	//898  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    437, 494, 0,	//901  const QPointF&, double
    391, 15, 0,	//904  bool, QBool
    132, 132, 0,	//907  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    488, 494, 0,	//910  const QVector3D&, double
    139, 139, 0,	//913  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    138, 138, 0,	//916  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    393, 491, 507, 0,	//919  char*, const char*, unsigned int
    494, 486, 0,	//923  double, const QVector2D&
    490, 0,	//926  const QVector4D&
    277, 100, 0,	//928  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    25, 158, 0,	//931  QDataStream&, QMatrix4x4&
    255, 90, 0,	//934  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    262, 496, 0,	//937  QTextEdit::AutoFormattingFlag, int
    254, 496, 0,	//940  QStyleOptionTab::CornerWidget, int
    25, 435, 0,	//943  QDataStream&, const QPoint&
    25, 282, 0,	//946  QDataStream&, QVariant&
    437, 422, 0,	//949  const QPointF&, const QMatrix4x4&
    339, 496, 0,	//952  Qt::MouseButton, int
    25, 135, 0,	//955  QDataStream&, QImage&
    437, 0,	//958  const QPointF&
    29, 470, 0,	//960  QDebug, const QStyleOption&
    4, 43, 0,	//963  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    25, 175, 0,	//966  QDataStream&, QPicture&
    23, 496, 0,	//969  QColorDialog::ColorDialogOption, int
    29, 431, 0,	//972  QDebug, const QPersistentModelIndex&
    439, 421, 0,	//975  const QPolygonF&, const QMatrix&
    25, 289, 0,	//978  QDataStream&, QVector4D&
    23, 23, 0,	//981  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    491, 491, 491, 496, 0,	//984  const char*, const char*, const char*, int
    495, 435, 0,	//989  float, const QPoint&
    29, 457, 0,	//992  QDebug, const QSqlError&
    40, 40, 0,	//995  QFileDialog::Option, QFileDialog::Option
    267, 267, 0,	//998  QTextOption::Flag, QTextOption::Flag
    341, 114, 0,	//1001  Qt::Orientation, QFlags<Qt::Orientation>
    25, 422, 0,	//1004  QDataStream&, const QMatrix4x4&
    421, 421, 0,	//1007  const QMatrix&, const QMatrix&
    38, 496, 0,	//1010  QEventLoop::ProcessEventsFlag, int
    443, 443, 0,	//1013  const QRectF&, const QRectF&
    496, 496, 496, 496, 0,	//1016  int, int, int, int
    25, 275, 0,	//1021  QDataStream&, QTransform&
    29, 129, 0,	//1024  QDebug, QGraphicsObject*
    25, 464, 0,	//1027  QDataStream&, const QStandardItem&
    326, 108, 0,	//1030  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    494, 490, 0,	//1033  double, const QVector4D&
    11, 496, 0,	//1036  QAccessible::RelationFlag, int
    160, 75, 0,	//1039  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    25, 467, 0,	//1042  QDataStream&, const QStringList&
    29, 422, 0,	//1045  QDebug, const QMatrix4x4&
    398, 392, 0,	//1048  const QByteArray&, char
    33, 33, 0,	//1051  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    31, 50, 0,	//1054  QDir::Filter, QFlags<QDir::Filter>
    25, 179, 0,	//1057  QDataStream&, QPoint&
    450, 494, 0,	//1060  const QSizeF&, double
    25, 402, 0,	//1063  QDataStream&, const QDate&
    257, 496, 0,	//1066  QStyleOptionViewItemV2::ViewItemFeature, int
    512, 0,	//1069  void(*)()
    492, 496, 496, 0,	//1071  const unsigned char*, int, int
    196, 196, 0,	//1075  QSizePolicy::ControlType, QSizePolicy::ControlType
    25, 414, 0,	//1078  QDataStream&, const QLine&
    25, 156, 0,	//1081  QDataStream&, QMatrix&
    30, 30, 0,	//1084  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    25, 243, 0,	//1087  QDataStream&, QString&
    249, 249, 0,	//1090  QStyle::StateFlag, QStyle::StateFlag
    25, 417, 0,	//1093  QDataStream&, const QListWidgetItem&
    252, 496, 0,	//1096  QStyleOptionFrameV2::FrameFeature, int
    514, 0,	//1099  void*
    29, 63, 0,	//1101  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    415, 421, 0,	//1104  const QLineF&, const QMatrix&
    25, 474, 0,	//1107  QDataStream&, const QTextFormat&
    200, 496, 0,	//1110  QSql::ParamTypeFlag, int
    331, 496, 0,	//1113  Qt::ItemFlag, int
    25, 276, 0,	//1116  QDataStream&, QTreeWidgetItem&
    29, 404, 0,	//1119  QDebug, const QDir&
    268, 269, 0,	//1122  QTextStream&, QTextStream&(*)(QTextStream&)
    29, 430, 0,	//1125  QDebug, const QPen&
    494, 441, 0,	//1128  double, const QQuaternion&
    29, 426, 0,	//1131  QDebug, const QModelIndex&
    128, 63, 0,	//1134  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    29, 488, 0,	//1137  QDebug, const QVector3D&
    265, 265, 0,	//1140  QTextItem::RenderFlag, QTextItem::RenderFlag
    38, 38, 0,	//1143  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    394, 0,	//1146  const QBitArray&
    29, 486, 0,	//1148  QDebug, const QVector2D&
    136, 68, 0,	//1151  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    29, 477, 0,	//1154  QDebug, const QTime&
    268, 271, 0,	//1157  QTextStream&, QTextStreamManipulator
    29, 490, 0,	//1160  QDebug, const QVector4D&
    25, 263, 0,	//1163  QDataStream&, QTextFormat&
    321, 107, 0,	//1166  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    469, 491, 0,	//1169  const QStringRef&, const char*
    256, 496, 0,	//1172  QStyleOptionToolButton::ToolButtonFeature, int
    196, 81, 0,	//1175  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    292, 292, 0,	//1178  QWidget::RenderFlag, QWidget::RenderFlag
    25, 14, 0,	//1181  QDataStream&, QBitArray&
    25, 183, 0,	//1184  QDataStream&, QPolygon&
    25, 191, 0,	//1187  QDataStream&, QRegion&
    5, 5, 0,	//1190  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    25, 451, 0,	//1193  QDataStream&, const QSizePolicy&
    256, 256, 0,	//1196  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    34, 496, 0,	//1199  QDockWidget::DockWidgetFeature, int
    504, 504, 0,	//1202  size_t, size_t
    130, 64, 0,	//1205  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    435, 478, 0,	//1208  const QPoint&, const QTransform&
    500, 496, 498, 498, 393, 504, 0,	//1211  long double, int, int*, int*, char*, size_t
    29, 450, 0,	//1218  QDebug, const QSizeF&
    321, 496, 0,	//1221  Qt::GestureFlag, int
    392, 398, 0,	//1224  char, const QByteArray&
    249, 496, 0,	//1227  QStyle::StateFlag, int
    25, 482, 0,	//1230  QDataStream&, const QVariant&
    256, 91, 0,	//1233  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    29, 482, 0,	//1236  QDebug, const QVariant&
    12, 12, 0,	//1239  QAccessible::StateFlag, QAccessible::StateFlag
    170, 170, 0,	//1242  QPainter::RenderHint, QPainter::RenderHint
    366, 496, 0,	//1245  Qt::WindowState, int
    25, 272, 0,	//1248  QDataStream&, QTime&
    25, 177, 0,	//1251  QDataStream&, QPixmap&
    28, 48, 0,	//1254  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    267, 98, 0,	//1257  QTextOption::Flag, QFlags<QTextOption::Flag>
    29, 50, 0,	//1260  QDebug, QFlags<QDir::Filter>
    334, 334, 0,	//1263  Qt::KeyboardModifier, Qt::KeyboardModifier
    494, 437, 0,	//1266  double, const QPointF&
    25, 36, 0,	//1269  QDataStream&, QEasingCurve&
    316, 106, 0,	//1272  Qt::DropAction, QFlags<Qt::DropAction>
    446, 478, 0,	//1275  const QRegion&, const QTransform&
    448, 494, 0,	//1278  const QSize&, double
    29, 402, 0,	//1281  QDebug, const QDate&
    428, 478, 0,	//1284  const QPainterPath&, const QTransform&
    12, 46, 0,	//1287  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    31, 31, 0,	//1290  QDir::Filter, QDir::Filter
    393, 504, 491, 511, 0,	//1293  char*, size_t, const char*, va_list
    494, 435, 0,	//1298  double, const QPoint&
    439, 478, 0,	//1301  const QPolygonF&, const QTransform&
    514, 496, 504, 0,	//1304  void*, int, size_t
    25, 415, 0,	//1308  QDataStream&, const QLineF&
    491, 496, 0,	//1311  const char*, int
    502, 0,	//1314  short
    160, 160, 0,	//1316  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    133, 133, 0,	//1319  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    314, 314, 0,	//1322  Qt::DockWidgetArea, Qt::DockWidgetArea
    32, 51, 0,	//1325  QDir::SortFlag, QFlags<QDir::SortFlag>
    495, 495, 0,	//1328  float, float
    482, 484, 0,	//1331  const QVariant&, const QVariantComparisonHelper&
    138, 496, 0,	//1334  QInputDialog::InputDialogOption, int
    143, 143, 0,	//1337  QLibrary::LoadHint, QLibrary::LoadHint
    500, 496, 393, 0,	//1340  long double, int, char*
    514, 504, 504, 497, 0,	//1344  void*, size_t, size_t, int(*)(const void*,const void*)
    277, 277, 0,	//1349  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    253, 88, 0,	//1352  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    132, 66, 0,	//1355  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    33, 496, 0,	//1358  QDirIterator::IteratorFlag, int
    328, 328, 0,	//1361  Qt::InputMethodHint, Qt::InputMethodHint
    130, 496, 0,	//1364  QGraphicsScene::SceneLayer, int
    25, 430, 0,	//1367  QDataStream&, const QPen&
    200, 82, 0,	//1370  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    168, 168, 0,	//1373  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    25, 172, 0,	//1376  QDataStream&, QPainterPath&
    29, 414, 0,	//1379  QDebug, const QLine&
    353, 353, 0,	//1382  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    169, 496, 496, 496, 496, 429, 391, 496, 496, 396, 0,	//1385  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    169, 496, 496, 496, 496, 429, 391, 496, 496, 0,	//1396  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    359, 496, 0,	//1406  Qt::TouchPointState, int
    25, 266, 0,	//1409  QDataStream&, QTextLength&
    29, 478, 0,	//1412  QDebug, const QTransform&
    277, 496, 0,	//1415  QTreeWidgetItemIterator::IteratorFlag, int
    398, 496, 0,	//1418  const QByteArray&, int
    29, 438, 0,	//1421  QDebug, const QPolygon&
    279, 101, 0,	//1424  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    5, 496, 0,	//1427  QAbstractSpinBox::StepEnabledFlag, int
    196, 496, 0,	//1430  QSizePolicy::ControlType, int
    130, 130, 0,	//1433  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    353, 496, 0,	//1436  Qt::TextInteractionFlag, int
    366, 366, 0,	//1439  Qt::WindowState, Qt::WindowState
    486, 0,	//1442  const QVector2D&
    264, 496, 0,	//1444  QTextFormat::PageBreakFlag, int
    1, 41, 0,	//1447  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    25, 400, 0,	//1450  QDataStream&, const QColor&
    494, 422, 0,	//1453  double, const QMatrix4x4&
    25, 398, 0,	//1456  QDataStream&, const QByteArray&
    11, 11, 0,	//1459  QAccessible::RelationFlag, QAccessible::RelationFlag
    25, 405, 0,	//1462  QDataStream&, const QEasingCurve&
    414, 421, 0,	//1465  const QLine&, const QMatrix&
    25, 480, 0,	//1468  QDataStream&, const QUrl&
    29, 442, 0,	//1471  QDebug, const QRect&
    29, 407, 0,	//1474  QDebug, const QFont&
    32, 32, 0,	//1477  QDir::SortFlag, QDir::SortFlag
    23, 47, 0,	//1480  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    131, 496, 0,	//1483  QGraphicsView::CacheModeFlag, int
    270, 496, 0,	//1486  QTextStream::NumberFlag, int
    25, 187, 0,	//1489  QDataStream&, QRect&
    159, 159, 0,	//1492  QMdiArea::AreaOption, QMdiArea::AreaOption
    25, 448, 0,	//1495  QDataStream&, const QSize&
    25, 399, 0,	//1498  QDataStream&, const QChar&
    121, 58, 0,	//1501  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    142, 140, 0,	//1504  QKeySequence::StandardKey, QKeyEvent*
    122, 59, 0,	//1507  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    249, 84, 0,	//1510  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    294, 496, 0,	//1513  Qt::AlignmentFlag, int
    25, 150, 0,	//1516  QDataStream&, QListWidgetItem&
    25, 444, 0,	//1519  QDataStream&, const QRegExp&
    136, 496, 0,	//1522  QImageIOPlugin::Capability, int
    261, 94, 0,	//1525  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    488, 0,	//1528  const QVector3D&
    29, 443, 0,	//1530  QDebug, const QRectF&
    366, 118, 0,	//1533  Qt::WindowState, QFlags<Qt::WindowState>
    125, 62, 0,	//1536  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    331, 331, 0,	//1539  Qt::ItemFlag, Qt::ItemFlag
    25, 280, 0,	//1542  QDataStream&, QUuid&
    25, 120, 0,	//1545  QDataStream&, QFont&
    169, 442, 400, 496, 396, 0,	//1548  QPainter*, const QRect&, const QColor&, int, const QBrush*
    169, 442, 400, 0,	//1554  QPainter*, const QRect&, const QColor&
    169, 442, 400, 496, 0,	//1558  QPainter*, const QRect&, const QColor&, int
    25, 185, 0,	//1563  QDataStream&, QPolygonF&
    128, 128, 0,	//1566  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    255, 496, 0,	//1569  QStyleOptionToolBar::ToolBarFeature, int
    435, 496, 0,	//1572  const QPoint&, int
    25, 284, 0,	//1575  QDataStream&, QVariant::Type&
    200, 200, 0,	//1578  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    170, 496, 0,	//1581  QPainter::RenderHint, int
    482, 283, 514, 0,	//1584  const QVariant&, QVariant::Type, void*
    29, 84, 0,	//1588  QDebug, QFlags<QStyle::StateFlag>
    3, 496, 0,	//1591  QAbstractItemView::EditTrigger, int
    435, 422, 0,	//1594  const QPoint&, const QMatrix4x4&
    435, 421, 0,	//1597  const QPoint&, const QMatrix&
    4, 4, 0,	//1600  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    427, 466, 445, 423, 149, 0,	//1603  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    408, 408, 0,	//1609  const QHashDummyValue&, const QHashDummyValue&
    25, 181, 0,	//1612  QDataStream&, QPointF&
    341, 496, 0,	//1615  Qt::Orientation, int
    257, 257, 0,	//1618  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    422, 488, 0,	//1621  const QMatrix4x4&, const QVector3D&
    25, 473, 0,	//1624  QDataStream&, const QTableWidgetItem&
    29, 126, 0,	//1627  QDebug, QGraphicsItem*
    169, 435, 435, 429, 391, 496, 496, 0,	//1630  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    169, 435, 435, 429, 0,	//1638  QPainter*, const QPoint&, const QPoint&, const QPalette&
    169, 435, 435, 429, 391, 0,	//1643  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    169, 435, 435, 429, 391, 496, 0,	//1649  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    321, 321, 0,	//1656  Qt::GestureFlag, Qt::GestureFlag
    133, 67, 0,	//1659  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    422, 437, 0,	//1662  const QMatrix4x4&, const QPointF&
    124, 496, 0,	//1665  QGraphicsBlurEffect::BlurHint, int
    168, 78, 0,	//1668  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    25, 407, 0,	//1671  QDataStream&, const QFont&
    124, 124, 0,	//1674  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    438, 478, 0,	//1677  const QPolygon&, const QTransform&
    167, 496, 0,	//1680  QPaintEngine::DirtyFlag, int
    435, 495, 0,	//1683  const QPoint&, float
    494, 448, 0,	//1686  double, const QSize&
    139, 496, 0,	//1689  QItemSelectionModel::SelectionFlag, int
    15, 391, 0,	//1692  QBool, bool
    30, 49, 0,	//1695  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    25, 145, 0,	//1698  QDataStream&, QLine&
    29, 448, 0,	//1701  QDebug, const QSize&
    250, 496, 0,	//1704  QStyle::SubControl, int
    270, 270, 0,	//1707  QTextStream::NumberFlag, QTextStream::NumberFlag
    29, 453, 0,	//1710  QDebug, const QSqlDatabase&
    415, 478, 0,	//1713  const QLineF&, const QTransform&
    122, 496, 0,	//1716  QFontDialog::FontDialogOption, int
    339, 113, 0,	//1719  Qt::MouseButton, QFlags<Qt::MouseButton>
    25, 483, 0,	//1722  QDataStream&, const QVariant::Type
    261, 261, 0,	//1725  QTextDocument::FindFlag, QTextDocument::FindFlag
    253, 496, 0,	//1728  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    331, 110, 0,	//1731  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    437, 478, 0,	//1734  const QPointF&, const QTransform&
    29, 400, 0,	//1737  QDebug, const QColor&
    29, 421, 0,	//1740  QDebug, const QMatrix&
    25, 481, 0,	//1743  QDataStream&, const QUuid&
    143, 71, 0,	//1746  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    367, 496, 0,	//1749  Qt::WindowType, int
    251, 496, 0,	//1752  QStyleOptionButton::ButtonFeature, int
    25, 188, 0,	//1755  QDataStream&, QRectF&
    251, 86, 0,	//1758  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    131, 65, 0,	//1761  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    25, 24, 0,	//1764  QDataStream&, QCursor&
    128, 496, 0,	//1767  QGraphicsItem::GraphicsItemFlag, int
    25, 442, 0,	//1770  QDataStream&, const QRect&
    337, 112, 0,	//1773  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    294, 104, 0,	//1776  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    25, 20, 0,	//1779  QDataStream&, QChar&
    25, 189, 0,	//1782  QDataStream&, QRegExp&
    508, 0,	//1785  unsigned long
    25, 441, 0,	//1787  QDataStream&, const QQuaternion&
    12, 496, 0,	//1790  QAccessible::StateFlag, int
    25, 437, 0,	//1793  QDataStream&, const QPointF&
    176, 496, 0,	//1796  QPinchGesture::ChangeFlag, int
    25, 450, 0,	//1799  QDataStream&, const QSizeF&
    152, 72, 0,	//1802  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    265, 496, 0,	//1805  QTextItem::RenderFlag, int
    169, 442, 420, 433, 442, 420, 476, 54, 0,	//1808  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    169, 442, 420, 433, 442, 420, 0,	//1817  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    169, 442, 420, 433, 442, 420, 476, 0,	//1824  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    245, 83, 0,	//1832  QString::SectionFlag, QFlags<QString::SectionFlag>
    466, 466, 0,	//1835  const QString&, const QString&
    1, 1, 0,	//1838  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    370, 491, 0,	//1841  QtMsgType, const char*
    29, 428, 0,	//1844  QDebug, const QPainterPath&
    494, 488, 0,	//1847  double, const QVector3D&
    29, 461, 0,	//1850  QDebug, const QSqlRecord&
    469, 0,	//1853  const QStringRef&
    133, 496, 0,	//1855  QIODevice::OpenModeFlag, int
    5, 44, 0,	//1858  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    505, 0,	//1861  unsigned char
    25, 18, 0,	//1863  QDataStream&, QByteArray&
    121, 121, 0,	//1866  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    438, 421, 0,	//1869  const QPolygon&, const QMatrix&
    29, 471, 0,	//1872  QDebug, const QStyleOption::OptionType&
    29, 427, 0,	//1875  QDebug, const QObject*
    337, 496, 0,	//1878  Qt::MatchFlag, int
    25, 438, 0,	//1881  QDataStream&, const QPolygon&
    25, 26, 0,	//1884  QDataStream&, QDate&
    25, 394, 0,	//1887  QDataStream&, const QBitArray&
    162, 496, 515, 0,	//1890  QMetaObject::Call, int, void**
    169, 472, 426, 0,	//1894  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    472, 426, 0,	//1898  const QStyleOptionViewItem&, const QModelIndex&
    291, 472, 426, 0,	//1901  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    169, 472, 442, 466, 0,	//1905  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    169, 472, 442, 433, 0,	//1910  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    169, 472, 442, 0,	//1915  QPainter*, const QStyleOptionViewItem&, const QRect&
    169, 472, 442, 304, 0,	//1919  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    165, 37, 0,	//1924  QObject*, QEvent*
    37, 2, 472, 426, 0,	//1927  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    37, 0,	//1932  QEvent*
    273, 0,	//1934  QTimerEvent*
    21, 0,	//1936  QChildEvent*
    453, 0,	//1938  const QSqlDatabase&
    201, 0,	//1940  QSql::TableType
    199, 0,	//1942  QSql::NumericalPrecisionPolicy
    205, 466, 0,	//1944  QSqlDriver*, const QString&
    453, 466, 0,	//1947  const QSqlDatabase&, const QString&
    466, 391, 0,	//1950  const QString&, bool
    466, 209, 0,	//1953  const QString&, QSqlDriverCreatorBase*
    205, 0,	//1956  QSqlDriver*
    165, 0,	//1958  QObject*
    458, 391, 0,	//1960  const QSqlField&, bool
    466, 207, 0,	//1963  const QString&, QSqlDriver::IdentifierType
    208, 466, 461, 391, 0,	//1966  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    206, 0,	//1971  QSqlDriver::DriverFeature
    466, 466, 466, 466, 496, 466, 0,	//1973  const QString&, const QString&, const QString&, const QString&, int, const QString&
    391, 0,	//1980  bool
    457, 0,	//1982  const QSqlError&
    458, 0,	//1984  const QSqlField&
    466, 466, 466, 0,	//1986  const QString&, const QString&, const QString&
    466, 466, 466, 466, 0,	//1990  const QString&, const QString&, const QString&, const QString&
    466, 466, 466, 466, 496, 0,	//1995  const QString&, const QString&, const QString&, const QString&, int
    455, 0,	//2001  const QSqlDriverCreatorBase&
    456, 0,	//2003  const QSqlDriverFactoryInterface&
    466, 466, 215, 496, 0,	//2005  const QString&, const QString&, QSqlError::ErrorType, int
    215, 0,	//2010  QSqlError::ErrorType
    466, 466, 215, 0,	//2012  const QString&, const QString&, QSqlError::ErrorType
    466, 283, 0,	//2016  const QString&, QVariant::Type
    482, 0,	//2019  const QVariant&
    283, 0,	//2021  QVariant::Type
    219, 0,	//2023  QSqlField::RequiredStatus
    459, 0,	//2025  const QSqlIndex&
    496, 391, 0,	//2027  int, bool
    236, 0,	//2030  QSqlResult*
    466, 202, 0,	//2032  const QString&, QSqlDatabase
    202, 0,	//2035  QSqlDatabase
    460, 0,	//2037  const QSqlQuery&
    226, 0,	//2039  QSqlQuery::BatchExecutionMode
    466, 482, 82, 0,	//2041  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    496, 482, 82, 0,	//2045  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    482, 82, 0,	//2049  const QVariant&, QFlags<QSql::ParamTypeFlag>
    466, 482, 0,	//2052  const QString&, const QVariant&
    496, 482, 0,	//2055  int, const QVariant&
    426, 496, 0,	//2058  const QModelIndex&, int
    496, 341, 496, 0,	//2061  int, Qt::Orientation, int
    496, 341, 482, 496, 0,	//2065  int, Qt::Orientation, const QVariant&, int
    466, 453, 0,	//2070  const QString&, const QSqlDatabase&
    496, 341, 0,	//2073  int, Qt::Orientation
    496, 341, 482, 0,	//2076  int, Qt::Orientation, const QVariant&
    496, 496, 0,	//2080  int, int
    461, 0,	//2083  const QSqlRecord&
    496, 458, 0,	//2085  int, const QSqlField&
    462, 0,	//2088  const QSqlRelation&
    291, 426, 0,	//2090  QWidget*, const QModelIndex&
    291, 2, 426, 0,	//2093  QWidget*, QAbstractItemModel*, const QModelIndex&
    165, 202, 0,	//2097  QObject*, QSqlDatabase
    496, 462, 0,	//2100  int, const QSqlRelation&
    235, 0,	//2103  QSqlRelationalTableModel::JoinMode
    496, 461, 0,	//2105  int, const QSqlRecord&
    426, 482, 0,	//2108  const QModelIndex&, const QVariant&
    454, 0,	//2111  const QSqlDriver*
    496, 514, 0,	//2113  int, void*
    240, 0,	//2116  QSqlTableModel::EditStrategy
    496, 229, 0,	//2118  int, QSqlRecord&
    229, 0,	//2121  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InnerJoin",	//17
    "InsertStatement",	//18
    "LastInsertId",	//19
    "LeftJoin",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "LowPrecisionDouble",	//40
    "LowPrecisionInt32",	//41
    "LowPrecisionInt64",	//42
    "LowPrecisionNumbers",	//43
    "MultipleResultSets",	//44
    "NamedBinding",	//45
    "NamedPlaceholders",	//46
    "NextResult",	//47
    "NoError",	//48
    "OnFieldChange",	//49
    "OnManualSubmit",	//50
    "OnRowChange",	//51
    "Optional",	//52
    "Out",	//53
    "PositionalBinding",	//54
    "PositionalPlaceholders",	//55
    "PreparedQueries",	//56
    "QSqlDatabase",	//57
    "QSqlDatabase#",	//58
    "QSqlDatabase$",	//59
    "QSqlDriver",	//60
    "QSqlDriver#",	//61
    "QSqlDriverCreatorBase",	//62
    "QSqlDriverCreatorBase#",	//63
    "QSqlDriverFactoryInterface",	//64
    "QSqlDriverFactoryInterface#",	//65
    "QSqlDriverPlugin",	//66
    "QSqlDriverPlugin#",	//67
    "QSqlError",	//68
    "QSqlError#",	//69
    "QSqlError$",	//70
    "QSqlError$$",	//71
    "QSqlError$$$",	//72
    "QSqlError$$$$",	//73
    "QSqlField",	//74
    "QSqlField#",	//75
    "QSqlField$",	//76
    "QSqlField$$",	//77
    "QSqlIndex",	//78
    "QSqlIndex#",	//79
    "QSqlIndex$",	//80
    "QSqlIndex$$",	//81
    "QSqlQuery",	//82
    "QSqlQuery#",	//83
    "QSqlQuery$",	//84
    "QSqlQuery$#",	//85
    "QSqlQueryModel",	//86
    "QSqlQueryModel#",	//87
    "QSqlRecord",	//88
    "QSqlRecord#",	//89
    "QSqlRelation",	//90
    "QSqlRelation#",	//91
    "QSqlRelation$$$",	//92
    "QSqlRelationalDelegate",	//93
    "QSqlRelationalDelegate#",	//94
    "QSqlRelationalTableModel",	//95
    "QSqlRelationalTableModel#",	//96
    "QSqlRelationalTableModel##",	//97
    "QSqlResult",	//98
    "QSqlResult#",	//99
    "QSqlTableModel",	//100
    "QSqlTableModel#",	//101
    "QSqlTableModel##",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "QuerySize",	//108
    "Required",	//109
    "SP_CustomCameraCaptureButton",	//110
    "SP_CustomCameraCaptureButtonPressed",	//111
    "SP_CustomCameraPauseButton",	//112
    "SP_CustomCameraPauseButtonPressed",	//113
    "SP_CustomCameraPlayButton",	//114
    "SP_CustomCameraPlayButtonPressed",	//115
    "SP_CustomCameraRecButton",	//116
    "SP_CustomCameraRecButtonPressed",	//117
    "SP_CustomCameraStopButton",	//118
    "SP_CustomCameraStopButtonPressed",	//119
    "SP_CustomTabAll",	//120
    "SP_CustomTabArtist",	//121
    "SP_CustomTabFavourite",	//122
    "SP_CustomTabGenre",	//123
    "SP_CustomTabLanguage",	//124
    "SP_CustomTabMusicAlbum",	//125
    "SP_CustomTabPhotosAlbum",	//126
    "SP_CustomTabPhotosAll",	//127
    "SP_CustomTabPlaylist",	//128
    "SP_CustomTabServices",	//129
    "SP_CustomTabSongs",	//130
    "SP_CustomTabVideos",	//131
    "SP_CustomToolBarAdd",	//132
    "SP_CustomToolBarAddDetail",	//133
    "SP_CustomToolBarAgain",	//134
    "SP_CustomToolBarAgenda",	//135
    "SP_CustomToolBarAudioOff",	//136
    "SP_CustomToolBarAudioOn",	//137
    "SP_CustomToolBarBack",	//138
    "SP_CustomToolBarBluetoothOff",	//139
    "SP_CustomToolBarBluetoothOn",	//140
    "SP_CustomToolBarCancel",	//141
    "SP_CustomToolBarDelete",	//142
    "SP_CustomToolBarDone",	//143
    "SP_CustomToolBarEdit",	//144
    "SP_CustomToolBarEditDisabled",	//145
    "SP_CustomToolBarEmailSend",	//146
    "SP_CustomToolBarEmergencyCall",	//147
    "SP_CustomToolBarFavouriteAdd",	//148
    "SP_CustomToolBarFavouriteRemove",	//149
    "SP_CustomToolBarFavourites",	//150
    "SP_CustomToolBarGo",	//151
    "SP_CustomToolBarHome",	//152
    "SP_CustomToolBarImageTools",	//153
    "SP_CustomToolBarList",	//154
    "SP_CustomToolBarLock",	//155
    "SP_CustomToolBarLogs",	//156
    "SP_CustomToolBarMenu",	//157
    "SP_CustomToolBarNewContact",	//158
    "SP_CustomToolBarNewGroup",	//159
    "SP_CustomToolBarNextFrame",	//160
    "SP_CustomToolBarNowPlay",	//161
    "SP_CustomToolBarOptions",	//162
    "SP_CustomToolBarOther",	//163
    "SP_CustomToolBarOvi",	//164
    "SP_CustomToolBarPreviousFrame",	//165
    "SP_CustomToolBarRead",	//166
    "SP_CustomToolBarRedo",	//167
    "SP_CustomToolBarRedoDisabled",	//168
    "SP_CustomToolBarRefresh",	//169
    "SP_CustomToolBarRemoveDetail",	//170
    "SP_CustomToolBarRemoveDisabled",	//171
    "SP_CustomToolBarRepeat",	//172
    "SP_CustomToolBarRepeatOff",	//173
    "SP_CustomToolBarRepeatOne",	//174
    "SP_CustomToolBarSearch",	//175
    "SP_CustomToolBarSearchDisabled",	//176
    "SP_CustomToolBarSelectContent",	//177
    "SP_CustomToolBarSelfTimer",	//178
    "SP_CustomToolBarSend",	//179
    "SP_CustomToolBarSendDimmed",	//180
    "SP_CustomToolBarShare",	//181
    "SP_CustomToolBarShift",	//182
    "SP_CustomToolBarShuffle",	//183
    "SP_CustomToolBarShuffleOff",	//184
    "SP_CustomToolBarSignalOff",	//185
    "SP_CustomToolBarSignalOn",	//186
    "SP_CustomToolBarSync",	//187
    "SP_CustomToolBarTools",	//188
    "SP_CustomToolBarTrim",	//189
    "SP_CustomToolBarUnlock",	//190
    "SP_CustomToolBarUnmark",	//191
    "SP_CustomToolBarView",	//192
    "SP_CustomToolBarWlanOff",	//193
    "SP_CustomToolBarWlanOn",	//194
    "SelectStatement",	//195
    "SetNumericalPrecision",	//196
    "SimpleLocking",	//197
    "StatementError",	//198
    "SystemTables",	//199
    "TableName",	//200
    "Tables",	//201
    "TransactionError",	//202
    "Transactions",	//203
    "Unicode",	//204
    "Unknown",	//205
    "UnknownError",	//206
    "UpdateStatement",	//207
    "ValuesAsColumns",	//208
    "ValuesAsRows",	//209
    "Views",	//210
    "WhereStatement",	//211
    "__codecvt_error",	//212
    "__codecvt_noconv",	//213
    "__codecvt_ok",	//214
    "__codecvt_partial",	//215
    "addBindValue",	//216
    "addBindValue#",	//217
    "addBindValue#$",	//218
    "addDatabase",	//219
    "addDatabase#",	//220
    "addDatabase#$",	//221
    "addDatabase$",	//222
    "addDatabase$$",	//223
    "append",	//224
    "append#",	//225
    "append#$",	//226
    "at",	//227
    "beforeDelete",	//228
    "beforeDelete$",	//229
    "beforeInsert",	//230
    "beforeInsert#",	//231
    "beforeUpdate",	//232
    "beforeUpdate$#",	//233
    "beginTransaction",	//234
    "bindValue",	//235
    "bindValue$#",	//236
    "bindValue$#$",	//237
    "bindValueType",	//238
    "bindValueType$",	//239
    "bindingSyntax",	//240
    "boundValue",	//241
    "boundValue$",	//242
    "boundValueCount",	//243
    "boundValueName",	//244
    "boundValueName$",	//245
    "boundValues",	//246
    "buddy",	//247
    "canFetchMore",	//248
    "canFetchMore#",	//249
    "childEvent",	//250
    "clear",	//251
    "clearValues",	//252
    "cloneDatabase",	//253
    "cloneDatabase#$",	//254
    "close",	//255
    "columnCount",	//256
    "columnCount#",	//257
    "commit",	//258
    "commitTransaction",	//259
    "connectNotify",	//260
    "connectOptions",	//261
    "connectionName",	//262
    "connectionNames",	//263
    "contains",	//264
    "contains$",	//265
    "count",	//266
    "create",	//267
    "create$",	//268
    "createEditor",	//269
    "createEditor###",	//270
    "createObject",	//271
    "createResult",	//272
    "cursorName",	//273
    "customEvent",	//274
    "data",	//275
    "data#",	//276
    "data#$",	//277
    "data$",	//278
    "database",	//279
    "database$",	//280
    "database$$",	//281
    "databaseName",	//282
    "databaseText",	//283
    "defaultConnection",	//284
    "defaultValue",	//285
    "deleteRowFromTable",	//286
    "deleteRowFromTable$",	//287
    "detachFromResultSet",	//288
    "disconnectNotify",	//289
    "displayColumn",	//290
    "drawCheck",	//291
    "drawDecoration",	//292
    "drawDisplay",	//293
    "drawFocus",	//294
    "driver",	//295
    "driverName",	//296
    "driverText",	//297
    "drivers",	//298
    "dropMimeData",	//299
    "editStrategy",	//300
    "editorEvent",	//301
    "escapeIdentifier",	//302
    "escapeIdentifier$$",	//303
    "event",	//304
    "eventFilter",	//305
    "exec",	//306
    "exec$",	//307
    "execBatch",	//308
    "execBatch$",	//309
    "executedQuery",	//310
    "fetch",	//311
    "fetch$",	//312
    "fetchFirst",	//313
    "fetchLast",	//314
    "fetchMore",	//315
    "fetchMore#",	//316
    "fetchNext",	//317
    "fetchPrevious",	//318
    "field",	//319
    "field$",	//320
    "fieldIndex",	//321
    "fieldIndex$",	//322
    "fieldName",	//323
    "fieldName$",	//324
    "filter",	//325
    "finish",	//326
    "first",	//327
    "flags",	//328
    "flags#",	//329
    "formatValue",	//330
    "formatValue#",	//331
    "formatValue#$",	//332
    "handle",	//333
    "hasFeature",	//334
    "hasFeature$",	//335
    "hasOutValues",	//336
    "headerData",	//337
    "headerData$$",	//338
    "headerData$$$",	//339
    "hostName",	//340
    "index",	//341
    "indexColumn",	//342
    "indexInQuery",	//343
    "indexInQuery#",	//344
    "indexOf",	//345
    "indexOf$",	//346
    "insert",	//347
    "insert$#",	//348
    "insertColumns",	//349
    "insertColumns$$",	//350
    "insertColumns$$#",	//351
    "insertRecord",	//352
    "insertRecord$#",	//353
    "insertRowIntoTable",	//354
    "insertRowIntoTable#",	//355
    "insertRows",	//356
    "insertRows$$",	//357
    "insertRows$$#",	//358
    "isActive",	//359
    "isAutoValue",	//360
    "isDescending",	//361
    "isDescending$",	//362
    "isDirty",	//363
    "isDirty#",	//364
    "isDriverAvailable",	//365
    "isDriverAvailable$",	//366
    "isEmpty",	//367
    "isForwardOnly",	//368
    "isGenerated",	//369
    "isGenerated$",	//370
    "isIdentifierEscaped",	//371
    "isIdentifierEscaped$$",	//372
    "isIdentifierEscapedImplementation",	//373
    "isIdentifierEscapedImplementation$$",	//374
    "isNull",	//375
    "isNull$",	//376
    "isOpen",	//377
    "isOpenError",	//378
    "isReadOnly",	//379
    "isSelect",	//380
    "isValid",	//381
    "itemData",	//382
    "keys",	//383
    "last",	//384
    "lastError",	//385
    "lastInsertId",	//386
    "lastQuery",	//387
    "length",	//388
    "match",	//389
    "metaObject",	//390
    "mimeData",	//391
    "mimeTypes",	//392
    "name",	//393
    "next",	//394
    "nextResult",	//395
    "notification",	//396
    "notification$",	//397
    "numRowsAffected",	//398
    "number",	//399
    "numericalPrecisionPolicy",	//400
    "open",	//401
    "open$",	//402
    "open$$",	//403
    "open$$$",	//404
    "open$$$$",	//405
    "open$$$$$",	//406
    "open$$$$$$",	//407
    "operator!=",	//408
    "operator!=#",	//409
    "operator!=##",	//410
    "operator!=#$",	//411
    "operator!=$#",	//412
    "operator!=$$",	//413
    "operator&",	//414
    "operator&##",	//415
    "operator*",	//416
    "operator*##",	//417
    "operator*#$",	//418
    "operator*$#",	//419
    "operator+",	//420
    "operator+##",	//421
    "operator+#$",	//422
    "operator+$#",	//423
    "operator+$$",	//424
    "operator-",	//425
    "operator-#",	//426
    "operator-##",	//427
    "operator-#$",	//428
    "operator/",	//429
    "operator/#$",	//430
    "operator<",	//431
    "operator<##",	//432
    "operator<#$",	//433
    "operator<$#",	//434
    "operator<$$",	//435
    "operator<<",	//436
    "operator<<##",	//437
    "operator<<#$",	//438
    "operator<<#?",	//439
    "operator<=",	//440
    "operator<=##",	//441
    "operator<=#$",	//442
    "operator<=$#",	//443
    "operator<=$$",	//444
    "operator=",	//445
    "operator=#",	//446
    "operator==",	//447
    "operator==#",	//448
    "operator==##",	//449
    "operator==#$",	//450
    "operator==$#",	//451
    "operator==$$",	//452
    "operator>",	//453
    "operator>##",	//454
    "operator>#$",	//455
    "operator>$#",	//456
    "operator>$$",	//457
    "operator>=",	//458
    "operator>=##",	//459
    "operator>=#$",	//460
    "operator>=$#",	//461
    "operator>=$$",	//462
    "operator>>",	//463
    "operator>>##",	//464
    "operator>>#$",	//465
    "operator>>#?",	//466
    "operator^",	//467
    "operator^##",	//468
    "operator|",	//469
    "operator|##",	//470
    "operator|$$",	//471
    "orderByClause",	//472
    "paint",	//473
    "password",	//474
    "port",	//475
    "precision",	//476
    "prepare",	//477
    "prepare$",	//478
    "previous",	//479
    "primaryIndex",	//480
    "primaryIndex$",	//481
    "primaryKey",	//482
    "primeInsert",	//483
    "primeInsert$#",	//484
    "qAccessibleActionCastHelper",	//485
    "qAccessibleEditableTextCastHelper",	//486
    "qAccessibleImageCastHelper",	//487
    "qAccessibleTable2CastHelper",	//488
    "qAccessibleTableCastHelper",	//489
    "qAccessibleTextCastHelper",	//490
    "qAccessibleValueCastHelper",	//491
    "qAcos",	//492
    "qAcos$",	//493
    "qAddPostRoutine",	//494
    "qAddPostRoutine$",	//495
    "qAlpha",	//496
    "qAlpha$",	//497
    "qAppName",	//498
    "qAsin",	//499
    "qAsin$",	//500
    "qAtan",	//501
    "qAtan$",	//502
    "qAtan2",	//503
    "qAtan2$$",	//504
    "qBadAlloc",	//505
    "qBlue",	//506
    "qBlue$",	//507
    "qCeil",	//508
    "qCeil$",	//509
    "qChecksum",	//510
    "qChecksum$$",	//511
    "qCompress",	//512
    "qCompress#",	//513
    "qCompress#$",	//514
    "qCompress$$",	//515
    "qCompress$$$",	//516
    "qCos",	//517
    "qCos$",	//518
    "qCritical",	//519
    "qDebug",	//520
    "qDrawBorderPixmap",	//521
    "qDrawBorderPixmap####",	//522
    "qDrawBorderPixmap######",	//523
    "qDrawBorderPixmap#######",	//524
    "qDrawBorderPixmap#######$",	//525
    "qDrawPlainRect",	//526
    "qDrawPlainRect###",	//527
    "qDrawPlainRect###$",	//528
    "qDrawPlainRect###$#",	//529
    "qDrawPlainRect#$$$$#",	//530
    "qDrawPlainRect#$$$$#$",	//531
    "qDrawPlainRect#$$$$#$#",	//532
    "qDrawShadeLine",	//533
    "qDrawShadeLine####",	//534
    "qDrawShadeLine####$",	//535
    "qDrawShadeLine####$$",	//536
    "qDrawShadeLine####$$$",	//537
    "qDrawShadeLine#$$$$#",	//538
    "qDrawShadeLine#$$$$#$",	//539
    "qDrawShadeLine#$$$$#$$",	//540
    "qDrawShadeLine#$$$$#$$$",	//541
    "qDrawShadePanel",	//542
    "qDrawShadePanel###",	//543
    "qDrawShadePanel###$",	//544
    "qDrawShadePanel###$$",	//545
    "qDrawShadePanel###$$#",	//546
    "qDrawShadePanel#$$$$#",	//547
    "qDrawShadePanel#$$$$#$",	//548
    "qDrawShadePanel#$$$$#$$",	//549
    "qDrawShadePanel#$$$$#$$#",	//550
    "qDrawShadeRect",	//551
    "qDrawShadeRect###",	//552
    "qDrawShadeRect###$",	//553
    "qDrawShadeRect###$$",	//554
    "qDrawShadeRect###$$$",	//555
    "qDrawShadeRect###$$$#",	//556
    "qDrawShadeRect#$$$$#",	//557
    "qDrawShadeRect#$$$$#$",	//558
    "qDrawShadeRect#$$$$#$$",	//559
    "qDrawShadeRect#$$$$#$$$",	//560
    "qDrawShadeRect#$$$$#$$$#",	//561
    "qDrawWinButton",	//562
    "qDrawWinButton###",	//563
    "qDrawWinButton###$",	//564
    "qDrawWinButton###$#",	//565
    "qDrawWinButton#$$$$#",	//566
    "qDrawWinButton#$$$$#$",	//567
    "qDrawWinButton#$$$$#$#",	//568
    "qDrawWinPanel",	//569
    "qDrawWinPanel###",	//570
    "qDrawWinPanel###$",	//571
    "qDrawWinPanel###$#",	//572
    "qDrawWinPanel#$$$$#",	//573
    "qDrawWinPanel#$$$$#$",	//574
    "qDrawWinPanel#$$$$#$#",	//575
    "qExp",	//576
    "qExp$",	//577
    "qFabs",	//578
    "qFabs$",	//579
    "qFastCos",	//580
    "qFastCos$",	//581
    "qFastSin",	//582
    "qFastSin$",	//583
    "qFlagLocation",	//584
    "qFlagLocation$",	//585
    "qFloor",	//586
    "qFloor$",	//587
    "qFree",	//588
    "qFree$",	//589
    "qFreeAligned",	//590
    "qFreeAligned$",	//591
    "qFuzzyCompare",	//592
    "qFuzzyCompare##",	//593
    "qFuzzyCompare$$",	//594
    "qFuzzyIsNull",	//595
    "qFuzzyIsNull$",	//596
    "qGray",	//597
    "qGray$",	//598
    "qGray$$$",	//599
    "qGreen",	//600
    "qGreen$",	//601
    "qHash",	//602
    "qHash#",	//603
    "qHash$",	//604
    "qInf",	//605
    "qInstallMsgHandler",	//606
    "qInstallMsgHandler$",	//607
    "qIntCast",	//608
    "qIntCast$",	//609
    "qIsFinite",	//610
    "qIsFinite$",	//611
    "qIsGray",	//612
    "qIsGray$",	//613
    "qIsInf",	//614
    "qIsInf$",	//615
    "qIsNaN",	//616
    "qIsNaN$",	//617
    "qIsNull",	//618
    "qIsNull$",	//619
    "qLn",	//620
    "qLn$",	//621
    "qMalloc",	//622
    "qMalloc$",	//623
    "qMallocAligned",	//624
    "qMallocAligned$$",	//625
    "qMemCopy",	//626
    "qMemCopy$$$",	//627
    "qMemSet",	//628
    "qMemSet$$$",	//629
    "qPow",	//630
    "qPow$$",	//631
    "qQNaN",	//632
    "qRealloc",	//633
    "qRealloc$$",	//634
    "qReallocAligned",	//635
    "qReallocAligned$$$$",	//636
    "qRed",	//637
    "qRed$",	//638
    "qRegisterStaticPluginInstanceFunction",	//639
    "qRegisterStaticPluginInstanceFunction#",	//640
    "qRemovePostRoutine",	//641
    "qRemovePostRoutine$",	//642
    "qRgb",	//643
    "qRgb$$$",	//644
    "qRgba",	//645
    "qRgba$$$$",	//646
    "qRound",	//647
    "qRound$",	//648
    "qRound64",	//649
    "qRound64$",	//650
    "qSNaN",	//651
    "qSetFieldWidth",	//652
    "qSetFieldWidth$",	//653
    "qSetPadChar",	//654
    "qSetPadChar#",	//655
    "qSetRealNumberPrecision",	//656
    "qSetRealNumberPrecision$",	//657
    "qSharedBuild",	//658
    "qSin",	//659
    "qSin$",	//660
    "qSqrt",	//661
    "qSqrt$",	//662
    "qStringComparisonHelper",	//663
    "qStringComparisonHelper#$",	//664
    "qStringComparisonHelper$$",	//665
    "qTan",	//666
    "qTan$",	//667
    "qUncompress",	//668
    "qUncompress#",	//669
    "qUncompress$$",	//670
    "qVersion",	//671
    "qWarning",	//672
    "qbswap_helper",	//673
    "qbswap_helper$$$",	//674
    "qecvt",	//675
    "qecvt$$$$",	//676
    "qecvt_r",	//677
    "qecvt_r$$$$$$",	//678
    "qfcvt",	//679
    "qfcvt$$$$",	//680
    "qfcvt_r",	//681
    "qfcvt_r$$$$$$",	//682
    "qgcvt",	//683
    "qgcvt$$$",	//684
    "qgetenv",	//685
    "qgetenv$",	//686
    "qputenv",	//687
    "qputenv$#",	//688
    "qrand",	//689
    "qsort",	//690
    "qsort$$$$",	//691
    "qsrand",	//692
    "qsrand$",	//693
    "qstrcmp",	//694
    "qstrcmp##",	//695
    "qstrcmp#$",	//696
    "qstrcmp$#",	//697
    "qstrcmp$$",	//698
    "qstrcpy",	//699
    "qstrcpy$$",	//700
    "qstrdup",	//701
    "qstrdup$",	//702
    "qstricmp",	//703
    "qstricmp$$",	//704
    "qstrlen",	//705
    "qstrlen$",	//706
    "qstrncmp",	//707
    "qstrncmp$$$",	//708
    "qstrncpy",	//709
    "qstrncpy$$$",	//710
    "qstrnicmp",	//711
    "qstrnicmp$$$",	//712
    "qstrnlen",	//713
    "qstrnlen$$",	//714
    "qtTrId",	//715
    "qtTrId$",	//716
    "qtTrId$$",	//717
    "qt_assert",	//718
    "qt_assert$$$",	//719
    "qt_assert_x",	//720
    "qt_assert_x$$$$",	//721
    "qt_check_pointer",	//722
    "qt_check_pointer$$",	//723
    "qt_error_string",	//724
    "qt_error_string$",	//725
    "qt_message_output",	//726
    "qt_message_output$$",	//727
    "qt_metacall",	//728
    "qt_metacall$$?",	//729
    "qt_metacast",	//730
    "qt_metacast$",	//731
    "qt_noop",	//732
    "qt_qFindChild_helper",	//733
    "qt_qFindChild_helper#$#",	//734
    "qt_qFindChildren_helper",	//735
    "qt_qFindChildren_helper#$##?",	//736
    "query",	//737
    "queryChange",	//738
    "qvariant_cast_helper",	//739
    "qvariant_cast_helper#$$",	//740
    "qvsnprintf",	//741
    "qvsnprintf$$$?",	//742
    "record",	//743
    "record$",	//744
    "registerSqlDriver",	//745
    "registerSqlDriver$#",	//746
    "relation",	//747
    "relation$",	//748
    "relationModel",	//749
    "relationModel$",	//750
    "remove",	//751
    "remove$",	//752
    "removeColumns",	//753
    "removeColumns$$",	//754
    "removeColumns$$#",	//755
    "removeDatabase",	//756
    "removeDatabase$",	//757
    "removeRows",	//758
    "removeRows$$",	//759
    "removeRows$$#",	//760
    "replace",	//761
    "replace$#",	//762
    "requiredStatus",	//763
    "reset",	//764
    "reset$",	//765
    "result",	//766
    "revert",	//767
    "revertAll",	//768
    "revertRow",	//769
    "revertRow$",	//770
    "rollback",	//771
    "rollbackTransaction",	//772
    "rowCount",	//773
    "rowCount#",	//774
    "savePrepare",	//775
    "savePrepare$",	//776
    "seek",	//777
    "seek$",	//778
    "seek$$",	//779
    "select",	//780
    "selectStatement",	//781
    "setActive",	//782
    "setActive$",	//783
    "setAt",	//784
    "setAt$",	//785
    "setAutoValue",	//786
    "setAutoValue$",	//787
    "setConnectOptions",	//788
    "setConnectOptions$",	//789
    "setCursorName",	//790
    "setCursorName$",	//791
    "setData",	//792
    "setData##",	//793
    "setData##$",	//794
    "setDatabaseName",	//795
    "setDatabaseName$",	//796
    "setDatabaseText",	//797
    "setDatabaseText$",	//798
    "setDefaultConnection",	//799
    "setDefaultConnection$",	//800
    "setDefaultValue",	//801
    "setDefaultValue#",	//802
    "setDescending",	//803
    "setDescending$$",	//804
    "setDriverText",	//805
    "setDriverText$",	//806
    "setEditStrategy",	//807
    "setEditStrategy$",	//808
    "setEditorData",	//809
    "setEditorData##",	//810
    "setFilter",	//811
    "setFilter$",	//812
    "setForwardOnly",	//813
    "setForwardOnly$",	//814
    "setGenerated",	//815
    "setGenerated$",	//816
    "setGenerated$$",	//817
    "setHeaderData",	//818
    "setHeaderData$$#",	//819
    "setHeaderData$$#$",	//820
    "setHostName",	//821
    "setHostName$",	//822
    "setItemData",	//823
    "setJoinMode",	//824
    "setJoinMode$",	//825
    "setLastError",	//826
    "setLastError#",	//827
    "setLength",	//828
    "setLength$",	//829
    "setModelData",	//830
    "setModelData###",	//831
    "setName",	//832
    "setName$",	//833
    "setNull",	//834
    "setNull$",	//835
    "setNumber",	//836
    "setNumber$",	//837
    "setNumericalPrecisionPolicy",	//838
    "setNumericalPrecisionPolicy$",	//839
    "setOpen",	//840
    "setOpen$",	//841
    "setOpenError",	//842
    "setOpenError$",	//843
    "setPassword",	//844
    "setPassword$",	//845
    "setPort",	//846
    "setPort$",	//847
    "setPrecision",	//848
    "setPrecision$",	//849
    "setPrimaryKey",	//850
    "setPrimaryKey#",	//851
    "setQuery",	//852
    "setQuery#",	//853
    "setQuery$",	//854
    "setQuery$#",	//855
    "setReadOnly",	//856
    "setReadOnly$",	//857
    "setRecord",	//858
    "setRecord$#",	//859
    "setRelation",	//860
    "setRelation$#",	//861
    "setRequired",	//862
    "setRequired$",	//863
    "setRequiredStatus",	//864
    "setRequiredStatus$",	//865
    "setSelect",	//866
    "setSelect$",	//867
    "setSort",	//868
    "setSort$$",	//869
    "setSqlType",	//870
    "setSqlType$",	//871
    "setTable",	//872
    "setTable$",	//873
    "setType",	//874
    "setType$",	//875
    "setUserName",	//876
    "setUserName$",	//877
    "setValue",	//878
    "setValue#",	//879
    "setValue$#",	//880
    "size",	//881
    "sizeHint",	//882
    "sort",	//883
    "sort$$",	//884
    "span",	//885
    "sqlStatement",	//886
    "sqlStatement$$#$",	//887
    "staticMetaObject",	//888
    "stripDelimiters",	//889
    "stripDelimiters$$",	//890
    "stripDelimitersImplementation",	//891
    "stripDelimitersImplementation$$",	//892
    "submit",	//893
    "submitAll",	//894
    "subscribeToNotification",	//895
    "subscribeToNotification$",	//896
    "subscribeToNotificationImplementation",	//897
    "subscribeToNotificationImplementation$",	//898
    "subscribedToNotifications",	//899
    "subscribedToNotificationsImplementation",	//900
    "supportedDropActions",	//901
    "tableName",	//902
    "tables",	//903
    "tables$",	//904
    "text",	//905
    "timerEvent",	//906
    "tr",	//907
    "tr$",	//908
    "tr$$",	//909
    "tr$$$",	//910
    "trUtf8",	//911
    "trUtf8$",	//912
    "trUtf8$$",	//913
    "trUtf8$$$",	//914
    "transaction",	//915
    "type",	//916
    "typeID",	//917
    "unsubscribeFromNotification",	//918
    "unsubscribeFromNotification$",	//919
    "unsubscribeFromNotificationImplementation",	//920
    "unsubscribeFromNotificationImplementation$",	//921
    "updateEditorGeometry",	//922
    "updateRowInTable",	//923
    "updateRowInTable$#",	//924
    "userName",	//925
    "value",	//926
    "value$",	//927
    "virtual_hook",	//928
    "virtual_hook$$",	//929
    "~QSqlDatabase",	//930
    "~QSqlDriver",	//931
    "~QSqlDriverCreatorBase",	//932
    "~QSqlDriverFactoryInterface",	//933
    "~QSqlDriverPlugin",	//934
    "~QSqlError",	//935
    "~QSqlField",	//936
    "~QSqlIndex",	//937
    "~QSqlQuery",	//938
    "~QSqlQueryModel",	//939
    "~QSqlRecord",	//940
    "~QSqlRelation",	//941
    "~QSqlRelationalDelegate",	//942
    "~QSqlRelationalTableModel",	//943
    "~QSqlResult",	//944
    "~QSqlTableModel",	//945
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 792, 1, 3, Smoke::mf_virtual, 391, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 382, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 823, 7, 2, Smoke::mf_virtual, 391, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 392, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 246, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 391, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 901, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 356, 12, 3, Smoke::mf_virtual, 391, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 758, 12, 3, Smoke::mf_virtual, 391, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 328, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 883, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 247, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 389, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 885, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 893, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 391, 0},	//14 QAbstractItemModel::submit()
    {1, 767, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 341, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 299, 25, 5, Smoke::mf_virtual, 391, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {19, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {21, 469, 31, 2, Smoke::mf_static, 137, 1},	//19 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {21, 491, 0, 0, Smoke::mf_static, 10, 2},	//20 QGlobalSpace::qAccessibleValueCastHelper()
    {21, 458, 34, 2, Smoke::mf_static, 391, 3},	//21 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {21, 602, 37, 1, Smoke::mf_static, 507, 4},	//22 QGlobalSpace::qHash(unsigned long long)
    {21, 469, 39, 2, Smoke::mf_static, 137, 5},	//23 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {21, 614, 42, 1, Smoke::mf_static, 391, 6},	//24 QGlobalSpace::qIsInf(double)
    {21, 425, 44, 2, Smoke::mf_static, 157, 7},	//25 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {21, 469, 47, 2, Smoke::mf_static, 137, 8},	//26 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {21, 447, 50, 2, Smoke::mf_static, 391, 9},	//27 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {21, 408, 53, 2, Smoke::mf_static, 391, 10},	//28 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {21, 713, 56, 2, Smoke::mf_static, 507, 11},	//29 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {21, 626, 59, 3, Smoke::mf_static, 514, 12},	//30 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {21, 732, 0, 0, Smoke::mf_static, 0, 13},	//31 QGlobalSpace::qt_noop()
    {21, 447, 63, 2, Smoke::mf_static, 391, 14},	//32 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {21, 436, 66, 2, Smoke::mf_static, 29, 15},	//33 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {21, 463, 69, 2, Smoke::mf_static, 25, 16},	//34 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {21, 416, 72, 2, Smoke::mf_static, 180, 17},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {21, 469, 75, 2, Smoke::mf_static, 77, 18},	//36 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {21, 447, 78, 2, Smoke::mf_static, 391, 19},	//37 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {21, 447, 81, 2, Smoke::mf_static, 391, 20},	//38 QGlobalSpace::operator==(const QSize&, const QSize&)
    {21, 436, 84, 2, Smoke::mf_static, 25, 21},	//39 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {21, 469, 87, 2, Smoke::mf_static, 95, 22},	//40 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {21, 420, 90, 2, Smoke::mf_static, 397, 23},	//41 QGlobalSpace::operator+(const char*, const QByteArray&)
    {21, 463, 93, 2, Smoke::mf_static, 25, 24},	//42 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {21, 469, 96, 2, Smoke::mf_static, 86, 25},	//43 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {21, 469, 99, 2, Smoke::mf_static, 74, 26},	//44 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {21, 469, 102, 2, Smoke::mf_static, 56, 27},	//45 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {21, 663, 105, 2, Smoke::mf_static, 391, 28},	//46 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {21, 463, 108, 2, Smoke::mf_static, 25, 29},	//47 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {21, 694, 90, 2, Smoke::mf_static, 496, 30},	//48 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {21, 447, 111, 2, Smoke::mf_static, 391, 31},	//49 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {21, 436, 114, 2, Smoke::mf_static, 25, 32},	//50 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {21, 503, 117, 2, Smoke::mf_static, 494, 33},	//51 QGlobalSpace::qAtan2(double, double)
    {21, 463, 120, 2, Smoke::mf_static, 25, 34},	//52 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {21, 458, 123, 2, Smoke::mf_static, 391, 35},	//53 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {21, 614, 126, 1, Smoke::mf_static, 391, 36},	//54 QGlobalSpace::qIsInf(float)
    {21, 685, 128, 1, Smoke::mf_static, 17, 37},	//55 QGlobalSpace::qgetenv(const char*)
    {21, 602, 130, 1, Smoke::mf_static, 507, 38},	//56 QGlobalSpace::qHash(signed char)
    {21, 469, 132, 2, Smoke::mf_static, 137, 39},	//57 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {21, 447, 135, 2, Smoke::mf_static, 391, 40},	//58 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {21, 453, 90, 2, Smoke::mf_static, 391, 41},	//59 QGlobalSpace::operator>(const char*, const QByteArray&)
    {21, 469, 138, 2, Smoke::mf_static, 137, 42},	//60 QGlobalSpace::operator|(QFileDialog::Option, int)
    {21, 420, 44, 2, Smoke::mf_static, 157, 43},	//61 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {21, 608, 42, 1, Smoke::mf_static, 496, 44},	//62 QGlobalSpace::qIntCast(double)
    {21, 654, 141, 1, Smoke::mf_static, 271, 45},	//63 QGlobalSpace::qSetPadChar(QChar)
    {21, 436, 143, 2, Smoke::mf_static, 25, 46},	//64 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {21, 469, 146, 2, Smoke::mf_static, 76, 47},	//65 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {21, 469, 149, 2, Smoke::mf_static, 85, 48},	//66 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {21, 416, 152, 2, Smoke::mf_static, 178, 49},	//67 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {21, 436, 155, 2, Smoke::mf_static, 25, 50},	//68 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {21, 436, 158, 2, Smoke::mf_static, 29, 51},	//69 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {21, 469, 161, 2, Smoke::mf_static, 60, 52},	//70 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {21, 447, 164, 2, Smoke::mf_static, 391, 53},	//71 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {21, 416, 167, 2, Smoke::mf_static, 288, 54},	//72 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {21, 447, 170, 2, Smoke::mf_static, 391, 55},	//73 QGlobalSpace::operator==(QChar, QChar)
    {21, 436, 173, 2, Smoke::mf_static, 29, 56},	//74 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {21, 416, 44, 2, Smoke::mf_static, 157, 57},	//75 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {21, 469, 176, 2, Smoke::mf_static, 117, 58},	//76 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {21, 425, 179, 1, Smoke::mf_static, 157, 59},	//77 QGlobalSpace::operator-(const QMatrix4x4&)
    {21, 602, 181, 1, Smoke::mf_static, 507, 60},	//78 QGlobalSpace::qHash(const QUrl&)
    {21, 602, 183, 1, Smoke::mf_static, 507, 61},	//79 QGlobalSpace::qHash(const QByteArray&)
    {21, 469, 185, 2, Smoke::mf_static, 137, 62},	//80 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {21, 416, 188, 2, Smoke::mf_static, 157, 63},	//81 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {21, 436, 191, 2, Smoke::mf_static, 25, 64},	//82 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {21, 436, 194, 2, Smoke::mf_static, 29, 65},	//83 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {21, 463, 197, 2, Smoke::mf_static, 25, 66},	//84 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {21, 431, 170, 2, Smoke::mf_static, 391, 67},	//85 QGlobalSpace::operator<(QChar, QChar)
    {21, 463, 200, 2, Smoke::mf_static, 25, 68},	//86 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {21, 469, 203, 2, Smoke::mf_static, 73, 69},	//87 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {21, 458, 170, 2, Smoke::mf_static, 391, 70},	//88 QGlobalSpace::operator>=(QChar, QChar)
    {21, 408, 206, 2, Smoke::mf_static, 391, 71},	//89 QGlobalSpace::operator!=(QString::Null, const QString&)
    {21, 436, 209, 2, Smoke::mf_static, 29, 72},	//90 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {21, 431, 90, 2, Smoke::mf_static, 391, 73},	//91 QGlobalSpace::operator<(const char*, const QByteArray&)
    {21, 469, 212, 2, Smoke::mf_static, 102, 74},	//92 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {21, 469, 215, 2, Smoke::mf_static, 116, 75},	//93 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {21, 694, 218, 2, Smoke::mf_static, 496, 76},	//94 QGlobalSpace::qstrcmp(const char*, const char*)
    {21, 469, 221, 2, Smoke::mf_static, 137, 77},	//95 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {21, 420, 50, 2, Smoke::mf_static, 487, 78},	//96 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {21, 517, 42, 1, Smoke::mf_static, 494, 79},	//97 QGlobalSpace::qCos(double)
    {21, 469, 224, 2, Smoke::mf_static, 72, 80},	//98 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {21, 453, 170, 2, Smoke::mf_static, 391, 81},	//99 QGlobalSpace::operator>(QChar, QChar)
    {21, 469, 227, 2, Smoke::mf_static, 119, 82},	//100 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {21, 416, 230, 2, Smoke::mf_static, 449, 83},	//101 QGlobalSpace::operator*(double, const QSizeF&)
    {21, 658, 0, 0, Smoke::mf_static, 391, 84},	//102 QGlobalSpace::qSharedBuild()
    {21, 447, 233, 2, Smoke::mf_static, 391, 85},	//103 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {21, 469, 236, 2, Smoke::mf_static, 137, 86},	//104 QGlobalSpace::operator|(QDir::Filter, int)
    {21, 469, 239, 2, Smoke::mf_static, 85, 87},	//105 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {21, 408, 34, 2, Smoke::mf_static, 391, 88},	//106 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {21, 425, 242, 2, Smoke::mf_static, 434, 89},	//107 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {21, 486, 0, 0, Smoke::mf_static, 10, 90},	//108 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {21, 436, 245, 2, Smoke::mf_static, 25, 91},	//109 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {21, 469, 248, 2, Smoke::mf_static, 137, 92},	//110 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {21, 469, 251, 2, Smoke::mf_static, 115, 93},	//111 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {21, 469, 254, 2, Smoke::mf_static, 137, 94},	//112 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {21, 425, 257, 2, Smoke::mf_static, 274, 95},	//113 QGlobalSpace::operator-(const QTransform&, double)
    {21, 469, 260, 2, Smoke::mf_static, 42, 96},	//114 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {21, 602, 263, 1, Smoke::mf_static, 507, 97},	//115 QGlobalSpace::qHash(char)
    {21, 416, 50, 2, Smoke::mf_static, 487, 98},	//116 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {21, 469, 265, 2, Smoke::mf_static, 103, 99},	//117 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {21, 408, 78, 2, Smoke::mf_static, 391, 100},	//118 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {21, 469, 268, 2, Smoke::mf_static, 99, 101},	//119 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {21, 469, 271, 2, Smoke::mf_static, 137, 102},	//120 QGlobalSpace::operator|(QTextOption::Flag, int)
    {21, 436, 274, 2, Smoke::mf_static, 29, 103},	//121 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {21, 469, 277, 2, Smoke::mf_static, 137, 104},	//122 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {21, 469, 280, 2, Smoke::mf_static, 137, 105},	//123 QGlobalSpace::operator|(QFile::Permission, int)
    {21, 469, 283, 2, Smoke::mf_static, 60, 106},	//124 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {21, 429, 286, 2, Smoke::mf_static, 434, 107},	//125 QGlobalSpace::operator/(const QPoint&, double)
    {21, 569, 289, 8, Smoke::mf_static, 0, 108},	//126 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 569, 298, 6, Smoke::mf_static, 0, 109},	//127 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 569, 305, 7, Smoke::mf_static, 0, 110},	//128 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 420, 242, 2, Smoke::mf_static, 434, 111},	//129 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {21, 436, 313, 2, Smoke::mf_static, 25, 112},	//130 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {21, 469, 316, 2, Smoke::mf_static, 52, 113},	//131 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {21, 420, 319, 2, Smoke::mf_static, 465, 114},	//132 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {21, 425, 322, 2, Smoke::mf_static, 449, 115},	//133 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {21, 416, 325, 2, Smoke::mf_static, 286, 116},	//134 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {21, 592, 328, 2, Smoke::mf_static, 391, 117},	//135 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {21, 436, 331, 2, Smoke::mf_static, 29, 118},	//136 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {21, 425, 50, 2, Smoke::mf_static, 487, 119},	//137 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {21, 610, 42, 1, Smoke::mf_static, 391, 120},	//138 QGlobalSpace::qIsFinite(double)
    {21, 675, 334, 4, Smoke::mf_static, 393, 121},	//139 QGlobalSpace::qecvt(long double, int, int*, int*)
    {21, 469, 339, 2, Smoke::mf_static, 57, 122},	//140 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {21, 408, 123, 2, Smoke::mf_static, 391, 123},	//141 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {21, 436, 342, 2, Smoke::mf_static, 25, 124},	//142 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {21, 469, 345, 2, Smoke::mf_static, 111, 125},	//143 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {21, 469, 348, 2, Smoke::mf_static, 137, 126},	//144 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {21, 436, 351, 2, Smoke::mf_static, 29, 127},	//145 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {21, 496, 354, 1, Smoke::mf_static, 496, 128},	//146 QGlobalSpace::qAlpha(unsigned int)
    {21, 436, 356, 2, Smoke::mf_static, 29, 129},	//147 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {21, 469, 359, 2, Smoke::mf_static, 53, 130},	//148 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {21, 431, 362, 2, Smoke::mf_static, 391, 131},	//149 QGlobalSpace::operator<(const char*, const QString&)
    {21, 597, 365, 3, Smoke::mf_static, 496, 132},	//150 QGlobalSpace::qGray(int, int, int)
    {21, 469, 369, 2, Smoke::mf_static, 65, 133},	//151 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {21, 436, 372, 2, Smoke::mf_static, 25, 134},	//152 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {21, 469, 375, 2, Smoke::mf_static, 101, 135},	//153 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {21, 420, 81, 2, Smoke::mf_static, 447, 136},	//154 QGlobalSpace::operator+(const QSize&, const QSize&)
    {21, 469, 378, 2, Smoke::mf_static, 117, 137},	//155 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {21, 469, 381, 2, Smoke::mf_static, 108, 138},	//156 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {21, 724, 384, 1, Smoke::mf_static, 242, 139},	//157 QGlobalSpace::qt_error_string(int)
    {21, 724, 0, 0, Smoke::mf_static, 242, 140},	//158 QGlobalSpace::qt_error_string()
    {21, 420, 322, 2, Smoke::mf_static, 449, 141},	//159 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {21, 429, 188, 2, Smoke::mf_static, 157, 142},	//160 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {21, 469, 386, 2, Smoke::mf_static, 137, 143},	//161 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {21, 469, 389, 2, Smoke::mf_static, 42, 144},	//162 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {21, 469, 392, 2, Smoke::mf_static, 137, 145},	//163 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {21, 425, 328, 2, Smoke::mf_static, 489, 146},	//164 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {21, 431, 395, 2, Smoke::mf_static, 391, 147},	//165 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {21, 668, 398, 2, Smoke::mf_static, 17, 148},	//166 QGlobalSpace::qUncompress(const unsigned char*, int)
    {21, 707, 401, 3, Smoke::mf_static, 496, 149},	//167 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {21, 666, 42, 1, Smoke::mf_static, 494, 150},	//168 QGlobalSpace::qTan(double)
    {21, 453, 63, 2, Smoke::mf_static, 391, 151},	//169 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {21, 408, 405, 2, Smoke::mf_static, 391, 152},	//170 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {21, 652, 384, 1, Smoke::mf_static, 271, 153},	//171 QGlobalSpace::qSetFieldWidth(int)
    {21, 447, 408, 2, Smoke::mf_static, 391, 154},	//172 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {21, 469, 411, 2, Smoke::mf_static, 88, 155},	//173 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {21, 463, 414, 2, Smoke::mf_static, 268, 156},	//174 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {21, 602, 417, 1, Smoke::mf_static, 507, 157},	//175 QGlobalSpace::qHash(const QItemSelectionRange&)
    {21, 469, 419, 2, Smoke::mf_static, 106, 158},	//176 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {21, 637, 354, 1, Smoke::mf_static, 496, 159},	//177 QGlobalSpace::qRed(unsigned int)
    {21, 416, 257, 2, Smoke::mf_static, 274, 160},	//178 QGlobalSpace::operator*(const QTransform&, double)
    {21, 586, 42, 1, Smoke::mf_static, 496, 161},	//179 QGlobalSpace::qFloor(double)
    {21, 469, 422, 2, Smoke::mf_static, 79, 162},	//180 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {21, 436, 425, 2, Smoke::mf_static, 29, 163},	//181 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {21, 463, 428, 2, Smoke::mf_static, 25, 164},	//182 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {21, 610, 126, 1, Smoke::mf_static, 391, 165},	//183 QGlobalSpace::qIsFinite(float)
    {21, 420, 431, 2, Smoke::mf_static, 465, 166},	//184 QGlobalSpace::operator+(const QString&, QChar)
    {21, 408, 434, 2, Smoke::mf_static, 391, 167},	//185 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {21, 416, 328, 2, Smoke::mf_static, 489, 168},	//186 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {21, 469, 437, 2, Smoke::mf_static, 45, 169},	//187 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {21, 420, 123, 2, Smoke::mf_static, 397, 170},	//188 QGlobalSpace::operator+(const QByteArray&, const char*)
    {21, 673, 440, 3, Smoke::mf_static, 0, 171},	//189 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {21, 436, 444, 2, Smoke::mf_static, 29, 172},	//190 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {21, 490, 0, 0, Smoke::mf_static, 10, 173},	//191 QGlobalSpace::qAccessibleTextCastHelper()
    {21, 469, 447, 2, Smoke::mf_static, 87, 174},	//192 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {21, 469, 450, 2, Smoke::mf_static, 93, 175},	//193 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {21, 420, 105, 2, Smoke::mf_static, 465, 176},	//194 QGlobalSpace::operator+(const QString&, const char*)
    {21, 453, 395, 2, Smoke::mf_static, 391, 177},	//195 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {21, 469, 453, 2, Smoke::mf_static, 114, 178},	//196 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {21, 635, 456, 4, Smoke::mf_static, 514, 179},	//197 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {21, 463, 461, 2, Smoke::mf_static, 25, 180},	//198 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {21, 436, 464, 2, Smoke::mf_static, 25, 181},	//199 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {21, 420, 467, 2, Smoke::mf_static, 465, 182},	//200 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {21, 602, 354, 1, Smoke::mf_static, 507, 183},	//201 QGlobalSpace::qHash(unsigned int)
    {21, 592, 233, 2, Smoke::mf_static, 391, 184},	//202 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {21, 469, 470, 2, Smoke::mf_static, 116, 185},	//203 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {21, 602, 141, 1, Smoke::mf_static, 507, 186},	//204 QGlobalSpace::qHash(QChar)
    {21, 469, 473, 2, Smoke::mf_static, 95, 187},	//205 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {21, 440, 123, 2, Smoke::mf_static, 391, 188},	//206 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {21, 608, 126, 1, Smoke::mf_static, 496, 189},	//207 QGlobalSpace::qIntCast(float)
    {21, 447, 476, 2, Smoke::mf_static, 391, 190},	//208 QGlobalSpace::operator==(const QRect&, const QRect&)
    {21, 469, 479, 2, Smoke::mf_static, 55, 191},	//209 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {21, 467, 482, 2, Smoke::mf_static, 13, 192},	//210 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {21, 453, 485, 2, Smoke::mf_static, 391, 193},	//211 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {21, 469, 488, 2, Smoke::mf_static, 76, 194},	//212 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {21, 633, 491, 2, Smoke::mf_static, 514, 195},	//213 QGlobalSpace::qRealloc(void*, size_t)
    {21, 602, 494, 1, Smoke::mf_static, 507, 196},	//214 QGlobalSpace::qHash(const QString&)
    {21, 440, 395, 2, Smoke::mf_static, 391, 197},	//215 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {21, 420, 328, 2, Smoke::mf_static, 489, 198},	//216 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {21, 469, 496, 2, Smoke::mf_static, 80, 199},	//217 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {21, 436, 499, 2, Smoke::mf_static, 25, 200},	//218 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {21, 436, 502, 2, Smoke::mf_static, 25, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {21, 436, 505, 2, Smoke::mf_static, 29, 202},	//220 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {21, 649, 42, 1, Smoke::mf_static, 501, 203},	//221 QGlobalSpace::qRound64(double)
    {21, 606, 508, 1, Smoke::mf_static, 513, 204},	//222 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {21, 661, 42, 1, Smoke::mf_static, 494, 205},	//223 QGlobalSpace::qSqrt(double)
    {21, 469, 510, 2, Smoke::mf_static, 137, 206},	//224 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {21, 602, 5, 1, Smoke::mf_static, 507, 207},	//225 QGlobalSpace::qHash(const QModelIndex&)
    {21, 469, 513, 2, Smoke::mf_static, 48, 208},	//226 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {21, 580, 42, 1, Smoke::mf_static, 494, 209},	//227 QGlobalSpace::qFastCos(double)
    {21, 469, 516, 2, Smoke::mf_static, 92, 210},	//228 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {21, 463, 519, 2, Smoke::mf_static, 25, 211},	//229 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {21, 436, 522, 2, Smoke::mf_static, 29, 212},	//230 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {21, 447, 525, 2, Smoke::mf_static, 391, 213},	//231 QGlobalSpace::operator==(QBool, QBool)
    {21, 469, 528, 2, Smoke::mf_static, 62, 214},	//232 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {21, 447, 531, 2, Smoke::mf_static, 391, 215},	//233 QGlobalSpace::operator==(const char*, const QStringRef&)
    {21, 469, 534, 2, Smoke::mf_static, 137, 216},	//234 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {21, 469, 537, 2, Smoke::mf_static, 137, 217},	//235 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {21, 408, 362, 2, Smoke::mf_static, 391, 218},	//236 QGlobalSpace::operator!=(const char*, const QString&)
    {21, 616, 126, 1, Smoke::mf_static, 391, 219},	//237 QGlobalSpace::qIsNaN(float)
    {21, 469, 540, 2, Smoke::mf_static, 137, 220},	//238 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {21, 469, 543, 2, Smoke::mf_static, 68, 221},	//239 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {21, 440, 485, 2, Smoke::mf_static, 391, 222},	//240 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {21, 463, 546, 2, Smoke::mf_static, 25, 223},	//241 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {21, 584, 128, 1, Smoke::mf_static, 491, 224},	//242 QGlobalSpace::qFlagLocation(const char*)
    {21, 420, 257, 2, Smoke::mf_static, 274, 225},	//243 QGlobalSpace::operator+(const QTransform&, double)
    {21, 416, 549, 2, Smoke::mf_static, 144, 226},	//244 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {21, 436, 552, 2, Smoke::mf_static, 29, 227},	//245 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {21, 469, 555, 2, Smoke::mf_static, 137, 228},	//246 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {21, 616, 42, 1, Smoke::mf_static, 391, 229},	//247 QGlobalSpace::qIsNaN(double)
    {21, 597, 354, 1, Smoke::mf_static, 496, 230},	//248 QGlobalSpace::qGray(unsigned int)
    {21, 420, 558, 2, Smoke::mf_static, 465, 231},	//249 QGlobalSpace::operator+(QChar, const QString&)
    {21, 469, 561, 2, Smoke::mf_static, 89, 232},	//250 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {21, 469, 564, 2, Smoke::mf_static, 137, 233},	//251 QGlobalSpace::operator|(QString::SectionFlag, int)
    {21, 469, 567, 2, Smoke::mf_static, 61, 234},	//252 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {21, 469, 570, 2, Smoke::mf_static, 137, 235},	//253 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {21, 436, 573, 2, Smoke::mf_static, 29, 236},	//254 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {21, 463, 576, 2, Smoke::mf_static, 25, 237},	//255 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {21, 718, 579, 3, Smoke::mf_static, 0, 238},	//256 QGlobalSpace::qt_assert(const char*, const char*, int)
    {21, 602, 583, 1, Smoke::mf_static, 507, 239},	//257 QGlobalSpace::qHash(long long)
    {21, 425, 585, 1, Smoke::mf_static, 440, 240},	//258 QGlobalSpace::operator-(const QQuaternion&)
    {21, 408, 587, 2, Smoke::mf_static, 391, 241},	//259 QGlobalSpace::operator!=(const QString&, QString::Null)
    {21, 679, 334, 4, Smoke::mf_static, 393, 242},	//260 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {21, 469, 590, 2, Smoke::mf_static, 59, 243},	//261 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {21, 592, 593, 2, Smoke::mf_static, 391, 244},	//262 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {21, 469, 596, 2, Smoke::mf_static, 137, 245},	//263 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {21, 463, 599, 2, Smoke::mf_static, 25, 246},	//264 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {21, 469, 602, 2, Smoke::mf_static, 137, 247},	//265 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {21, 643, 365, 3, Smoke::mf_static, 507, 248},	//266 QGlobalSpace::qRgb(int, int, int)
    {21, 469, 605, 2, Smoke::mf_static, 93, 249},	//267 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {21, 420, 608, 2, Smoke::mf_static, 465, 250},	//268 QGlobalSpace::operator+(const QString&, char)
    {21, 408, 164, 2, Smoke::mf_static, 391, 251},	//269 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {21, 416, 611, 2, Smoke::mf_static, 171, 252},	//270 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {21, 425, 111, 2, Smoke::mf_static, 436, 253},	//271 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {21, 447, 434, 2, Smoke::mf_static, 391, 254},	//272 QGlobalSpace::operator==(QString::Null, QString::Null)
    {21, 469, 614, 2, Smoke::mf_static, 109, 255},	//273 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {21, 469, 617, 2, Smoke::mf_static, 73, 256},	//274 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {21, 469, 620, 2, Smoke::mf_static, 103, 257},	//275 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {21, 463, 623, 2, Smoke::mf_static, 25, 258},	//276 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {21, 431, 485, 2, Smoke::mf_static, 391, 259},	//277 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {21, 489, 0, 0, Smoke::mf_static, 10, 260},	//278 QGlobalSpace::qAccessibleTableCastHelper()
    {21, 469, 626, 2, Smoke::mf_static, 119, 261},	//279 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {21, 526, 629, 8, Smoke::mf_static, 0, 262},	//280 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {21, 526, 638, 6, Smoke::mf_static, 0, 263},	//281 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {21, 526, 645, 7, Smoke::mf_static, 0, 264},	//282 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {21, 595, 126, 1, Smoke::mf_static, 391, 265},	//283 QGlobalSpace::qFuzzyIsNull(float)
    {21, 416, 653, 2, Smoke::mf_static, 440, 266},	//284 QGlobalSpace::operator*(const QQuaternion&, double)
    {21, 469, 656, 2, Smoke::mf_static, 113, 267},	//285 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {21, 699, 659, 2, Smoke::mf_static, 393, 268},	//286 QGlobalSpace::qstrcpy(char*, const char*)
    {21, 602, 384, 1, Smoke::mf_static, 507, 269},	//287 QGlobalSpace::qHash(int)
    {21, 469, 662, 2, Smoke::mf_static, 80, 270},	//288 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {21, 420, 111, 2, Smoke::mf_static, 436, 271},	//289 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {21, 416, 665, 2, Smoke::mf_static, 190, 272},	//290 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {21, 469, 668, 2, Smoke::mf_static, 104, 273},	//291 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {21, 447, 322, 2, Smoke::mf_static, 391, 274},	//292 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {21, 425, 671, 1, Smoke::mf_static, 434, 275},	//293 QGlobalSpace::operator-(const QPoint&)
    {21, 469, 673, 2, Smoke::mf_static, 137, 276},	//294 QGlobalSpace::operator|(Qt::DropAction, int)
    {21, 436, 676, 2, Smoke::mf_static, 25, 277},	//295 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {21, 469, 679, 2, Smoke::mf_static, 137, 278},	//296 QGlobalSpace::operator|(QDir::SortFlag, int)
    {21, 656, 384, 1, Smoke::mf_static, 271, 279},	//297 QGlobalSpace::qSetRealNumberPrecision(int)
    {21, 576, 42, 1, Smoke::mf_static, 494, 280},	//298 QGlobalSpace::qExp(double)
    {21, 447, 682, 2, Smoke::mf_static, 391, 281},	//299 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {21, 620, 42, 1, Smoke::mf_static, 494, 282},	//300 QGlobalSpace::qLn(double)
    {21, 420, 53, 2, Smoke::mf_static, 485, 283},	//301 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {21, 551, 685, 7, Smoke::mf_static, 0, 284},	//302 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {21, 551, 693, 3, Smoke::mf_static, 0, 285},	//303 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {21, 551, 697, 4, Smoke::mf_static, 0, 286},	//304 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {21, 551, 702, 5, Smoke::mf_static, 0, 287},	//305 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 551, 708, 6, Smoke::mf_static, 0, 288},	//306 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {21, 436, 715, 2, Smoke::mf_static, 25, 289},	//307 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {21, 416, 718, 2, Smoke::mf_static, 288, 290},	//308 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {21, 469, 721, 2, Smoke::mf_static, 137, 291},	//309 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {21, 408, 322, 2, Smoke::mf_static, 391, 292},	//310 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {21, 639, 724, 1, Smoke::mf_static, 0, 293},	//311 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {21, 436, 726, 2, Smoke::mf_static, 29, 294},	//312 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {21, 436, 729, 2, Smoke::mf_static, 29, 295},	//313 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {21, 469, 732, 2, Smoke::mf_static, 53, 296},	//314 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {21, 510, 56, 2, Smoke::mf_static, 510, 297},	//315 QGlobalSpace::qChecksum(const char*, unsigned int)
    {21, 521, 735, 4, Smoke::mf_static, 0, 298},	//316 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {21, 429, 740, 2, Smoke::mf_static, 489, 299},	//317 QGlobalSpace::operator/(const QVector4D&, double)
    {21, 488, 0, 0, Smoke::mf_static, 10, 300},	//318 QGlobalSpace::qAccessibleTable2CastHelper()
    {21, 436, 743, 2, Smoke::mf_static, 268, 301},	//319 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {21, 469, 746, 2, Smoke::mf_static, 112, 302},	//320 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {21, 622, 749, 1, Smoke::mf_static, 514, 303},	//321 QGlobalSpace::qMalloc(size_t)
    {21, 632, 0, 0, Smoke::mf_static, 494, 304},	//322 QGlobalSpace::qQNaN()
    {21, 469, 751, 2, Smoke::mf_static, 105, 305},	//323 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {21, 463, 754, 2, Smoke::mf_static, 25, 306},	//324 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {21, 687, 90, 2, Smoke::mf_static, 391, 307},	//325 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {21, 469, 757, 2, Smoke::mf_static, 90, 308},	//326 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {21, 469, 760, 2, Smoke::mf_static, 70, 309},	//327 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {21, 436, 763, 2, Smoke::mf_static, 25, 310},	//328 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {21, 436, 766, 2, Smoke::mf_static, 29, 311},	//329 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {21, 469, 769, 2, Smoke::mf_static, 137, 312},	//330 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {21, 506, 354, 1, Smoke::mf_static, 496, 313},	//331 QGlobalSpace::qBlue(unsigned int)
    {21, 469, 772, 2, Smoke::mf_static, 97, 314},	//332 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {21, 416, 53, 2, Smoke::mf_static, 485, 315},	//333 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {21, 436, 775, 2, Smoke::mf_static, 25, 316},	//334 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {21, 436, 778, 2, Smoke::mf_static, 25, 317},	//335 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {21, 562, 781, 5, Smoke::mf_static, 0, 318},	//336 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 562, 693, 3, Smoke::mf_static, 0, 319},	//337 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {21, 562, 697, 4, Smoke::mf_static, 0, 320},	//338 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {21, 692, 354, 1, Smoke::mf_static, 0, 321},	//339 QGlobalSpace::qsrand(unsigned int)
    {21, 408, 233, 2, Smoke::mf_static, 391, 322},	//340 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {21, 469, 787, 2, Smoke::mf_static, 137, 323},	//341 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {21, 602, 790, 1, Smoke::mf_static, 507, 324},	//342 QGlobalSpace::qHash(long)
    {21, 436, 792, 2, Smoke::mf_static, 25, 325},	//343 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {21, 416, 795, 2, Smoke::mf_static, 434, 326},	//344 QGlobalSpace::operator*(int, const QPoint&)
    {21, 453, 34, 2, Smoke::mf_static, 391, 327},	//345 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {21, 602, 798, 1, Smoke::mf_static, 507, 328},	//346 QGlobalSpace::qHash(unsigned short)
    {21, 469, 800, 2, Smoke::mf_static, 96, 329},	//347 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {21, 463, 803, 2, Smoke::mf_static, 25, 330},	//348 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {21, 408, 111, 2, Smoke::mf_static, 391, 331},	//349 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {21, 469, 806, 2, Smoke::mf_static, 77, 332},	//350 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {21, 436, 809, 2, Smoke::mf_static, 25, 333},	//351 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {21, 469, 812, 2, Smoke::mf_static, 56, 334},	//352 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {21, 469, 815, 2, Smoke::mf_static, 69, 335},	//353 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {21, 425, 53, 2, Smoke::mf_static, 485, 336},	//354 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {21, 542, 818, 6, Smoke::mf_static, 0, 337},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {21, 542, 693, 3, Smoke::mf_static, 0, 338},	//356 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {21, 542, 697, 4, Smoke::mf_static, 0, 339},	//357 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 542, 702, 5, Smoke::mf_static, 0, 340},	//358 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 711, 401, 3, Smoke::mf_static, 496, 341},	//359 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {21, 420, 825, 2, Smoke::mf_static, 465, 342},	//360 QGlobalSpace::operator+(char, const QString&)
    {21, 463, 828, 2, Smoke::mf_static, 25, 343},	//361 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {21, 447, 206, 2, Smoke::mf_static, 391, 344},	//362 QGlobalSpace::operator==(QString::Null, const QString&)
    {21, 463, 831, 2, Smoke::mf_static, 25, 345},	//363 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {21, 447, 405, 2, Smoke::mf_static, 391, 346},	//364 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {21, 469, 834, 2, Smoke::mf_static, 89, 347},	//365 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {21, 469, 837, 2, Smoke::mf_static, 137, 348},	//366 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {21, 420, 485, 2, Smoke::mf_static, 397, 349},	//367 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {21, 469, 840, 2, Smoke::mf_static, 96, 350},	//368 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {21, 602, 843, 1, Smoke::mf_static, 507, 351},	//369 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {21, 453, 362, 2, Smoke::mf_static, 391, 352},	//370 QGlobalSpace::operator>(const char*, const QString&)
    {21, 436, 845, 2, Smoke::mf_static, 29, 353},	//371 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {21, 436, 848, 2, Smoke::mf_static, 25, 354},	//372 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {21, 436, 851, 2, Smoke::mf_static, 25, 355},	//373 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {21, 436, 854, 2, Smoke::mf_static, 25, 356},	//374 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {21, 436, 857, 2, Smoke::mf_static, 25, 357},	//375 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {21, 463, 860, 2, Smoke::mf_static, 25, 358},	//376 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {21, 733, 863, 3, Smoke::mf_static, 165, 359},	//377 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {21, 542, 867, 9, Smoke::mf_static, 0, 360},	//378 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {21, 542, 298, 6, Smoke::mf_static, 0, 361},	//379 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 542, 305, 7, Smoke::mf_static, 0, 362},	//380 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 542, 877, 8, Smoke::mf_static, 0, 363},	//381 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 469, 886, 2, Smoke::mf_static, 83, 364},	//382 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {21, 463, 889, 2, Smoke::mf_static, 25, 365},	//383 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {21, 469, 892, 2, Smoke::mf_static, 137, 366},	//384 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {21, 429, 895, 2, Smoke::mf_static, 485, 367},	//385 QGlobalSpace::operator/(const QVector2D&, double)
    {21, 469, 898, 2, Smoke::mf_static, 87, 368},	//386 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {21, 429, 901, 2, Smoke::mf_static, 436, 369},	//387 QGlobalSpace::operator/(const QPointF&, double)
    {21, 408, 904, 2, Smoke::mf_static, 391, 370},	//388 QGlobalSpace::operator!=(bool, QBool)
    {21, 447, 395, 2, Smoke::mf_static, 391, 371},	//389 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {21, 469, 907, 2, Smoke::mf_static, 66, 372},	//390 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {21, 429, 910, 2, Smoke::mf_static, 487, 373},	//391 QGlobalSpace::operator/(const QVector3D&, double)
    {21, 469, 913, 2, Smoke::mf_static, 70, 374},	//392 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {21, 469, 916, 2, Smoke::mf_static, 69, 375},	//393 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {21, 709, 919, 3, Smoke::mf_static, 393, 376},	//394 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {21, 416, 923, 2, Smoke::mf_static, 485, 377},	//395 QGlobalSpace::operator*(double, const QVector2D&)
    {21, 425, 926, 1, Smoke::mf_static, 489, 378},	//396 QGlobalSpace::operator-(const QVector4D&)
    {21, 469, 928, 2, Smoke::mf_static, 100, 379},	//397 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {21, 463, 931, 2, Smoke::mf_static, 25, 380},	//398 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {21, 668, 183, 1, Smoke::mf_static, 17, 381},	//399 QGlobalSpace::qUncompress(const QByteArray&)
    {21, 469, 934, 2, Smoke::mf_static, 90, 382},	//400 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {21, 429, 257, 2, Smoke::mf_static, 274, 383},	//401 QGlobalSpace::operator/(const QTransform&, double)
    {21, 469, 937, 2, Smoke::mf_static, 137, 384},	//402 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {21, 592, 44, 2, Smoke::mf_static, 391, 385},	//403 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {21, 469, 940, 2, Smoke::mf_static, 137, 386},	//404 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {21, 436, 943, 2, Smoke::mf_static, 25, 387},	//405 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {21, 463, 946, 2, Smoke::mf_static, 25, 388},	//406 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {21, 485, 0, 0, Smoke::mf_static, 10, 389},	//407 QGlobalSpace::qAccessibleActionCastHelper()
    {21, 416, 949, 2, Smoke::mf_static, 180, 390},	//408 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {21, 469, 952, 2, Smoke::mf_static, 137, 391},	//409 QGlobalSpace::operator|(Qt::MouseButton, int)
    {21, 463, 955, 2, Smoke::mf_static, 25, 392},	//410 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {21, 425, 958, 1, Smoke::mf_static, 436, 393},	//411 QGlobalSpace::operator-(const QPointF&)
    {21, 436, 960, 2, Smoke::mf_static, 29, 394},	//412 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {21, 469, 963, 2, Smoke::mf_static, 43, 395},	//413 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {21, 447, 904, 2, Smoke::mf_static, 391, 396},	//414 QGlobalSpace::operator==(bool, QBool)
    {21, 463, 966, 2, Smoke::mf_static, 25, 397},	//415 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {21, 469, 969, 2, Smoke::mf_static, 137, 398},	//416 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {21, 689, 0, 0, Smoke::mf_static, 496, 399},	//417 QGlobalSpace::qrand()
    {21, 436, 972, 2, Smoke::mf_static, 29, 400},	//418 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {21, 416, 975, 2, Smoke::mf_static, 184, 401},	//419 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {21, 463, 978, 2, Smoke::mf_static, 25, 402},	//420 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {21, 469, 981, 2, Smoke::mf_static, 47, 403},	//421 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {21, 720, 984, 4, Smoke::mf_static, 0, 404},	//422 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {21, 416, 989, 2, Smoke::mf_static, 434, 405},	//423 QGlobalSpace::operator*(float, const QPoint&)
    {21, 414, 482, 2, Smoke::mf_static, 13, 406},	//424 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {21, 458, 90, 2, Smoke::mf_static, 391, 407},	//425 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {21, 436, 992, 2, Smoke::mf_static, 29, 408},	//426 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {21, 469, 995, 2, Smoke::mf_static, 57, 409},	//427 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {21, 469, 998, 2, Smoke::mf_static, 98, 410},	//428 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {21, 469, 1001, 2, Smoke::mf_static, 114, 411},	//429 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {21, 436, 1004, 2, Smoke::mf_static, 25, 412},	//430 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {21, 592, 1007, 2, Smoke::mf_static, 391, 413},	//431 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {21, 469, 1010, 2, Smoke::mf_static, 137, 414},	//432 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {21, 408, 1013, 2, Smoke::mf_static, 391, 415},	//433 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {21, 645, 1016, 4, Smoke::mf_static, 507, 416},	//434 QGlobalSpace::qRgba(int, int, int, int)
    {21, 519, 0, 0, Smoke::mf_static, 29, 417},	//435 QGlobalSpace::qCritical()
    {21, 416, 740, 2, Smoke::mf_static, 489, 418},	//436 QGlobalSpace::operator*(const QVector4D&, double)
    {21, 463, 1021, 2, Smoke::mf_static, 25, 419},	//437 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {21, 436, 1024, 2, Smoke::mf_static, 29, 420},	//438 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {21, 436, 1027, 2, Smoke::mf_static, 25, 421},	//439 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {21, 469, 1030, 2, Smoke::mf_static, 108, 422},	//440 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {21, 408, 90, 2, Smoke::mf_static, 391, 423},	//441 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {21, 408, 242, 2, Smoke::mf_static, 391, 424},	//442 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {21, 431, 63, 2, Smoke::mf_static, 391, 425},	//443 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {21, 416, 1033, 2, Smoke::mf_static, 489, 426},	//444 QGlobalSpace::operator*(double, const QVector4D&)
    {21, 469, 1036, 2, Smoke::mf_static, 137, 427},	//445 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {21, 469, 1039, 2, Smoke::mf_static, 75, 428},	//446 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {21, 447, 1013, 2, Smoke::mf_static, 391, 429},	//447 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {21, 436, 1042, 2, Smoke::mf_static, 25, 430},	//448 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {21, 436, 1045, 2, Smoke::mf_static, 29, 431},	//449 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {21, 420, 1048, 2, Smoke::mf_static, 397, 432},	//450 QGlobalSpace::operator+(const QByteArray&, char)
    {21, 469, 1051, 2, Smoke::mf_static, 52, 433},	//451 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {21, 469, 1054, 2, Smoke::mf_static, 50, 434},	//452 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {21, 463, 1057, 2, Smoke::mf_static, 25, 435},	//453 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {21, 429, 1060, 2, Smoke::mf_static, 449, 436},	//454 QGlobalSpace::operator/(const QSizeF&, double)
    {21, 458, 395, 2, Smoke::mf_static, 391, 437},	//455 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {21, 447, 328, 2, Smoke::mf_static, 391, 438},	//456 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {21, 436, 1063, 2, Smoke::mf_static, 25, 439},	//457 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {21, 469, 1066, 2, Smoke::mf_static, 137, 440},	//458 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {21, 447, 242, 2, Smoke::mf_static, 391, 441},	//459 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {21, 494, 1069, 1, Smoke::mf_static, 0, 442},	//460 QGlobalSpace::qAddPostRoutine(void(*)())
    {21, 512, 1071, 3, Smoke::mf_static, 17, 443},	//461 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {21, 512, 398, 2, Smoke::mf_static, 17, 444},	//462 QGlobalSpace::qCompress(const unsigned char*, int)
    {21, 469, 1075, 2, Smoke::mf_static, 81, 445},	//463 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {21, 440, 90, 2, Smoke::mf_static, 391, 446},	//464 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {21, 582, 42, 1, Smoke::mf_static, 494, 447},	//465 QGlobalSpace::qFastSin(double)
    {21, 440, 34, 2, Smoke::mf_static, 391, 448},	//466 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {21, 436, 1078, 2, Smoke::mf_static, 25, 449},	//467 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {21, 463, 1081, 2, Smoke::mf_static, 25, 450},	//468 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {21, 469, 1084, 2, Smoke::mf_static, 49, 451},	//469 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {21, 463, 1087, 2, Smoke::mf_static, 25, 452},	//470 QGlobalSpace::operator>>(QDataStream&, QString&)
    {21, 429, 653, 2, Smoke::mf_static, 440, 453},	//471 QGlobalSpace::operator/(const QQuaternion&, double)
    {21, 498, 0, 0, Smoke::mf_static, 242, 454},	//472 QGlobalSpace::qAppName()
    {21, 671, 0, 0, Smoke::mf_static, 491, 455},	//473 QGlobalSpace::qVersion()
    {21, 469, 1090, 2, Smoke::mf_static, 84, 456},	//474 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {21, 436, 1093, 2, Smoke::mf_static, 25, 457},	//475 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {21, 469, 1096, 2, Smoke::mf_static, 137, 458},	//476 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {21, 588, 1099, 1, Smoke::mf_static, 0, 459},	//477 QGlobalSpace::qFree(void*)
    {21, 436, 1101, 2, Smoke::mf_static, 29, 460},	//478 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 416, 1104, 2, Smoke::mf_static, 146, 461},	//479 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {21, 436, 1107, 2, Smoke::mf_static, 25, 462},	//480 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {21, 469, 1110, 2, Smoke::mf_static, 137, 463},	//481 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {21, 469, 1113, 2, Smoke::mf_static, 137, 464},	//482 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {21, 590, 1099, 1, Smoke::mf_static, 0, 465},	//483 QGlobalSpace::qFreeAligned(void*)
    {21, 463, 1116, 2, Smoke::mf_static, 25, 466},	//484 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {21, 447, 587, 2, Smoke::mf_static, 391, 467},	//485 QGlobalSpace::operator==(const QString&, QString::Null)
    {21, 436, 1119, 2, Smoke::mf_static, 29, 468},	//486 QGlobalSpace::operator<<(QDebug, const QDir&)
    {21, 436, 1122, 2, Smoke::mf_static, 268, 469},	//487 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 431, 123, 2, Smoke::mf_static, 391, 470},	//488 QGlobalSpace::operator<(const QByteArray&, const char*)
    {21, 436, 1125, 2, Smoke::mf_static, 29, 471},	//489 QGlobalSpace::operator<<(QDebug, const QPen&)
    {21, 416, 1128, 2, Smoke::mf_static, 440, 472},	//490 QGlobalSpace::operator*(double, const QQuaternion&)
    {21, 416, 895, 2, Smoke::mf_static, 485, 473},	//491 QGlobalSpace::operator*(const QVector2D&, double)
    {21, 436, 1131, 2, Smoke::mf_static, 29, 474},	//492 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {21, 408, 328, 2, Smoke::mf_static, 391, 475},	//493 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {21, 469, 1134, 2, Smoke::mf_static, 63, 476},	//494 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 436, 1137, 2, Smoke::mf_static, 29, 477},	//495 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {21, 469, 1140, 2, Smoke::mf_static, 97, 478},	//496 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {21, 469, 1143, 2, Smoke::mf_static, 55, 479},	//497 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {21, 416, 910, 2, Smoke::mf_static, 487, 480},	//498 QGlobalSpace::operator*(const QVector3D&, double)
    {21, 602, 1146, 1, Smoke::mf_static, 507, 481},	//499 QGlobalSpace::qHash(const QBitArray&)
    {21, 436, 1148, 2, Smoke::mf_static, 29, 482},	//500 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {21, 469, 1151, 2, Smoke::mf_static, 68, 483},	//501 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {21, 436, 1154, 2, Smoke::mf_static, 29, 484},	//502 QGlobalSpace::operator<<(QDebug, const QTime&)
    {21, 436, 1157, 2, Smoke::mf_static, 268, 485},	//503 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {21, 508, 42, 1, Smoke::mf_static, 496, 486},	//504 QGlobalSpace::qCeil(double)
    {21, 436, 1160, 2, Smoke::mf_static, 29, 487},	//505 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {21, 463, 1163, 2, Smoke::mf_static, 25, 488},	//506 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {21, 408, 170, 2, Smoke::mf_static, 391, 489},	//507 QGlobalSpace::operator!=(QChar, QChar)
    {21, 469, 1166, 2, Smoke::mf_static, 107, 490},	//508 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {21, 663, 1169, 2, Smoke::mf_static, 391, 491},	//509 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {21, 701, 128, 1, Smoke::mf_static, 393, 492},	//510 QGlobalSpace::qstrdup(const char*)
    {21, 469, 1172, 2, Smoke::mf_static, 137, 493},	//511 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {21, 469, 1175, 2, Smoke::mf_static, 81, 494},	//512 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {21, 487, 0, 0, Smoke::mf_static, 10, 495},	//513 QGlobalSpace::qAccessibleImageCastHelper()
    {21, 469, 1178, 2, Smoke::mf_static, 102, 496},	//514 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {21, 463, 1181, 2, Smoke::mf_static, 25, 497},	//515 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {21, 463, 1184, 2, Smoke::mf_static, 25, 498},	//516 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {21, 440, 362, 2, Smoke::mf_static, 391, 499},	//517 QGlobalSpace::operator<=(const char*, const QString&)
    {21, 408, 531, 2, Smoke::mf_static, 391, 500},	//518 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {21, 463, 1187, 2, Smoke::mf_static, 25, 501},	//519 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {21, 469, 1190, 2, Smoke::mf_static, 44, 502},	//520 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {21, 436, 1193, 2, Smoke::mf_static, 25, 503},	//521 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {21, 469, 1196, 2, Smoke::mf_static, 91, 504},	//522 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {21, 469, 1199, 2, Smoke::mf_static, 137, 505},	//523 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {21, 520, 0, 0, Smoke::mf_static, 29, 506},	//524 QGlobalSpace::qDebug()
    {21, 624, 1202, 2, Smoke::mf_static, 514, 507},	//525 QGlobalSpace::qMallocAligned(size_t, size_t)
    {21, 469, 1205, 2, Smoke::mf_static, 64, 508},	//526 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {21, 416, 1208, 2, Smoke::mf_static, 178, 509},	//527 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {21, 408, 1169, 2, Smoke::mf_static, 391, 510},	//528 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {21, 677, 1211, 6, Smoke::mf_static, 496, 511},	//529 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {21, 600, 354, 1, Smoke::mf_static, 496, 512},	//530 QGlobalSpace::qGreen(unsigned int)
    {21, 630, 117, 2, Smoke::mf_static, 494, 513},	//531 QGlobalSpace::qPow(double, double)
    {21, 440, 63, 2, Smoke::mf_static, 391, 514},	//532 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {21, 436, 1218, 2, Smoke::mf_static, 29, 515},	//533 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {21, 469, 1221, 2, Smoke::mf_static, 137, 516},	//534 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {21, 463, 1122, 2, Smoke::mf_static, 268, 517},	//535 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 420, 1224, 2, Smoke::mf_static, 397, 518},	//536 QGlobalSpace::operator+(char, const QByteArray&)
    {21, 469, 1227, 2, Smoke::mf_static, 137, 519},	//537 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {21, 447, 90, 2, Smoke::mf_static, 391, 520},	//538 QGlobalSpace::operator==(const char*, const QByteArray&)
    {21, 436, 1230, 2, Smoke::mf_static, 25, 521},	//539 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {21, 469, 1233, 2, Smoke::mf_static, 91, 522},	//540 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {21, 425, 81, 2, Smoke::mf_static, 447, 523},	//541 QGlobalSpace::operator-(const QSize&, const QSize&)
    {21, 436, 1236, 2, Smoke::mf_static, 29, 524},	//542 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {21, 420, 362, 2, Smoke::mf_static, 465, 525},	//543 QGlobalSpace::operator+(const char*, const QString&)
    {21, 469, 1239, 2, Smoke::mf_static, 46, 526},	//544 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {21, 469, 1242, 2, Smoke::mf_static, 79, 527},	//545 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {21, 469, 1245, 2, Smoke::mf_static, 137, 528},	//546 QGlobalSpace::operator|(Qt::WindowState, int)
    {21, 463, 1248, 2, Smoke::mf_static, 25, 529},	//547 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {21, 463, 1251, 2, Smoke::mf_static, 25, 530},	//548 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {21, 469, 1254, 2, Smoke::mf_static, 48, 531},	//549 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {21, 408, 682, 2, Smoke::mf_static, 391, 532},	//550 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {21, 469, 1257, 2, Smoke::mf_static, 98, 533},	//551 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {21, 436, 1260, 2, Smoke::mf_static, 29, 534},	//552 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {21, 469, 1263, 2, Smoke::mf_static, 111, 535},	//553 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {21, 416, 1266, 2, Smoke::mf_static, 436, 536},	//554 QGlobalSpace::operator*(double, const QPointF&)
    {21, 463, 1269, 2, Smoke::mf_static, 25, 537},	//555 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {21, 469, 1272, 2, Smoke::mf_static, 106, 538},	//556 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {21, 416, 1275, 2, Smoke::mf_static, 190, 539},	//557 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {21, 447, 34, 2, Smoke::mf_static, 391, 540},	//558 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {21, 416, 1278, 2, Smoke::mf_static, 447, 541},	//559 QGlobalSpace::operator*(const QSize&, double)
    {21, 436, 1281, 2, Smoke::mf_static, 29, 542},	//560 QGlobalSpace::operator<<(QDebug, const QDate&)
    {21, 592, 53, 2, Smoke::mf_static, 391, 543},	//561 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {21, 416, 1284, 2, Smoke::mf_static, 171, 544},	//562 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {21, 469, 1287, 2, Smoke::mf_static, 46, 545},	//563 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {21, 469, 1290, 2, Smoke::mf_static, 50, 546},	//564 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {21, 741, 1293, 4, Smoke::mf_static, 496, 547},	//565 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {21, 416, 1298, 2, Smoke::mf_static, 434, 548},	//566 QGlobalSpace::operator*(double, const QPoint&)
    {21, 416, 1301, 2, Smoke::mf_static, 184, 549},	//567 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {21, 628, 1304, 3, Smoke::mf_static, 514, 550},	//568 QGlobalSpace::qMemSet(void*, int, size_t)
    {21, 436, 1308, 2, Smoke::mf_static, 25, 551},	//569 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {21, 722, 1311, 2, Smoke::mf_static, 0, 552},	//570 QGlobalSpace::qt_check_pointer(const char*, int)
    {21, 569, 781, 5, Smoke::mf_static, 0, 553},	//571 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 569, 693, 3, Smoke::mf_static, 0, 554},	//572 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {21, 569, 697, 4, Smoke::mf_static, 0, 555},	//573 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 602, 1314, 1, Smoke::mf_static, 507, 556},	//574 QGlobalSpace::qHash(short)
    {21, 469, 1316, 2, Smoke::mf_static, 75, 557},	//575 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {21, 469, 1319, 2, Smoke::mf_static, 67, 558},	//576 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {21, 578, 42, 1, Smoke::mf_static, 494, 559},	//577 QGlobalSpace::qFabs(double)
    {21, 469, 1322, 2, Smoke::mf_static, 105, 560},	//578 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {21, 469, 1325, 2, Smoke::mf_static, 51, 561},	//579 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {21, 694, 485, 2, Smoke::mf_static, 496, 562},	//580 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {21, 592, 1328, 2, Smoke::mf_static, 391, 563},	//581 QGlobalSpace::qFuzzyCompare(float, float)
    {21, 447, 1331, 2, Smoke::mf_static, 391, 564},	//582 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {21, 469, 1334, 2, Smoke::mf_static, 137, 565},	//583 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {21, 469, 1337, 2, Smoke::mf_static, 71, 566},	//584 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {21, 681, 1211, 6, Smoke::mf_static, 496, 567},	//585 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {21, 683, 1340, 3, Smoke::mf_static, 393, 568},	//586 QGlobalSpace::qgcvt(long double, int, char*)
    {21, 690, 1344, 4, Smoke::mf_static, 0, 569},	//587 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {21, 469, 1349, 2, Smoke::mf_static, 100, 570},	//588 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {21, 469, 1352, 2, Smoke::mf_static, 88, 571},	//589 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {21, 469, 1355, 2, Smoke::mf_static, 66, 572},	//590 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {21, 492, 42, 1, Smoke::mf_static, 494, 573},	//591 QGlobalSpace::qAcos(double)
    {21, 469, 1358, 2, Smoke::mf_static, 137, 574},	//592 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {21, 469, 1361, 2, Smoke::mf_static, 109, 575},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {21, 469, 1364, 2, Smoke::mf_static, 137, 576},	//594 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {21, 436, 1367, 2, Smoke::mf_static, 25, 577},	//595 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {21, 458, 485, 2, Smoke::mf_static, 391, 578},	//596 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {21, 469, 1370, 2, Smoke::mf_static, 82, 579},	//597 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {21, 469, 1373, 2, Smoke::mf_static, 78, 580},	//598 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {21, 463, 1376, 2, Smoke::mf_static, 25, 581},	//599 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {21, 505, 0, 0, Smoke::mf_static, 0, 582},	//600 QGlobalSpace::qBadAlloc()
    {21, 436, 1379, 2, Smoke::mf_static, 29, 583},	//601 QGlobalSpace::operator<<(QDebug, const QLine&)
    {21, 469, 1382, 2, Smoke::mf_static, 115, 584},	//602 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {21, 551, 1385, 10, Smoke::mf_static, 0, 585},	//603 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {21, 551, 298, 6, Smoke::mf_static, 0, 586},	//604 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {21, 551, 305, 7, Smoke::mf_static, 0, 587},	//605 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 551, 877, 8, Smoke::mf_static, 0, 588},	//606 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 551, 1396, 9, Smoke::mf_static, 0, 589},	//607 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 469, 1406, 2, Smoke::mf_static, 137, 590},	//608 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {21, 463, 1409, 2, Smoke::mf_static, 25, 591},	//609 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {21, 436, 1412, 2, Smoke::mf_static, 29, 592},	//610 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {21, 469, 1415, 2, Smoke::mf_static, 137, 593},	//611 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {21, 595, 42, 1, Smoke::mf_static, 391, 594},	//612 QGlobalSpace::qFuzzyIsNull(double)
    {21, 512, 1418, 2, Smoke::mf_static, 17, 595},	//613 QGlobalSpace::qCompress(const QByteArray&, int)
    {21, 512, 183, 1, Smoke::mf_static, 17, 596},	//614 QGlobalSpace::qCompress(const QByteArray&)
    {21, 436, 1421, 2, Smoke::mf_static, 29, 597},	//615 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {21, 469, 1424, 2, Smoke::mf_static, 101, 598},	//616 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {21, 469, 1427, 2, Smoke::mf_static, 137, 599},	//617 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {21, 469, 1430, 2, Smoke::mf_static, 137, 600},	//618 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {21, 469, 1433, 2, Smoke::mf_static, 64, 601},	//619 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {21, 469, 1436, 2, Smoke::mf_static, 137, 602},	//620 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {21, 469, 1439, 2, Smoke::mf_static, 118, 603},	//621 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {21, 425, 1442, 1, Smoke::mf_static, 485, 604},	//622 QGlobalSpace::operator-(const QVector2D&)
    {21, 469, 1444, 2, Smoke::mf_static, 137, 605},	//623 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {21, 469, 1447, 2, Smoke::mf_static, 41, 606},	//624 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {21, 436, 1450, 2, Smoke::mf_static, 25, 607},	//625 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {21, 416, 1453, 2, Smoke::mf_static, 157, 608},	//626 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {21, 436, 1456, 2, Smoke::mf_static, 25, 609},	//627 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {21, 533, 1396, 9, Smoke::mf_static, 0, 610},	//628 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 533, 298, 6, Smoke::mf_static, 0, 611},	//629 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {21, 533, 305, 7, Smoke::mf_static, 0, 612},	//630 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 533, 877, 8, Smoke::mf_static, 0, 613},	//631 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 469, 1459, 2, Smoke::mf_static, 45, 614},	//632 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {21, 436, 1462, 2, Smoke::mf_static, 25, 615},	//633 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {21, 416, 1465, 2, Smoke::mf_static, 144, 616},	//634 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {21, 436, 1468, 2, Smoke::mf_static, 25, 617},	//635 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {21, 499, 42, 1, Smoke::mf_static, 494, 618},	//636 QGlobalSpace::qAsin(double)
    {21, 436, 1471, 2, Smoke::mf_static, 29, 619},	//637 QGlobalSpace::operator<<(QDebug, const QRect&)
    {21, 436, 1474, 2, Smoke::mf_static, 29, 620},	//638 QGlobalSpace::operator<<(QDebug, const QFont&)
    {21, 469, 1477, 2, Smoke::mf_static, 51, 621},	//639 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {21, 469, 1480, 2, Smoke::mf_static, 47, 622},	//640 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {21, 469, 1483, 2, Smoke::mf_static, 137, 623},	//641 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {21, 408, 476, 2, Smoke::mf_static, 391, 624},	//642 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {21, 659, 42, 1, Smoke::mf_static, 494, 625},	//643 QGlobalSpace::qSin(double)
    {21, 469, 1486, 2, Smoke::mf_static, 137, 626},	//644 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {21, 447, 485, 2, Smoke::mf_static, 391, 627},	//645 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {21, 463, 1489, 2, Smoke::mf_static, 25, 628},	//646 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {21, 469, 1492, 2, Smoke::mf_static, 74, 629},	//647 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {21, 469, 482, 2, Smoke::mf_static, 13, 630},	//648 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {21, 436, 1495, 2, Smoke::mf_static, 25, 631},	//649 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {21, 592, 50, 2, Smoke::mf_static, 391, 632},	//650 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {21, 562, 289, 8, Smoke::mf_static, 0, 633},	//651 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 562, 298, 6, Smoke::mf_static, 0, 634},	//652 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {21, 562, 305, 7, Smoke::mf_static, 0, 635},	//653 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 436, 1498, 2, Smoke::mf_static, 25, 636},	//654 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {21, 469, 1501, 2, Smoke::mf_static, 58, 637},	//655 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {21, 447, 1504, 2, Smoke::mf_static, 391, 638},	//656 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {21, 469, 1507, 2, Smoke::mf_static, 59, 639},	//657 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {21, 469, 1510, 2, Smoke::mf_static, 84, 640},	//658 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {21, 469, 1513, 2, Smoke::mf_static, 137, 641},	//659 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {21, 463, 1516, 2, Smoke::mf_static, 25, 642},	//660 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {21, 436, 1519, 2, Smoke::mf_static, 25, 643},	//661 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {21, 715, 1311, 2, Smoke::mf_static, 242, 644},	//662 QGlobalSpace::qtTrId(const char*, int)
    {21, 715, 128, 1, Smoke::mf_static, 242, 645},	//663 QGlobalSpace::qtTrId(const char*)
    {21, 469, 1522, 2, Smoke::mf_static, 137, 646},	//664 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {21, 469, 1525, 2, Smoke::mf_static, 94, 647},	//665 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {21, 425, 1528, 1, Smoke::mf_static, 487, 648},	//666 QGlobalSpace::operator-(const QVector3D&)
    {21, 436, 1530, 2, Smoke::mf_static, 29, 649},	//667 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {21, 440, 170, 2, Smoke::mf_static, 391, 650},	//668 QGlobalSpace::operator<=(QChar, QChar)
    {21, 469, 1533, 2, Smoke::mf_static, 118, 651},	//669 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {21, 612, 354, 1, Smoke::mf_static, 391, 652},	//670 QGlobalSpace::qIsGray(unsigned int)
    {21, 469, 1536, 2, Smoke::mf_static, 62, 653},	//671 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {21, 408, 1331, 2, Smoke::mf_static, 391, 654},	//672 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {21, 469, 1539, 2, Smoke::mf_static, 110, 655},	//673 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {21, 463, 1542, 2, Smoke::mf_static, 25, 656},	//674 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {21, 463, 1545, 2, Smoke::mf_static, 25, 657},	//675 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {21, 526, 1548, 5, Smoke::mf_static, 0, 658},	//676 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {21, 526, 1554, 3, Smoke::mf_static, 0, 659},	//677 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {21, 526, 1558, 4, Smoke::mf_static, 0, 660},	//678 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {21, 463, 1563, 2, Smoke::mf_static, 25, 661},	//679 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {21, 469, 1566, 2, Smoke::mf_static, 63, 662},	//680 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {21, 469, 1569, 2, Smoke::mf_static, 137, 663},	//681 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {21, 416, 1572, 2, Smoke::mf_static, 434, 664},	//682 QGlobalSpace::operator*(const QPoint&, int)
    {21, 463, 1575, 2, Smoke::mf_static, 25, 665},	//683 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {21, 469, 1578, 2, Smoke::mf_static, 82, 666},	//684 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {21, 469, 1581, 2, Smoke::mf_static, 137, 667},	//685 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {21, 739, 1584, 3, Smoke::mf_static, 391, 668},	//686 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {21, 436, 1588, 2, Smoke::mf_static, 29, 669},	//687 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {21, 469, 1591, 2, Smoke::mf_static, 137, 670},	//688 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {21, 416, 1594, 2, Smoke::mf_static, 178, 671},	//689 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {21, 429, 1278, 2, Smoke::mf_static, 447, 672},	//690 QGlobalSpace::operator/(const QSize&, double)
    {21, 416, 1597, 2, Smoke::mf_static, 178, 673},	//691 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {21, 618, 126, 1, Smoke::mf_static, 391, 674},	//692 QGlobalSpace::qIsNull(float)
    {21, 469, 1600, 2, Smoke::mf_static, 43, 675},	//693 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {21, 735, 1603, 5, Smoke::mf_static, 0, 676},	//694 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {21, 447, 1609, 2, Smoke::mf_static, 391, 677},	//695 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {21, 501, 42, 1, Smoke::mf_static, 494, 678},	//696 QGlobalSpace::qAtan(double)
    {21, 463, 1612, 2, Smoke::mf_static, 25, 679},	//697 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {21, 469, 1615, 2, Smoke::mf_static, 137, 680},	//698 QGlobalSpace::operator|(Qt::Orientation, int)
    {21, 469, 1618, 2, Smoke::mf_static, 92, 681},	//699 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {21, 592, 117, 2, Smoke::mf_static, 391, 682},	//700 QGlobalSpace::qFuzzyCompare(double, double)
    {21, 416, 1621, 2, Smoke::mf_static, 286, 683},	//701 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {21, 408, 63, 2, Smoke::mf_static, 391, 684},	//702 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {21, 436, 1624, 2, Smoke::mf_static, 25, 685},	//703 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {21, 436, 1627, 2, Smoke::mf_static, 29, 686},	//704 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {21, 533, 1630, 7, Smoke::mf_static, 0, 687},	//705 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {21, 533, 1638, 4, Smoke::mf_static, 0, 688},	//706 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {21, 533, 1643, 5, Smoke::mf_static, 0, 689},	//707 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {21, 533, 1649, 6, Smoke::mf_static, 0, 690},	//708 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {21, 416, 286, 2, Smoke::mf_static, 434, 691},	//709 QGlobalSpace::operator*(const QPoint&, double)
    {21, 469, 1656, 2, Smoke::mf_static, 107, 692},	//710 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {21, 469, 1659, 2, Smoke::mf_static, 67, 693},	//711 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {21, 651, 0, 0, Smoke::mf_static, 494, 694},	//712 QGlobalSpace::qSNaN()
    {21, 416, 1662, 2, Smoke::mf_static, 180, 695},	//713 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {21, 469, 1665, 2, Smoke::mf_static, 137, 696},	//714 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {21, 447, 123, 2, Smoke::mf_static, 391, 697},	//715 QGlobalSpace::operator==(const QByteArray&, const char*)
    {21, 469, 1668, 2, Smoke::mf_static, 78, 698},	//716 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {21, 436, 1671, 2, Smoke::mf_static, 25, 699},	//717 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {21, 416, 1060, 2, Smoke::mf_static, 449, 700},	//718 QGlobalSpace::operator*(const QSizeF&, double)
    {21, 469, 1674, 2, Smoke::mf_static, 61, 701},	//719 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {21, 447, 1169, 2, Smoke::mf_static, 391, 702},	//720 QGlobalSpace::operator==(const QStringRef&, const char*)
    {21, 408, 50, 2, Smoke::mf_static, 391, 703},	//721 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {21, 447, 53, 2, Smoke::mf_static, 391, 704},	//722 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {21, 416, 1677, 2, Smoke::mf_static, 182, 705},	//723 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {21, 469, 1680, 2, Smoke::mf_static, 137, 706},	//724 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {21, 416, 1683, 2, Smoke::mf_static, 434, 707},	//725 QGlobalSpace::operator*(const QPoint&, float)
    {21, 416, 1686, 2, Smoke::mf_static, 447, 708},	//726 QGlobalSpace::operator*(double, const QSize&)
    {21, 469, 1689, 2, Smoke::mf_static, 137, 709},	//727 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {21, 431, 34, 2, Smoke::mf_static, 391, 710},	//728 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {21, 408, 1692, 2, Smoke::mf_static, 391, 711},	//729 QGlobalSpace::operator!=(QBool, bool)
    {21, 469, 1695, 2, Smoke::mf_static, 49, 712},	//730 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {21, 408, 81, 2, Smoke::mf_static, 391, 713},	//731 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {21, 463, 1698, 2, Smoke::mf_static, 25, 714},	//732 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {21, 436, 1701, 2, Smoke::mf_static, 29, 715},	//733 QGlobalSpace::operator<<(QDebug, const QSize&)
    {21, 408, 395, 2, Smoke::mf_static, 391, 716},	//734 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {21, 469, 1704, 2, Smoke::mf_static, 137, 717},	//735 QGlobalSpace::operator|(QStyle::SubControl, int)
    {21, 469, 1707, 2, Smoke::mf_static, 99, 718},	//736 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {21, 436, 1710, 2, Smoke::mf_static, 29, 719},	//737 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {21, 416, 1713, 2, Smoke::mf_static, 146, 720},	//738 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {21, 425, 233, 2, Smoke::mf_static, 440, 721},	//739 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {21, 416, 901, 2, Smoke::mf_static, 436, 722},	//740 QGlobalSpace::operator*(const QPointF&, double)
    {21, 703, 218, 2, Smoke::mf_static, 496, 723},	//741 QGlobalSpace::qstricmp(const char*, const char*)
    {21, 469, 1716, 2, Smoke::mf_static, 137, 724},	//742 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {21, 469, 1719, 2, Smoke::mf_static, 113, 725},	//743 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {21, 408, 135, 2, Smoke::mf_static, 391, 726},	//744 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {21, 647, 42, 1, Smoke::mf_static, 496, 727},	//745 QGlobalSpace::qRound(double)
    {21, 605, 0, 0, Smoke::mf_static, 494, 728},	//746 QGlobalSpace::qInf()
    {21, 436, 1722, 2, Smoke::mf_static, 25, 729},	//747 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {21, 469, 1725, 2, Smoke::mf_static, 94, 730},	//748 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {21, 416, 233, 2, Smoke::mf_static, 440, 731},	//749 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {21, 469, 1728, 2, Smoke::mf_static, 137, 732},	//750 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {21, 469, 1731, 2, Smoke::mf_static, 110, 733},	//751 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {21, 416, 1734, 2, Smoke::mf_static, 180, 734},	//752 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {21, 436, 1737, 2, Smoke::mf_static, 29, 735},	//753 QGlobalSpace::operator<<(QDebug, const QColor&)
    {21, 436, 1740, 2, Smoke::mf_static, 29, 736},	//754 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {21, 436, 1743, 2, Smoke::mf_static, 25, 737},	//755 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {21, 469, 1746, 2, Smoke::mf_static, 71, 738},	//756 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {21, 469, 1749, 2, Smoke::mf_static, 137, 739},	//757 QGlobalSpace::operator|(Qt::WindowType, int)
    {21, 694, 123, 2, Smoke::mf_static, 496, 740},	//758 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {21, 469, 1752, 2, Smoke::mf_static, 137, 741},	//759 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {21, 641, 1069, 1, Smoke::mf_static, 0, 742},	//760 QGlobalSpace::qRemovePostRoutine(void(*)())
    {21, 420, 233, 2, Smoke::mf_static, 440, 743},	//761 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {21, 463, 1755, 2, Smoke::mf_static, 25, 744},	//762 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {21, 469, 1758, 2, Smoke::mf_static, 86, 745},	//763 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {21, 469, 1761, 2, Smoke::mf_static, 65, 746},	//764 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {21, 463, 1764, 2, Smoke::mf_static, 25, 747},	//765 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {21, 469, 1767, 2, Smoke::mf_static, 137, 748},	//766 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {21, 436, 1770, 2, Smoke::mf_static, 25, 749},	//767 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {21, 469, 1773, 2, Smoke::mf_static, 112, 750},	//768 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {21, 469, 1776, 2, Smoke::mf_static, 104, 751},	//769 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {21, 672, 0, 0, Smoke::mf_static, 29, 752},	//770 QGlobalSpace::qWarning()
    {21, 705, 128, 1, Smoke::mf_static, 507, 753},	//771 QGlobalSpace::qstrlen(const char*)
    {21, 447, 1692, 2, Smoke::mf_static, 391, 754},	//772 QGlobalSpace::operator==(QBool, bool)
    {21, 463, 1779, 2, Smoke::mf_static, 25, 755},	//773 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {21, 463, 1782, 2, Smoke::mf_static, 25, 756},	//774 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {21, 602, 1785, 1, Smoke::mf_static, 507, 757},	//775 QGlobalSpace::qHash(unsigned long)
    {21, 436, 1787, 2, Smoke::mf_static, 25, 758},	//776 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {21, 469, 1790, 2, Smoke::mf_static, 137, 759},	//777 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {21, 436, 1793, 2, Smoke::mf_static, 25, 760},	//778 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {21, 469, 1796, 2, Smoke::mf_static, 137, 761},	//779 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {21, 436, 1799, 2, Smoke::mf_static, 25, 762},	//780 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {21, 469, 1802, 2, Smoke::mf_static, 72, 763},	//781 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {21, 447, 362, 2, Smoke::mf_static, 391, 764},	//782 QGlobalSpace::operator==(const char*, const QString&)
    {21, 469, 1805, 2, Smoke::mf_static, 137, 765},	//783 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {21, 521, 1808, 8, Smoke::mf_static, 0, 766},	//784 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {21, 521, 1817, 6, Smoke::mf_static, 0, 767},	//785 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {21, 521, 1824, 7, Smoke::mf_static, 0, 768},	//786 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {21, 469, 1832, 2, Smoke::mf_static, 83, 769},	//787 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {21, 420, 1835, 2, Smoke::mf_static, 465, 770},	//788 QGlobalSpace::operator+(const QString&, const QString&)
    {21, 408, 525, 2, Smoke::mf_static, 391, 771},	//789 QGlobalSpace::operator!=(QBool, QBool)
    {21, 469, 1838, 2, Smoke::mf_static, 41, 772},	//790 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {21, 726, 1841, 2, Smoke::mf_static, 0, 773},	//791 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {21, 436, 1844, 2, Smoke::mf_static, 29, 774},	//792 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {21, 416, 1847, 2, Smoke::mf_static, 487, 775},	//793 QGlobalSpace::operator*(double, const QVector3D&)
    {21, 436, 1850, 2, Smoke::mf_static, 29, 776},	//794 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {21, 458, 362, 2, Smoke::mf_static, 391, 777},	//795 QGlobalSpace::operator>=(const char*, const QString&)
    {21, 602, 1853, 1, Smoke::mf_static, 507, 778},	//796 QGlobalSpace::qHash(const QStringRef&)
    {21, 618, 42, 1, Smoke::mf_static, 391, 779},	//797 QGlobalSpace::qIsNull(double)
    {21, 469, 1855, 2, Smoke::mf_static, 137, 780},	//798 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {21, 469, 1858, 2, Smoke::mf_static, 44, 781},	//799 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {21, 458, 63, 2, Smoke::mf_static, 391, 782},	//800 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {21, 453, 123, 2, Smoke::mf_static, 391, 783},	//801 QGlobalSpace::operator>(const QByteArray&, const char*)
    {21, 602, 1861, 1, Smoke::mf_static, 507, 784},	//802 QGlobalSpace::qHash(unsigned char)
    {21, 463, 1863, 2, Smoke::mf_static, 25, 785},	//803 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {21, 469, 1866, 2, Smoke::mf_static, 58, 786},	//804 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {21, 416, 1869, 2, Smoke::mf_static, 182, 787},	//805 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {21, 436, 1872, 2, Smoke::mf_static, 29, 788},	//806 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {21, 436, 1875, 2, Smoke::mf_static, 29, 789},	//807 QGlobalSpace::operator<<(QDebug, const QObject*)
    {21, 469, 1878, 2, Smoke::mf_static, 137, 790},	//808 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {21, 408, 485, 2, Smoke::mf_static, 391, 791},	//809 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {21, 436, 1881, 2, Smoke::mf_static, 25, 792},	//810 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {21, 463, 1884, 2, Smoke::mf_static, 25, 793},	//811 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {21, 436, 1887, 2, Smoke::mf_static, 25, 794},	//812 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {21, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 795},	//813 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {21, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 796},	//814 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 797},	//815 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 798},	//816 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {21, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 799},	//817 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {21, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 800},	//818 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {21, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 801},	//819 QGlobalSpace::SP_CustomToolBarBack (enum)
    {21, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 802},	//820 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {21, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 803},	//821 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {21, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 804},	//822 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {21, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 805},	//823 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {21, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 806},	//824 QGlobalSpace::SP_CustomToolBarDone (enum)
    {21, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 807},	//825 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 808},	//826 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {21, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 809},	//827 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {21, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 810},	//828 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 811},	//829 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 812},	//830 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {21, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 813},	//831 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {21, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 814},	//832 QGlobalSpace::SP_CustomToolBarGo (enum)
    {21, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 815},	//833 QGlobalSpace::SP_CustomToolBarHome (enum)
    {21, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 816},	//834 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {21, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 817},	//835 QGlobalSpace::SP_CustomToolBarList (enum)
    {21, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 818},	//836 QGlobalSpace::SP_CustomToolBarLock (enum)
    {21, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 819},	//837 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {21, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 820},	//838 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {21, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 821},	//839 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {21, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 822},	//840 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {21, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 823},	//841 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {21, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 824},	//842 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {21, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 825},	//843 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {21, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 826},	//844 QGlobalSpace::SP_CustomToolBarOther (enum)
    {21, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 827},	//845 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {21, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 828},	//846 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {21, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 829},	//847 QGlobalSpace::SP_CustomToolBarRead (enum)
    {21, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 830},	//848 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 831},	//849 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {21, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 832},	//850 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {21, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 833},	//851 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {21, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 834},	//852 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 835},	//853 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {21, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 836},	//854 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {21, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 837},	//855 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 838},	//856 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {21, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 839},	//857 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {21, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 840},	//858 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {21, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 841},	//859 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {21, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 842},	//860 QGlobalSpace::SP_CustomToolBarSend (enum)
    {21, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 843},	//861 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {21, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 844},	//862 QGlobalSpace::SP_CustomToolBarShare (enum)
    {21, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 845},	//863 QGlobalSpace::SP_CustomToolBarShift (enum)
    {21, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 846},	//864 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {21, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 847},	//865 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {21, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 848},	//866 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {21, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 849},	//867 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {21, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 850},	//868 QGlobalSpace::SP_CustomToolBarSync (enum)
    {21, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 851},	//869 QGlobalSpace::SP_CustomToolBarTools (enum)
    {21, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 852},	//870 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {21, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 853},	//871 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {21, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 854},	//872 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {21, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 855},	//873 QGlobalSpace::SP_CustomToolBarView (enum)
    {21, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 856},	//874 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 857},	//875 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {21, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 858},	//876 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {21, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 859},	//877 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {21, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 860},	//878 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {21, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 861},	//879 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {21, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 862},	//880 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {21, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 863},	//881 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {21, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 864},	//882 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 865},	//883 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {21, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 866},	//884 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 867},	//885 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {21, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 868},	//886 QGlobalSpace::SP_CustomTabAll (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 869},	//887 QGlobalSpace::SP_CustomTabArtist (enum)
    {21, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 870},	//888 QGlobalSpace::SP_CustomTabFavourite (enum)
    {21, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 871},	//889 QGlobalSpace::SP_CustomTabGenre (enum)
    {21, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 872},	//890 QGlobalSpace::SP_CustomTabLanguage (enum)
    {21, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 873},	//891 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {21, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 874},	//892 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 875},	//893 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {21, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 876},	//894 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {21, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 877},	//895 QGlobalSpace::SP_CustomTabServices (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 878},	//896 QGlobalSpace::SP_CustomTabSongs (enum)
    {21, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 879},	//897 QGlobalSpace::SP_CustomTabVideos (enum)
    {21, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 880},	//898 QGlobalSpace::LicensedOpenGL (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 881},	//899 QGlobalSpace::LicensedSvg (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 882},	//900 QGlobalSpace::LicensedOpenVG (enum)
    {21, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 883},	//901 QGlobalSpace::LicensedScript (enum)
    {21, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 884},	//902 QGlobalSpace::LicensedQt3SupportLight (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 885},	//903 QGlobalSpace::QtDebugMsg (enum)
    {21, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 886},	//904 QGlobalSpace::QtWarningMsg (enum)
    {21, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 887},	//905 QGlobalSpace::QtCriticalMsg (enum)
    {21, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 888},	//906 QGlobalSpace::QtFatalMsg (enum)
    {21, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 889},	//907 QGlobalSpace::QtSystemMsg (enum)
    {21, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 890},	//908 QGlobalSpace::LicensedGui (enum)
    {21, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 891},	//909 QGlobalSpace::LicensedXmlPatterns (enum)
    {21, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 892},	//910 QGlobalSpace::LicensedSql (enum)
    {21, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 893},	//911 QGlobalSpace::LicensedActiveQt (enum)
    {21, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 894},	//912 QGlobalSpace::LicensedQt3Support (enum)
    {21, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 895},	//913 QGlobalSpace::LicensedDBus (enum)
    {21, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 896},	//914 QGlobalSpace::__codecvt_ok (enum)
    {21, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 897},	//915 QGlobalSpace::__codecvt_partial (enum)
    {21, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 898},	//916 QGlobalSpace::__codecvt_error (enum)
    {21, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 899},	//917 QGlobalSpace::__codecvt_noconv (enum)
    {21, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 900},	//918 QGlobalSpace::LicensedCore (enum)
    {21, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 901},	//919 QGlobalSpace::LicensedNetwork (enum)
    {21, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 902},	//920 QGlobalSpace::LicensedMultimedia (enum)
    {21, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 903},	//921 QGlobalSpace::LicensedTest (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 904},	//922 QGlobalSpace::LicensedScriptTools (enum)
    {21, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 905},	//923 QGlobalSpace::LicensedHelp (enum)
    {21, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 906},	//924 QGlobalSpace::LicensedXml (enum)
    {21, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 907},	//925 QGlobalSpace::LicensedDeclarative (enum)
    {28, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 0},	//926 QItemDelegate::metaObject() const
    {28, 730, 128, 1, Smoke::mf_virtual, 514, 0},	//927 QItemDelegate::qt_metacast(const char*)
    {28, 728, 1890, 3, Smoke::mf_virtual, 496, 0},	//928 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {28, 473, 1894, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//929 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 882, 1898, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//930 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 922, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//931 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 293, 1905, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//932 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {28, 292, 1910, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//933 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {28, 294, 1915, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//934 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {28, 291, 1919, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//935 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {28, 305, 1924, 2, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//936 QItemDelegate::eventFilter(QObject*, QEvent*)
    {28, 301, 1927, 4, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//937 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {43, 304, 1932, 1, Smoke::mf_virtual, 391, 0},	//938 QObject::event(QEvent*)
    {43, 305, 1924, 2, Smoke::mf_virtual, 391, 0},	//939 QObject::eventFilter(QObject*, QEvent*)
    {43, 906, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//940 QObject::timerEvent(QTimerEvent*)
    {43, 250, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//941 QObject::childEvent(QChildEvent*)
    {43, 274, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//942 QObject::customEvent(QEvent*)
    {43, 260, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//943 QObject::connectNotify(const char*)
    {43, 289, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//944 QObject::disconnectNotify(const char*)
    {64, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 1},	//945 QSql::Tables (enum)
    {64, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 2},	//946 QSql::SystemTables (enum)
    {64, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 3},	//947 QSql::Views (enum)
    {64, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 4},	//948 QSql::AllTables (enum)
    {64, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 5},	//949 QSql::In (enum)
    {64, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 6},	//950 QSql::Out (enum)
    {64, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 7},	//951 QSql::InOut (enum)
    {64, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 8},	//952 QSql::Binary (enum)
    {64, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//953 QSql::LowPrecisionInt32 (enum)
    {64, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 10},	//954 QSql::LowPrecisionInt64 (enum)
    {64, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 11},	//955 QSql::LowPrecisionDouble (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//956 QSql::HighPrecision (enum)
    {64, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 13},	//957 QSql::BeforeFirstRow (enum)
    {64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 14},	//958 QSql::AfterLastRow (enum)
    {65, 57, 0, 0, Smoke::mf_ctor, 204, 1},	//959 QSqlDatabase::QSqlDatabase()
    {65, 57, 1938, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//960 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {65, 445, 1938, 1, 0, 203, 3},	//961 QSqlDatabase::operator=(const QSqlDatabase&)
    {65, 401, 0, 0, 0, 391, 4},	//962 QSqlDatabase::open()
    {65, 401, 1835, 2, 0, 391, 5},	//963 QSqlDatabase::open(const QString&, const QString&)
    {65, 255, 0, 0, 0, 0, 6},	//964 QSqlDatabase::close()
    {65, 377, 0, 0, Smoke::mf_const, 391, 7},	//965 QSqlDatabase::isOpen() const
    {65, 378, 0, 0, Smoke::mf_const, 391, 8},	//966 QSqlDatabase::isOpenError() const
    {65, 903, 1940, 1, Smoke::mf_const, 246, 9},	//967 QSqlDatabase::tables(QSql::TableType) const
    {65, 480, 494, 1, Smoke::mf_const, 220, 10},	//968 QSqlDatabase::primaryIndex(const QString&) const
    {65, 743, 494, 1, Smoke::mf_const, 228, 11},	//969 QSqlDatabase::record(const QString&) const
    {65, 306, 494, 1, Smoke::mf_const, 223, 12},	//970 QSqlDatabase::exec(const QString&) const
    {65, 385, 0, 0, Smoke::mf_const, 212, 13},	//971 QSqlDatabase::lastError() const
    {65, 381, 0, 0, Smoke::mf_const, 391, 14},	//972 QSqlDatabase::isValid() const
    {65, 915, 0, 0, 0, 391, 15},	//973 QSqlDatabase::transaction()
    {65, 258, 0, 0, 0, 391, 16},	//974 QSqlDatabase::commit()
    {65, 771, 0, 0, 0, 391, 17},	//975 QSqlDatabase::rollback()
    {65, 795, 494, 1, 0, 0, 18},	//976 QSqlDatabase::setDatabaseName(const QString&)
    {65, 876, 494, 1, 0, 0, 19},	//977 QSqlDatabase::setUserName(const QString&)
    {65, 844, 494, 1, 0, 0, 20},	//978 QSqlDatabase::setPassword(const QString&)
    {65, 821, 494, 1, 0, 0, 21},	//979 QSqlDatabase::setHostName(const QString&)
    {65, 846, 384, 1, 0, 0, 22},	//980 QSqlDatabase::setPort(int)
    {65, 788, 494, 1, 0, 0, 23},	//981 QSqlDatabase::setConnectOptions(const QString&)
    {65, 282, 0, 0, Smoke::mf_const, 242, 24},	//982 QSqlDatabase::databaseName() const
    {65, 925, 0, 0, Smoke::mf_const, 242, 25},	//983 QSqlDatabase::userName() const
    {65, 474, 0, 0, Smoke::mf_const, 242, 26},	//984 QSqlDatabase::password() const
    {65, 340, 0, 0, Smoke::mf_const, 242, 27},	//985 QSqlDatabase::hostName() const
    {65, 296, 0, 0, Smoke::mf_const, 242, 28},	//986 QSqlDatabase::driverName() const
    {65, 475, 0, 0, Smoke::mf_const, 496, 29},	//987 QSqlDatabase::port() const
    {65, 261, 0, 0, Smoke::mf_const, 242, 30},	//988 QSqlDatabase::connectOptions() const
    {65, 262, 0, 0, Smoke::mf_const, 242, 31},	//989 QSqlDatabase::connectionName() const
    {65, 838, 1942, 1, 0, 0, 32},	//990 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {65, 400, 0, 0, Smoke::mf_const, 199, 33},	//991 QSqlDatabase::numericalPrecisionPolicy() const
    {65, 295, 0, 0, Smoke::mf_const, 205, 34},	//992 QSqlDatabase::driver() const
    {65, 219, 1835, 2, Smoke::mf_static, 202, 35},	//993 QSqlDatabase::addDatabase(const QString&, const QString&)
    {65, 219, 1944, 2, Smoke::mf_static, 202, 36},	//994 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {65, 253, 1947, 2, Smoke::mf_static, 202, 37},	//995 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {65, 279, 1950, 2, Smoke::mf_static, 202, 38},	//996 QSqlDatabase::database(const QString&, bool)
    {65, 756, 494, 1, Smoke::mf_static, 0, 39},	//997 QSqlDatabase::removeDatabase(const QString&)
    {65, 264, 494, 1, Smoke::mf_static, 391, 40},	//998 QSqlDatabase::contains(const QString&)
    {65, 298, 0, 0, Smoke::mf_static, 246, 41},	//999 QSqlDatabase::drivers()
    {65, 263, 0, 0, Smoke::mf_static, 246, 42},	//1000 QSqlDatabase::connectionNames()
    {65, 745, 1953, 2, Smoke::mf_static, 0, 43},	//1001 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {65, 365, 494, 1, Smoke::mf_static, 391, 44},	//1002 QSqlDatabase::isDriverAvailable(const QString&)
    {65, 57, 494, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 45},	//1003 QSqlDatabase::QSqlDatabase(const QString&)
    {65, 57, 1956, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 46},	//1004 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {65, 903, 0, 0, Smoke::mf_const, 246, 47},	//1005 QSqlDatabase::tables() const
    {65, 306, 0, 0, Smoke::mf_const, 223, 48},	//1006 QSqlDatabase::exec() const
    {65, 788, 0, 0, 0, 0, 49},	//1007 QSqlDatabase::setConnectOptions()
    {65, 219, 494, 1, Smoke::mf_static, 202, 50},	//1008 QSqlDatabase::addDatabase(const QString&)
    {65, 219, 1956, 1, Smoke::mf_static, 202, 51},	//1009 QSqlDatabase::addDatabase(QSqlDriver*)
    {65, 279, 0, 0, Smoke::mf_static, 202, 52},	//1010 QSqlDatabase::database()
    {65, 279, 494, 1, Smoke::mf_static, 202, 53},	//1011 QSqlDatabase::database(const QString&)
    {65, 264, 0, 0, Smoke::mf_static, 391, 54},	//1012 QSqlDatabase::contains()
    {65, 284, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 491, 55},	//1013 QSqlDatabase::defaultConnection() const
    {65, 799, 128, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//1014 QSqlDatabase::setDefaultConnection(const char*)
    {65, 930, 0, 0, Smoke::mf_dtor, 0, 57 },	//1015 QSqlDatabase::~QSqlDatabase()
    {66, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//1016 QSqlDriver::metaObject() const
    {66, 730, 128, 1, Smoke::mf_virtual, 514, 2},	//1017 QSqlDriver::qt_metacast(const char*)
    {66, 907, 218, 2, Smoke::mf_static, 242, 3},	//1018 QSqlDriver::tr(const char*, const char*)
    {66, 911, 218, 2, Smoke::mf_static, 242, 4},	//1019 QSqlDriver::trUtf8(const char*, const char*)
    {66, 907, 579, 3, Smoke::mf_static, 242, 5},	//1020 QSqlDriver::tr(const char*, const char*, int)
    {66, 911, 579, 3, Smoke::mf_static, 242, 6},	//1021 QSqlDriver::trUtf8(const char*, const char*, int)
    {66, 728, 1890, 3, Smoke::mf_virtual, 496, 7},	//1022 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {66, 60, 1958, 1, Smoke::mf_ctor, 205, 8},	//1023 QSqlDriver::QSqlDriver(QObject*)
    {66, 377, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 391, 9},	//1024 QSqlDriver::isOpen() const
    {66, 378, 0, 0, Smoke::mf_const, 391, 10},	//1025 QSqlDriver::isOpenError() const
    {66, 234, 0, 0, Smoke::mf_virtual, 391, 11},	//1026 QSqlDriver::beginTransaction()
    {66, 259, 0, 0, Smoke::mf_virtual, 391, 12},	//1027 QSqlDriver::commitTransaction()
    {66, 772, 0, 0, Smoke::mf_virtual, 391, 13},	//1028 QSqlDriver::rollbackTransaction()
    {66, 903, 1940, 1, Smoke::mf_const|Smoke::mf_virtual, 246, 14},	//1029 QSqlDriver::tables(QSql::TableType) const
    {66, 480, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//1030 QSqlDriver::primaryIndex(const QString&) const
    {66, 743, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//1031 QSqlDriver::record(const QString&) const
    {66, 330, 1960, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 17},	//1032 QSqlDriver::formatValue(const QSqlField&, bool) const
    {66, 302, 1963, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 18},	//1033 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {66, 886, 1966, 4, Smoke::mf_const|Smoke::mf_virtual, 242, 19},	//1034 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {66, 385, 0, 0, Smoke::mf_const, 212, 20},	//1035 QSqlDriver::lastError() const
    {66, 333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//1036 QSqlDriver::handle() const
    {66, 334, 1971, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 22},	//1037 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {66, 255, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//1038 QSqlDriver::close() [pure virtual]
    {66, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 24},	//1039 QSqlDriver::createResult() const [pure virtual]
    {66, 401, 1973, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 25},	//1040 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {66, 895, 494, 1, 0, 391, 26},	//1041 QSqlDriver::subscribeToNotification(const QString&)
    {66, 918, 494, 1, 0, 391, 27},	//1042 QSqlDriver::unsubscribeFromNotification(const QString&)
    {66, 899, 0, 0, Smoke::mf_const, 246, 28},	//1043 QSqlDriver::subscribedToNotifications() const
    {66, 371, 1963, 2, Smoke::mf_const, 391, 29},	//1044 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {66, 889, 1963, 2, Smoke::mf_const, 242, 30},	//1045 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {66, 838, 1942, 1, 0, 0, 31},	//1046 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {66, 400, 0, 0, Smoke::mf_const, 199, 32},	//1047 QSqlDriver::numericalPrecisionPolicy() const
    {66, 396, 494, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1048 QSqlDriver::notification(const QString&)
    {66, 840, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1049 QSqlDriver::setOpen(bool)
    {66, 842, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1050 QSqlDriver::setOpenError(bool)
    {66, 826, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1051 QSqlDriver::setLastError(const QSqlError&)
    {66, 897, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 391, 37},	//1052 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {66, 920, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 391, 38},	//1053 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {66, 900, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 246, 39},	//1054 QSqlDriver::subscribedToNotificationsImplementation() const
    {66, 373, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 391, 40},	//1055 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 891, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 242, 41},	//1056 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 907, 128, 1, Smoke::mf_static, 242, 42},	//1057 QSqlDriver::tr(const char*)
    {66, 911, 128, 1, Smoke::mf_static, 242, 43},	//1058 QSqlDriver::trUtf8(const char*)
    {66, 60, 0, 0, Smoke::mf_ctor, 205, 44},	//1059 QSqlDriver::QSqlDriver()
    {66, 330, 1984, 1, Smoke::mf_const, 242, 45},	//1060 QSqlDriver::formatValue(const QSqlField&) const
    {66, 401, 494, 1, 0, 391, 46},	//1061 QSqlDriver::open(const QString&)
    {66, 401, 1835, 2, 0, 391, 47},	//1062 QSqlDriver::open(const QString&, const QString&)
    {66, 401, 1986, 3, 0, 391, 48},	//1063 QSqlDriver::open(const QString&, const QString&, const QString&)
    {66, 401, 1990, 4, 0, 391, 49},	//1064 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {66, 401, 1995, 5, 0, 391, 50},	//1065 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {66, 888, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 51},	//1066 QSqlDriver::staticMetaObject() const
    {66, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 52},	//1067 QSqlDriver::Transactions (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 53},	//1068 QSqlDriver::QuerySize (enum)
    {66, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 54},	//1069 QSqlDriver::BLOB (enum)
    {66, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 55},	//1070 QSqlDriver::Unicode (enum)
    {66, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 56},	//1071 QSqlDriver::PreparedQueries (enum)
    {66, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 57},	//1072 QSqlDriver::NamedPlaceholders (enum)
    {66, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 58},	//1073 QSqlDriver::PositionalPlaceholders (enum)
    {66, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 59},	//1074 QSqlDriver::LastInsertId (enum)
    {66, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 60},	//1075 QSqlDriver::BatchOperations (enum)
    {66, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 61},	//1076 QSqlDriver::SimpleLocking (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 62},	//1077 QSqlDriver::LowPrecisionNumbers (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 63},	//1078 QSqlDriver::EventNotifications (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 64},	//1079 QSqlDriver::FinishQuery (enum)
    {66, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 65},	//1080 QSqlDriver::MultipleResultSets (enum)
    {66, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 66},	//1081 QSqlDriver::WhereStatement (enum)
    {66, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 67},	//1082 QSqlDriver::SelectStatement (enum)
    {66, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 68},	//1083 QSqlDriver::UpdateStatement (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 69},	//1084 QSqlDriver::InsertStatement (enum)
    {66, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 70},	//1085 QSqlDriver::DeleteStatement (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 71},	//1086 QSqlDriver::FieldName (enum)
    {66, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 72},	//1087 QSqlDriver::TableName (enum)
    {66, 931, 0, 0, Smoke::mf_dtor, 0, 73 },	//1088 QSqlDriver::~QSqlDriver()
    {67, 271, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1089 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {67, 62, 0, 0, Smoke::mf_ctor, 209, 2},	//1090 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {67, 62, 2001, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 3},	//1091 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {67, 932, 0, 0, Smoke::mf_dtor, 0, 4 },	//1092 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {68, 267, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1093 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {68, 64, 0, 0, Smoke::mf_ctor, 210, 2},	//1094 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {68, 64, 2003, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 3},	//1095 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {68, 933, 0, 0, Smoke::mf_dtor, 0, 4 },	//1096 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {69, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//1097 QSqlDriverPlugin::metaObject() const
    {69, 730, 128, 1, Smoke::mf_virtual, 514, 2},	//1098 QSqlDriverPlugin::qt_metacast(const char*)
    {69, 907, 218, 2, Smoke::mf_static, 242, 3},	//1099 QSqlDriverPlugin::tr(const char*, const char*)
    {69, 911, 218, 2, Smoke::mf_static, 242, 4},	//1100 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {69, 907, 579, 3, Smoke::mf_static, 242, 5},	//1101 QSqlDriverPlugin::tr(const char*, const char*, int)
    {69, 911, 579, 3, Smoke::mf_static, 242, 6},	//1102 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {69, 728, 1890, 3, Smoke::mf_virtual, 496, 7},	//1103 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {69, 66, 1958, 1, Smoke::mf_ctor, 211, 8},	//1104 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {69, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 9},	//1105 QSqlDriverPlugin::keys() const [pure virtual]
    {69, 267, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 10},	//1106 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {69, 907, 128, 1, Smoke::mf_static, 242, 11},	//1107 QSqlDriverPlugin::tr(const char*)
    {69, 911, 128, 1, Smoke::mf_static, 242, 12},	//1108 QSqlDriverPlugin::trUtf8(const char*)
    {69, 66, 0, 0, Smoke::mf_ctor, 211, 13},	//1109 QSqlDriverPlugin::QSqlDriverPlugin()
    {69, 888, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 14},	//1110 QSqlDriverPlugin::staticMetaObject() const
    {69, 934, 0, 0, Smoke::mf_dtor, 0, 15 },	//1111 QSqlDriverPlugin::~QSqlDriverPlugin()
    {70, 68, 2005, 4, Smoke::mf_ctor, 214, 1},	//1112 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {70, 68, 1982, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 2},	//1113 QSqlError::QSqlError(const QSqlError&)
    {70, 445, 1982, 1, 0, 213, 3},	//1114 QSqlError::operator=(const QSqlError&)
    {70, 297, 0, 0, Smoke::mf_const, 242, 4},	//1115 QSqlError::driverText() const
    {70, 805, 494, 1, 0, 0, 5},	//1116 QSqlError::setDriverText(const QString&)
    {70, 283, 0, 0, Smoke::mf_const, 242, 6},	//1117 QSqlError::databaseText() const
    {70, 797, 494, 1, 0, 0, 7},	//1118 QSqlError::setDatabaseText(const QString&)
    {70, 916, 0, 0, Smoke::mf_const, 215, 8},	//1119 QSqlError::type() const
    {70, 874, 2010, 1, 0, 0, 9},	//1120 QSqlError::setType(QSqlError::ErrorType)
    {70, 399, 0, 0, Smoke::mf_const, 496, 10},	//1121 QSqlError::number() const
    {70, 836, 384, 1, 0, 0, 11},	//1122 QSqlError::setNumber(int)
    {70, 905, 0, 0, Smoke::mf_const, 242, 12},	//1123 QSqlError::text() const
    {70, 381, 0, 0, Smoke::mf_const, 391, 13},	//1124 QSqlError::isValid() const
    {70, 68, 0, 0, Smoke::mf_ctor, 214, 14},	//1125 QSqlError::QSqlError()
    {70, 68, 494, 1, Smoke::mf_ctor, 214, 15},	//1126 QSqlError::QSqlError(const QString&)
    {70, 68, 1835, 2, Smoke::mf_ctor, 214, 16},	//1127 QSqlError::QSqlError(const QString&, const QString&)
    {70, 68, 2012, 3, Smoke::mf_ctor, 214, 17},	//1128 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {70, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 18},	//1129 QSqlError::NoError (enum)
    {70, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//1130 QSqlError::ConnectionError (enum)
    {70, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 20},	//1131 QSqlError::StatementError (enum)
    {70, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//1132 QSqlError::TransactionError (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//1133 QSqlError::UnknownError (enum)
    {70, 935, 0, 0, Smoke::mf_dtor, 0, 23 },	//1134 QSqlError::~QSqlError()
    {71, 74, 2016, 2, Smoke::mf_ctor, 218, 1},	//1135 QSqlField::QSqlField(const QString&, QVariant::Type)
    {71, 74, 1984, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 218, 2},	//1136 QSqlField::QSqlField(const QSqlField&)
    {71, 445, 1984, 1, 0, 217, 3},	//1137 QSqlField::operator=(const QSqlField&)
    {71, 447, 1984, 1, Smoke::mf_const, 391, 4},	//1138 QSqlField::operator==(const QSqlField&) const
    {71, 408, 1984, 1, Smoke::mf_const, 391, 5},	//1139 QSqlField::operator!=(const QSqlField&) const
    {71, 878, 2019, 1, 0, 0, 6},	//1140 QSqlField::setValue(const QVariant&)
    {71, 926, 0, 0, Smoke::mf_const, 281, 7},	//1141 QSqlField::value() const
    {71, 832, 494, 1, 0, 0, 8},	//1142 QSqlField::setName(const QString&)
    {71, 393, 0, 0, Smoke::mf_const, 242, 9},	//1143 QSqlField::name() const
    {71, 375, 0, 0, Smoke::mf_const, 391, 10},	//1144 QSqlField::isNull() const
    {71, 856, 1980, 1, 0, 0, 11},	//1145 QSqlField::setReadOnly(bool)
    {71, 379, 0, 0, Smoke::mf_const, 391, 12},	//1146 QSqlField::isReadOnly() const
    {71, 251, 0, 0, 0, 0, 13},	//1147 QSqlField::clear()
    {71, 916, 0, 0, Smoke::mf_const, 283, 14},	//1148 QSqlField::type() const
    {71, 360, 0, 0, Smoke::mf_const, 391, 15},	//1149 QSqlField::isAutoValue() const
    {71, 874, 2021, 1, 0, 0, 16},	//1150 QSqlField::setType(QVariant::Type)
    {71, 864, 2023, 1, 0, 0, 17},	//1151 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {71, 862, 1980, 1, 0, 0, 18},	//1152 QSqlField::setRequired(bool)
    {71, 828, 384, 1, 0, 0, 19},	//1153 QSqlField::setLength(int)
    {71, 848, 384, 1, 0, 0, 20},	//1154 QSqlField::setPrecision(int)
    {71, 801, 2019, 1, 0, 0, 21},	//1155 QSqlField::setDefaultValue(const QVariant&)
    {71, 870, 384, 1, 0, 0, 22},	//1156 QSqlField::setSqlType(int)
    {71, 815, 1980, 1, 0, 0, 23},	//1157 QSqlField::setGenerated(bool)
    {71, 786, 1980, 1, 0, 0, 24},	//1158 QSqlField::setAutoValue(bool)
    {71, 763, 0, 0, Smoke::mf_const, 219, 25},	//1159 QSqlField::requiredStatus() const
    {71, 388, 0, 0, Smoke::mf_const, 496, 26},	//1160 QSqlField::length() const
    {71, 476, 0, 0, Smoke::mf_const, 496, 27},	//1161 QSqlField::precision() const
    {71, 285, 0, 0, Smoke::mf_const, 281, 28},	//1162 QSqlField::defaultValue() const
    {71, 917, 0, 0, Smoke::mf_const, 496, 29},	//1163 QSqlField::typeID() const
    {71, 369, 0, 0, Smoke::mf_const, 391, 30},	//1164 QSqlField::isGenerated() const
    {71, 381, 0, 0, Smoke::mf_const, 391, 31},	//1165 QSqlField::isValid() const
    {71, 74, 0, 0, Smoke::mf_ctor, 218, 32},	//1166 QSqlField::QSqlField()
    {71, 74, 494, 1, Smoke::mf_ctor, 218, 33},	//1167 QSqlField::QSqlField(const QString&)
    {71, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1168 QSqlField::Unknown (enum)
    {71, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1169 QSqlField::Optional (enum)
    {71, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1170 QSqlField::Required (enum)
    {71, 936, 0, 0, Smoke::mf_dtor, 0, 37 },	//1171 QSqlField::~QSqlField()
    {72, 78, 1835, 2, Smoke::mf_ctor, 222, 1},	//1172 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {72, 78, 2025, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1173 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {72, 445, 2025, 1, 0, 221, 3},	//1174 QSqlIndex::operator=(const QSqlIndex&)
    {72, 790, 494, 1, 0, 0, 4},	//1175 QSqlIndex::setCursorName(const QString&)
    {72, 273, 0, 0, Smoke::mf_const, 242, 5},	//1176 QSqlIndex::cursorName() const
    {72, 832, 494, 1, 0, 0, 6},	//1177 QSqlIndex::setName(const QString&)
    {72, 393, 0, 0, Smoke::mf_const, 242, 7},	//1178 QSqlIndex::name() const
    {72, 224, 1984, 1, 0, 0, 8},	//1179 QSqlIndex::append(const QSqlField&)
    {72, 224, 1960, 2, 0, 0, 9},	//1180 QSqlIndex::append(const QSqlField&, bool)
    {72, 361, 384, 1, Smoke::mf_const, 391, 10},	//1181 QSqlIndex::isDescending(int) const
    {72, 803, 2027, 2, 0, 0, 11},	//1182 QSqlIndex::setDescending(int, bool)
    {72, 78, 0, 0, Smoke::mf_ctor, 222, 12},	//1183 QSqlIndex::QSqlIndex()
    {72, 78, 494, 1, Smoke::mf_ctor, 222, 13},	//1184 QSqlIndex::QSqlIndex(const QString&)
    {72, 937, 0, 0, Smoke::mf_dtor, 0, 14 },	//1185 QSqlIndex::~QSqlIndex()
    {73, 82, 2030, 1, Smoke::mf_ctor, 225, 1},	//1186 QSqlQuery::QSqlQuery(QSqlResult*)
    {73, 82, 2032, 2, Smoke::mf_ctor, 225, 2},	//1187 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {73, 82, 2035, 1, Smoke::mf_ctor, 225, 3},	//1188 QSqlQuery::QSqlQuery(QSqlDatabase)
    {73, 82, 2037, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 4},	//1189 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {73, 445, 2037, 1, 0, 224, 5},	//1190 QSqlQuery::operator=(const QSqlQuery&)
    {73, 381, 0, 0, Smoke::mf_const, 391, 6},	//1191 QSqlQuery::isValid() const
    {73, 359, 0, 0, Smoke::mf_const, 391, 7},	//1192 QSqlQuery::isActive() const
    {73, 375, 384, 1, Smoke::mf_const, 391, 8},	//1193 QSqlQuery::isNull(int) const
    {73, 227, 0, 0, Smoke::mf_const, 496, 9},	//1194 QSqlQuery::at() const
    {73, 387, 0, 0, Smoke::mf_const, 242, 10},	//1195 QSqlQuery::lastQuery() const
    {73, 398, 0, 0, Smoke::mf_const, 496, 11},	//1196 QSqlQuery::numRowsAffected() const
    {73, 385, 0, 0, Smoke::mf_const, 212, 12},	//1197 QSqlQuery::lastError() const
    {73, 380, 0, 0, Smoke::mf_const, 391, 13},	//1198 QSqlQuery::isSelect() const
    {73, 881, 0, 0, Smoke::mf_const, 496, 14},	//1199 QSqlQuery::size() const
    {73, 295, 0, 0, Smoke::mf_const, 454, 15},	//1200 QSqlQuery::driver() const
    {73, 766, 0, 0, Smoke::mf_const, 463, 16},	//1201 QSqlQuery::result() const
    {73, 368, 0, 0, Smoke::mf_const, 391, 17},	//1202 QSqlQuery::isForwardOnly() const
    {73, 743, 0, 0, Smoke::mf_const, 228, 18},	//1203 QSqlQuery::record() const
    {73, 813, 1980, 1, 0, 0, 19},	//1204 QSqlQuery::setForwardOnly(bool)
    {73, 306, 494, 1, 0, 391, 20},	//1205 QSqlQuery::exec(const QString&)
    {73, 926, 384, 1, Smoke::mf_const, 281, 21},	//1206 QSqlQuery::value(int) const
    {73, 838, 1942, 1, 0, 0, 22},	//1207 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {73, 400, 0, 0, Smoke::mf_const, 199, 23},	//1208 QSqlQuery::numericalPrecisionPolicy() const
    {73, 777, 2027, 2, 0, 391, 24},	//1209 QSqlQuery::seek(int, bool)
    {73, 394, 0, 0, 0, 391, 25},	//1210 QSqlQuery::next()
    {73, 479, 0, 0, 0, 391, 26},	//1211 QSqlQuery::previous()
    {73, 327, 0, 0, 0, 391, 27},	//1212 QSqlQuery::first()
    {73, 384, 0, 0, 0, 391, 28},	//1213 QSqlQuery::last()
    {73, 251, 0, 0, 0, 0, 29},	//1214 QSqlQuery::clear()
    {73, 306, 0, 0, 0, 391, 30},	//1215 QSqlQuery::exec()
    {73, 308, 2039, 1, 0, 391, 31},	//1216 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {73, 477, 494, 1, 0, 391, 32},	//1217 QSqlQuery::prepare(const QString&)
    {73, 235, 2041, 3, 0, 0, 33},	//1218 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 235, 2045, 3, 0, 0, 34},	//1219 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 216, 2049, 2, 0, 0, 35},	//1220 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 241, 494, 1, Smoke::mf_const, 281, 36},	//1221 QSqlQuery::boundValue(const QString&) const
    {73, 241, 384, 1, Smoke::mf_const, 281, 37},	//1222 QSqlQuery::boundValue(int) const
    {73, 246, 0, 0, Smoke::mf_const, 154, 38},	//1223 QSqlQuery::boundValues() const
    {73, 310, 0, 0, Smoke::mf_const, 242, 39},	//1224 QSqlQuery::executedQuery() const
    {73, 386, 0, 0, Smoke::mf_const, 281, 40},	//1225 QSqlQuery::lastInsertId() const
    {73, 326, 0, 0, 0, 0, 41},	//1226 QSqlQuery::finish()
    {73, 395, 0, 0, 0, 391, 42},	//1227 QSqlQuery::nextResult()
    {73, 82, 0, 0, Smoke::mf_ctor, 225, 43},	//1228 QSqlQuery::QSqlQuery()
    {73, 82, 494, 1, Smoke::mf_ctor, 225, 44},	//1229 QSqlQuery::QSqlQuery(const QString&)
    {73, 777, 384, 1, 0, 391, 45},	//1230 QSqlQuery::seek(int)
    {73, 308, 0, 0, 0, 391, 46},	//1231 QSqlQuery::execBatch()
    {73, 235, 2052, 2, 0, 0, 47},	//1232 QSqlQuery::bindValue(const QString&, const QVariant&)
    {73, 235, 2055, 2, 0, 0, 48},	//1233 QSqlQuery::bindValue(int, const QVariant&)
    {73, 216, 2019, 1, 0, 0, 49},	//1234 QSqlQuery::addBindValue(const QVariant&)
    {73, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 50},	//1235 QSqlQuery::ValuesAsRows (enum)
    {73, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 51},	//1236 QSqlQuery::ValuesAsColumns (enum)
    {73, 938, 0, 0, Smoke::mf_dtor, 0, 52 },	//1237 QSqlQuery::~QSqlQuery()
    {74, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//1238 QSqlQueryModel::metaObject() const
    {74, 730, 128, 1, Smoke::mf_virtual, 514, 2},	//1239 QSqlQueryModel::qt_metacast(const char*)
    {74, 907, 218, 2, Smoke::mf_static, 242, 3},	//1240 QSqlQueryModel::tr(const char*, const char*)
    {74, 911, 218, 2, Smoke::mf_static, 242, 4},	//1241 QSqlQueryModel::trUtf8(const char*, const char*)
    {74, 907, 579, 3, Smoke::mf_static, 242, 5},	//1242 QSqlQueryModel::tr(const char*, const char*, int)
    {74, 911, 579, 3, Smoke::mf_static, 242, 6},	//1243 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {74, 728, 1890, 3, Smoke::mf_virtual, 496, 7},	//1244 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {74, 86, 1958, 1, Smoke::mf_ctor, 227, 8},	//1245 QSqlQueryModel::QSqlQueryModel(QObject*)
    {74, 773, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 496, 9},	//1246 QSqlQueryModel::rowCount(const QModelIndex&) const
    {74, 256, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 496, 10},	//1247 QSqlQueryModel::columnCount(const QModelIndex&) const
    {74, 743, 384, 1, Smoke::mf_const, 228, 11},	//1248 QSqlQueryModel::record(int) const
    {74, 743, 0, 0, Smoke::mf_const, 228, 12},	//1249 QSqlQueryModel::record() const
    {74, 275, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1250 QSqlQueryModel::data(const QModelIndex&, int) const
    {74, 337, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 14},	//1251 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {74, 818, 2065, 4, Smoke::mf_virtual, 391, 15},	//1252 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {74, 349, 12, 3, Smoke::mf_virtual, 391, 16},	//1253 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {74, 753, 12, 3, Smoke::mf_virtual, 391, 17},	//1254 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {74, 852, 2037, 1, 0, 0, 18},	//1255 QSqlQueryModel::setQuery(const QSqlQuery&)
    {74, 852, 2070, 2, 0, 0, 19},	//1256 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {74, 737, 0, 0, Smoke::mf_const, 223, 20},	//1257 QSqlQueryModel::query() const
    {74, 251, 0, 0, Smoke::mf_virtual, 0, 21},	//1258 QSqlQueryModel::clear()
    {74, 385, 0, 0, Smoke::mf_const, 212, 22},	//1259 QSqlQueryModel::lastError() const
    {74, 315, 5, 1, Smoke::mf_virtual, 0, 23},	//1260 QSqlQueryModel::fetchMore(const QModelIndex&)
    {74, 248, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 391, 24},	//1261 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {74, 738, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1262 QSqlQueryModel::queryChange()
    {74, 343, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 26},	//1263 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {74, 826, 1982, 1, Smoke::mf_protected, 0, 27},	//1264 QSqlQueryModel::setLastError(const QSqlError&)
    {74, 907, 128, 1, Smoke::mf_static, 242, 28},	//1265 QSqlQueryModel::tr(const char*)
    {74, 911, 128, 1, Smoke::mf_static, 242, 29},	//1266 QSqlQueryModel::trUtf8(const char*)
    {74, 86, 0, 0, Smoke::mf_ctor, 227, 30},	//1267 QSqlQueryModel::QSqlQueryModel()
    {74, 773, 0, 0, Smoke::mf_const, 496, 31},	//1268 QSqlQueryModel::rowCount() const
    {74, 256, 0, 0, Smoke::mf_const, 496, 32},	//1269 QSqlQueryModel::columnCount() const
    {74, 275, 5, 1, Smoke::mf_const, 281, 33},	//1270 QSqlQueryModel::data(const QModelIndex&) const
    {74, 337, 2073, 2, Smoke::mf_const, 281, 34},	//1271 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {74, 818, 2076, 3, 0, 391, 35},	//1272 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {74, 349, 2080, 2, 0, 391, 36},	//1273 QSqlQueryModel::insertColumns(int, int)
    {74, 753, 2080, 2, 0, 391, 37},	//1274 QSqlQueryModel::removeColumns(int, int)
    {74, 852, 494, 1, 0, 0, 38},	//1275 QSqlQueryModel::setQuery(const QString&)
    {74, 315, 0, 0, 0, 0, 39},	//1276 QSqlQueryModel::fetchMore()
    {74, 248, 0, 0, Smoke::mf_const, 391, 40},	//1277 QSqlQueryModel::canFetchMore() const
    {74, 888, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 41},	//1278 QSqlQueryModel::staticMetaObject() const
    {74, 939, 0, 0, Smoke::mf_dtor, 0, 42 },	//1279 QSqlQueryModel::~QSqlQueryModel()
    {75, 88, 0, 0, Smoke::mf_ctor, 230, 1},	//1280 QSqlRecord::QSqlRecord()
    {75, 88, 2083, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1281 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {75, 445, 2083, 1, 0, 229, 3},	//1282 QSqlRecord::operator=(const QSqlRecord&)
    {75, 447, 2083, 1, Smoke::mf_const, 391, 4},	//1283 QSqlRecord::operator==(const QSqlRecord&) const
    {75, 408, 2083, 1, Smoke::mf_const, 391, 5},	//1284 QSqlRecord::operator!=(const QSqlRecord&) const
    {75, 926, 384, 1, Smoke::mf_const, 281, 6},	//1285 QSqlRecord::value(int) const
    {75, 926, 494, 1, Smoke::mf_const, 281, 7},	//1286 QSqlRecord::value(const QString&) const
    {75, 878, 2055, 2, 0, 0, 8},	//1287 QSqlRecord::setValue(int, const QVariant&)
    {75, 878, 2052, 2, 0, 0, 9},	//1288 QSqlRecord::setValue(const QString&, const QVariant&)
    {75, 834, 384, 1, 0, 0, 10},	//1289 QSqlRecord::setNull(int)
    {75, 834, 494, 1, 0, 0, 11},	//1290 QSqlRecord::setNull(const QString&)
    {75, 375, 384, 1, Smoke::mf_const, 391, 12},	//1291 QSqlRecord::isNull(int) const
    {75, 375, 494, 1, Smoke::mf_const, 391, 13},	//1292 QSqlRecord::isNull(const QString&) const
    {75, 345, 494, 1, Smoke::mf_const, 496, 14},	//1293 QSqlRecord::indexOf(const QString&) const
    {75, 323, 384, 1, Smoke::mf_const, 242, 15},	//1294 QSqlRecord::fieldName(int) const
    {75, 319, 384, 1, Smoke::mf_const, 216, 16},	//1295 QSqlRecord::field(int) const
    {75, 319, 494, 1, Smoke::mf_const, 216, 17},	//1296 QSqlRecord::field(const QString&) const
    {75, 369, 384, 1, Smoke::mf_const, 391, 18},	//1297 QSqlRecord::isGenerated(int) const
    {75, 369, 494, 1, Smoke::mf_const, 391, 19},	//1298 QSqlRecord::isGenerated(const QString&) const
    {75, 815, 1950, 2, 0, 0, 20},	//1299 QSqlRecord::setGenerated(const QString&, bool)
    {75, 815, 2027, 2, 0, 0, 21},	//1300 QSqlRecord::setGenerated(int, bool)
    {75, 224, 1984, 1, 0, 0, 22},	//1301 QSqlRecord::append(const QSqlField&)
    {75, 761, 2085, 2, 0, 0, 23},	//1302 QSqlRecord::replace(int, const QSqlField&)
    {75, 347, 2085, 2, 0, 0, 24},	//1303 QSqlRecord::insert(int, const QSqlField&)
    {75, 751, 384, 1, 0, 0, 25},	//1304 QSqlRecord::remove(int)
    {75, 367, 0, 0, Smoke::mf_const, 391, 26},	//1305 QSqlRecord::isEmpty() const
    {75, 264, 494, 1, Smoke::mf_const, 391, 27},	//1306 QSqlRecord::contains(const QString&) const
    {75, 251, 0, 0, 0, 0, 28},	//1307 QSqlRecord::clear()
    {75, 252, 0, 0, 0, 0, 29},	//1308 QSqlRecord::clearValues()
    {75, 266, 0, 0, Smoke::mf_const, 496, 30},	//1309 QSqlRecord::count() const
    {75, 940, 0, 0, Smoke::mf_dtor, 0, 31 },	//1310 QSqlRecord::~QSqlRecord()
    {76, 90, 0, 0, Smoke::mf_ctor, 232, 1},	//1311 QSqlRelation::QSqlRelation()
    {76, 90, 1986, 3, Smoke::mf_ctor, 232, 2},	//1312 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {76, 902, 0, 0, Smoke::mf_const, 242, 3},	//1313 QSqlRelation::tableName() const
    {76, 342, 0, 0, Smoke::mf_const, 242, 4},	//1314 QSqlRelation::indexColumn() const
    {76, 290, 0, 0, Smoke::mf_const, 242, 5},	//1315 QSqlRelation::displayColumn() const
    {76, 381, 0, 0, Smoke::mf_const, 391, 6},	//1316 QSqlRelation::isValid() const
    {76, 90, 2088, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 7},	//1317 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {76, 941, 0, 0, Smoke::mf_dtor, 0, 8 },	//1318 QSqlRelation::~QSqlRelation()
    {77, 93, 1958, 1, Smoke::mf_ctor|Smoke::mf_explicit, 233, 1},	//1319 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {77, 269, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 291, 2},	//1320 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {77, 809, 2090, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//1321 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {77, 830, 2093, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1322 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {77, 93, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 233, 5},	//1323 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {77, 942, 0, 0, Smoke::mf_dtor, 0, 6 },	//1324 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {78, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//1325 QSqlRelationalTableModel::metaObject() const
    {78, 730, 128, 1, Smoke::mf_virtual, 514, 2},	//1326 QSqlRelationalTableModel::qt_metacast(const char*)
    {78, 907, 218, 2, Smoke::mf_static, 242, 3},	//1327 QSqlRelationalTableModel::tr(const char*, const char*)
    {78, 911, 218, 2, Smoke::mf_static, 242, 4},	//1328 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {78, 907, 579, 3, Smoke::mf_static, 242, 5},	//1329 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {78, 911, 579, 3, Smoke::mf_static, 242, 6},	//1330 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {78, 728, 1890, 3, Smoke::mf_virtual, 496, 7},	//1331 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {78, 95, 2097, 2, Smoke::mf_ctor, 234, 8},	//1332 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {78, 275, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 9},	//1333 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {78, 792, 1, 3, Smoke::mf_virtual, 391, 10},	//1334 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {78, 753, 12, 3, Smoke::mf_virtual, 391, 11},	//1335 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {78, 251, 0, 0, Smoke::mf_virtual, 0, 12},	//1336 QSqlRelationalTableModel::clear()
    {78, 780, 0, 0, Smoke::mf_virtual, 391, 13},	//1337 QSqlRelationalTableModel::select()
    {78, 872, 494, 1, Smoke::mf_virtual, 0, 14},	//1338 QSqlRelationalTableModel::setTable(const QString&)
    {78, 860, 2100, 2, Smoke::mf_virtual, 0, 15},	//1339 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {78, 747, 384, 1, Smoke::mf_const, 231, 16},	//1340 QSqlRelationalTableModel::relation(int) const
    {78, 749, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 17},	//1341 QSqlRelationalTableModel::relationModel(int) const
    {78, 824, 2103, 1, 0, 0, 18},	//1342 QSqlRelationalTableModel::setJoinMode(QSqlRelationalTableModel::JoinMode)
    {78, 769, 384, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1343 QSqlRelationalTableModel::revertRow(int)
    {78, 781, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 20},	//1344 QSqlRelationalTableModel::selectStatement() const
    {78, 923, 2105, 2, Smoke::mf_protected|Smoke::mf_virtual, 391, 21},	//1345 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {78, 354, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 22},	//1346 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {78, 472, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 23},	//1347 QSqlRelationalTableModel::orderByClause() const
    {78, 907, 128, 1, Smoke::mf_static, 242, 24},	//1348 QSqlRelationalTableModel::tr(const char*)
    {78, 911, 128, 1, Smoke::mf_static, 242, 25},	//1349 QSqlRelationalTableModel::trUtf8(const char*)
    {78, 95, 0, 0, Smoke::mf_ctor, 234, 26},	//1350 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {78, 95, 1958, 1, Smoke::mf_ctor, 234, 27},	//1351 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {78, 275, 5, 1, Smoke::mf_const, 281, 28},	//1352 QSqlRelationalTableModel::data(const QModelIndex&) const
    {78, 792, 2108, 2, 0, 391, 29},	//1353 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {78, 753, 2080, 2, 0, 391, 30},	//1354 QSqlRelationalTableModel::removeColumns(int, int)
    {78, 888, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 31},	//1355 QSqlRelationalTableModel::staticMetaObject() const
    {78, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 32},	//1356 QSqlRelationalTableModel::InnerJoin (enum)
    {78, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 33},	//1357 QSqlRelationalTableModel::LeftJoin (enum)
    {78, 943, 0, 0, Smoke::mf_dtor, 0, 34 },	//1358 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {79, 333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 1},	//1359 QSqlResult::handle() const
    {79, 98, 2111, 1, Smoke::mf_ctor|Smoke::mf_protected, 236, 2},	//1360 QSqlResult::QSqlResult(const QSqlDriver*)
    {79, 227, 0, 0, Smoke::mf_const|Smoke::mf_protected, 496, 3},	//1361 QSqlResult::at() const
    {79, 387, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 4},	//1362 QSqlResult::lastQuery() const
    {79, 385, 0, 0, Smoke::mf_const|Smoke::mf_protected, 212, 5},	//1363 QSqlResult::lastError() const
    {79, 381, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 6},	//1364 QSqlResult::isValid() const
    {79, 359, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 7},	//1365 QSqlResult::isActive() const
    {79, 380, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 8},	//1366 QSqlResult::isSelect() const
    {79, 368, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 9},	//1367 QSqlResult::isForwardOnly() const
    {79, 295, 0, 0, Smoke::mf_const|Smoke::mf_protected, 454, 10},	//1368 QSqlResult::driver() const
    {79, 784, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1369 QSqlResult::setAt(int)
    {79, 782, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1370 QSqlResult::setActive(bool)
    {79, 826, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1371 QSqlResult::setLastError(const QSqlError&)
    {79, 852, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1372 QSqlResult::setQuery(const QString&)
    {79, 866, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1373 QSqlResult::setSelect(bool)
    {79, 813, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1374 QSqlResult::setForwardOnly(bool)
    {79, 306, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 391, 17},	//1375 QSqlResult::exec()
    {79, 477, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 18},	//1376 QSqlResult::prepare(const QString&)
    {79, 775, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 19},	//1377 QSqlResult::savePrepare(const QString&)
    {79, 235, 2045, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1378 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 235, 2041, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1379 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 216, 2049, 2, Smoke::mf_protected, 0, 22},	//1380 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 241, 494, 1, Smoke::mf_const|Smoke::mf_protected, 281, 23},	//1381 QSqlResult::boundValue(const QString&) const
    {79, 241, 384, 1, Smoke::mf_const|Smoke::mf_protected, 281, 24},	//1382 QSqlResult::boundValue(int) const
    {79, 238, 494, 1, Smoke::mf_const|Smoke::mf_protected, 82, 25},	//1383 QSqlResult::bindValueType(const QString&) const
    {79, 238, 384, 1, Smoke::mf_const|Smoke::mf_protected, 82, 26},	//1384 QSqlResult::bindValueType(int) const
    {79, 243, 0, 0, Smoke::mf_const|Smoke::mf_protected, 496, 27},	//1385 QSqlResult::boundValueCount() const
    {79, 246, 0, 0, Smoke::mf_const|Smoke::mf_protected, 290, 28},	//1386 QSqlResult::boundValues() const
    {79, 310, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 29},	//1387 QSqlResult::executedQuery() const
    {79, 244, 384, 1, Smoke::mf_const|Smoke::mf_protected, 242, 30},	//1388 QSqlResult::boundValueName(int) const
    {79, 251, 0, 0, Smoke::mf_protected, 0, 31},	//1389 QSqlResult::clear()
    {79, 336, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 32},	//1390 QSqlResult::hasOutValues() const
    {79, 240, 0, 0, Smoke::mf_const|Smoke::mf_protected, 237, 33},	//1391 QSqlResult::bindingSyntax() const
    {79, 275, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 34},	//1392 QSqlResult::data(int) [pure virtual]
    {79, 375, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 35},	//1393 QSqlResult::isNull(int) [pure virtual]
    {79, 764, 494, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 36},	//1394 QSqlResult::reset(const QString&) [pure virtual]
    {79, 311, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 37},	//1395 QSqlResult::fetch(int) [pure virtual]
    {79, 317, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 391, 38},	//1396 QSqlResult::fetchNext()
    {79, 318, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 391, 39},	//1397 QSqlResult::fetchPrevious()
    {79, 313, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 40},	//1398 QSqlResult::fetchFirst() [pure virtual]
    {79, 314, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 391, 41},	//1399 QSqlResult::fetchLast() [pure virtual]
    {79, 881, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 496, 42},	//1400 QSqlResult::size() [pure virtual]
    {79, 398, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 496, 43},	//1401 QSqlResult::numRowsAffected() [pure virtual]
    {79, 743, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 44},	//1402 QSqlResult::record() const
    {79, 386, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 45},	//1403 QSqlResult::lastInsertId() const
    {79, 928, 2113, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1404 QSqlResult::virtual_hook(int, void*)
    {79, 308, 1980, 1, Smoke::mf_protected, 391, 47},	//1405 QSqlResult::execBatch(bool)
    {79, 288, 0, 0, Smoke::mf_protected, 0, 48},	//1406 QSqlResult::detachFromResultSet()
    {79, 838, 1942, 1, Smoke::mf_protected, 0, 49},	//1407 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {79, 400, 0, 0, Smoke::mf_const|Smoke::mf_protected, 199, 50},	//1408 QSqlResult::numericalPrecisionPolicy() const
    {79, 395, 0, 0, Smoke::mf_protected, 391, 51},	//1409 QSqlResult::nextResult()
    {79, 308, 0, 0, Smoke::mf_protected, 391, 52},	//1410 QSqlResult::execBatch()
    {79, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 53},	//1411 QSqlResult::PositionalBinding (enum)
    {79, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 54},	//1412 QSqlResult::NamedBinding (enum)
    {79, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1413 QSqlResult::BatchOperation (enum)
    {79, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1414 QSqlResult::DetachFromResultSet (enum)
    {79, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1415 QSqlResult::SetNumericalPrecision (enum)
    {79, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1416 QSqlResult::NextResult (enum)
    {79, 944, 0, 0, Smoke::mf_dtor, 0, 59 },	//1417 QSqlResult::~QSqlResult()
    {80, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//1418 QSqlTableModel::metaObject() const
    {80, 730, 128, 1, Smoke::mf_virtual, 514, 2},	//1419 QSqlTableModel::qt_metacast(const char*)
    {80, 907, 218, 2, Smoke::mf_static, 242, 3},	//1420 QSqlTableModel::tr(const char*, const char*)
    {80, 911, 218, 2, Smoke::mf_static, 242, 4},	//1421 QSqlTableModel::trUtf8(const char*, const char*)
    {80, 907, 579, 3, Smoke::mf_static, 242, 5},	//1422 QSqlTableModel::tr(const char*, const char*, int)
    {80, 911, 579, 3, Smoke::mf_static, 242, 6},	//1423 QSqlTableModel::trUtf8(const char*, const char*, int)
    {80, 728, 1890, 3, Smoke::mf_virtual, 496, 7},	//1424 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {80, 100, 2097, 2, Smoke::mf_ctor, 239, 8},	//1425 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {80, 780, 0, 0, Smoke::mf_virtual, 391, 9},	//1426 QSqlTableModel::select()
    {80, 872, 494, 1, Smoke::mf_virtual, 0, 10},	//1427 QSqlTableModel::setTable(const QString&)
    {80, 902, 0, 0, Smoke::mf_const, 242, 11},	//1428 QSqlTableModel::tableName() const
    {80, 328, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 12},	//1429 QSqlTableModel::flags(const QModelIndex&) const
    {80, 275, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1430 QSqlTableModel::data(const QModelIndex&, int) const
    {80, 792, 1, 3, Smoke::mf_virtual, 391, 14},	//1431 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {80, 337, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 15},	//1432 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {80, 363, 5, 1, Smoke::mf_const, 391, 16},	//1433 QSqlTableModel::isDirty(const QModelIndex&) const
    {80, 251, 0, 0, Smoke::mf_virtual, 0, 17},	//1434 QSqlTableModel::clear()
    {80, 807, 2116, 1, Smoke::mf_virtual, 0, 18},	//1435 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {80, 300, 0, 0, Smoke::mf_const, 240, 19},	//1436 QSqlTableModel::editStrategy() const
    {80, 482, 0, 0, Smoke::mf_const, 220, 20},	//1437 QSqlTableModel::primaryKey() const
    {80, 279, 0, 0, Smoke::mf_const, 202, 21},	//1438 QSqlTableModel::database() const
    {80, 321, 494, 1, Smoke::mf_const, 496, 22},	//1439 QSqlTableModel::fieldIndex(const QString&) const
    {80, 883, 16, 2, Smoke::mf_virtual, 0, 23},	//1440 QSqlTableModel::sort(int, Qt::SortOrder)
    {80, 868, 16, 2, Smoke::mf_virtual, 0, 24},	//1441 QSqlTableModel::setSort(int, Qt::SortOrder)
    {80, 325, 0, 0, Smoke::mf_const, 242, 25},	//1442 QSqlTableModel::filter() const
    {80, 811, 494, 1, Smoke::mf_virtual, 0, 26},	//1443 QSqlTableModel::setFilter(const QString&)
    {80, 773, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 496, 27},	//1444 QSqlTableModel::rowCount(const QModelIndex&) const
    {80, 753, 12, 3, Smoke::mf_virtual, 391, 28},	//1445 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {80, 758, 12, 3, Smoke::mf_virtual, 391, 29},	//1446 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {80, 356, 12, 3, Smoke::mf_virtual, 391, 30},	//1447 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {80, 352, 2105, 2, 0, 391, 31},	//1448 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {80, 858, 2105, 2, 0, 391, 32},	//1449 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {80, 769, 384, 1, Smoke::mf_virtual, 0, 33},	//1450 QSqlTableModel::revertRow(int)
    {80, 893, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 391, 34},	//1451 QSqlTableModel::submit()
    {80, 767, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1452 QSqlTableModel::revert()
    {80, 894, 0, 0, Smoke::mf_slot, 391, 36},	//1453 QSqlTableModel::submitAll()
    {80, 768, 0, 0, Smoke::mf_slot, 0, 37},	//1454 QSqlTableModel::revertAll()
    {80, 483, 2118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1455 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {80, 230, 2121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1456 QSqlTableModel::beforeInsert(QSqlRecord&)
    {80, 232, 2118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1457 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {80, 228, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1458 QSqlTableModel::beforeDelete(int)
    {80, 923, 2105, 2, Smoke::mf_protected|Smoke::mf_virtual, 391, 42},	//1459 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {80, 354, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 43},	//1460 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {80, 286, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 44},	//1461 QSqlTableModel::deleteRowFromTable(int)
    {80, 472, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 45},	//1462 QSqlTableModel::orderByClause() const
    {80, 781, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 46},	//1463 QSqlTableModel::selectStatement() const
    {80, 850, 2025, 1, Smoke::mf_protected, 0, 47},	//1464 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {80, 852, 2037, 1, Smoke::mf_protected, 0, 48},	//1465 QSqlTableModel::setQuery(const QSqlQuery&)
    {80, 343, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 49},	//1466 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {80, 907, 128, 1, Smoke::mf_static, 242, 50},	//1467 QSqlTableModel::tr(const char*)
    {80, 911, 128, 1, Smoke::mf_static, 242, 51},	//1468 QSqlTableModel::trUtf8(const char*)
    {80, 100, 0, 0, Smoke::mf_ctor, 239, 52},	//1469 QSqlTableModel::QSqlTableModel()
    {80, 100, 1958, 1, Smoke::mf_ctor, 239, 53},	//1470 QSqlTableModel::QSqlTableModel(QObject*)
    {80, 275, 5, 1, Smoke::mf_const, 281, 54},	//1471 QSqlTableModel::data(const QModelIndex&) const
    {80, 792, 2108, 2, 0, 391, 55},	//1472 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {80, 337, 2073, 2, Smoke::mf_const, 281, 56},	//1473 QSqlTableModel::headerData(int, Qt::Orientation) const
    {80, 773, 0, 0, Smoke::mf_const, 496, 57},	//1474 QSqlTableModel::rowCount() const
    {80, 753, 2080, 2, 0, 391, 58},	//1475 QSqlTableModel::removeColumns(int, int)
    {80, 758, 2080, 2, 0, 391, 59},	//1476 QSqlTableModel::removeRows(int, int)
    {80, 356, 2080, 2, 0, 391, 60},	//1477 QSqlTableModel::insertRows(int, int)
    {80, 888, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 61},	//1478 QSqlTableModel::staticMetaObject() const
    {80, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 62},	//1479 QSqlTableModel::OnFieldChange (enum)
    {80, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 63},	//1480 QSqlTableModel::OnRowChange (enum)
    {80, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 64},	//1481 QSqlTableModel::OnManualSubmit (enum)
    {80, 945, 0, 0, Smoke::mf_dtor, 0, 65 },	//1482 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1186,  // QSqlQuery::QSqlQuery(QSqlResult*)
    1188,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    1189,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    1232,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    1233,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    1218,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1219,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1221,  // QSqlQuery::boundValue(const QString&) const
    1222,  // QSqlQuery::boundValue(int) const
    0,
    1378,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1379,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1383,  // QSqlResult::bindValueType(const QString&) const
    1384,  // QSqlResult::bindValueType(int) const
    0,
    1381,  // QSqlResult::boundValue(const QString&) const
    1382,  // QSqlResult::boundValue(int) const
    0,
    1295,  // QSqlRecord::field(int) const
    1296,  // QSqlRecord::field(const QString&) const
    0,
    1297,  // QSqlRecord::isGenerated(int) const
    1298,  // QSqlRecord::isGenerated(const QString&) const
    0,
    1291,  // QSqlRecord::isNull(int) const
    1292,  // QSqlRecord::isNull(const QString&) const
    0,
    1299,  // QSqlRecord::setGenerated(const QString&, bool)
    1300,  // QSqlRecord::setGenerated(int, bool)
    0,
    1289,  // QSqlRecord::setNull(int)
    1290,  // QSqlRecord::setNull(const QString&)
    0,
    1287,  // QSqlRecord::setValue(int, const QVariant&)
    1288,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    1285,  // QSqlRecord::value(int) const
    1286,  // QSqlRecord::value(const QString&) const
    0,
    28,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    106,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    170,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    185,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    269,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    310,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    340,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    349,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    433,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    442,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    493,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    507,  // QGlobalSpace::operator!=(QChar, QChar)
    550,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    642,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    672,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    721,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    731,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    734,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    789,  // QGlobalSpace::operator!=(QBool, QBool)
    809,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    89,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    118,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    141,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    528,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    729,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    259,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    388,  // QGlobalSpace::operator!=(bool, QBool)
    441,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    518,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    702,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    744,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    67,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    72,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    75,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    116,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    134,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    186,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    244,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    270,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    290,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    308,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    333,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    408,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    419,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    479,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    527,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    557,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    562,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    567,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    634,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    689,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    691,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    701,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    713,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    723,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    738,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    749,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    752,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    805,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    81,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    178,  // QGlobalSpace::operator*(const QTransform&, double)
    284,  // QGlobalSpace::operator*(const QQuaternion&, double)
    436,  // QGlobalSpace::operator*(const QVector4D&, double)
    491,  // QGlobalSpace::operator*(const QVector2D&, double)
    498,  // QGlobalSpace::operator*(const QVector3D&, double)
    559,  // QGlobalSpace::operator*(const QSize&, double)
    682,  // QGlobalSpace::operator*(const QPoint&, int)
    709,  // QGlobalSpace::operator*(const QPoint&, double)
    718,  // QGlobalSpace::operator*(const QSizeF&, double)
    725,  // QGlobalSpace::operator*(const QPoint&, float)
    740,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    101,  // QGlobalSpace::operator*(double, const QSizeF&)
    344,  // QGlobalSpace::operator*(int, const QPoint&)
    395,  // QGlobalSpace::operator*(double, const QVector2D&)
    423,  // QGlobalSpace::operator*(float, const QPoint&)
    444,  // QGlobalSpace::operator*(double, const QVector4D&)
    490,  // QGlobalSpace::operator*(double, const QQuaternion&)
    554,  // QGlobalSpace::operator*(double, const QPointF&)
    566,  // QGlobalSpace::operator*(double, const QPoint&)
    626,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    726,  // QGlobalSpace::operator*(double, const QSize&)
    793,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    61,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    96,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    129,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    154,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    159,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    216,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    289,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    301,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    367,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    761,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    188,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    200,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    243,  // QGlobalSpace::operator+(const QTransform&, double)
    249,  // QGlobalSpace::operator+(QChar, const QString&)
    450,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    41,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    132,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    184,  // QGlobalSpace::operator+(const QString&, QChar)
    536,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    194,  // QGlobalSpace::operator+(const QString&, const char*)
    268,  // QGlobalSpace::operator+(const QString&, char)
    360,  // QGlobalSpace::operator+(char, const QString&)
    543,  // QGlobalSpace::operator+(const char*, const QString&)
    788,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    77,  // QGlobalSpace::operator-(const QMatrix4x4&)
    258,  // QGlobalSpace::operator-(const QQuaternion&)
    293,  // QGlobalSpace::operator-(const QPoint&)
    396,  // QGlobalSpace::operator-(const QVector4D&)
    411,  // QGlobalSpace::operator-(const QPointF&)
    622,  // QGlobalSpace::operator-(const QVector2D&)
    666,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    25,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    107,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    133,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    137,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    164,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    271,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    354,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    541,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    739,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    125,  // QGlobalSpace::operator/(const QPoint&, double)
    160,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    317,  // QGlobalSpace::operator/(const QVector4D&, double)
    385,  // QGlobalSpace::operator/(const QVector2D&, double)
    387,  // QGlobalSpace::operator/(const QPointF&, double)
    391,  // QGlobalSpace::operator/(const QVector3D&, double)
    401,  // QGlobalSpace::operator/(const QTransform&, double)
    454,  // QGlobalSpace::operator/(const QSizeF&, double)
    471,  // QGlobalSpace::operator/(const QQuaternion&, double)
    690,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    85,  // QGlobalSpace::operator<(QChar, QChar)
    165,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    277,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    728,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    91,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    443,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    39,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    68,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    69,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    74,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    83,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    109,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    121,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    136,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    142,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    145,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    147,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    181,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    190,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    220,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    230,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    245,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    295,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    312,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    313,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    319,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    343,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    351,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    371,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    372,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    373,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    375,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    412,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    418,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    426,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    430,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    438,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    439,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    449,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    457,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    475,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    480,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    486,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    487,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    489,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    492,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    495,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    500,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    502,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    503,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    505,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    521,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    533,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    539,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    542,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    560,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    595,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    601,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    610,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    615,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    637,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    638,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    654,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    661,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    667,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    703,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    704,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    717,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    733,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    737,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    753,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    754,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    767,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    778,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    780,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    792,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    794,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    807,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    810,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    812,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    33,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    90,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    254,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    329,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    374,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    478,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    552,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    687,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    747,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    806,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    215,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    240,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    466,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    668,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    464,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    532,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    27,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    38,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    49,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    71,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    73,  // QGlobalSpace::operator==(QChar, QChar)
    103,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    208,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    231,  // QGlobalSpace::operator==(QBool, QBool)
    272,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    292,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    299,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    364,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    389,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    447,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    456,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    459,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    558,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    582,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    645,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    695,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    722,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    37,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    172,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    362,  // QGlobalSpace::operator==(QString::Null, const QString&)
    715,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    720,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    772,  // QGlobalSpace::operator==(QBool, bool)
    0,
    32,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    58,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    233,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    414,  // QGlobalSpace::operator==(bool, QBool)
    485,  // QGlobalSpace::operator==(const QString&, QString::Null)
    538,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    656,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    99,  // QGlobalSpace::operator>(QChar, QChar)
    195,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    211,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    345,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    59,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    169,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    88,  // QGlobalSpace::operator>=(QChar, QChar)
    455,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    596,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    425,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    800,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    34,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    42,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    47,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    52,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    84,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    86,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    174,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    182,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    198,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    229,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    255,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    264,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    276,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    348,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    398,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    420,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    453,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    468,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    506,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    515,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    516,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    519,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    535,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    547,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    555,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    599,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    609,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    660,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    679,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    697,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    732,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    762,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    773,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    811,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    470,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    683,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    19,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    23,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    26,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    36,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    40,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    43,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    44,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    45,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    57,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    60,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    65,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    66,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    70,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    76,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    80,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    87,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    92,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    93,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    95,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    98,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    100,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    104,  // QGlobalSpace::operator|(QDir::Filter, int)
    105,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    110,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    111,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    112,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    114,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    117,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    119,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    120,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    122,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    123,  // QGlobalSpace::operator|(QFile::Permission, int)
    124,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    131,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    140,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    143,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    144,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    148,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    151,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    153,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    155,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    156,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    161,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    162,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    163,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    173,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    176,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    180,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    187,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    192,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    193,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    196,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    203,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    205,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    209,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    212,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    217,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    224,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    226,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    228,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    232,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    234,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    235,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    238,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    239,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    246,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    250,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    251,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    252,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    253,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    261,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    263,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    265,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    267,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    273,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    274,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    275,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    279,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    285,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    288,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    291,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    294,  // QGlobalSpace::operator|(Qt::DropAction, int)
    296,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    309,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    314,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    320,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    323,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    326,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    327,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    330,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    332,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    341,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    347,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    350,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    352,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    353,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    365,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    366,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    368,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    382,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    384,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    386,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    390,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    392,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    393,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    397,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    400,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    402,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    404,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    409,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    413,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    416,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    421,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    427,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    428,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    429,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    432,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    440,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    445,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    446,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    451,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    452,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    458,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    463,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    469,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    474,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    476,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    481,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    482,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    494,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    496,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    497,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    501,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    508,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    511,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    512,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    514,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    520,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    522,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    523,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    526,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    534,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    537,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    540,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    544,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    545,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    546,  // QGlobalSpace::operator|(Qt::WindowState, int)
    549,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    551,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    553,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    556,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    563,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    564,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    575,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    576,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    578,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    579,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    583,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    584,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    588,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    589,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    590,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    592,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    594,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    597,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    598,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    602,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    608,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    611,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    616,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    617,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    618,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    619,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    620,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    621,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    623,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    624,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    632,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    639,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    640,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    641,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    644,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    647,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    655,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    657,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    658,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    659,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    664,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    665,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    669,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    671,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    673,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    680,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    681,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    684,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    685,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    688,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    693,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    698,  // QGlobalSpace::operator|(Qt::Orientation, int)
    699,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    710,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    711,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    714,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    716,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    719,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    724,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    727,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    730,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    735,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    736,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    742,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    743,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    748,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    750,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    751,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    756,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    757,  // QGlobalSpace::operator|(Qt::WindowType, int)
    759,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    763,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    764,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    766,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    768,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    769,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    777,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    779,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    781,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    783,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    787,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    790,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    798,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    799,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    804,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    808,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    135,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    202,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    262,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    403,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    431,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    561,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    650,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    581,  // QGlobalSpace::qFuzzyCompare(float, float)
    700,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    283,  // QGlobalSpace::qFuzzyIsNull(float)
    612,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    78,  // QGlobalSpace::qHash(const QUrl&)
    79,  // QGlobalSpace::qHash(const QByteArray&)
    175,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    204,  // QGlobalSpace::qHash(QChar)
    225,  // QGlobalSpace::qHash(const QModelIndex&)
    369,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    499,  // QGlobalSpace::qHash(const QBitArray&)
    796,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    22,  // QGlobalSpace::qHash(unsigned long long)
    56,  // QGlobalSpace::qHash(signed char)
    115,  // QGlobalSpace::qHash(char)
    201,  // QGlobalSpace::qHash(unsigned int)
    214,  // QGlobalSpace::qHash(const QString&)
    257,  // QGlobalSpace::qHash(long long)
    287,  // QGlobalSpace::qHash(int)
    342,  // QGlobalSpace::qHash(long)
    346,  // QGlobalSpace::qHash(unsigned short)
    574,  // QGlobalSpace::qHash(short)
    775,  // QGlobalSpace::qHash(unsigned long)
    802,  // QGlobalSpace::qHash(unsigned char)
    0,
    62,  // QGlobalSpace::qIntCast(double)
    207,  // QGlobalSpace::qIntCast(float)
    0,
    138,  // QGlobalSpace::qIsFinite(double)
    183,  // QGlobalSpace::qIsFinite(float)
    0,
    24,  // QGlobalSpace::qIsInf(double)
    54,  // QGlobalSpace::qIsInf(float)
    0,
    237,  // QGlobalSpace::qIsNaN(float)
    247,  // QGlobalSpace::qIsNaN(double)
    0,
    692,  // QGlobalSpace::qIsNull(float)
    797,  // QGlobalSpace::qIsNull(double)
    0,
    960,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    1004,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {21, 21, 911},	// QGlobalSpace::LicensedActiveQt
    {21, 22, 918},	// QGlobalSpace::LicensedCore
    {21, 23, 913},	// QGlobalSpace::LicensedDBus
    {21, 24, 925},	// QGlobalSpace::LicensedDeclarative
    {21, 25, 908},	// QGlobalSpace::LicensedGui
    {21, 26, 923},	// QGlobalSpace::LicensedHelp
    {21, 27, 920},	// QGlobalSpace::LicensedMultimedia
    {21, 28, 919},	// QGlobalSpace::LicensedNetwork
    {21, 29, 898},	// QGlobalSpace::LicensedOpenGL
    {21, 30, 900},	// QGlobalSpace::LicensedOpenVG
    {21, 31, 912},	// QGlobalSpace::LicensedQt3Support
    {21, 32, 902},	// QGlobalSpace::LicensedQt3SupportLight
    {21, 33, 901},	// QGlobalSpace::LicensedScript
    {21, 34, 922},	// QGlobalSpace::LicensedScriptTools
    {21, 35, 910},	// QGlobalSpace::LicensedSql
    {21, 36, 899},	// QGlobalSpace::LicensedSvg
    {21, 37, 921},	// QGlobalSpace::LicensedTest
    {21, 38, 924},	// QGlobalSpace::LicensedXml
    {21, 39, 909},	// QGlobalSpace::LicensedXmlPatterns
    {21, 103, 905},	// QGlobalSpace::QtCriticalMsg
    {21, 104, 903},	// QGlobalSpace::QtDebugMsg
    {21, 105, 906},	// QGlobalSpace::QtFatalMsg
    {21, 106, 907},	// QGlobalSpace::QtSystemMsg
    {21, 107, 904},	// QGlobalSpace::QtWarningMsg
    {21, 110, 876},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {21, 111, 877},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {21, 112, 878},	// QGlobalSpace::SP_CustomCameraPauseButton
    {21, 113, 879},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {21, 114, 880},	// QGlobalSpace::SP_CustomCameraPlayButton
    {21, 115, 881},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {21, 116, 882},	// QGlobalSpace::SP_CustomCameraRecButton
    {21, 117, 883},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {21, 118, 884},	// QGlobalSpace::SP_CustomCameraStopButton
    {21, 119, 885},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {21, 120, 886},	// QGlobalSpace::SP_CustomTabAll
    {21, 121, 887},	// QGlobalSpace::SP_CustomTabArtist
    {21, 122, 888},	// QGlobalSpace::SP_CustomTabFavourite
    {21, 123, 889},	// QGlobalSpace::SP_CustomTabGenre
    {21, 124, 890},	// QGlobalSpace::SP_CustomTabLanguage
    {21, 125, 891},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {21, 126, 892},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {21, 127, 893},	// QGlobalSpace::SP_CustomTabPhotosAll
    {21, 128, 894},	// QGlobalSpace::SP_CustomTabPlaylist
    {21, 129, 895},	// QGlobalSpace::SP_CustomTabServices
    {21, 130, 896},	// QGlobalSpace::SP_CustomTabSongs
    {21, 131, 897},	// QGlobalSpace::SP_CustomTabVideos
    {21, 132, 813},	// QGlobalSpace::SP_CustomToolBarAdd
    {21, 133, 814},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {21, 134, 815},	// QGlobalSpace::SP_CustomToolBarAgain
    {21, 135, 816},	// QGlobalSpace::SP_CustomToolBarAgenda
    {21, 136, 817},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {21, 137, 818},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {21, 138, 819},	// QGlobalSpace::SP_CustomToolBarBack
    {21, 139, 820},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {21, 140, 821},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {21, 141, 822},	// QGlobalSpace::SP_CustomToolBarCancel
    {21, 142, 823},	// QGlobalSpace::SP_CustomToolBarDelete
    {21, 143, 824},	// QGlobalSpace::SP_CustomToolBarDone
    {21, 144, 825},	// QGlobalSpace::SP_CustomToolBarEdit
    {21, 145, 826},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {21, 146, 827},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {21, 147, 828},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {21, 148, 829},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {21, 149, 830},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {21, 150, 831},	// QGlobalSpace::SP_CustomToolBarFavourites
    {21, 151, 832},	// QGlobalSpace::SP_CustomToolBarGo
    {21, 152, 833},	// QGlobalSpace::SP_CustomToolBarHome
    {21, 153, 834},	// QGlobalSpace::SP_CustomToolBarImageTools
    {21, 154, 835},	// QGlobalSpace::SP_CustomToolBarList
    {21, 155, 836},	// QGlobalSpace::SP_CustomToolBarLock
    {21, 156, 837},	// QGlobalSpace::SP_CustomToolBarLogs
    {21, 157, 838},	// QGlobalSpace::SP_CustomToolBarMenu
    {21, 158, 839},	// QGlobalSpace::SP_CustomToolBarNewContact
    {21, 159, 840},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {21, 160, 841},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {21, 161, 842},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {21, 162, 843},	// QGlobalSpace::SP_CustomToolBarOptions
    {21, 163, 844},	// QGlobalSpace::SP_CustomToolBarOther
    {21, 164, 845},	// QGlobalSpace::SP_CustomToolBarOvi
    {21, 165, 846},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {21, 166, 847},	// QGlobalSpace::SP_CustomToolBarRead
    {21, 167, 849},	// QGlobalSpace::SP_CustomToolBarRedo
    {21, 168, 848},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {21, 169, 850},	// QGlobalSpace::SP_CustomToolBarRefresh
    {21, 170, 851},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {21, 171, 852},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {21, 172, 853},	// QGlobalSpace::SP_CustomToolBarRepeat
    {21, 173, 854},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {21, 174, 855},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {21, 175, 856},	// QGlobalSpace::SP_CustomToolBarSearch
    {21, 176, 857},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {21, 177, 858},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {21, 178, 859},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {21, 179, 860},	// QGlobalSpace::SP_CustomToolBarSend
    {21, 180, 861},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {21, 181, 862},	// QGlobalSpace::SP_CustomToolBarShare
    {21, 182, 863},	// QGlobalSpace::SP_CustomToolBarShift
    {21, 183, 864},	// QGlobalSpace::SP_CustomToolBarShuffle
    {21, 184, 865},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {21, 185, 866},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {21, 186, 867},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {21, 187, 868},	// QGlobalSpace::SP_CustomToolBarSync
    {21, 188, 869},	// QGlobalSpace::SP_CustomToolBarTools
    {21, 189, 870},	// QGlobalSpace::SP_CustomToolBarTrim
    {21, 190, 871},	// QGlobalSpace::SP_CustomToolBarUnlock
    {21, 191, 872},	// QGlobalSpace::SP_CustomToolBarUnmark
    {21, 192, 873},	// QGlobalSpace::SP_CustomToolBarView
    {21, 193, 874},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {21, 194, 875},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {21, 212, 916},	// QGlobalSpace::__codecvt_error
    {21, 213, 917},	// QGlobalSpace::__codecvt_noconv
    {21, 214, 914},	// QGlobalSpace::__codecvt_ok
    {21, 215, 915},	// QGlobalSpace::__codecvt_partial
    {21, 410, -44},	// QGlobalSpace::operator!=##
    {21, 411, -65},	// QGlobalSpace::operator!=#$
    {21, 412, -71},	// QGlobalSpace::operator!=$#
    {21, 413, 236},	// QGlobalSpace::operator!=$$
    {21, 415, 424},	// QGlobalSpace::operator&##
    {21, 417, -78},	// QGlobalSpace::operator*##
    {21, 418, -108},	// QGlobalSpace::operator*#$
    {21, 419, -121},	// QGlobalSpace::operator*$#
    {21, 421, -133},	// QGlobalSpace::operator+##
    {21, 422, -144},	// QGlobalSpace::operator+#$
    {21, 423, -150},	// QGlobalSpace::operator+$#
    {21, 424, -155},	// QGlobalSpace::operator+$$
    {21, 426, -161},	// QGlobalSpace::operator-#
    {21, 427, -169},	// QGlobalSpace::operator-##
    {21, 428, 113},	// QGlobalSpace::operator-#$
    {21, 430, -179},	// QGlobalSpace::operator/#$
    {21, 432, -190},	// QGlobalSpace::operator<##
    {21, 433, 488},	// QGlobalSpace::operator<#$
    {21, 434, -195},	// QGlobalSpace::operator<$#
    {21, 435, 149},	// QGlobalSpace::operator<$$
    {21, 437, -198},	// QGlobalSpace::operator<<##
    {21, 438, -295},	// QGlobalSpace::operator<<#$
    {21, 439, 448},	// QGlobalSpace::operator<<#?
    {21, 441, -306},	// QGlobalSpace::operator<=##
    {21, 442, 206},	// QGlobalSpace::operator<=#$
    {21, 443, -311},	// QGlobalSpace::operator<=$#
    {21, 444, 517},	// QGlobalSpace::operator<=$$
    {21, 449, -314},	// QGlobalSpace::operator==##
    {21, 450, -336},	// QGlobalSpace::operator==#$
    {21, 451, -343},	// QGlobalSpace::operator==$#
    {21, 452, 782},	// QGlobalSpace::operator==$$
    {21, 454, -351},	// QGlobalSpace::operator>##
    {21, 455, 801},	// QGlobalSpace::operator>#$
    {21, 456, -356},	// QGlobalSpace::operator>$#
    {21, 457, 370},	// QGlobalSpace::operator>$$
    {21, 459, -359},	// QGlobalSpace::operator>=##
    {21, 460, 53},	// QGlobalSpace::operator>=#$
    {21, 461, -364},	// QGlobalSpace::operator>=$#
    {21, 462, 795},	// QGlobalSpace::operator>=$$
    {21, 464, -367},	// QGlobalSpace::operator>>##
    {21, 465, -419},	// QGlobalSpace::operator>>#$
    {21, 466, 324},	// QGlobalSpace::operator>>#?
    {21, 468, 210},	// QGlobalSpace::operator^##
    {21, 470, 648},	// QGlobalSpace::operator|##
    {21, 471, -422},	// QGlobalSpace::operator|$$
    {21, 485, 407},	// QGlobalSpace::qAccessibleActionCastHelper
    {21, 486, 108},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {21, 487, 513},	// QGlobalSpace::qAccessibleImageCastHelper
    {21, 488, 318},	// QGlobalSpace::qAccessibleTable2CastHelper
    {21, 489, 278},	// QGlobalSpace::qAccessibleTableCastHelper
    {21, 490, 191},	// QGlobalSpace::qAccessibleTextCastHelper
    {21, 491, 20},	// QGlobalSpace::qAccessibleValueCastHelper
    {21, 493, 591},	// QGlobalSpace::qAcos$
    {21, 495, 460},	// QGlobalSpace::qAddPostRoutine$
    {21, 497, 146},	// QGlobalSpace::qAlpha$
    {21, 498, 472},	// QGlobalSpace::qAppName
    {21, 500, 636},	// QGlobalSpace::qAsin$
    {21, 502, 696},	// QGlobalSpace::qAtan$
    {21, 504, 51},	// QGlobalSpace::qAtan2$$
    {21, 505, 600},	// QGlobalSpace::qBadAlloc
    {21, 507, 331},	// QGlobalSpace::qBlue$
    {21, 509, 504},	// QGlobalSpace::qCeil$
    {21, 511, 315},	// QGlobalSpace::qChecksum$$
    {21, 513, 614},	// QGlobalSpace::qCompress#
    {21, 514, 613},	// QGlobalSpace::qCompress#$
    {21, 515, 462},	// QGlobalSpace::qCompress$$
    {21, 516, 461},	// QGlobalSpace::qCompress$$$
    {21, 518, 97},	// QGlobalSpace::qCos$
    {21, 519, 435},	// QGlobalSpace::qCritical
    {21, 520, 524},	// QGlobalSpace::qDebug
    {21, 522, 316},	// QGlobalSpace::qDrawBorderPixmap####
    {21, 523, 785},	// QGlobalSpace::qDrawBorderPixmap######
    {21, 524, 786},	// QGlobalSpace::qDrawBorderPixmap#######
    {21, 525, 784},	// QGlobalSpace::qDrawBorderPixmap#######$
    {21, 527, 677},	// QGlobalSpace::qDrawPlainRect###
    {21, 528, 678},	// QGlobalSpace::qDrawPlainRect###$
    {21, 529, 676},	// QGlobalSpace::qDrawPlainRect###$#
    {21, 530, 281},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {21, 531, 282},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {21, 532, 280},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {21, 534, 706},	// QGlobalSpace::qDrawShadeLine####
    {21, 535, 707},	// QGlobalSpace::qDrawShadeLine####$
    {21, 536, 708},	// QGlobalSpace::qDrawShadeLine####$$
    {21, 537, 705},	// QGlobalSpace::qDrawShadeLine####$$$
    {21, 538, 629},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {21, 539, 630},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {21, 540, 631},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {21, 541, 628},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {21, 543, 356},	// QGlobalSpace::qDrawShadePanel###
    {21, 544, 357},	// QGlobalSpace::qDrawShadePanel###$
    {21, 545, 358},	// QGlobalSpace::qDrawShadePanel###$$
    {21, 546, 355},	// QGlobalSpace::qDrawShadePanel###$$#
    {21, 547, 379},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {21, 548, 380},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {21, 549, 381},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {21, 550, 378},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {21, 552, 303},	// QGlobalSpace::qDrawShadeRect###
    {21, 553, 304},	// QGlobalSpace::qDrawShadeRect###$
    {21, 554, 305},	// QGlobalSpace::qDrawShadeRect###$$
    {21, 555, 306},	// QGlobalSpace::qDrawShadeRect###$$$
    {21, 556, 302},	// QGlobalSpace::qDrawShadeRect###$$$#
    {21, 557, 604},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {21, 558, 605},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {21, 559, 606},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {21, 560, 607},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {21, 561, 603},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {21, 563, 337},	// QGlobalSpace::qDrawWinButton###
    {21, 564, 338},	// QGlobalSpace::qDrawWinButton###$
    {21, 565, 336},	// QGlobalSpace::qDrawWinButton###$#
    {21, 566, 652},	// QGlobalSpace::qDrawWinButton#$$$$#
    {21, 567, 653},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {21, 568, 651},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {21, 570, 572},	// QGlobalSpace::qDrawWinPanel###
    {21, 571, 573},	// QGlobalSpace::qDrawWinPanel###$
    {21, 572, 571},	// QGlobalSpace::qDrawWinPanel###$#
    {21, 573, 127},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {21, 574, 128},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {21, 575, 126},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {21, 577, 298},	// QGlobalSpace::qExp$
    {21, 579, 577},	// QGlobalSpace::qFabs$
    {21, 581, 227},	// QGlobalSpace::qFastCos$
    {21, 583, 465},	// QGlobalSpace::qFastSin$
    {21, 585, 242},	// QGlobalSpace::qFlagLocation$
    {21, 587, 179},	// QGlobalSpace::qFloor$
    {21, 589, 477},	// QGlobalSpace::qFree$
    {21, 591, 483},	// QGlobalSpace::qFreeAligned$
    {21, 593, -657},	// QGlobalSpace::qFuzzyCompare##
    {21, 594, -665},	// QGlobalSpace::qFuzzyCompare$$
    {21, 596, -668},	// QGlobalSpace::qFuzzyIsNull$
    {21, 598, 248},	// QGlobalSpace::qGray$
    {21, 599, 150},	// QGlobalSpace::qGray$$$
    {21, 601, 530},	// QGlobalSpace::qGreen$
    {21, 603, -671},	// QGlobalSpace::qHash#
    {21, 604, -680},	// QGlobalSpace::qHash$
    {21, 605, 746},	// QGlobalSpace::qInf
    {21, 607, 222},	// QGlobalSpace::qInstallMsgHandler$
    {21, 609, -693},	// QGlobalSpace::qIntCast$
    {21, 611, -696},	// QGlobalSpace::qIsFinite$
    {21, 613, 670},	// QGlobalSpace::qIsGray$
    {21, 615, -699},	// QGlobalSpace::qIsInf$
    {21, 617, -702},	// QGlobalSpace::qIsNaN$
    {21, 619, -705},	// QGlobalSpace::qIsNull$
    {21, 621, 300},	// QGlobalSpace::qLn$
    {21, 623, 321},	// QGlobalSpace::qMalloc$
    {21, 625, 525},	// QGlobalSpace::qMallocAligned$$
    {21, 627, 30},	// QGlobalSpace::qMemCopy$$$
    {21, 629, 568},	// QGlobalSpace::qMemSet$$$
    {21, 631, 531},	// QGlobalSpace::qPow$$
    {21, 632, 322},	// QGlobalSpace::qQNaN
    {21, 634, 213},	// QGlobalSpace::qRealloc$$
    {21, 636, 197},	// QGlobalSpace::qReallocAligned$$$$
    {21, 638, 177},	// QGlobalSpace::qRed$
    {21, 640, 311},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {21, 642, 760},	// QGlobalSpace::qRemovePostRoutine$
    {21, 644, 266},	// QGlobalSpace::qRgb$$$
    {21, 646, 434},	// QGlobalSpace::qRgba$$$$
    {21, 648, 745},	// QGlobalSpace::qRound$
    {21, 650, 221},	// QGlobalSpace::qRound64$
    {21, 651, 712},	// QGlobalSpace::qSNaN
    {21, 653, 171},	// QGlobalSpace::qSetFieldWidth$
    {21, 655, 63},	// QGlobalSpace::qSetPadChar#
    {21, 657, 297},	// QGlobalSpace::qSetRealNumberPrecision$
    {21, 658, 102},	// QGlobalSpace::qSharedBuild
    {21, 660, 643},	// QGlobalSpace::qSin$
    {21, 662, 223},	// QGlobalSpace::qSqrt$
    {21, 664, 509},	// QGlobalSpace::qStringComparisonHelper#$
    {21, 665, 46},	// QGlobalSpace::qStringComparisonHelper$$
    {21, 667, 168},	// QGlobalSpace::qTan$
    {21, 669, 399},	// QGlobalSpace::qUncompress#
    {21, 670, 166},	// QGlobalSpace::qUncompress$$
    {21, 671, 473},	// QGlobalSpace::qVersion
    {21, 672, 770},	// QGlobalSpace::qWarning
    {21, 674, 189},	// QGlobalSpace::qbswap_helper$$$
    {21, 676, 139},	// QGlobalSpace::qecvt$$$$
    {21, 678, 529},	// QGlobalSpace::qecvt_r$$$$$$
    {21, 680, 260},	// QGlobalSpace::qfcvt$$$$
    {21, 682, 585},	// QGlobalSpace::qfcvt_r$$$$$$
    {21, 684, 586},	// QGlobalSpace::qgcvt$$$
    {21, 686, 55},	// QGlobalSpace::qgetenv$
    {21, 688, 325},	// QGlobalSpace::qputenv$#
    {21, 689, 417},	// QGlobalSpace::qrand
    {21, 691, 587},	// QGlobalSpace::qsort$$$$
    {21, 693, 339},	// QGlobalSpace::qsrand$
    {21, 695, 580},	// QGlobalSpace::qstrcmp##
    {21, 696, 758},	// QGlobalSpace::qstrcmp#$
    {21, 697, 48},	// QGlobalSpace::qstrcmp$#
    {21, 698, 94},	// QGlobalSpace::qstrcmp$$
    {21, 700, 286},	// QGlobalSpace::qstrcpy$$
    {21, 702, 510},	// QGlobalSpace::qstrdup$
    {21, 704, 741},	// QGlobalSpace::qstricmp$$
    {21, 706, 771},	// QGlobalSpace::qstrlen$
    {21, 708, 167},	// QGlobalSpace::qstrncmp$$$
    {21, 710, 394},	// QGlobalSpace::qstrncpy$$$
    {21, 712, 359},	// QGlobalSpace::qstrnicmp$$$
    {21, 714, 29},	// QGlobalSpace::qstrnlen$$
    {21, 716, 663},	// QGlobalSpace::qtTrId$
    {21, 717, 662},	// QGlobalSpace::qtTrId$$
    {21, 719, 256},	// QGlobalSpace::qt_assert$$$
    {21, 721, 422},	// QGlobalSpace::qt_assert_x$$$$
    {21, 723, 570},	// QGlobalSpace::qt_check_pointer$$
    {21, 724, 158},	// QGlobalSpace::qt_error_string
    {21, 725, 157},	// QGlobalSpace::qt_error_string$
    {21, 727, 791},	// QGlobalSpace::qt_message_output$$
    {21, 732, 31},	// QGlobalSpace::qt_noop
    {21, 734, 377},	// QGlobalSpace::qt_qFindChild_helper#$#
    {21, 736, 694},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {21, 740, 686},	// QGlobalSpace::qvariant_cast_helper#$$
    {21, 742, 565},	// QGlobalSpace::qvsnprintf$$$?
    {64, 1, 958},	// QSql::AfterLastRow
    {64, 2, 948},	// QSql::AllTables
    {64, 6, 957},	// QSql::BeforeFirstRow
    {64, 7, 952},	// QSql::Binary
    {64, 14, 956},	// QSql::HighPrecision
    {64, 15, 949},	// QSql::In
    {64, 16, 951},	// QSql::InOut
    {64, 40, 955},	// QSql::LowPrecisionDouble
    {64, 41, 953},	// QSql::LowPrecisionInt32
    {64, 42, 954},	// QSql::LowPrecisionInt64
    {64, 53, 950},	// QSql::Out
    {64, 199, 946},	// QSql::SystemTables
    {64, 201, 945},	// QSql::Tables
    {64, 210, 947},	// QSql::Views
    {65, 57, 959},	// QSqlDatabase::QSqlDatabase
    {65, 58, -708},	// QSqlDatabase::QSqlDatabase#
    {65, 59, 1003},	// QSqlDatabase::QSqlDatabase$
    {65, 220, 1009},	// QSqlDatabase::addDatabase#
    {65, 221, 994},	// QSqlDatabase::addDatabase#$
    {65, 222, 1008},	// QSqlDatabase::addDatabase$
    {65, 223, 993},	// QSqlDatabase::addDatabase$$
    {65, 254, 995},	// QSqlDatabase::cloneDatabase#$
    {65, 255, 964},	// QSqlDatabase::close
    {65, 258, 974},	// QSqlDatabase::commit
    {65, 261, 988},	// QSqlDatabase::connectOptions
    {65, 262, 989},	// QSqlDatabase::connectionName
    {65, 263, 1000},	// QSqlDatabase::connectionNames
    {65, 264, 1012},	// QSqlDatabase::contains
    {65, 265, 998},	// QSqlDatabase::contains$
    {65, 279, 1010},	// QSqlDatabase::database
    {65, 280, 1011},	// QSqlDatabase::database$
    {65, 281, 996},	// QSqlDatabase::database$$
    {65, 282, 982},	// QSqlDatabase::databaseName
    {65, 284, 1013},	// QSqlDatabase::defaultConnection
    {65, 295, 992},	// QSqlDatabase::driver
    {65, 296, 986},	// QSqlDatabase::driverName
    {65, 298, 999},	// QSqlDatabase::drivers
    {65, 306, 1006},	// QSqlDatabase::exec
    {65, 307, 970},	// QSqlDatabase::exec$
    {65, 340, 985},	// QSqlDatabase::hostName
    {65, 366, 1002},	// QSqlDatabase::isDriverAvailable$
    {65, 377, 965},	// QSqlDatabase::isOpen
    {65, 378, 966},	// QSqlDatabase::isOpenError
    {65, 381, 972},	// QSqlDatabase::isValid
    {65, 385, 971},	// QSqlDatabase::lastError
    {65, 400, 991},	// QSqlDatabase::numericalPrecisionPolicy
    {65, 401, 962},	// QSqlDatabase::open
    {65, 403, 963},	// QSqlDatabase::open$$
    {65, 446, 961},	// QSqlDatabase::operator=#
    {65, 474, 984},	// QSqlDatabase::password
    {65, 475, 987},	// QSqlDatabase::port
    {65, 481, 968},	// QSqlDatabase::primaryIndex$
    {65, 744, 969},	// QSqlDatabase::record$
    {65, 746, 1001},	// QSqlDatabase::registerSqlDriver$#
    {65, 757, 997},	// QSqlDatabase::removeDatabase$
    {65, 771, 975},	// QSqlDatabase::rollback
    {65, 788, 1007},	// QSqlDatabase::setConnectOptions
    {65, 789, 981},	// QSqlDatabase::setConnectOptions$
    {65, 796, 976},	// QSqlDatabase::setDatabaseName$
    {65, 800, 1014},	// QSqlDatabase::setDefaultConnection$
    {65, 822, 979},	// QSqlDatabase::setHostName$
    {65, 839, 990},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {65, 845, 978},	// QSqlDatabase::setPassword$
    {65, 847, 980},	// QSqlDatabase::setPort$
    {65, 877, 977},	// QSqlDatabase::setUserName$
    {65, 903, 1005},	// QSqlDatabase::tables
    {65, 904, 967},	// QSqlDatabase::tables$
    {65, 915, 973},	// QSqlDatabase::transaction
    {65, 925, 983},	// QSqlDatabase::userName
    {65, 930, 1015},	// QSqlDatabase::~QSqlDatabase
    {66, 3, 1069},	// QSqlDriver::BLOB
    {66, 5, 1075},	// QSqlDriver::BatchOperations
    {66, 9, 1085},	// QSqlDriver::DeleteStatement
    {66, 11, 1078},	// QSqlDriver::EventNotifications
    {66, 12, 1086},	// QSqlDriver::FieldName
    {66, 13, 1079},	// QSqlDriver::FinishQuery
    {66, 18, 1084},	// QSqlDriver::InsertStatement
    {66, 19, 1074},	// QSqlDriver::LastInsertId
    {66, 43, 1077},	// QSqlDriver::LowPrecisionNumbers
    {66, 44, 1080},	// QSqlDriver::MultipleResultSets
    {66, 46, 1072},	// QSqlDriver::NamedPlaceholders
    {66, 55, 1073},	// QSqlDriver::PositionalPlaceholders
    {66, 56, 1071},	// QSqlDriver::PreparedQueries
    {66, 60, 1059},	// QSqlDriver::QSqlDriver
    {66, 61, 1023},	// QSqlDriver::QSqlDriver#
    {66, 108, 1068},	// QSqlDriver::QuerySize
    {66, 195, 1082},	// QSqlDriver::SelectStatement
    {66, 197, 1076},	// QSqlDriver::SimpleLocking
    {66, 200, 1087},	// QSqlDriver::TableName
    {66, 203, 1067},	// QSqlDriver::Transactions
    {66, 204, 1070},	// QSqlDriver::Unicode
    {66, 207, 1083},	// QSqlDriver::UpdateStatement
    {66, 211, 1081},	// QSqlDriver::WhereStatement
    {66, 234, 1026},	// QSqlDriver::beginTransaction
    {66, 255, 1038},	// QSqlDriver::close
    {66, 259, 1027},	// QSqlDriver::commitTransaction
    {66, 272, 1039},	// QSqlDriver::createResult
    {66, 303, 1033},	// QSqlDriver::escapeIdentifier$$
    {66, 331, 1060},	// QSqlDriver::formatValue#
    {66, 332, 1032},	// QSqlDriver::formatValue#$
    {66, 333, 1036},	// QSqlDriver::handle
    {66, 335, 1037},	// QSqlDriver::hasFeature$
    {66, 372, 1044},	// QSqlDriver::isIdentifierEscaped$$
    {66, 374, 1055},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {66, 377, 1024},	// QSqlDriver::isOpen
    {66, 378, 1025},	// QSqlDriver::isOpenError
    {66, 385, 1035},	// QSqlDriver::lastError
    {66, 390, 1016},	// QSqlDriver::metaObject
    {66, 397, 1048},	// QSqlDriver::notification$
    {66, 400, 1047},	// QSqlDriver::numericalPrecisionPolicy
    {66, 402, 1061},	// QSqlDriver::open$
    {66, 403, 1062},	// QSqlDriver::open$$
    {66, 404, 1063},	// QSqlDriver::open$$$
    {66, 405, 1064},	// QSqlDriver::open$$$$
    {66, 406, 1065},	// QSqlDriver::open$$$$$
    {66, 407, 1040},	// QSqlDriver::open$$$$$$
    {66, 481, 1030},	// QSqlDriver::primaryIndex$
    {66, 729, 1022},	// QSqlDriver::qt_metacall$$?
    {66, 731, 1017},	// QSqlDriver::qt_metacast$
    {66, 744, 1031},	// QSqlDriver::record$
    {66, 772, 1028},	// QSqlDriver::rollbackTransaction
    {66, 827, 1051},	// QSqlDriver::setLastError#
    {66, 839, 1046},	// QSqlDriver::setNumericalPrecisionPolicy$
    {66, 841, 1049},	// QSqlDriver::setOpen$
    {66, 843, 1050},	// QSqlDriver::setOpenError$
    {66, 887, 1034},	// QSqlDriver::sqlStatement$$#$
    {66, 888, 1066},	// QSqlDriver::staticMetaObject
    {66, 890, 1045},	// QSqlDriver::stripDelimiters$$
    {66, 892, 1056},	// QSqlDriver::stripDelimitersImplementation$$
    {66, 896, 1041},	// QSqlDriver::subscribeToNotification$
    {66, 898, 1052},	// QSqlDriver::subscribeToNotificationImplementation$
    {66, 899, 1043},	// QSqlDriver::subscribedToNotifications
    {66, 900, 1054},	// QSqlDriver::subscribedToNotificationsImplementation
    {66, 904, 1029},	// QSqlDriver::tables$
    {66, 908, 1057},	// QSqlDriver::tr$
    {66, 909, 1018},	// QSqlDriver::tr$$
    {66, 910, 1020},	// QSqlDriver::tr$$$
    {66, 912, 1058},	// QSqlDriver::trUtf8$
    {66, 913, 1019},	// QSqlDriver::trUtf8$$
    {66, 914, 1021},	// QSqlDriver::trUtf8$$$
    {66, 919, 1042},	// QSqlDriver::unsubscribeFromNotification$
    {66, 921, 1053},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {66, 931, 1088},	// QSqlDriver::~QSqlDriver
    {67, 62, 1090},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {67, 63, 1091},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {67, 271, 1089},	// QSqlDriverCreatorBase::createObject
    {67, 932, 1092},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {68, 64, 1094},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {68, 65, 1095},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {68, 268, 1093},	// QSqlDriverFactoryInterface::create$
    {68, 933, 1096},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {69, 66, 1109},	// QSqlDriverPlugin::QSqlDriverPlugin
    {69, 67, 1104},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {69, 268, 1106},	// QSqlDriverPlugin::create$
    {69, 383, 1105},	// QSqlDriverPlugin::keys
    {69, 390, 1097},	// QSqlDriverPlugin::metaObject
    {69, 729, 1103},	// QSqlDriverPlugin::qt_metacall$$?
    {69, 731, 1098},	// QSqlDriverPlugin::qt_metacast$
    {69, 888, 1110},	// QSqlDriverPlugin::staticMetaObject
    {69, 908, 1107},	// QSqlDriverPlugin::tr$
    {69, 909, 1099},	// QSqlDriverPlugin::tr$$
    {69, 910, 1101},	// QSqlDriverPlugin::tr$$$
    {69, 912, 1108},	// QSqlDriverPlugin::trUtf8$
    {69, 913, 1100},	// QSqlDriverPlugin::trUtf8$$
    {69, 914, 1102},	// QSqlDriverPlugin::trUtf8$$$
    {69, 934, 1111},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {70, 8, 1130},	// QSqlError::ConnectionError
    {70, 48, 1129},	// QSqlError::NoError
    {70, 68, 1125},	// QSqlError::QSqlError
    {70, 69, 1113},	// QSqlError::QSqlError#
    {70, 70, 1126},	// QSqlError::QSqlError$
    {70, 71, 1127},	// QSqlError::QSqlError$$
    {70, 72, 1128},	// QSqlError::QSqlError$$$
    {70, 73, 1112},	// QSqlError::QSqlError$$$$
    {70, 198, 1131},	// QSqlError::StatementError
    {70, 202, 1132},	// QSqlError::TransactionError
    {70, 206, 1133},	// QSqlError::UnknownError
    {70, 283, 1117},	// QSqlError::databaseText
    {70, 297, 1115},	// QSqlError::driverText
    {70, 381, 1124},	// QSqlError::isValid
    {70, 399, 1121},	// QSqlError::number
    {70, 446, 1114},	// QSqlError::operator=#
    {70, 798, 1118},	// QSqlError::setDatabaseText$
    {70, 806, 1116},	// QSqlError::setDriverText$
    {70, 837, 1122},	// QSqlError::setNumber$
    {70, 875, 1120},	// QSqlError::setType$
    {70, 905, 1123},	// QSqlError::text
    {70, 916, 1119},	// QSqlError::type
    {70, 935, 1134},	// QSqlError::~QSqlError
    {71, 52, 1169},	// QSqlField::Optional
    {71, 74, 1166},	// QSqlField::QSqlField
    {71, 75, 1136},	// QSqlField::QSqlField#
    {71, 76, 1167},	// QSqlField::QSqlField$
    {71, 77, 1135},	// QSqlField::QSqlField$$
    {71, 109, 1170},	// QSqlField::Required
    {71, 205, 1168},	// QSqlField::Unknown
    {71, 251, 1147},	// QSqlField::clear
    {71, 285, 1162},	// QSqlField::defaultValue
    {71, 360, 1149},	// QSqlField::isAutoValue
    {71, 369, 1164},	// QSqlField::isGenerated
    {71, 375, 1144},	// QSqlField::isNull
    {71, 379, 1146},	// QSqlField::isReadOnly
    {71, 381, 1165},	// QSqlField::isValid
    {71, 388, 1160},	// QSqlField::length
    {71, 393, 1143},	// QSqlField::name
    {71, 409, 1139},	// QSqlField::operator!=#
    {71, 446, 1137},	// QSqlField::operator=#
    {71, 448, 1138},	// QSqlField::operator==#
    {71, 476, 1161},	// QSqlField::precision
    {71, 763, 1159},	// QSqlField::requiredStatus
    {71, 787, 1158},	// QSqlField::setAutoValue$
    {71, 802, 1155},	// QSqlField::setDefaultValue#
    {71, 816, 1157},	// QSqlField::setGenerated$
    {71, 829, 1153},	// QSqlField::setLength$
    {71, 833, 1142},	// QSqlField::setName$
    {71, 849, 1154},	// QSqlField::setPrecision$
    {71, 857, 1145},	// QSqlField::setReadOnly$
    {71, 863, 1152},	// QSqlField::setRequired$
    {71, 865, 1151},	// QSqlField::setRequiredStatus$
    {71, 871, 1156},	// QSqlField::setSqlType$
    {71, 875, 1150},	// QSqlField::setType$
    {71, 879, 1140},	// QSqlField::setValue#
    {71, 916, 1148},	// QSqlField::type
    {71, 917, 1163},	// QSqlField::typeID
    {71, 926, 1141},	// QSqlField::value
    {71, 936, 1171},	// QSqlField::~QSqlField
    {72, 78, 1183},	// QSqlIndex::QSqlIndex
    {72, 79, 1173},	// QSqlIndex::QSqlIndex#
    {72, 80, 1184},	// QSqlIndex::QSqlIndex$
    {72, 81, 1172},	// QSqlIndex::QSqlIndex$$
    {72, 225, 1179},	// QSqlIndex::append#
    {72, 226, 1180},	// QSqlIndex::append#$
    {72, 273, 1176},	// QSqlIndex::cursorName
    {72, 362, 1181},	// QSqlIndex::isDescending$
    {72, 393, 1178},	// QSqlIndex::name
    {72, 446, 1174},	// QSqlIndex::operator=#
    {72, 791, 1175},	// QSqlIndex::setCursorName$
    {72, 804, 1182},	// QSqlIndex::setDescending$$
    {72, 833, 1177},	// QSqlIndex::setName$
    {72, 937, 1185},	// QSqlIndex::~QSqlIndex
    {73, 82, 1228},	// QSqlQuery::QSqlQuery
    {73, 83, -1},	// QSqlQuery::QSqlQuery#
    {73, 84, 1229},	// QSqlQuery::QSqlQuery$
    {73, 85, 1187},	// QSqlQuery::QSqlQuery$#
    {73, 208, 1236},	// QSqlQuery::ValuesAsColumns
    {73, 209, 1235},	// QSqlQuery::ValuesAsRows
    {73, 217, 1234},	// QSqlQuery::addBindValue#
    {73, 218, 1220},	// QSqlQuery::addBindValue#$
    {73, 227, 1194},	// QSqlQuery::at
    {73, 236, -5},	// QSqlQuery::bindValue$#
    {73, 237, -8},	// QSqlQuery::bindValue$#$
    {73, 242, -11},	// QSqlQuery::boundValue$
    {73, 246, 1223},	// QSqlQuery::boundValues
    {73, 251, 1214},	// QSqlQuery::clear
    {73, 295, 1200},	// QSqlQuery::driver
    {73, 306, 1215},	// QSqlQuery::exec
    {73, 307, 1205},	// QSqlQuery::exec$
    {73, 308, 1231},	// QSqlQuery::execBatch
    {73, 309, 1216},	// QSqlQuery::execBatch$
    {73, 310, 1224},	// QSqlQuery::executedQuery
    {73, 326, 1226},	// QSqlQuery::finish
    {73, 327, 1212},	// QSqlQuery::first
    {73, 359, 1192},	// QSqlQuery::isActive
    {73, 368, 1202},	// QSqlQuery::isForwardOnly
    {73, 376, 1193},	// QSqlQuery::isNull$
    {73, 380, 1198},	// QSqlQuery::isSelect
    {73, 381, 1191},	// QSqlQuery::isValid
    {73, 384, 1213},	// QSqlQuery::last
    {73, 385, 1197},	// QSqlQuery::lastError
    {73, 386, 1225},	// QSqlQuery::lastInsertId
    {73, 387, 1195},	// QSqlQuery::lastQuery
    {73, 394, 1210},	// QSqlQuery::next
    {73, 395, 1227},	// QSqlQuery::nextResult
    {73, 398, 1196},	// QSqlQuery::numRowsAffected
    {73, 400, 1208},	// QSqlQuery::numericalPrecisionPolicy
    {73, 446, 1190},	// QSqlQuery::operator=#
    {73, 478, 1217},	// QSqlQuery::prepare$
    {73, 479, 1211},	// QSqlQuery::previous
    {73, 743, 1203},	// QSqlQuery::record
    {73, 766, 1201},	// QSqlQuery::result
    {73, 778, 1230},	// QSqlQuery::seek$
    {73, 779, 1209},	// QSqlQuery::seek$$
    {73, 814, 1204},	// QSqlQuery::setForwardOnly$
    {73, 839, 1207},	// QSqlQuery::setNumericalPrecisionPolicy$
    {73, 881, 1199},	// QSqlQuery::size
    {73, 927, 1206},	// QSqlQuery::value$
    {73, 938, 1237},	// QSqlQuery::~QSqlQuery
    {74, 86, 1267},	// QSqlQueryModel::QSqlQueryModel
    {74, 87, 1245},	// QSqlQueryModel::QSqlQueryModel#
    {74, 248, 1277},	// QSqlQueryModel::canFetchMore
    {74, 249, 1261},	// QSqlQueryModel::canFetchMore#
    {74, 251, 1258},	// QSqlQueryModel::clear
    {74, 256, 1269},	// QSqlQueryModel::columnCount
    {74, 257, 1247},	// QSqlQueryModel::columnCount#
    {74, 276, 1270},	// QSqlQueryModel::data#
    {74, 277, 1250},	// QSqlQueryModel::data#$
    {74, 315, 1276},	// QSqlQueryModel::fetchMore
    {74, 316, 1260},	// QSqlQueryModel::fetchMore#
    {74, 338, 1271},	// QSqlQueryModel::headerData$$
    {74, 339, 1251},	// QSqlQueryModel::headerData$$$
    {74, 344, 1263},	// QSqlQueryModel::indexInQuery#
    {74, 350, 1273},	// QSqlQueryModel::insertColumns$$
    {74, 351, 1253},	// QSqlQueryModel::insertColumns$$#
    {74, 385, 1259},	// QSqlQueryModel::lastError
    {74, 390, 1238},	// QSqlQueryModel::metaObject
    {74, 729, 1244},	// QSqlQueryModel::qt_metacall$$?
    {74, 731, 1239},	// QSqlQueryModel::qt_metacast$
    {74, 737, 1257},	// QSqlQueryModel::query
    {74, 738, 1262},	// QSqlQueryModel::queryChange
    {74, 743, 1249},	// QSqlQueryModel::record
    {74, 744, 1248},	// QSqlQueryModel::record$
    {74, 754, 1274},	// QSqlQueryModel::removeColumns$$
    {74, 755, 1254},	// QSqlQueryModel::removeColumns$$#
    {74, 773, 1268},	// QSqlQueryModel::rowCount
    {74, 774, 1246},	// QSqlQueryModel::rowCount#
    {74, 819, 1272},	// QSqlQueryModel::setHeaderData$$#
    {74, 820, 1252},	// QSqlQueryModel::setHeaderData$$#$
    {74, 827, 1264},	// QSqlQueryModel::setLastError#
    {74, 853, 1255},	// QSqlQueryModel::setQuery#
    {74, 854, 1275},	// QSqlQueryModel::setQuery$
    {74, 855, 1256},	// QSqlQueryModel::setQuery$#
    {74, 888, 1278},	// QSqlQueryModel::staticMetaObject
    {74, 908, 1265},	// QSqlQueryModel::tr$
    {74, 909, 1240},	// QSqlQueryModel::tr$$
    {74, 910, 1242},	// QSqlQueryModel::tr$$$
    {74, 912, 1266},	// QSqlQueryModel::trUtf8$
    {74, 913, 1241},	// QSqlQueryModel::trUtf8$$
    {74, 914, 1243},	// QSqlQueryModel::trUtf8$$$
    {74, 939, 1279},	// QSqlQueryModel::~QSqlQueryModel
    {75, 88, 1280},	// QSqlRecord::QSqlRecord
    {75, 89, 1281},	// QSqlRecord::QSqlRecord#
    {75, 225, 1301},	// QSqlRecord::append#
    {75, 251, 1307},	// QSqlRecord::clear
    {75, 252, 1308},	// QSqlRecord::clearValues
    {75, 265, 1306},	// QSqlRecord::contains$
    {75, 266, 1309},	// QSqlRecord::count
    {75, 320, -23},	// QSqlRecord::field$
    {75, 324, 1294},	// QSqlRecord::fieldName$
    {75, 346, 1293},	// QSqlRecord::indexOf$
    {75, 348, 1303},	// QSqlRecord::insert$#
    {75, 367, 1305},	// QSqlRecord::isEmpty
    {75, 370, -26},	// QSqlRecord::isGenerated$
    {75, 376, -29},	// QSqlRecord::isNull$
    {75, 409, 1284},	// QSqlRecord::operator!=#
    {75, 446, 1282},	// QSqlRecord::operator=#
    {75, 448, 1283},	// QSqlRecord::operator==#
    {75, 752, 1304},	// QSqlRecord::remove$
    {75, 762, 1302},	// QSqlRecord::replace$#
    {75, 817, -32},	// QSqlRecord::setGenerated$$
    {75, 835, -35},	// QSqlRecord::setNull$
    {75, 880, -38},	// QSqlRecord::setValue$#
    {75, 927, -41},	// QSqlRecord::value$
    {75, 940, 1310},	// QSqlRecord::~QSqlRecord
    {76, 90, 1311},	// QSqlRelation::QSqlRelation
    {76, 91, 1317},	// QSqlRelation::QSqlRelation#
    {76, 92, 1312},	// QSqlRelation::QSqlRelation$$$
    {76, 290, 1315},	// QSqlRelation::displayColumn
    {76, 342, 1314},	// QSqlRelation::indexColumn
    {76, 381, 1316},	// QSqlRelation::isValid
    {76, 902, 1313},	// QSqlRelation::tableName
    {76, 941, 1318},	// QSqlRelation::~QSqlRelation
    {77, 93, 1323},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {77, 94, 1319},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {77, 270, 1320},	// QSqlRelationalDelegate::createEditor###
    {77, 810, 1321},	// QSqlRelationalDelegate::setEditorData##
    {77, 831, 1322},	// QSqlRelationalDelegate::setModelData###
    {77, 942, 1324},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {78, 17, 1356},	// QSqlRelationalTableModel::InnerJoin
    {78, 20, 1357},	// QSqlRelationalTableModel::LeftJoin
    {78, 95, 1350},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {78, 96, 1351},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {78, 97, 1332},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {78, 251, 1336},	// QSqlRelationalTableModel::clear
    {78, 276, 1352},	// QSqlRelationalTableModel::data#
    {78, 277, 1333},	// QSqlRelationalTableModel::data#$
    {78, 355, 1346},	// QSqlRelationalTableModel::insertRowIntoTable#
    {78, 390, 1325},	// QSqlRelationalTableModel::metaObject
    {78, 472, 1347},	// QSqlRelationalTableModel::orderByClause
    {78, 729, 1331},	// QSqlRelationalTableModel::qt_metacall$$?
    {78, 731, 1326},	// QSqlRelationalTableModel::qt_metacast$
    {78, 748, 1340},	// QSqlRelationalTableModel::relation$
    {78, 750, 1341},	// QSqlRelationalTableModel::relationModel$
    {78, 754, 1354},	// QSqlRelationalTableModel::removeColumns$$
    {78, 755, 1335},	// QSqlRelationalTableModel::removeColumns$$#
    {78, 770, 1343},	// QSqlRelationalTableModel::revertRow$
    {78, 780, 1337},	// QSqlRelationalTableModel::select
    {78, 781, 1344},	// QSqlRelationalTableModel::selectStatement
    {78, 793, 1353},	// QSqlRelationalTableModel::setData##
    {78, 794, 1334},	// QSqlRelationalTableModel::setData##$
    {78, 825, 1342},	// QSqlRelationalTableModel::setJoinMode$
    {78, 861, 1339},	// QSqlRelationalTableModel::setRelation$#
    {78, 873, 1338},	// QSqlRelationalTableModel::setTable$
    {78, 888, 1355},	// QSqlRelationalTableModel::staticMetaObject
    {78, 908, 1348},	// QSqlRelationalTableModel::tr$
    {78, 909, 1327},	// QSqlRelationalTableModel::tr$$
    {78, 910, 1329},	// QSqlRelationalTableModel::tr$$$
    {78, 912, 1349},	// QSqlRelationalTableModel::trUtf8$
    {78, 913, 1328},	// QSqlRelationalTableModel::trUtf8$$
    {78, 914, 1330},	// QSqlRelationalTableModel::trUtf8$$$
    {78, 924, 1345},	// QSqlRelationalTableModel::updateRowInTable$#
    {78, 943, 1358},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {79, 4, 1413},	// QSqlResult::BatchOperation
    {79, 10, 1414},	// QSqlResult::DetachFromResultSet
    {79, 45, 1412},	// QSqlResult::NamedBinding
    {79, 47, 1416},	// QSqlResult::NextResult
    {79, 54, 1411},	// QSqlResult::PositionalBinding
    {79, 99, 1360},	// QSqlResult::QSqlResult#
    {79, 196, 1415},	// QSqlResult::SetNumericalPrecision
    {79, 218, 1380},	// QSqlResult::addBindValue#$
    {79, 227, 1361},	// QSqlResult::at
    {79, 237, -14},	// QSqlResult::bindValue$#$
    {79, 239, -17},	// QSqlResult::bindValueType$
    {79, 240, 1391},	// QSqlResult::bindingSyntax
    {79, 242, -20},	// QSqlResult::boundValue$
    {79, 243, 1385},	// QSqlResult::boundValueCount
    {79, 245, 1388},	// QSqlResult::boundValueName$
    {79, 246, 1386},	// QSqlResult::boundValues
    {79, 251, 1389},	// QSqlResult::clear
    {79, 278, 1392},	// QSqlResult::data$
    {79, 288, 1406},	// QSqlResult::detachFromResultSet
    {79, 295, 1368},	// QSqlResult::driver
    {79, 306, 1375},	// QSqlResult::exec
    {79, 308, 1410},	// QSqlResult::execBatch
    {79, 309, 1405},	// QSqlResult::execBatch$
    {79, 310, 1387},	// QSqlResult::executedQuery
    {79, 312, 1395},	// QSqlResult::fetch$
    {79, 313, 1398},	// QSqlResult::fetchFirst
    {79, 314, 1399},	// QSqlResult::fetchLast
    {79, 317, 1396},	// QSqlResult::fetchNext
    {79, 318, 1397},	// QSqlResult::fetchPrevious
    {79, 333, 1359},	// QSqlResult::handle
    {79, 336, 1390},	// QSqlResult::hasOutValues
    {79, 359, 1365},	// QSqlResult::isActive
    {79, 368, 1367},	// QSqlResult::isForwardOnly
    {79, 376, 1393},	// QSqlResult::isNull$
    {79, 380, 1366},	// QSqlResult::isSelect
    {79, 381, 1364},	// QSqlResult::isValid
    {79, 385, 1363},	// QSqlResult::lastError
    {79, 386, 1403},	// QSqlResult::lastInsertId
    {79, 387, 1362},	// QSqlResult::lastQuery
    {79, 395, 1409},	// QSqlResult::nextResult
    {79, 398, 1401},	// QSqlResult::numRowsAffected
    {79, 400, 1408},	// QSqlResult::numericalPrecisionPolicy
    {79, 478, 1376},	// QSqlResult::prepare$
    {79, 743, 1402},	// QSqlResult::record
    {79, 765, 1394},	// QSqlResult::reset$
    {79, 776, 1377},	// QSqlResult::savePrepare$
    {79, 783, 1370},	// QSqlResult::setActive$
    {79, 785, 1369},	// QSqlResult::setAt$
    {79, 814, 1374},	// QSqlResult::setForwardOnly$
    {79, 827, 1371},	// QSqlResult::setLastError#
    {79, 839, 1407},	// QSqlResult::setNumericalPrecisionPolicy$
    {79, 854, 1372},	// QSqlResult::setQuery$
    {79, 867, 1373},	// QSqlResult::setSelect$
    {79, 881, 1400},	// QSqlResult::size
    {79, 929, 1404},	// QSqlResult::virtual_hook$$
    {79, 944, 1417},	// QSqlResult::~QSqlResult
    {80, 49, 1479},	// QSqlTableModel::OnFieldChange
    {80, 50, 1481},	// QSqlTableModel::OnManualSubmit
    {80, 51, 1480},	// QSqlTableModel::OnRowChange
    {80, 100, 1469},	// QSqlTableModel::QSqlTableModel
    {80, 101, 1470},	// QSqlTableModel::QSqlTableModel#
    {80, 102, 1425},	// QSqlTableModel::QSqlTableModel##
    {80, 229, 1458},	// QSqlTableModel::beforeDelete$
    {80, 231, 1456},	// QSqlTableModel::beforeInsert#
    {80, 233, 1457},	// QSqlTableModel::beforeUpdate$#
    {80, 251, 1434},	// QSqlTableModel::clear
    {80, 276, 1471},	// QSqlTableModel::data#
    {80, 277, 1430},	// QSqlTableModel::data#$
    {80, 279, 1438},	// QSqlTableModel::database
    {80, 287, 1461},	// QSqlTableModel::deleteRowFromTable$
    {80, 300, 1436},	// QSqlTableModel::editStrategy
    {80, 322, 1439},	// QSqlTableModel::fieldIndex$
    {80, 325, 1442},	// QSqlTableModel::filter
    {80, 329, 1429},	// QSqlTableModel::flags#
    {80, 338, 1473},	// QSqlTableModel::headerData$$
    {80, 339, 1432},	// QSqlTableModel::headerData$$$
    {80, 344, 1466},	// QSqlTableModel::indexInQuery#
    {80, 353, 1448},	// QSqlTableModel::insertRecord$#
    {80, 355, 1460},	// QSqlTableModel::insertRowIntoTable#
    {80, 357, 1477},	// QSqlTableModel::insertRows$$
    {80, 358, 1447},	// QSqlTableModel::insertRows$$#
    {80, 364, 1433},	// QSqlTableModel::isDirty#
    {80, 390, 1418},	// QSqlTableModel::metaObject
    {80, 472, 1462},	// QSqlTableModel::orderByClause
    {80, 482, 1437},	// QSqlTableModel::primaryKey
    {80, 484, 1455},	// QSqlTableModel::primeInsert$#
    {80, 729, 1424},	// QSqlTableModel::qt_metacall$$?
    {80, 731, 1419},	// QSqlTableModel::qt_metacast$
    {80, 754, 1475},	// QSqlTableModel::removeColumns$$
    {80, 755, 1445},	// QSqlTableModel::removeColumns$$#
    {80, 759, 1476},	// QSqlTableModel::removeRows$$
    {80, 760, 1446},	// QSqlTableModel::removeRows$$#
    {80, 767, 1452},	// QSqlTableModel::revert
    {80, 768, 1454},	// QSqlTableModel::revertAll
    {80, 770, 1450},	// QSqlTableModel::revertRow$
    {80, 773, 1474},	// QSqlTableModel::rowCount
    {80, 774, 1444},	// QSqlTableModel::rowCount#
    {80, 780, 1426},	// QSqlTableModel::select
    {80, 781, 1463},	// QSqlTableModel::selectStatement
    {80, 793, 1472},	// QSqlTableModel::setData##
    {80, 794, 1431},	// QSqlTableModel::setData##$
    {80, 808, 1435},	// QSqlTableModel::setEditStrategy$
    {80, 812, 1443},	// QSqlTableModel::setFilter$
    {80, 851, 1464},	// QSqlTableModel::setPrimaryKey#
    {80, 853, 1465},	// QSqlTableModel::setQuery#
    {80, 859, 1449},	// QSqlTableModel::setRecord$#
    {80, 869, 1441},	// QSqlTableModel::setSort$$
    {80, 873, 1427},	// QSqlTableModel::setTable$
    {80, 884, 1440},	// QSqlTableModel::sort$$
    {80, 888, 1478},	// QSqlTableModel::staticMetaObject
    {80, 893, 1451},	// QSqlTableModel::submit
    {80, 894, 1453},	// QSqlTableModel::submitAll
    {80, 902, 1428},	// QSqlTableModel::tableName
    {80, 908, 1467},	// QSqlTableModel::tr$
    {80, 909, 1420},	// QSqlTableModel::tr$$
    {80, 910, 1422},	// QSqlTableModel::tr$$$
    {80, 912, 1468},	// QSqlTableModel::trUtf8$
    {80, 913, 1421},	// QSqlTableModel::trUtf8$$
    {80, 914, 1423},	// QSqlTableModel::trUtf8$$$
    {80, 924, 1459},	// QSqlTableModel::updateRowInTable$#
    {80, 945, 1482},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 104,
        __smokeqtsql::methods, 1483,
        __smokeqtsql::methodMaps, 844,
        __smokeqtsql::methodNames, 945,
        __smokeqtsql::types, 516,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
