#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 80:   //std::bidirectional_iterator_tag
      switch(to) {
        case 80: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 81:   //std::random_access_iterator_tag
      switch(to) {
        case 81: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QNetworkRequest", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//63
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//64
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//66
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//67
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//68
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//72
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//73
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//81
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//82
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//84
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//85
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//97
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//98
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//115
    { "QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref },	//116
    { "QWebPage::ViewportAttributes*", 67, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//127
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//128
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//233
    { "_LIB_VERSION_TYPE", 16, Smoke::t_enum|Smoke::tf_stack },	//234
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//235
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//236
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//237
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//281
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//282
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//283
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//284
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//285
    { "std::bidirectional_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//286
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//287
    { "std::random_access_iterator_tag", 81, Smoke::t_class|Smoke::tf_stack },	//288
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//290
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//291
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    40, 14, 0,	//3  QObject*, QEvent*
    70, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    279, 0,	//10  const char*
    256, 0,	//12  const QWebDatabase&
    258, 0,	//14  const QWebElement&
    251, 0,	//16  const QString&
    251, 251, 0,	//18  const QString&, const QString&
    251, 251, 251, 0,	//21  const QString&, const QString&, const QString&
    251, 80, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    44, 247, 0,	//30  QPainter*, const QRect&
    258, 251, 0,	//33  const QWebElement&, const QString&
    259, 0,	//36  const QWebElementCollection&
    282, 0,	//38  int
    260, 282, 0,	//40  const QWebElementCollection*, int
    261, 0,	//43  const QWebElementCollection::const_iterator&
    84, 0,	//45  QWebElementCollection::const_iterator
    262, 0,	//47  const QWebElementCollection::iterator&
    87, 0,	//49  QWebElementCollection::iterator
    279, 279, 0,	//51  const char*, const char*
    279, 279, 282, 0,	//54  const char*, const char*, int
    32, 282, 291, 0,	//58  QMetaObject::Call, int, void**
    254, 0,	//62  const QUrl&
    243, 37, 238, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    251, 254, 0,	//68  const QString&, const QUrl&
    238, 251, 254, 0,	//71  const QByteArray&, const QString&, const QUrl&
    251, 40, 0,	//75  const QString&, QObject*
    251, 40, 53, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    185, 0,	//82  Qt::Orientation
    185, 189, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    185, 282, 0,	//87  Qt::Orientation, int
    282, 282, 0,	//90  int, int
    246, 0,	//93  const QPoint&
    44, 249, 0,	//95  QPainter*, const QRegion&
    44, 91, 249, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    281, 0,	//102  double
    49, 0,	//104  QPrinter*
    250, 0,	//106  const QSize&
    237, 0,	//108  bool
    243, 0,	//110  const QNetworkRequest&
    243, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    238, 0,	//115  const QByteArray&
    238, 251, 0,	//117  const QByteArray&, const QString&
    44, 91, 0,	//120  QPainter*, QWebFrame::RenderLayer
    263, 0,	//123  const QWebHistoryItem&
    40, 0,	//125  QObject*
    93, 0,	//127  QWebHistoryInterface*
    255, 0,	//129  const QVariant&
    264, 0,	//131  const QWebHitTestResult&
    138, 0,	//133  QWidget*
    101, 0,	//135  QWebPage*
    52, 0,	//137  QResizeEvent*
    54, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    121, 0,	//147  QWebPluginFactory*
    118, 0,	//149  QWebPage::WebAction
    118, 237, 0,	//151  QWebPage::WebAction, bool
    247, 0,	//154  const QRect&
    173, 0,	//156  Qt::InputMethodQuery
    251, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    112, 0,	//161  QWebPage::LinkDelegationPolicy
    244, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    90, 110, 114, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    107, 270, 109, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    107, 0,	//175  QWebPage::Extension
    90, 0,	//177  QWebFrame*
    282, 282, 247, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    90, 62, 0,	//185  QWebFrame*, QString
    129, 285, 0,	//188  QWebSecurityOrigin*, quint64
    90, 96, 0,	//191  QWebFrame*, QWebHistoryItem*
    90, 110, 0,	//194  QWebFrame*, QWebPage::Feature
    119, 0,	//197  QWebPage::WebWindowType
    251, 254, 252, 252, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    90, 243, 113, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    90, 251, 0,	//208  QWebFrame*, const QString&
    90, 251, 251, 64, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    251, 282, 251, 0,	//216  const QString&, int, const QString&
    107, 270, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    265, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    252, 0,	//225  const QStringList&
    266, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    267, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    104, 0,	//231  QWebPage::ErrorDomain
    268, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    269, 0,	//235  const QWebPage::ExtensionOption&
    271, 0,	//237  const QWebPage::ExtensionReturn&
    272, 0,	//239  const QWebPage::ViewportAttributes&
    122, 274, 124, 0,	//241  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    122, 0,	//245  QWebPluginFactory::Extension
    122, 274, 0,	//247  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    273, 0,	//250  const QWebPluginFactory::ExtensionOption&
    275, 0,	//252  const QWebPluginFactory::ExtensionReturn&
    276, 0,	//254  const QWebPluginFactory::MimeType&
    277, 0,	//256  const QWebPluginFactory::Plugin&
    240, 0,	//258  const QList<QWebPluginFactory::MimeType>&
    284, 0,	//260  long long
    278, 0,	//262  const QWebSecurityOrigin&
    131, 251, 0,	//264  QWebSettings::FontFamily, const QString&
    131, 0,	//267  QWebSettings::FontFamily
    132, 282, 0,	//269  QWebSettings::FontSize, int
    132, 0,	//272  QWebSettings::FontSize
    133, 237, 0,	//274  QWebSettings::WebAttribute, bool
    133, 0,	//277  QWebSettings::WebAttribute
    134, 245, 0,	//279  QWebSettings::WebGraphic, const QPixmap&
    134, 0,	//282  QWebSettings::WebGraphic
    282, 282, 282, 0,	//284  int, int, int
    15, 0,	//288  QFlags<QPainter::RenderHint>
    45, 237, 0,	//290  QPainter::RenderHint, bool
    43, 0,	//293  QPaintEvent*
    33, 0,	//295  QMouseEvent*
    137, 0,	//297  QWheelEvent*
    23, 0,	//299  QKeyEvent*
    9, 0,	//301  QDragEnterEvent*
    10, 0,	//303  QDragLeaveEvent*
    11, 0,	//305  QDragMoveEvent*
    13, 0,	//307  QDropEvent*
    18, 0,	//309  QFocusEvent*
    22, 0,	//311  QInputMethodEvent*
    45, 0,	//313  QPainter::RenderHint
    34, 0,	//315  QMoveEvent*
    69, 0,	//317  QTabletEvent*
    2, 0,	//319  QActionEvent*
    235, 0,	//321  _XEvent*
    41, 0,	//323  QPaintDevice::PaintDeviceMetric
    68, 0,	//325  QStyle&
    239, 0,	//327  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LicensedActiveQt",	//72
    "LicensedCore",	//73
    "LicensedDBus",	//74
    "LicensedDeclarative",	//75
    "LicensedGui",	//76
    "LicensedHelp",	//77
    "LicensedMultimedia",	//78
    "LicensedNetwork",	//79
    "LicensedOpenGL",	//80
    "LicensedOpenVG",	//81
    "LicensedQt3Support",	//82
    "LicensedQt3SupportLight",	//83
    "LicensedScript",	//84
    "LicensedScriptTools",	//85
    "LicensedSql",	//86
    "LicensedSvg",	//87
    "LicensedTest",	//88
    "LicensedXml",	//89
    "LicensedXmlPatterns",	//90
    "LinksIncludedInFocusChain",	//91
    "LocalContentCanAccessFileUrls",	//92
    "LocalContentCanAccessRemoteUrls",	//93
    "LocalStorageDatabaseEnabled",	//94
    "LocalStorageEnabled",	//95
    "MimeType",	//96
    "MimeType#",	//97
    "MinimumFontSize",	//98
    "MinimumLogicalFontSize",	//99
    "MissingImageGraphic",	//100
    "MissingPluginGraphic",	//101
    "MoveToEndOfBlock",	//102
    "MoveToEndOfDocument",	//103
    "MoveToEndOfLine",	//104
    "MoveToNextChar",	//105
    "MoveToNextLine",	//106
    "MoveToNextWord",	//107
    "MoveToPreviousChar",	//108
    "MoveToPreviousLine",	//109
    "MoveToPreviousWord",	//110
    "MoveToStartOfBlock",	//111
    "MoveToStartOfDocument",	//112
    "MoveToStartOfLine",	//113
    "NavigationTypeBackOrForward",	//114
    "NavigationTypeFormResubmitted",	//115
    "NavigationTypeFormSubmitted",	//116
    "NavigationTypeLinkClicked",	//117
    "NavigationTypeOther",	//118
    "NavigationTypeReload",	//119
    "NoWebAction",	//120
    "Notifications",	//121
    "OfflineStorageDatabaseEnabled",	//122
    "OfflineWebApplicationCacheEnabled",	//123
    "OpenFrameInNewWindow",	//124
    "OpenImageInNewWindow",	//125
    "OpenLink",	//126
    "OpenLinkInNewWindow",	//127
    "Outdent",	//128
    "PanIconLayer",	//129
    "Paste",	//130
    "PasteAndMatchStyle",	//131
    "PermissionDeniedByUser",	//132
    "PermissionGrantedByUser",	//133
    "PermissionUnknown",	//134
    "Plugin",	//135
    "Plugin#",	//136
    "PluginsEnabled",	//137
    "PrintElementBackgrounds",	//138
    "PrivateBrowsingEnabled",	//139
    "QWebDatabase",	//140
    "QWebDatabase#",	//141
    "QWebElement",	//142
    "QWebElement#",	//143
    "QWebElementCollection",	//144
    "QWebElementCollection#",	//145
    "QWebElementCollection#$",	//146
    "QWebHistoryInterface",	//147
    "QWebHistoryInterface#",	//148
    "QWebHistoryItem",	//149
    "QWebHistoryItem#",	//150
    "QWebHitTestResult",	//151
    "QWebHitTestResult#",	//152
    "QWebInspector",	//153
    "QWebInspector#",	//154
    "QWebPage",	//155
    "QWebPage#",	//156
    "QWebPluginFactory",	//157
    "QWebPluginFactory#",	//158
    "QWebSecurityOrigin",	//159
    "QWebSecurityOrigin#",	//160
    "QWebView",	//161
    "QWebView#",	//162
    "QtCriticalMsg",	//163
    "QtDebugMsg",	//164
    "QtFatalMsg",	//165
    "QtNetwork",	//166
    "QtSystemMsg",	//167
    "QtWarningMsg",	//168
    "Redo",	//169
    "Reload",	//170
    "ReloadAndBypassCache",	//171
    "RemoveFormat",	//172
    "SansSerifFont",	//173
    "ScrollBarLayer",	//174
    "SearchCancelButtonGraphic",	//175
    "SearchCancelButtonPressedGraphic",	//176
    "SelectAll",	//177
    "SelectEndOfBlock",	//178
    "SelectEndOfDocument",	//179
    "SelectEndOfLine",	//180
    "SelectNextChar",	//181
    "SelectNextLine",	//182
    "SelectNextWord",	//183
    "SelectPreviousChar",	//184
    "SelectPreviousLine",	//185
    "SelectPreviousWord",	//186
    "SelectStartOfBlock",	//187
    "SelectStartOfDocument",	//188
    "SelectStartOfLine",	//189
    "SerifFont",	//190
    "SetTextDirectionDefault",	//191
    "SetTextDirectionLeftToRight",	//192
    "SetTextDirectionRightToLeft",	//193
    "SiteSpecificQuirksEnabled",	//194
    "SpatialNavigationEnabled",	//195
    "StandardFont",	//196
    "Stop",	//197
    "StopScheduledPageRefresh",	//198
    "TextAreaSizeGripCornerGraphic",	//199
    "TiledBackingStoreEnabled",	//200
    "ToggleBold",	//201
    "ToggleItalic",	//202
    "ToggleStrikethrough",	//203
    "ToggleSubscript",	//204
    "ToggleSuperscript",	//205
    "ToggleUnderline",	//206
    "Undo",	//207
    "ViewportAttributes",	//208
    "ViewportAttributes#",	//209
    "WebActionCount",	//210
    "WebBrowserWindow",	//211
    "WebGLEnabled",	//212
    "WebKit",	//213
    "WebModalDialog",	//214
    "XSSAuditingEnabled",	//215
    "ZoomTextOnly",	//216
    "_IEEE_",	//217
    "_ISOC_",	//218
    "_POSIX_",	//219
    "_SVID_",	//220
    "_XOPEN_",	//221
    "__codecvt_error",	//222
    "__codecvt_noconv",	//223
    "__codecvt_ok",	//224
    "__codecvt_partial",	//225
    "acceptNavigationRequest",	//226
    "acceptNavigationRequest##$",	//227
    "action",	//228
    "action$",	//229
    "actionEvent",	//230
    "addClass",	//231
    "addClass$",	//232
    "addHistoryEntry",	//233
    "addHistoryEntry$",	//234
    "addLocalScheme",	//235
    "addLocalScheme$",	//236
    "addToJavaScriptWindowObject",	//237
    "addToJavaScriptWindowObject$#",	//238
    "addToJavaScriptWindowObject$#$",	//239
    "allOrigins",	//240
    "alternateText",	//241
    "append",	//242
    "append#",	//243
    "appendInside",	//244
    "appendInside#",	//245
    "appendInside$",	//246
    "appendOutside",	//247
    "appendOutside#",	//248
    "appendOutside$",	//249
    "applicationCacheQuotaExceeded",	//250
    "applicationCacheQuotaExceeded#$",	//251
    "at",	//252
    "at$",	//253
    "attribute",	//254
    "attribute$",	//255
    "attribute$$",	//256
    "attributeNS",	//257
    "attributeNS$$",	//258
    "attributeNS$$$",	//259
    "attributeNames",	//260
    "attributeNames$",	//261
    "back",	//262
    "backItem",	//263
    "backItems",	//264
    "backItems$",	//265
    "baseUrl",	//266
    "begin",	//267
    "boundingRect",	//268
    "bytesReceived",	//269
    "canGoBack",	//270
    "canGoForward",	//271
    "changeEvent",	//272
    "changeEvent#",	//273
    "childEvent",	//274
    "childFrames",	//275
    "chooseFile",	//276
    "chooseFile#$",	//277
    "classes",	//278
    "clear",	//279
    "clearIconDatabase",	//280
    "clearMemoryCaches",	//281
    "clone",	//282
    "closeEvent",	//283
    "closeEvent#",	//284
    "connectNotify",	//285
    "constBegin",	//286
    "constEnd",	//287
    "const_iterator",	//288
    "const_iterator#",	//289
    "const_iterator#$",	//290
    "content",	//291
    "contentType",	//292
    "contentsChanged",	//293
    "contentsSize",	//294
    "contentsSizeChanged",	//295
    "contentsSizeChanged#",	//296
    "contextMenuEvent",	//297
    "contextMenuEvent#",	//298
    "count",	//299
    "create",	//300
    "create$#??",	//301
    "createPlugin",	//302
    "createPlugin$#??",	//303
    "createStandardContextMenu",	//304
    "createWindow",	//305
    "createWindow$",	//306
    "currentFrame",	//307
    "currentItem",	//308
    "currentItemIndex",	//309
    "customEvent",	//310
    "databaseQuota",	//311
    "databaseQuotaExceeded",	//312
    "databaseQuotaExceeded#$",	//313
    "databaseUsage",	//314
    "databases",	//315
    "defaultInterface",	//316
    "defaultTextEncoding",	//317
    "description",	//318
    "devType",	//319
    "devicePixelRatio",	//320
    "disconnectNotify",	//321
    "displayName",	//322
    "document",	//323
    "documentElement",	//324
    "domain",	//325
    "downloadRequested",	//326
    "downloadRequested#",	//327
    "dragEnterEvent",	//328
    "dragEnterEvent#",	//329
    "dragLeaveEvent",	//330
    "dragLeaveEvent#",	//331
    "dragMoveEvent",	//332
    "dragMoveEvent#",	//333
    "dropEvent",	//334
    "dropEvent#",	//335
    "element",	//336
    "enablePersistentStorage",	//337
    "enablePersistentStorage$",	//338
    "enabledChange",	//339
    "encloseContentsWith",	//340
    "encloseContentsWith#",	//341
    "encloseContentsWith$",	//342
    "encloseWith",	//343
    "encloseWith#",	//344
    "encloseWith$",	//345
    "enclosingBlockElement",	//346
    "encoding",	//347
    "end",	//348
    "enterEvent",	//349
    "error",	//350
    "errorString",	//351
    "evaluateJavaScript",	//352
    "evaluateJavaScript$",	//353
    "event",	//354
    "event#",	//355
    "eventFilter",	//356
    "expectedSize",	//357
    "extension",	//358
    "extension$",	//359
    "extension$#",	//360
    "extension$##",	//361
    "featurePermissionRequestCanceled",	//362
    "featurePermissionRequestCanceled#$",	//363
    "featurePermissionRequested",	//364
    "featurePermissionRequested#$",	//365
    "fileExtensions",	//366
    "fileName",	//367
    "fileNames",	//368
    "findAll",	//369
    "findAll$",	//370
    "findAllElements",	//371
    "findAllElements$",	//372
    "findFirst",	//373
    "findFirst$",	//374
    "findFirstElement",	//375
    "findFirstElement$",	//376
    "findText",	//377
    "findText$",	//378
    "findText$$",	//379
    "first",	//380
    "firstChild",	//381
    "focusInEvent",	//382
    "focusInEvent#",	//383
    "focusNextPrevChild",	//384
    "focusNextPrevChild$",	//385
    "focusOutEvent",	//386
    "focusOutEvent#",	//387
    "fontChange",	//388
    "fontFamily",	//389
    "fontFamily$",	//390
    "fontSize",	//391
    "fontSize$",	//392
    "forward",	//393
    "forwardItem",	//394
    "forwardItems",	//395
    "forwardItems$",	//396
    "forwardUnsupportedContent",	//397
    "frame",	//398
    "frameAt",	//399
    "frameAt#",	//400
    "frameCreated",	//401
    "frameCreated#",	//402
    "frameName",	//403
    "geometry",	//404
    "geometryChangeRequested",	//405
    "geometryChangeRequested#",	//406
    "globalSettings",	//407
    "goToItem",	//408
    "goToItem#",	//409
    "handle",	//410
    "hasAttribute",	//411
    "hasAttribute$",	//412
    "hasAttributeNS",	//413
    "hasAttributeNS$$",	//414
    "hasAttributes",	//415
    "hasClass",	//416
    "hasClass$",	//417
    "hasFocus",	//418
    "hasSelection",	//419
    "heightForWidth",	//420
    "hideEvent",	//421
    "hideEvent#",	//422
    "history",	//423
    "historyContains",	//424
    "historyContains$",	//425
    "hitTestContent",	//426
    "hitTestContent#",	//427
    "host",	//428
    "icon",	//429
    "iconChanged",	//430
    "iconDatabasePath",	//431
    "iconForUrl",	//432
    "iconForUrl#",	//433
    "imageUrl",	//434
    "initialLayoutCompleted",	//435
    "initialScaleFactor",	//436
    "inputMethodEvent",	//437
    "inputMethodEvent#",	//438
    "inputMethodQuery",	//439
    "inputMethodQuery$",	//440
    "isContentEditable",	//441
    "isContentSelected",	//442
    "isModified",	//443
    "isNull",	//444
    "isUserScalable",	//445
    "isValid",	//446
    "itemAt",	//447
    "itemAt$",	//448
    "items",	//449
    "iterator",	//450
    "iterator#",	//451
    "iterator#$",	//452
    "javaScriptAlert",	//453
    "javaScriptAlert#$",	//454
    "javaScriptConfirm",	//455
    "javaScriptConfirm#$",	//456
    "javaScriptConsoleMessage",	//457
    "javaScriptConsoleMessage$$$",	//458
    "javaScriptPrompt",	//459
    "javaScriptPrompt#$$$",	//460
    "javaScriptWindowObjectCleared",	//461
    "keyPressEvent",	//462
    "keyPressEvent#",	//463
    "keyReleaseEvent",	//464
    "keyReleaseEvent#",	//465
    "languageChange",	//466
    "last",	//467
    "lastChild",	//468
    "lastVisited",	//469
    "leaveEvent",	//470
    "linkClicked",	//471
    "linkClicked#",	//472
    "linkDelegationPolicy",	//473
    "linkElement",	//474
    "linkHovered",	//475
    "linkHovered$$$",	//476
    "linkTargetFrame",	//477
    "linkText",	//478
    "linkTitle",	//479
    "linkUrl",	//480
    "load",	//481
    "load#",	//482
    "load#$",	//483
    "load#$#",	//484
    "loadFinished",	//485
    "loadFinished$",	//486
    "loadProgress",	//487
    "loadProgress$",	//488
    "loadStarted",	//489
    "localName",	//490
    "localSchemes",	//491
    "localStoragePath",	//492
    "mainFrame",	//493
    "maximumItemCount",	//494
    "maximumPagesInCache",	//495
    "maximumScaleFactor",	//496
    "menuBarVisibilityChangeRequested",	//497
    "menuBarVisibilityChangeRequested$",	//498
    "metaData",	//499
    "metaObject",	//500
    "metric",	//501
    "microFocusChanged",	//502
    "mimeTypes",	//503
    "minimumScaleFactor",	//504
    "minimumSizeHint",	//505
    "mouseDoubleClickEvent",	//506
    "mouseDoubleClickEvent#",	//507
    "mouseMoveEvent",	//508
    "mouseMoveEvent#",	//509
    "mousePressEvent",	//510
    "mousePressEvent#",	//511
    "mouseReleaseEvent",	//512
    "mouseReleaseEvent#",	//513
    "moveEvent",	//514
    "name",	//515
    "namespaceUri",	//516
    "networkAccessManager",	//517
    "nextSibling",	//518
    "offlineStorageDefaultQuota",	//519
    "offlineStoragePath",	//520
    "offlineWebApplicationCachePath",	//521
    "offlineWebApplicationCacheQuota",	//522
    "operator!=",	//523
    "operator!=#",	//524
    "operator*",	//525
    "operator+",	//526
    "operator+#",	//527
    "operator+$",	//528
    "operator++",	//529
    "operator++$",	//530
    "operator+=",	//531
    "operator+=#",	//532
    "operator+=$",	//533
    "operator-",	//534
    "operator-#",	//535
    "operator-$",	//536
    "operator--",	//537
    "operator--$",	//538
    "operator-=",	//539
    "operator-=$",	//540
    "operator<",	//541
    "operator<#",	//542
    "operator<=",	//543
    "operator<=#",	//544
    "operator=",	//545
    "operator=#",	//546
    "operator==",	//547
    "operator==#",	//548
    "operator>",	//549
    "operator>#",	//550
    "operator>=",	//551
    "operator>=#",	//552
    "operator[]",	//553
    "operator[]$",	//554
    "origin",	//555
    "originalUrl",	//556
    "page",	//557
    "pageAction",	//558
    "pageAction$",	//559
    "pageChanged",	//560
    "paintEngine",	//561
    "paintEvent",	//562
    "paintEvent#",	//563
    "palette",	//564
    "paletteChange",	//565
    "parent",	//566
    "parentFrame",	//567
    "pixmap",	//568
    "pluginFactory",	//569
    "plugins",	//570
    "port",	//571
    "pos",	//572
    "preferredContentsSize",	//573
    "prefix",	//574
    "prependInside",	//575
    "prependInside#",	//576
    "prependInside$",	//577
    "prependOutside",	//578
    "prependOutside#",	//579
    "prependOutside$",	//580
    "previousSibling",	//581
    "print",	//582
    "print#",	//583
    "printRequested",	//584
    "printRequested#",	//585
    "provisionalLoad",	//586
    "qt_metacall",	//587
    "qt_metacall$$?",	//588
    "qt_metacast",	//589
    "qt_metacast$",	//590
    "refreshPlugins",	//591
    "reload",	//592
    "removeAllChildren",	//593
    "removeAllDatabases",	//594
    "removeAttribute",	//595
    "removeAttribute$",	//596
    "removeAttributeNS",	//597
    "removeAttributeNS$$",	//598
    "removeClass",	//599
    "removeClass$",	//600
    "removeDatabase",	//601
    "removeDatabase#",	//602
    "removeFromDocument",	//603
    "removeLocalScheme",	//604
    "removeLocalScheme$",	//605
    "render",	//606
    "render#",	//607
    "render##",	//608
    "render#$",	//609
    "render#$#",	//610
    "renderHints",	//611
    "renderTreeDump",	//612
    "repaintRequested",	//613
    "repaintRequested#",	//614
    "replace",	//615
    "replace#",	//616
    "replace$",	//617
    "requestedUrl",	//618
    "resetAttribute",	//619
    "resetAttribute$",	//620
    "resetFontFamily",	//621
    "resetFontFamily$",	//622
    "resetFontSize",	//623
    "resetFontSize$",	//624
    "resizeEvent",	//625
    "resizeEvent#",	//626
    "restoreFrameStateRequested",	//627
    "restoreFrameStateRequested#",	//628
    "saveFrameStateRequested",	//629
    "saveFrameStateRequested##",	//630
    "scheme",	//631
    "scroll",	//632
    "scroll$$",	//633
    "scrollBarGeometry",	//634
    "scrollBarGeometry$",	//635
    "scrollBarMaximum",	//636
    "scrollBarMaximum$",	//637
    "scrollBarMinimum",	//638
    "scrollBarMinimum$",	//639
    "scrollBarPolicy",	//640
    "scrollBarPolicy$",	//641
    "scrollBarValue",	//642
    "scrollBarValue$",	//643
    "scrollPosition",	//644
    "scrollRequested",	//645
    "scrollRequested$$#",	//646
    "scrollToAnchor",	//647
    "scrollToAnchor$",	//648
    "securityOrigin",	//649
    "selectedHtml",	//650
    "selectedText",	//651
    "selectionChanged",	//652
    "setActualVisibleContentRect",	//653
    "setActualVisibleContentRect#",	//654
    "setApplicationCacheQuota",	//655
    "setApplicationCacheQuota$",	//656
    "setAttribute",	//657
    "setAttribute$$",	//658
    "setAttributeNS",	//659
    "setAttributeNS$$$",	//660
    "setBaseUrl",	//661
    "setBaseUrl#",	//662
    "setContent",	//663
    "setContent#",	//664
    "setContent#$",	//665
    "setContent#$#",	//666
    "setContentEditable",	//667
    "setContentEditable$",	//668
    "setContentType",	//669
    "setContentType$",	//670
    "setDatabaseQuota",	//671
    "setDatabaseQuota$",	//672
    "setDefaultInterface",	//673
    "setDefaultInterface#",	//674
    "setDefaultTextEncoding",	//675
    "setDefaultTextEncoding$",	//676
    "setDescription",	//677
    "setDescription$",	//678
    "setDomain",	//679
    "setDomain$",	//680
    "setEncoding",	//681
    "setEncoding$",	//682
    "setError",	//683
    "setError$",	//684
    "setErrorString",	//685
    "setErrorString$",	//686
    "setFeaturePermission",	//687
    "setFeaturePermission#$$",	//688
    "setFileExtensions",	//689
    "setFileExtensions?",	//690
    "setFileNames",	//691
    "setFileNames?",	//692
    "setFocus",	//693
    "setFontFamily",	//694
    "setFontFamily$$",	//695
    "setFontSize",	//696
    "setFontSize$$",	//697
    "setForwardUnsupportedContent",	//698
    "setForwardUnsupportedContent$",	//699
    "setFrame",	//700
    "setFrame#",	//701
    "setHtml",	//702
    "setHtml$",	//703
    "setHtml$#",	//704
    "setIconDatabasePath",	//705
    "setIconDatabasePath$",	//706
    "setInnerXml",	//707
    "setInnerXml$",	//708
    "setLinkDelegationPolicy",	//709
    "setLinkDelegationPolicy$",	//710
    "setLocalStoragePath",	//711
    "setLocalStoragePath$",	//712
    "setMaximumItemCount",	//713
    "setMaximumItemCount$",	//714
    "setMaximumPagesInCache",	//715
    "setMaximumPagesInCache$",	//716
    "setMimeTypes",	//717
    "setMimeTypes?",	//718
    "setName",	//719
    "setName$",	//720
    "setNetworkAccessManager",	//721
    "setNetworkAccessManager#",	//722
    "setObjectCacheCapacities",	//723
    "setObjectCacheCapacities$$$",	//724
    "setOfflineStorageDefaultQuota",	//725
    "setOfflineStorageDefaultQuota$",	//726
    "setOfflineStoragePath",	//727
    "setOfflineStoragePath$",	//728
    "setOfflineWebApplicationCachePath",	//729
    "setOfflineWebApplicationCachePath$",	//730
    "setOfflineWebApplicationCacheQuota",	//731
    "setOfflineWebApplicationCacheQuota$",	//732
    "setOuterXml",	//733
    "setOuterXml$",	//734
    "setPage",	//735
    "setPage#",	//736
    "setPalette",	//737
    "setPalette#",	//738
    "setParentFrame",	//739
    "setParentFrame#",	//740
    "setPlainText",	//741
    "setPlainText$",	//742
    "setPluginFactory",	//743
    "setPluginFactory#",	//744
    "setPreferredContentsSize",	//745
    "setPreferredContentsSize#",	//746
    "setRenderHint",	//747
    "setRenderHint$",	//748
    "setRenderHint$$",	//749
    "setRenderHints",	//750
    "setRenderHints$",	//751
    "setScrollBarPolicy",	//752
    "setScrollBarPolicy$$",	//753
    "setScrollBarValue",	//754
    "setScrollBarValue$$",	//755
    "setScrollPosition",	//756
    "setScrollPosition#",	//757
    "setStyleProperty",	//758
    "setStyleProperty$$",	//759
    "setSuggestedFileNames",	//760
    "setSuggestedFileNames?",	//761
    "setTextSizeMultiplier",	//762
    "setTextSizeMultiplier$",	//763
    "setUrl",	//764
    "setUrl#",	//765
    "setUserData",	//766
    "setUserData#",	//767
    "setUserStyleSheetUrl",	//768
    "setUserStyleSheetUrl#",	//769
    "setView",	//770
    "setView#",	//771
    "setViewportSize",	//772
    "setViewportSize#",	//773
    "setVisible",	//774
    "setWebGraphic",	//775
    "setWebGraphic$#",	//776
    "setZoomFactor",	//777
    "setZoomFactor$",	//778
    "settings",	//779
    "shouldInterruptJavaScript",	//780
    "showEvent",	//781
    "showEvent#",	//782
    "size",	//783
    "sizeHint",	//784
    "staticMetaObject",	//785
    "statusBarMessage",	//786
    "statusBarMessage$",	//787
    "statusBarVisibilityChangeRequested",	//788
    "statusBarVisibilityChangeRequested$",	//789
    "stop",	//790
    "styleChange",	//791
    "styleProperty",	//792
    "styleProperty$$",	//793
    "suggestedFileNames",	//794
    "supportedContentTypes",	//795
    "supportsContentType",	//796
    "supportsContentType$",	//797
    "supportsExtension",	//798
    "supportsExtension$",	//799
    "swallowContextMenuEvent",	//800
    "swallowContextMenuEvent#",	//801
    "tabletEvent",	//802
    "tagName",	//803
    "takeFromDocument",	//804
    "testAttribute",	//805
    "testAttribute$",	//806
    "textSizeMultiplier",	//807
    "timerEvent",	//808
    "title",	//809
    "titleChanged",	//810
    "titleChanged$",	//811
    "toHtml",	//812
    "toInnerXml",	//813
    "toList",	//814
    "toOuterXml",	//815
    "toPlainText",	//816
    "toggleClass",	//817
    "toggleClass$",	//818
    "toolBarVisibilityChangeRequested",	//819
    "toolBarVisibilityChangeRequested$",	//820
    "totalBytes",	//821
    "tr",	//822
    "tr$",	//823
    "tr$$",	//824
    "tr$$$",	//825
    "trUtf8",	//826
    "trUtf8$",	//827
    "trUtf8$$",	//828
    "trUtf8$$$",	//829
    "triggerAction",	//830
    "triggerAction$",	//831
    "triggerAction$$",	//832
    "triggerPageAction",	//833
    "triggerPageAction$",	//834
    "triggerPageAction$$",	//835
    "undoStack",	//836
    "unsupportedContent",	//837
    "unsupportedContent#",	//838
    "updatePositionDependentActions",	//839
    "updatePositionDependentActions#",	//840
    "url",	//841
    "urlChanged",	//842
    "urlChanged#",	//843
    "userAgentForUrl",	//844
    "userAgentForUrl#",	//845
    "userData",	//846
    "userStyleSheetUrl",	//847
    "view",	//848
    "viewportAttributesForSize",	//849
    "viewportAttributesForSize#",	//850
    "viewportChangeRequested",	//851
    "viewportSize",	//852
    "webFrame",	//853
    "webGraphic",	//854
    "webGraphic$",	//855
    "wheelEvent",	//856
    "wheelEvent#",	//857
    "windowActivationChange",	//858
    "windowCloseRequested",	//859
    "x11Event",	//860
    "zoomFactor",	//861
    "~ChooseMultipleFilesExtensionOption",	//862
    "~ChooseMultipleFilesExtensionReturn",	//863
    "~ErrorPageExtensionOption",	//864
    "~ErrorPageExtensionReturn",	//865
    "~ExtensionOption",	//866
    "~ExtensionReturn",	//867
    "~MimeType",	//868
    "~Plugin",	//869
    "~QWebDatabase",	//870
    "~QWebElement",	//871
    "~QWebElementCollection",	//872
    "~QWebHistoryInterface",	//873
    "~QWebHistoryItem",	//874
    "~QWebHitTestResult",	//875
    "~QWebInspector",	//876
    "~QWebPage",	//877
    "~QWebPluginFactory",	//878
    "~QWebSecurityOrigin",	//879
    "~QWebView",	//880
    "~ViewportAttributes",	//881
    "~const_iterator",	//882
    "~iterator",	//883
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 1},	//1 QGlobalSpace::_IEEE_ (enum)
    {16, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 2},	//2 QGlobalSpace::_SVID_ (enum)
    {16, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 3},	//3 QGlobalSpace::_XOPEN_ (enum)
    {16, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 4},	//4 QGlobalSpace::_POSIX_ (enum)
    {16, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 5},	//5 QGlobalSpace::_ISOC_ (enum)
    {16, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 6},	//6 QGlobalSpace::LicensedXml (enum)
    {16, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 7},	//7 QGlobalSpace::QtDebugMsg (enum)
    {16, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 8},	//8 QGlobalSpace::QtWarningMsg (enum)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 9},	//9 QGlobalSpace::QtCriticalMsg (enum)
    {16, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 10},	//10 QGlobalSpace::QtFatalMsg (enum)
    {16, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 11},	//11 QGlobalSpace::QtSystemMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 12},	//12 QGlobalSpace::LicensedOpenGL (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 13},	//13 QGlobalSpace::LicensedQt3Support (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 14},	//14 QGlobalSpace::LicensedOpenVG (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 15},	//15 QGlobalSpace::LicensedNetwork (enum)
    {16, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 16},	//16 QGlobalSpace::LicensedSql (enum)
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 17},	//17 QGlobalSpace::LicensedCore (enum)
    {16, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 18},	//18 QGlobalSpace::LicensedSvg (enum)
    {16, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 19},	//19 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 20},	//20 QGlobalSpace::LicensedGui (enum)
    {16, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//21 QGlobalSpace::LicensedDeclarative (enum)
    {16, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//22 QGlobalSpace::LicensedActiveQt (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 23},	//23 QGlobalSpace::LicensedDBus (enum)
    {16, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 24},	//24 QGlobalSpace::LicensedTest (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 25},	//25 QGlobalSpace::LicensedScriptTools (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 26},	//26 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 27},	//27 QGlobalSpace::__codecvt_ok (enum)
    {16, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 28},	//28 QGlobalSpace::__codecvt_partial (enum)
    {16, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 29},	//29 QGlobalSpace::__codecvt_error (enum)
    {16, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 30},	//30 QGlobalSpace::__codecvt_noconv (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 31},	//31 QGlobalSpace::LicensedScript (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//33 QGlobalSpace::LicensedHelp (enum)
    {29, 354, 1, 1, Smoke::mf_virtual, 237, 0},	//34 QObject::event(QEvent*)
    {29, 356, 3, 2, Smoke::mf_virtual, 237, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {29, 808, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {29, 274, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {29, 310, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {29, 285, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {29, 321, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {49, 140, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 1},	//41 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 545, 12, 1, 0, 75, 2},	//42 QWebDatabase::operator=(const QWebDatabase&)
    {49, 515, 0, 0, Smoke::mf_const, 62, 3},	//43 QWebDatabase::name() const
    {49, 322, 0, 0, Smoke::mf_const, 62, 4},	//44 QWebDatabase::displayName() const
    {49, 357, 0, 0, Smoke::mf_const, 284, 5},	//45 QWebDatabase::expectedSize() const
    {49, 783, 0, 0, Smoke::mf_const, 284, 6},	//46 QWebDatabase::size() const
    {49, 367, 0, 0, Smoke::mf_const, 62, 7},	//47 QWebDatabase::fileName() const
    {49, 555, 0, 0, Smoke::mf_const, 127, 8},	//48 QWebDatabase::origin() const
    {49, 601, 12, 1, Smoke::mf_static, 0, 9},	//49 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 594, 0, 0, Smoke::mf_static, 0, 10},	//50 QWebDatabase::removeAllDatabases()
    {49, 870, 0, 0, Smoke::mf_dtor, 0, 11 },	//51 QWebDatabase::~QWebDatabase()
    {50, 142, 0, 0, Smoke::mf_ctor, 79, 1},	//52 QWebElement::QWebElement()
    {50, 142, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//53 QWebElement::QWebElement(const QWebElement&)
    {50, 545, 14, 1, 0, 78, 3},	//54 QWebElement::operator=(const QWebElement&)
    {50, 547, 14, 1, Smoke::mf_const, 237, 4},	//55 QWebElement::operator==(const QWebElement&) const
    {50, 523, 14, 1, Smoke::mf_const, 237, 5},	//56 QWebElement::operator!=(const QWebElement&) const
    {50, 444, 0, 0, Smoke::mf_const, 237, 6},	//57 QWebElement::isNull() const
    {50, 369, 16, 1, Smoke::mf_const, 81, 7},	//58 QWebElement::findAll(const QString&) const
    {50, 373, 16, 1, Smoke::mf_const, 77, 8},	//59 QWebElement::findFirst(const QString&) const
    {50, 741, 16, 1, 0, 0, 9},	//60 QWebElement::setPlainText(const QString&)
    {50, 816, 0, 0, Smoke::mf_const, 62, 10},	//61 QWebElement::toPlainText() const
    {50, 733, 16, 1, 0, 0, 11},	//62 QWebElement::setOuterXml(const QString&)
    {50, 815, 0, 0, Smoke::mf_const, 62, 12},	//63 QWebElement::toOuterXml() const
    {50, 707, 16, 1, 0, 0, 13},	//64 QWebElement::setInnerXml(const QString&)
    {50, 813, 0, 0, Smoke::mf_const, 62, 14},	//65 QWebElement::toInnerXml() const
    {50, 657, 18, 2, 0, 0, 15},	//66 QWebElement::setAttribute(const QString&, const QString&)
    {50, 659, 21, 3, 0, 0, 16},	//67 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 254, 18, 2, Smoke::mf_const, 62, 17},	//68 QWebElement::attribute(const QString&, const QString&) const
    {50, 257, 21, 3, Smoke::mf_const, 62, 18},	//69 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 411, 16, 1, Smoke::mf_const, 237, 19},	//70 QWebElement::hasAttribute(const QString&) const
    {50, 413, 18, 2, Smoke::mf_const, 237, 20},	//71 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 595, 16, 1, 0, 0, 21},	//72 QWebElement::removeAttribute(const QString&)
    {50, 597, 18, 2, 0, 0, 22},	//73 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 415, 0, 0, Smoke::mf_const, 237, 23},	//74 QWebElement::hasAttributes() const
    {50, 260, 16, 1, Smoke::mf_const, 65, 24},	//75 QWebElement::attributeNames(const QString&) const
    {50, 278, 0, 0, Smoke::mf_const, 65, 25},	//76 QWebElement::classes() const
    {50, 416, 16, 1, Smoke::mf_const, 237, 26},	//77 QWebElement::hasClass(const QString&) const
    {50, 231, 16, 1, 0, 0, 27},	//78 QWebElement::addClass(const QString&)
    {50, 599, 16, 1, 0, 0, 28},	//79 QWebElement::removeClass(const QString&)
    {50, 817, 16, 1, 0, 0, 29},	//80 QWebElement::toggleClass(const QString&)
    {50, 418, 0, 0, Smoke::mf_const, 237, 30},	//81 QWebElement::hasFocus() const
    {50, 693, 0, 0, 0, 0, 31},	//82 QWebElement::setFocus()
    {50, 404, 0, 0, Smoke::mf_const, 50, 32},	//83 QWebElement::geometry() const
    {50, 803, 0, 0, Smoke::mf_const, 62, 33},	//84 QWebElement::tagName() const
    {50, 574, 0, 0, Smoke::mf_const, 62, 34},	//85 QWebElement::prefix() const
    {50, 490, 0, 0, Smoke::mf_const, 62, 35},	//86 QWebElement::localName() const
    {50, 516, 0, 0, Smoke::mf_const, 62, 36},	//87 QWebElement::namespaceUri() const
    {50, 566, 0, 0, Smoke::mf_const, 77, 37},	//88 QWebElement::parent() const
    {50, 381, 0, 0, Smoke::mf_const, 77, 38},	//89 QWebElement::firstChild() const
    {50, 468, 0, 0, Smoke::mf_const, 77, 39},	//90 QWebElement::lastChild() const
    {50, 518, 0, 0, Smoke::mf_const, 77, 40},	//91 QWebElement::nextSibling() const
    {50, 581, 0, 0, Smoke::mf_const, 77, 41},	//92 QWebElement::previousSibling() const
    {50, 323, 0, 0, Smoke::mf_const, 77, 42},	//93 QWebElement::document() const
    {50, 853, 0, 0, Smoke::mf_const, 90, 43},	//94 QWebElement::webFrame() const
    {50, 244, 16, 1, 0, 0, 44},	//95 QWebElement::appendInside(const QString&)
    {50, 244, 14, 1, 0, 0, 45},	//96 QWebElement::appendInside(const QWebElement&)
    {50, 575, 16, 1, 0, 0, 46},	//97 QWebElement::prependInside(const QString&)
    {50, 575, 14, 1, 0, 0, 47},	//98 QWebElement::prependInside(const QWebElement&)
    {50, 247, 16, 1, 0, 0, 48},	//99 QWebElement::appendOutside(const QString&)
    {50, 247, 14, 1, 0, 0, 49},	//100 QWebElement::appendOutside(const QWebElement&)
    {50, 578, 16, 1, 0, 0, 50},	//101 QWebElement::prependOutside(const QString&)
    {50, 578, 14, 1, 0, 0, 51},	//102 QWebElement::prependOutside(const QWebElement&)
    {50, 340, 14, 1, 0, 0, 52},	//103 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 340, 16, 1, 0, 0, 53},	//104 QWebElement::encloseContentsWith(const QString&)
    {50, 343, 16, 1, 0, 0, 54},	//105 QWebElement::encloseWith(const QString&)
    {50, 343, 14, 1, 0, 0, 55},	//106 QWebElement::encloseWith(const QWebElement&)
    {50, 615, 16, 1, 0, 0, 56},	//107 QWebElement::replace(const QString&)
    {50, 615, 14, 1, 0, 0, 57},	//108 QWebElement::replace(const QWebElement&)
    {50, 282, 0, 0, Smoke::mf_const, 77, 58},	//109 QWebElement::clone() const
    {50, 804, 0, 0, 0, 78, 59},	//110 QWebElement::takeFromDocument()
    {50, 603, 0, 0, 0, 0, 60},	//111 QWebElement::removeFromDocument()
    {50, 593, 0, 0, 0, 0, 61},	//112 QWebElement::removeAllChildren()
    {50, 352, 16, 1, 0, 74, 62},	//113 QWebElement::evaluateJavaScript(const QString&)
    {50, 792, 25, 2, Smoke::mf_const, 62, 63},	//114 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 758, 18, 2, 0, 0, 64},	//115 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 606, 28, 1, 0, 0, 65},	//116 QWebElement::render(QPainter*)
    {50, 606, 30, 2, 0, 0, 66},	//117 QWebElement::render(QPainter*, const QRect&)
    {50, 254, 16, 1, Smoke::mf_const, 62, 67},	//118 QWebElement::attribute(const QString&) const
    {50, 257, 18, 2, Smoke::mf_const, 62, 68},	//119 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 260, 0, 0, Smoke::mf_const, 65, 69},	//120 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//121 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//122 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//123 QWebElement::ComputedStyle (enum)
    {50, 871, 0, 0, Smoke::mf_dtor, 0, 73 },	//124 QWebElement::~QWebElement()
    {51, 144, 0, 0, Smoke::mf_ctor, 83, 1},	//125 QWebElementCollection::QWebElementCollection()
    {51, 144, 33, 2, Smoke::mf_ctor, 83, 2},	//126 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 144, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//127 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 545, 36, 1, 0, 82, 4},	//128 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 526, 36, 1, Smoke::mf_const, 81, 5},	//129 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 531, 36, 1, 0, 82, 6},	//130 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 242, 36, 1, 0, 0, 7},	//131 QWebElementCollection::append(const QWebElementCollection&)
    {51, 299, 0, 0, Smoke::mf_const, 282, 8},	//132 QWebElementCollection::count() const
    {51, 252, 38, 1, Smoke::mf_const, 77, 9},	//133 QWebElementCollection::at(int) const
    {51, 553, 38, 1, Smoke::mf_const, 77, 10},	//134 QWebElementCollection::operator[](int) const
    {51, 380, 0, 0, Smoke::mf_const, 77, 11},	//135 QWebElementCollection::first() const
    {51, 467, 0, 0, Smoke::mf_const, 77, 12},	//136 QWebElementCollection::last() const
    {51, 814, 0, 0, Smoke::mf_const, 25, 13},	//137 QWebElementCollection::toList() const
    {51, 267, 0, 0, Smoke::mf_const, 84, 14},	//138 QWebElementCollection::begin() const
    {51, 348, 0, 0, Smoke::mf_const, 84, 15},	//139 QWebElementCollection::end() const
    {51, 286, 0, 0, Smoke::mf_const, 84, 16},	//140 QWebElementCollection::constBegin() const
    {51, 287, 0, 0, Smoke::mf_const, 84, 17},	//141 QWebElementCollection::constEnd() const
    {51, 267, 0, 0, 0, 87, 18},	//142 QWebElementCollection::begin()
    {51, 348, 0, 0, 0, 87, 19},	//143 QWebElementCollection::end()
    {51, 872, 0, 0, Smoke::mf_dtor, 0, 20 },	//144 QWebElementCollection::~QWebElementCollection()
    {52, 288, 40, 2, Smoke::mf_ctor, 86, 1},	//145 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 288, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//146 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 525, 0, 0, Smoke::mf_const, 257, 3},	//147 QWebElementCollection::const_iterator::operator*() const
    {52, 547, 43, 1, Smoke::mf_const, 237, 4},	//148 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 523, 43, 1, Smoke::mf_const, 237, 5},	//149 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 541, 43, 1, Smoke::mf_const, 237, 6},	//150 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 543, 43, 1, Smoke::mf_const, 237, 7},	//151 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 549, 43, 1, Smoke::mf_const, 237, 8},	//152 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 551, 43, 1, Smoke::mf_const, 237, 9},	//153 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 529, 0, 0, 0, 85, 10},	//154 QWebElementCollection::const_iterator::operator++()
    {52, 529, 38, 1, 0, 84, 11},	//155 QWebElementCollection::const_iterator::operator++(int)
    {52, 537, 0, 0, 0, 85, 12},	//156 QWebElementCollection::const_iterator::operator--()
    {52, 537, 38, 1, 0, 84, 13},	//157 QWebElementCollection::const_iterator::operator--(int)
    {52, 531, 38, 1, 0, 85, 14},	//158 QWebElementCollection::const_iterator::operator+=(int)
    {52, 539, 38, 1, 0, 85, 15},	//159 QWebElementCollection::const_iterator::operator-=(int)
    {52, 526, 38, 1, Smoke::mf_const, 84, 16},	//160 QWebElementCollection::const_iterator::operator+(int) const
    {52, 534, 38, 1, Smoke::mf_const, 84, 17},	//161 QWebElementCollection::const_iterator::operator-(int) const
    {52, 534, 45, 1, Smoke::mf_const, 282, 18},	//162 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 882, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::const_iterator::~const_iterator()
    {53, 450, 40, 2, Smoke::mf_ctor, 89, 1},	//164 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 450, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//165 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 525, 0, 0, Smoke::mf_const, 77, 3},	//166 QWebElementCollection::iterator::operator*() const
    {53, 547, 47, 1, Smoke::mf_const, 237, 4},	//167 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 523, 47, 1, Smoke::mf_const, 237, 5},	//168 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 541, 47, 1, Smoke::mf_const, 237, 6},	//169 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 543, 47, 1, Smoke::mf_const, 237, 7},	//170 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 549, 47, 1, Smoke::mf_const, 237, 8},	//171 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 551, 47, 1, Smoke::mf_const, 237, 9},	//172 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 529, 0, 0, 0, 88, 10},	//173 QWebElementCollection::iterator::operator++()
    {53, 529, 38, 1, 0, 87, 11},	//174 QWebElementCollection::iterator::operator++(int)
    {53, 537, 0, 0, 0, 88, 12},	//175 QWebElementCollection::iterator::operator--()
    {53, 537, 38, 1, 0, 87, 13},	//176 QWebElementCollection::iterator::operator--(int)
    {53, 531, 38, 1, 0, 88, 14},	//177 QWebElementCollection::iterator::operator+=(int)
    {53, 539, 38, 1, 0, 88, 15},	//178 QWebElementCollection::iterator::operator-=(int)
    {53, 526, 38, 1, Smoke::mf_const, 87, 16},	//179 QWebElementCollection::iterator::operator+(int) const
    {53, 534, 38, 1, Smoke::mf_const, 87, 17},	//180 QWebElementCollection::iterator::operator-(int) const
    {53, 534, 49, 1, Smoke::mf_const, 282, 18},	//181 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 883, 0, 0, Smoke::mf_dtor, 0, 19 },	//182 QWebElementCollection::iterator::~iterator()
    {54, 500, 0, 0, Smoke::mf_const, 242, 1},	//183 QWebFrame::metaObject() const
    {54, 589, 10, 1, 0, 290, 2},	//184 QWebFrame::qt_metacast(const char*)
    {54, 822, 51, 2, Smoke::mf_static, 62, 3},	//185 QWebFrame::tr(const char*, const char*)
    {54, 826, 51, 2, Smoke::mf_static, 62, 4},	//186 QWebFrame::trUtf8(const char*, const char*)
    {54, 822, 54, 3, Smoke::mf_static, 62, 5},	//187 QWebFrame::tr(const char*, const char*, int)
    {54, 826, 54, 3, Smoke::mf_static, 62, 6},	//188 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 587, 58, 3, 0, 282, 7},	//189 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 557, 0, 0, Smoke::mf_const, 101, 8},	//190 QWebFrame::page() const
    {54, 481, 62, 1, 0, 0, 9},	//191 QWebFrame::load(const QUrl&)
    {54, 481, 64, 3, 0, 0, 10},	//192 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 702, 68, 2, 0, 0, 11},	//193 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 663, 71, 3, 0, 0, 12},	//194 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 237, 75, 2, 0, 0, 13},	//195 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 237, 78, 3, 0, 0, 14},	//196 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 812, 0, 0, Smoke::mf_const, 62, 15},	//197 QWebFrame::toHtml() const
    {54, 816, 0, 0, Smoke::mf_const, 62, 16},	//198 QWebFrame::toPlainText() const
    {54, 612, 0, 0, Smoke::mf_const, 62, 17},	//199 QWebFrame::renderTreeDump() const
    {54, 809, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 18},	//200 QWebFrame::title() const
    {54, 764, 62, 1, Smoke::mf_property, 0, 19},	//201 QWebFrame::setUrl(const QUrl&)
    {54, 841, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 20},	//202 QWebFrame::url() const
    {54, 618, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 21},	//203 QWebFrame::requestedUrl() const
    {54, 266, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 22},	//204 QWebFrame::baseUrl() const
    {54, 429, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//205 QWebFrame::icon() const
    {54, 499, 0, 0, Smoke::mf_const, 35, 24},	//206 QWebFrame::metaData() const
    {54, 403, 0, 0, Smoke::mf_const, 62, 25},	//207 QWebFrame::frameName() const
    {54, 567, 0, 0, Smoke::mf_const, 90, 26},	//208 QWebFrame::parentFrame() const
    {54, 275, 0, 0, Smoke::mf_const, 26, 27},	//209 QWebFrame::childFrames() const
    {54, 640, 82, 1, Smoke::mf_const, 189, 28},	//210 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 752, 84, 2, 0, 0, 29},	//211 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 754, 87, 2, 0, 0, 30},	//212 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 642, 82, 1, Smoke::mf_const, 282, 31},	//213 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 638, 82, 1, Smoke::mf_const, 282, 32},	//214 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 636, 82, 1, Smoke::mf_const, 282, 33},	//215 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 634, 82, 1, Smoke::mf_const, 50, 34},	//216 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 632, 90, 2, 0, 0, 35},	//217 QWebFrame::scroll(int, int)
    {54, 644, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//218 QWebFrame::scrollPosition() const
    {54, 756, 93, 1, Smoke::mf_property, 0, 37},	//219 QWebFrame::setScrollPosition(const QPoint&)
    {54, 647, 16, 1, 0, 0, 38},	//220 QWebFrame::scrollToAnchor(const QString&)
    {54, 606, 28, 1, 0, 0, 39},	//221 QWebFrame::render(QPainter*)
    {54, 606, 95, 2, 0, 0, 40},	//222 QWebFrame::render(QPainter*, const QRegion&)
    {54, 606, 98, 3, 0, 0, 41},	//223 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 762, 102, 1, 0, 0, 42},	//224 QWebFrame::setTextSizeMultiplier(double)
    {54, 807, 0, 0, Smoke::mf_const, 281, 43},	//225 QWebFrame::textSizeMultiplier() const
    {54, 861, 0, 0, Smoke::mf_const, 281, 44},	//226 QWebFrame::zoomFactor() const
    {54, 777, 102, 1, 0, 0, 45},	//227 QWebFrame::setZoomFactor(double)
    {54, 418, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 46},	//228 QWebFrame::hasFocus() const
    {54, 693, 0, 0, 0, 0, 47},	//229 QWebFrame::setFocus()
    {54, 572, 0, 0, Smoke::mf_const, 48, 48},	//230 QWebFrame::pos() const
    {54, 404, 0, 0, Smoke::mf_const, 50, 49},	//231 QWebFrame::geometry() const
    {54, 294, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 50},	//232 QWebFrame::contentsSize() const
    {54, 324, 0, 0, Smoke::mf_const, 77, 51},	//233 QWebFrame::documentElement() const
    {54, 371, 16, 1, Smoke::mf_const, 81, 52},	//234 QWebFrame::findAllElements(const QString&) const
    {54, 375, 16, 1, Smoke::mf_const, 77, 53},	//235 QWebFrame::findFirstElement(const QString&) const
    {54, 426, 93, 1, Smoke::mf_const, 97, 54},	//236 QWebFrame::hitTestContent(const QPoint&) const
    {54, 354, 1, 1, 0, 237, 55},	//237 QWebFrame::event(QEvent*)
    {54, 649, 0, 0, Smoke::mf_const, 127, 56},	//238 QWebFrame::securityOrigin() const
    {54, 352, 16, 1, Smoke::mf_slot, 74, 57},	//239 QWebFrame::evaluateJavaScript(const QString&)
    {54, 582, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//240 QWebFrame::print(QPrinter*) const
    {54, 461, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//241 QWebFrame::javaScriptWindowObjectCleared()
    {54, 586, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//242 QWebFrame::provisionalLoad()
    {54, 810, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//243 QWebFrame::titleChanged(const QString&)
    {54, 842, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//244 QWebFrame::urlChanged(const QUrl&)
    {54, 435, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//245 QWebFrame::initialLayoutCompleted()
    {54, 430, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//246 QWebFrame::iconChanged()
    {54, 295, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//247 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 489, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//248 QWebFrame::loadStarted()
    {54, 485, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//249 QWebFrame::loadFinished(bool)
    {54, 560, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//250 QWebFrame::pageChanged()
    {54, 822, 10, 1, Smoke::mf_static, 62, 69},	//251 QWebFrame::tr(const char*)
    {54, 826, 10, 1, Smoke::mf_static, 62, 70},	//252 QWebFrame::trUtf8(const char*)
    {54, 481, 110, 1, 0, 0, 71},	//253 QWebFrame::load(const QNetworkRequest&)
    {54, 481, 112, 2, 0, 0, 72},	//254 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 702, 16, 1, 0, 0, 73},	//255 QWebFrame::setHtml(const QString&)
    {54, 663, 115, 1, 0, 0, 74},	//256 QWebFrame::setContent(const QByteArray&)
    {54, 663, 117, 2, 0, 0, 75},	//257 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 606, 120, 2, 0, 0, 76},	//258 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 77},	//259 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 78},	//260 QWebFrame::ContentsLayer (enum)
    {54, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 79},	//261 QWebFrame::ScrollBarLayer (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 80},	//262 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 81},	//263 QWebFrame::AllLayers (enum)
    {55, 279, 0, 0, 0, 0, 1},	//264 QWebHistory::clear()
    {55, 449, 0, 0, Smoke::mf_const, 27, 2},	//265 QWebHistory::items() const
    {55, 264, 38, 1, Smoke::mf_const, 27, 3},	//266 QWebHistory::backItems(int) const
    {55, 395, 38, 1, Smoke::mf_const, 27, 4},	//267 QWebHistory::forwardItems(int) const
    {55, 270, 0, 0, Smoke::mf_const, 237, 5},	//268 QWebHistory::canGoBack() const
    {55, 271, 0, 0, Smoke::mf_const, 237, 6},	//269 QWebHistory::canGoForward() const
    {55, 262, 0, 0, 0, 0, 7},	//270 QWebHistory::back()
    {55, 393, 0, 0, 0, 0, 8},	//271 QWebHistory::forward()
    {55, 408, 123, 1, 0, 0, 9},	//272 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 263, 0, 0, Smoke::mf_const, 94, 10},	//273 QWebHistory::backItem() const
    {55, 308, 0, 0, Smoke::mf_const, 94, 11},	//274 QWebHistory::currentItem() const
    {55, 394, 0, 0, Smoke::mf_const, 94, 12},	//275 QWebHistory::forwardItem() const
    {55, 447, 38, 1, Smoke::mf_const, 94, 13},	//276 QWebHistory::itemAt(int) const
    {55, 309, 0, 0, Smoke::mf_const, 282, 14},	//277 QWebHistory::currentItemIndex() const
    {55, 299, 0, 0, Smoke::mf_const, 282, 15},	//278 QWebHistory::count() const
    {55, 494, 0, 0, Smoke::mf_const, 282, 16},	//279 QWebHistory::maximumItemCount() const
    {55, 713, 38, 1, 0, 0, 17},	//280 QWebHistory::setMaximumItemCount(int)
    {56, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 1},	//281 QWebHistoryInterface::metaObject() const
    {56, 589, 10, 1, Smoke::mf_virtual, 290, 2},	//282 QWebHistoryInterface::qt_metacast(const char*)
    {56, 822, 51, 2, Smoke::mf_static, 62, 3},	//283 QWebHistoryInterface::tr(const char*, const char*)
    {56, 826, 51, 2, Smoke::mf_static, 62, 4},	//284 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 822, 54, 3, Smoke::mf_static, 62, 5},	//285 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 826, 54, 3, Smoke::mf_static, 62, 6},	//286 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 587, 58, 3, Smoke::mf_virtual, 282, 7},	//287 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 147, 125, 1, Smoke::mf_ctor, 93, 8},	//288 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 673, 127, 1, Smoke::mf_static, 0, 9},	//289 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 316, 0, 0, Smoke::mf_static, 93, 10},	//290 QWebHistoryInterface::defaultInterface()
    {56, 424, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 237, 11},	//291 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 233, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//292 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 822, 10, 1, Smoke::mf_static, 62, 13},	//293 QWebHistoryInterface::tr(const char*)
    {56, 826, 10, 1, Smoke::mf_static, 62, 14},	//294 QWebHistoryInterface::trUtf8(const char*)
    {56, 147, 0, 0, Smoke::mf_ctor, 93, 15},	//295 QWebHistoryInterface::QWebHistoryInterface()
    {56, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 16},	//296 QWebHistoryInterface::staticMetaObject() const
    {56, 873, 0, 0, Smoke::mf_dtor, 0, 17 },	//297 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 149, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 1},	//298 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 545, 123, 1, 0, 95, 2},	//299 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 556, 0, 0, Smoke::mf_const, 72, 3},	//300 QWebHistoryItem::originalUrl() const
    {57, 841, 0, 0, Smoke::mf_const, 72, 4},	//301 QWebHistoryItem::url() const
    {57, 809, 0, 0, Smoke::mf_const, 62, 5},	//302 QWebHistoryItem::title() const
    {57, 469, 0, 0, Smoke::mf_const, 8, 6},	//303 QWebHistoryItem::lastVisited() const
    {57, 429, 0, 0, Smoke::mf_const, 20, 7},	//304 QWebHistoryItem::icon() const
    {57, 846, 0, 0, Smoke::mf_const, 74, 8},	//305 QWebHistoryItem::userData() const
    {57, 766, 129, 1, 0, 0, 9},	//306 QWebHistoryItem::setUserData(const QVariant&)
    {57, 446, 0, 0, Smoke::mf_const, 237, 10},	//307 QWebHistoryItem::isValid() const
    {57, 874, 0, 0, Smoke::mf_dtor, 0, 11 },	//308 QWebHistoryItem::~QWebHistoryItem()
    {58, 151, 0, 0, Smoke::mf_ctor, 99, 1},	//309 QWebHitTestResult::QWebHitTestResult()
    {58, 151, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//310 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 545, 131, 1, 0, 98, 3},	//311 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 444, 0, 0, Smoke::mf_const, 237, 4},	//312 QWebHitTestResult::isNull() const
    {58, 572, 0, 0, Smoke::mf_const, 48, 5},	//313 QWebHitTestResult::pos() const
    {58, 268, 0, 0, Smoke::mf_const, 50, 6},	//314 QWebHitTestResult::boundingRect() const
    {58, 346, 0, 0, Smoke::mf_const, 77, 7},	//315 QWebHitTestResult::enclosingBlockElement() const
    {58, 809, 0, 0, Smoke::mf_const, 62, 8},	//316 QWebHitTestResult::title() const
    {58, 478, 0, 0, Smoke::mf_const, 62, 9},	//317 QWebHitTestResult::linkText() const
    {58, 480, 0, 0, Smoke::mf_const, 72, 10},	//318 QWebHitTestResult::linkUrl() const
    {58, 479, 0, 0, Smoke::mf_const, 72, 11},	//319 QWebHitTestResult::linkTitle() const
    {58, 477, 0, 0, Smoke::mf_const, 90, 12},	//320 QWebHitTestResult::linkTargetFrame() const
    {58, 474, 0, 0, Smoke::mf_const, 77, 13},	//321 QWebHitTestResult::linkElement() const
    {58, 241, 0, 0, Smoke::mf_const, 62, 14},	//322 QWebHitTestResult::alternateText() const
    {58, 434, 0, 0, Smoke::mf_const, 72, 15},	//323 QWebHitTestResult::imageUrl() const
    {58, 568, 0, 0, Smoke::mf_const, 47, 16},	//324 QWebHitTestResult::pixmap() const
    {58, 441, 0, 0, Smoke::mf_const, 237, 17},	//325 QWebHitTestResult::isContentEditable() const
    {58, 442, 0, 0, Smoke::mf_const, 237, 18},	//326 QWebHitTestResult::isContentSelected() const
    {58, 336, 0, 0, Smoke::mf_const, 77, 19},	//327 QWebHitTestResult::element() const
    {58, 398, 0, 0, Smoke::mf_const, 90, 20},	//328 QWebHitTestResult::frame() const
    {58, 875, 0, 0, Smoke::mf_dtor, 0, 21 },	//329 QWebHitTestResult::~QWebHitTestResult()
    {59, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 1},	//330 QWebInspector::metaObject() const
    {59, 589, 10, 1, Smoke::mf_virtual, 290, 2},	//331 QWebInspector::qt_metacast(const char*)
    {59, 822, 51, 2, Smoke::mf_static, 62, 3},	//332 QWebInspector::tr(const char*, const char*)
    {59, 826, 51, 2, Smoke::mf_static, 62, 4},	//333 QWebInspector::trUtf8(const char*, const char*)
    {59, 822, 54, 3, Smoke::mf_static, 62, 5},	//334 QWebInspector::tr(const char*, const char*, int)
    {59, 826, 54, 3, Smoke::mf_static, 62, 6},	//335 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 587, 58, 3, Smoke::mf_virtual, 282, 7},	//336 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 153, 133, 1, Smoke::mf_ctor, 100, 8},	//337 QWebInspector::QWebInspector(QWidget*)
    {59, 735, 135, 1, 0, 0, 9},	//338 QWebInspector::setPage(QWebPage*)
    {59, 557, 0, 0, Smoke::mf_const, 101, 10},	//339 QWebInspector::page() const
    {59, 784, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//340 QWebInspector::sizeHint() const
    {59, 354, 1, 1, Smoke::mf_virtual, 237, 12},	//341 QWebInspector::event(QEvent*)
    {59, 625, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//342 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 781, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//343 QWebInspector::showEvent(QShowEvent*)
    {59, 421, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//344 QWebInspector::hideEvent(QHideEvent*)
    {59, 283, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//345 QWebInspector::closeEvent(QCloseEvent*)
    {59, 822, 10, 1, Smoke::mf_static, 62, 17},	//346 QWebInspector::tr(const char*)
    {59, 826, 10, 1, Smoke::mf_static, 62, 18},	//347 QWebInspector::trUtf8(const char*)
    {59, 153, 0, 0, Smoke::mf_ctor, 100, 19},	//348 QWebInspector::QWebInspector()
    {59, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 20},	//349 QWebInspector::staticMetaObject() const
    {59, 876, 0, 0, Smoke::mf_dtor, 0, 21 },	//350 QWebInspector::~QWebInspector()
    {60, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 1},	//351 QWebPage::metaObject() const
    {60, 589, 10, 1, Smoke::mf_virtual, 290, 2},	//352 QWebPage::qt_metacast(const char*)
    {60, 822, 51, 2, Smoke::mf_static, 62, 3},	//353 QWebPage::tr(const char*, const char*)
    {60, 826, 51, 2, Smoke::mf_static, 62, 4},	//354 QWebPage::trUtf8(const char*, const char*)
    {60, 822, 54, 3, Smoke::mf_static, 62, 5},	//355 QWebPage::tr(const char*, const char*, int)
    {60, 826, 54, 3, Smoke::mf_static, 62, 6},	//356 QWebPage::trUtf8(const char*, const char*, int)
    {60, 587, 58, 3, Smoke::mf_virtual, 282, 7},	//357 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 155, 125, 1, Smoke::mf_ctor, 101, 8},	//358 QWebPage::QWebPage(QObject*)
    {60, 493, 0, 0, Smoke::mf_const, 90, 9},	//359 QWebPage::mainFrame() const
    {60, 307, 0, 0, Smoke::mf_const, 90, 10},	//360 QWebPage::currentFrame() const
    {60, 399, 93, 1, Smoke::mf_const, 90, 11},	//361 QWebPage::frameAt(const QPoint&) const
    {60, 423, 0, 0, Smoke::mf_const, 92, 12},	//362 QWebPage::history() const
    {60, 779, 0, 0, Smoke::mf_const, 130, 13},	//363 QWebPage::settings() const
    {60, 770, 133, 1, 0, 0, 14},	//364 QWebPage::setView(QWidget*)
    {60, 848, 0, 0, Smoke::mf_const, 138, 15},	//365 QWebPage::view() const
    {60, 443, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 16},	//366 QWebPage::isModified() const
    {60, 836, 0, 0, Smoke::mf_const, 71, 17},	//367 QWebPage::undoStack() const
    {60, 721, 145, 1, 0, 0, 18},	//368 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 517, 0, 0, Smoke::mf_const, 36, 19},	//369 QWebPage::networkAccessManager() const
    {60, 743, 147, 1, 0, 0, 20},	//370 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 569, 0, 0, Smoke::mf_const, 121, 21},	//371 QWebPage::pluginFactory() const
    {60, 821, 0, 0, Smoke::mf_const, 289, 22},	//372 QWebPage::totalBytes() const
    {60, 269, 0, 0, Smoke::mf_const, 289, 23},	//373 QWebPage::bytesReceived() const
    {60, 419, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 24},	//374 QWebPage::hasSelection() const
    {60, 651, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 25},	//375 QWebPage::selectedText() const
    {60, 650, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 26},	//376 QWebPage::selectedHtml() const
    {60, 228, 149, 1, Smoke::mf_const, 1, 27},	//377 QWebPage::action(QWebPage::WebAction) const
    {60, 830, 151, 2, Smoke::mf_virtual, 0, 28},	//378 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 852, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//379 QWebPage::viewportSize() const
    {60, 772, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//380 QWebPage::setViewportSize(const QSize&) const
    {60, 849, 106, 1, Smoke::mf_const, 115, 31},	//381 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 573, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 32},	//382 QWebPage::preferredContentsSize() const
    {60, 745, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//383 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 653, 154, 1, Smoke::mf_const, 0, 34},	//384 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 354, 1, 1, Smoke::mf_virtual, 237, 35},	//385 QWebPage::event(QEvent*)
    {60, 384, 108, 1, 0, 237, 36},	//386 QWebPage::focusNextPrevChild(bool)
    {60, 439, 156, 1, Smoke::mf_const, 74, 37},	//387 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 377, 158, 2, 0, 237, 38},	//388 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 698, 108, 1, Smoke::mf_property, 0, 39},	//389 QWebPage::setForwardUnsupportedContent(bool)
    {60, 397, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 40},	//390 QWebPage::forwardUnsupportedContent() const
    {60, 709, 161, 1, Smoke::mf_property, 0, 41},	//391 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 473, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 42},	//392 QWebPage::linkDelegationPolicy() const
    {60, 737, 163, 1, Smoke::mf_property, 0, 43},	//393 QWebPage::setPalette(const QPalette&)
    {60, 564, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 44},	//394 QWebPage::palette() const
    {60, 667, 108, 1, Smoke::mf_property, 0, 45},	//395 QWebPage::setContentEditable(bool)
    {60, 441, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 46},	//396 QWebPage::isContentEditable() const
    {60, 800, 165, 1, 0, 237, 47},	//397 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 839, 93, 1, 0, 0, 48},	//398 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 304, 0, 0, 0, 31, 49},	//399 QWebPage::createStandardContextMenu()
    {60, 687, 167, 3, 0, 0, 50},	//400 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 795, 0, 0, Smoke::mf_const, 65, 51},	//401 QWebPage::supportedContentTypes() const
    {60, 796, 16, 1, Smoke::mf_const, 237, 52},	//402 QWebPage::supportsContentType(const QString&) const
    {60, 358, 171, 3, Smoke::mf_virtual, 237, 53},	//403 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 798, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 54},	//404 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 410, 0, 0, Smoke::mf_const, 120, 55},	//405 QWebPage::handle() const
    {60, 780, 0, 0, Smoke::mf_slot, 237, 56},	//406 QWebPage::shouldInterruptJavaScript()
    {60, 489, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//407 QWebPage::loadStarted()
    {60, 487, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//408 QWebPage::loadProgress(int)
    {60, 485, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//409 QWebPage::loadFinished(bool)
    {60, 475, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//410 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 786, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//411 QWebPage::statusBarMessage(const QString&)
    {60, 652, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//412 QWebPage::selectionChanged()
    {60, 401, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//413 QWebPage::frameCreated(QWebFrame*)
    {60, 405, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//414 QWebPage::geometryChangeRequested(const QRect&)
    {60, 613, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//415 QWebPage::repaintRequested(const QRect&)
    {60, 645, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//416 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 859, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//417 QWebPage::windowCloseRequested()
    {60, 584, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//418 QWebPage::printRequested(QWebFrame*)
    {60, 471, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//419 QWebPage::linkClicked(const QUrl&)
    {60, 819, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//420 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 788, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//421 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 497, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//422 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 837, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//423 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 326, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//424 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 502, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//425 QWebPage::microFocusChanged()
    {60, 293, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//426 QWebPage::contentsChanged()
    {60, 312, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//427 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 250, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//428 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 629, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//429 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 627, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//430 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 851, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//431 QWebPage::viewportChangeRequested()
    {60, 364, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//432 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 362, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//433 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 305, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 101, 84},	//434 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 302, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 85},	//435 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 226, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 237, 86},	//436 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 276, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 62, 87},	//437 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 453, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//438 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 455, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 237, 89},	//439 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 459, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 237, 90},	//440 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 457, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//441 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 844, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 62, 92},	//442 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 822, 10, 1, Smoke::mf_static, 62, 93},	//443 QWebPage::tr(const char*)
    {60, 826, 10, 1, Smoke::mf_static, 62, 94},	//444 QWebPage::trUtf8(const char*)
    {60, 155, 0, 0, Smoke::mf_ctor, 101, 95},	//445 QWebPage::QWebPage()
    {60, 830, 149, 1, 0, 0, 96},	//446 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 377, 16, 1, 0, 237, 97},	//447 QWebPage::findText(const QString&)
    {60, 358, 175, 1, 0, 237, 98},	//448 QWebPage::extension(QWebPage::Extension)
    {60, 358, 220, 2, 0, 237, 99},	//449 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 100},	//450 QWebPage::staticMetaObject() const
    {60, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//451 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//452 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//453 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//454 QWebPage::NavigationTypeReload (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//455 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//456 QWebPage::NavigationTypeOther (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 107},	//457 QWebPage::NoWebAction (enum)
    {60, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 108},	//458 QWebPage::OpenLink (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 109},	//459 QWebPage::OpenLinkInNewWindow (enum)
    {60, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 110},	//460 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 111},	//461 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 112},	//462 QWebPage::CopyLinkToClipboard (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 113},	//463 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 114},	//464 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 115},	//465 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 116},	//466 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 117},	//467 QWebPage::Forward (enum)
    {60, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 118},	//468 QWebPage::Stop (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 119},	//469 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 120},	//470 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 121},	//471 QWebPage::Copy (enum)
    {60, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 122},	//472 QWebPage::Paste (enum)
    {60, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 123},	//473 QWebPage::Undo (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 124},	//474 QWebPage::Redo (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 125},	//475 QWebPage::MoveToNextChar (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 126},	//476 QWebPage::MoveToPreviousChar (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 127},	//477 QWebPage::MoveToNextWord (enum)
    {60, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 128},	//478 QWebPage::MoveToPreviousWord (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 129},	//479 QWebPage::MoveToNextLine (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 130},	//480 QWebPage::MoveToPreviousLine (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 131},	//481 QWebPage::MoveToStartOfLine (enum)
    {60, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 132},	//482 QWebPage::MoveToEndOfLine (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 133},	//483 QWebPage::MoveToStartOfBlock (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 134},	//484 QWebPage::MoveToEndOfBlock (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 135},	//485 QWebPage::MoveToStartOfDocument (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 136},	//486 QWebPage::MoveToEndOfDocument (enum)
    {60, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 137},	//487 QWebPage::SelectNextChar (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 138},	//488 QWebPage::SelectPreviousChar (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 139},	//489 QWebPage::SelectNextWord (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 140},	//490 QWebPage::SelectPreviousWord (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 141},	//491 QWebPage::SelectNextLine (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 142},	//492 QWebPage::SelectPreviousLine (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 143},	//493 QWebPage::SelectStartOfLine (enum)
    {60, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 144},	//494 QWebPage::SelectEndOfLine (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 145},	//495 QWebPage::SelectStartOfBlock (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 146},	//496 QWebPage::SelectEndOfBlock (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 147},	//497 QWebPage::SelectStartOfDocument (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 148},	//498 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 149},	//499 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 150},	//500 QWebPage::DeleteEndOfWord (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 151},	//501 QWebPage::SetTextDirectionDefault (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 152},	//502 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 153},	//503 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 154},	//504 QWebPage::ToggleBold (enum)
    {60, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 155},	//505 QWebPage::ToggleItalic (enum)
    {60, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 156},	//506 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 157},	//507 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 158},	//508 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 159},	//509 QWebPage::InsertLineSeparator (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 160},	//510 QWebPage::SelectAll (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 161},	//511 QWebPage::ReloadAndBypassCache (enum)
    {60, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 162},	//512 QWebPage::PasteAndMatchStyle (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 163},	//513 QWebPage::RemoveFormat (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 164},	//514 QWebPage::ToggleStrikethrough (enum)
    {60, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 165},	//515 QWebPage::ToggleSubscript (enum)
    {60, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 166},	//516 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 167},	//517 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 168},	//518 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 169},	//519 QWebPage::Indent (enum)
    {60, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 170},	//520 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 171},	//521 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 172},	//522 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 173},	//523 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 174},	//524 QWebPage::AlignRight (enum)
    {60, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 175},	//525 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 176},	//526 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 177},	//527 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//528 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//529 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 180},	//530 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 181},	//531 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 182},	//532 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 183},	//533 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 184},	//534 QWebPage::DelegateAllLinks (enum)
    {60, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 185},	//535 QWebPage::WebBrowserWindow (enum)
    {60, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 186},	//536 QWebPage::WebModalDialog (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 187},	//537 QWebPage::PermissionUnknown (enum)
    {60, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 188},	//538 QWebPage::PermissionGrantedByUser (enum)
    {60, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 189},	//539 QWebPage::PermissionDeniedByUser (enum)
    {60, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 190},	//540 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 191},	//541 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 192},	//542 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 193},	//543 QWebPage::ErrorPageExtension (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 194},	//544 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 195},	//545 QWebPage::Http (enum)
    {60, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 196},	//546 QWebPage::WebKit (enum)
    {60, 877, 0, 0, Smoke::mf_dtor, 0, 197 },	//547 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 102, 1},	//548 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//549 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 567, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 3},	//550 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 739, 177, 1, Smoke::mf_attribute, 0, 4},	//551 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 794, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 5},	//552 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 760, 225, 1, Smoke::mf_attribute, 0, 6},	//553 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 862, 0, 0, Smoke::mf_dtor, 0, 7 },	//554 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 103, 1},	//555 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//556 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 368, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 3},	//557 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 691, 225, 1, Smoke::mf_attribute, 0, 4},	//558 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 863, 0, 0, Smoke::mf_dtor, 0, 5 },	//559 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 105, 1},	//560 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//561 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 841, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 3},	//562 QWebPage::ErrorPageExtensionOption::url() const
    {63, 764, 62, 1, Smoke::mf_attribute, 0, 4},	//563 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 398, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 5},	//564 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 700, 177, 1, Smoke::mf_attribute, 0, 6},	//565 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 325, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 104, 7},	//566 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 679, 231, 1, Smoke::mf_attribute, 0, 8},	//567 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 350, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 282, 9},	//568 QWebPage::ErrorPageExtensionOption::error() const
    {63, 683, 38, 1, Smoke::mf_attribute, 0, 10},	//569 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 351, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 11},	//570 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 685, 16, 1, Smoke::mf_attribute, 0, 12},	//571 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 864, 0, 0, Smoke::mf_dtor, 0, 13 },	//572 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 106, 1},	//573 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//574 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 292, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//575 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 669, 16, 1, Smoke::mf_attribute, 0, 4},	//576 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 347, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//577 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 681, 16, 1, Smoke::mf_attribute, 0, 6},	//578 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 266, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 7},	//579 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 661, 62, 1, Smoke::mf_attribute, 0, 8},	//580 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 291, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//581 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 663, 115, 1, Smoke::mf_attribute, 0, 10},	//582 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 865, 0, 0, Smoke::mf_dtor, 0, 11 },	//583 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 108, 1},	//584 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//585 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 866, 0, 0, Smoke::mf_dtor, 0, 3 },	//586 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 109, 1},	//587 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 2},	//588 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 867, 0, 0, Smoke::mf_dtor, 0, 3 },	//589 QWebPage::ExtensionReturn::~ExtensionReturn()
    {67, 208, 0, 0, Smoke::mf_ctor, 117, 1},	//590 QWebPage::ViewportAttributes::ViewportAttributes()
    {67, 208, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//591 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {67, 545, 239, 1, 0, 116, 3},	//592 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {67, 436, 0, 0, Smoke::mf_const, 281, 4},	//593 QWebPage::ViewportAttributes::initialScaleFactor() const
    {67, 504, 0, 0, Smoke::mf_const, 281, 5},	//594 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {67, 496, 0, 0, Smoke::mf_const, 281, 6},	//595 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {67, 320, 0, 0, Smoke::mf_const, 281, 7},	//596 QWebPage::ViewportAttributes::devicePixelRatio() const
    {67, 445, 0, 0, Smoke::mf_const, 237, 8},	//597 QWebPage::ViewportAttributes::isUserScalable() const
    {67, 446, 0, 0, Smoke::mf_const, 237, 9},	//598 QWebPage::ViewportAttributes::isValid() const
    {67, 783, 0, 0, Smoke::mf_const, 55, 10},	//599 QWebPage::ViewportAttributes::size() const
    {67, 881, 0, 0, Smoke::mf_dtor, 0, 11 },	//600 QWebPage::ViewportAttributes::~ViewportAttributes()
    {69, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 1},	//601 QWebPluginFactory::metaObject() const
    {69, 589, 10, 1, Smoke::mf_virtual, 290, 2},	//602 QWebPluginFactory::qt_metacast(const char*)
    {69, 822, 51, 2, Smoke::mf_static, 62, 3},	//603 QWebPluginFactory::tr(const char*, const char*)
    {69, 826, 51, 2, Smoke::mf_static, 62, 4},	//604 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 822, 54, 3, Smoke::mf_static, 62, 5},	//605 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 826, 54, 3, Smoke::mf_static, 62, 6},	//606 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 587, 58, 3, Smoke::mf_virtual, 282, 7},	//607 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 157, 125, 1, Smoke::mf_ctor, 121, 8},	//608 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//609 QWebPluginFactory::plugins() const [pure virtual]
    {69, 591, 0, 0, Smoke::mf_virtual, 0, 10},	//610 QWebPluginFactory::refreshPlugins()
    {69, 300, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//611 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 358, 241, 3, Smoke::mf_virtual, 237, 12},	//612 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 798, 245, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 13},	//613 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 822, 10, 1, Smoke::mf_static, 62, 14},	//614 QWebPluginFactory::tr(const char*)
    {69, 826, 10, 1, Smoke::mf_static, 62, 15},	//615 QWebPluginFactory::trUtf8(const char*)
    {69, 157, 0, 0, Smoke::mf_ctor, 121, 16},	//616 QWebPluginFactory::QWebPluginFactory()
    {69, 358, 245, 1, 0, 237, 17},	//617 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 358, 247, 2, 0, 237, 18},	//618 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 19},	//619 QWebPluginFactory::staticMetaObject() const
    {69, 878, 0, 0, Smoke::mf_dtor, 0, 20 },	//620 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 123, 1},	//621 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//622 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 866, 0, 0, Smoke::mf_dtor, 0, 3 },	//623 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 124, 1},	//624 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//625 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 867, 0, 0, Smoke::mf_dtor, 0, 3 },	//626 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 547, 254, 1, Smoke::mf_const, 237, 1},	//627 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 523, 254, 1, Smoke::mf_const, 237, 2},	//628 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 96, 0, 0, Smoke::mf_ctor, 125, 3},	//629 QWebPluginFactory::MimeType::MimeType()
    {72, 96, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//630 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 515, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//631 QWebPluginFactory::MimeType::name() const
    {72, 719, 16, 1, Smoke::mf_attribute, 0, 6},	//632 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 318, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 7},	//633 QWebPluginFactory::MimeType::description() const
    {72, 677, 16, 1, Smoke::mf_attribute, 0, 8},	//634 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 366, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 9},	//635 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 689, 225, 1, Smoke::mf_attribute, 0, 10},	//636 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 868, 0, 0, Smoke::mf_dtor, 0, 11 },	//637 QWebPluginFactory::MimeType::~MimeType()
    {73, 135, 0, 0, Smoke::mf_ctor, 126, 1},	//638 QWebPluginFactory::Plugin::Plugin()
    {73, 135, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//639 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 515, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//640 QWebPluginFactory::Plugin::name() const
    {73, 719, 16, 1, Smoke::mf_attribute, 0, 4},	//641 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 318, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//642 QWebPluginFactory::Plugin::description() const
    {73, 677, 16, 1, Smoke::mf_attribute, 0, 6},	//643 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 503, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//644 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 717, 258, 1, Smoke::mf_attribute, 0, 8},	//645 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 869, 0, 0, Smoke::mf_dtor, 0, 9 },	//646 QWebPluginFactory::Plugin::~Plugin()
    {74, 240, 0, 0, Smoke::mf_static, 30, 1},	//647 QWebSecurityOrigin::allOrigins()
    {74, 235, 16, 1, Smoke::mf_static, 0, 2},	//648 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 604, 16, 1, Smoke::mf_static, 0, 3},	//649 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 491, 0, 0, Smoke::mf_static, 65, 4},	//650 QWebSecurityOrigin::localSchemes()
    {74, 631, 0, 0, Smoke::mf_const, 62, 5},	//651 QWebSecurityOrigin::scheme() const
    {74, 428, 0, 0, Smoke::mf_const, 62, 6},	//652 QWebSecurityOrigin::host() const
    {74, 571, 0, 0, Smoke::mf_const, 282, 7},	//653 QWebSecurityOrigin::port() const
    {74, 314, 0, 0, Smoke::mf_const, 284, 8},	//654 QWebSecurityOrigin::databaseUsage() const
    {74, 311, 0, 0, Smoke::mf_const, 284, 9},	//655 QWebSecurityOrigin::databaseQuota() const
    {74, 671, 260, 1, 0, 0, 10},	//656 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 655, 260, 1, 0, 0, 11},	//657 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 315, 0, 0, Smoke::mf_const, 24, 12},	//658 QWebSecurityOrigin::databases() const
    {74, 159, 262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 13},	//659 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 545, 262, 1, 0, 128, 14},	//660 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 879, 0, 0, Smoke::mf_dtor, 0, 15 },	//661 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 407, 0, 0, Smoke::mf_static, 130, 1},	//662 QWebSettings::globalSettings()
    {75, 694, 264, 2, 0, 0, 2},	//663 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 389, 267, 1, Smoke::mf_const, 62, 3},	//664 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 621, 267, 1, 0, 0, 4},	//665 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 696, 269, 2, 0, 0, 5},	//666 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 391, 272, 1, Smoke::mf_const, 282, 6},	//667 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 623, 272, 1, 0, 0, 7},	//668 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 657, 274, 2, 0, 0, 8},	//669 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 805, 277, 1, Smoke::mf_const, 237, 9},	//670 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 619, 277, 1, 0, 0, 10},	//671 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 768, 62, 1, 0, 0, 11},	//672 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 847, 0, 0, Smoke::mf_const, 72, 12},	//673 QWebSettings::userStyleSheetUrl() const
    {75, 675, 16, 1, 0, 0, 13},	//674 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 317, 0, 0, Smoke::mf_const, 62, 14},	//675 QWebSettings::defaultTextEncoding() const
    {75, 705, 16, 1, Smoke::mf_static, 0, 15},	//676 QWebSettings::setIconDatabasePath(const QString&)
    {75, 431, 0, 0, Smoke::mf_static, 62, 16},	//677 QWebSettings::iconDatabasePath()
    {75, 280, 0, 0, Smoke::mf_static, 0, 17},	//678 QWebSettings::clearIconDatabase()
    {75, 432, 62, 1, Smoke::mf_static, 20, 18},	//679 QWebSettings::iconForUrl(const QUrl&)
    {75, 775, 279, 2, Smoke::mf_static, 0, 19},	//680 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 854, 282, 1, Smoke::mf_static, 47, 20},	//681 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 715, 38, 1, Smoke::mf_static, 0, 21},	//682 QWebSettings::setMaximumPagesInCache(int)
    {75, 495, 0, 0, Smoke::mf_static, 282, 22},	//683 QWebSettings::maximumPagesInCache()
    {75, 723, 284, 3, Smoke::mf_static, 0, 23},	//684 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 727, 16, 1, Smoke::mf_static, 0, 24},	//685 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 520, 0, 0, Smoke::mf_static, 62, 25},	//686 QWebSettings::offlineStoragePath()
    {75, 725, 260, 1, Smoke::mf_static, 0, 26},	//687 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 519, 0, 0, Smoke::mf_static, 284, 27},	//688 QWebSettings::offlineStorageDefaultQuota()
    {75, 729, 16, 1, Smoke::mf_static, 0, 28},	//689 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 521, 0, 0, Smoke::mf_static, 62, 29},	//690 QWebSettings::offlineWebApplicationCachePath()
    {75, 731, 260, 1, Smoke::mf_static, 0, 30},	//691 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 522, 0, 0, Smoke::mf_static, 284, 31},	//692 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 711, 16, 1, 0, 0, 32},	//693 QWebSettings::setLocalStoragePath(const QString&)
    {75, 492, 0, 0, Smoke::mf_const, 62, 33},	//694 QWebSettings::localStoragePath() const
    {75, 281, 0, 0, Smoke::mf_static, 0, 34},	//695 QWebSettings::clearMemoryCaches()
    {75, 337, 16, 1, Smoke::mf_static, 0, 35},	//696 QWebSettings::enablePersistentStorage(const QString&)
    {75, 410, 0, 0, Smoke::mf_const, 135, 36},	//697 QWebSettings::handle() const
    {75, 337, 0, 0, Smoke::mf_static, 0, 37},	//698 QWebSettings::enablePersistentStorage()
    {75, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 38},	//699 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 39},	//700 QWebSettings::FixedFont (enum)
    {75, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 40},	//701 QWebSettings::SerifFont (enum)
    {75, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 41},	//702 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 42},	//703 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 43},	//704 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//705 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//706 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//707 QWebSettings::JavaEnabled (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//708 QWebSettings::PluginsEnabled (enum)
    {75, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//709 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//710 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//711 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//712 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//713 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//714 QWebSettings::ZoomTextOnly (enum)
    {75, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//715 QWebSettings::PrintElementBackgrounds (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//716 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//717 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//718 QWebSettings::LocalStorageEnabled (enum)
    {75, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//719 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//720 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//721 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//722 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//723 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//724 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//725 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//726 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//727 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//728 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//729 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//730 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//731 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//732 QWebSettings::MissingImageGraphic (enum)
    {75, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//733 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//734 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//735 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//736 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//737 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//738 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//739 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//740 QWebSettings::MinimumFontSize (enum)
    {75, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//741 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//742 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//743 QWebSettings::DefaultFixedFontSize (enum)
    {77, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 1},	//744 QWebView::metaObject() const
    {77, 589, 10, 1, Smoke::mf_virtual, 290, 2},	//745 QWebView::qt_metacast(const char*)
    {77, 822, 51, 2, Smoke::mf_static, 62, 3},	//746 QWebView::tr(const char*, const char*)
    {77, 826, 51, 2, Smoke::mf_static, 62, 4},	//747 QWebView::trUtf8(const char*, const char*)
    {77, 822, 54, 3, Smoke::mf_static, 62, 5},	//748 QWebView::tr(const char*, const char*, int)
    {77, 826, 54, 3, Smoke::mf_static, 62, 6},	//749 QWebView::trUtf8(const char*, const char*, int)
    {77, 587, 58, 3, Smoke::mf_virtual, 282, 7},	//750 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 161, 133, 1, Smoke::mf_ctor, 136, 8},	//751 QWebView::QWebView(QWidget*)
    {77, 557, 0, 0, Smoke::mf_const, 101, 9},	//752 QWebView::page() const
    {77, 735, 135, 1, 0, 0, 10},	//753 QWebView::setPage(QWebPage*)
    {77, 481, 62, 1, 0, 0, 11},	//754 QWebView::load(const QUrl&)
    {77, 481, 64, 3, 0, 0, 12},	//755 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 702, 68, 2, 0, 0, 13},	//756 QWebView::setHtml(const QString&, const QUrl&)
    {77, 663, 71, 3, 0, 0, 14},	//757 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 423, 0, 0, Smoke::mf_const, 92, 15},	//758 QWebView::history() const
    {77, 779, 0, 0, Smoke::mf_const, 130, 16},	//759 QWebView::settings() const
    {77, 809, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 17},	//760 QWebView::title() const
    {77, 764, 62, 1, Smoke::mf_property, 0, 18},	//761 QWebView::setUrl(const QUrl&)
    {77, 841, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 19},	//762 QWebView::url() const
    {77, 429, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//763 QWebView::icon() const
    {77, 419, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 21},	//764 QWebView::hasSelection() const
    {77, 651, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 22},	//765 QWebView::selectedText() const
    {77, 650, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 23},	//766 QWebView::selectedHtml() const
    {77, 558, 149, 1, Smoke::mf_const, 1, 24},	//767 QWebView::pageAction(QWebPage::WebAction) const
    {77, 833, 151, 2, 0, 0, 25},	//768 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 443, 0, 0, Smoke::mf_const|Smoke::mf_property, 237, 26},	//769 QWebView::isModified() const
    {77, 439, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 27},	//770 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 784, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 28},	//771 QWebView::sizeHint() const
    {77, 861, 0, 0, Smoke::mf_const, 281, 29},	//772 QWebView::zoomFactor() const
    {77, 777, 102, 1, 0, 0, 30},	//773 QWebView::setZoomFactor(double)
    {77, 762, 102, 1, 0, 0, 31},	//774 QWebView::setTextSizeMultiplier(double)
    {77, 807, 0, 0, Smoke::mf_const, 281, 32},	//775 QWebView::textSizeMultiplier() const
    {77, 611, 0, 0, Smoke::mf_const, 15, 33},	//776 QWebView::renderHints() const
    {77, 750, 288, 1, 0, 0, 34},	//777 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 747, 290, 2, 0, 0, 35},	//778 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 377, 158, 2, 0, 237, 36},	//779 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 354, 1, 1, Smoke::mf_virtual, 237, 37},	//780 QWebView::event(QEvent*)
    {77, 790, 0, 0, Smoke::mf_slot, 0, 38},	//781 QWebView::stop()
    {77, 262, 0, 0, Smoke::mf_slot, 0, 39},	//782 QWebView::back()
    {77, 393, 0, 0, Smoke::mf_slot, 0, 40},	//783 QWebView::forward()
    {77, 592, 0, 0, Smoke::mf_slot, 0, 41},	//784 QWebView::reload()
    {77, 582, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//785 QWebView::print(QPrinter*) const
    {77, 489, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//786 QWebView::loadStarted()
    {77, 487, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//787 QWebView::loadProgress(int)
    {77, 485, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//788 QWebView::loadFinished(bool)
    {77, 810, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//789 QWebView::titleChanged(const QString&)
    {77, 786, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//790 QWebView::statusBarMessage(const QString&)
    {77, 471, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//791 QWebView::linkClicked(const QUrl&)
    {77, 652, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//792 QWebView::selectionChanged()
    {77, 430, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//793 QWebView::iconChanged()
    {77, 842, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//794 QWebView::urlChanged(const QUrl&)
    {77, 625, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//795 QWebView::resizeEvent(QResizeEvent*)
    {77, 562, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//796 QWebView::paintEvent(QPaintEvent*)
    {77, 305, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 136, 54},	//797 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 272, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//798 QWebView::changeEvent(QEvent*)
    {77, 508, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//799 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 510, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//800 QWebView::mousePressEvent(QMouseEvent*)
    {77, 506, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//801 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 512, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//802 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 297, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//803 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 856, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//804 QWebView::wheelEvent(QWheelEvent*)
    {77, 462, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//805 QWebView::keyPressEvent(QKeyEvent*)
    {77, 464, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//806 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 328, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//807 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 330, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//808 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 332, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//809 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 334, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//810 QWebView::dropEvent(QDropEvent*)
    {77, 382, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//811 QWebView::focusInEvent(QFocusEvent*)
    {77, 386, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//812 QWebView::focusOutEvent(QFocusEvent*)
    {77, 437, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//813 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 384, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 237, 71},	//814 QWebView::focusNextPrevChild(bool)
    {77, 822, 10, 1, Smoke::mf_static, 62, 72},	//815 QWebView::tr(const char*)
    {77, 826, 10, 1, Smoke::mf_static, 62, 73},	//816 QWebView::trUtf8(const char*)
    {77, 161, 0, 0, Smoke::mf_ctor, 136, 74},	//817 QWebView::QWebView()
    {77, 481, 110, 1, 0, 0, 75},	//818 QWebView::load(const QNetworkRequest&)
    {77, 481, 112, 2, 0, 0, 76},	//819 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 702, 16, 1, 0, 0, 77},	//820 QWebView::setHtml(const QString&)
    {77, 663, 115, 1, 0, 0, 78},	//821 QWebView::setContent(const QByteArray&)
    {77, 663, 117, 2, 0, 0, 79},	//822 QWebView::setContent(const QByteArray&, const QString&)
    {77, 833, 149, 1, 0, 0, 80},	//823 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 747, 313, 1, 0, 0, 81},	//824 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 377, 16, 1, 0, 237, 82},	//825 QWebView::findText(const QString&)
    {77, 785, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 241, 83},	//826 QWebView::staticMetaObject() const
    {77, 880, 0, 0, Smoke::mf_dtor, 0, 84 },	//827 QWebView::~QWebView()
    {79, 319, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//828 QWidget::devType() const
    {79, 774, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//829 QWidget::setVisible(bool)
    {79, 505, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//830 QWidget::minimumSizeHint() const
    {79, 420, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//831 QWidget::heightForWidth(int) const
    {79, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//832 QWidget::paintEngine() const
    {79, 510, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::mousePressEvent(QMouseEvent*)
    {79, 512, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 506, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 508, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 856, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::wheelEvent(QWheelEvent*)
    {79, 462, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::keyPressEvent(QKeyEvent*)
    {79, 464, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 382, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::focusInEvent(QFocusEvent*)
    {79, 386, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::focusOutEvent(QFocusEvent*)
    {79, 349, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::enterEvent(QEvent*)
    {79, 470, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::leaveEvent(QEvent*)
    {79, 562, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::paintEvent(QPaintEvent*)
    {79, 514, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::moveEvent(QMoveEvent*)
    {79, 283, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::closeEvent(QCloseEvent*)
    {79, 297, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 802, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::tabletEvent(QTabletEvent*)
    {79, 230, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::actionEvent(QActionEvent*)
    {79, 328, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 332, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 330, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 334, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//853 QWidget::dropEvent(QDropEvent*)
    {79, 781, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//854 QWidget::showEvent(QShowEvent*)
    {79, 421, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::hideEvent(QHideEvent*)
    {79, 860, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 237, 0},	//856 QWidget::x11Event(_XEvent*)
    {79, 272, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//857 QWidget::changeEvent(QEvent*)
    {79, 501, 323, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 282, 0},	//858 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 437, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//859 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 439, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//860 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 384, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 237, 0},	//861 QWidget::focusNextPrevChild(bool)
    {79, 791, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//862 QWidget::styleChange(QStyle&)
    {79, 339, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//863 QWidget::enabledChange(bool)
    {79, 565, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//864 QWidget::paletteChange(const QPalette&)
    {79, 388, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//865 QWidget::fontChange(const QFont&)
    {79, 858, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//866 QWidget::windowActivationChange(bool)
    {79, 466, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//867 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    138,  // QWebElementCollection::begin() const
    142,  // QWebElementCollection::begin()
    0,
    139,  // QWebElementCollection::end() const
    143,  // QWebElementCollection::end()
    0,
    191,  // QWebFrame::load(const QUrl&)
    253,  // QWebFrame::load(const QNetworkRequest&)
    0,
    754,  // QWebView::load(const QUrl&)
    818,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 72, 22},	// QGlobalSpace::LicensedActiveQt
    {16, 73, 17},	// QGlobalSpace::LicensedCore
    {16, 74, 23},	// QGlobalSpace::LicensedDBus
    {16, 75, 21},	// QGlobalSpace::LicensedDeclarative
    {16, 76, 20},	// QGlobalSpace::LicensedGui
    {16, 77, 33},	// QGlobalSpace::LicensedHelp
    {16, 78, 32},	// QGlobalSpace::LicensedMultimedia
    {16, 79, 15},	// QGlobalSpace::LicensedNetwork
    {16, 80, 12},	// QGlobalSpace::LicensedOpenGL
    {16, 81, 14},	// QGlobalSpace::LicensedOpenVG
    {16, 82, 13},	// QGlobalSpace::LicensedQt3Support
    {16, 83, 26},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 84, 31},	// QGlobalSpace::LicensedScript
    {16, 85, 25},	// QGlobalSpace::LicensedScriptTools
    {16, 86, 16},	// QGlobalSpace::LicensedSql
    {16, 87, 18},	// QGlobalSpace::LicensedSvg
    {16, 88, 24},	// QGlobalSpace::LicensedTest
    {16, 89, 6},	// QGlobalSpace::LicensedXml
    {16, 90, 19},	// QGlobalSpace::LicensedXmlPatterns
    {16, 163, 9},	// QGlobalSpace::QtCriticalMsg
    {16, 164, 7},	// QGlobalSpace::QtDebugMsg
    {16, 165, 10},	// QGlobalSpace::QtFatalMsg
    {16, 167, 11},	// QGlobalSpace::QtSystemMsg
    {16, 168, 8},	// QGlobalSpace::QtWarningMsg
    {16, 217, 1},	// QGlobalSpace::_IEEE_
    {16, 218, 5},	// QGlobalSpace::_ISOC_
    {16, 219, 4},	// QGlobalSpace::_POSIX_
    {16, 220, 2},	// QGlobalSpace::_SVID_
    {16, 221, 3},	// QGlobalSpace::_XOPEN_
    {16, 222, 29},	// QGlobalSpace::__codecvt_error
    {16, 223, 30},	// QGlobalSpace::__codecvt_noconv
    {16, 224, 27},	// QGlobalSpace::__codecvt_ok
    {16, 225, 28},	// QGlobalSpace::__codecvt_partial
    {49, 141, 41},	// QWebDatabase::QWebDatabase#
    {49, 322, 44},	// QWebDatabase::displayName
    {49, 357, 45},	// QWebDatabase::expectedSize
    {49, 367, 47},	// QWebDatabase::fileName
    {49, 515, 43},	// QWebDatabase::name
    {49, 546, 42},	// QWebDatabase::operator=#
    {49, 555, 48},	// QWebDatabase::origin
    {49, 594, 50},	// QWebDatabase::removeAllDatabases
    {49, 602, 49},	// QWebDatabase::removeDatabase#
    {49, 783, 46},	// QWebDatabase::size
    {49, 870, 51},	// QWebDatabase::~QWebDatabase
    {50, 9, 122},	// QWebElement::CascadedStyle
    {50, 15, 123},	// QWebElement::ComputedStyle
    {50, 60, 121},	// QWebElement::InlineStyle
    {50, 142, 52},	// QWebElement::QWebElement
    {50, 143, 53},	// QWebElement::QWebElement#
    {50, 232, 78},	// QWebElement::addClass$
    {50, 245, 96},	// QWebElement::appendInside#
    {50, 246, 95},	// QWebElement::appendInside$
    {50, 248, 100},	// QWebElement::appendOutside#
    {50, 249, 99},	// QWebElement::appendOutside$
    {50, 255, 118},	// QWebElement::attribute$
    {50, 256, 68},	// QWebElement::attribute$$
    {50, 258, 119},	// QWebElement::attributeNS$$
    {50, 259, 69},	// QWebElement::attributeNS$$$
    {50, 260, 120},	// QWebElement::attributeNames
    {50, 261, 75},	// QWebElement::attributeNames$
    {50, 278, 76},	// QWebElement::classes
    {50, 282, 109},	// QWebElement::clone
    {50, 323, 93},	// QWebElement::document
    {50, 341, 103},	// QWebElement::encloseContentsWith#
    {50, 342, 104},	// QWebElement::encloseContentsWith$
    {50, 344, 106},	// QWebElement::encloseWith#
    {50, 345, 105},	// QWebElement::encloseWith$
    {50, 353, 113},	// QWebElement::evaluateJavaScript$
    {50, 370, 58},	// QWebElement::findAll$
    {50, 374, 59},	// QWebElement::findFirst$
    {50, 381, 89},	// QWebElement::firstChild
    {50, 404, 83},	// QWebElement::geometry
    {50, 412, 70},	// QWebElement::hasAttribute$
    {50, 414, 71},	// QWebElement::hasAttributeNS$$
    {50, 415, 74},	// QWebElement::hasAttributes
    {50, 417, 77},	// QWebElement::hasClass$
    {50, 418, 81},	// QWebElement::hasFocus
    {50, 444, 57},	// QWebElement::isNull
    {50, 468, 90},	// QWebElement::lastChild
    {50, 490, 86},	// QWebElement::localName
    {50, 516, 87},	// QWebElement::namespaceUri
    {50, 518, 91},	// QWebElement::nextSibling
    {50, 524, 56},	// QWebElement::operator!=#
    {50, 546, 54},	// QWebElement::operator=#
    {50, 548, 55},	// QWebElement::operator==#
    {50, 566, 88},	// QWebElement::parent
    {50, 574, 85},	// QWebElement::prefix
    {50, 576, 98},	// QWebElement::prependInside#
    {50, 577, 97},	// QWebElement::prependInside$
    {50, 579, 102},	// QWebElement::prependOutside#
    {50, 580, 101},	// QWebElement::prependOutside$
    {50, 581, 92},	// QWebElement::previousSibling
    {50, 593, 112},	// QWebElement::removeAllChildren
    {50, 596, 72},	// QWebElement::removeAttribute$
    {50, 598, 73},	// QWebElement::removeAttributeNS$$
    {50, 600, 79},	// QWebElement::removeClass$
    {50, 603, 111},	// QWebElement::removeFromDocument
    {50, 607, 116},	// QWebElement::render#
    {50, 608, 117},	// QWebElement::render##
    {50, 616, 108},	// QWebElement::replace#
    {50, 617, 107},	// QWebElement::replace$
    {50, 658, 66},	// QWebElement::setAttribute$$
    {50, 660, 67},	// QWebElement::setAttributeNS$$$
    {50, 693, 82},	// QWebElement::setFocus
    {50, 708, 64},	// QWebElement::setInnerXml$
    {50, 734, 62},	// QWebElement::setOuterXml$
    {50, 742, 60},	// QWebElement::setPlainText$
    {50, 759, 115},	// QWebElement::setStyleProperty$$
    {50, 793, 114},	// QWebElement::styleProperty$$
    {50, 803, 84},	// QWebElement::tagName
    {50, 804, 110},	// QWebElement::takeFromDocument
    {50, 813, 65},	// QWebElement::toInnerXml
    {50, 815, 63},	// QWebElement::toOuterXml
    {50, 816, 61},	// QWebElement::toPlainText
    {50, 818, 80},	// QWebElement::toggleClass$
    {50, 853, 94},	// QWebElement::webFrame
    {50, 871, 124},	// QWebElement::~QWebElement
    {51, 144, 125},	// QWebElementCollection::QWebElementCollection
    {51, 145, 127},	// QWebElementCollection::QWebElementCollection#
    {51, 146, 126},	// QWebElementCollection::QWebElementCollection#$
    {51, 243, 131},	// QWebElementCollection::append#
    {51, 253, 133},	// QWebElementCollection::at$
    {51, 267, -1},	// QWebElementCollection::begin
    {51, 286, 140},	// QWebElementCollection::constBegin
    {51, 287, 141},	// QWebElementCollection::constEnd
    {51, 299, 132},	// QWebElementCollection::count
    {51, 348, -4},	// QWebElementCollection::end
    {51, 380, 135},	// QWebElementCollection::first
    {51, 467, 136},	// QWebElementCollection::last
    {51, 527, 129},	// QWebElementCollection::operator+#
    {51, 532, 130},	// QWebElementCollection::operator+=#
    {51, 546, 128},	// QWebElementCollection::operator=#
    {51, 554, 134},	// QWebElementCollection::operator[]$
    {51, 814, 137},	// QWebElementCollection::toList
    {51, 872, 144},	// QWebElementCollection::~QWebElementCollection
    {52, 289, 146},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 290, 145},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 524, 149},	// QWebElementCollection::const_iterator::operator!=#
    {52, 525, 147},	// QWebElementCollection::const_iterator::operator*
    {52, 528, 160},	// QWebElementCollection::const_iterator::operator+$
    {52, 529, 154},	// QWebElementCollection::const_iterator::operator++
    {52, 530, 155},	// QWebElementCollection::const_iterator::operator++$
    {52, 533, 158},	// QWebElementCollection::const_iterator::operator+=$
    {52, 535, 162},	// QWebElementCollection::const_iterator::operator-#
    {52, 536, 161},	// QWebElementCollection::const_iterator::operator-$
    {52, 537, 156},	// QWebElementCollection::const_iterator::operator--
    {52, 538, 157},	// QWebElementCollection::const_iterator::operator--$
    {52, 540, 159},	// QWebElementCollection::const_iterator::operator-=$
    {52, 542, 150},	// QWebElementCollection::const_iterator::operator<#
    {52, 544, 151},	// QWebElementCollection::const_iterator::operator<=#
    {52, 548, 148},	// QWebElementCollection::const_iterator::operator==#
    {52, 550, 152},	// QWebElementCollection::const_iterator::operator>#
    {52, 552, 153},	// QWebElementCollection::const_iterator::operator>=#
    {52, 882, 163},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 451, 165},	// QWebElementCollection::iterator::iterator#
    {53, 452, 164},	// QWebElementCollection::iterator::iterator#$
    {53, 524, 168},	// QWebElementCollection::iterator::operator!=#
    {53, 525, 166},	// QWebElementCollection::iterator::operator*
    {53, 528, 179},	// QWebElementCollection::iterator::operator+$
    {53, 529, 173},	// QWebElementCollection::iterator::operator++
    {53, 530, 174},	// QWebElementCollection::iterator::operator++$
    {53, 533, 177},	// QWebElementCollection::iterator::operator+=$
    {53, 535, 181},	// QWebElementCollection::iterator::operator-#
    {53, 536, 180},	// QWebElementCollection::iterator::operator-$
    {53, 537, 175},	// QWebElementCollection::iterator::operator--
    {53, 538, 176},	// QWebElementCollection::iterator::operator--$
    {53, 540, 178},	// QWebElementCollection::iterator::operator-=$
    {53, 542, 169},	// QWebElementCollection::iterator::operator<#
    {53, 544, 170},	// QWebElementCollection::iterator::operator<=#
    {53, 548, 167},	// QWebElementCollection::iterator::operator==#
    {53, 550, 171},	// QWebElementCollection::iterator::operator>#
    {53, 552, 172},	// QWebElementCollection::iterator::operator>=#
    {53, 883, 182},	// QWebElementCollection::iterator::~iterator
    {54, 6, 263},	// QWebFrame::AllLayers
    {54, 16, 260},	// QWebFrame::ContentsLayer
    {54, 129, 262},	// QWebFrame::PanIconLayer
    {54, 174, 261},	// QWebFrame::ScrollBarLayer
    {54, 238, 195},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 239, 196},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 266, 204},	// QWebFrame::baseUrl
    {54, 275, 209},	// QWebFrame::childFrames
    {54, 294, 232},	// QWebFrame::contentsSize
    {54, 296, 247},	// QWebFrame::contentsSizeChanged#
    {54, 324, 233},	// QWebFrame::documentElement
    {54, 353, 239},	// QWebFrame::evaluateJavaScript$
    {54, 355, 237},	// QWebFrame::event#
    {54, 372, 234},	// QWebFrame::findAllElements$
    {54, 376, 235},	// QWebFrame::findFirstElement$
    {54, 403, 207},	// QWebFrame::frameName
    {54, 404, 231},	// QWebFrame::geometry
    {54, 418, 228},	// QWebFrame::hasFocus
    {54, 427, 236},	// QWebFrame::hitTestContent#
    {54, 429, 205},	// QWebFrame::icon
    {54, 430, 246},	// QWebFrame::iconChanged
    {54, 435, 245},	// QWebFrame::initialLayoutCompleted
    {54, 461, 241},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 482, -7},	// QWebFrame::load#
    {54, 483, 254},	// QWebFrame::load#$
    {54, 484, 192},	// QWebFrame::load#$#
    {54, 486, 249},	// QWebFrame::loadFinished$
    {54, 489, 248},	// QWebFrame::loadStarted
    {54, 499, 206},	// QWebFrame::metaData
    {54, 500, 183},	// QWebFrame::metaObject
    {54, 557, 190},	// QWebFrame::page
    {54, 560, 250},	// QWebFrame::pageChanged
    {54, 567, 208},	// QWebFrame::parentFrame
    {54, 572, 230},	// QWebFrame::pos
    {54, 583, 240},	// QWebFrame::print#
    {54, 586, 242},	// QWebFrame::provisionalLoad
    {54, 588, 189},	// QWebFrame::qt_metacall$$?
    {54, 590, 184},	// QWebFrame::qt_metacast$
    {54, 607, 221},	// QWebFrame::render#
    {54, 608, 222},	// QWebFrame::render##
    {54, 609, 258},	// QWebFrame::render#$
    {54, 610, 223},	// QWebFrame::render#$#
    {54, 612, 199},	// QWebFrame::renderTreeDump
    {54, 618, 203},	// QWebFrame::requestedUrl
    {54, 633, 217},	// QWebFrame::scroll$$
    {54, 635, 216},	// QWebFrame::scrollBarGeometry$
    {54, 637, 215},	// QWebFrame::scrollBarMaximum$
    {54, 639, 214},	// QWebFrame::scrollBarMinimum$
    {54, 641, 210},	// QWebFrame::scrollBarPolicy$
    {54, 643, 213},	// QWebFrame::scrollBarValue$
    {54, 644, 218},	// QWebFrame::scrollPosition
    {54, 648, 220},	// QWebFrame::scrollToAnchor$
    {54, 649, 238},	// QWebFrame::securityOrigin
    {54, 664, 256},	// QWebFrame::setContent#
    {54, 665, 257},	// QWebFrame::setContent#$
    {54, 666, 194},	// QWebFrame::setContent#$#
    {54, 693, 229},	// QWebFrame::setFocus
    {54, 703, 255},	// QWebFrame::setHtml$
    {54, 704, 193},	// QWebFrame::setHtml$#
    {54, 753, 211},	// QWebFrame::setScrollBarPolicy$$
    {54, 755, 212},	// QWebFrame::setScrollBarValue$$
    {54, 757, 219},	// QWebFrame::setScrollPosition#
    {54, 763, 224},	// QWebFrame::setTextSizeMultiplier$
    {54, 765, 201},	// QWebFrame::setUrl#
    {54, 778, 227},	// QWebFrame::setZoomFactor$
    {54, 785, 259},	// QWebFrame::staticMetaObject
    {54, 807, 225},	// QWebFrame::textSizeMultiplier
    {54, 809, 200},	// QWebFrame::title
    {54, 811, 243},	// QWebFrame::titleChanged$
    {54, 812, 197},	// QWebFrame::toHtml
    {54, 816, 198},	// QWebFrame::toPlainText
    {54, 823, 251},	// QWebFrame::tr$
    {54, 824, 185},	// QWebFrame::tr$$
    {54, 825, 187},	// QWebFrame::tr$$$
    {54, 827, 252},	// QWebFrame::trUtf8$
    {54, 828, 186},	// QWebFrame::trUtf8$$
    {54, 829, 188},	// QWebFrame::trUtf8$$$
    {54, 841, 202},	// QWebFrame::url
    {54, 843, 244},	// QWebFrame::urlChanged#
    {54, 861, 226},	// QWebFrame::zoomFactor
    {55, 262, 270},	// QWebHistory::back
    {55, 263, 273},	// QWebHistory::backItem
    {55, 265, 266},	// QWebHistory::backItems$
    {55, 270, 268},	// QWebHistory::canGoBack
    {55, 271, 269},	// QWebHistory::canGoForward
    {55, 279, 264},	// QWebHistory::clear
    {55, 299, 278},	// QWebHistory::count
    {55, 308, 274},	// QWebHistory::currentItem
    {55, 309, 277},	// QWebHistory::currentItemIndex
    {55, 393, 271},	// QWebHistory::forward
    {55, 394, 275},	// QWebHistory::forwardItem
    {55, 396, 267},	// QWebHistory::forwardItems$
    {55, 409, 272},	// QWebHistory::goToItem#
    {55, 448, 276},	// QWebHistory::itemAt$
    {55, 449, 265},	// QWebHistory::items
    {55, 494, 279},	// QWebHistory::maximumItemCount
    {55, 714, 280},	// QWebHistory::setMaximumItemCount$
    {56, 147, 295},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 148, 288},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 234, 292},	// QWebHistoryInterface::addHistoryEntry$
    {56, 316, 290},	// QWebHistoryInterface::defaultInterface
    {56, 425, 291},	// QWebHistoryInterface::historyContains$
    {56, 500, 281},	// QWebHistoryInterface::metaObject
    {56, 588, 287},	// QWebHistoryInterface::qt_metacall$$?
    {56, 590, 282},	// QWebHistoryInterface::qt_metacast$
    {56, 674, 289},	// QWebHistoryInterface::setDefaultInterface#
    {56, 785, 296},	// QWebHistoryInterface::staticMetaObject
    {56, 823, 293},	// QWebHistoryInterface::tr$
    {56, 824, 283},	// QWebHistoryInterface::tr$$
    {56, 825, 285},	// QWebHistoryInterface::tr$$$
    {56, 827, 294},	// QWebHistoryInterface::trUtf8$
    {56, 828, 284},	// QWebHistoryInterface::trUtf8$$
    {56, 829, 286},	// QWebHistoryInterface::trUtf8$$$
    {56, 873, 297},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 150, 298},	// QWebHistoryItem::QWebHistoryItem#
    {57, 429, 304},	// QWebHistoryItem::icon
    {57, 446, 307},	// QWebHistoryItem::isValid
    {57, 469, 303},	// QWebHistoryItem::lastVisited
    {57, 546, 299},	// QWebHistoryItem::operator=#
    {57, 556, 300},	// QWebHistoryItem::originalUrl
    {57, 767, 306},	// QWebHistoryItem::setUserData#
    {57, 809, 302},	// QWebHistoryItem::title
    {57, 841, 301},	// QWebHistoryItem::url
    {57, 846, 305},	// QWebHistoryItem::userData
    {57, 874, 308},	// QWebHistoryItem::~QWebHistoryItem
    {58, 151, 309},	// QWebHitTestResult::QWebHitTestResult
    {58, 152, 310},	// QWebHitTestResult::QWebHitTestResult#
    {58, 241, 322},	// QWebHitTestResult::alternateText
    {58, 268, 314},	// QWebHitTestResult::boundingRect
    {58, 336, 327},	// QWebHitTestResult::element
    {58, 346, 315},	// QWebHitTestResult::enclosingBlockElement
    {58, 398, 328},	// QWebHitTestResult::frame
    {58, 434, 323},	// QWebHitTestResult::imageUrl
    {58, 441, 325},	// QWebHitTestResult::isContentEditable
    {58, 442, 326},	// QWebHitTestResult::isContentSelected
    {58, 444, 312},	// QWebHitTestResult::isNull
    {58, 474, 321},	// QWebHitTestResult::linkElement
    {58, 477, 320},	// QWebHitTestResult::linkTargetFrame
    {58, 478, 317},	// QWebHitTestResult::linkText
    {58, 479, 319},	// QWebHitTestResult::linkTitle
    {58, 480, 318},	// QWebHitTestResult::linkUrl
    {58, 546, 311},	// QWebHitTestResult::operator=#
    {58, 568, 324},	// QWebHitTestResult::pixmap
    {58, 572, 313},	// QWebHitTestResult::pos
    {58, 809, 316},	// QWebHitTestResult::title
    {58, 875, 329},	// QWebHitTestResult::~QWebHitTestResult
    {59, 153, 348},	// QWebInspector::QWebInspector
    {59, 154, 337},	// QWebInspector::QWebInspector#
    {59, 284, 345},	// QWebInspector::closeEvent#
    {59, 355, 341},	// QWebInspector::event#
    {59, 422, 344},	// QWebInspector::hideEvent#
    {59, 500, 330},	// QWebInspector::metaObject
    {59, 557, 339},	// QWebInspector::page
    {59, 588, 336},	// QWebInspector::qt_metacall$$?
    {59, 590, 331},	// QWebInspector::qt_metacast$
    {59, 626, 342},	// QWebInspector::resizeEvent#
    {59, 736, 338},	// QWebInspector::setPage#
    {59, 782, 343},	// QWebInspector::showEvent#
    {59, 784, 340},	// QWebInspector::sizeHint
    {59, 785, 349},	// QWebInspector::staticMetaObject
    {59, 823, 346},	// QWebInspector::tr$
    {59, 824, 332},	// QWebInspector::tr$$
    {59, 825, 334},	// QWebInspector::tr$$$
    {59, 827, 347},	// QWebInspector::trUtf8$
    {59, 828, 333},	// QWebInspector::trUtf8$$
    {59, 829, 335},	// QWebInspector::trUtf8$$$
    {59, 876, 350},	// QWebInspector::~QWebInspector
    {60, 2, 521},	// QWebPage::AlignCenter
    {60, 3, 522},	// QWebPage::AlignJustified
    {60, 4, 523},	// QWebPage::AlignLeft
    {60, 5, 524},	// QWebPage::AlignRight
    {60, 8, 466},	// QWebPage::Back
    {60, 10, 542},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 471},	// QWebPage::Copy
    {60, 18, 465},	// QWebPage::CopyImageToClipboard
    {60, 19, 526},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 462},	// QWebPage::CopyLinkToClipboard
    {60, 22, 470},	// QWebPage::Cut
    {60, 26, 534},	// QWebPage::DelegateAllLinks
    {60, 27, 533},	// QWebPage::DelegateExternalLinks
    {60, 29, 500},	// QWebPage::DeleteEndOfWord
    {60, 30, 499},	// QWebPage::DeleteStartOfWord
    {60, 33, 532},	// QWebPage::DontDelegateLinks
    {60, 34, 464},	// QWebPage::DownloadImageToDisk
    {60, 35, 461},	// QWebPage::DownloadLinkToDisk
    {60, 38, 543},	// QWebPage::ErrorPageExtension
    {60, 48, 528},	// QWebPage::FindBackward
    {60, 49, 529},	// QWebPage::FindCaseSensitively
    {60, 50, 530},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 467},	// QWebPage::Forward
    {60, 54, 541},	// QWebPage::Geolocation
    {60, 55, 531},	// QWebPage::HighlightAllOccurrences
    {60, 56, 545},	// QWebPage::Http
    {60, 59, 519},	// QWebPage::Indent
    {60, 62, 509},	// QWebPage::InsertLineSeparator
    {60, 63, 518},	// QWebPage::InsertOrderedList
    {60, 64, 508},	// QWebPage::InsertParagraphSeparator
    {60, 65, 517},	// QWebPage::InsertUnorderedList
    {60, 66, 507},	// QWebPage::InspectElement
    {60, 102, 484},	// QWebPage::MoveToEndOfBlock
    {60, 103, 486},	// QWebPage::MoveToEndOfDocument
    {60, 104, 482},	// QWebPage::MoveToEndOfLine
    {60, 105, 475},	// QWebPage::MoveToNextChar
    {60, 106, 479},	// QWebPage::MoveToNextLine
    {60, 107, 477},	// QWebPage::MoveToNextWord
    {60, 108, 476},	// QWebPage::MoveToPreviousChar
    {60, 109, 480},	// QWebPage::MoveToPreviousLine
    {60, 110, 478},	// QWebPage::MoveToPreviousWord
    {60, 111, 483},	// QWebPage::MoveToStartOfBlock
    {60, 112, 485},	// QWebPage::MoveToStartOfDocument
    {60, 113, 481},	// QWebPage::MoveToStartOfLine
    {60, 114, 453},	// QWebPage::NavigationTypeBackOrForward
    {60, 115, 455},	// QWebPage::NavigationTypeFormResubmitted
    {60, 116, 452},	// QWebPage::NavigationTypeFormSubmitted
    {60, 117, 451},	// QWebPage::NavigationTypeLinkClicked
    {60, 118, 456},	// QWebPage::NavigationTypeOther
    {60, 119, 454},	// QWebPage::NavigationTypeReload
    {60, 120, 457},	// QWebPage::NoWebAction
    {60, 121, 540},	// QWebPage::Notifications
    {60, 124, 460},	// QWebPage::OpenFrameInNewWindow
    {60, 125, 463},	// QWebPage::OpenImageInNewWindow
    {60, 126, 458},	// QWebPage::OpenLink
    {60, 127, 459},	// QWebPage::OpenLinkInNewWindow
    {60, 128, 520},	// QWebPage::Outdent
    {60, 130, 472},	// QWebPage::Paste
    {60, 131, 512},	// QWebPage::PasteAndMatchStyle
    {60, 132, 539},	// QWebPage::PermissionDeniedByUser
    {60, 133, 538},	// QWebPage::PermissionGrantedByUser
    {60, 134, 537},	// QWebPage::PermissionUnknown
    {60, 155, 445},	// QWebPage::QWebPage
    {60, 156, 358},	// QWebPage::QWebPage#
    {60, 166, 544},	// QWebPage::QtNetwork
    {60, 169, 474},	// QWebPage::Redo
    {60, 170, 469},	// QWebPage::Reload
    {60, 171, 511},	// QWebPage::ReloadAndBypassCache
    {60, 172, 513},	// QWebPage::RemoveFormat
    {60, 177, 510},	// QWebPage::SelectAll
    {60, 178, 496},	// QWebPage::SelectEndOfBlock
    {60, 179, 498},	// QWebPage::SelectEndOfDocument
    {60, 180, 494},	// QWebPage::SelectEndOfLine
    {60, 181, 487},	// QWebPage::SelectNextChar
    {60, 182, 491},	// QWebPage::SelectNextLine
    {60, 183, 489},	// QWebPage::SelectNextWord
    {60, 184, 488},	// QWebPage::SelectPreviousChar
    {60, 185, 492},	// QWebPage::SelectPreviousLine
    {60, 186, 490},	// QWebPage::SelectPreviousWord
    {60, 187, 495},	// QWebPage::SelectStartOfBlock
    {60, 188, 497},	// QWebPage::SelectStartOfDocument
    {60, 189, 493},	// QWebPage::SelectStartOfLine
    {60, 191, 501},	// QWebPage::SetTextDirectionDefault
    {60, 192, 502},	// QWebPage::SetTextDirectionLeftToRight
    {60, 193, 503},	// QWebPage::SetTextDirectionRightToLeft
    {60, 197, 468},	// QWebPage::Stop
    {60, 198, 525},	// QWebPage::StopScheduledPageRefresh
    {60, 201, 504},	// QWebPage::ToggleBold
    {60, 202, 505},	// QWebPage::ToggleItalic
    {60, 203, 514},	// QWebPage::ToggleStrikethrough
    {60, 204, 515},	// QWebPage::ToggleSubscript
    {60, 205, 516},	// QWebPage::ToggleSuperscript
    {60, 206, 506},	// QWebPage::ToggleUnderline
    {60, 207, 473},	// QWebPage::Undo
    {60, 210, 527},	// QWebPage::WebActionCount
    {60, 211, 535},	// QWebPage::WebBrowserWindow
    {60, 213, 546},	// QWebPage::WebKit
    {60, 214, 536},	// QWebPage::WebModalDialog
    {60, 227, 436},	// QWebPage::acceptNavigationRequest##$
    {60, 229, 377},	// QWebPage::action$
    {60, 251, 428},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 269, 373},	// QWebPage::bytesReceived
    {60, 277, 437},	// QWebPage::chooseFile#$
    {60, 293, 426},	// QWebPage::contentsChanged
    {60, 303, 435},	// QWebPage::createPlugin$#??
    {60, 304, 399},	// QWebPage::createStandardContextMenu
    {60, 306, 434},	// QWebPage::createWindow$
    {60, 307, 360},	// QWebPage::currentFrame
    {60, 313, 427},	// QWebPage::databaseQuotaExceeded#$
    {60, 327, 424},	// QWebPage::downloadRequested#
    {60, 355, 385},	// QWebPage::event#
    {60, 359, 448},	// QWebPage::extension$
    {60, 360, 449},	// QWebPage::extension$#
    {60, 361, 403},	// QWebPage::extension$##
    {60, 363, 433},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 365, 432},	// QWebPage::featurePermissionRequested#$
    {60, 378, 447},	// QWebPage::findText$
    {60, 379, 388},	// QWebPage::findText$$
    {60, 385, 386},	// QWebPage::focusNextPrevChild$
    {60, 397, 390},	// QWebPage::forwardUnsupportedContent
    {60, 400, 361},	// QWebPage::frameAt#
    {60, 402, 413},	// QWebPage::frameCreated#
    {60, 406, 414},	// QWebPage::geometryChangeRequested#
    {60, 410, 405},	// QWebPage::handle
    {60, 419, 374},	// QWebPage::hasSelection
    {60, 423, 362},	// QWebPage::history
    {60, 440, 387},	// QWebPage::inputMethodQuery$
    {60, 441, 396},	// QWebPage::isContentEditable
    {60, 443, 366},	// QWebPage::isModified
    {60, 454, 438},	// QWebPage::javaScriptAlert#$
    {60, 456, 439},	// QWebPage::javaScriptConfirm#$
    {60, 458, 441},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 460, 440},	// QWebPage::javaScriptPrompt#$$$
    {60, 472, 419},	// QWebPage::linkClicked#
    {60, 473, 392},	// QWebPage::linkDelegationPolicy
    {60, 476, 410},	// QWebPage::linkHovered$$$
    {60, 486, 409},	// QWebPage::loadFinished$
    {60, 488, 408},	// QWebPage::loadProgress$
    {60, 489, 407},	// QWebPage::loadStarted
    {60, 493, 359},	// QWebPage::mainFrame
    {60, 498, 422},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 500, 351},	// QWebPage::metaObject
    {60, 502, 425},	// QWebPage::microFocusChanged
    {60, 517, 369},	// QWebPage::networkAccessManager
    {60, 564, 394},	// QWebPage::palette
    {60, 569, 371},	// QWebPage::pluginFactory
    {60, 573, 382},	// QWebPage::preferredContentsSize
    {60, 585, 418},	// QWebPage::printRequested#
    {60, 588, 357},	// QWebPage::qt_metacall$$?
    {60, 590, 352},	// QWebPage::qt_metacast$
    {60, 614, 415},	// QWebPage::repaintRequested#
    {60, 628, 430},	// QWebPage::restoreFrameStateRequested#
    {60, 630, 429},	// QWebPage::saveFrameStateRequested##
    {60, 646, 416},	// QWebPage::scrollRequested$$#
    {60, 650, 376},	// QWebPage::selectedHtml
    {60, 651, 375},	// QWebPage::selectedText
    {60, 652, 412},	// QWebPage::selectionChanged
    {60, 654, 384},	// QWebPage::setActualVisibleContentRect#
    {60, 668, 395},	// QWebPage::setContentEditable$
    {60, 688, 400},	// QWebPage::setFeaturePermission#$$
    {60, 699, 389},	// QWebPage::setForwardUnsupportedContent$
    {60, 710, 391},	// QWebPage::setLinkDelegationPolicy$
    {60, 722, 368},	// QWebPage::setNetworkAccessManager#
    {60, 738, 393},	// QWebPage::setPalette#
    {60, 744, 370},	// QWebPage::setPluginFactory#
    {60, 746, 383},	// QWebPage::setPreferredContentsSize#
    {60, 771, 364},	// QWebPage::setView#
    {60, 773, 380},	// QWebPage::setViewportSize#
    {60, 779, 363},	// QWebPage::settings
    {60, 780, 406},	// QWebPage::shouldInterruptJavaScript
    {60, 785, 450},	// QWebPage::staticMetaObject
    {60, 787, 411},	// QWebPage::statusBarMessage$
    {60, 789, 421},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 795, 401},	// QWebPage::supportedContentTypes
    {60, 797, 402},	// QWebPage::supportsContentType$
    {60, 799, 404},	// QWebPage::supportsExtension$
    {60, 801, 397},	// QWebPage::swallowContextMenuEvent#
    {60, 820, 420},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 821, 372},	// QWebPage::totalBytes
    {60, 823, 443},	// QWebPage::tr$
    {60, 824, 353},	// QWebPage::tr$$
    {60, 825, 355},	// QWebPage::tr$$$
    {60, 827, 444},	// QWebPage::trUtf8$
    {60, 828, 354},	// QWebPage::trUtf8$$
    {60, 829, 356},	// QWebPage::trUtf8$$$
    {60, 831, 446},	// QWebPage::triggerAction$
    {60, 832, 378},	// QWebPage::triggerAction$$
    {60, 836, 367},	// QWebPage::undoStack
    {60, 838, 423},	// QWebPage::unsupportedContent#
    {60, 840, 398},	// QWebPage::updatePositionDependentActions#
    {60, 845, 442},	// QWebPage::userAgentForUrl#
    {60, 848, 365},	// QWebPage::view
    {60, 850, 381},	// QWebPage::viewportAttributesForSize#
    {60, 851, 431},	// QWebPage::viewportChangeRequested
    {60, 852, 379},	// QWebPage::viewportSize
    {60, 859, 417},	// QWebPage::windowCloseRequested
    {60, 877, 547},	// QWebPage::~QWebPage
    {61, 11, 548},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 549},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 567, 550},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 740, 551},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 761, 553},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 794, 552},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 862, 554},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 555},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 556},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 368, 557},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 692, 558},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 863, 559},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 560},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 561},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 325, 566},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 350, 568},	// QWebPage::ErrorPageExtensionOption::error
    {63, 351, 570},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 398, 564},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 680, 567},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 684, 569},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 686, 571},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 701, 565},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 765, 563},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 841, 562},	// QWebPage::ErrorPageExtensionOption::url
    {63, 864, 572},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 573},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 574},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 266, 579},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 291, 581},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 292, 575},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 347, 577},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 662, 580},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 664, 582},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 670, 576},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 682, 578},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 865, 583},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 584},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 585},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 866, 586},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 587},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 588},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 867, 589},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {67, 208, 590},	// QWebPage::ViewportAttributes::ViewportAttributes
    {67, 209, 591},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {67, 320, 596},	// QWebPage::ViewportAttributes::devicePixelRatio
    {67, 436, 593},	// QWebPage::ViewportAttributes::initialScaleFactor
    {67, 445, 597},	// QWebPage::ViewportAttributes::isUserScalable
    {67, 446, 598},	// QWebPage::ViewportAttributes::isValid
    {67, 496, 595},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {67, 504, 594},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {67, 546, 592},	// QWebPage::ViewportAttributes::operator=#
    {67, 783, 599},	// QWebPage::ViewportAttributes::size
    {67, 881, 600},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {69, 157, 616},	// QWebPluginFactory::QWebPluginFactory
    {69, 158, 608},	// QWebPluginFactory::QWebPluginFactory#
    {69, 301, 611},	// QWebPluginFactory::create$#??
    {69, 359, 617},	// QWebPluginFactory::extension$
    {69, 360, 618},	// QWebPluginFactory::extension$#
    {69, 361, 612},	// QWebPluginFactory::extension$##
    {69, 500, 601},	// QWebPluginFactory::metaObject
    {69, 570, 609},	// QWebPluginFactory::plugins
    {69, 588, 607},	// QWebPluginFactory::qt_metacall$$?
    {69, 590, 602},	// QWebPluginFactory::qt_metacast$
    {69, 591, 610},	// QWebPluginFactory::refreshPlugins
    {69, 785, 619},	// QWebPluginFactory::staticMetaObject
    {69, 799, 613},	// QWebPluginFactory::supportsExtension$
    {69, 823, 614},	// QWebPluginFactory::tr$
    {69, 824, 603},	// QWebPluginFactory::tr$$
    {69, 825, 605},	// QWebPluginFactory::tr$$$
    {69, 827, 615},	// QWebPluginFactory::trUtf8$
    {69, 828, 604},	// QWebPluginFactory::trUtf8$$
    {69, 829, 606},	// QWebPluginFactory::trUtf8$$$
    {69, 878, 620},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 621},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 622},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 866, 623},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 624},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 625},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 867, 626},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 96, 629},	// QWebPluginFactory::MimeType::MimeType
    {72, 97, 630},	// QWebPluginFactory::MimeType::MimeType#
    {72, 318, 633},	// QWebPluginFactory::MimeType::description
    {72, 366, 635},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 515, 631},	// QWebPluginFactory::MimeType::name
    {72, 524, 628},	// QWebPluginFactory::MimeType::operator!=#
    {72, 548, 627},	// QWebPluginFactory::MimeType::operator==#
    {72, 678, 634},	// QWebPluginFactory::MimeType::setDescription$
    {72, 690, 636},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 720, 632},	// QWebPluginFactory::MimeType::setName$
    {72, 868, 637},	// QWebPluginFactory::MimeType::~MimeType
    {73, 135, 638},	// QWebPluginFactory::Plugin::Plugin
    {73, 136, 639},	// QWebPluginFactory::Plugin::Plugin#
    {73, 318, 642},	// QWebPluginFactory::Plugin::description
    {73, 503, 644},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 515, 640},	// QWebPluginFactory::Plugin::name
    {73, 678, 643},	// QWebPluginFactory::Plugin::setDescription$
    {73, 718, 645},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 720, 641},	// QWebPluginFactory::Plugin::setName$
    {73, 869, 646},	// QWebPluginFactory::Plugin::~Plugin
    {74, 160, 659},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 236, 648},	// QWebSecurityOrigin::addLocalScheme$
    {74, 240, 647},	// QWebSecurityOrigin::allOrigins
    {74, 311, 655},	// QWebSecurityOrigin::databaseQuota
    {74, 314, 654},	// QWebSecurityOrigin::databaseUsage
    {74, 315, 658},	// QWebSecurityOrigin::databases
    {74, 428, 652},	// QWebSecurityOrigin::host
    {74, 491, 650},	// QWebSecurityOrigin::localSchemes
    {74, 546, 660},	// QWebSecurityOrigin::operator=#
    {74, 571, 653},	// QWebSecurityOrigin::port
    {74, 605, 649},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 631, 651},	// QWebSecurityOrigin::scheme
    {74, 656, 657},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 672, 656},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 879, 661},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 723},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 705},	// QWebSettings::AutoLoadImages
    {75, 21, 703},	// QWebSettings::CursiveFont
    {75, 23, 743},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 742},	// QWebSettings::DefaultFontSize
    {75, 25, 734},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 736},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 712},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 721},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 704},	// QWebSettings::FantasyFont
    {75, 51, 700},	// QWebSettings::FixedFont
    {75, 53, 727},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 731},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 737},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 707},	// QWebSettings::JavaEnabled
    {75, 68, 711},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 729},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 710},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 706},	// QWebSettings::JavascriptEnabled
    {75, 91, 713},	// QWebSettings::LinksIncludedInFocusChain
    {75, 92, 725},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 93, 720},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 94, 719},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 95, 718},	// QWebSettings::LocalStorageEnabled
    {75, 98, 740},	// QWebSettings::MinimumFontSize
    {75, 99, 741},	// QWebSettings::MinimumLogicalFontSize
    {75, 100, 732},	// QWebSettings::MissingImageGraphic
    {75, 101, 733},	// QWebSettings::MissingPluginGraphic
    {75, 122, 716},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 123, 717},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 137, 708},	// QWebSettings::PluginsEnabled
    {75, 138, 715},	// QWebSettings::PrintElementBackgrounds
    {75, 139, 709},	// QWebSettings::PrivateBrowsingEnabled
    {75, 173, 702},	// QWebSettings::SansSerifFont
    {75, 175, 738},	// QWebSettings::SearchCancelButtonGraphic
    {75, 176, 739},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 190, 701},	// QWebSettings::SerifFont
    {75, 194, 728},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 195, 724},	// QWebSettings::SpatialNavigationEnabled
    {75, 196, 699},	// QWebSettings::StandardFont
    {75, 199, 735},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 200, 726},	// QWebSettings::TiledBackingStoreEnabled
    {75, 212, 730},	// QWebSettings::WebGLEnabled
    {75, 215, 722},	// QWebSettings::XSSAuditingEnabled
    {75, 216, 714},	// QWebSettings::ZoomTextOnly
    {75, 280, 678},	// QWebSettings::clearIconDatabase
    {75, 281, 695},	// QWebSettings::clearMemoryCaches
    {75, 317, 675},	// QWebSettings::defaultTextEncoding
    {75, 337, 698},	// QWebSettings::enablePersistentStorage
    {75, 338, 696},	// QWebSettings::enablePersistentStorage$
    {75, 390, 664},	// QWebSettings::fontFamily$
    {75, 392, 667},	// QWebSettings::fontSize$
    {75, 407, 662},	// QWebSettings::globalSettings
    {75, 410, 697},	// QWebSettings::handle
    {75, 431, 677},	// QWebSettings::iconDatabasePath
    {75, 433, 679},	// QWebSettings::iconForUrl#
    {75, 492, 694},	// QWebSettings::localStoragePath
    {75, 495, 683},	// QWebSettings::maximumPagesInCache
    {75, 519, 688},	// QWebSettings::offlineStorageDefaultQuota
    {75, 520, 686},	// QWebSettings::offlineStoragePath
    {75, 521, 690},	// QWebSettings::offlineWebApplicationCachePath
    {75, 522, 692},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 620, 671},	// QWebSettings::resetAttribute$
    {75, 622, 665},	// QWebSettings::resetFontFamily$
    {75, 624, 668},	// QWebSettings::resetFontSize$
    {75, 658, 669},	// QWebSettings::setAttribute$$
    {75, 676, 674},	// QWebSettings::setDefaultTextEncoding$
    {75, 695, 663},	// QWebSettings::setFontFamily$$
    {75, 697, 666},	// QWebSettings::setFontSize$$
    {75, 706, 676},	// QWebSettings::setIconDatabasePath$
    {75, 712, 693},	// QWebSettings::setLocalStoragePath$
    {75, 716, 682},	// QWebSettings::setMaximumPagesInCache$
    {75, 724, 684},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 726, 687},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 728, 685},	// QWebSettings::setOfflineStoragePath$
    {75, 730, 689},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 732, 691},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 769, 672},	// QWebSettings::setUserStyleSheetUrl#
    {75, 776, 680},	// QWebSettings::setWebGraphic$#
    {75, 806, 670},	// QWebSettings::testAttribute$
    {75, 847, 673},	// QWebSettings::userStyleSheetUrl
    {75, 855, 681},	// QWebSettings::webGraphic$
    {77, 161, 817},	// QWebView::QWebView
    {77, 162, 751},	// QWebView::QWebView#
    {77, 262, 782},	// QWebView::back
    {77, 273, 798},	// QWebView::changeEvent#
    {77, 298, 803},	// QWebView::contextMenuEvent#
    {77, 306, 797},	// QWebView::createWindow$
    {77, 329, 807},	// QWebView::dragEnterEvent#
    {77, 331, 808},	// QWebView::dragLeaveEvent#
    {77, 333, 809},	// QWebView::dragMoveEvent#
    {77, 335, 810},	// QWebView::dropEvent#
    {77, 355, 780},	// QWebView::event#
    {77, 378, 825},	// QWebView::findText$
    {77, 379, 779},	// QWebView::findText$$
    {77, 383, 811},	// QWebView::focusInEvent#
    {77, 385, 814},	// QWebView::focusNextPrevChild$
    {77, 387, 812},	// QWebView::focusOutEvent#
    {77, 393, 783},	// QWebView::forward
    {77, 419, 764},	// QWebView::hasSelection
    {77, 423, 758},	// QWebView::history
    {77, 429, 763},	// QWebView::icon
    {77, 430, 793},	// QWebView::iconChanged
    {77, 438, 813},	// QWebView::inputMethodEvent#
    {77, 440, 770},	// QWebView::inputMethodQuery$
    {77, 443, 769},	// QWebView::isModified
    {77, 463, 805},	// QWebView::keyPressEvent#
    {77, 465, 806},	// QWebView::keyReleaseEvent#
    {77, 472, 791},	// QWebView::linkClicked#
    {77, 482, -10},	// QWebView::load#
    {77, 483, 819},	// QWebView::load#$
    {77, 484, 755},	// QWebView::load#$#
    {77, 486, 788},	// QWebView::loadFinished$
    {77, 488, 787},	// QWebView::loadProgress$
    {77, 489, 786},	// QWebView::loadStarted
    {77, 500, 744},	// QWebView::metaObject
    {77, 507, 801},	// QWebView::mouseDoubleClickEvent#
    {77, 509, 799},	// QWebView::mouseMoveEvent#
    {77, 511, 800},	// QWebView::mousePressEvent#
    {77, 513, 802},	// QWebView::mouseReleaseEvent#
    {77, 557, 752},	// QWebView::page
    {77, 559, 767},	// QWebView::pageAction$
    {77, 563, 796},	// QWebView::paintEvent#
    {77, 583, 785},	// QWebView::print#
    {77, 588, 750},	// QWebView::qt_metacall$$?
    {77, 590, 745},	// QWebView::qt_metacast$
    {77, 592, 784},	// QWebView::reload
    {77, 611, 776},	// QWebView::renderHints
    {77, 626, 795},	// QWebView::resizeEvent#
    {77, 650, 766},	// QWebView::selectedHtml
    {77, 651, 765},	// QWebView::selectedText
    {77, 652, 792},	// QWebView::selectionChanged
    {77, 664, 821},	// QWebView::setContent#
    {77, 665, 822},	// QWebView::setContent#$
    {77, 666, 757},	// QWebView::setContent#$#
    {77, 703, 820},	// QWebView::setHtml$
    {77, 704, 756},	// QWebView::setHtml$#
    {77, 736, 753},	// QWebView::setPage#
    {77, 748, 824},	// QWebView::setRenderHint$
    {77, 749, 778},	// QWebView::setRenderHint$$
    {77, 751, 777},	// QWebView::setRenderHints$
    {77, 763, 774},	// QWebView::setTextSizeMultiplier$
    {77, 765, 761},	// QWebView::setUrl#
    {77, 778, 773},	// QWebView::setZoomFactor$
    {77, 779, 759},	// QWebView::settings
    {77, 784, 771},	// QWebView::sizeHint
    {77, 785, 826},	// QWebView::staticMetaObject
    {77, 787, 790},	// QWebView::statusBarMessage$
    {77, 790, 781},	// QWebView::stop
    {77, 807, 775},	// QWebView::textSizeMultiplier
    {77, 809, 760},	// QWebView::title
    {77, 811, 789},	// QWebView::titleChanged$
    {77, 823, 815},	// QWebView::tr$
    {77, 824, 746},	// QWebView::tr$$
    {77, 825, 748},	// QWebView::tr$$$
    {77, 827, 816},	// QWebView::trUtf8$
    {77, 828, 747},	// QWebView::trUtf8$$
    {77, 829, 749},	// QWebView::trUtf8$$$
    {77, 834, 823},	// QWebView::triggerPageAction$
    {77, 835, 768},	// QWebView::triggerPageAction$$
    {77, 841, 762},	// QWebView::url
    {77, 843, 794},	// QWebView::urlChanged#
    {77, 857, 804},	// QWebView::wheelEvent#
    {77, 861, 772},	// QWebView::zoomFactor
    {77, 880, 827},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 81,
        __smokeqtwebkit::methods, 868,
        __smokeqtwebkit::methodMaps, 817,
        __smokeqtwebkit::methodNames, 883,
        __smokeqtwebkit::types, 292,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
