#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForActiveQtModule", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForCoreModule", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForDBusModule", 29, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForDeclarativeModule", 29, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForGuiModule", 29, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForHelpModule", 29, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForMultimediaModule", 29, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForNetworkModule", 29, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForOpenGLModule", 29, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForOpenVGModule", 29, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForQt3SupportLightModule", 29, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForQt3SupportModule", 29, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForScriptModule", 29, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForScriptToolsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForSqlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForSvgModule", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForTestModule", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForXmlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForXmlPatternsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//252
    { "_LIB_VERSION_TYPE", 29, Smoke::t_enum|Smoke::tf_stack },	//253
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//254
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//255
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//256
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//257
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//258
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//260
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//302
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//304
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//306
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//309
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//324
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//334
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//336
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//337
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//338
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//339
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//340
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//341
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//342
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//343
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//344
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//345
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//346
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//347
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//348
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//349
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//350
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//352
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//356
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//357
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    266, 0,	//1  const QDomAttr&
    307, 0,	//3  const QString&
    267, 0,	//5  const QDomCDATASection&
    268, 0,	//7  const QDomCharacterData&
    350, 350, 0,	//9  unsigned long, unsigned long
    350, 307, 0,	//12  unsigned long, const QString&
    350, 350, 307, 0,	//15  unsigned long, unsigned long, const QString&
    269, 0,	//19  const QDomComment&
    272, 0,	//21  const QDomDocumentType&
    270, 0,	//23  const QDomDocument&
    307, 307, 0,	//25  const QString&, const QString&
    278, 255, 0,	//28  const QDomNode&, bool
    261, 255, 124, 340, 340, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    307, 255, 124, 340, 340, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 255, 124, 340, 340, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 255, 124, 340, 340, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    261, 124, 340, 340, 0,	//55  const QByteArray&, QString*, int*, int*
    307, 124, 340, 340, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 340, 340, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 340, 340, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    338, 0,	//76  int
    261, 255, 0,	//78  const QByteArray&, bool
    261, 255, 124, 0,	//81  const QByteArray&, bool, QString*
    261, 255, 124, 340, 0,	//85  const QByteArray&, bool, QString*, int*
    307, 255, 0,	//90  const QString&, bool
    307, 255, 124, 0,	//93  const QString&, bool, QString*
    307, 255, 124, 340, 0,	//97  const QString&, bool, QString*, int*
    104, 255, 0,	//102  QIODevice*, bool
    104, 255, 124, 0,	//105  QIODevice*, bool, QString*
    104, 255, 124, 340, 0,	//109  QIODevice*, bool, QString*, int*
    150, 255, 0,	//114  QXmlInputSource*, bool
    150, 255, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 255, 124, 340, 0,	//121  QXmlInputSource*, bool, QString*, int*
    261, 0,	//126  const QByteArray&
    261, 124, 0,	//128  const QByteArray&, QString*
    261, 124, 340, 0,	//131  const QByteArray&, QString*, int*
    307, 124, 0,	//135  const QString&, QString*
    307, 124, 340, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 340, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 340, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    271, 0,	//163  const QDomDocumentFragment&
    273, 0,	//165  const QDomElement&
    307, 343, 0,	//167  const QString&, long long
    307, 351, 0,	//170  const QString&, unsigned long long
    307, 338, 0,	//173  const QString&, int
    307, 349, 0,	//176  const QString&, unsigned int
    307, 337, 0,	//179  const QString&, float
    307, 336, 0,	//182  const QString&, double
    306, 307, 307, 0,	//185  const QString, const QString&, const QString&
    306, 307, 338, 0,	//189  const QString, const QString&, int
    306, 307, 349, 0,	//193  const QString, const QString&, unsigned int
    306, 307, 343, 0,	//197  const QString, const QString&, long long
    306, 307, 351, 0,	//201  const QString, const QString&, unsigned long long
    306, 307, 336, 0,	//205  const QString, const QString&, double
    306, 307, 0,	//209  const QString, const QString&
    274, 0,	//212  const QDomEntity&
    275, 0,	//214  const QDomEntityReference&
    276, 0,	//216  const QDomImplementation&
    307, 307, 307, 0,	//218  const QString&, const QString&, const QString&
    307, 307, 272, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    277, 0,	//228  const QDomNamedNodeMap&
    278, 0,	//230  const QDomNode&
    278, 278, 0,	//232  const QDomNode&, const QDomNode&
    255, 0,	//235  bool
    132, 338, 0,	//237  QTextStream&, int
    132, 338, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    279, 0,	//246  const QDomNodeList&
    280, 0,	//248  const QDomNotation&
    281, 0,	//250  const QDomProcessingInstruction&
    282, 0,	//252  const QDomText&
    310, 310, 0,	//254  const QStringRef&, const QStringRef&
    351, 0,	//257  unsigned long long
    131, 338, 0,	//259  QTextCodec::ConversionFlag, int
    336, 0,	//262  double
    190, 338, 0,	//264  Qt::ImageConversionFlag, int
    332, 349, 0,	//267  const char*, unsigned int
    356, 335, 346, 0,	//270  void*, const void*, size_t
    332, 285, 0,	//274  const char*, const QLatin1String&
    13, 81, 0,	//277  QDebug, QFlags<QIODevice::OpenModeFlag>
    310, 307, 0,	//280  const QStringRef&, const QString&
    303, 303, 0,	//283  const QSize&, const QSize&
    332, 261, 0,	//286  const char*, const QByteArray&
    74, 80, 0,	//289  QFile::Permission, QFlags<QFile::Permission>
    307, 332, 0,	//292  const QString&, const char*
    297, 297, 0,	//295  const QPointF&, const QPointF&
    336, 336, 0,	//298  double, double
    10, 121, 0,	//301  QDataStream&, QSizeF&
    261, 332, 0,	//304  const QByteArray&, const char*
    337, 0,	//307  float
    332, 0,	//309  const char*
    345, 0,	//311  signed char
    307, 310, 0,	//313  const QString&, const QStringRef&
    8, 0,	//316  QChar
    310, 285, 0,	//318  const QStringRef&, const QLatin1String&
    8, 8, 0,	//321  QChar, QChar
    223, 223, 0,	//324  Qt::TouchPointState, Qt::TouchPointState
    312, 0,	//327  const QUrl&
    13, 312, 0,	//329  QDebug, const QUrl&
    125, 307, 0,	//332  QString::Null, const QString&
    220, 220, 0,	//335  Qt::ToolBarArea, Qt::ToolBarArea
    332, 332, 0,	//338  const char*, const char*
    112, 112, 0,	//341  QLocale::NumberOption, QLocale::NumberOption
    230, 230, 0,	//344  Qt::WindowType, Qt::WindowType
    336, 305, 0,	//347  double, const QSizeF&
    14, 338, 0,	//350  QDir::Filter, int
    132, 278, 0,	//353  QTextStream&, const QDomNode&
    295, 295, 0,	//356  const QPoint&, const QPoint&
    10, 299, 0,	//359  QDataStream&, const QRectF&
    198, 338, 0,	//362  Qt::KeyboardModifier, int
    217, 99, 0,	//365  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    257, 0,	//368  char
    134, 86, 0,	//370  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 289, 0,	//373  QDebug, const QMargins&
    138, 338, 0,	//376  QUrl::FormattingOption, int
    74, 338, 0,	//379  QFile::Permission, int
    295, 336, 0,	//382  const QPoint&, double
    16, 78, 0,	//385  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    307, 261, 0,	//388  const QString&, const QByteArray&
    305, 305, 0,	//391  const QSizeF&, const QSizeF&
    13, 297, 0,	//394  QDebug, const QPointF&
    342, 338, 340, 340, 0,	//397  long double, int, int*, int*
    198, 95, 0,	//402  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 287, 0,	//405  QDebug, const QLineF&
    13, 264, 0,	//408  QDebug, const QDateTime&
    332, 307, 0,	//411  const char*, const QString&
    138, 138, 0,	//414  QUrl::FormattingOption, QUrl::FormattingOption
    223, 101, 0,	//417  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    190, 190, 0,	//420  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    112, 338, 0,	//423  QLocale::NumberOption, int
    285, 285, 0,	//426  const QLatin1String&, const QLatin1String&
    333, 338, 0,	//429  const unsigned char*, int
    332, 332, 349, 0,	//432  const char*, const char*, unsigned int
    285, 310, 0,	//436  const QLatin1String&, const QStringRef&
    181, 181, 0,	//439  Qt::DropAction, Qt::DropAction
    13, 295, 0,	//442  QDebug, const QPoint&
    10, 111, 0,	//445  QDataStream&, QLocale&
    307, 8, 0,	//448  const QString&, QChar
    125, 125, 0,	//451  QString::Null, QString::Null
    333, 348, 338, 0,	//454  const unsigned char*, unsigned char*, int
    131, 131, 0,	//458  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    205, 205, 0,	//461  Qt::Orientation, Qt::Orientation
    356, 346, 346, 346, 0,	//464  void*, size_t, size_t, size_t
    261, 307, 0,	//469  const QByteArray&, const QString&
    349, 0,	//472  unsigned int
    220, 100, 0,	//474  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    298, 298, 0,	//477  const QRect&, const QRect&
    73, 79, 0,	//480  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    259, 259, 0,	//483  const QBitArray&, const QBitArray&
    261, 261, 0,	//486  const QByteArray&, const QByteArray&
    356, 346, 0,	//489  void*, size_t
    10, 288, 0,	//492  QDataStream&, const QLocale&
    13, 283, 0,	//495  QDebug, const QEasingCurve&
    355, 0,	//498  void(*)(QtMsgType,const char*)
    291, 0,	//500  const QModelIndex&
    10, 12, 0,	//502  QDataStream&, QDateTime&
    4, 4, 0,	//505  QBool, QBool
    332, 310, 0,	//508  const char*, const QStringRef&
    220, 338, 0,	//511  Qt::ToolBarArea, int
    192, 338, 0,	//514  Qt::InputMethodHint, int
    8, 307, 0,	//517  QChar, const QString&
    126, 338, 0,	//520  QString::SectionFlag, int
    107, 338, 0,	//523  QLibrary::LoadHint, int
    10, 137, 0,	//526  QDataStream&, QUrl&
    332, 332, 338, 0,	//529  const char*, const char*, int
    343, 0,	//533  long long
    307, 125, 0,	//535  const QString&, QString::Null
    1, 338, 0,	//538  QAbstractFileEngine::FileFlag, int
    131, 85, 0,	//541  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    307, 257, 0,	//544  const QString&, char
    192, 93, 0,	//547  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    230, 103, 0,	//550  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//553  Qt::MouseButton, Qt::MouseButton
    258, 332, 0,	//556  char*, const char*
    159, 159, 0,	//559  Qt::AlignmentFlag, Qt::AlignmentFlag
    295, 0,	//562  const QPoint&
    181, 338, 0,	//564  Qt::DropAction, int
    10, 311, 0,	//567  QDataStream&, const QTime&
    15, 338, 0,	//570  QDir::SortFlag, int
    289, 289, 0,	//573  const QMargins&, const QMargins&
    114, 0,	//576  QObject*(*)()
    201, 201, 0,	//578  Qt::MatchFlag, Qt::MatchFlag
    346, 0,	//581  size_t
    179, 89, 0,	//583  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 128, 0,	//586  QDataStream&, QStringList&
    13, 315, 0,	//589  QDebug, const QVariant::Type
    179, 338, 0,	//592  Qt::DockWidgetArea, int
    341, 0,	//595  long
    338, 295, 0,	//597  int, const QPoint&
    352, 0,	//600  unsigned short
    10, 109, 0,	//602  QDataStream&, QLineF&
    74, 74, 0,	//605  QFile::Permission, QFile::Permission
    257, 307, 0,	//608  char, const QString&
    10, 120, 0,	//611  QDataStream&, QSize&
    293, 0,	//614  const QPersistentModelIndex&
    10, 307, 0,	//616  QDataStream&, const QString&
    10, 264, 0,	//619  QDataStream&, const QDateTime&
    292, 307, 290, 0,	//622  const QObject*, const QString&, const QMetaObject&
    126, 126, 0,	//626  QString::SectionFlag, QString::SectionFlag
    297, 336, 0,	//629  const QPointF&, double
    255, 4, 0,	//632  bool, QBool
    258, 332, 349, 0,	//635  char*, const char*, unsigned int
    10, 295, 0,	//639  QDataStream&, const QPoint&
    10, 140, 0,	//642  QDataStream&, QVariant&
    203, 338, 0,	//645  Qt::MouseButton, int
    297, 0,	//648  const QPointF&
    13, 293, 0,	//650  QDebug, const QPersistentModelIndex&
    332, 332, 332, 338, 0,	//653  const char*, const char*, const char*, int
    337, 295, 0,	//658  float, const QPoint&
    205, 98, 0,	//661  Qt::Orientation, QFlags<Qt::Orientation>
    73, 338, 0,	//664  QEventLoop::ProcessEventsFlag, int
    299, 299, 0,	//667  const QRectF&, const QRectF&
    190, 92, 0,	//670  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 308, 0,	//673  QDataStream&, const QStringList&
    261, 257, 0,	//676  const QByteArray&, char
    16, 16, 0,	//679  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 76, 0,	//682  QDir::Filter, QFlags<QDir::Filter>
    10, 115, 0,	//685  QDataStream&, QPoint&
    305, 336, 0,	//688  const QSizeF&, double
    10, 263, 0,	//691  QDataStream&, const QDate&
    354, 0,	//694  void(*)()
    333, 338, 338, 0,	//696  const unsigned char*, int, int
    10, 286, 0,	//700  QDataStream&, const QLine&
    10, 123, 0,	//703  QDataStream&, QString&
    356, 0,	//706  void*
    195, 338, 0,	//708  Qt::ItemFlag, int
    13, 265, 0,	//711  QDebug, const QDir&
    132, 133, 0,	//714  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 291, 0,	//717  QDebug, const QModelIndex&
    73, 73, 0,	//720  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    259, 0,	//723  const QBitArray&
    13, 311, 0,	//725  QDebug, const QTime&
    132, 135, 0,	//728  QTextStream&, QTextStreamManipulator
    186, 91, 0,	//731  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    310, 332, 0,	//734  const QStringRef&, const char*
    10, 3, 0,	//737  QDataStream&, QBitArray&
    346, 346, 0,	//740  size_t, size_t
    342, 338, 340, 340, 258, 346, 0,	//743  long double, int, int*, int*, char*, size_t
    13, 305, 0,	//750  QDebug, const QSizeF&
    186, 338, 0,	//753  Qt::GestureFlag, int
    257, 261, 0,	//756  char, const QByteArray&
    10, 314, 0,	//759  QDataStream&, const QVariant&
    13, 314, 0,	//762  QDebug, const QVariant&
    229, 338, 0,	//765  Qt::WindowState, int
    10, 136, 0,	//768  QDataStream&, QTime&
    13, 76, 0,	//771  QDebug, QFlags<QDir::Filter>
    198, 198, 0,	//774  Qt::KeyboardModifier, Qt::KeyboardModifier
    336, 297, 0,	//777  double, const QPointF&
    10, 72, 0,	//780  QDataStream&, QEasingCurve&
    181, 90, 0,	//783  Qt::DropAction, QFlags<Qt::DropAction>
    303, 336, 0,	//786  const QSize&, double
    13, 263, 0,	//789  QDebug, const QDate&
    14, 14, 0,	//792  QDir::Filter, QDir::Filter
    258, 346, 332, 353, 0,	//795  char*, size_t, const char*, va_list
    336, 295, 0,	//800  double, const QPoint&
    356, 338, 346, 0,	//803  void*, int, size_t
    10, 287, 0,	//807  QDataStream&, const QLineF&
    332, 338, 0,	//810  const char*, int
    344, 0,	//813  short
    105, 105, 0,	//815  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    179, 179, 0,	//818  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 77, 0,	//821  QDir::SortFlag, QFlags<QDir::SortFlag>
    337, 337, 0,	//824  float, float
    314, 316, 0,	//827  const QVariant&, const QVariantComparisonHelper&
    107, 107, 0,	//830  QLibrary::LoadHint, QLibrary::LoadHint
    342, 338, 258, 0,	//833  long double, int, char*
    356, 346, 346, 339, 0,	//837  void*, size_t, size_t, int(*)(const void*,const void*)
    16, 338, 0,	//842  QDirIterator::IteratorFlag, int
    192, 192, 0,	//845  Qt::InputMethodHint, Qt::InputMethodHint
    13, 286, 0,	//848  QDebug, const QLine&
    217, 217, 0,	//851  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    223, 338, 0,	//854  Qt::TouchPointState, int
    261, 338, 0,	//857  const QByteArray&, int
    138, 87, 0,	//860  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    217, 338, 0,	//863  Qt::TextInteractionFlag, int
    229, 229, 0,	//866  Qt::WindowState, Qt::WindowState
    1, 75, 0,	//869  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 261, 0,	//872  QDataStream&, const QByteArray&
    10, 283, 0,	//875  QDataStream&, const QEasingCurve&
    10, 312, 0,	//878  QDataStream&, const QUrl&
    13, 298, 0,	//881  QDebug, const QRect&
    15, 15, 0,	//884  QDir::SortFlag, QDir::SortFlag
    134, 338, 0,	//887  QTextStream::NumberFlag, int
    10, 117, 0,	//890  QDataStream&, QRect&
    10, 303, 0,	//893  QDataStream&, const QSize&
    10, 262, 0,	//896  QDataStream&, const QChar&
    159, 338, 0,	//899  Qt::AlignmentFlag, int
    10, 300, 0,	//902  QDataStream&, const QRegExp&
    13, 299, 0,	//905  QDebug, const QRectF&
    229, 102, 0,	//908  Qt::WindowState, QFlags<Qt::WindowState>
    195, 195, 0,	//911  Qt::ItemFlag, Qt::ItemFlag
    10, 139, 0,	//914  QDataStream&, QUuid&
    295, 338, 0,	//917  const QPoint&, int
    10, 142, 0,	//920  QDataStream&, QVariant::Type&
    314, 141, 356, 0,	//923  const QVariant&, QVariant::Type, void*
    292, 307, 301, 290, 110, 0,	//927  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    284, 284, 0,	//933  const QHashDummyValue&, const QHashDummyValue&
    10, 116, 0,	//936  QDataStream&, QPointF&
    205, 338, 0,	//939  Qt::Orientation, int
    186, 186, 0,	//942  Qt::GestureFlag, Qt::GestureFlag
    105, 81, 0,	//945  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    295, 337, 0,	//948  const QPoint&, float
    336, 303, 0,	//951  double, const QSize&
    4, 255, 0,	//954  QBool, bool
    10, 108, 0,	//957  QDataStream&, QLine&
    13, 303, 0,	//960  QDebug, const QSize&
    134, 134, 0,	//963  QTextStream::NumberFlag, QTextStream::NumberFlag
    203, 97, 0,	//966  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 315, 0,	//969  QDataStream&, const QVariant::Type
    195, 94, 0,	//972  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 313, 0,	//975  QDataStream&, const QUuid&
    107, 82, 0,	//978  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    230, 338, 0,	//981  Qt::WindowType, int
    10, 118, 0,	//984  QDataStream&, QRectF&
    10, 298, 0,	//987  QDataStream&, const QRect&
    201, 96, 0,	//990  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    159, 88, 0,	//993  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 9, 0,	//996  QDataStream&, QChar&
    10, 119, 0,	//999  QDataStream&, QRegExp&
    350, 0,	//1002  unsigned long
    10, 297, 0,	//1004  QDataStream&, const QPointF&
    10, 305, 0,	//1007  QDataStream&, const QSizeF&
    112, 83, 0,	//1010  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    126, 84, 0,	//1013  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1016  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    233, 332, 0,	//1019  QtMsgType, const char*
    310, 0,	//1022  const QStringRef&
    105, 338, 0,	//1024  QIODevice::OpenModeFlag, int
    347, 0,	//1027  unsigned char
    10, 6, 0,	//1029  QDataStream&, QByteArray&
    13, 292, 0,	//1032  QDebug, const QObject*
    201, 338, 0,	//1035  Qt::MatchFlag, int
    10, 11, 0,	//1038  QDataStream&, QDate&
    10, 259, 0,	//1041  QDataStream&, const QBitArray&
    285, 0,	//1044  const QLatin1String&
    307, 307, 307, 307, 0,	//1046  const QString&, const QString&, const QString&, const QString&
    317, 0,	//1051  const QXmlAttributes&
    153, 0,	//1053  QXmlLocator*
    307, 307, 307, 317, 0,	//1055  const QString&, const QString&, const QString&, const QXmlAttributes&
    318, 0,	//1060  const QXmlContentHandler&
    319, 0,	//1062  const QXmlDTDHandler&
    307, 307, 307, 307, 307, 0,	//1064  const QString&, const QString&, const QString&, const QString&, const QString&
    320, 0,	//1070  const QXmlDeclHandler&
    327, 0,	//1072  const QXmlParseException&
    307, 307, 151, 0,	//1074  const QString&, const QString&, QXmlInputSource*&
    321, 0,	//1078  const QXmlEntityResolver&
    322, 0,	//1080  const QXmlErrorHandler&
    323, 0,	//1082  const QXmlInputSource&
    325, 0,	//1084  const QXmlLexicalHandler&
    326, 0,	//1086  const QXmlLocator&
    307, 123, 123, 0,	//1088  const QString&, QString&, QString&
    307, 255, 123, 123, 0,	//1092  const QString&, bool, QString&, QString&
    307, 338, 338, 307, 307, 0,	//1097  const QString&, int, int, const QString&, const QString&
    307, 338, 338, 0,	//1103  const QString&, int, int
    307, 338, 338, 307, 0,	//1107  const QString&, int, int, const QString&
    307, 256, 0,	//1112  const QString&, bool*
    307, 356, 0,	//1115  const QString&, void*
    148, 0,	//1118  QXmlEntityResolver*
    145, 0,	//1120  QXmlDTDHandler*
    144, 0,	//1122  QXmlContentHandler*
    149, 0,	//1124  QXmlErrorHandler*
    152, 0,	//1126  QXmlLexicalHandler*
    146, 0,	//1128  QXmlDeclHandler*
    324, 0,	//1130  const QXmlInputSource*
    328, 0,	//1132  const QXmlReader&
    324, 255, 0,	//1134  const QXmlInputSource*, bool
    7, 0,	//1137  QByteArray*
    124, 0,	//1139  QString*
    130, 0,	//1141  QTextCodec*
    329, 0,	//1143  const QXmlStreamAttribute&
    330, 0,	//1145  const QXmlStreamAttributes&
    331, 0,	//1147  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "NotationNode",	//38
    "ProcessingInstructionNode",	//39
    "QDomAttr",	//40
    "QDomAttr#",	//41
    "QDomCDATASection",	//42
    "QDomCDATASection#",	//43
    "QDomCharacterData",	//44
    "QDomCharacterData#",	//45
    "QDomComment",	//46
    "QDomComment#",	//47
    "QDomDocument",	//48
    "QDomDocument#",	//49
    "QDomDocument$",	//50
    "QDomDocumentFragment",	//51
    "QDomDocumentFragment#",	//52
    "QDomDocumentType",	//53
    "QDomDocumentType#",	//54
    "QDomElement",	//55
    "QDomElement#",	//56
    "QDomEntity",	//57
    "QDomEntity#",	//58
    "QDomEntityReference",	//59
    "QDomEntityReference#",	//60
    "QDomImplementation",	//61
    "QDomImplementation#",	//62
    "QDomNamedNodeMap",	//63
    "QDomNamedNodeMap#",	//64
    "QDomNode",	//65
    "QDomNode#",	//66
    "QDomNodeList",	//67
    "QDomNodeList#",	//68
    "QDomNotation",	//69
    "QDomNotation#",	//70
    "QDomProcessingInstruction",	//71
    "QDomProcessingInstruction#",	//72
    "QDomText",	//73
    "QDomText#",	//74
    "QXmlAttributes",	//75
    "QXmlAttributes#",	//76
    "QXmlContentHandler",	//77
    "QXmlContentHandler#",	//78
    "QXmlDTDHandler",	//79
    "QXmlDTDHandler#",	//80
    "QXmlDeclHandler",	//81
    "QXmlDeclHandler#",	//82
    "QXmlDefaultHandler",	//83
    "QXmlEntityResolver",	//84
    "QXmlEntityResolver#",	//85
    "QXmlErrorHandler",	//86
    "QXmlErrorHandler#",	//87
    "QXmlInputSource",	//88
    "QXmlInputSource#",	//89
    "QXmlLexicalHandler",	//90
    "QXmlLexicalHandler#",	//91
    "QXmlLocator",	//92
    "QXmlLocator#",	//93
    "QXmlNamespaceSupport",	//94
    "QXmlParseException",	//95
    "QXmlParseException#",	//96
    "QXmlParseException$",	//97
    "QXmlParseException$$",	//98
    "QXmlParseException$$$",	//99
    "QXmlParseException$$$$",	//100
    "QXmlParseException$$$$$",	//101
    "QXmlReader",	//102
    "QXmlReader#",	//103
    "QXmlSimpleReader",	//104
    "QXmlStreamWriter",	//105
    "QXmlStreamWriter#",	//106
    "QXmlStreamWriter$",	//107
    "QtCriticalMsg",	//108
    "QtDebugMsg",	//109
    "QtFatalMsg",	//110
    "QtSystemMsg",	//111
    "QtWarningMsg",	//112
    "ReturnNullNode",	//113
    "TextNode",	//114
    "_IEEE_",	//115
    "_ISOC_",	//116
    "_POSIX_",	//117
    "_SVID_",	//118
    "_XOPEN_",	//119
    "__codecvt_error",	//120
    "__codecvt_noconv",	//121
    "__codecvt_ok",	//122
    "__codecvt_partial",	//123
    "append",	//124
    "append$$$$",	//125
    "appendChild",	//126
    "appendChild#",	//127
    "appendData",	//128
    "appendData$",	//129
    "at",	//130
    "at$",	//131
    "attribute",	//132
    "attribute$",	//133
    "attribute$$",	//134
    "attributeDecl",	//135
    "attributeDecl$$$$$",	//136
    "attributeNS",	//137
    "attributeNS$$",	//138
    "attributeNS$$$",	//139
    "attributeNode",	//140
    "attributeNode$",	//141
    "attributeNodeNS",	//142
    "attributeNodeNS$$",	//143
    "attributes",	//144
    "autoFormatting",	//145
    "autoFormattingIndent",	//146
    "characters",	//147
    "characters$",	//148
    "childNodes",	//149
    "clear",	//150
    "cloneNode",	//151
    "cloneNode$",	//152
    "codec",	//153
    "columnNumber",	//154
    "comment",	//155
    "comment$",	//156
    "contains",	//157
    "contains$",	//158
    "contentHandler",	//159
    "count",	//160
    "createAttribute",	//161
    "createAttribute$",	//162
    "createAttributeNS",	//163
    "createAttributeNS$$",	//164
    "createCDATASection",	//165
    "createCDATASection$",	//166
    "createComment",	//167
    "createComment$",	//168
    "createDocument",	//169
    "createDocument$$#",	//170
    "createDocumentFragment",	//171
    "createDocumentType",	//172
    "createDocumentType$$$",	//173
    "createElement",	//174
    "createElement$",	//175
    "createElementNS",	//176
    "createElementNS$$",	//177
    "createEntityReference",	//178
    "createEntityReference$",	//179
    "createProcessingInstruction",	//180
    "createProcessingInstruction$$",	//181
    "createTextNode",	//182
    "createTextNode$",	//183
    "data",	//184
    "declHandler",	//185
    "deleteData",	//186
    "deleteData$$",	//187
    "device",	//188
    "doctype",	//189
    "documentElement",	//190
    "elementById",	//191
    "elementById$",	//192
    "elementsByTagName",	//193
    "elementsByTagName$",	//194
    "elementsByTagNameNS",	//195
    "elementsByTagNameNS$$",	//196
    "endCDATA",	//197
    "endDTD",	//198
    "endDocument",	//199
    "endElement",	//200
    "endElement$$$",	//201
    "endEntity",	//202
    "endEntity$",	//203
    "endPrefixMapping",	//204
    "endPrefixMapping$",	//205
    "entities",	//206
    "entityResolver",	//207
    "error",	//208
    "error#",	//209
    "errorHandler",	//210
    "errorString",	//211
    "externalEntityDecl",	//212
    "externalEntityDecl$$$",	//213
    "fatalError",	//214
    "fatalError#",	//215
    "feature",	//216
    "feature$",	//217
    "feature$$",	//218
    "fetchData",	//219
    "firstChild",	//220
    "firstChildElement",	//221
    "firstChildElement$",	//222
    "fromRawData",	//223
    "fromRawData#",	//224
    "fromRawData#$",	//225
    "hasAttribute",	//226
    "hasAttribute$",	//227
    "hasAttributeNS",	//228
    "hasAttributeNS$$",	//229
    "hasAttributes",	//230
    "hasChildNodes",	//231
    "hasError",	//232
    "hasFeature",	//233
    "hasFeature$",	//234
    "hasFeature$$",	//235
    "hasProperty",	//236
    "hasProperty$",	//237
    "ignorableWhitespace",	//238
    "ignorableWhitespace$",	//239
    "impl",	//240
    "implementation",	//241
    "importNode",	//242
    "importNode#$",	//243
    "index",	//244
    "index#",	//245
    "index$",	//246
    "index$$",	//247
    "insertAfter",	//248
    "insertAfter##",	//249
    "insertBefore",	//250
    "insertBefore##",	//251
    "insertData",	//252
    "insertData$$",	//253
    "internalEntityDecl",	//254
    "internalEntityDecl$$",	//255
    "internalSubset",	//256
    "invalidDataPolicy",	//257
    "isAttr",	//258
    "isCDATASection",	//259
    "isCharacterData",	//260
    "isComment",	//261
    "isDocument",	//262
    "isDocumentFragment",	//263
    "isDocumentType",	//264
    "isElement",	//265
    "isEmpty",	//266
    "isEntity",	//267
    "isEntityReference",	//268
    "isNotation",	//269
    "isNull",	//270
    "isProcessingInstruction",	//271
    "isSupported",	//272
    "isSupported$$",	//273
    "isText",	//274
    "item",	//275
    "item$",	//276
    "lastChild",	//277
    "lastChildElement",	//278
    "lastChildElement$",	//279
    "length",	//280
    "lexicalHandler",	//281
    "lineNumber",	//282
    "localName",	//283
    "localName$",	//284
    "message",	//285
    "name",	//286
    "namedItem",	//287
    "namedItem$",	//288
    "namedItemNS",	//289
    "namedItemNS$$",	//290
    "namespaceURI",	//291
    "next",	//292
    "nextSibling",	//293
    "nextSiblingElement",	//294
    "nextSiblingElement$",	//295
    "nodeName",	//296
    "nodeType",	//297
    "nodeValue",	//298
    "normalize",	//299
    "notationDecl",	//300
    "notationDecl$$$",	//301
    "notationName",	//302
    "notations",	//303
    "operator!=",	//304
    "operator!=#",	//305
    "operator!=##",	//306
    "operator!=#$",	//307
    "operator!=$#",	//308
    "operator!=$$",	//309
    "operator&",	//310
    "operator&##",	//311
    "operator*",	//312
    "operator*#$",	//313
    "operator*$#",	//314
    "operator+",	//315
    "operator+##",	//316
    "operator+#$",	//317
    "operator+$#",	//318
    "operator+$$",	//319
    "operator-",	//320
    "operator-#",	//321
    "operator-##",	//322
    "operator/",	//323
    "operator/#$",	//324
    "operator<",	//325
    "operator<##",	//326
    "operator<#$",	//327
    "operator<$#",	//328
    "operator<$$",	//329
    "operator<<",	//330
    "operator<<##",	//331
    "operator<<#$",	//332
    "operator<<#?",	//333
    "operator<=",	//334
    "operator<=##",	//335
    "operator<=#$",	//336
    "operator<=$#",	//337
    "operator<=$$",	//338
    "operator=",	//339
    "operator=#",	//340
    "operator==",	//341
    "operator==#",	//342
    "operator==##",	//343
    "operator==#$",	//344
    "operator==$#",	//345
    "operator==$$",	//346
    "operator>",	//347
    "operator>##",	//348
    "operator>#$",	//349
    "operator>$#",	//350
    "operator>$$",	//351
    "operator>=",	//352
    "operator>=##",	//353
    "operator>=#$",	//354
    "operator>=$#",	//355
    "operator>=$$",	//356
    "operator>>",	//357
    "operator>>##",	//358
    "operator>>#$",	//359
    "operator>>#?",	//360
    "operator^",	//361
    "operator^##",	//362
    "operator|",	//363
    "operator|##",	//364
    "operator|$$",	//365
    "ownerDocument",	//366
    "ownerElement",	//367
    "parentNode",	//368
    "parse",	//369
    "parse#",	//370
    "parse#$",	//371
    "parseContinue",	//372
    "popContext",	//373
    "prefix",	//374
    "prefix$",	//375
    "prefixes",	//376
    "prefixes$",	//377
    "previousSibling",	//378
    "previousSiblingElement",	//379
    "previousSiblingElement$",	//380
    "processName",	//381
    "processName$$$$",	//382
    "processingInstruction",	//383
    "processingInstruction$$",	//384
    "property",	//385
    "property$",	//386
    "property$$",	//387
    "publicId",	//388
    "pushContext",	//389
    "qAcos",	//390
    "qAcos$",	//391
    "qAddPostRoutine",	//392
    "qAddPostRoutine$",	//393
    "qAppName",	//394
    "qAsin",	//395
    "qAsin$",	//396
    "qAtan",	//397
    "qAtan$",	//398
    "qAtan2",	//399
    "qAtan2$$",	//400
    "qBadAlloc",	//401
    "qCeil",	//402
    "qCeil$",	//403
    "qChecksum",	//404
    "qChecksum$$",	//405
    "qCompress",	//406
    "qCompress#",	//407
    "qCompress#$",	//408
    "qCompress$$",	//409
    "qCompress$$$",	//410
    "qCos",	//411
    "qCos$",	//412
    "qCritical",	//413
    "qDebug",	//414
    "qExp",	//415
    "qExp$",	//416
    "qFabs",	//417
    "qFabs$",	//418
    "qFastCos",	//419
    "qFastCos$",	//420
    "qFastSin",	//421
    "qFastSin$",	//422
    "qFlagLocation",	//423
    "qFlagLocation$",	//424
    "qFloor",	//425
    "qFloor$",	//426
    "qFree",	//427
    "qFree$",	//428
    "qFreeAligned",	//429
    "qFreeAligned$",	//430
    "qFuzzyCompare",	//431
    "qFuzzyCompare$$",	//432
    "qFuzzyIsNull",	//433
    "qFuzzyIsNull$",	//434
    "qHash",	//435
    "qHash#",	//436
    "qHash$",	//437
    "qInf",	//438
    "qInstallMsgHandler",	//439
    "qInstallMsgHandler$",	//440
    "qIntCast",	//441
    "qIntCast$",	//442
    "qIsFinite",	//443
    "qIsFinite$",	//444
    "qIsInf",	//445
    "qIsInf$",	//446
    "qIsNaN",	//447
    "qIsNaN$",	//448
    "qIsNull",	//449
    "qIsNull$",	//450
    "qLn",	//451
    "qLn$",	//452
    "qMalloc",	//453
    "qMalloc$",	//454
    "qMallocAligned",	//455
    "qMallocAligned$$",	//456
    "qMemCopy",	//457
    "qMemCopy$$$",	//458
    "qMemSet",	//459
    "qMemSet$$$",	//460
    "qName",	//461
    "qName$",	//462
    "qPow",	//463
    "qPow$$",	//464
    "qQNaN",	//465
    "qRealloc",	//466
    "qRealloc$$",	//467
    "qReallocAligned",	//468
    "qReallocAligned$$$$",	//469
    "qRegisterStaticPluginInstanceFunction",	//470
    "qRegisterStaticPluginInstanceFunction#",	//471
    "qRemovePostRoutine",	//472
    "qRemovePostRoutine$",	//473
    "qRound",	//474
    "qRound$",	//475
    "qRound64",	//476
    "qRound64$",	//477
    "qSNaN",	//478
    "qSetFieldWidth",	//479
    "qSetFieldWidth$",	//480
    "qSetPadChar",	//481
    "qSetPadChar#",	//482
    "qSetRealNumberPrecision",	//483
    "qSetRealNumberPrecision$",	//484
    "qSharedBuild",	//485
    "qSin",	//486
    "qSin$",	//487
    "qSqrt",	//488
    "qSqrt$",	//489
    "qStringComparisonHelper",	//490
    "qStringComparisonHelper#$",	//491
    "qStringComparisonHelper$$",	//492
    "qTan",	//493
    "qTan$",	//494
    "qUncompress",	//495
    "qUncompress#",	//496
    "qUncompress$$",	//497
    "qVersion",	//498
    "qWarning",	//499
    "qbswap_helper",	//500
    "qbswap_helper$$$",	//501
    "qecvt",	//502
    "qecvt$$$$",	//503
    "qecvt_r",	//504
    "qecvt_r$$$$$$",	//505
    "qfcvt",	//506
    "qfcvt$$$$",	//507
    "qfcvt_r",	//508
    "qfcvt_r$$$$$$",	//509
    "qgcvt",	//510
    "qgcvt$$$",	//511
    "qgetenv",	//512
    "qgetenv$",	//513
    "qputenv",	//514
    "qputenv$#",	//515
    "qrand",	//516
    "qsort",	//517
    "qsort$$$$",	//518
    "qsrand",	//519
    "qsrand$",	//520
    "qstrcmp",	//521
    "qstrcmp##",	//522
    "qstrcmp#$",	//523
    "qstrcmp$#",	//524
    "qstrcmp$$",	//525
    "qstrcpy",	//526
    "qstrcpy$$",	//527
    "qstrdup",	//528
    "qstrdup$",	//529
    "qstricmp",	//530
    "qstricmp$$",	//531
    "qstrlen",	//532
    "qstrlen$",	//533
    "qstrncmp",	//534
    "qstrncmp$$$",	//535
    "qstrncpy",	//536
    "qstrncpy$$$",	//537
    "qstrnicmp",	//538
    "qstrnicmp$$$",	//539
    "qstrnlen",	//540
    "qstrnlen$$",	//541
    "qtTrId",	//542
    "qtTrId$",	//543
    "qtTrId$$",	//544
    "qt_assert",	//545
    "qt_assert$$$",	//546
    "qt_assert_x",	//547
    "qt_assert_x$$$$",	//548
    "qt_check_pointer",	//549
    "qt_check_pointer$$",	//550
    "qt_error_string",	//551
    "qt_error_string$",	//552
    "qt_message_output",	//553
    "qt_message_output$$",	//554
    "qt_noop",	//555
    "qt_qFindChild_helper",	//556
    "qt_qFindChild_helper#$#",	//557
    "qt_qFindChildren_helper",	//558
    "qt_qFindChildren_helper#$##?",	//559
    "qvariant_cast_helper",	//560
    "qvariant_cast_helper#$$",	//561
    "qvsnprintf",	//562
    "qvsnprintf$$$?",	//563
    "removeAttribute",	//564
    "removeAttribute$",	//565
    "removeAttributeNS",	//566
    "removeAttributeNS$$",	//567
    "removeAttributeNode",	//568
    "removeAttributeNode#",	//569
    "removeChild",	//570
    "removeChild#",	//571
    "removeNamedItem",	//572
    "removeNamedItem$",	//573
    "removeNamedItemNS",	//574
    "removeNamedItemNS$$",	//575
    "replaceChild",	//576
    "replaceChild##",	//577
    "replaceData",	//578
    "replaceData$$$",	//579
    "reset",	//580
    "resolveEntity",	//581
    "resolveEntity$$#",	//582
    "save",	//583
    "save#$",	//584
    "save#$$",	//585
    "setAttribute",	//586
    "setAttribute$$",	//587
    "setAttributeNS",	//588
    "setAttributeNS$$$",	//589
    "setAttributeNode",	//590
    "setAttributeNode#",	//591
    "setAttributeNodeNS",	//592
    "setAttributeNodeNS#",	//593
    "setAutoFormatting",	//594
    "setAutoFormatting$",	//595
    "setAutoFormattingIndent",	//596
    "setAutoFormattingIndent$",	//597
    "setCodec",	//598
    "setCodec#",	//599
    "setCodec$",	//600
    "setContent",	//601
    "setContent#",	//602
    "setContent##",	//603
    "setContent##$",	//604
    "setContent##$$",	//605
    "setContent##$$$",	//606
    "setContent#$",	//607
    "setContent#$$",	//608
    "setContent#$$$",	//609
    "setContent#$$$$",	//610
    "setContent$",	//611
    "setContent$$",	//612
    "setContent$$$",	//613
    "setContent$$$$",	//614
    "setContent$$$$$",	//615
    "setContentHandler",	//616
    "setContentHandler#",	//617
    "setDTDHandler",	//618
    "setDTDHandler#",	//619
    "setData",	//620
    "setData#",	//621
    "setData$",	//622
    "setDeclHandler",	//623
    "setDeclHandler#",	//624
    "setDevice",	//625
    "setDevice#",	//626
    "setDocumentLocator",	//627
    "setDocumentLocator#",	//628
    "setEntityResolver",	//629
    "setEntityResolver#",	//630
    "setErrorHandler",	//631
    "setErrorHandler#",	//632
    "setFeature",	//633
    "setFeature$$",	//634
    "setImpl",	//635
    "setImpl#",	//636
    "setInvalidDataPolicy",	//637
    "setInvalidDataPolicy$",	//638
    "setLexicalHandler",	//639
    "setLexicalHandler#",	//640
    "setNamedItem",	//641
    "setNamedItem#",	//642
    "setNamedItemNS",	//643
    "setNamedItemNS#",	//644
    "setNodeValue",	//645
    "setNodeValue$",	//646
    "setPrefix",	//647
    "setPrefix$",	//648
    "setPrefix$$",	//649
    "setProperty",	//650
    "setProperty$$",	//651
    "setTagName",	//652
    "setTagName$",	//653
    "setValue",	//654
    "setValue$",	//655
    "size",	//656
    "skippedEntity",	//657
    "skippedEntity$",	//658
    "specified",	//659
    "splitName",	//660
    "splitName$$$",	//661
    "splitText",	//662
    "splitText$",	//663
    "startCDATA",	//664
    "startDTD",	//665
    "startDTD$$$",	//666
    "startDocument",	//667
    "startElement",	//668
    "startElement$$$#",	//669
    "startEntity",	//670
    "startEntity$",	//671
    "startPrefixMapping",	//672
    "startPrefixMapping$$",	//673
    "substringData",	//674
    "substringData$$",	//675
    "systemId",	//676
    "tagName",	//677
    "target",	//678
    "text",	//679
    "toAttr",	//680
    "toByteArray",	//681
    "toByteArray$",	//682
    "toCDATASection",	//683
    "toCharacterData",	//684
    "toComment",	//685
    "toDocument",	//686
    "toDocumentFragment",	//687
    "toDocumentType",	//688
    "toElement",	//689
    "toEntity",	//690
    "toEntityReference",	//691
    "toNotation",	//692
    "toProcessingInstruction",	//693
    "toString",	//694
    "toString$",	//695
    "toText",	//696
    "type",	//697
    "type$",	//698
    "type$$",	//699
    "unparsedEntityDecl",	//700
    "unparsedEntityDecl$$$$",	//701
    "uri",	//702
    "uri$",	//703
    "value",	//704
    "value#",	//705
    "value$",	//706
    "value$$",	//707
    "warning",	//708
    "warning#",	//709
    "writeAttribute",	//710
    "writeAttribute#",	//711
    "writeAttribute$$",	//712
    "writeAttribute$$$",	//713
    "writeAttributes",	//714
    "writeAttributes#",	//715
    "writeCDATA",	//716
    "writeCDATA$",	//717
    "writeCharacters",	//718
    "writeCharacters$",	//719
    "writeComment",	//720
    "writeComment$",	//721
    "writeCurrentToken",	//722
    "writeCurrentToken#",	//723
    "writeDTD",	//724
    "writeDTD$",	//725
    "writeDefaultNamespace",	//726
    "writeDefaultNamespace$",	//727
    "writeEmptyElement",	//728
    "writeEmptyElement$",	//729
    "writeEmptyElement$$",	//730
    "writeEndDocument",	//731
    "writeEndElement",	//732
    "writeEntityReference",	//733
    "writeEntityReference$",	//734
    "writeNamespace",	//735
    "writeNamespace$",	//736
    "writeNamespace$$",	//737
    "writeProcessingInstruction",	//738
    "writeProcessingInstruction$",	//739
    "writeProcessingInstruction$$",	//740
    "writeStartDocument",	//741
    "writeStartDocument$",	//742
    "writeStartDocument$$",	//743
    "writeStartElement",	//744
    "writeStartElement$",	//745
    "writeStartElement$$",	//746
    "writeTextElement",	//747
    "writeTextElement$$",	//748
    "writeTextElement$$$",	//749
    "~QDomAttr",	//750
    "~QDomCDATASection",	//751
    "~QDomCharacterData",	//752
    "~QDomComment",	//753
    "~QDomDocument",	//754
    "~QDomDocumentFragment",	//755
    "~QDomDocumentType",	//756
    "~QDomElement",	//757
    "~QDomEntity",	//758
    "~QDomEntityReference",	//759
    "~QDomImplementation",	//760
    "~QDomNamedNodeMap",	//761
    "~QDomNode",	//762
    "~QDomNodeList",	//763
    "~QDomNotation",	//764
    "~QDomProcessingInstruction",	//765
    "~QDomText",	//766
    "~QXmlAttributes",	//767
    "~QXmlContentHandler",	//768
    "~QXmlDTDHandler",	//769
    "~QXmlDeclHandler",	//770
    "~QXmlDefaultHandler",	//771
    "~QXmlEntityResolver",	//772
    "~QXmlErrorHandler",	//773
    "~QXmlInputSource",	//774
    "~QXmlLexicalHandler",	//775
    "~QXmlLocator",	//776
    "~QXmlNamespaceSupport",	//777
    "~QXmlParseException",	//778
    "~QXmlReader",	//779
    "~QXmlSimpleReader",	//780
    "~QXmlStreamWriter",	//781
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 40, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 40, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 339, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 286, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 659, 0, 0, Smoke::mf_const, 255, 5},	//5 QDomAttr::specified() const
    {10, 367, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 704, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 654, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 297, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 750, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 42, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 42, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 339, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 297, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 751, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 44, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 44, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 339, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 674, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 128, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 252, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 186, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 578, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 280, 0, 0, Smoke::mf_const, 349, 9},	//24 QDomCharacterData::length() const
    {12, 184, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 620, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 297, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 752, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 46, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 46, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 339, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 297, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 753, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 48, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 48, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 48, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 48, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 339, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 174, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 171, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 182, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 167, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 165, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 180, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 161, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 178, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 193, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 242, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 176, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 163, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 195, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 191, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 189, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 241, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 190, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 297, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 601, 31, 5, 0, 255, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 601, 37, 5, 0, 255, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 601, 43, 5, 0, 255, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 601, 49, 5, 0, 255, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 601, 55, 4, 0, 255, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 601, 60, 4, 0, 255, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 601, 65, 4, 0, 255, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 601, 70, 5, 0, 255, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 694, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 681, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 601, 78, 2, 0, 255, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 601, 81, 3, 0, 255, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 601, 85, 4, 0, 255, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 601, 90, 2, 0, 255, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 601, 93, 3, 0, 255, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 601, 97, 4, 0, 255, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 601, 102, 2, 0, 255, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 601, 105, 3, 0, 255, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 601, 109, 4, 0, 255, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 601, 114, 2, 0, 255, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 601, 117, 3, 0, 255, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 601, 121, 4, 0, 255, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 601, 126, 1, 0, 255, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 601, 128, 2, 0, 255, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 601, 131, 3, 0, 255, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 601, 3, 1, 0, 255, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 601, 135, 2, 0, 255, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 601, 138, 3, 0, 255, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 601, 142, 1, 0, 255, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 601, 144, 2, 0, 255, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 601, 147, 3, 0, 255, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 601, 151, 2, 0, 255, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 601, 154, 3, 0, 255, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 601, 158, 4, 0, 255, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 694, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 681, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 754, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 51, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 339, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 297, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 755, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 53, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 53, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 339, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 286, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 206, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 303, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 388, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 676, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 256, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 297, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 756, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 55, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 55, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 339, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 132, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 586, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 586, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 586, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 586, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 586, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 586, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 586, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 564, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 140, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 590, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 568, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 193, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 226, 3, 1, Smoke::mf_const, 255, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 137, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 588, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 588, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 588, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 588, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 588, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 588, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 566, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 142, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 592, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 195, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 228, 25, 2, Smoke::mf_const, 255, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 677, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 652, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 144, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 297, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 679, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 132, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 137, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 757, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 57, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 57, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 339, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 388, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 676, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 302, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 297, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 758, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 59, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 59, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 339, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 297, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 759, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 61, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 61, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 339, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 341, 216, 1, Smoke::mf_const, 255, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 304, 216, 1, Smoke::mf_const, 255, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 233, 25, 2, Smoke::mf_const, 255, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 172, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 169, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 257, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 637, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 270, 0, 0, 0, 255, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 760, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 63, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 63, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 339, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 341, 228, 1, Smoke::mf_const, 255, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 304, 228, 1, Smoke::mf_const, 255, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 287, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 641, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 572, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 275, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 289, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 643, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 574, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 280, 0, 0, Smoke::mf_const, 349, 13},	//187 QDomNamedNodeMap::length() const
    {21, 160, 0, 0, Smoke::mf_const, 338, 14},	//188 QDomNamedNodeMap::count() const
    {21, 656, 0, 0, Smoke::mf_const, 338, 15},	//189 QDomNamedNodeMap::size() const
    {21, 266, 0, 0, Smoke::mf_const, 255, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 157, 3, 1, Smoke::mf_const, 255, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 761, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 65, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 65, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 339, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 341, 230, 1, Smoke::mf_const, 255, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 304, 230, 1, Smoke::mf_const, 255, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 250, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 248, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 576, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 570, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 126, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 231, 0, 0, Smoke::mf_const, 255, 11},	//203 QDomNode::hasChildNodes() const
    {22, 151, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 299, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 272, 25, 2, Smoke::mf_const, 255, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 296, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 297, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 368, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 149, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 220, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 277, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 378, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 293, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 144, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 366, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 291, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 283, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 230, 0, 0, Smoke::mf_const, 255, 27},	//219 QDomNode::hasAttributes() const
    {22, 298, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 645, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 374, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 647, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 258, 0, 0, Smoke::mf_const, 255, 32},	//224 QDomNode::isAttr() const
    {22, 259, 0, 0, Smoke::mf_const, 255, 33},	//225 QDomNode::isCDATASection() const
    {22, 263, 0, 0, Smoke::mf_const, 255, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 262, 0, 0, Smoke::mf_const, 255, 35},	//227 QDomNode::isDocument() const
    {22, 264, 0, 0, Smoke::mf_const, 255, 36},	//228 QDomNode::isDocumentType() const
    {22, 265, 0, 0, Smoke::mf_const, 255, 37},	//229 QDomNode::isElement() const
    {22, 268, 0, 0, Smoke::mf_const, 255, 38},	//230 QDomNode::isEntityReference() const
    {22, 274, 0, 0, Smoke::mf_const, 255, 39},	//231 QDomNode::isText() const
    {22, 267, 0, 0, Smoke::mf_const, 255, 40},	//232 QDomNode::isEntity() const
    {22, 269, 0, 0, Smoke::mf_const, 255, 41},	//233 QDomNode::isNotation() const
    {22, 271, 0, 0, Smoke::mf_const, 255, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 260, 0, 0, Smoke::mf_const, 255, 43},	//235 QDomNode::isCharacterData() const
    {22, 261, 0, 0, Smoke::mf_const, 255, 44},	//236 QDomNode::isComment() const
    {22, 287, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 270, 0, 0, Smoke::mf_const, 255, 46},	//238 QDomNode::isNull() const
    {22, 150, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 680, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 683, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 687, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 686, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 688, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 689, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 691, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 696, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 690, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 692, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 693, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 684, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 685, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 583, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 583, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 221, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 278, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 379, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 294, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 282, 0, 0, Smoke::mf_const, 338, 67},	//259 QDomNode::lineNumber() const
    {22, 154, 0, 0, Smoke::mf_const, 338, 68},	//260 QDomNode::columnNumber() const
    {22, 151, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 221, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 278, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 379, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 294, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 240, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 635, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 762, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 67, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 67, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 339, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 341, 246, 1, Smoke::mf_const, 255, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 304, 246, 1, Smoke::mf_const, 255, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 275, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 130, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 280, 0, 0, Smoke::mf_const, 349, 8},	//292 QDomNodeList::length() const
    {23, 160, 0, 0, Smoke::mf_const, 338, 9},	//293 QDomNodeList::count() const
    {23, 656, 0, 0, Smoke::mf_const, 338, 10},	//294 QDomNodeList::size() const
    {23, 266, 0, 0, Smoke::mf_const, 255, 11},	//295 QDomNodeList::isEmpty() const
    {23, 763, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 69, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 69, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 339, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 388, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 676, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 297, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 764, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 71, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 71, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 339, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 678, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 184, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 620, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 297, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 765, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 73, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 73, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 339, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 662, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 297, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 766, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 352, 254, 2, Smoke::mf_static, 255, 1},	//318 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 435, 257, 1, Smoke::mf_static, 349, 2},	//319 QGlobalSpace::qHash(unsigned long long)
    {29, 363, 259, 2, Smoke::mf_static, 106, 3},	//320 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 445, 262, 1, Smoke::mf_static, 255, 4},	//321 QGlobalSpace::qIsInf(double)
    {29, 363, 264, 2, Smoke::mf_static, 106, 5},	//322 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 540, 267, 2, Smoke::mf_static, 349, 6},	//323 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 457, 270, 3, Smoke::mf_static, 356, 7},	//324 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 555, 0, 0, Smoke::mf_static, 0, 8},	//325 QGlobalSpace::qt_noop()
    {29, 341, 274, 2, Smoke::mf_static, 255, 9},	//326 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 330, 277, 2, Smoke::mf_static, 13, 10},	//327 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 341, 280, 2, Smoke::mf_static, 255, 11},	//328 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 341, 283, 2, Smoke::mf_static, 255, 12},	//329 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 315, 286, 2, Smoke::mf_static, 260, 13},	//330 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 363, 289, 2, Smoke::mf_static, 80, 14},	//331 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 490, 292, 2, Smoke::mf_static, 255, 15},	//332 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 521, 286, 2, Smoke::mf_static, 338, 16},	//333 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 341, 295, 2, Smoke::mf_static, 255, 17},	//334 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 399, 298, 2, Smoke::mf_static, 336, 18},	//335 QGlobalSpace::qAtan2(double, double)
    {29, 357, 301, 2, Smoke::mf_static, 10, 19},	//336 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 352, 304, 2, Smoke::mf_static, 255, 20},	//337 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 445, 307, 1, Smoke::mf_static, 255, 21},	//338 QGlobalSpace::qIsInf(float)
    {29, 512, 309, 1, Smoke::mf_static, 5, 22},	//339 QGlobalSpace::qgetenv(const char*)
    {29, 435, 311, 1, Smoke::mf_static, 349, 23},	//340 QGlobalSpace::qHash(signed char)
    {29, 341, 313, 2, Smoke::mf_static, 255, 24},	//341 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 347, 286, 2, Smoke::mf_static, 255, 25},	//342 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 441, 262, 1, Smoke::mf_static, 338, 26},	//343 QGlobalSpace::qIntCast(double)
    {29, 481, 316, 1, Smoke::mf_static, 135, 27},	//344 QGlobalSpace::qSetPadChar(QChar)
    {29, 341, 318, 2, Smoke::mf_static, 255, 28},	//345 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 341, 321, 2, Smoke::mf_static, 255, 29},	//346 QGlobalSpace::operator==(QChar, QChar)
    {29, 363, 324, 2, Smoke::mf_static, 101, 30},	//347 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 435, 327, 1, Smoke::mf_static, 349, 31},	//348 QGlobalSpace::qHash(const QUrl&)
    {29, 435, 126, 1, Smoke::mf_static, 349, 32},	//349 QGlobalSpace::qHash(const QByteArray&)
    {29, 330, 329, 2, Smoke::mf_static, 13, 33},	//350 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 325, 321, 2, Smoke::mf_static, 255, 34},	//351 QGlobalSpace::operator<(QChar, QChar)
    {29, 352, 321, 2, Smoke::mf_static, 255, 35},	//352 QGlobalSpace::operator>=(QChar, QChar)
    {29, 304, 332, 2, Smoke::mf_static, 255, 36},	//353 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 325, 286, 2, Smoke::mf_static, 255, 37},	//354 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 363, 335, 2, Smoke::mf_static, 100, 38},	//355 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 521, 338, 2, Smoke::mf_static, 338, 39},	//356 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 411, 262, 1, Smoke::mf_static, 336, 40},	//357 QGlobalSpace::qCos(double)
    {29, 363, 341, 2, Smoke::mf_static, 83, 41},	//358 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 347, 321, 2, Smoke::mf_static, 255, 42},	//359 QGlobalSpace::operator>(QChar, QChar)
    {29, 363, 344, 2, Smoke::mf_static, 103, 43},	//360 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 312, 347, 2, Smoke::mf_static, 304, 44},	//361 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 485, 0, 0, Smoke::mf_static, 255, 45},	//362 QGlobalSpace::qSharedBuild()
    {29, 363, 350, 2, Smoke::mf_static, 106, 46},	//363 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 304, 254, 2, Smoke::mf_static, 255, 47},	//364 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 330, 353, 2, Smoke::mf_static, 132, 48},	//365 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 320, 356, 2, Smoke::mf_static, 294, 49},	//366 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 330, 359, 2, Smoke::mf_static, 10, 50},	//367 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 363, 362, 2, Smoke::mf_static, 106, 51},	//368 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 363, 365, 2, Smoke::mf_static, 99, 52},	//369 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 435, 368, 1, Smoke::mf_static, 349, 53},	//370 QGlobalSpace::qHash(char)
    {29, 304, 280, 2, Smoke::mf_static, 255, 54},	//371 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 363, 370, 2, Smoke::mf_static, 86, 55},	//372 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 330, 373, 2, Smoke::mf_static, 13, 56},	//373 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 363, 376, 2, Smoke::mf_static, 106, 57},	//374 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 363, 379, 2, Smoke::mf_static, 106, 58},	//375 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 323, 382, 2, Smoke::mf_static, 294, 59},	//376 QGlobalSpace::operator/(const QPoint&, double)
    {29, 315, 356, 2, Smoke::mf_static, 294, 60},	//377 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 363, 385, 2, Smoke::mf_static, 78, 61},	//378 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 315, 388, 2, Smoke::mf_static, 306, 62},	//379 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 320, 391, 2, Smoke::mf_static, 304, 63},	//380 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 330, 394, 2, Smoke::mf_static, 13, 64},	//381 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 443, 262, 1, Smoke::mf_static, 255, 65},	//382 QGlobalSpace::qIsFinite(double)
    {29, 502, 397, 4, Smoke::mf_static, 258, 66},	//383 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 304, 304, 2, Smoke::mf_static, 255, 67},	//384 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 363, 402, 2, Smoke::mf_static, 95, 68},	//385 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 330, 405, 2, Smoke::mf_static, 13, 69},	//386 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 330, 408, 2, Smoke::mf_static, 13, 70},	//387 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 325, 411, 2, Smoke::mf_static, 255, 71},	//388 QGlobalSpace::operator<(const char*, const QString&)
    {29, 363, 414, 2, Smoke::mf_static, 87, 72},	//389 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 315, 283, 2, Smoke::mf_static, 302, 73},	//390 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 363, 417, 2, Smoke::mf_static, 101, 74},	//391 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 363, 420, 2, Smoke::mf_static, 92, 75},	//392 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 551, 76, 1, Smoke::mf_static, 122, 76},	//393 QGlobalSpace::qt_error_string(int)
    {29, 551, 0, 0, Smoke::mf_static, 122, 77},	//394 QGlobalSpace::qt_error_string()
    {29, 315, 391, 2, Smoke::mf_static, 304, 78},	//395 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 363, 423, 2, Smoke::mf_static, 106, 79},	//396 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 325, 426, 2, Smoke::mf_static, 255, 80},	//397 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 495, 429, 2, Smoke::mf_static, 5, 81},	//398 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 534, 432, 3, Smoke::mf_static, 338, 82},	//399 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 493, 262, 1, Smoke::mf_static, 336, 83},	//400 QGlobalSpace::qTan(double)
    {29, 347, 274, 2, Smoke::mf_static, 255, 84},	//401 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 304, 436, 2, Smoke::mf_static, 255, 85},	//402 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 479, 76, 1, Smoke::mf_static, 135, 86},	//403 QGlobalSpace::qSetFieldWidth(int)
    {29, 363, 439, 2, Smoke::mf_static, 90, 87},	//404 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 425, 262, 1, Smoke::mf_static, 338, 88},	//405 QGlobalSpace::qFloor(double)
    {29, 330, 442, 2, Smoke::mf_static, 13, 89},	//406 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 357, 445, 2, Smoke::mf_static, 10, 90},	//407 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 443, 307, 1, Smoke::mf_static, 255, 91},	//408 QGlobalSpace::qIsFinite(float)
    {29, 315, 448, 2, Smoke::mf_static, 306, 92},	//409 QGlobalSpace::operator+(const QString&, QChar)
    {29, 304, 451, 2, Smoke::mf_static, 255, 93},	//410 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 315, 304, 2, Smoke::mf_static, 260, 94},	//411 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 500, 454, 3, Smoke::mf_static, 0, 95},	//412 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 363, 458, 2, Smoke::mf_static, 85, 96},	//413 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 315, 292, 2, Smoke::mf_static, 306, 97},	//414 QGlobalSpace::operator+(const QString&, const char*)
    {29, 347, 426, 2, Smoke::mf_static, 255, 98},	//415 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 363, 461, 2, Smoke::mf_static, 98, 99},	//416 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 468, 464, 4, Smoke::mf_static, 356, 100},	//417 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 315, 469, 2, Smoke::mf_static, 306, 101},	//418 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 435, 472, 1, Smoke::mf_static, 349, 102},	//419 QGlobalSpace::qHash(unsigned int)
    {29, 363, 474, 2, Smoke::mf_static, 100, 103},	//420 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 435, 316, 1, Smoke::mf_static, 349, 104},	//421 QGlobalSpace::qHash(QChar)
    {29, 334, 304, 2, Smoke::mf_static, 255, 105},	//422 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 441, 307, 1, Smoke::mf_static, 338, 106},	//423 QGlobalSpace::qIntCast(float)
    {29, 341, 477, 2, Smoke::mf_static, 255, 107},	//424 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 363, 480, 2, Smoke::mf_static, 79, 108},	//425 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 361, 483, 2, Smoke::mf_static, 2, 109},	//426 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 347, 486, 2, Smoke::mf_static, 255, 110},	//427 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 466, 489, 2, Smoke::mf_static, 356, 111},	//428 QGlobalSpace::qRealloc(void*, size_t)
    {29, 435, 3, 1, Smoke::mf_static, 349, 112},	//429 QGlobalSpace::qHash(const QString&)
    {29, 334, 426, 2, Smoke::mf_static, 255, 113},	//430 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 330, 492, 2, Smoke::mf_static, 10, 114},	//431 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 330, 495, 2, Smoke::mf_static, 13, 115},	//432 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 476, 262, 1, Smoke::mf_static, 343, 116},	//433 QGlobalSpace::qRound64(double)
    {29, 439, 498, 1, Smoke::mf_static, 355, 117},	//434 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 488, 262, 1, Smoke::mf_static, 336, 118},	//435 QGlobalSpace::qSqrt(double)
    {29, 435, 500, 1, Smoke::mf_static, 349, 119},	//436 QGlobalSpace::qHash(const QModelIndex&)
    {29, 419, 262, 1, Smoke::mf_static, 336, 120},	//437 QGlobalSpace::qFastCos(double)
    {29, 357, 502, 2, Smoke::mf_static, 10, 121},	//438 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 341, 505, 2, Smoke::mf_static, 255, 122},	//439 QGlobalSpace::operator==(QBool, QBool)
    {29, 341, 508, 2, Smoke::mf_static, 255, 123},	//440 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 363, 511, 2, Smoke::mf_static, 106, 124},	//441 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 304, 411, 2, Smoke::mf_static, 255, 125},	//442 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 447, 307, 1, Smoke::mf_static, 255, 126},	//443 QGlobalSpace::qIsNaN(float)
    {29, 334, 486, 2, Smoke::mf_static, 255, 127},	//444 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 423, 309, 1, Smoke::mf_static, 332, 128},	//445 QGlobalSpace::qFlagLocation(const char*)
    {29, 363, 514, 2, Smoke::mf_static, 106, 129},	//446 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 447, 262, 1, Smoke::mf_static, 255, 130},	//447 QGlobalSpace::qIsNaN(double)
    {29, 315, 517, 2, Smoke::mf_static, 306, 131},	//448 QGlobalSpace::operator+(QChar, const QString&)
    {29, 363, 520, 2, Smoke::mf_static, 106, 132},	//449 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 363, 523, 2, Smoke::mf_static, 106, 133},	//450 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 357, 526, 2, Smoke::mf_static, 10, 134},	//451 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 545, 529, 3, Smoke::mf_static, 0, 135},	//452 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 435, 533, 1, Smoke::mf_static, 349, 136},	//453 QGlobalSpace::qHash(long long)
    {29, 304, 535, 2, Smoke::mf_static, 255, 137},	//454 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 506, 397, 4, Smoke::mf_static, 258, 138},	//455 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 363, 538, 2, Smoke::mf_static, 106, 139},	//456 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 363, 541, 2, Smoke::mf_static, 85, 140},	//457 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 315, 544, 2, Smoke::mf_static, 306, 141},	//458 QGlobalSpace::operator+(const QString&, char)
    {29, 304, 318, 2, Smoke::mf_static, 255, 142},	//459 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 320, 295, 2, Smoke::mf_static, 296, 143},	//460 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 341, 451, 2, Smoke::mf_static, 255, 144},	//461 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 363, 547, 2, Smoke::mf_static, 93, 145},	//462 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 325, 486, 2, Smoke::mf_static, 255, 146},	//463 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 363, 550, 2, Smoke::mf_static, 103, 147},	//464 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 433, 307, 1, Smoke::mf_static, 255, 148},	//465 QGlobalSpace::qFuzzyIsNull(float)
    {29, 363, 553, 2, Smoke::mf_static, 97, 149},	//466 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 526, 556, 2, Smoke::mf_static, 258, 150},	//467 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 435, 76, 1, Smoke::mf_static, 349, 151},	//468 QGlobalSpace::qHash(int)
    {29, 315, 295, 2, Smoke::mf_static, 296, 152},	//469 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 363, 559, 2, Smoke::mf_static, 88, 153},	//470 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 341, 391, 2, Smoke::mf_static, 255, 154},	//471 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 320, 562, 1, Smoke::mf_static, 294, 155},	//472 QGlobalSpace::operator-(const QPoint&)
    {29, 363, 564, 2, Smoke::mf_static, 106, 156},	//473 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 330, 567, 2, Smoke::mf_static, 10, 157},	//474 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 363, 570, 2, Smoke::mf_static, 106, 158},	//475 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 483, 76, 1, Smoke::mf_static, 135, 159},	//476 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 415, 262, 1, Smoke::mf_static, 336, 160},	//477 QGlobalSpace::qExp(double)
    {29, 341, 573, 2, Smoke::mf_static, 255, 161},	//478 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 451, 262, 1, Smoke::mf_static, 336, 162},	//479 QGlobalSpace::qLn(double)
    {29, 304, 391, 2, Smoke::mf_static, 255, 163},	//480 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 470, 576, 1, Smoke::mf_static, 0, 164},	//481 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 404, 267, 2, Smoke::mf_static, 352, 165},	//482 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 363, 578, 2, Smoke::mf_static, 96, 166},	//483 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 453, 581, 1, Smoke::mf_static, 356, 167},	//484 QGlobalSpace::qMalloc(size_t)
    {29, 465, 0, 0, Smoke::mf_static, 336, 168},	//485 QGlobalSpace::qQNaN()
    {29, 363, 583, 2, Smoke::mf_static, 89, 169},	//486 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 357, 586, 2, Smoke::mf_static, 10, 170},	//487 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 514, 286, 2, Smoke::mf_static, 255, 171},	//488 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 330, 589, 2, Smoke::mf_static, 13, 172},	//489 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 363, 592, 2, Smoke::mf_static, 106, 173},	//490 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 519, 472, 1, Smoke::mf_static, 0, 174},	//491 QGlobalSpace::qsrand(unsigned int)
    {29, 435, 595, 1, Smoke::mf_static, 349, 175},	//492 QGlobalSpace::qHash(long)
    {29, 312, 597, 2, Smoke::mf_static, 294, 176},	//493 QGlobalSpace::operator*(int, const QPoint&)
    {29, 347, 254, 2, Smoke::mf_static, 255, 177},	//494 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 435, 600, 1, Smoke::mf_static, 349, 178},	//495 QGlobalSpace::qHash(unsigned short)
    {29, 357, 602, 2, Smoke::mf_static, 10, 179},	//496 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 304, 295, 2, Smoke::mf_static, 255, 180},	//497 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 363, 605, 2, Smoke::mf_static, 80, 181},	//498 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 538, 432, 3, Smoke::mf_static, 338, 182},	//499 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 315, 608, 2, Smoke::mf_static, 306, 183},	//500 QGlobalSpace::operator+(char, const QString&)
    {29, 357, 611, 2, Smoke::mf_static, 10, 184},	//501 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 341, 332, 2, Smoke::mf_static, 255, 185},	//502 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 341, 436, 2, Smoke::mf_static, 255, 186},	//503 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 315, 486, 2, Smoke::mf_static, 260, 187},	//504 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 435, 614, 1, Smoke::mf_static, 349, 188},	//505 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 347, 411, 2, Smoke::mf_static, 255, 189},	//506 QGlobalSpace::operator>(const char*, const QString&)
    {29, 330, 616, 2, Smoke::mf_static, 10, 190},	//507 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 330, 619, 2, Smoke::mf_static, 10, 191},	//508 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 556, 622, 3, Smoke::mf_static, 113, 192},	//509 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 363, 626, 2, Smoke::mf_static, 84, 193},	//510 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 323, 629, 2, Smoke::mf_static, 296, 194},	//511 QGlobalSpace::operator/(const QPointF&, double)
    {29, 304, 632, 2, Smoke::mf_static, 255, 195},	//512 QGlobalSpace::operator!=(bool, QBool)
    {29, 341, 426, 2, Smoke::mf_static, 255, 196},	//513 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 536, 635, 3, Smoke::mf_static, 258, 197},	//514 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 495, 126, 1, Smoke::mf_static, 5, 198},	//515 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 330, 639, 2, Smoke::mf_static, 10, 199},	//516 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 357, 642, 2, Smoke::mf_static, 10, 200},	//517 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 363, 645, 2, Smoke::mf_static, 106, 201},	//518 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 320, 648, 1, Smoke::mf_static, 296, 202},	//519 QGlobalSpace::operator-(const QPointF&)
    {29, 341, 632, 2, Smoke::mf_static, 255, 203},	//520 QGlobalSpace::operator==(bool, QBool)
    {29, 516, 0, 0, Smoke::mf_static, 338, 204},	//521 QGlobalSpace::qrand()
    {29, 330, 650, 2, Smoke::mf_static, 13, 205},	//522 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 547, 653, 4, Smoke::mf_static, 0, 206},	//523 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 312, 658, 2, Smoke::mf_static, 294, 207},	//524 QGlobalSpace::operator*(float, const QPoint&)
    {29, 310, 483, 2, Smoke::mf_static, 2, 208},	//525 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 352, 286, 2, Smoke::mf_static, 255, 209},	//526 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 363, 661, 2, Smoke::mf_static, 98, 210},	//527 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 363, 664, 2, Smoke::mf_static, 106, 211},	//528 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 304, 667, 2, Smoke::mf_static, 255, 212},	//529 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 413, 0, 0, Smoke::mf_static, 13, 213},	//530 QGlobalSpace::qCritical()
    {29, 363, 670, 2, Smoke::mf_static, 92, 214},	//531 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 304, 286, 2, Smoke::mf_static, 255, 215},	//532 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 304, 356, 2, Smoke::mf_static, 255, 216},	//533 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 325, 274, 2, Smoke::mf_static, 255, 217},	//534 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 341, 667, 2, Smoke::mf_static, 255, 218},	//535 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 330, 673, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 315, 676, 2, Smoke::mf_static, 260, 220},	//537 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 363, 679, 2, Smoke::mf_static, 78, 221},	//538 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 363, 682, 2, Smoke::mf_static, 76, 222},	//539 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 357, 685, 2, Smoke::mf_static, 10, 223},	//540 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 323, 688, 2, Smoke::mf_static, 304, 224},	//541 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 352, 426, 2, Smoke::mf_static, 255, 225},	//542 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 330, 691, 2, Smoke::mf_static, 10, 226},	//543 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 341, 356, 2, Smoke::mf_static, 255, 227},	//544 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 392, 694, 1, Smoke::mf_static, 0, 228},	//545 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 406, 696, 3, Smoke::mf_static, 5, 229},	//546 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 406, 429, 2, Smoke::mf_static, 5, 230},	//547 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 334, 286, 2, Smoke::mf_static, 255, 231},	//548 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 421, 262, 1, Smoke::mf_static, 336, 232},	//549 QGlobalSpace::qFastSin(double)
    {29, 334, 254, 2, Smoke::mf_static, 255, 233},	//550 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 330, 700, 2, Smoke::mf_static, 10, 234},	//551 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 357, 703, 2, Smoke::mf_static, 10, 235},	//552 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 394, 0, 0, Smoke::mf_static, 122, 236},	//553 QGlobalSpace::qAppName()
    {29, 498, 0, 0, Smoke::mf_static, 332, 237},	//554 QGlobalSpace::qVersion()
    {29, 427, 706, 1, Smoke::mf_static, 0, 238},	//555 QGlobalSpace::qFree(void*)
    {29, 363, 708, 2, Smoke::mf_static, 106, 239},	//556 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 429, 706, 1, Smoke::mf_static, 0, 240},	//557 QGlobalSpace::qFreeAligned(void*)
    {29, 341, 535, 2, Smoke::mf_static, 255, 241},	//558 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 330, 711, 2, Smoke::mf_static, 13, 242},	//559 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 330, 714, 2, Smoke::mf_static, 132, 243},	//560 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 325, 304, 2, Smoke::mf_static, 255, 244},	//561 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 330, 717, 2, Smoke::mf_static, 13, 245},	//562 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 363, 720, 2, Smoke::mf_static, 79, 246},	//563 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 435, 723, 1, Smoke::mf_static, 349, 247},	//564 QGlobalSpace::qHash(const QBitArray&)
    {29, 330, 725, 2, Smoke::mf_static, 13, 248},	//565 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 330, 728, 2, Smoke::mf_static, 132, 249},	//566 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 402, 262, 1, Smoke::mf_static, 338, 250},	//567 QGlobalSpace::qCeil(double)
    {29, 304, 321, 2, Smoke::mf_static, 255, 251},	//568 QGlobalSpace::operator!=(QChar, QChar)
    {29, 363, 731, 2, Smoke::mf_static, 91, 252},	//569 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 490, 734, 2, Smoke::mf_static, 255, 253},	//570 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 528, 309, 1, Smoke::mf_static, 258, 254},	//571 QGlobalSpace::qstrdup(const char*)
    {29, 357, 737, 2, Smoke::mf_static, 10, 255},	//572 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 334, 411, 2, Smoke::mf_static, 255, 256},	//573 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 304, 508, 2, Smoke::mf_static, 255, 257},	//574 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 414, 0, 0, Smoke::mf_static, 13, 258},	//575 QGlobalSpace::qDebug()
    {29, 455, 740, 2, Smoke::mf_static, 356, 259},	//576 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 304, 734, 2, Smoke::mf_static, 255, 260},	//577 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 504, 743, 6, Smoke::mf_static, 338, 261},	//578 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 463, 298, 2, Smoke::mf_static, 336, 262},	//579 QGlobalSpace::qPow(double, double)
    {29, 334, 274, 2, Smoke::mf_static, 255, 263},	//580 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 330, 750, 2, Smoke::mf_static, 13, 264},	//581 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 363, 753, 2, Smoke::mf_static, 106, 265},	//582 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 357, 714, 2, Smoke::mf_static, 132, 266},	//583 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 315, 756, 2, Smoke::mf_static, 260, 267},	//584 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 341, 286, 2, Smoke::mf_static, 255, 268},	//585 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 330, 759, 2, Smoke::mf_static, 10, 269},	//586 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 320, 283, 2, Smoke::mf_static, 302, 270},	//587 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 330, 762, 2, Smoke::mf_static, 13, 271},	//588 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 315, 411, 2, Smoke::mf_static, 306, 272},	//589 QGlobalSpace::operator+(const char*, const QString&)
    {29, 363, 765, 2, Smoke::mf_static, 106, 273},	//590 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 357, 768, 2, Smoke::mf_static, 10, 274},	//591 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 304, 573, 2, Smoke::mf_static, 255, 275},	//592 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 330, 771, 2, Smoke::mf_static, 13, 276},	//593 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 363, 774, 2, Smoke::mf_static, 95, 277},	//594 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 312, 777, 2, Smoke::mf_static, 296, 278},	//595 QGlobalSpace::operator*(double, const QPointF&)
    {29, 357, 780, 2, Smoke::mf_static, 10, 279},	//596 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 363, 783, 2, Smoke::mf_static, 90, 280},	//597 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 341, 254, 2, Smoke::mf_static, 255, 281},	//598 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 312, 786, 2, Smoke::mf_static, 302, 282},	//599 QGlobalSpace::operator*(const QSize&, double)
    {29, 330, 789, 2, Smoke::mf_static, 13, 283},	//600 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 363, 792, 2, Smoke::mf_static, 76, 284},	//601 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 562, 795, 4, Smoke::mf_static, 338, 285},	//602 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 312, 800, 2, Smoke::mf_static, 294, 286},	//603 QGlobalSpace::operator*(double, const QPoint&)
    {29, 459, 803, 3, Smoke::mf_static, 356, 287},	//604 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 330, 807, 2, Smoke::mf_static, 10, 288},	//605 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 549, 810, 2, Smoke::mf_static, 0, 289},	//606 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 435, 813, 1, Smoke::mf_static, 349, 290},	//607 QGlobalSpace::qHash(short)
    {29, 363, 815, 2, Smoke::mf_static, 81, 291},	//608 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 417, 262, 1, Smoke::mf_static, 336, 292},	//609 QGlobalSpace::qFabs(double)
    {29, 363, 818, 2, Smoke::mf_static, 89, 293},	//610 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 363, 821, 2, Smoke::mf_static, 77, 294},	//611 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 521, 486, 2, Smoke::mf_static, 338, 295},	//612 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 431, 824, 2, Smoke::mf_static, 255, 296},	//613 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 341, 827, 2, Smoke::mf_static, 255, 297},	//614 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 363, 830, 2, Smoke::mf_static, 82, 298},	//615 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 508, 743, 6, Smoke::mf_static, 338, 299},	//616 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 510, 833, 3, Smoke::mf_static, 258, 300},	//617 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 517, 837, 4, Smoke::mf_static, 0, 301},	//618 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 390, 262, 1, Smoke::mf_static, 336, 302},	//619 QGlobalSpace::qAcos(double)
    {29, 363, 842, 2, Smoke::mf_static, 106, 303},	//620 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 363, 845, 2, Smoke::mf_static, 93, 304},	//621 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 352, 486, 2, Smoke::mf_static, 255, 305},	//622 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 401, 0, 0, Smoke::mf_static, 0, 306},	//623 QGlobalSpace::qBadAlloc()
    {29, 330, 848, 2, Smoke::mf_static, 13, 307},	//624 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 363, 851, 2, Smoke::mf_static, 99, 308},	//625 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 363, 854, 2, Smoke::mf_static, 106, 309},	//626 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 433, 262, 1, Smoke::mf_static, 255, 310},	//627 QGlobalSpace::qFuzzyIsNull(double)
    {29, 406, 857, 2, Smoke::mf_static, 5, 311},	//628 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 406, 126, 1, Smoke::mf_static, 5, 312},	//629 QGlobalSpace::qCompress(const QByteArray&)
    {29, 363, 860, 2, Smoke::mf_static, 87, 313},	//630 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 363, 863, 2, Smoke::mf_static, 106, 314},	//631 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 363, 866, 2, Smoke::mf_static, 102, 315},	//632 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 363, 869, 2, Smoke::mf_static, 75, 316},	//633 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 330, 872, 2, Smoke::mf_static, 10, 317},	//634 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 330, 875, 2, Smoke::mf_static, 10, 318},	//635 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 330, 878, 2, Smoke::mf_static, 10, 319},	//636 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 395, 262, 1, Smoke::mf_static, 336, 320},	//637 QGlobalSpace::qAsin(double)
    {29, 330, 881, 2, Smoke::mf_static, 13, 321},	//638 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 363, 884, 2, Smoke::mf_static, 77, 322},	//639 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 304, 477, 2, Smoke::mf_static, 255, 323},	//640 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 486, 262, 1, Smoke::mf_static, 336, 324},	//641 QGlobalSpace::qSin(double)
    {29, 363, 887, 2, Smoke::mf_static, 106, 325},	//642 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 341, 486, 2, Smoke::mf_static, 255, 326},	//643 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 357, 890, 2, Smoke::mf_static, 10, 327},	//644 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 363, 483, 2, Smoke::mf_static, 2, 328},	//645 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 330, 893, 2, Smoke::mf_static, 10, 329},	//646 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 330, 896, 2, Smoke::mf_static, 10, 330},	//647 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 363, 899, 2, Smoke::mf_static, 106, 331},	//648 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 330, 902, 2, Smoke::mf_static, 10, 332},	//649 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 542, 810, 2, Smoke::mf_static, 122, 333},	//650 QGlobalSpace::qtTrId(const char*, int)
    {29, 542, 309, 1, Smoke::mf_static, 122, 334},	//651 QGlobalSpace::qtTrId(const char*)
    {29, 330, 905, 2, Smoke::mf_static, 13, 335},	//652 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 334, 321, 2, Smoke::mf_static, 255, 336},	//653 QGlobalSpace::operator<=(QChar, QChar)
    {29, 363, 908, 2, Smoke::mf_static, 102, 337},	//654 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 304, 827, 2, Smoke::mf_static, 255, 338},	//655 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 363, 911, 2, Smoke::mf_static, 94, 339},	//656 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 357, 914, 2, Smoke::mf_static, 10, 340},	//657 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 312, 917, 2, Smoke::mf_static, 294, 341},	//658 QGlobalSpace::operator*(const QPoint&, int)
    {29, 357, 920, 2, Smoke::mf_static, 10, 342},	//659 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 560, 923, 3, Smoke::mf_static, 255, 343},	//660 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 323, 786, 2, Smoke::mf_static, 302, 344},	//661 QGlobalSpace::operator/(const QSize&, double)
    {29, 449, 307, 1, Smoke::mf_static, 255, 345},	//662 QGlobalSpace::qIsNull(float)
    {29, 558, 927, 5, Smoke::mf_static, 0, 346},	//663 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 341, 933, 2, Smoke::mf_static, 255, 347},	//664 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 397, 262, 1, Smoke::mf_static, 336, 348},	//665 QGlobalSpace::qAtan(double)
    {29, 357, 936, 2, Smoke::mf_static, 10, 349},	//666 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 363, 939, 2, Smoke::mf_static, 106, 350},	//667 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 431, 298, 2, Smoke::mf_static, 255, 351},	//668 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 304, 274, 2, Smoke::mf_static, 255, 352},	//669 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 312, 382, 2, Smoke::mf_static, 294, 353},	//670 QGlobalSpace::operator*(const QPoint&, double)
    {29, 363, 942, 2, Smoke::mf_static, 91, 354},	//671 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 363, 945, 2, Smoke::mf_static, 81, 355},	//672 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 478, 0, 0, Smoke::mf_static, 336, 356},	//673 QGlobalSpace::qSNaN()
    {29, 341, 304, 2, Smoke::mf_static, 255, 357},	//674 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 312, 688, 2, Smoke::mf_static, 304, 358},	//675 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 341, 734, 2, Smoke::mf_static, 255, 359},	//676 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 312, 948, 2, Smoke::mf_static, 294, 360},	//677 QGlobalSpace::operator*(const QPoint&, float)
    {29, 312, 951, 2, Smoke::mf_static, 302, 361},	//678 QGlobalSpace::operator*(double, const QSize&)
    {29, 325, 254, 2, Smoke::mf_static, 255, 362},	//679 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 304, 954, 2, Smoke::mf_static, 255, 363},	//680 QGlobalSpace::operator!=(QBool, bool)
    {29, 304, 283, 2, Smoke::mf_static, 255, 364},	//681 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 357, 957, 2, Smoke::mf_static, 10, 365},	//682 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 330, 960, 2, Smoke::mf_static, 13, 366},	//683 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 304, 426, 2, Smoke::mf_static, 255, 367},	//684 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 363, 963, 2, Smoke::mf_static, 86, 368},	//685 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 312, 629, 2, Smoke::mf_static, 296, 369},	//686 QGlobalSpace::operator*(const QPointF&, double)
    {29, 530, 338, 2, Smoke::mf_static, 338, 370},	//687 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 363, 966, 2, Smoke::mf_static, 97, 371},	//688 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 304, 313, 2, Smoke::mf_static, 255, 372},	//689 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 474, 262, 1, Smoke::mf_static, 338, 373},	//690 QGlobalSpace::qRound(double)
    {29, 438, 0, 0, Smoke::mf_static, 336, 374},	//691 QGlobalSpace::qInf()
    {29, 330, 969, 2, Smoke::mf_static, 10, 375},	//692 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 363, 972, 2, Smoke::mf_static, 94, 376},	//693 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 330, 975, 2, Smoke::mf_static, 10, 377},	//694 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 363, 978, 2, Smoke::mf_static, 82, 378},	//695 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 363, 981, 2, Smoke::mf_static, 106, 379},	//696 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 521, 304, 2, Smoke::mf_static, 338, 380},	//697 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 472, 694, 1, Smoke::mf_static, 0, 381},	//698 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 357, 984, 2, Smoke::mf_static, 10, 382},	//699 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 330, 987, 2, Smoke::mf_static, 10, 383},	//700 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 363, 990, 2, Smoke::mf_static, 96, 384},	//701 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 363, 993, 2, Smoke::mf_static, 88, 385},	//702 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 499, 0, 0, Smoke::mf_static, 13, 386},	//703 QGlobalSpace::qWarning()
    {29, 532, 309, 1, Smoke::mf_static, 349, 387},	//704 QGlobalSpace::qstrlen(const char*)
    {29, 341, 954, 2, Smoke::mf_static, 255, 388},	//705 QGlobalSpace::operator==(QBool, bool)
    {29, 357, 996, 2, Smoke::mf_static, 10, 389},	//706 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 357, 999, 2, Smoke::mf_static, 10, 390},	//707 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 435, 1002, 1, Smoke::mf_static, 349, 391},	//708 QGlobalSpace::qHash(unsigned long)
    {29, 330, 1004, 2, Smoke::mf_static, 10, 392},	//709 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 330, 1007, 2, Smoke::mf_static, 10, 393},	//710 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 363, 1010, 2, Smoke::mf_static, 83, 394},	//711 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 341, 411, 2, Smoke::mf_static, 255, 395},	//712 QGlobalSpace::operator==(const char*, const QString&)
    {29, 363, 1013, 2, Smoke::mf_static, 84, 396},	//713 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 315, 25, 2, Smoke::mf_static, 306, 397},	//714 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 304, 505, 2, Smoke::mf_static, 255, 398},	//715 QGlobalSpace::operator!=(QBool, QBool)
    {29, 363, 1016, 2, Smoke::mf_static, 75, 399},	//716 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 553, 1019, 2, Smoke::mf_static, 0, 400},	//717 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 352, 411, 2, Smoke::mf_static, 255, 401},	//718 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 435, 1022, 1, Smoke::mf_static, 349, 402},	//719 QGlobalSpace::qHash(const QStringRef&)
    {29, 449, 262, 1, Smoke::mf_static, 255, 403},	//720 QGlobalSpace::qIsNull(double)
    {29, 363, 1024, 2, Smoke::mf_static, 106, 404},	//721 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 352, 274, 2, Smoke::mf_static, 255, 405},	//722 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 347, 304, 2, Smoke::mf_static, 255, 406},	//723 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 435, 1027, 1, Smoke::mf_static, 349, 407},	//724 QGlobalSpace::qHash(unsigned char)
    {29, 357, 1029, 2, Smoke::mf_static, 10, 408},	//725 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 330, 1032, 2, Smoke::mf_static, 13, 409},	//726 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 363, 1035, 2, Smoke::mf_static, 106, 410},	//727 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 304, 486, 2, Smoke::mf_static, 255, 411},	//728 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 357, 1038, 2, Smoke::mf_static, 10, 412},	//729 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 330, 1041, 2, Smoke::mf_static, 10, 413},	//730 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 414},	//731 QGlobalSpace::_IEEE_ (enum)
    {29, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 415},	//732 QGlobalSpace::_SVID_ (enum)
    {29, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 416},	//733 QGlobalSpace::_XOPEN_ (enum)
    {29, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 417},	//734 QGlobalSpace::_POSIX_ (enum)
    {29, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 418},	//735 QGlobalSpace::_ISOC_ (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 419},	//736 QGlobalSpace::LicensedGui (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 420},	//737 QGlobalSpace::LicensedXml (enum)
    {29, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 421},	//738 QGlobalSpace::LicensedQt3SupportLight (enum)
    {29, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 422},	//739 QGlobalSpace::LicensedScript (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 423},	//740 QGlobalSpace::LicensedOpenVG (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 424},	//741 QGlobalSpace::LicensedDBus (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 425},	//742 QGlobalSpace::LicensedTest (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 426},	//743 QGlobalSpace::LicensedActiveQt (enum)
    {29, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 427},	//744 QGlobalSpace::LicensedScriptTools (enum)
    {29, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 428},	//745 QGlobalSpace::LicensedSvg (enum)
    {29, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 429},	//746 QGlobalSpace::LicensedDeclarative (enum)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 430},	//747 QGlobalSpace::LicensedSql (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 431},	//748 QGlobalSpace::LicensedOpenGL (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 432},	//749 QGlobalSpace::LicensedCore (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 433},	//750 QGlobalSpace::QtDebugMsg (enum)
    {29, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 434},	//751 QGlobalSpace::QtWarningMsg (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 435},	//752 QGlobalSpace::QtCriticalMsg (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 436},	//753 QGlobalSpace::QtFatalMsg (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 437},	//754 QGlobalSpace::QtSystemMsg (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 438},	//755 QGlobalSpace::LicensedHelp (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 439},	//756 QGlobalSpace::LicensedMultimedia (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 440},	//757 QGlobalSpace::LicensedQt3Support (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 441},	//758 QGlobalSpace::LicensedXmlPatterns (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 442},	//759 QGlobalSpace::LicensedNetwork (enum)
    {29, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 443},	//760 QGlobalSpace::__codecvt_ok (enum)
    {29, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 444},	//761 QGlobalSpace::__codecvt_partial (enum)
    {29, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 445},	//762 QGlobalSpace::__codecvt_error (enum)
    {29, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 446},	//763 QGlobalSpace::__codecvt_noconv (enum)
    {59, 75, 0, 0, Smoke::mf_ctor, 143, 1},	//764 QXmlAttributes::QXmlAttributes()
    {59, 244, 3, 1, Smoke::mf_const, 338, 2},	//765 QXmlAttributes::index(const QString&) const
    {59, 244, 1044, 1, Smoke::mf_const, 338, 3},	//766 QXmlAttributes::index(const QLatin1String&) const
    {59, 244, 25, 2, Smoke::mf_const, 338, 4},	//767 QXmlAttributes::index(const QString&, const QString&) const
    {59, 280, 0, 0, Smoke::mf_const, 338, 5},	//768 QXmlAttributes::length() const
    {59, 160, 0, 0, Smoke::mf_const, 338, 6},	//769 QXmlAttributes::count() const
    {59, 283, 76, 1, Smoke::mf_const, 122, 7},	//770 QXmlAttributes::localName(int) const
    {59, 461, 76, 1, Smoke::mf_const, 122, 8},	//771 QXmlAttributes::qName(int) const
    {59, 702, 76, 1, Smoke::mf_const, 122, 9},	//772 QXmlAttributes::uri(int) const
    {59, 697, 76, 1, Smoke::mf_const, 122, 10},	//773 QXmlAttributes::type(int) const
    {59, 697, 3, 1, Smoke::mf_const, 122, 11},	//774 QXmlAttributes::type(const QString&) const
    {59, 697, 25, 2, Smoke::mf_const, 122, 12},	//775 QXmlAttributes::type(const QString&, const QString&) const
    {59, 704, 76, 1, Smoke::mf_const, 122, 13},	//776 QXmlAttributes::value(int) const
    {59, 704, 3, 1, Smoke::mf_const, 122, 14},	//777 QXmlAttributes::value(const QString&) const
    {59, 704, 1044, 1, Smoke::mf_const, 122, 15},	//778 QXmlAttributes::value(const QLatin1String&) const
    {59, 704, 25, 2, Smoke::mf_const, 122, 16},	//779 QXmlAttributes::value(const QString&, const QString&) const
    {59, 150, 0, 0, 0, 0, 17},	//780 QXmlAttributes::clear()
    {59, 124, 1046, 4, 0, 0, 18},	//781 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 75, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//782 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 767, 0, 0, Smoke::mf_dtor, 0, 20 },	//783 QXmlAttributes::~QXmlAttributes()
    {60, 627, 1053, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//784 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 667, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//785 QXmlContentHandler::startDocument() [pure virtual]
    {60, 199, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//786 QXmlContentHandler::endDocument() [pure virtual]
    {60, 672, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 4},	//787 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 204, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 5},	//788 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 668, 1055, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//789 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 200, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 7},	//790 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 147, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 8},	//791 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 238, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 9},	//792 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 383, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 10},	//793 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 657, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 11},	//794 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//795 QXmlContentHandler::errorString() const [pure virtual]
    {60, 77, 0, 0, Smoke::mf_ctor, 144, 13},	//796 QXmlContentHandler::QXmlContentHandler()
    {60, 77, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//797 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 768, 0, 0, Smoke::mf_dtor, 0, 15 },	//798 QXmlContentHandler::~QXmlContentHandler()
    {61, 300, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//799 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 700, 1046, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//800 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//801 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 79, 0, 0, Smoke::mf_ctor, 145, 4},	//802 QXmlDTDHandler::QXmlDTDHandler()
    {61, 79, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//803 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 769, 0, 0, Smoke::mf_dtor, 0, 6 },	//804 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 135, 1064, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//805 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 254, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//806 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 212, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//807 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//808 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 81, 0, 0, Smoke::mf_ctor, 146, 5},	//809 QXmlDeclHandler::QXmlDeclHandler()
    {62, 81, 1070, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//810 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 770, 0, 0, Smoke::mf_dtor, 0, 7 },	//811 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 83, 0, 0, Smoke::mf_ctor, 147, 1},	//812 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 627, 1053, 1, Smoke::mf_virtual, 0, 2},	//813 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 667, 0, 0, Smoke::mf_virtual, 255, 3},	//814 QXmlDefaultHandler::startDocument()
    {63, 199, 0, 0, Smoke::mf_virtual, 255, 4},	//815 QXmlDefaultHandler::endDocument()
    {63, 672, 25, 2, Smoke::mf_virtual, 255, 5},	//816 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 204, 3, 1, Smoke::mf_virtual, 255, 6},	//817 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 668, 1055, 4, Smoke::mf_virtual, 255, 7},	//818 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 200, 218, 3, Smoke::mf_virtual, 255, 8},	//819 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 147, 3, 1, Smoke::mf_virtual, 255, 9},	//820 QXmlDefaultHandler::characters(const QString&)
    {63, 238, 3, 1, Smoke::mf_virtual, 255, 10},	//821 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 383, 25, 2, Smoke::mf_virtual, 255, 11},	//822 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 657, 3, 1, Smoke::mf_virtual, 255, 12},	//823 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 708, 1072, 1, Smoke::mf_virtual, 255, 13},	//824 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 208, 1072, 1, Smoke::mf_virtual, 255, 14},	//825 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 214, 1072, 1, Smoke::mf_virtual, 255, 15},	//826 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 300, 218, 3, Smoke::mf_virtual, 255, 16},	//827 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 700, 1046, 4, Smoke::mf_virtual, 255, 17},	//828 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 581, 1074, 3, Smoke::mf_virtual, 255, 18},	//829 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 665, 218, 3, Smoke::mf_virtual, 255, 19},	//830 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 198, 0, 0, Smoke::mf_virtual, 255, 20},	//831 QXmlDefaultHandler::endDTD()
    {63, 670, 3, 1, Smoke::mf_virtual, 255, 21},	//832 QXmlDefaultHandler::startEntity(const QString&)
    {63, 202, 3, 1, Smoke::mf_virtual, 255, 22},	//833 QXmlDefaultHandler::endEntity(const QString&)
    {63, 664, 0, 0, Smoke::mf_virtual, 255, 23},	//834 QXmlDefaultHandler::startCDATA()
    {63, 197, 0, 0, Smoke::mf_virtual, 255, 24},	//835 QXmlDefaultHandler::endCDATA()
    {63, 155, 3, 1, Smoke::mf_virtual, 255, 25},	//836 QXmlDefaultHandler::comment(const QString&)
    {63, 135, 1064, 5, Smoke::mf_virtual, 255, 26},	//837 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 254, 25, 2, Smoke::mf_virtual, 255, 27},	//838 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 212, 218, 3, Smoke::mf_virtual, 255, 28},	//839 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//840 QXmlDefaultHandler::errorString() const
    {63, 771, 0, 0, Smoke::mf_dtor, 0, 30 },	//841 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 581, 1074, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//842 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//843 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 84, 0, 0, Smoke::mf_ctor, 148, 3},	//844 QXmlEntityResolver::QXmlEntityResolver()
    {64, 84, 1078, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//845 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 772, 0, 0, Smoke::mf_dtor, 0, 5 },	//846 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 708, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//847 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 208, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//848 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 214, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//849 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//850 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 86, 0, 0, Smoke::mf_ctor, 149, 5},	//851 QXmlErrorHandler::QXmlErrorHandler()
    {65, 86, 1080, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//852 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 773, 0, 0, Smoke::mf_dtor, 0, 7 },	//853 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 88, 0, 0, Smoke::mf_ctor, 150, 1},	//854 QXmlInputSource::QXmlInputSource()
    {66, 88, 142, 1, Smoke::mf_ctor, 150, 2},	//855 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 620, 3, 1, Smoke::mf_virtual, 0, 3},	//856 QXmlInputSource::setData(const QString&)
    {66, 620, 126, 1, Smoke::mf_virtual, 0, 4},	//857 QXmlInputSource::setData(const QByteArray&)
    {66, 219, 0, 0, Smoke::mf_virtual, 0, 5},	//858 QXmlInputSource::fetchData()
    {66, 184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//859 QXmlInputSource::data() const
    {66, 292, 0, 0, Smoke::mf_virtual, 8, 7},	//860 QXmlInputSource::next()
    {66, 580, 0, 0, Smoke::mf_virtual, 0, 8},	//861 QXmlInputSource::reset()
    {66, 223, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//862 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 88, 1082, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//863 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 223, 126, 1, Smoke::mf_protected, 122, 11},	//864 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 334, 12},	//865 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 334, 13},	//866 QXmlInputSource::EndOfDocument() const
    {66, 774, 0, 0, Smoke::mf_dtor, 0, 14 },	//867 QXmlInputSource::~QXmlInputSource()
    {67, 665, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//868 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 198, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//869 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 670, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//870 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 202, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 4},	//871 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 664, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 5},	//872 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 197, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//873 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 155, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 7},	//874 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//875 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 90, 0, 0, Smoke::mf_ctor, 152, 9},	//876 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 90, 1084, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//877 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 775, 0, 0, Smoke::mf_dtor, 0, 11 },	//878 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 92, 0, 0, Smoke::mf_ctor, 153, 1},	//879 QXmlLocator::QXmlLocator()
    {68, 154, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 338, 2},	//880 QXmlLocator::columnNumber() const [pure virtual]
    {68, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 338, 3},	//881 QXmlLocator::lineNumber() const [pure virtual]
    {68, 92, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//882 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 776, 0, 0, Smoke::mf_dtor, 0, 5 },	//883 QXmlLocator::~QXmlLocator()
    {69, 94, 0, 0, Smoke::mf_ctor, 154, 1},	//884 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 647, 25, 2, 0, 0, 2},	//885 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 374, 3, 1, Smoke::mf_const, 122, 3},	//886 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 702, 3, 1, Smoke::mf_const, 122, 4},	//887 QXmlNamespaceSupport::uri(const QString&) const
    {69, 660, 1088, 3, Smoke::mf_const, 0, 5},	//888 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 381, 1092, 4, Smoke::mf_const, 0, 6},	//889 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 376, 0, 0, Smoke::mf_const, 127, 7},	//890 QXmlNamespaceSupport::prefixes() const
    {69, 376, 3, 1, Smoke::mf_const, 127, 8},	//891 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 389, 0, 0, 0, 0, 9},	//892 QXmlNamespaceSupport::pushContext()
    {69, 373, 0, 0, 0, 0, 10},	//893 QXmlNamespaceSupport::popContext()
    {69, 580, 0, 0, 0, 0, 11},	//894 QXmlNamespaceSupport::reset()
    {69, 777, 0, 0, Smoke::mf_dtor, 0, 12 },	//895 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 95, 1097, 5, Smoke::mf_ctor, 155, 1},	//896 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 95, 1072, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//897 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 154, 0, 0, Smoke::mf_const, 338, 3},	//898 QXmlParseException::columnNumber() const
    {70, 282, 0, 0, Smoke::mf_const, 338, 4},	//899 QXmlParseException::lineNumber() const
    {70, 388, 0, 0, Smoke::mf_const, 122, 5},	//900 QXmlParseException::publicId() const
    {70, 676, 0, 0, Smoke::mf_const, 122, 6},	//901 QXmlParseException::systemId() const
    {70, 285, 0, 0, Smoke::mf_const, 122, 7},	//902 QXmlParseException::message() const
    {70, 95, 0, 0, Smoke::mf_ctor, 155, 8},	//903 QXmlParseException::QXmlParseException()
    {70, 95, 3, 1, Smoke::mf_ctor, 155, 9},	//904 QXmlParseException::QXmlParseException(const QString&)
    {70, 95, 173, 2, Smoke::mf_ctor, 155, 10},	//905 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 95, 1103, 3, Smoke::mf_ctor, 155, 11},	//906 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 95, 1107, 4, Smoke::mf_ctor, 155, 12},	//907 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 778, 0, 0, Smoke::mf_dtor, 0, 13 },	//908 QXmlParseException::~QXmlParseException()
    {71, 216, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//909 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 633, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//910 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 233, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//911 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 385, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 356, 4},	//912 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 650, 1115, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//913 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 236, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//914 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 629, 1118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//915 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//916 QXmlReader::entityResolver() const [pure virtual]
    {71, 618, 1120, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//917 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//918 QXmlReader::DTDHandler() const [pure virtual]
    {71, 616, 1122, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//919 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 159, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//920 QXmlReader::contentHandler() const [pure virtual]
    {71, 631, 1124, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//921 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//922 QXmlReader::errorHandler() const [pure virtual]
    {71, 639, 1126, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//923 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//924 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 623, 1128, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//925 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//926 QXmlReader::declHandler() const [pure virtual]
    {71, 369, 1082, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 19},	//927 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 369, 1130, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 20},	//928 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 102, 0, 0, Smoke::mf_ctor, 156, 21},	//929 QXmlReader::QXmlReader()
    {71, 102, 1132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//930 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 216, 3, 1, Smoke::mf_const, 255, 23},	//931 QXmlReader::feature(const QString&) const
    {71, 385, 3, 1, Smoke::mf_const, 356, 24},	//932 QXmlReader::property(const QString&) const
    {71, 779, 0, 0, Smoke::mf_dtor, 0, 25 },	//933 QXmlReader::~QXmlReader()
    {72, 104, 0, 0, Smoke::mf_ctor, 157, 1},	//934 QXmlSimpleReader::QXmlSimpleReader()
    {72, 216, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 255, 2},	//935 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 633, 90, 2, Smoke::mf_virtual, 0, 3},	//936 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 233, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 4},	//937 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 385, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 5},	//938 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 650, 1115, 2, Smoke::mf_virtual, 0, 6},	//939 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 236, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 7},	//940 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 629, 1118, 1, Smoke::mf_virtual, 0, 8},	//941 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//942 QXmlSimpleReader::entityResolver() const
    {72, 618, 1120, 1, Smoke::mf_virtual, 0, 10},	//943 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//944 QXmlSimpleReader::DTDHandler() const
    {72, 616, 1122, 1, Smoke::mf_virtual, 0, 12},	//945 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//946 QXmlSimpleReader::contentHandler() const
    {72, 631, 1124, 1, Smoke::mf_virtual, 0, 14},	//947 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//948 QXmlSimpleReader::errorHandler() const
    {72, 639, 1126, 1, Smoke::mf_virtual, 0, 16},	//949 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//950 QXmlSimpleReader::lexicalHandler() const
    {72, 623, 1128, 1, Smoke::mf_virtual, 0, 18},	//951 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//952 QXmlSimpleReader::declHandler() const
    {72, 369, 1082, 1, Smoke::mf_virtual, 255, 20},	//953 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 369, 1130, 1, Smoke::mf_virtual, 255, 21},	//954 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 369, 1134, 2, Smoke::mf_virtual, 255, 22},	//955 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 372, 0, 0, Smoke::mf_virtual, 255, 23},	//956 QXmlSimpleReader::parseContinue()
    {72, 216, 3, 1, Smoke::mf_const, 255, 24},	//957 QXmlSimpleReader::feature(const QString&) const
    {72, 385, 3, 1, Smoke::mf_const, 356, 25},	//958 QXmlSimpleReader::property(const QString&) const
    {72, 780, 0, 0, Smoke::mf_dtor, 0, 26 },	//959 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 105, 0, 0, Smoke::mf_ctor, 158, 1},	//960 QXmlStreamWriter::QXmlStreamWriter()
    {76, 105, 142, 1, Smoke::mf_ctor, 158, 2},	//961 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 105, 1137, 1, Smoke::mf_ctor, 158, 3},	//962 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 105, 1139, 1, Smoke::mf_ctor, 158, 4},	//963 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 625, 142, 1, 0, 0, 5},	//964 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 188, 0, 0, Smoke::mf_const, 104, 6},	//965 QXmlStreamWriter::device() const
    {76, 598, 1141, 1, 0, 0, 7},	//966 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 598, 309, 1, 0, 0, 8},	//967 QXmlStreamWriter::setCodec(const char*)
    {76, 153, 0, 0, Smoke::mf_const, 130, 9},	//968 QXmlStreamWriter::codec() const
    {76, 594, 235, 1, 0, 0, 10},	//969 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 145, 0, 0, Smoke::mf_const, 255, 11},	//970 QXmlStreamWriter::autoFormatting() const
    {76, 596, 76, 1, 0, 0, 12},	//971 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 146, 0, 0, Smoke::mf_const, 338, 13},	//972 QXmlStreamWriter::autoFormattingIndent() const
    {76, 710, 25, 2, 0, 0, 14},	//973 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 710, 218, 3, 0, 0, 15},	//974 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 710, 1143, 1, 0, 0, 16},	//975 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 714, 1145, 1, 0, 0, 17},	//976 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 716, 3, 1, 0, 0, 18},	//977 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 718, 3, 1, 0, 0, 19},	//978 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 720, 3, 1, 0, 0, 20},	//979 QXmlStreamWriter::writeComment(const QString&)
    {76, 724, 3, 1, 0, 0, 21},	//980 QXmlStreamWriter::writeDTD(const QString&)
    {76, 728, 3, 1, 0, 0, 22},	//981 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 728, 25, 2, 0, 0, 23},	//982 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 747, 25, 2, 0, 0, 24},	//983 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 747, 218, 3, 0, 0, 25},	//984 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 731, 0, 0, 0, 0, 26},	//985 QXmlStreamWriter::writeEndDocument()
    {76, 732, 0, 0, 0, 0, 27},	//986 QXmlStreamWriter::writeEndElement()
    {76, 733, 3, 1, 0, 0, 28},	//987 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 735, 25, 2, 0, 0, 29},	//988 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 726, 3, 1, 0, 0, 30},	//989 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 738, 25, 2, 0, 0, 31},	//990 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 741, 0, 0, 0, 0, 32},	//991 QXmlStreamWriter::writeStartDocument()
    {76, 741, 3, 1, 0, 0, 33},	//992 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 741, 90, 2, 0, 0, 34},	//993 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 744, 3, 1, 0, 0, 35},	//994 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 744, 25, 2, 0, 0, 36},	//995 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 722, 1147, 1, 0, 0, 37},	//996 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 232, 0, 0, Smoke::mf_const, 255, 38},	//997 QXmlStreamWriter::hasError() const
    {76, 735, 3, 1, 0, 0, 39},	//998 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 738, 3, 1, 0, 0, 40},	//999 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 781, 0, 0, Smoke::mf_dtor, 0, 41 },	//1000 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    927,  // QXmlReader::parse(const QXmlInputSource&)
    928,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    773,  // QXmlAttributes::type(int) const
    774,  // QXmlAttributes::type(const QString&) const
    0,
    776,  // QXmlAttributes::value(int) const
    777,  // QXmlAttributes::value(const QString&) const
    0,
    364,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    402,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    410,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    459,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    480,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    497,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    529,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    533,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    568,  // QGlobalSpace::operator!=(QChar, QChar)
    592,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    640,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    655,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    681,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    684,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    715,  // QGlobalSpace::operator!=(QBool, QBool)
    728,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    353,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    371,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    384,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    577,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    680,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    454,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    512,  // QGlobalSpace::operator!=(bool, QBool)
    532,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    574,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    669,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    689,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    599,  // QGlobalSpace::operator*(const QSize&, double)
    658,  // QGlobalSpace::operator*(const QPoint&, int)
    670,  // QGlobalSpace::operator*(const QPoint&, double)
    675,  // QGlobalSpace::operator*(const QSizeF&, double)
    677,  // QGlobalSpace::operator*(const QPoint&, float)
    686,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    361,  // QGlobalSpace::operator*(double, const QSizeF&)
    493,  // QGlobalSpace::operator*(int, const QPoint&)
    524,  // QGlobalSpace::operator*(float, const QPoint&)
    595,  // QGlobalSpace::operator*(double, const QPointF&)
    603,  // QGlobalSpace::operator*(double, const QPoint&)
    678,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    377,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    390,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    395,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    469,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    504,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    411,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    418,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    448,  // QGlobalSpace::operator+(QChar, const QString&)
    537,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    330,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    379,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    409,  // QGlobalSpace::operator+(const QString&, QChar)
    584,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    414,  // QGlobalSpace::operator+(const QString&, const char*)
    458,  // QGlobalSpace::operator+(const QString&, char)
    500,  // QGlobalSpace::operator+(char, const QString&)
    589,  // QGlobalSpace::operator+(const char*, const QString&)
    714,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    472,  // QGlobalSpace::operator-(const QPoint&)
    519,  // QGlobalSpace::operator-(const QPointF&)
    0,
    366,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    380,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    460,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    587,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    376,  // QGlobalSpace::operator/(const QPoint&, double)
    511,  // QGlobalSpace::operator/(const QPointF&, double)
    541,  // QGlobalSpace::operator/(const QSizeF&, double)
    661,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    351,  // QGlobalSpace::operator<(QChar, QChar)
    397,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    463,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    679,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    354,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    534,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    350,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    365,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    367,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    373,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    381,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    386,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    387,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    406,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    431,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    432,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    474,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    508,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    522,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    551,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    559,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    560,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    562,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    565,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    566,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    581,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    588,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    600,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    624,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    638,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    646,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    647,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    652,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    683,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    694,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    700,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    709,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    710,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    726,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    327,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    489,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    507,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    593,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    692,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    430,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    444,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    550,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    653,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    548,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    580,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    329,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    334,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    345,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    346,  // QGlobalSpace::operator==(QChar, QChar)
    424,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    439,  // QGlobalSpace::operator==(QBool, QBool)
    461,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    471,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    478,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    503,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    513,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    535,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    544,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    598,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    614,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    643,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    664,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    328,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    502,  // QGlobalSpace::operator==(QString::Null, const QString&)
    674,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    676,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    705,  // QGlobalSpace::operator==(QBool, bool)
    0,
    326,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    341,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    440,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    520,  // QGlobalSpace::operator==(bool, QBool)
    558,  // QGlobalSpace::operator==(const QString&, QString::Null)
    585,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    359,  // QGlobalSpace::operator>(QChar, QChar)
    415,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    427,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    494,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    342,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    401,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    318,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    352,  // QGlobalSpace::operator>=(QChar, QChar)
    542,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    622,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    526,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    722,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    336,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    407,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    438,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    451,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    496,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    501,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    517,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    540,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    572,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    583,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    591,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    596,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    657,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    666,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    682,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    699,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    706,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    707,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    725,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    729,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    552,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    659,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    320,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    322,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    331,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    347,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    355,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    358,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    360,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    363,  // QGlobalSpace::operator|(QDir::Filter, int)
    368,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    369,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    372,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    374,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    375,  // QGlobalSpace::operator|(QFile::Permission, int)
    378,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    385,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    389,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    391,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    392,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    396,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    404,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    413,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    416,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    420,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    425,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    441,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    446,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    449,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    450,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    456,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    457,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    462,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    464,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    466,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    470,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    473,  // QGlobalSpace::operator|(Qt::DropAction, int)
    475,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    483,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    486,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    490,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    498,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    510,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    518,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    527,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    528,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    531,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    538,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    539,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    556,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    563,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    569,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    582,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    590,  // QGlobalSpace::operator|(Qt::WindowState, int)
    594,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    597,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    601,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    608,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    610,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    611,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    615,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    620,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    621,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    625,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    626,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    630,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    631,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    632,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    633,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    639,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    642,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    648,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    654,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    656,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    667,  // QGlobalSpace::operator|(Qt::Orientation, int)
    671,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    672,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    685,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    688,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    693,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    695,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    696,  // QGlobalSpace::operator|(Qt::WindowType, int)
    701,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    702,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    711,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    713,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    716,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    721,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    727,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    613,  // QGlobalSpace::qFuzzyCompare(float, float)
    668,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    465,  // QGlobalSpace::qFuzzyIsNull(float)
    627,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    348,  // QGlobalSpace::qHash(const QUrl&)
    349,  // QGlobalSpace::qHash(const QByteArray&)
    421,  // QGlobalSpace::qHash(QChar)
    436,  // QGlobalSpace::qHash(const QModelIndex&)
    505,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    564,  // QGlobalSpace::qHash(const QBitArray&)
    719,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    319,  // QGlobalSpace::qHash(unsigned long long)
    340,  // QGlobalSpace::qHash(signed char)
    370,  // QGlobalSpace::qHash(char)
    419,  // QGlobalSpace::qHash(unsigned int)
    429,  // QGlobalSpace::qHash(const QString&)
    453,  // QGlobalSpace::qHash(long long)
    468,  // QGlobalSpace::qHash(int)
    492,  // QGlobalSpace::qHash(long)
    495,  // QGlobalSpace::qHash(unsigned short)
    607,  // QGlobalSpace::qHash(short)
    708,  // QGlobalSpace::qHash(unsigned long)
    724,  // QGlobalSpace::qHash(unsigned char)
    0,
    343,  // QGlobalSpace::qIntCast(double)
    423,  // QGlobalSpace::qIntCast(float)
    0,
    382,  // QGlobalSpace::qIsFinite(double)
    408,  // QGlobalSpace::qIsFinite(float)
    0,
    321,  // QGlobalSpace::qIsInf(double)
    338,  // QGlobalSpace::qIsInf(float)
    0,
    443,  // QGlobalSpace::qIsNaN(float)
    447,  // QGlobalSpace::qIsNaN(double)
    0,
    662,  // QGlobalSpace::qIsNull(float)
    720,  // QGlobalSpace::qIsNull(double)
    0,
    855,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    863,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    953,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    954,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    961,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    962,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 40, 1},	// QDomAttr::QDomAttr
    {10, 41, 2},	// QDomAttr::QDomAttr#
    {10, 286, 4},	// QDomAttr::name
    {10, 297, 9},	// QDomAttr::nodeType
    {10, 340, 3},	// QDomAttr::operator=#
    {10, 367, 6},	// QDomAttr::ownerElement
    {10, 655, 8},	// QDomAttr::setValue$
    {10, 659, 5},	// QDomAttr::specified
    {10, 704, 7},	// QDomAttr::value
    {10, 750, 10},	// QDomAttr::~QDomAttr
    {11, 42, 11},	// QDomCDATASection::QDomCDATASection
    {11, 43, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 297, 14},	// QDomCDATASection::nodeType
    {11, 340, 13},	// QDomCDATASection::operator=#
    {11, 751, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 44, 16},	// QDomCharacterData::QDomCharacterData
    {12, 45, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 129, 20},	// QDomCharacterData::appendData$
    {12, 184, 25},	// QDomCharacterData::data
    {12, 187, 22},	// QDomCharacterData::deleteData$$
    {12, 253, 21},	// QDomCharacterData::insertData$$
    {12, 280, 24},	// QDomCharacterData::length
    {12, 297, 27},	// QDomCharacterData::nodeType
    {12, 340, 18},	// QDomCharacterData::operator=#
    {12, 579, 23},	// QDomCharacterData::replaceData$$$
    {12, 622, 26},	// QDomCharacterData::setData$
    {12, 675, 19},	// QDomCharacterData::substringData$$
    {12, 752, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 46, 29},	// QDomComment::QDomComment
    {13, 47, 30},	// QDomComment::QDomComment#
    {13, 297, 32},	// QDomComment::nodeType
    {13, 340, 31},	// QDomComment::operator=#
    {13, 753, 33},	// QDomComment::~QDomComment
    {14, 48, 34},	// QDomDocument::QDomDocument
    {14, 49, -4},	// QDomDocument::QDomDocument#
    {14, 50, 35},	// QDomDocument::QDomDocument$
    {14, 162, 45},	// QDomDocument::createAttribute$
    {14, 164, 50},	// QDomDocument::createAttributeNS$$
    {14, 166, 43},	// QDomDocument::createCDATASection$
    {14, 168, 42},	// QDomDocument::createComment$
    {14, 171, 40},	// QDomDocument::createDocumentFragment
    {14, 175, 39},	// QDomDocument::createElement$
    {14, 177, 49},	// QDomDocument::createElementNS$$
    {14, 179, 46},	// QDomDocument::createEntityReference$
    {14, 181, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 183, 41},	// QDomDocument::createTextNode$
    {14, 189, 53},	// QDomDocument::doctype
    {14, 190, 55},	// QDomDocument::documentElement
    {14, 192, 52},	// QDomDocument::elementById$
    {14, 194, 47},	// QDomDocument::elementsByTagName$
    {14, 196, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 241, 54},	// QDomDocument::implementation
    {14, 243, 48},	// QDomDocument::importNode#$
    {14, 297, 56},	// QDomDocument::nodeType
    {14, 340, 38},	// QDomDocument::operator=#
    {14, 602, -7},	// QDomDocument::setContent#
    {14, 603, 88},	// QDomDocument::setContent##
    {14, 604, 89},	// QDomDocument::setContent##$
    {14, 605, 90},	// QDomDocument::setContent##$$
    {14, 606, 64},	// QDomDocument::setContent##$$$
    {14, 607, -10},	// QDomDocument::setContent#$
    {14, 608, -16},	// QDomDocument::setContent#$$
    {14, 609, -22},	// QDomDocument::setContent#$$$
    {14, 610, -28},	// QDomDocument::setContent#$$$$
    {14, 611, 82},	// QDomDocument::setContent$
    {14, 612, -32},	// QDomDocument::setContent$$
    {14, 613, -35},	// QDomDocument::setContent$$$
    {14, 614, -38},	// QDomDocument::setContent$$$$
    {14, 615, 58},	// QDomDocument::setContent$$$$$
    {14, 681, 92},	// QDomDocument::toByteArray
    {14, 682, 66},	// QDomDocument::toByteArray$
    {14, 694, 91},	// QDomDocument::toString
    {14, 695, 65},	// QDomDocument::toString$
    {14, 754, 93},	// QDomDocument::~QDomDocument
    {15, 51, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 52, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 297, 97},	// QDomDocumentFragment::nodeType
    {15, 340, 96},	// QDomDocumentFragment::operator=#
    {15, 755, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 53, 99},	// QDomDocumentType::QDomDocumentType
    {16, 54, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 206, 103},	// QDomDocumentType::entities
    {16, 256, 107},	// QDomDocumentType::internalSubset
    {16, 286, 102},	// QDomDocumentType::name
    {16, 297, 108},	// QDomDocumentType::nodeType
    {16, 303, 104},	// QDomDocumentType::notations
    {16, 340, 101},	// QDomDocumentType::operator=#
    {16, 388, 105},	// QDomDocumentType::publicId
    {16, 676, 106},	// QDomDocumentType::systemId
    {16, 756, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 55, 110},	// QDomElement::QDomElement
    {17, 56, 111},	// QDomElement::QDomElement#
    {17, 133, 144},	// QDomElement::attribute$
    {17, 134, 113},	// QDomElement::attribute$$
    {17, 138, 145},	// QDomElement::attributeNS$$
    {17, 139, 127},	// QDomElement::attributeNS$$$
    {17, 141, 122},	// QDomElement::attributeNode$
    {17, 143, 135},	// QDomElement::attributeNodeNS$$
    {17, 144, 141},	// QDomElement::attributes
    {17, 194, 125},	// QDomElement::elementsByTagName$
    {17, 196, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 227, 126},	// QDomElement::hasAttribute$
    {17, 229, 138},	// QDomElement::hasAttributeNS$$
    {17, 297, 142},	// QDomElement::nodeType
    {17, 340, 112},	// QDomElement::operator=#
    {17, 565, 121},	// QDomElement::removeAttribute$
    {17, 567, 134},	// QDomElement::removeAttributeNS$$
    {17, 569, 124},	// QDomElement::removeAttributeNode#
    {17, 587, -396},	// QDomElement::setAttribute$$
    {17, 589, -404},	// QDomElement::setAttributeNS$$$
    {17, 591, 123},	// QDomElement::setAttributeNode#
    {17, 593, 136},	// QDomElement::setAttributeNodeNS#
    {17, 653, 140},	// QDomElement::setTagName$
    {17, 677, 139},	// QDomElement::tagName
    {17, 679, 143},	// QDomElement::text
    {17, 757, 146},	// QDomElement::~QDomElement
    {18, 57, 147},	// QDomEntity::QDomEntity
    {18, 58, 148},	// QDomEntity::QDomEntity#
    {18, 297, 153},	// QDomEntity::nodeType
    {18, 302, 152},	// QDomEntity::notationName
    {18, 340, 149},	// QDomEntity::operator=#
    {18, 388, 150},	// QDomEntity::publicId
    {18, 676, 151},	// QDomEntity::systemId
    {18, 758, 154},	// QDomEntity::~QDomEntity
    {19, 59, 155},	// QDomEntityReference::QDomEntityReference
    {19, 60, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 297, 158},	// QDomEntityReference::nodeType
    {19, 340, 157},	// QDomEntityReference::operator=#
    {19, 759, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 61, 160},	// QDomImplementation::QDomImplementation
    {20, 62, 161},	// QDomImplementation::QDomImplementation#
    {20, 113, 173},	// QDomImplementation::ReturnNullNode
    {20, 170, 167},	// QDomImplementation::createDocument$$#
    {20, 173, 166},	// QDomImplementation::createDocumentType$$$
    {20, 235, 165},	// QDomImplementation::hasFeature$$
    {20, 257, 168},	// QDomImplementation::invalidDataPolicy
    {20, 270, 170},	// QDomImplementation::isNull
    {20, 305, 164},	// QDomImplementation::operator!=#
    {20, 340, 162},	// QDomImplementation::operator=#
    {20, 342, 163},	// QDomImplementation::operator==#
    {20, 638, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 760, 174},	// QDomImplementation::~QDomImplementation
    {21, 63, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 64, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 158, 191},	// QDomNamedNodeMap::contains$
    {21, 160, 188},	// QDomNamedNodeMap::count
    {21, 266, 190},	// QDomNamedNodeMap::isEmpty
    {21, 276, 183},	// QDomNamedNodeMap::item$
    {21, 280, 187},	// QDomNamedNodeMap::length
    {21, 288, 180},	// QDomNamedNodeMap::namedItem$
    {21, 290, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 305, 179},	// QDomNamedNodeMap::operator!=#
    {21, 340, 177},	// QDomNamedNodeMap::operator=#
    {21, 342, 178},	// QDomNamedNodeMap::operator==#
    {21, 573, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 575, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 642, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 644, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 656, 189},	// QDomNamedNodeMap::size
    {21, 761, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 38, 279},	// QDomNode::NotationNode
    {22, 39, 274},	// QDomNode::ProcessingInstructionNode
    {22, 65, 193},	// QDomNode::QDomNode
    {22, 66, 194},	// QDomNode::QDomNode#
    {22, 114, 270},	// QDomNode::TextNode
    {22, 127, 202},	// QDomNode::appendChild#
    {22, 144, 215},	// QDomNode::attributes
    {22, 149, 210},	// QDomNode::childNodes
    {22, 150, 239},	// QDomNode::clear
    {22, 151, 261},	// QDomNode::cloneNode
    {22, 152, 204},	// QDomNode::cloneNode$
    {22, 154, 260},	// QDomNode::columnNumber
    {22, 220, 211},	// QDomNode::firstChild
    {22, 221, 262},	// QDomNode::firstChildElement
    {22, 222, 255},	// QDomNode::firstChildElement$
    {22, 230, 219},	// QDomNode::hasAttributes
    {22, 231, 203},	// QDomNode::hasChildNodes
    {22, 240, 266},	// QDomNode::impl
    {22, 249, 199},	// QDomNode::insertAfter##
    {22, 251, 198},	// QDomNode::insertBefore##
    {22, 258, 224},	// QDomNode::isAttr
    {22, 259, 225},	// QDomNode::isCDATASection
    {22, 260, 235},	// QDomNode::isCharacterData
    {22, 261, 236},	// QDomNode::isComment
    {22, 262, 227},	// QDomNode::isDocument
    {22, 263, 226},	// QDomNode::isDocumentFragment
    {22, 264, 228},	// QDomNode::isDocumentType
    {22, 265, 229},	// QDomNode::isElement
    {22, 267, 232},	// QDomNode::isEntity
    {22, 268, 230},	// QDomNode::isEntityReference
    {22, 269, 233},	// QDomNode::isNotation
    {22, 270, 238},	// QDomNode::isNull
    {22, 271, 234},	// QDomNode::isProcessingInstruction
    {22, 273, 206},	// QDomNode::isSupported$$
    {22, 274, 231},	// QDomNode::isText
    {22, 277, 212},	// QDomNode::lastChild
    {22, 278, 263},	// QDomNode::lastChildElement
    {22, 279, 256},	// QDomNode::lastChildElement$
    {22, 282, 259},	// QDomNode::lineNumber
    {22, 283, 218},	// QDomNode::localName
    {22, 288, 237},	// QDomNode::namedItem$
    {22, 291, 217},	// QDomNode::namespaceURI
    {22, 293, 214},	// QDomNode::nextSibling
    {22, 294, 265},	// QDomNode::nextSiblingElement
    {22, 295, 258},	// QDomNode::nextSiblingElement$
    {22, 296, 207},	// QDomNode::nodeName
    {22, 297, 208},	// QDomNode::nodeType
    {22, 298, 220},	// QDomNode::nodeValue
    {22, 299, 205},	// QDomNode::normalize
    {22, 305, 197},	// QDomNode::operator!=#
    {22, 340, 195},	// QDomNode::operator=#
    {22, 342, 196},	// QDomNode::operator==#
    {22, 366, 216},	// QDomNode::ownerDocument
    {22, 368, 209},	// QDomNode::parentNode
    {22, 374, 222},	// QDomNode::prefix
    {22, 378, 213},	// QDomNode::previousSibling
    {22, 379, 264},	// QDomNode::previousSiblingElement
    {22, 380, 257},	// QDomNode::previousSiblingElement$
    {22, 571, 201},	// QDomNode::removeChild#
    {22, 577, 200},	// QDomNode::replaceChild##
    {22, 584, 253},	// QDomNode::save#$
    {22, 585, 254},	// QDomNode::save#$$
    {22, 636, 267},	// QDomNode::setImpl#
    {22, 646, 221},	// QDomNode::setNodeValue$
    {22, 648, 223},	// QDomNode::setPrefix$
    {22, 680, 240},	// QDomNode::toAttr
    {22, 683, 241},	// QDomNode::toCDATASection
    {22, 684, 251},	// QDomNode::toCharacterData
    {22, 685, 252},	// QDomNode::toComment
    {22, 686, 243},	// QDomNode::toDocument
    {22, 687, 242},	// QDomNode::toDocumentFragment
    {22, 688, 244},	// QDomNode::toDocumentType
    {22, 689, 245},	// QDomNode::toElement
    {22, 690, 248},	// QDomNode::toEntity
    {22, 691, 246},	// QDomNode::toEntityReference
    {22, 692, 249},	// QDomNode::toNotation
    {22, 693, 250},	// QDomNode::toProcessingInstruction
    {22, 696, 247},	// QDomNode::toText
    {22, 762, 284},	// QDomNode::~QDomNode
    {23, 67, 285},	// QDomNodeList::QDomNodeList
    {23, 68, 286},	// QDomNodeList::QDomNodeList#
    {23, 131, 291},	// QDomNodeList::at$
    {23, 160, 293},	// QDomNodeList::count
    {23, 266, 295},	// QDomNodeList::isEmpty
    {23, 276, 290},	// QDomNodeList::item$
    {23, 280, 292},	// QDomNodeList::length
    {23, 305, 289},	// QDomNodeList::operator!=#
    {23, 340, 287},	// QDomNodeList::operator=#
    {23, 342, 288},	// QDomNodeList::operator==#
    {23, 656, 294},	// QDomNodeList::size
    {23, 763, 296},	// QDomNodeList::~QDomNodeList
    {25, 69, 297},	// QDomNotation::QDomNotation
    {25, 70, 298},	// QDomNotation::QDomNotation#
    {25, 297, 302},	// QDomNotation::nodeType
    {25, 340, 299},	// QDomNotation::operator=#
    {25, 388, 300},	// QDomNotation::publicId
    {25, 676, 301},	// QDomNotation::systemId
    {25, 764, 303},	// QDomNotation::~QDomNotation
    {26, 71, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 72, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 184, 308},	// QDomProcessingInstruction::data
    {26, 297, 310},	// QDomProcessingInstruction::nodeType
    {26, 340, 306},	// QDomProcessingInstruction::operator=#
    {26, 622, 309},	// QDomProcessingInstruction::setData$
    {26, 678, 307},	// QDomProcessingInstruction::target
    {26, 765, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 73, 312},	// QDomText::QDomText
    {27, 74, 313},	// QDomText::QDomText#
    {27, 297, 316},	// QDomText::nodeType
    {27, 340, 314},	// QDomText::operator=#
    {27, 663, 315},	// QDomText::splitText$
    {27, 766, 317},	// QDomText::~QDomText
    {29, 19, 743},	// QGlobalSpace::LicensedActiveQt
    {29, 20, 749},	// QGlobalSpace::LicensedCore
    {29, 21, 741},	// QGlobalSpace::LicensedDBus
    {29, 22, 746},	// QGlobalSpace::LicensedDeclarative
    {29, 23, 736},	// QGlobalSpace::LicensedGui
    {29, 24, 755},	// QGlobalSpace::LicensedHelp
    {29, 25, 756},	// QGlobalSpace::LicensedMultimedia
    {29, 26, 759},	// QGlobalSpace::LicensedNetwork
    {29, 27, 748},	// QGlobalSpace::LicensedOpenGL
    {29, 28, 740},	// QGlobalSpace::LicensedOpenVG
    {29, 29, 757},	// QGlobalSpace::LicensedQt3Support
    {29, 30, 738},	// QGlobalSpace::LicensedQt3SupportLight
    {29, 31, 739},	// QGlobalSpace::LicensedScript
    {29, 32, 744},	// QGlobalSpace::LicensedScriptTools
    {29, 33, 747},	// QGlobalSpace::LicensedSql
    {29, 34, 745},	// QGlobalSpace::LicensedSvg
    {29, 35, 742},	// QGlobalSpace::LicensedTest
    {29, 36, 737},	// QGlobalSpace::LicensedXml
    {29, 37, 758},	// QGlobalSpace::LicensedXmlPatterns
    {29, 108, 752},	// QGlobalSpace::QtCriticalMsg
    {29, 109, 750},	// QGlobalSpace::QtDebugMsg
    {29, 110, 753},	// QGlobalSpace::QtFatalMsg
    {29, 111, 754},	// QGlobalSpace::QtSystemMsg
    {29, 112, 751},	// QGlobalSpace::QtWarningMsg
    {29, 115, 731},	// QGlobalSpace::_IEEE_
    {29, 116, 735},	// QGlobalSpace::_ISOC_
    {29, 117, 734},	// QGlobalSpace::_POSIX_
    {29, 118, 732},	// QGlobalSpace::_SVID_
    {29, 119, 733},	// QGlobalSpace::_XOPEN_
    {29, 120, 762},	// QGlobalSpace::__codecvt_error
    {29, 121, 763},	// QGlobalSpace::__codecvt_noconv
    {29, 122, 760},	// QGlobalSpace::__codecvt_ok
    {29, 123, 761},	// QGlobalSpace::__codecvt_partial
    {29, 306, -47},	// QGlobalSpace::operator!=##
    {29, 307, -64},	// QGlobalSpace::operator!=#$
    {29, 308, -70},	// QGlobalSpace::operator!=$#
    {29, 309, 442},	// QGlobalSpace::operator!=$$
    {29, 311, 525},	// QGlobalSpace::operator&##
    {29, 313, -77},	// QGlobalSpace::operator*#$
    {29, 314, -84},	// QGlobalSpace::operator*$#
    {29, 316, -91},	// QGlobalSpace::operator+##
    {29, 317, -97},	// QGlobalSpace::operator+#$
    {29, 318, -102},	// QGlobalSpace::operator+$#
    {29, 319, -107},	// QGlobalSpace::operator+$$
    {29, 321, -113},	// QGlobalSpace::operator-#
    {29, 322, -116},	// QGlobalSpace::operator-##
    {29, 324, -121},	// QGlobalSpace::operator/#$
    {29, 326, -126},	// QGlobalSpace::operator<##
    {29, 327, 561},	// QGlobalSpace::operator<#$
    {29, 328, -131},	// QGlobalSpace::operator<$#
    {29, 329, 388},	// QGlobalSpace::operator<$$
    {29, 331, -134},	// QGlobalSpace::operator<<##
    {29, 332, -177},	// QGlobalSpace::operator<<#$
    {29, 333, 536},	// QGlobalSpace::operator<<#?
    {29, 335, -183},	// QGlobalSpace::operator<=##
    {29, 336, 422},	// QGlobalSpace::operator<=#$
    {29, 337, -188},	// QGlobalSpace::operator<=$#
    {29, 338, 573},	// QGlobalSpace::operator<=$$
    {29, 343, -191},	// QGlobalSpace::operator==##
    {29, 344, -209},	// QGlobalSpace::operator==#$
    {29, 345, -215},	// QGlobalSpace::operator==$#
    {29, 346, 712},	// QGlobalSpace::operator==$$
    {29, 348, -222},	// QGlobalSpace::operator>##
    {29, 349, 723},	// QGlobalSpace::operator>#$
    {29, 350, -227},	// QGlobalSpace::operator>$#
    {29, 351, 506},	// QGlobalSpace::operator>$$
    {29, 353, -230},	// QGlobalSpace::operator>=##
    {29, 354, 337},	// QGlobalSpace::operator>=#$
    {29, 355, -235},	// QGlobalSpace::operator>=$#
    {29, 356, 718},	// QGlobalSpace::operator>=$$
    {29, 358, -238},	// QGlobalSpace::operator>>##
    {29, 359, -260},	// QGlobalSpace::operator>>#$
    {29, 360, 487},	// QGlobalSpace::operator>>#?
    {29, 362, 426},	// QGlobalSpace::operator^##
    {29, 364, 645},	// QGlobalSpace::operator|##
    {29, 365, -263},	// QGlobalSpace::operator|$$
    {29, 391, 619},	// QGlobalSpace::qAcos$
    {29, 393, 545},	// QGlobalSpace::qAddPostRoutine$
    {29, 394, 553},	// QGlobalSpace::qAppName
    {29, 396, 637},	// QGlobalSpace::qAsin$
    {29, 398, 665},	// QGlobalSpace::qAtan$
    {29, 400, 335},	// QGlobalSpace::qAtan2$$
    {29, 401, 623},	// QGlobalSpace::qBadAlloc
    {29, 403, 567},	// QGlobalSpace::qCeil$
    {29, 405, 482},	// QGlobalSpace::qChecksum$$
    {29, 407, 629},	// QGlobalSpace::qCompress#
    {29, 408, 628},	// QGlobalSpace::qCompress#$
    {29, 409, 547},	// QGlobalSpace::qCompress$$
    {29, 410, 546},	// QGlobalSpace::qCompress$$$
    {29, 412, 357},	// QGlobalSpace::qCos$
    {29, 413, 530},	// QGlobalSpace::qCritical
    {29, 414, 575},	// QGlobalSpace::qDebug
    {29, 416, 477},	// QGlobalSpace::qExp$
    {29, 418, 609},	// QGlobalSpace::qFabs$
    {29, 420, 437},	// QGlobalSpace::qFastCos$
    {29, 422, 549},	// QGlobalSpace::qFastSin$
    {29, 424, 445},	// QGlobalSpace::qFlagLocation$
    {29, 426, 405},	// QGlobalSpace::qFloor$
    {29, 428, 555},	// QGlobalSpace::qFree$
    {29, 430, 557},	// QGlobalSpace::qFreeAligned$
    {29, 432, -351},	// QGlobalSpace::qFuzzyCompare$$
    {29, 434, -354},	// QGlobalSpace::qFuzzyIsNull$
    {29, 436, -357},	// QGlobalSpace::qHash#
    {29, 437, -365},	// QGlobalSpace::qHash$
    {29, 438, 691},	// QGlobalSpace::qInf
    {29, 440, 434},	// QGlobalSpace::qInstallMsgHandler$
    {29, 442, -378},	// QGlobalSpace::qIntCast$
    {29, 444, -381},	// QGlobalSpace::qIsFinite$
    {29, 446, -384},	// QGlobalSpace::qIsInf$
    {29, 448, -387},	// QGlobalSpace::qIsNaN$
    {29, 450, -390},	// QGlobalSpace::qIsNull$
    {29, 452, 479},	// QGlobalSpace::qLn$
    {29, 454, 484},	// QGlobalSpace::qMalloc$
    {29, 456, 576},	// QGlobalSpace::qMallocAligned$$
    {29, 458, 324},	// QGlobalSpace::qMemCopy$$$
    {29, 460, 604},	// QGlobalSpace::qMemSet$$$
    {29, 464, 579},	// QGlobalSpace::qPow$$
    {29, 465, 485},	// QGlobalSpace::qQNaN
    {29, 467, 428},	// QGlobalSpace::qRealloc$$
    {29, 469, 417},	// QGlobalSpace::qReallocAligned$$$$
    {29, 471, 481},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 473, 698},	// QGlobalSpace::qRemovePostRoutine$
    {29, 475, 690},	// QGlobalSpace::qRound$
    {29, 477, 433},	// QGlobalSpace::qRound64$
    {29, 478, 673},	// QGlobalSpace::qSNaN
    {29, 480, 403},	// QGlobalSpace::qSetFieldWidth$
    {29, 482, 344},	// QGlobalSpace::qSetPadChar#
    {29, 484, 476},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 485, 362},	// QGlobalSpace::qSharedBuild
    {29, 487, 641},	// QGlobalSpace::qSin$
    {29, 489, 435},	// QGlobalSpace::qSqrt$
    {29, 491, 570},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 492, 332},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 494, 400},	// QGlobalSpace::qTan$
    {29, 496, 515},	// QGlobalSpace::qUncompress#
    {29, 497, 398},	// QGlobalSpace::qUncompress$$
    {29, 498, 554},	// QGlobalSpace::qVersion
    {29, 499, 703},	// QGlobalSpace::qWarning
    {29, 501, 412},	// QGlobalSpace::qbswap_helper$$$
    {29, 503, 383},	// QGlobalSpace::qecvt$$$$
    {29, 505, 578},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 507, 455},	// QGlobalSpace::qfcvt$$$$
    {29, 509, 616},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 511, 617},	// QGlobalSpace::qgcvt$$$
    {29, 513, 339},	// QGlobalSpace::qgetenv$
    {29, 515, 488},	// QGlobalSpace::qputenv$#
    {29, 516, 521},	// QGlobalSpace::qrand
    {29, 518, 618},	// QGlobalSpace::qsort$$$$
    {29, 520, 491},	// QGlobalSpace::qsrand$
    {29, 522, 612},	// QGlobalSpace::qstrcmp##
    {29, 523, 697},	// QGlobalSpace::qstrcmp#$
    {29, 524, 333},	// QGlobalSpace::qstrcmp$#
    {29, 525, 356},	// QGlobalSpace::qstrcmp$$
    {29, 527, 467},	// QGlobalSpace::qstrcpy$$
    {29, 529, 571},	// QGlobalSpace::qstrdup$
    {29, 531, 687},	// QGlobalSpace::qstricmp$$
    {29, 533, 704},	// QGlobalSpace::qstrlen$
    {29, 535, 399},	// QGlobalSpace::qstrncmp$$$
    {29, 537, 514},	// QGlobalSpace::qstrncpy$$$
    {29, 539, 499},	// QGlobalSpace::qstrnicmp$$$
    {29, 541, 323},	// QGlobalSpace::qstrnlen$$
    {29, 543, 651},	// QGlobalSpace::qtTrId$
    {29, 544, 650},	// QGlobalSpace::qtTrId$$
    {29, 546, 452},	// QGlobalSpace::qt_assert$$$
    {29, 548, 523},	// QGlobalSpace::qt_assert_x$$$$
    {29, 550, 606},	// QGlobalSpace::qt_check_pointer$$
    {29, 551, 394},	// QGlobalSpace::qt_error_string
    {29, 552, 393},	// QGlobalSpace::qt_error_string$
    {29, 554, 717},	// QGlobalSpace::qt_message_output$$
    {29, 555, 325},	// QGlobalSpace::qt_noop
    {29, 557, 509},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 559, 663},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 561, 660},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 563, 602},	// QGlobalSpace::qvsnprintf$$$?
    {59, 75, 764},	// QXmlAttributes::QXmlAttributes
    {59, 76, 782},	// QXmlAttributes::QXmlAttributes#
    {59, 125, 781},	// QXmlAttributes::append$$$$
    {59, 150, 780},	// QXmlAttributes::clear
    {59, 160, 769},	// QXmlAttributes::count
    {59, 245, 766},	// QXmlAttributes::index#
    {59, 246, 765},	// QXmlAttributes::index$
    {59, 247, 767},	// QXmlAttributes::index$$
    {59, 280, 768},	// QXmlAttributes::length
    {59, 284, 770},	// QXmlAttributes::localName$
    {59, 462, 771},	// QXmlAttributes::qName$
    {59, 698, -41},	// QXmlAttributes::type$
    {59, 699, 775},	// QXmlAttributes::type$$
    {59, 703, 772},	// QXmlAttributes::uri$
    {59, 705, 778},	// QXmlAttributes::value#
    {59, 706, -44},	// QXmlAttributes::value$
    {59, 707, 779},	// QXmlAttributes::value$$
    {59, 767, 783},	// QXmlAttributes::~QXmlAttributes
    {60, 77, 796},	// QXmlContentHandler::QXmlContentHandler
    {60, 78, 797},	// QXmlContentHandler::QXmlContentHandler#
    {60, 148, 791},	// QXmlContentHandler::characters$
    {60, 199, 786},	// QXmlContentHandler::endDocument
    {60, 201, 790},	// QXmlContentHandler::endElement$$$
    {60, 205, 788},	// QXmlContentHandler::endPrefixMapping$
    {60, 211, 795},	// QXmlContentHandler::errorString
    {60, 239, 792},	// QXmlContentHandler::ignorableWhitespace$
    {60, 384, 793},	// QXmlContentHandler::processingInstruction$$
    {60, 628, 784},	// QXmlContentHandler::setDocumentLocator#
    {60, 658, 794},	// QXmlContentHandler::skippedEntity$
    {60, 667, 785},	// QXmlContentHandler::startDocument
    {60, 669, 789},	// QXmlContentHandler::startElement$$$#
    {60, 673, 787},	// QXmlContentHandler::startPrefixMapping$$
    {60, 768, 798},	// QXmlContentHandler::~QXmlContentHandler
    {61, 79, 802},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 80, 803},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 211, 801},	// QXmlDTDHandler::errorString
    {61, 301, 799},	// QXmlDTDHandler::notationDecl$$$
    {61, 701, 800},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 769, 804},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 81, 809},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 82, 810},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 136, 805},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 211, 808},	// QXmlDeclHandler::errorString
    {62, 213, 807},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 255, 806},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 770, 811},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 83, 812},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 136, 837},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 148, 820},	// QXmlDefaultHandler::characters$
    {63, 156, 836},	// QXmlDefaultHandler::comment$
    {63, 197, 835},	// QXmlDefaultHandler::endCDATA
    {63, 198, 831},	// QXmlDefaultHandler::endDTD
    {63, 199, 815},	// QXmlDefaultHandler::endDocument
    {63, 201, 819},	// QXmlDefaultHandler::endElement$$$
    {63, 203, 833},	// QXmlDefaultHandler::endEntity$
    {63, 205, 817},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 209, 825},	// QXmlDefaultHandler::error#
    {63, 211, 840},	// QXmlDefaultHandler::errorString
    {63, 213, 839},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 215, 826},	// QXmlDefaultHandler::fatalError#
    {63, 239, 821},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 255, 838},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 301, 827},	// QXmlDefaultHandler::notationDecl$$$
    {63, 384, 822},	// QXmlDefaultHandler::processingInstruction$$
    {63, 582, 829},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 628, 813},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 658, 823},	// QXmlDefaultHandler::skippedEntity$
    {63, 664, 834},	// QXmlDefaultHandler::startCDATA
    {63, 666, 830},	// QXmlDefaultHandler::startDTD$$$
    {63, 667, 814},	// QXmlDefaultHandler::startDocument
    {63, 669, 818},	// QXmlDefaultHandler::startElement$$$#
    {63, 671, 832},	// QXmlDefaultHandler::startEntity$
    {63, 673, 816},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 701, 828},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 709, 824},	// QXmlDefaultHandler::warning#
    {63, 771, 841},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 84, 844},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 85, 845},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 211, 843},	// QXmlEntityResolver::errorString
    {64, 582, 842},	// QXmlEntityResolver::resolveEntity$$#
    {64, 772, 846},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 86, 851},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 87, 852},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 209, 848},	// QXmlErrorHandler::error#
    {65, 211, 850},	// QXmlErrorHandler::errorString
    {65, 215, 849},	// QXmlErrorHandler::fatalError#
    {65, 709, 847},	// QXmlErrorHandler::warning#
    {65, 773, 853},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 865},	// QXmlInputSource::EndOfData
    {66, 16, 866},	// QXmlInputSource::EndOfDocument
    {66, 88, 854},	// QXmlInputSource::QXmlInputSource
    {66, 89, -393},	// QXmlInputSource::QXmlInputSource#
    {66, 184, 859},	// QXmlInputSource::data
    {66, 219, 858},	// QXmlInputSource::fetchData
    {66, 224, 864},	// QXmlInputSource::fromRawData#
    {66, 225, 862},	// QXmlInputSource::fromRawData#$
    {66, 292, 860},	// QXmlInputSource::next
    {66, 580, 861},	// QXmlInputSource::reset
    {66, 621, 857},	// QXmlInputSource::setData#
    {66, 622, 856},	// QXmlInputSource::setData$
    {66, 774, 867},	// QXmlInputSource::~QXmlInputSource
    {67, 90, 876},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 91, 877},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 156, 874},	// QXmlLexicalHandler::comment$
    {67, 197, 873},	// QXmlLexicalHandler::endCDATA
    {67, 198, 869},	// QXmlLexicalHandler::endDTD
    {67, 203, 871},	// QXmlLexicalHandler::endEntity$
    {67, 211, 875},	// QXmlLexicalHandler::errorString
    {67, 664, 872},	// QXmlLexicalHandler::startCDATA
    {67, 666, 868},	// QXmlLexicalHandler::startDTD$$$
    {67, 671, 870},	// QXmlLexicalHandler::startEntity$
    {67, 775, 878},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 92, 879},	// QXmlLocator::QXmlLocator
    {68, 93, 882},	// QXmlLocator::QXmlLocator#
    {68, 154, 880},	// QXmlLocator::columnNumber
    {68, 282, 881},	// QXmlLocator::lineNumber
    {68, 776, 883},	// QXmlLocator::~QXmlLocator
    {69, 94, 884},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 373, 893},	// QXmlNamespaceSupport::popContext
    {69, 375, 886},	// QXmlNamespaceSupport::prefix$
    {69, 376, 890},	// QXmlNamespaceSupport::prefixes
    {69, 377, 891},	// QXmlNamespaceSupport::prefixes$
    {69, 382, 889},	// QXmlNamespaceSupport::processName$$$$
    {69, 389, 892},	// QXmlNamespaceSupport::pushContext
    {69, 580, 894},	// QXmlNamespaceSupport::reset
    {69, 649, 885},	// QXmlNamespaceSupport::setPrefix$$
    {69, 661, 888},	// QXmlNamespaceSupport::splitName$$$
    {69, 703, 887},	// QXmlNamespaceSupport::uri$
    {69, 777, 895},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 95, 903},	// QXmlParseException::QXmlParseException
    {70, 96, 897},	// QXmlParseException::QXmlParseException#
    {70, 97, 904},	// QXmlParseException::QXmlParseException$
    {70, 98, 905},	// QXmlParseException::QXmlParseException$$
    {70, 99, 906},	// QXmlParseException::QXmlParseException$$$
    {70, 100, 907},	// QXmlParseException::QXmlParseException$$$$
    {70, 101, 896},	// QXmlParseException::QXmlParseException$$$$$
    {70, 154, 898},	// QXmlParseException::columnNumber
    {70, 282, 899},	// QXmlParseException::lineNumber
    {70, 285, 902},	// QXmlParseException::message
    {70, 388, 900},	// QXmlParseException::publicId
    {70, 676, 901},	// QXmlParseException::systemId
    {70, 778, 908},	// QXmlParseException::~QXmlParseException
    {71, 7, 918},	// QXmlReader::DTDHandler
    {71, 102, 929},	// QXmlReader::QXmlReader
    {71, 103, 930},	// QXmlReader::QXmlReader#
    {71, 159, 920},	// QXmlReader::contentHandler
    {71, 185, 926},	// QXmlReader::declHandler
    {71, 207, 916},	// QXmlReader::entityResolver
    {71, 210, 922},	// QXmlReader::errorHandler
    {71, 217, 931},	// QXmlReader::feature$
    {71, 218, 909},	// QXmlReader::feature$$
    {71, 234, 911},	// QXmlReader::hasFeature$
    {71, 237, 914},	// QXmlReader::hasProperty$
    {71, 281, 924},	// QXmlReader::lexicalHandler
    {71, 370, -1},	// QXmlReader::parse#
    {71, 386, 932},	// QXmlReader::property$
    {71, 387, 912},	// QXmlReader::property$$
    {71, 617, 919},	// QXmlReader::setContentHandler#
    {71, 619, 917},	// QXmlReader::setDTDHandler#
    {71, 624, 925},	// QXmlReader::setDeclHandler#
    {71, 630, 915},	// QXmlReader::setEntityResolver#
    {71, 632, 921},	// QXmlReader::setErrorHandler#
    {71, 634, 910},	// QXmlReader::setFeature$$
    {71, 640, 923},	// QXmlReader::setLexicalHandler#
    {71, 651, 913},	// QXmlReader::setProperty$$
    {71, 779, 933},	// QXmlReader::~QXmlReader
    {72, 7, 944},	// QXmlSimpleReader::DTDHandler
    {72, 104, 934},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 159, 946},	// QXmlSimpleReader::contentHandler
    {72, 185, 952},	// QXmlSimpleReader::declHandler
    {72, 207, 942},	// QXmlSimpleReader::entityResolver
    {72, 210, 948},	// QXmlSimpleReader::errorHandler
    {72, 217, 957},	// QXmlSimpleReader::feature$
    {72, 218, 935},	// QXmlSimpleReader::feature$$
    {72, 234, 937},	// QXmlSimpleReader::hasFeature$
    {72, 237, 940},	// QXmlSimpleReader::hasProperty$
    {72, 281, 950},	// QXmlSimpleReader::lexicalHandler
    {72, 370, -411},	// QXmlSimpleReader::parse#
    {72, 371, 955},	// QXmlSimpleReader::parse#$
    {72, 372, 956},	// QXmlSimpleReader::parseContinue
    {72, 386, 958},	// QXmlSimpleReader::property$
    {72, 387, 938},	// QXmlSimpleReader::property$$
    {72, 617, 945},	// QXmlSimpleReader::setContentHandler#
    {72, 619, 943},	// QXmlSimpleReader::setDTDHandler#
    {72, 624, 951},	// QXmlSimpleReader::setDeclHandler#
    {72, 630, 941},	// QXmlSimpleReader::setEntityResolver#
    {72, 632, 947},	// QXmlSimpleReader::setErrorHandler#
    {72, 634, 936},	// QXmlSimpleReader::setFeature$$
    {72, 640, 949},	// QXmlSimpleReader::setLexicalHandler#
    {72, 651, 939},	// QXmlSimpleReader::setProperty$$
    {72, 780, 959},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 105, 960},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 106, -414},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 107, 963},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 145, 970},	// QXmlStreamWriter::autoFormatting
    {76, 146, 972},	// QXmlStreamWriter::autoFormattingIndent
    {76, 153, 968},	// QXmlStreamWriter::codec
    {76, 188, 965},	// QXmlStreamWriter::device
    {76, 232, 997},	// QXmlStreamWriter::hasError
    {76, 595, 969},	// QXmlStreamWriter::setAutoFormatting$
    {76, 597, 971},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 599, 966},	// QXmlStreamWriter::setCodec#
    {76, 600, 967},	// QXmlStreamWriter::setCodec$
    {76, 626, 964},	// QXmlStreamWriter::setDevice#
    {76, 711, 975},	// QXmlStreamWriter::writeAttribute#
    {76, 712, 973},	// QXmlStreamWriter::writeAttribute$$
    {76, 713, 974},	// QXmlStreamWriter::writeAttribute$$$
    {76, 715, 976},	// QXmlStreamWriter::writeAttributes#
    {76, 717, 977},	// QXmlStreamWriter::writeCDATA$
    {76, 719, 978},	// QXmlStreamWriter::writeCharacters$
    {76, 721, 979},	// QXmlStreamWriter::writeComment$
    {76, 723, 996},	// QXmlStreamWriter::writeCurrentToken#
    {76, 725, 980},	// QXmlStreamWriter::writeDTD$
    {76, 727, 989},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 729, 981},	// QXmlStreamWriter::writeEmptyElement$
    {76, 730, 982},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 731, 985},	// QXmlStreamWriter::writeEndDocument
    {76, 732, 986},	// QXmlStreamWriter::writeEndElement
    {76, 734, 987},	// QXmlStreamWriter::writeEntityReference$
    {76, 736, 998},	// QXmlStreamWriter::writeNamespace$
    {76, 737, 988},	// QXmlStreamWriter::writeNamespace$$
    {76, 739, 999},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 740, 990},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 741, 991},	// QXmlStreamWriter::writeStartDocument
    {76, 742, 992},	// QXmlStreamWriter::writeStartDocument$
    {76, 743, 993},	// QXmlStreamWriter::writeStartDocument$$
    {76, 745, 994},	// QXmlStreamWriter::writeStartElement$
    {76, 746, 995},	// QXmlStreamWriter::writeStartElement$$
    {76, 748, 983},	// QXmlStreamWriter::writeTextElement$$
    {76, 749, 984},	// QXmlStreamWriter::writeTextElement$$$
    {76, 781, 1000},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 1001,
        __smokeqtxml::methodMaps, 693,
        __smokeqtxml::methodNames, 781,
        __smokeqtxml::types, 357,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
